#!/usr/bin/bash
# Copyright (c) 2017, 2018, Oracle and/or its affiliates.
# Licensed under the Universal Permissive License v 1.0 as shown at http://oss.oracle.com/licenses/upl.

#
#    This script holds all the global variables and  command paths
#
#    IMPORTANT NOTE : this file is sourced by python code (see common.py)
#                     All definitions made here must be python syntax compatible.
#

CONF_LV_NAME="__lsa"
CONF_LV_SIZE="64m"
CONF_MNT="/.lsa"
EXPORTFS_DIR="/.lsa/etc/nfs/exports.d/"
EXPORTS_FILE="/.lsa/etc/nfs/exports.d/lsa.exports"
BACKUP_EXPORT="/.lsa/etc/nfs/exports.d/lsa.back"
SMB_CONF="/etc/samba/smb.conf"
SMB_EXPORT_CONF="/.lsa/etc/smb/lsa.conf"
DEFAULT_SRC_SMB_CONF="/opt/lsa/backend/init/smb.conf"
TOUCH="/bin/touch"
SHARE_POINT="/shares"
EXPORTFS="/usr/sbin/exportfs"
MDADM="/usr/sbin/mdadm"
SYSCTL="/usr/bin/systemctl"
LOCALECTL="/usr/bin/localectl"
CURL="/bin/curl"
DF="/usr/bin/df"
JOURNALCTL="/usr/bin/journalctl"
MKXFS="/usr/sbin/mkfs.xfs"
MKDIR="/usr/bin/mkdir"
MOUNT="/usr/bin/mount"
UMOUNT="/usr/bin/umount"
FSTAB_FILE="/etc/fstab"
FRLDCMD="/usr/bin/firewall-cmd"
FRLDOFFLINECMD="/usr/bin/firewall-offline-cmd"
LSBLK="/usr/bin/lsblk"
ROOT_DEV="/dev"
RAID_ARRAY_NAME="md0"
RAID_DEV="/dev/md0"
MD_CONF="/etc/mdadm.conf"
MDSTAT_PROC="/proc/mdstat"
NFS_SYSCONFG="/etc/sysconfig/nfs"
NFS_SYSCONFG_BAK="/etc/sysconfig/nfs.bak"
CP="/usr/bin/cp"
GREP="/usr/bin/grep"
TEE="/usr/bin/tee"
AWK="/usr/bin/awk"
CHCON="/usr/bin/chcon"
GETENFORCE="/usr/sbin/getenforce"
SETSEBOOL="/usr/sbin/setsebool"
CHECKMODULE="/usr/bin/checkmodule"
SEMOD_PKG="/usr/bin/semodule_package"
SEMODULE="/usr/sbin/semodule"
SEMANAGE="/usr/sbin/semanage"
RESTORECON="/usr/sbin/restorecon"
BASENAME="/usr/bin/basename"
CHOWN="/usr/bin/chown"
CHMOD="/usr/bin/chmod"
MV="/usr/bin/mv"
LN="/usr/bin/ln"
RM="/usr/bin/rm"
SCTL="/usr/sbin/sysctl"
PVCREATE="/usr/sbin/pvcreate"
VGCREATE="/usr/sbin/vgcreate"
LVCREATE="/usr/sbin/lvcreate"
LVREMOVE="/usr/sbin/lvremove"
LVEXTEND="/usr/sbin/lvextend"
LVS="/usr/sbin/lvs"
VG_NAME="lsa"
PVCK="/usr/sbin/pvck"
PVSCAN="/usr/sbin/pvscan"
VGCK="/usr/sbin/vgck"
VGS="/usr/sbin/vgs"
RAID_LEVEL_NONE=99
OCI_METADATA="/usr/bin/oci-metadata"
# https://docs.us-phoenix-1.oraclecloud.com/Content/Compute/Tasks/gettingmetadata.htm
# OCI Compute instance metadata service is an HTTP endpoint listening on 169.254.169.254
OCI_INSTANCE_SHAPE="http://169.254.169.254/opc/v1/instance/shape"

LSA_STATE_BIN="/opt/lsa/backend/init/state.sh"
LSA_STATE_FILE="/var/opt/lsa/.state"
LSA_STATE_UNCONFIGURED=0
LSA_STATE_REMOVE=1
LSA_STATE_CONFIGURED=10
LSA_STATE_PENDING=20
LSA_STATE_READY=30

PROC_MOUNT="/proc/mounts"
SHARE_DIR_USER_OWNERSHIP="nfsnobody"
SHARE_DIR_GROUP_OWNERSHIP="nfsnobody"
SHARE_DIR_ACCESS_RIGHT=0777
