#!/usr/bin/bash
# Copyright (c) 2018, Oracle and/or its affiliates.
# Licensed under the Universal Permissive License v 1.0 as shown at http://oss.oracle.com/licenses/upl.

: '
    This script is used to get and set the current LSA appliance
    state
    Executed with no argument the script exit on current state
    Executed with an argument the script will set the current state
'
CUR_DIR="$(dirname "$0")"
source $CUR_DIR/globals.sh
source $CUR_DIR/common.sh


if [ $# -eq 0 ]
then
    # no argument: we exit on current state code
    if [ ! -f ${LSA_STATE_FILE} ]
    then
	exit ${LSA_STATE_UNCONFIGURED}
    fi
    exit `/bin/cat ${LSA_STATE_FILE}`
fi

case "$1" in
    "${LSA_STATE_UNCONFIGURED}"|"${LSA_STATE_CONFIGURED}"|"${LSA_STATE_PENDING}"|"${LSA_STATE_READY}")
	echo "$1" > ${LSA_STATE_FILE}
	exit 0
	;;
    "${LSA_STATE_REMOVE}")
	${RM} -f ${LSA_STATE_FILE}
	exit 0
	;;
    *)
	echo "Unknown state [$1]"
	exit 1
esac
