#!/usr/bin/bash
# Copyright (c) 2017, Oracle and/or its affiliates.
# Licensed under the Universal Permissive License v 1.0 as shown at http://oss.oracle.com/licenses/upl.
# script used to cleanly uninstall raid/nfs setup script (used in rpm %preun)

CUR_DIR="$(dirname "$0")"
source $CUR_DIR/globals.sh
source $CUR_DIR/common.sh



# Restore nfs config file
if [ -f $NFS_SYSCONFG_BAK ]; then
    $CP -f $NFS_SYSCONFG_BAK $NFS_SYSCONFG
fi
# Restore exports.d directory
if [ -d /etc/exports.d.bck ] && [ -h /etc/exports.d ]
then
    ${RM} -f /etc/exports.d
    ${MV} /etc/exports.d.bck /etc/exports.d
fi

if [ $GETENFORCE != 'Disabled' ]; then
    echo "remove SELinux configuration"
    $SETSEBOOL -P httpd_can_network_connect off
    $SETSEBOOL -P httpd_anon_write off
    $SETSEBOOL -P httpd_sys_script_anon_write off
    echo "remove custom SELinux policy"
    $SEMODULE --remove=selinux-webapp-allow-rules
fi

echo "remove webapp rule from public firwall zone"
state=$($FRLDCMD --permanent --query-service=webapp-lsa 2>/dev/null)
if [ "$state" == "yes" ]; then
    echo "remove webapp rule from public firwall zone"
    $FRLDCMD --zone=public --permanent --remove-service=webapp-lsa
fi

$FRLDCMD --state >/dev/null 2>&1
if [ $? -eq 0 ]
then
   # service is running
  echo "Reload firewalld service"
  $FRLDCMD --reload
fi

exit 0
