"""
Long running task framework JSON encoder

"""
__copyright__ = "Copyright 2017 Oracle.  All rights reserved."
__license__ = "Licensed under the Universal Permissive License v 1.0 as shown at  http://oss.oracle.com/licenses/upl."

import backend.taskmgr


def task_decoder(obj):
    """
    Deserialize JSON string
    this method check for object type set in __type__ property of obj
    And call appropriate deserialiser
    parameter
    obj : JSON string to be deserialized
    """
    _t = obj.get('__type__')
    if _t is None:
        return obj
    if _t == backend.taskmgr.TaskStatus.__name__:
        return backend.taskmgr.TaskStatus.deserialize(obj)
    if _t == backend.taskmgr.TaskStateChange.__name__:
        return backend.taskmgr.TaskStateChange.deserialize(obj)
    if _t == backend.taskmgr.Task.__name__:
        return backend.taskmgr.Task.deserialize(obj)
