/**
 * Copyright (c) 2017, Oracle and/or its affiliates.
 * Licensed under the Universal Permissive License v 1.0 as shown at http://oss.oracle.com/licenses/upl.
 */
define(['ojs/ojcore','jquery'],
       function(oj,$) {
           function LogsService() {
               this.getLogEntries = function (url) {
                   return(
                       new Promise(function(resolve, reject) {
                           $.ajax( {
                               'url':url,
                               'async': true,
                               'dataType': "json"
                           }).done(
                               function getLogStorageAjaxDone (data) {
                                   resolve(data.entries);
                               }
                           ).fail(
                               function getLogStorageAjaxFail (jqxhr, text_status,
                                                               error_thown) {
                                   reject(jqxhr.responseJSON ? jqxhr.responseJSON.msg : jqxhr.responseText);
                               }
                           );
                       })
                   );
               };
               /**
                * Gets storage related logs
                * @public
                */
               this.getStorageLogs = function (keyword) {
                   return(this.getLogEntries('/lsa/log/storage' + '?keyword=' + keyword));
               };
               this.getSystemLogs = function (keyword) {
                   return(this.getLogEntries('/lsa/log/system' + '?keyword=' + keyword));
               };
               this.getBootLogs = function (keyword) {
                   return(this.getLogEntries('/lsa/log/boot' + '?keyword=' + keyword));
               };
               this.getServiceLogs = function (keyword) {
                   return(this.getLogEntries('/lsa/log/services' + '?keyword=' + keyword));
               };
           }
           return new LogsService();
       }
      );
