/**
 * Copyright (c) 2017, Oracle and/or its affiliates.
 * Licensed under the Universal Permissive License v 1.0 as shown at http://oss.oracle.com/licenses/upl.
 */
define(['ojs/ojcore','jquery','signals'],
       function(oj,$) {
           function NFS() {

               var self = this;

               /**
                * Gets number of remote NFS connection currently opened
                * @returns {Promise} which resolves on a count of clients as a number.
                * This number can be 0.
                * @public
                */
               this.getClientCount = function () {
                   return(
                       new Promise(function(resolve, reject) {
                           $.ajax( {
                               'url':'/lsa/pool/nfs/clients',
                               'async': true,
                               'dataType': "json"
                           }).done(
                               function getClientCountAjaxDone (data) {
                                   resolve(data.list.length);
                               }
                           ).fail(
                               function getClientCountAjaxFail (jqxhr, text_status,
                                                               error_thown) {
                                   reject(jqxhr.responseJSON ? jqxhr.responseJSON.msg : jqxhr.responseText);
                               }
                           );
                       })
                   );
               };

           }

           return new NFS();
       }
      );
