/**
 * Copyright (c) 2014, 2016, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";
define(['jquery','./DvtToolkit', './DvtPanZoomCanvas'], function($, dvt) {
  // Internal use only.  All APIs and functionality are subject to change at any time.

!function(t){var e=function(){this.Init()};t.Obj.createSubclass(e,t.Obj,"DvtDiagramLayoutContext"),e.prototype.Init=function(){this._nodeCount=0,this._linkCount=0,this._bLocaleR2L=!1,this._nodes={},this._links={},this._arNodes=[],this._arLinks=[],this._dirtyContext={}},e.prototype.setLayout=function(t){this._layout=t},e.prototype.getLayout=function(){return this._layout},e.prototype.setLayoutAttributes=function(t){this._layoutAttrs=t},e.prototype.getLayoutAttributes=function(){return this._layoutAttrs},e.prototype.addNode=function(t){this.getNodeById(t.getId())||(this._nodeCount++,this._arNodes.push(t)),this._nodes[t.getId()]=t},e.prototype.addNodeToMap=function(t){this._nodes[t.getId()]=t},e.prototype.removeNode=function(e,o){o&&(e?t.ArrayUtils.removeItem(e.getChildNodes(),o):(t.ArrayUtils.removeItem(this._arNodes,o),this._nodeCount--),delete this._nodes[o.getId()])},e.prototype.getNodeById=function(t){return this._nodes[t]},e.prototype.getNodeByIndex=function(t){return this._arNodes[t]},e.prototype.getNodeCount=function(){return this._nodeCount},e.prototype.addLink=function(t){this.getLinkById(t.getId())||(this._linkCount++,this._arLinks.push(t)),this._links[t.getId()]=t},e.prototype.removeLink=function(e){e&&(this.getLinkById(e.getId())&&(t.ArrayUtils.removeItem(this._arLinks,e),this._linkCount--),delete this._links[e.getId()])},e.prototype.getLinkById=function(t){return this._links[t]},e.prototype.getLinkByIndex=function(t){return this._arLinks[t]},e.prototype.getLinkCount=function(){return this._linkCount},e.prototype.localToGlobal=function(e,o){var n=this.GetGlobalOffset(o);return new t.DiagramPoint(e.x+n.x,e.y+n.y)},e.prototype.GetGlobalOffset=function(e){for(var o=new t.DiagramPoint(0,0);e;){o.x+=e.ContentOffset.x+e.getPosition().x,o.y+=e.ContentOffset.y+e.getPosition().y;var n=e.getContainerId();if(n){if((e=this.getNodeById(n))&&e.isDisclosed()){var i=e.getContainerPadding();i&&(o.x+=i.left,o.y+=i.top)}}else e=null}return o},e.prototype.setLocaleR2L=function(t){this._bLocaleR2L=t},e.prototype.isLocaleR2L=function(){return this._bLocaleR2L},e.prototype.setComponentSize=function(t){this._componentSize=t},e.prototype.getComponentSize=function(){return this._componentSize},e.prototype.setViewport=function(t){this._viewport=t},e.prototype.getViewport=function(){return this._viewport},e.prototype.setContainerId=function(t){this._containerId=t},e.prototype.getContainerId=function(){return this._containerId},e.prototype.setContainerPadding=function(t,e,o,n){this.getContainerId()&&(this._containerPadding={},"number"!=typeof t&&"string"!=typeof t&&(n=t.left,e=t.right,o=t.bottom,t=t.top),this._containerPadding.top=t,this._containerPadding.right=e,this._containerPadding.bottom=o,this._containerPadding.left=n)},e.prototype.getContainerPadding=function(){return this._containerPadding},e.prototype.setCurrentViewport=function(t){this._currentViewport=t},e.prototype.getCurrentViewport=function(){return this._currentViewport},e.prototype.getCommonContainer=function(t,e){for(var o=function(t,e){for(var o=[],n=e.getNodeById(t)?e.getNodeById(t).getContainerId():null;n;)o.push(n),n=e.getNodeById(n)?e.getNodeById(n).getContainerId():null;return o.reverse(),o},n=o(t,this),i=o(e,this),r=null,a=0;a<n.length&&a<i.length&&n[a]==i[a];a++)r=n[a];return r},e.prototype.getEventData=function(){return this._eventData},e.prototype.setEventData=function(t){this._eventData=t},e.prototype.setDirtyContext=function(t){this._dirtyContext=t},e.prototype.getDirtyContext=function(){return this._dirtyContext};var o=function(){this.Init()};t.Obj.createSubclass(o,t.Obj,"DvtDiagramLayoutContextLink"),o.prototype.Init=function(){this._startConnectorOffset=0,this._endConnectorOffset=0,this._linkWidth=1,this._selected=!1,this._bPromoted=!1},o.prototype.setId=function(t){this._id=t},o.prototype.getId=function(){return this._id},o.prototype.setStartId=function(t){this._startId=t},o.prototype.getStartId=function(){return this._startId},o.prototype.setEndId=function(t){this._endId=t},o.prototype.getEndId=function(){return this._endId},o.prototype.setPoints=function(e){this._points="string"==typeof e?t.PathUtils.createPathArray(e):e,this.setDirty()},o.prototype.getPoints=function(){return this._points},o.prototype.setLabelPosition=function(t){this._labelPosition=t,this.setDirty()},o.prototype.getLabelPosition=function(){return this._labelPosition},o.prototype.setLabelBounds=function(t){this._labelBounds=t},o.prototype.getLabelBounds=function(){return this._labelBounds},o.prototype.setStartConnectorOffset=function(t){this._startConnectorOffset=t},o.prototype.getStartConnectorOffset=function(){return this._startConnectorOffset},o.prototype.setEndConnectorOffset=function(t){this._endConnectorOffset=t},o.prototype.getEndConnectorOffset=function(){return this._endConnectorOffset},o.prototype.setLinkWidth=function(t){this._linkWidth=t},o.prototype.getLinkWidth=function(){return this._linkWidth},o.prototype.setLayoutAttributes=function(t){this._layoutAttrs=t},o.prototype.getLayoutAttributes=function(){return this._layoutAttrs},o.prototype.setSelected=function(t){this._selected=t},o.prototype.getSelected=function(){return this._selected},o.prototype.setLabelRotationAngle=function(t){this._labelRotAngle=t,this.setDirty()},o.prototype.getLabelRotationAngle=function(){return this._labelRotAngle},o.prototype.setLabelRotationPoint=function(t){this._labelRotPoint=t,this.setDirty()},o.prototype.getLabelRotationPoint=function(){return this._labelRotPoint},o.prototype.setPromoted=function(t){this._bPromoted=t},o.prototype.isPromoted=function(){return this._bPromoted},o.prototype.setLabelValign=function(t){this._labelValign=t,this.setDirty()},o.prototype.setLabelHalign=function(t){this._labelHalign=t,this.setDirty()},o.prototype.getLabelValign=function(){return this._labelValign},o.prototype.getLabelHalign=function(){return this._labelHalign},o.prototype.setCoordinateSpace=function(t){this._coordinateContainerId=t,this.setDirty()},o.prototype.getCoordinateSpace=function(){return this._coordinateContainerId},o.prototype.setData=function(t){this._data=t},o.prototype.getData=function(){return this._data},o.prototype.setDirty=function(){this.LayoutContext&&(this.LayoutContext.getDirtyContext()[this.getId()]=!0)},o.prototype.copyFrom=function(t){t&&(this.setPoints(t.getPoints()),this.setLabelPosition(t.getLabelPosition()),this.setLabelRotationAngle(t.getLabelRotationAngle()),this.setLabelRotationPoint(t.getLabelRotationPoint()),this.setLabelValign(t.getLabelValign()),this.setLabelHalign(t.getLabelHalign()),this.setCoordinateSpace(t.getCoordinateSpace()))};var n=function(){this.Init()};t.Obj.createSubclass(n,t.Obj,"DvtDiagramLayoutContextNode"),n.prototype.Init=function(){this._bReadOnly=!1,this._selected=!1,this._bDisclosed=!1,this.IsRendered=!0,this.ContentOffset=new t.DiagramPoint(0,0)},n.prototype.setId=function(t){this._id=t},n.prototype.getId=function(){return this._id},n.prototype.setBounds=function(t){this._bounds=t,this._origBounds=t},n.prototype.getBounds=function(){return!this._bounds&&this.Component&&this.Component.updateNodeDims(this),this._bounds},n.prototype.setContentBounds=function(t){this._contentBounds=t,this._origContentBounds=t},n.prototype.getContentBounds=function(){return!this._contentBounds&&this.Component&&this.Component.updateNodeDims(this),this._contentBounds},n.prototype.setPosition=function(t){this._position=t,this.UpdateParentNodes(),this.setDirty()},n.prototype.getPosition=function(){return this._position},n.prototype.getRelativePosition=function(e){var o=this.LayoutContext;if(o){for(var n=new t.DiagramPoint(0,0),i=this,r=!1;i;){var a=i.getContainerId();if(a){var s=o.getNodeById(a);s&&this.Component&&!s.IsRendered&&this.Component.renderNodeFromContext(s,!0)}if(n.x+=i.ContentOffset.x+i.getPosition().x,n.y+=i.ContentOffset.y+i.getPosition().y,a!=e)if((i=o.getNodeById(a))&&i.isDisclosed()){var p=i.getContainerPadding();p&&(n.x+=p.left,n.y+=p.top)}else i=null;else r=!0,i=null}return r||(n=null),n}},n.prototype.setLabelPosition=function(t){this._labelPosition=t,this.setDirty()},n.prototype.getLabelPosition=function(){return this._labelPosition},n.prototype.setLabelBounds=function(t){this._labelBounds=t},n.prototype.getLabelBounds=function(){return!this._labelBounds&&this.Component&&this.Component.updateNodeDims(this),this._labelBounds},n.prototype.setLayoutAttributes=function(t){this._layoutAttrs=t},n.prototype.getLayoutAttributes=function(){return this._layoutAttrs},n.prototype.setReadOnly=function(t){this._bReadOnly=t},n.prototype.isReadOnly=function(){return this._bReadOnly},n.prototype.setContainerId=function(t){this._containerId=t},n.prototype.getContainerId=function(){return this._containerId},n.prototype.setSelected=function(t){this._selected=t},n.prototype.getSelected=function(){return this._selected},n.prototype.setLabelRotationAngle=function(t){this._labelRotAngle=t,this.setDirty()},n.prototype.getLabelRotationAngle=function(){return this._labelRotAngle},n.prototype.setLabelRotationPoint=function(t){this._labelRotPoint=t,this.setDirty()},n.prototype.getLabelRotationPoint=function(){return this._labelRotPoint},n.prototype.SetContainerPaddingObj=function(e){this.isDisclosed()&&(this._containerPadding=e,e&&(this._origBounds&&(this._origBounds=new t.DiagramRectangle(this._origBounds.x,this._origBounds.y,this._origBounds.w-(e.left+e.right),this._origBounds.h-(e.top+e.bottom))),this._origContentBounds&&(this._origContentBounds=new t.DiagramRectangle(this._origContentBounds.x,this._origContentBounds.y,this._origContentBounds.w-(e.left+e.right),this._origContentBounds.h-(e.top+e.bottom)))))},n.prototype.setContainerPadding=function(e,o,n,i){this.isDisclosed()&&(this._containerPadding={},"number"!=typeof e&&"string"!=typeof e&&(i=e.left,o=e.right,n=e.bottom,e=e.top),this._containerPadding.top=e,this._containerPadding.right=o,this._containerPadding.bottom=n,this._containerPadding.left=i,this._origBounds&&(this._bounds=new t.DiagramRectangle(this._origBounds.x,this._origBounds.y,this._origBounds.w+i+o,this._origBounds.h+e+n)),this._origContentBounds&&(this._contentBounds=new t.DiagramRectangle(this._origContentBounds.x,this._origContentBounds.y,this._origContentBounds.w+i+o,this._origContentBounds.h+e+n)),this.setDirty())},n.prototype.getContainerPadding=function(){return this._containerPadding},n.prototype.setDisclosed=function(t){this._bDisclosed=t},n.prototype.isDisclosed=function(){return this._bDisclosed},n.prototype.setChildNodes=function(t){this._childNodes=t},n.prototype.getChildNodes=function(){return this._childNodes},n.prototype.setParentNode=function(t){this._parentNode=t},n.prototype.getParentNode=function(){return this._parentNode},n.prototype.UpdateParentNodes=function(){var t=this.getParentNode();t&&t.IsRendered&&(t.Reset(),t.UpdateParentNodes())},n.prototype.Reset=function(){this.IsRendered=!1,this.setBounds(null),this.setContentBounds(null),this.setLabelBounds(null)},n.prototype.setLabelValign=function(t){this._labelValign=t,this.setDirty()},n.prototype.setLabelHalign=function(t){this._labelHalign=t,this.setDirty()},n.prototype.getLabelValign=function(){return this._labelValign},n.prototype.getLabelHalign=function(){return this._labelHalign},n.prototype.setData=function(t){this._data=t},n.prototype.getData=function(){return this._data},n.prototype.setDirty=function(){this.LayoutContext&&(this.LayoutContext.getDirtyContext()[this.getId()]=!0)},n.prototype.copyFrom=function(t){t&&(this.setPosition(t.getPosition()),this.setLabelPosition(t.getLabelPosition()),this.setLabelRotationAngle(t.getLabelRotationAngle()),this.setLabelRotationPoint(t.getLabelRotationPoint()),this.setLabelValign(t.getLabelValign()),this.setLabelHalign(t.getLabelHalign()),t.getContainerPadding()&&this.setContainerPadding(t.getContainerPadding()))};var i=function(t,e){this.Init(t,e)};t.Obj.createSubclass(i,t.Obj,"DvtDiagramPoint"),i.prototype.Init=function(t,e){this.x=null===t||isNaN(t)?0:t,this.y=null===e||isNaN(e)?0:e};var r=function(t,e,o,n){this.Init(t,e,o,n)};t.Obj.createSubclass(r,t.Obj,"DvtDiagramRectangle"),r.prototype.Init=function(t,e,o,n){this.x=null===t||isNaN(t)?0:t,this.y=null===e||isNaN(e)?0:e,this.w=null===o||isNaN(o)?0:o,this.h=null===n||isNaN(n)?0:n},t.DiagramPoint=i,t.DiagramRectangle=r,t.BaseDiagram=function(t,e,o){this.Init(t,e,o)},t.Obj.createSubclass(t.BaseDiagram,t.PanZoomComponent,"dvt.BaseDiagram"),t.BaseDiagram.prototype.Init=function(e,o,n){t.BaseDiagram.superclass.Init.call(this,e,o,n),this.getCtx().getStage().getElem().setAttributeNS(null,"text-rendering","geometricPrecision"),this._linksPane=new t.Container(e),this._nodesPane=new t.Container(e),this._topPane=new t.Container(e),this.InitializeZoomLimits()},t.BaseDiagram.prototype.InitComponentInternal=function(){var t=this.getPanZoomCanvas();t.setMinZoom(this.getMinZoom()),t.setMaxZoom(this.getMaxZoom()),t.setAnimationDuration(this.getAnimationDuration()),t.getContentPane().addChild(this._linksPane),t.getContentPane().addChild(this._nodesPane),t.getContentPane().addChild(this._topPane)},t.BaseDiagram.prototype.getAnimationDuration=function(){return t.PanZoomCanvas.DEFAULT_ANIMATION_DURATION},t.BaseDiagram.prototype.setMaxZoom=function(t){this._maxZoom=t,this.getPanZoomCanvas()&&this.getPanZoomCanvas().setMaxZoom(t)},t.BaseDiagram.prototype.getMaxZoom=function(){return this._maxZoom},t.BaseDiagram.prototype.setMinZoom=function(t){this._minZoom=t,this.getPanZoomCanvas()&&this.getPanZoomCanvas().setMinZoom(t)},t.BaseDiagram.prototype.getMinZoom=function(){return this._minZoom},t.BaseDiagram.prototype.InitializeZoomLimits=function(){this.setMaxZoom(2),this.setMinZoom(0)},t.BaseDiagram.prototype.getNodeById=function(t){return null},t.BaseDiagram.prototype.getLinkById=function(t){return null},t.BaseDiagram.prototype.GetAllLinks=function(){return[]},t.BaseDiagram.prototype.GetAllNodes=function(){return[]},t.BaseDiagram.prototype.GetAllRoots=function(){return[]},t.BaseDiagram.prototype.RefreshEmptyText=function(e){if(e&&this.getEmptyText())this._emptyTextDisplay?(this._emptyTextDisplay.setX(this.Width/2),this._emptyTextDisplay.setY(this.Height/2),t.TextUtils.fitText(this._emptyTextDisplay,this.getWidth()-2*t.TextUtils.EMPTY_TEXT_BUFFER,1/0,this)):this._emptyTextDisplay=this.CreateEmptyText(this.getEmptyText());else if(this._emptyTextDisplay){var o=this._emptyTextDisplay.getParent();o&&o.removeChild(this._emptyTextDisplay),this._emptyTextDisplay=null}},t.BaseDiagram.prototype.CreateEmptyText=function(e){var o=this.getOptions();return t.TextUtils.renderEmptyText(this,e,new t.Rectangle(0,0,this.getWidth(),this.getHeight()),this.getEventManager(),o._statusMessageStyle)},t.BaseDiagram.prototype.setEmptyText=function(t){this._emptyText=t},t.BaseDiagram.prototype.getEmptyText=function(){return this._emptyText},t.BaseDiagram.prototype.SetPanningEnabled=function(t){this._panningEnabled=t},t.BaseDiagram.prototype.IsPanningEnabled=function(){return this._panningEnabled},t.BaseDiagram.prototype.setPanDirection=function(t){this._panDirection=t,this.getPanZoomCanvas()&&this.getPanZoomCanvas().setPanDirection(t)},t.BaseDiagram.prototype.getPanDirection=function(){return this._panDirection},t.BaseDiagram.prototype.SetZoomingEnabled=function(t){this._zoomingEnabled=t},t.BaseDiagram.prototype.IsZoomingEnabled=function(){return this._zoomingEnabled},t.BaseDiagram.prototype.getSelectionHandler=function(){return this._selectionHandler},t.BaseDiagram.prototype.setSelectionMode=function(e){this._selectionHandler="single"==e?new t.SelectionHandler(t.SelectionHandler.TYPE_SINGLE):"multiple"==e?new t.SelectionHandler(t.SelectionHandler.TYPE_MULTIPLE):null,this.getEventManager().setSelectionHandler(this._selectionHandler)},t.BaseDiagram.prototype.getSelectionMode=function(){return this._selectionHandler?this._selectionHandler.getType():null},t.BaseDiagram.prototype.isSelectionSupported=function(){return!!this._selectionHandler},t.BaseDiagram.prototype.getNodesPane=function(){return this._nodesPane},t.BaseDiagram.prototype.setNodesPane=function(t){this._nodesPane=t},t.BaseDiagram.prototype.getLinksPane=function(){return this._linksPane},t.BaseDiagram.prototype.setLinksPane=function(t){this._linksPane=t},t.BaseDiagram.prototype.getTopPane=function(){return this._topPane},t.BaseDiagram.prototype.setTopPane=function(t){this._topPane=t},t.BaseDiagram.prototype.CreateEmptyLayoutContext=function(){var o=new e;return o.setLocaleR2L(t.Agent.isRightToLeft(this.getCtx())),o.setComponentSize(new t.DiagramRectangle(0,0,this.getWidth(),this.getHeight())),o},t.BaseDiagram.prototype.CreateLayoutContextNode=function(e,o,i,r){var a=new n;a.setId(e.getId?e.getId():e.getData().getId()),a.setBounds(t.DiagramLayoutUtils.convertRectToDiagramRect(e.getLayoutBounds())),a.setContentBounds(t.DiagramLayoutUtils.convertRectToDiagramRect(e.getContentBounds()));var s=e.getLayoutAttributes?e.getLayoutAttributes(o):e.getData()._origData;return a.setLayoutAttributes(s),a.setData(s),a.setLabelBounds(t.DiagramLayoutUtils.convertRectToDiagramRect(e.getLabelBounds())),a.setLabelPosition(t.DiagramLayoutUtils.convertPointToDiagramPoint(e.getLabelPosition())),a.setSelected(1==e.isSelected()),e.isDisclosed()&&(a.setDisclosed(!0),a.SetContainerPaddingObj(t.BaseDiagram.getLayoutContainerPadding(e.getContainerPadding()))),a.setContainerId(e.getGroupId()),a.Component=this,a.IsRendered=!i,a.LayoutContext=r,a},t.BaseDiagram.prototype.CreateLayoutContextLink=function(e,n,i,r,a){var s=new o;s.setId(e.getId?e.getId():e.getData().getId()),s.setStartId(n||e.getData().getStartId()),s.setEndId(i||e.getData().getEndId());var p=e.getLayoutAttributes?e.getLayoutAttributes(r):e.isPromoted()?e.getData()._links:e.getData()._origData;return s.setLayoutAttributes(p),s.setData(p),s.setLabelBounds(t.DiagramLayoutUtils.convertRectToDiagramRect(e.getLabelBounds())),s.setLabelPosition(t.DiagramLayoutUtils.convertPointToDiagramPoint(e.getLabelPosition())),s.setStartConnectorOffset(e.getStartConnectorOffset()),s.setEndConnectorOffset(e.getEndConnectorOffset()),s.setLinkWidth(e.getLinkWidth()),s.setSelected(1==e.isSelected()),s.setPromoted(1==e.isPromoted()),s.LayoutContext=a,s},t.BaseDiagram.prototype.ApplyLayoutContext=function(e,o){var n=e.getContainerPadding();if(n){var i=e.getContainerId();if(i){var r=this.getNodeById(i);r&&r.setContainerPadding(t.BaseDiagram.getContainerPadding(n))}}for(var a=Number.MAX_VALUE,s=Number.MAX_VALUE,p=0;p<e.getNodeCount();p++){(_=(L=e.getNodeByIndex(p)).getPosition())&&(a=Math.min(a,_.x),s=Math.min(s,_.y));var l=L.getLabelBounds(),g=L.getLabelPosition();l&&g&&(a=Math.min(a,g.x+l.x),s=Math.min(s,g.y+l.y))}for(var d=0;d<e.getLinkCount();d++){if(k=(b=e.getLinkByIndex(d)).getPoints())for(var u=t.DiagramLinkUtils.GetControlPoints(k),y=0;y<u.length;y++){var h=u[y];a=Math.min(a,h.x),s=Math.min(s,h.y)}l=b.getLabelBounds(),g=b.getLabelPosition();l&&g&&(a=Math.min(a,g.x+l.x),s=Math.min(s,g.y+l.y))}var c=new t.Point(-a,-s),m=c.x,C=c.y,f=e.getDirtyContext();for(p=0;p<e.getNodeCount();p++){var L;if((L=e.getNodeByIndex(p)).getContainerId()&&(L.ContentOffset=new t.DiagramPoint(c.x,c.y)),f[L.getId()]){var _,D=this.getNodeById(L.getId());if((_=L.getPosition())&&D.SetPosition(_.x+m,_.y+C),this.ApplyLabelPosition(L,D,t.DiagramLayoutUtils.convertDiagramPointToPoint(_)),D.isDisclosed()){var P=L.getContainerPadding();P&&D.setContainerPadding(t.BaseDiagram.getContainerPadding(P))}}}for(d=0;d<e.getLinkCount();d++){var b;if(f[(b=e.getLinkByIndex(d)).getId()]){var k,B=this.getLinkById(b.getId()),x=this.GetLinkTranslationOffset(B,b,c),N=x.x,R=x.y;if(k=b.getPoints()){k.length>0&&!isNaN(k[0])&&(k=t.DiagramLinkUtils.ConvertToPath(k));var v=[];for(y=0;y<k.length;)isNaN(k[y])?(v.push(k[y]),y++):(v.push(k[y]+N),v.push(k[y+1]+R),y+=2);B.setPoints(v)}this.ApplyLabelPosition(b,B,new t.Point(-N,-R))}}var S=e.getViewport();S&&(this._layoutViewport=new t.Rectangle(S.x+m,S.y+C,S.w,S.h)),o&&(this._layoutOffset=new t.Point(m,C))},t.BaseDiagram.prototype.GetLinkTranslationOffset=function(e,o,n){var i=new t.Point(0,0);if(e.getGroupId()){if(e.getGroupId()!=o.getCoordinateSpace()){for(var r=o.getCoordinateSpace(),a=this.getNodeById(e.getGroupId());a;){var s=a.getContainerPadding();i.x-=s.left-a.GetPosition().x,i.y-=s.top-a.GetPosition().y;var p=a.getGroupId();a=p!=r?this.getNodeById(p):null}r||(i.x+=n.x,i.y+=n.y)}}else i=n;return i},t.BaseDiagram.prototype.GetLayoutViewport=function(){return this._layoutViewport},t.BaseDiagram.prototype.IsLayoutViewport=function(){return!!this._layoutViewport},t.BaseDiagram.prototype.ClearLayoutViewport=function(){this._layoutViewport=null},t.BaseDiagram.prototype.AdjustMinZoom=function(t){if(0==this.getMinZoom()){var e=this.getPanZoomCanvas(),o=t||this.GetViewBounds(),n=this.CalculateMinimumScale(o);return e.setMinZoom(this.GetMinZoomFactor()*Math.min(n,e.getMaxZoom())),o}return null},t.BaseDiagram.prototype.GetMinZoomFactor=function(){return 1},t.BaseDiagram.prototype.CalculateMinimumScale=function(t){if(!t)return 0;var e=this.getPanZoomCanvas(),o=(this.Width-2*e.getZoomToFitPadding())/t.w,n=(this.Height-2*e.getZoomToFitPadding())/t.h;return Math.min(o,n)},t.BaseDiagram.prototype.GetViewBounds=function(){for(var t,e,o,n,i,r,a,s,p,l=null,g=this.GetAllRoots(),d=0;d<g.length;d++)i=g[d],(n=this.getNodeById(i))&&n.getVisible()&&(t=n.GetNodeBounds(),e=n.getTranslateX(),o=n.getTranslateY(),t.x+=e,t.y+=o,l?(s=l.x,p=l.y,l.x=Math.min(l.x,t.x),l.y=Math.min(l.y,t.y),l.w=Math.max(s+l.w,t.x+t.w)-l.x,l.h=Math.max(p+l.h,t.y+t.h)-l.y):l=t);var u=this.GetAllLinks();for(d=0;d<u.length;d++)if(a=u[d],(r=this.getLinkById(a))&&r.getVisible()){if(t=r.GetLinkBounds(),r.getGroupId())continue;l?(s=l.x,p=l.y,l.x=Math.min(l.x,t.x),l.y=Math.min(l.y,t.y),l.w=Math.max(s+l.w,t.x+t.w)-l.x,l.h=Math.max(p+l.h,t.y+t.h)-l.y):l=t}return l},t.BaseDiagram.RotateBounds=function(e,o,n){if(null==o&&!n)return e;var i=new t.Point(e.x,e.y),r=new t.Point(e.x+e.w,e.y),a=new t.Point(e.x,e.y+e.h),s=new t.Point(e.x+e.w,e.y+e.h),p=new t.Matrix;null!=o&&(n&&p.translate(-n.x,-n.y),p.rotate(o),n&&p.translate(n.x,n.y));var l=p.transformPoint(i),g=p.transformPoint(r),d=p.transformPoint(a),u=p.transformPoint(s),y=Math.min(Math.min(l.x,g.x),Math.min(d.x,u.x)),h=Math.max(Math.max(l.x,g.x),Math.max(d.x,u.x)),c=Math.min(Math.min(l.y,g.y),Math.min(d.y,u.y)),m=Math.max(Math.max(l.y,g.y),Math.max(d.y,u.y));return new t.Rectangle(y,c,h-y,m-c)},t.BaseDiagram.prototype.ConstrainPanning=function(t,e,o,n,i){var r=this.getPanZoomCanvas(),a=r.getSize().w/2,s=r.getSize().h/2,p=a-(o+t)*i,l=s-(n+e)*i,g=a-t*i,d=s-e*i;if(this.IsLayoutViewport()){var u,y,h=this.GetLayoutViewport();-h.x*i<p?(p-=u=p+h.x*i,g+=u):-h.x*i>g&&(p-=u=-h.x*i-g,g+=u),-h.y*i<l?(l-=y=l+h.y*i,d+=y):-h.y*i>d&&(l-=y=-h.y*i-d,d+=y)}r.setMinPanX(p),r.setMinPanY(l),r.setMaxPanX(g),r.setMaxPanY(d)},t.BaseDiagram.prototype.moveToDiagramFront=function(t){this._topPane.addChild(t)},t.BaseDiagram.prototype.moveToLinks=function(t){this._linksPane.addChild(t)},t.BaseDiagram.prototype.moveToNodes=function(t){this._nodesPane.addChild(t)},t.BaseDiagram.getContainerPadding=function(t){var e=new Object;return e.top=t.top,e.right=t.right,e.bottom=t.bottom,e.left=t.left,e},t.BaseDiagram.getLayoutContainerPadding=function(t){var e=new Object;return e.top=t.top,e.right=t.right,e.bottom=t.bottom,e.left=t.left,e},t.BaseDiagram.prototype.ApplyLabelPosition=function(e,o,n){var i=e.getLabelBounds();i=t.DiagramLayoutUtils.convertDiagramRectToRect(i);var r=e.getLabelPosition();if(i&&r){var a=new t.Point(r.x-n.x,r.y-n.y),s=e.getLabelRotationAngle(),p=t.DiagramLayoutUtils.convertDiagramPointToPoint(e.getLabelRotationPoint());o.setLabelBounds(i),o.setLabelPosition(a),o.setLabelAlignments(e.getLabelHalign(),e.getLabelValign()),null!=s&&o.setLabelRotationAngle(s),p&&o.setLabelRotationPoint(p)}},t.BaseDiagram.prototype.getLayoutOffset=function(){return this._layoutOffset?this._layoutOffset:new t.Point(0,0)},t.BaseDiagram.prototype.getCustomObjKeyboardBoundingBox=function(e){var o=e.getElem().getBoundingClientRect(),n=this.getPanZoomCanvas().getContentPane().getElem().getBoundingClientRect(),i=this.getPanZoomCanvas().getContentPane().getMatrix();return new t.Rectangle(o.left-n.left+i.getTx(),o.top-n.top+i.getTy(),o.width,o.height)},t.BaseDiagramKeyboardHandler=function(t,e){this.Init(t,e)},t.Obj.createSubclass(t.BaseDiagramKeyboardHandler,t.PanZoomCanvasKeyboardHandler,"dvt.BaseDiagramKeyboardHandler"),t.BaseDiagramKeyboardHandler._OUTGOING=0,t.BaseDiagramKeyboardHandler._INGOING=1,t.BaseDiagramKeyboardHandler.prototype.Init=function(e,o){t.BaseDiagramKeyboardHandler.superclass.Init.call(this,e,o),this._diagram=e},t.BaseDiagramKeyboardHandler.prototype.GetDiagram=function(){return this._diagram},t.BaseDiagramKeyboardHandler.prototype.isSelectionEvent=function(e){return e.keyCode!=t.KeyboardEvent.TAB&&(this.isNavigationEvent(e)&&!e.ctrlKey)},t.BaseDiagramKeyboardHandler.prototype.isMultiSelectEvent=function(e){return e.keyCode==t.KeyboardEvent.SPACE&&e.ctrlKey},t.BaseDiagramKeyboardHandler.prototype.getFirstNavigableLink=function(e,o,n){var i=o.keyCode;if(!n||n.length<1||!e)return null;for(var r=n[0],a=e.getKeyboardBoundingBox(),s=a.x+a.w/2,p=0;p<n.length;p++){var l=n[p],g=l.getKeyboardBoundingBox(),d=g.x+g.w/2;if(i==t.KeyboardEvent.OPEN_ANGLED_BRACKET&&d<=s||i==t.KeyboardEvent.CLOSE_ANGLED_BRACKET&&d>=s){r=l;break}}return r},t.BaseDiagramKeyboardHandler.prototype.getNextNavigableLink=function(e,o,n,i){if(!i)return null;if(!o)return i[0];if(!e)return o;this._addSortingAttributes(e,i),i.sort(this._getLinkComparator()),this._removeSortingAttributes(i);for(var r=n.keyCode==t.KeyboardEvent.DOWN_ARROW,a=0,s=0;s<i.length;s++){if(i[s]===o){a=r?s==i.length-1?0:s+1:0==s?i.length-1:s-1;break}}return i[a]},t.BaseDiagramKeyboardHandler.prototype.GetVisibleNode=function(t){return null},t.BaseDiagramKeyboardHandler.prototype._getClockwiseAngle=function(t,e){var o=this.GetVisibleNode(e.getStartId?e.getStartId():e.getData().getStartId()),n=this.GetVisibleNode(e.getEndId?e.getEndId():e.getData().getEndId()),i=t==o?n:o,r=this._getNodeCenter(t),a=this._getNodeCenter(i),s=Math.atan2(a.y-r.y,a.x-r.x);return s=s<0?s+2*Math.PI:s},t.BaseDiagramKeyboardHandler.prototype._getNodeCenter=function(e){var o=e.getKeyboardBoundingBox();return new t.Point(o.x+o.w/2,o.y+o.h/2)},t.BaseDiagramKeyboardHandler.prototype._getNodesDistance=function(t){var e=this.GetVisibleNode(t.getStartId?t.getStartId():t.getData().getStartId()),o=this.GetVisibleNode(t.getEndId?t.getEndId():t.getData().getEndId()),n=this._getNodeCenter(e),i=this._getNodeCenter(o);return Math.sqrt(Math.pow(i.x-n.x,2)+Math.pow(i.y-n.y,2))},t.BaseDiagramKeyboardHandler.prototype._getLinkDirection=function(e,o){return e==this.GetVisibleNode(o.getEndId?o.getEndId():o.getData().getEndId())?t.BaseDiagramKeyboardHandler._INGOING:t.BaseDiagramKeyboardHandler._OUTGOING},t.BaseDiagramKeyboardHandler.prototype._getLinkComparator=function(){return function(e,o){var n=e.__angle,i=o.__angle,r=-1;return!t.BaseDiagramKeyboardHandler._anglesAreEqualWithinTolerance(n,i)&&n>i?r=1:t.BaseDiagramKeyboardHandler._anglesAreEqualWithinTolerance(n,i)&&(e.__distance>o.__distance?r=1:o.__distance==e.__distance&&e.__direction>o.__direction?r=1:o.__distance==e.__distance&&e.__direction==o.__direction&&(r=0)),r}},t.BaseDiagramKeyboardHandler.prototype._removeSortingAttributes=function(t){for(var e=0;e<t.length;e++){var o=t[e];o.__angle=void 0,o.__distance=void 0,o.__direction=void 0}},t.BaseDiagramKeyboardHandler.prototype._addSortingAttributes=function(t,e){for(var o=0;o<e.length;o++){var n=e[o];n.__angle=this._getClockwiseAngle(t,n),n.__distance=this._getNodesDistance(n),n.__direction=this._getLinkDirection(t,n)}},t.BaseDiagramKeyboardHandler._anglesAreEqualWithinTolerance=function(t,e){var o=Math.abs(t-e)<=1e-7;return o||(o=Math.abs(2*Math.PI+Math.min(t,e)-Math.max(t,e))<=1e-7),o},t.BaseDiagramNode=function(t,e,o){this.Init(t,e,o)},t.Obj.createSubclass(t.BaseDiagramNode,t.Container,"dvt.BaseDiagramNode"),t.BaseDiagramNode.prototype.Init=function(e,o,n){t.BaseDiagramNode.superclass.Init.call(this,e,null,o),this._diagram=n,this._bDisclosed=!1,this._selected=!1,this._selectable=!0},t.BaseDiagramNode.prototype.GetDiagram=function(){return this._diagram},t.BaseDiagramNode.prototype.getData=function(){return null},t.BaseDiagramNode.prototype.getLayoutBounds=function(t){return this.getContentBounds(t)},t.BaseDiagramNode.prototype.getContentBounds=function(t){return null},t.BaseDiagramNode.prototype.setLabelPosition=function(e){e&&(this._labelPos=e,t.BaseDiagramNode.PositionLabel(this._labelObj,e,this.getLabelBounds(!0),this.getLabelRotationAngle(),this.getLabelRotationPoint()))},t.BaseDiagramNode.prototype.getLabelPosition=function(){return this._labelPos},t.BaseDiagramNode.prototype.getLabelBounds=function(t){return null},t.BaseDiagramNode.prototype.setLabelBounds=function(t){},t.BaseDiagramNode.prototype.getContainerPadding=function(){return null},t.BaseDiagramNode.prototype.setContainerPadding=function(t,e,o,n){},t.BaseDiagramNode.prototype.isDisclosed=function(){return this._bDisclosed},t.BaseDiagramNode.prototype.setDisclosed=function(t){this._bDisclosed=t},t.BaseDiagramNode.prototype.isSelected=function(){return this._selected},t.BaseDiagramNode.prototype.setSelected=function(t){this._selected=t},t.BaseDiagramNode.prototype.setSelectable=function(t){this._selectable=t},t.BaseDiagramNode.prototype.isSelectable=function(){return this.GetDiagram().isSelectionSupported()&&this._selectable},t.BaseDiagramNode.prototype.setLabelRotationAngle=function(e){this._labelRotAngle=e,t.BaseDiagramNode.PositionLabel(this._labelObj,this.getLabelPosition(),this.getLabelBounds(!0),e,this.getLabelRotationPoint())},t.BaseDiagramNode.prototype.getLabelRotationAngle=function(){return this._labelRotAngle},t.BaseDiagramNode.prototype.setLabelRotationPoint=function(e){this._labelRotPoint=e,t.BaseDiagramNode.PositionLabel(this._labelObj,this.getLabelPosition(),this.getLabelBounds(!0),this.getLabelRotationAngle(),e)},t.BaseDiagramNode.prototype.getLabelRotationPoint=function(){return this._labelRotPoint},t.BaseDiagramNode.prototype.GetNodeBounds=function(){var e=this.getLayoutBounds(!0),o=new t.Rectangle(e.x,e.y,e.w,e.h),n=n=this.getLabelPosition(),i=this.getLabelRotationAngle(),r=this.getLabelRotationPoint(),a=this.getLabelBounds(!0);return n&&a&&(null!=i&&(a=t.BaseDiagram.RotateBounds(a,i,r)),o.x=Math.min(e.x,a.x+n.x),o.y=Math.min(e.y,a.y+n.y),o.w=Math.max(e.x+e.w,a.x+n.x+a.w)-o.x,o.h=Math.max(e.y+e.h,a.y+n.y+a.h)-o.y),o},t.BaseDiagramNode.CalcLabelMatrix=function(e,o,n,i){var r=new t.Matrix;return null!=n&&(i&&r.translate(-i.x,-i.y),r.rotate(n),i&&r.translate(i.x,i.y)),e&&r.translate(e.x,e.y),r},t.BaseDiagramNode.PositionLabel=function(e,o,n,i,r){if(e){var a=t.BaseDiagramNode.CalcLabelMatrix(o,n,i,r);e.setMatrix(a)}},t.BaseDiagramNode.prototype.SetPosition=function(t,e){this.setTranslate(t,e)},t.BaseDiagramNode.prototype.GetPosition=function(){return new t.Point(this.getTranslateX(),this.getTranslateY())},t.BaseDiagramNode.prototype.getNextNavigable=function(t){return null},t.BaseDiagramNode.prototype.getKeyboardBoundingBox=function(e){if(this._customNodeContent)return this._diagram.getCustomObjKeyboardBoundingBox(this);var o=this.getContentBounds(e),n=this.localToStage(new t.Point(o.x,o.y)),i=this.localToStage(new t.Point(o.x+o.w,o.y+o.h));return new t.Rectangle(n.x,n.y,i.x-n.x,i.y-n.y)},t.BaseDiagramNode.prototype.getTargetElem=function(){return this.getElem()},t.BaseDiagramNode.prototype.showKeyboardFocusEffect=function(){},t.BaseDiagramNode.prototype.hideKeyboardFocusEffect=function(){},t.BaseDiagramNode.prototype.isShowingKeyboardFocusEffect=function(){},t.BaseDiagramNode.prototype.getCategories=function(){return null},t.BaseDiagramNode.prototype.addOutLinkId=function(t){this._outLinkIds||(this._outLinkIds=[]),this._outLinkIds.push(t)},t.BaseDiagramNode.prototype.removeOutLinkId=function(e){if(this._outLinkIds){var o=t.ArrayUtils.getIndex(this._outLinkIds,e);-1!=o&&this._outLinkIds.splice(o,1)}},t.BaseDiagramNode.prototype.getOutLinkIds=function(){return this._outLinkIds},t.BaseDiagramNode.prototype.addInLinkId=function(t){this._inLinkIds||(this._inLinkIds=[]),this._inLinkIds.push(t)},t.BaseDiagramNode.prototype.removeInLinkId=function(e){if(this._inLinkIds){var o=t.ArrayUtils.getIndex(this._inLinkIds,e);-1!=o&&this._inLinkIds.splice(o,1)}},t.BaseDiagramNode.prototype.getInLinkIds=function(){return this._inLinkIds},t.BaseDiagramNode.prototype.setLabelAlignments=function(t,e){},t.BaseDiagramNode.prototype.getGroupId=function(){return null},t.BaseDiagramLink=function(t,e,o){this.Init(t,e,o)},t.Obj.createSubclass(t.BaseDiagramLink,t.Container,"dvt.BaseDiagramLink"),t.BaseDiagramLink.prototype.Init=function(e,o,n){t.BaseDiagramLink.superclass.Init.call(this,e,null,o),this._diagram=n,this._selected=!1,this._selectable=!0},t.BaseDiagramLink.prototype.GetDiagram=function(){return this._diagram},t.BaseDiagramLink.prototype.setEndConnectorType=function(t){},t.BaseDiagramLink.prototype.getEndConnectorType=function(){return null},t.BaseDiagramLink.prototype.setStartConnectorType=function(t){},t.BaseDiagramLink.prototype.setStartConnector=function(t){this._startConnector=t},t.BaseDiagramLink.prototype.getStartConnector=function(){return this._startConnector},t.BaseDiagramLink.prototype.setEndConnector=function(t){this._endConnector=t},t.BaseDiagramLink.prototype.getEndConnector=function(){return this._endConnector},t.BaseDiagramLink.prototype.setShape=function(t){this._shape=t},t.BaseDiagramLink.prototype.getShape=function(){return this._shape},t.BaseDiagramLink.prototype.setLabelRotationAngle=function(e){this._labelRotAngle=e,t.BaseDiagramLink.PositionLabel(this._labelObj,this.getLabelPosition(),this.getLabelBounds(),e,this.getLabelRotationPoint())},t.BaseDiagramLink.prototype.getLabelRotationAngle=function(){return this._labelRotAngle},t.BaseDiagramLink.prototype.setLabelRotationPoint=function(e){this._labelRotPoint=e,t.BaseDiagramLink.PositionLabel(this._labelObj,this.getLabelPosition(),this.getLabelBounds(),this.getLabelRotationAngle(),e)},t.BaseDiagramLink.prototype.getLabelRotationPoint=function(){return this._labelRotPoint},t.BaseDiagramLink.prototype.getLabelPosition=function(){return this._labelPos},t.BaseDiagramLink.prototype.setLabelPosition=function(e){e&&(this._labelPos=e,t.BaseDiagramLink.PositionLabel(this._labelObj,e,this.getLabelBounds(),this.getLabelRotationAngle(),this.getLabelRotationPoint()))},t.BaseDiagramLink.prototype.getLabelBounds=function(){return null},t.BaseDiagramLink.prototype.setLabelBounds=function(t){},t.BaseDiagramLink.prototype.getStartConnectorOffset=function(){return 0},t.BaseDiagramLink.prototype.getEndConnectorOffset=function(){return 0},t.BaseDiagramLink.prototype.setSelectable=function(t){this._selectable=t},t.BaseDiagramLink.prototype.isSelectable=function(){return this.GetDiagram().isSelectionSupported()&&this._selectable},t.BaseDiagramLink.prototype.isSelected=function(){return this._selected},t.BaseDiagramLink.prototype.setSelected=function(t){this._selected=t},t.BaseDiagramLink.prototype.setPromoted=function(t){this._bPromoted=t},t.BaseDiagramLink.prototype.isPromoted=function(){return this._bPromoted},t.BaseDiagramLink.prototype.setLinkWidth=function(t){},t.BaseDiagramLink.prototype.getLinkWidth=function(){return 1},t.BaseDiagramLink.prototype.setLinkStyle=function(t){},t.BaseDiagramLink.prototype.getLinkStyle=function(){return"solid"},t.BaseDiagramLink.prototype.setLinkColor=function(t){},t.BaseDiagramLink.prototype.getLinkColor=function(){return null},t.BaseDiagramLink.prototype.getConnectorTemplate=function(t){return null},t.BaseDiagramLink.prototype.GetAppliedLinkStyle=function(){return this.getLinkStyle()},t.BaseDiagramLink.prototype.GetAppliedLinkWidth=function(){return this.getLinkWidth()},t.BaseDiagramLink.prototype.GetAppliedLinkColor=function(){return this.getLinkColor()},t.BaseDiagramLink.prototype.CreateConnector=function(e,o,n,i){if(o||i){var r;i||((r=this._shape.getStroke().clone()).setType(t.Stroke.SOLID),r.setFixedWidth(!1));var a=t.DiagramLinkConnectorUtils.CreateConnectorShape(this.getCtx(),o,i,r,this);return a&&(this._shape.addChild(a),t.DiagramLinkConnectorUtils.TransformConnector(a,o,i,e,n)),a}},t.BaseDiagramLink.prototype.GetLinkBounds=function(){var e=new t.Rectangle(Number.MAX_VALUE,Number.MAX_VALUE,-Number.MAX_VALUE,-Number.MAX_VALUE),o=this.getPoints();if(o)for(var n,i,r,a,s,p=t.DiagramLinkUtils.GetControlPoints(o),l=0;l<p.length;l++)n=p[l],i=Math.max(e.x+e.w,n.x),r=Math.max(e.y+e.h,n.y),a=Math.min(e.x,n.x),s=Math.min(e.y,n.y),e.x=a,e.y=s,e.w=i-a,e.h=r-s;var g=new t.Rectangle(e.x,e.y,e.w,e.h),d=this.getLabelPosition(),u=this.getLabelRotationAngle(),y=this.getLabelRotationPoint(),h=this.getLabelBounds();return d&&h&&(null!=u&&(h=t.BaseDiagram.RotateBounds(h,u,y)),g.x=Math.min(e.x,h.x+d.x),g.y=Math.min(e.y,h.y+d.y),g.w=Math.max(e.x+e.w,h.x+d.x+h.w)-g.x,g.h=Math.max(e.y+e.h,h.y+d.y+h.h)-g.y),g},t.BaseDiagramLink.prototype.setPoints=function(e){this._arPoints=e,t.DiagramLinkUtils.IsPath(e)?(this._pathCmds=e,this._points=t.DiagramLinkUtils.ConvertToPoints(e)):(this._points=e,this._pathCmds=t.DiagramLinkUtils.ConvertToPath(e)),this._shape&&this._shape instanceof t.Path&&(this._shape.setCommandsArray(this._pathCmds),this._endConnector?t.DiagramLinkConnectorUtils.TransformConnector(this._endConnector,this.getEndConnectorType(),this.getConnectorTemplate(t.DiagramLinkConnectorUtils.END_CONNECTOR),this._points,1):this._endConnector=this.CreateConnector(this._points,this.getEndConnectorType(),1,this.getConnectorTemplate(t.DiagramLinkConnectorUtils.END_CONNECTOR)),this._startConnector?t.DiagramLinkConnectorUtils.TransformConnector(this._startConnector,this.getStartConnectorType(),this.getConnectorTemplate(t.DiagramLinkConnectorUtils.START_CONNECTOR),this._points,0):this._startConnector=this.CreateConnector(this._points,this.getStartConnectorType(),0,this.getConnectorTemplate(t.DiagramLinkConnectorUtils.START_CONNECTOR)));var o=null,n=null;this._linkUnderlay&&this._linkUnderlay.getUnderlay()instanceof t.Path&&this._linkUnderlay.getUnderlay().setCommandsArray(this._pathCmds),this._linkUnderlay&&(o=this._linkUnderlay.getUnderlayStart())&&t.DiagramLinkConnectorUtils.TransformConnector(o,this.getStartConnectorType(),this.getConnectorTemplate(t.DiagramLinkConnectorUtils.START_CONNECTOR),this._points,0),this._linkUnderlay&&(n=this._linkUnderlay.getUnderlayEnd())&&t.DiagramLinkConnectorUtils.TransformConnector(n,this.getEndConnectorType(),this.getConnectorTemplate(t.DiagramLinkConnectorUtils.END_CONNECTOR),this._points,1),this._hitDetectionUnderlay&&this._hitDetectionUnderlay.getUnderlay()instanceof t.Path&&this._hitDetectionUnderlay.getUnderlay().setCommandsArray(this._pathCmds),this._startHandle&&this._startHandle.setPosition(this.getLinkStart()),this._endHandle&&this._endHandle.setPosition(this.getLinkEnd())},t.BaseDiagramLink.prototype.getPoints=function(){return this._arPoints},t.BaseDiagramLink.prototype.getLinkStart=function(){if(!this._points)return null;var e=this._points[0],o=this._points[1];return new t.Point(e,o)},t.BaseDiagramLink.prototype.getLinkEnd=function(){if(!this._points)return null;var e=this._points.length,o=this._points[e-2],n=this._points[e-1];return new t.Point(o,n)},t.BaseDiagramLink.CalcLabelMatrix=function(e,o,n,i){var r=new t.Matrix;return null!=n&&(i&&r.translate(-i.x,-i.y),r.rotate(n),i&&r.translate(i.x,i.y)),e&&r.translate(e.x,e.y),r},t.BaseDiagramLink.PositionLabel=function(e,o,n,i,r){if(e){var a=t.BaseDiagramLink.CalcLabelMatrix(o,n,i,r);e.setMatrix(a)}},t.BaseDiagramLink.prototype.CreateUnderlay=function(e,o,n,i,r){o||0==o||(o=1),n||0==n||(n=0);var s=this.GetAppliedLinkWidth()+n,p=new t.SolidStroke(e,o,s);return new a(this.getCtx(),this._pathCmds,p,i,r)},t.BaseDiagramLink.prototype.CreateFeedbackUnderlay=function(e,o,n,i,r){var a=this.CreateUnderlay(e,o,n,i,r);return this._startConnector&&this.getStartConnectorType()&&a.addUnderlayStart(this._points,this.getStartConnectorType(),this.getConnectorTemplate(t.DiagramLinkConnectorUtils.START_CONNECTOR),this),this._endConnector&&this.getEndConnectorType()&&a.addUnderlayEnd(this._points,this.getEndConnectorType(),this.getConnectorTemplate(t.DiagramLinkConnectorUtils.END_CONNECTOR),this),a},t.BaseDiagramLink.prototype.ApplyLinkStyle=function(e,o){var n=this.GetAppliedLinkStyle(),i=t.DiagramLinkUtils.ConvertLinkStyleToStrokeType(n);e.setType(i,t.DiagramLinkUtils.GetStrokeDash(i,o),t.DiagramLinkUtils.GetStrokeDashOffset(i,o))},t.BaseDiagramLink.prototype.ReplaceConnectorColor=function(t,e){if(t){var o=null;if(e.getColor&&(o=e.getColor()),o){var n=t.getStroke()?t.getStroke().clone():null,i=t.getFill()?t.getFill().clone():null;n&&n.setColor&&(n.setColor(o),t.setStroke(n)),i&&i.setColor&&(i.setColor(o),t.setFill(i))}}},t.BaseDiagramLink.prototype.getNextNavigable=function(t){return null},t.BaseDiagramLink.prototype.getKeyboardBoundingBox=function(t){return this.getGroupId()&&this._diagram.getOptions().renderer?this._diagram.getCustomObjKeyboardBoundingBox(this):this.getDimensions(t)},t.BaseDiagramLink.prototype.getTargetElem=function(){return this.getElem()},t.BaseDiagramLink.prototype.showKeyboardFocusEffect=function(){},t.BaseDiagramLink.prototype.hideKeyboardFocusEffect=function(){},t.BaseDiagramLink.prototype.isShowingKeyboardFocusEffect=function(){},t.BaseDiagramLink.prototype.setKeyboardFocusNode=function(t){this._keyboardNavNode=t},t.BaseDiagramLink.prototype.getKeyboardFocusNode=function(){return this._keyboardNavNode},t.BaseDiagramLink.prototype.getCategories=function(){return null},t.BaseDiagramLink.prototype.setLabelAlignments=function(t,e){},t.BaseDiagramLink.prototype.getGroupId=function(){return null},t.DiagramLayoutUtils={},t.Obj.createSubclass(t.DiagramLayoutUtils,t.Obj,"dvt.DiagramLayoutUtils"),t.DiagramLayoutUtils.convertRectToDiagramRect=function(e){return void 0===e||null==e?null:new t.DiagramRectangle(e.x,e.y,e.w,e.h)},t.DiagramLayoutUtils.convertPointToDiagramPoint=function(e){return void 0===e||null==e?null:new t.DiagramPoint(e.x,e.y)},t.DiagramLayoutUtils.convertDiagramRectToRect=function(e){return e?new t.Rectangle(e.x,e.y,e.w,e.h):null},t.DiagramLayoutUtils.convertDiagramPointToPoint=function(e){return e?new t.Point(e.x,e.y):null};var a=function(t,e,o,n,i){a.superclass.Init.call(this,t),this.Init(t,e,o,n,i)};t.Obj.createSubclass(a,t.Container,"DvtDiagramLinkUnderlay"),a.prototype.Init=function(e,o,n,i,r){o||(o=["M",0,0,"L",1,0]),this._stroke=n,this._stroke||(this._stroke=new t.SolidStroke("#ffffff",1,1)),n.setFixedWidth(!0),this._underlay=new t.Path(e,o),this._underlay.setStroke(n),this._underlay.setFill(null),this._underlay.setStyle(i).setClassName(r),this.addChild(this._underlay),this._underlayStart=null,this._underlayStartType=null,this._underlayEnd=null,this._underlayEndType=null},a.prototype.addUnderlayStart=function(t,e,o,n){var i=this.CreateConnectorUnderlay(t,e,o,n,0);this._underlayStart&&this.removeChild(this._underlayStart),this._underlayStart=i,this._underlayStartType=e,this.addChild(this._underlayStart)},a.prototype.addUnderlayEnd=function(t,e,o,n){var i=this.CreateConnectorUnderlay(t,e,o,n,1);this._underlayEnd&&this.removeChild(this._underlayEnd),this._underlayEnd=i,this._underlayEndType=e,this.addChild(this._underlayEnd)},a.prototype.CreateConnectorUnderlay=function(e,o,n,i,r){var a=this._stroke.clone();a.setFixedWidth(!1);var s=t.DiagramLinkConnectorUtils.CreateConnectorShape(this.getCtx(),o,n,a,i);return t.DiagramLinkConnectorUtils.TransformConnector(s,o,n,e,r),s},a.prototype.getUnderlay=function(){return this._underlay},a.prototype.getUnderlayStart=function(){return this._underlayStart},a.prototype.getUnderlayEnd=function(){return this._underlayEnd},a.prototype.setStroke=function(e,o){if(this._stroke=e,e.setFixedWidth(!0),this._underlay.setStroke(e),this._underlayStart){var n=e.clone();n.setType(t.Stroke.SOLID),n.setFixedWidth(!1),this._underlayStartType!=t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW&&this._underlayStartType!=t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW_CONCAVE||(n.setWidth(o),this._underlayStart.setSolidFill(e.getColor())),this._underlayStart.setStroke(n)}if(this._underlayEnd){var i=e.clone();i.setType(t.Stroke.SOLID),i.setFixedWidth(!1),this._underlayEndType!=t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW&&this._underlayEndType!=t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW_CONCAVE||(i.setWidth(o),this._underlayEnd.setSolidFill(e.getColor())),this._underlayEnd.setStroke(i)}},a.prototype.getStroke=function(){return this._stroke},a.prototype.hideUnderlayStart=function(){this._underlayStart&&this.removeChild(this._underlayStart)},a.prototype.hideUnderlayEnd=function(){this._underlayEnd&&this.removeChild(this._underlayEnd)},a.prototype.showUnderlayStart=function(){this._underlayStart&&this.addChild(this._underlayStart)},a.prototype.showUnderlayEnd=function(){this._underlayEnd&&this.addChild(this._underlayEnd)},t.DiagramLinkUtils={},t.Obj.createSubclass(t.DiagramLinkUtils,t.Obj,"dvt.DiagramLinkUtils"),t.DiagramLinkUtils.ConvertLinkStyleToStrokeType=function(e){var o=t.Stroke.SOLID;switch(e){case"dash":o=t.Stroke.DASHED;break;case"dot":o=t.Stroke.DOTTED;break;case"dashDot":o=t.Stroke.DASHED_DOTTED}return o},t.DiagramLinkUtils.GetStrokeDash=function(e,o){return t.Stroke.SOLID==e?null:t.Stroke.DASHED==e?o?"8,2":"6,4":t.Stroke.DOTTED==e?o?"4,1":"2,3":t.Stroke.DASHED_DOTTED==e?o?"10,1,4,1":"8,3,2,3":void 0},t.DiagramLinkUtils.GetStrokeDashOffset=function(e,o){return o&&t.Stroke.SOLID!=e?1:null},t.DiagramLinkUtils.getStrokeObject=function(e,o){var n=t.DiagramLinkUtils.ConvertLinkStyleToStrokeType(e);return{_type:e,strokeDasharray:t.DiagramLinkUtils.GetStrokeDash(n,o),strokeDashoffset:t.DiagramLinkUtils.GetStrokeDashOffset(n,o)}},t.DiagramLinkUtils.processStrokeDashArray=function(t){if(t){var e=t.split(/[\s,]+/);return e.length%2>0&&(e=e.concat(e)),e.toString()}return t},t.DiagramLinkUtils.getCustomUnderlay=function(e){if(e){for(var o=e.split(/[\s,]+/),n="",i=0;i<o.length;i++){var r=t.CSSStyle.toNumber(t.StringUtils.trim(o[i]));n+=i%2==0?r+2:r>=2?r-2:0,i<o.length-1&&(n+=", ")}return n}return null},t.DiagramLinkUtils.ConvertToPath=function(t){var e=[];if(t)for(var o=0;o<t.length;o+=2)0==o?e.push("M"):e.push("L"),e.push(t[o]),e.push(t[o+1]);return e},t.DiagramLinkUtils.ConvertToPoints=function(t){var e=[];if(t)for(var o=0;o<t.length;o++)isNaN(t[o])||e.push(t[o]);return e},t.DiagramLinkUtils.IsPath=function(t){return!!(t&&t.length>0)&&isNaN(t[0])},t.DiagramLinkUtils.GetControlPoints=function(e){var o,n=[];o=t.DiagramLinkUtils.IsPath(e)?t.DiagramLinkUtils.ConvertToPoints(e):e;for(var i=0;i<o.length;i+=2)n.push(new t.Point(o[i],o[i+1]));return n},t.DiagramLinkConnectorUtils={},t.Obj.createSubclass(t.DiagramLinkConnectorUtils,t.Obj,"dvt.DiagramLinkConnectorUtils"),t.DiagramLinkConnectorUtils.END_CONNECTOR="endConnector",t.DiagramLinkConnectorUtils.START_CONNECTOR="startConnector",t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW_OPEN="arrowOpen",t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW="arrow",t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW_CONCAVE="arrowConcave",t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_RECTANGLE="rectangle",t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_RECTANGLE_ROUNDED="rectangleRounded",t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_CIRCLE="circle",t.DiagramLinkConnectorUtils.CreateConnectorShape=function(e,o,n,i,r){if(n)return t.DiagramLinkConnectorUtils.CreateCustomConnector(e,n,r);var a=r.GetAppliedLinkWidth();switch(o){case t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW:return t.DiagramLinkConnectorUtils.CreateFilledArrowConnector(e,a,r.getLinkColor());case t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW_CONCAVE:return t.DiagramLinkConnectorUtils.CreateFilledConcaveArrowConnector(e,a,r.getLinkColor());case t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW_OPEN:return t.DiagramLinkConnectorUtils.CreateOpenArrowConnector(e,a,i);case t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_CIRCLE:return t.DiagramLinkConnectorUtils.CreateCircleConnector(e,a,i);case t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_RECTANGLE:return t.DiagramLinkConnectorUtils.CreateRectangleConnector(e,a,i);case t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_RECTANGLE_ROUNDED:return t.DiagramLinkConnectorUtils.CreateRoundedRectangleConnector(e,a,i)}return null},t.DiagramLinkConnectorUtils.TransformConnector=function(e,o,n,i,r){var a=t.DiagramLinkConnectorUtils.CalcConnectorTransform(e,o,n,i,r);e.setMatrix(a)},t.DiagramLinkConnectorUtils.CalcConnectorTransform=function(e,o,n,i,r){var a=-1,s=0,p=0,l=0;if(i){var g=i.length;1===r?(g>=2&&(p=i[g-2],l=i[g-1]),g>=4?(a=i[g-4],s=i[g-3]):(a=p-1e-4,s=l)):(g>=2&&(p=i[0],l=i[1]),g>=4?(a=i[2],s=i[3]):(a=p+1e-4,s=l))}else;var d=p,u=l,y=t.DiagramLinkConnectorUtils.CalcConnectorRotation(a,s,p,l),h=e._connectorOrigMat;h||(h=e.getMatrix().clone(),e._connectorOrigMat=h);var c=new t.Matrix;if(n){var m=t.DiagramLinkConnectorUtils._getCachedDims(e),C=e.getScaleX(),f=e.getScaleY(),L=m.w*C*-.5,_=m.h*f*-.5;c.translate(L,_)}return c.rotate(y),c.translate(d,u),c.concat(h),c},t.DiagramLinkConnectorUtils._getCachedDims=function(t){var e=t._cachedDims;return e||(e=t.getDimensions(),t._cachedDims=e),e},t.DiagramLinkConnectorUtils.CalcConnectorRotation=function(t,e,o,n){var i=n-e,r=o-t;return Math.atan2(i,r)},t.DiagramLinkConnectorUtils.CreateFilledConcaveArrowConnector=function(e,o,n){var i=6*t.DiagramLinkConnectorUtils._getReduce(o,.5),r=.8*i,a=[-.22*i,-.5*r,.78*i,0,-.22*i,.5*r,0,0],s=new t.Polygon(e,a);return s.setSolidFill(n),s},t.DiagramLinkConnectorUtils.CreateFilledArrowConnector=function(e,o,n){var i=5*t.DiagramLinkConnectorUtils._getReduce(o,.5),r=.8*i,a=[0,-.5*r,i,0,0,.5*r],s=new t.Polygon(e,a);return s.setSolidFill(n),s},t.DiagramLinkConnectorUtils._getReduce=function(t,e){if(t<=1)return t;var o=t-1;return 1+(o*=e)},t.DiagramLinkConnectorUtils.CreateOpenArrowConnector=function(e,o,n){var i=3*o,r=n.getWidth(),a=[-i+r*Math.sqrt(2)/2,-i,r*Math.sqrt(2)/2,0,-i+r*Math.sqrt(2)/2,i],s=new t.Polyline(e,a);return s.setStroke(n),s.setFill(null),s},t.DiagramLinkConnectorUtils.getCircleRadius=function(t){return 2*t},t.DiagramLinkConnectorUtils.getRectangleLength=function(t){return 3*t},t.DiagramLinkConnectorUtils.CreateCircleConnector=function(e,o,n){var i=t.DiagramLinkConnectorUtils.getCircleRadius(o),r=new t.Circle(e,i,0,i);return r.setStroke(n),r.setFill(null),r},t.DiagramLinkConnectorUtils.CreateRectangleConnector=function(e,o,n){var i=t.DiagramLinkConnectorUtils.getRectangleLength(o),r=new t.Rect(e,0,-i/2,i,i);return r.setStroke(n),r.setFill(null),r},t.DiagramLinkConnectorUtils.CreateRoundedRectangleConnector=function(e,o,n){var i=t.DiagramLinkConnectorUtils.CreateRectangleConnector(e,o,n);return i.setCornerRadius(o),i},t.DiagramLinkConnectorUtils.CreateCustomConnector=function(e,o,n){var i=n.GetDiagram().createAfContext();return i.setELContext(n.getData().getElAttributes()),i.setContextCallback(n,n.eventContextCallback),i.setTabStopsArray(n.getTabStopsArray()),t.AfComponentFactory.parseAndLayout(i,o,n)},t.DiagramLinkConnectorUtils.GetConnectorOffset=function(e,o,n,i,r){if(n){var a=t.DiagramLinkConnectorUtils._getCachedDims(e),s=e.getScaleX();return a.w*s*.5}return t.DiagramLinkConnectorUtils.getStandardConnectorOffset(o,r.GetAppliedLinkWidth(),i.getWidth())},t.DiagramLinkConnectorUtils.getStandardConnectorOffset=function(e,o,n){switch(e){case t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW_OPEN:return n*Math.sqrt(2);case t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW:return 5*t.DiagramLinkConnectorUtils._getReduce(o,.5);case t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_ARROW_CONCAVE:return.78*(6*t.DiagramLinkConnectorUtils._getReduce(o,.5));case t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_CIRCLE:return 2*t.DiagramLinkConnectorUtils.getCircleRadius(n)+n/2;case t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_RECTANGLE:case t.DiagramLinkConnectorUtils.CONNECTOR_TYPE_RECTANGLE_ROUNDED:return t.DiagramLinkConnectorUtils.getRectangleLength(n)+n/2;default:return 0}},t.exportProperty(e.prototype,"getLayout",e.prototype.getLayout),t.exportProperty(e.prototype,"getLayoutAttributes",e.prototype.getLayoutAttributes),t.exportProperty(e.prototype,"getNodeById",e.prototype.getNodeById),t.exportProperty(e.prototype,"getNodeByIndex",e.prototype.getNodeByIndex),t.exportProperty(e.prototype,"getNodeCount",e.prototype.getNodeCount),t.exportProperty(e.prototype,"getLinkById",e.prototype.getLinkById),t.exportProperty(e.prototype,"getLinkByIndex",e.prototype.getLinkByIndex),t.exportProperty(e.prototype,"getLinkCount",e.prototype.getLinkCount),t.exportProperty(e.prototype,"localToGlobal",e.prototype.localToGlobal),t.exportProperty(e.prototype,"isLocaleR2L",e.prototype.isLocaleR2L),t.exportProperty(e.prototype,"getComponentSize",e.prototype.getComponentSize),t.exportProperty(e.prototype,"setViewport",e.prototype.setViewport),t.exportProperty(e.prototype,"getViewport",e.prototype.getViewport),t.exportProperty(e.prototype,"getContainerId",e.prototype.getContainerId),t.exportProperty(e.prototype,"setContainerPadding",e.prototype.setContainerPadding),t.exportProperty(e.prototype,"getContainerPadding",e.prototype.getContainerPadding),t.exportProperty(e.prototype,"getCurrentViewport",e.prototype.getCurrentViewport),t.exportProperty(e.prototype,"getCommonContainer",e.prototype.getCommonContainer),t.exportProperty(e.prototype,"getEventData",e.prototype.getEventData),t.exportProperty(n.prototype,"getId",n.prototype.getId),t.exportProperty(n.prototype,"getBounds",n.prototype.getBounds),t.exportProperty(n.prototype,"getContentBounds",n.prototype.getContentBounds),t.exportProperty(n.prototype,"setPosition",n.prototype.setPosition),t.exportProperty(n.prototype,"getPosition",n.prototype.getPosition),t.exportProperty(n.prototype,"getRelativePosition",n.prototype.getRelativePosition),t.exportProperty(n.prototype,"setLabelPosition",n.prototype.setLabelPosition),t.exportProperty(n.prototype,"getLabelPosition",n.prototype.getLabelPosition),t.exportProperty(n.prototype,"getLabelBounds",n.prototype.getLabelBounds),t.exportProperty(n.prototype,"getLayoutAttributes",n.prototype.getLayoutAttributes),t.exportProperty(n.prototype,"isReadOnly",n.prototype.isReadOnly),t.exportProperty(n.prototype,"getContainerId",n.prototype.getContainerId),t.exportProperty(n.prototype,"getSelected",n.prototype.getSelected),t.exportProperty(n.prototype,"setLabelRotationAngle",n.prototype.setLabelRotationAngle),t.exportProperty(n.prototype,"getLabelRotationAngle",n.prototype.getLabelRotationAngle),t.exportProperty(n.prototype,"setLabelRotationPoint",n.prototype.setLabelRotationPoint),t.exportProperty(n.prototype,"getLabelRotationPoint",n.prototype.getLabelRotationPoint),t.exportProperty(n.prototype,"setContainerPadding",n.prototype.setContainerPadding),t.exportProperty(n.prototype,"getContainerPadding",n.prototype.getContainerPadding),t.exportProperty(n.prototype,"setDisclosed",n.prototype.setDisclosed),t.exportProperty(n.prototype,"isDisclosed",n.prototype.isDisclosed),t.exportProperty(n.prototype,"setChildNodes",n.prototype.setChildNodes),t.exportProperty(n.prototype,"getChildNodes",n.prototype.getChildNodes),t.exportProperty(n.prototype,"getParentNode",n.prototype.getParentNode),t.exportProperty(n.prototype,"setLabelValign",n.prototype.setLabelValign),t.exportProperty(n.prototype,"setLabelHalign",n.prototype.setLabelHalign),t.exportProperty(n.prototype,"getLabelValign",n.prototype.getLabelValign),t.exportProperty(n.prototype,"getLabelHalign",n.prototype.getLabelHalign),t.exportProperty(n.prototype,"getData",n.prototype.getData),t.exportProperty(o.prototype,"getId",o.prototype.getId),t.exportProperty(o.prototype,"getStartId",o.prototype.getStartId),t.exportProperty(o.prototype,"getEndId",o.prototype.getEndId),t.exportProperty(o.prototype,"setPoints",o.prototype.setPoints),t.exportProperty(o.prototype,"getPoints",o.prototype.getPoints),t.exportProperty(o.prototype,"setLabelPosition",o.prototype.setLabelPosition),t.exportProperty(o.prototype,"getLabelPosition",o.prototype.getLabelPosition),t.exportProperty(o.prototype,"getLabelBounds",o.prototype.getLabelBounds),t.exportProperty(o.prototype,"getStartConnectorOffset",o.prototype.getStartConnectorOffset),t.exportProperty(o.prototype,"getEndConnectorOffset",o.prototype.getEndConnectorOffset),t.exportProperty(o.prototype,"getLinkWidth",o.prototype.getLinkWidth),t.exportProperty(o.prototype,"getLayoutAttributes",o.prototype.getLayoutAttributes),t.exportProperty(o.prototype,"getSelected",o.prototype.getSelected),t.exportProperty(o.prototype,"setLabelRotationAngle",o.prototype.setLabelRotationAngle),t.exportProperty(o.prototype,"setLabelRotationAngle",o.prototype.getLabelRotationAngle),t.exportProperty(o.prototype,"setLabelRotationPoint",o.prototype.setLabelRotationPoint),t.exportProperty(o.prototype,"getLabelRotationPoint",o.prototype.getLabelRotationPoint),t.exportProperty(o.prototype,"isPromoted",o.prototype.isPromoted),t.exportProperty(o.prototype,"setLabelValign",o.prototype.setLabelValign),t.exportProperty(o.prototype,"setLabelHalign",o.prototype.setLabelHalign),t.exportProperty(o.prototype,"getLabelValign",o.prototype.getLabelValign),t.exportProperty(o.prototype,"getLabelHalign",o.prototype.getLabelHalign),t.exportProperty(o.prototype,"setCoordinateSpace",o.prototype.setCoordinateSpace),t.exportProperty(o.prototype,"getCoordinateSpace",o.prototype.getCoordinateSpace),t.exportProperty(o.prototype,"getData",o.prototype.getData),t.exportProperty(t,"DiagramPoint",t.DiagramPoint),t.exportProperty(t,"DiagramRectangle",t.DiagramRectangle)}(dvt);
!function(t){var e=new Object;t.Obj.createSubclass(e,t.Obj),e.prepareNodeStyle=function(e,i){!e||null==e[i]||e[i]instanceof Object||(e[i]=t.CSSStyle.cssStringToObject(e[i]))},e.prepareLinkStyle=function(e,i){e&&null!=e[i]&&(e[i]instanceof Object?null==e[i]._type&&(e[i]._type=d.CUSTOM_STYLE):e[i]=t.DiagramLinkUtils.getStrokeObject(e[i]))},e.getNodeDefaultStyles=function(t){var i=t.getOptions().styleDefaults.nodeDefaults;return e.prepareNodeStyle(i,"backgroundStyle"),e.prepareNodeStyle(i,"containerStyle"),i},e.getNodeStyles=function(i,o,n){var s=l.ConvertNodeData(o);if(i.getOptions().nodeProperties){var a=t.JsonUtils.clone(i.getOptions().nodeProperties(o));e.prepareNodeStyle(a,"backgroundStyle"),e.prepareNodeStyle(a,"containerStyle"),s=t.JsonUtils.merge(s,a,{_origData:!0})}return t.JsonUtils.merge(s,n,{_origData:!0})},e.getLinkDefaultStyles=function(i,o){var n=i.getOptions().styleDefaults[o];e.prepareLinkStyle(n,"style");var s=i.getCtx().isCustomElement()?"svgStyle":"style";return n[s]=t.JsonUtils.merge(n[s],n._style),i.getCtx().isCustomElement()&&t.ArrayUtils.forEach(["_type"],function(t){delete n[s][t]}),n},e.getLinkStyles=function(i,o,n){var s=d.ConvertLinkData(o);if(i.getOptions().linkProperties){var a=t.JsonUtils.clone(i.getOptions().linkProperties(o));e.prepareLinkStyle(a,"style"),s=t.JsonUtils.merge(s,a,{_origData:!0})}return t.JsonUtils.merge(s,n,{_origData:!0})},e.getAnimationDuration=function(e){return t.StyleUtils.getTimeMilliseconds(e.getOptions().styleDefaults.animationDuration)/1e3},e.getAnimationOnDisplay=function(t){return t.getOptions().animationOnDisplay},e.getAnimationOnDataChange=function(t){return t.getOptions().animationOnDataChange},t.Diagram=function(t,e,i){this.Init(t,e,i)},t.Obj.createSubclass(t.Diagram,t.BaseDiagram),t.Diagram.prototype.Init=function(e,i,n){t.Diagram.superclass.Init.call(this,e,i,n),this.Defaults=new o,this.EventManager=new a(e,this.processEvent,this),this.EventManager.addListeners(this),t.Agent.isTouchDevice()||this.EventManager.setKeyboardHandler(new r(this,this.EventManager)),this._nodes={},this._arNodeIds=[],this._arRootIds=[],this._links={},this._arLinkIds=[],this._renderCount=0,this._deferredObjCount=0,this._allNodeIdsMap={},this._unresolvedNodeIds=[],this._nodesToResolve=[]},t.Diagram.newInstance=function(e,i,o){return new t.Diagram(e,i,o)},t.Diagram.prototype.PreRender=function(){!this.IsResize()&&this._bRendered&&("none"!=e.getAnimationOnDataChange(this)&&(this._oldDataAnimState=new n(this)),this._currentViewport=this.getPanZoomCanvas().getViewport(),this._bRendered=!1,this._oldPanZoomCanvas=this.getPanZoomCanvas(),this._setDataSourceListeners(this.getOptions().data,!1)),this.IsResize()?this._layoutContext&&(this._layoutContext.setEventData(null),this._layoutContext.setComponentSize(new t.DiagramRectangle(0,0,this.getWidth(),this.getHeight()))):(this.ResetNodesAndLinks(),this._oldLayoutContext=this._layoutContext,this._layoutContext=null)},t.Diagram.prototype.ResetNodesAndLinks=function(){this.setLinksPane(new t.Container(this.getCtx())),this.setNodesPane(new t.Container(this.getCtx())),this.setTopPane(new t.Container(this.getCtx())),this._nodes={},this._arNodeIds=[],this._arRootIds=[],this._links={},this._arLinkIds=[],this._highlightedObjects=null,this._promotedLinksMap=null,this._linkToPromotedMap=null,this._collapsedNodes=null,this.getOptions().nodes=[],this.getOptions().links=[],this._allNodeIdsMap={},this._unresolvedNodeIds=[]},t.Diagram.prototype._onAnimationEnd=function(){this._deleteContainer&&(this.removeChild(this._deleteContainer),this._deleteContainer.destroy()),this._deleteContainer=null,this.Animation&&this.getEventManager().addListeners(this),this.AnimationStopped||this.RenderComplete(),this.Animation=null,this.AnimationStopped=!1,this._bRendered&&(this._oldDataAnimState=null)},t.Diagram.prototype.animateUpdate=function(e,i){var o=new t.CustomAnimation(this.getCtx(),null,e.getAnimationDuration()),n=i.PanZoomMatrix,a=this.getPanZoomCanvas().getContentPane().getMatrix();n.equals(a)||(this.getPanZoomCanvas().getContentPane().setMatrix(n),o.getAnimator().addProp(t.Animator.TYPE_MATRIX,this.getPanZoomCanvas().getContentPane(),this.getPanZoomCanvas().getContentPane().getMatrix,this.getPanZoomCanvas().getContentPane().setMatrix,a));var r=i.IsPartialUpdate?i.getNewNodes():this.GetRootNodeObjects(),d=i.IsPartialUpdate?i.getNewLinks():this.GetAllLinkObjects();e.constructAnimation(i.getNodes(),r),e.constructAnimation(i.getLinks(),d),e.add(o,s.UPDATE)},t.Diagram.prototype._resolveDeferredData=function(t,e){if(null==e||this._isNodeDisclosed(e.id)||this._discoverLinks(t,e)){var i=t.getData(e);this._deferredObjCount++;var o=this,n=this._renderCount;i.then(function(i){o._renderDeferredData(n,t,e||o.getOptions(),i)},function(i){o._renderDeferredData(n,t,e||o.getOptions(),null)})}},t.Diagram.prototype._renderDeferredData=function(t,e,i,o){if(t===this._renderCount){if(null!=o){if(i.nodes=o.nodes,Array.isArray(o.links)&&(this.getOptions().links=this.getOptions().links.concat(o.links)),this._findUnresolvedLinks(o),Array.isArray(i.nodes))for(this._nodesToResolve=this._nodesToResolve.concat(i.nodes);this._nodesToResolve.length>0;)this._resolveDeferredData(e,this._nodesToResolve.shift())}else i.nodes=null;this._deferredObjCount--,0===this._deferredObjCount&&this.RenderComponentInternal()}},t.Diagram.prototype._findUnresolvedLinks=function(t){if("none"!==this.getOptions().promotedLinkBehavior){if(Array.isArray(t.nodes))for(var e=0;e<t.nodes.length;e++)this._allNodeIdsMap[t.nodes[e].id]=!0;for(e=this._unresolvedNodeIds.length-1;e>=0;e--)this._allNodeIdsMap[this._unresolvedNodeIds[e]]&&this._unresolvedNodeIds.splice(e,1);if(Array.isArray(t.links))for(e=0;e<t.links.length;e++){var i=t.links[e];this._allNodeIdsMap[i.startNode]||this._unresolvedNodeIds.push(i.startNode),this._allNodeIdsMap[i.endNode]||this._unresolvedNodeIds.push(i.endNode)}}},t.Diagram.prototype._discoverLinks=function(t,e){var i=this.getOptions().promotedLinkBehavior;return!("none"===i||0==this._unresolvedNodeIds.length||"lazy"==i&&t.getChildCount(e)<=0)&&"disjoint"!=t.getDescendantsConnectivity(e)},t.Diagram.prototype._setDataSourceListeners=function(t,e){t&&(this._dataSourceAddEventHandler||(this._dataSourceAddEventHandler=this.handleDataSourceChangeEvent.bind(this,"add")),this._dataSourceRemoveEventHandler||(this._dataSourceRemoveEventHandler=this.handleDataSourceChangeEvent.bind(this,"remove")),this._dataSourceChangeEventHandler||(this._dataSourceChangeEventHandler=this.handleDataSourceChangeEvent.bind(this,"change")),e?(t.on("add",this._dataSourceAddEventHandler),t.on("remove",this._dataSourceRemoveEventHandler),t.on("change",this._dataSourceChangeEventHandler)):(t.off("add",this._dataSourceAddEventHandler),t.off("remove",this._dataSourceRemoveEventHandler),t.off("change",this._dataSourceChangeEventHandler)))},t.Diagram.prototype.Render=function(){if(t.Diagram.superclass.Render.call(this),this.InitComponentInternal(),this._deferredObjCount=0,this._nodesToResolve=[],this._bRendered||this.IsResize())0===this._deferredObjCount&&this.RenderComponentInternal();else{this._renderCount++;var e=this.getOptions().data;e?(this._setDataSourceListeners(e,!1),this._resolveDeferredData(e,null)):this.RenderComponentInternal()}},t.Diagram.prototype.RenderComponentInternal=function(){var t;if(this._bRendered||this.IsResize()||(this._setDataSourceListeners(this.getOptions().data,!0),this.prepareNodes(this.getOptions().nodes),this.renderLinks(this.getOptions().links),this.getCtx().setKeyboardFocusArray([this])),t=0===Object.keys(this._nodes).length)this._processContent(t);else{this.contains(this._oldPanZoomCanvas)||this.addChild(this._oldPanZoomCanvas);var e=this.layout(),i=this,o=this._renderCount;e.then(function(){o===i._renderCount&&i._processContent(t)},function(){o===i._renderCount&&(i.removeChild(i._oldPanZoomCanvas),i._oldPanZoomCanvas=null,i._bRendered=!0,this._currentViewport=null)})}},t.Diagram.prototype._processContent=function(i){var o;if(i||(this.removeChild(this._oldPanZoomCanvas),this._processHighlighting(),this._processInitialSelections(),this._updateKeyboardFocusEffect(),(o=null==this._cachedViewBounds)&&(this._cachedViewBounds=this.GetViewBounds()),this._fitContent()),!this._bRendered){var n=this.getPanZoomCanvas();n.setPanningEnabled(this.IsPanningEnabled()),n.setPanDirection(this.getPanDirection()),n.setZoomingEnabled(this.IsZoomingEnabled()),n.setZoomToFitEnabled(this.IsZoomingEnabled())}this._oldPanZoomCanvas=null,this.StopAnimation(!0);var a=e.getAnimationOnDisplay(this),r=e.getAnimationOnDataChange(this);if(this._bRendered||"none"===a||this._oldDataAnimState){if("none"!==r&&this._oldDataAnimState){this._deleteContainer=new t.Container(this.getCtx(),"Delete Container"),this.addChild(this._deleteContainer);var d=new s(this.getCtx(),this._deleteContainer,this._oldDataAnimState,this);d.constructAnimation([this._oldDataAnimState],[this]),this.Animation=d.getAnimation()}}else this.Animation=t.BlackBoxAnimationHandler.getInAnimation(this.getCtx(),t.BlackBoxAnimationHandler.ALPHA_FADE,this,null,e.getAnimationDuration(this));if(this.Animation?(this.getEventManager().hideTooltip(),this.getEventManager().removeListeners(this),this.Animation.setOnEnd(this._onAnimationEnd,this),this.Animation.play()):this._onAnimationEnd(),this._bRendered=!0,this._currentViewport=null,this.RefreshEmptyText(i),this.IsPanningEnabled()){var l=this._cachedViewBounds;if(null!=l){var h=this.getPanZoomCanvas().getZoom();this.ConstrainPanning(l.x,l.y,l.w,l.h,h)}}this.ClearLayoutViewport(),o&&(this._cachedViewBounds=null)},t.Diagram.prototype._fitContent=function(){var t=this.getPanZoomCanvas();if(this._bRendered){if(this.IsResize()||this._partialUpdate){var e=this.AdjustMinZoom(this._cachedViewBounds);o=(i=this.IsLayoutViewport())?this.GetLayoutViewport():e||this._cachedViewBounds;i&&t.setZoomToFitPadding(0),t.setZoomToFitEnabled(!0),t.zoomToFit(null,o),t.setZoomToFitEnabled(this.IsZoomingEnabled())}}else{this.AdjustMinZoom(this._cachedViewBounds);var i,o=(i=this.IsLayoutViewport())?this.GetLayoutViewport():this._cachedViewBounds;i&&t.setZoomToFitPadding(0),t.zoomToFit(null,o)}},t.Diagram.prototype.SetOptions=function(e){t.Diagram.superclass.SetOptions.call(this,e),this.Options.nodes=[],this.Options.links=[],this.parseComponentJson(this.Options),this.SetPanningEnabled("none"!=this.Options.panning),this.SetZoomingEnabled("none"!=this.Options.zooming),this.setControlPanelBehavior("hidden"),this.setSelectionMode(this.Options.selectionMode),this.setEmptyText(this.Options.emptyText?this.Options.emptyText:t.Bundle.getTranslation(this.Options,"labelNoData",t.Bundle.UTIL_PREFIX,"NO_DATA"))},t.Diagram.getDefaults=function(t){return(new o).getDefaults(t)},t.Diagram.prototype.getMaxZoom=function(){var t=this.getOptions().maxZoom,e=parseFloat(t);return e>0?e:1},t.Diagram.prototype.getMinZoom=function(){var t=this.getOptions().minZoom;if(t){var e=parseFloat(t);return e>0&&(t=Math.min(e,this.getMaxZoom())),t}return 0},t.Diagram.prototype.getPanDirection=function(){return this.getOptions().panDirection},t.Diagram.prototype.getAnimationDuration=function(){return e.getAnimationDuration(this)},t.Diagram.prototype.processEvent=function(t,e){var i=t.type;"categoryHighlight"==i?this._processHighlighting(!0):"selection"==i&&(this.getOptions().selection=t.selection),t&&this.dispatchEvent(t)},t.Diagram.prototype.prepareNodes=function(t){if(t){this._prepareNodes(null,t);var e=this.getOptions().expanded;e&&(e.has||this.DisclosedNodes)||(this.DisclosedNodes=e?"all"===e?this._arNodeIds:e:[])}},t.Diagram.prototype.renderLinks=function(i){if(i){for(var o=e.getLinkDefaultStyles(this,"linkDefaults"),n=0;n<i.length;n++){var s=i[n];if(!this._isLinkPromoted(s)){s=e.getLinkStyles(this,s,o);var a=(p=d.newInstance(this,s,!1)).getId();if(this._arLinkIds.push(a),!p.isHidden()){var r=this.getNodeById(p.getStartId()),l=this.getNodeById(p.getEndId());r.addOutLinkId(a),l.addInLinkId(a),p.render(),this._links[a]=p}}}if(this._promotedLinksMap){var h=e.getLinkDefaultStyles(this,"promotedLink");for(var g in this._promotedLinksMap)if(!this._links[g]){s=this._promotedLinksMap[g];s=t.JsonUtils.merge(s,h);var p;a=(p=d.newInstance(this,s,!0)).getId(),r=this.getNodeById(p.getStartId()),l=this.getNodeById(p.getEndId());r.addOutLinkId(a),l.addInLinkId(a),p.render(),this._arLinkIds.push(a),this._links[a]=p}}}},t.Diagram.prototype.layout=function(){var e=this.getOptions().layout,i=this._getLayoutContext();if(i.setDirtyContext({}),this._currentViewport){var o=this._currentViewport,n=this.getLayoutOffset(),s=new t.DiagramRectangle(o.x-n.x,o.y-n.y,o.w,o.h);i.setCurrentViewport(s)}if(e&&"function"==typeof e){for(var a=i.getNodeCount(),r=0;r<a;r++){var d=i.getNodeByIndex(r);this.renderLeafNodeFromContext(d)}var l=this,h=e(i);h||(h={then:function(t,e){t()}}),this.setAlphas(0);var g=this._renderCount;return h.then(function(t){if(l._renderCount===g||l.IsResize()){l.setAlphas(1),l._oldDataAnimState&&l._oldDataAnimState.updateStateFromLayoutContext(i);for(var e=i.getNodeCount(),o=0;o<e;o++){var n=i.getNodeByIndex(o);l.renderNodeFromContext(n,!0)}l.ApplyLayoutContext(i,!0)}},function(t){}),h}this.Log("dvt.Diagram: Layout function is not defined",1)},t.Diagram.prototype.setAlphas=function(t){this._bRendered||(this.getLinksPane().setAlpha(t),this.getNodesPane().setAlpha(t))},t.Diagram.prototype.getNodeById=function(t){return this._nodes[t]},t.Diagram.prototype.getLinkById=function(t){return this._links[t]},t.Diagram.prototype.GetAllLinks=function(){return this._arLinkIds},t.Diagram.prototype.GetAllLinksMap=function(){var t={};if(this._links)for(var e in this._links)t[e]=this._links[e];return t},t.Diagram.prototype.GetAllLinkObjects=function(){var t=[];if(this._links)for(var e in this._links)t.push(this._links[e]);return t},t.Diagram.prototype.GetAllNodes=function(){return this._arNodeIds},t.Diagram.prototype.GetAllNodesMap=function(){var t={};if(this._nodes)for(var e in this._nodes)t[e]=this._nodes[e];return t},t.Diagram.prototype.GetAllNodeObjects=function(){var t=[];if(this._nodes)for(var e in this._nodes)t.push(this._nodes[e]);return t},t.Diagram.prototype.GetAllRoots=function(){return this._arRootIds},t.Diagram.prototype.GetRootNodeObjects=function(){for(var t=[],e=0;this._arRootIds&&e<this._arRootIds.length;e++){var i=this._nodes[this._arRootIds[e]];i&&t.push(i)}return t},t.Diagram.prototype.HandleZoomEvent=function(e){switch(t.Diagram.superclass.HandleZoomEvent.call(this,e),e.getSubType()){case t.ZoomEvent.SUBTYPE_ADJUST_PAN_CONSTRAINTS:if(this.IsPanningEnabled()){var i=e.getNewZoom(),o=this._cachedViewBounds?this._cachedViewBounds:this.GetViewBounds();this.ConstrainPanning(o.x,o.y,o.w,o.h,i)}break;case t.ZoomEvent.SUBTYPE_ZOOM_TO_FIT_CALC_BOUNDS:if(!this.IsLayoutViewport()){o=this._cachedViewBounds?this._cachedViewBounds:this.GetViewBounds();e.setZoomToFitBounds(o)}break;case t.ZoomEvent.SUBTYPE_ZOOMED:if(!t.Agent.isTouchDevice()&&this.getOptions().zoomRenderer&&e.getOldZoom()!==e.getNewZoom())for(var n in this._nodes){this.getNodeById(n).rerenderOnZoom(e)}break;case t.ZoomEvent.SUBTYPE_ZOOM_TO_FIT_END:case t.ZoomEvent.SUBTYPE_ZOOM_END:if(t.Agent.isTouchDevice()&&this.getOptions().zoomRenderer&&e.getOldZoom()!==e.getNewZoom())for(var n in this._nodes){this.getNodeById(n).rerenderOnZoom(e)}}},t.Diagram.prototype.prepareForDataChange=function(){},t.Diagram.prototype.getNavigableLinksForNodeId=function(t){var e=[];for(var i in this._links){var o=this.getLinkById(i),n=o.getStartId(),s=o.getEndId();n!=t&&s!=t||!o.getVisible()||e.push(o)}return e},t.Diagram.prototype.GetComponentDescription=function(){return t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DIAGRAM")},t.Diagram.prototype._processInitialSelections=function(){if(this.Options.selection&&this.isSelectionSupported()){var t=[];for(var e in this._nodes)t.push(this.getNodeById(e));for(var i in this._links)t.push(this.getLinkById(i));this.getSelectionHandler().processInitialSelections(this.Options.selection,t)}},t.Diagram.prototype._processHighlighting=function(e){e&&this.EventManager.removeListeners(this,!0),this._highlightedObjects&&(this._updateAlphas(!1,this._highlightedObjects),this._highlightedObjects=null);var i=this.Options.highlightedCategories;if(i&&0!==i.length){var o="any"==this.Options.highlightMatch;this._highlightedObjects={};var n=[];for(var s in this._nodes){var a=this.getNodeById(s);(o?t.ArrayUtils.hasAnyItem(a.getCategories(),i):t.ArrayUtils.hasAllItems(a.getCategories(),i))&&(this._highlightedObjects[a.getId()]=a,n.push(a))}this._processNodeConnections(n);var r=[];for(var d in this._links){var l=this.getLinkById(d);(o?t.ArrayUtils.hasAnyItem(l.getCategories(),i):t.ArrayUtils.hasAllItems(l.getCategories(),i))&&(this._highlightedObjects[l.getId()]=l,r.push(l))}if("linkAndNodes"==this.Options.linkHighlightMode&&this._processLinkConnections(r),this._updateAlphas(!0,this._highlightedObjects),e){var h=this;setTimeout(function(){h.getEventManager().addListeners(h)},0)}}else e&&this.EventManager.addListeners(this)},t.Diagram.prototype._processNodeConnections=function(t){var e=this.Options.nodeHighlightMode;if("node"!=e){for(var i="nodeAndIncomingLinks"==e||"nodeAndLinks"==e,o="nodeAndOutgoingLinks"==e||"nodeAndLinks"==e,n=[],s=0;s<t.length;s++){var a=t[s],r=i&&a.getInLinkIds()?a.getInLinkIds():[];r=o&&a.getOutLinkIds()?r.concat(a.getOutLinkIds()):r;for(var d=0;d<r.length;d++){var l=r[d];this._highlightedObjects[l]=this.getLinkById(l),n.push(this.getLinkById(l))}}this._processLinkConnections(n)}},t.Diagram.prototype._processLinkConnections=function(t){for(var e=0;e<t.length;e++){var i=t[e],o=i.getStartId(),n=i.getEndId();this._highlightedObjects[o]=this.getNodeById(o),this._highlightedObjects[n]=this.getNodeById(n)}},t.Diagram.prototype._updateAlphas=function(t,e){var i;if(this._arNodeIds.length==this._arRootIds.length)for(var o in i=t?this.Options.styleDefaults._highlightAlpha:1,this.getLinksPane().setAlpha(i),this.getNodesPane().setAlpha(i),e)t?this.moveToDiagramFront(e[o]):e[o]instanceof d?this.moveToLinks(e[o]):e[o]instanceof l&&this.moveToNodes(e[o]);else if(t){i=this.Options.styleDefaults._highlightAlpha;var n={};for(var o in e)e[o].setAlpha(1),n[o]=!0;for(var s in this._nodes)n[s]||this.getNodeById(s).setAlpha(i);for(var a in this._links)n[a]||this.getLinkById(a).setAlpha(i)}else{for(var s in this._nodes)this.getNodeById(s).setAlpha(1);for(var a in this._links)this.getLinkById(a).setAlpha(1)}},t.Diagram.prototype.highlight=function(e){this.Options.highlightedCategories=t.JsonUtils.clone(e),this._processHighlighting()},t.Diagram.prototype.select=function(e){this.Options.selection=t.JsonUtils.clone(e),this._processInitialSelections()},t.Diagram.prototype.getAutomation=function(){return this.Automation||(this.Automation=new h(this)),this.Automation},t.Diagram.prototype.Log=function(t,e){var i=this.getOptions()._logger;if(i)switch(e){case 1:i.error&&i.error(t);break;case 2:i.warn&&i.warn(t);break;case 3:i.info&&i.info(t);break;default:i.log&&i.log(t)}},t.Diagram.prototype.processDefaultHoverEffect=function(t,e){var i=this.getNodeById(t);i&&i.processDefaultHoverEffect(e)},t.Diagram.prototype.processDefaultSelectionEffect=function(t,e){var i=this.getNodeById(t);i&&i.processDefaultSelectionEffect(e)},t.Diagram.prototype.processDefaultFocusEffect=function(t,e){var i=this.getNodeById(t);i&&i.processDefaultFocusEffect(e)},t.Diagram.prototype.updateNodeDims=function(e){if(e.IsRendered){var i=this.getNodeById(e.getId());e.setBounds(t.DiagramLayoutUtils.convertRectToDiagramRect(i.getLayoutBounds(!0))),e.setContentBounds(t.DiagramLayoutUtils.convertRectToDiagramRect(i.getContentBounds(!0))),e.setLabelBounds(t.DiagramLayoutUtils.convertRectToDiagramRect(i.getLabelBounds(!0)))}else this.renderNodeFromContext(e,!0)},t.Diagram.prototype.renderLeafNodeFromContext=function(t){if(this.getNodeById(t.getId()).isDisclosed())for(var e=t.getChildNodes(),i=0;i<e.length;i++){var o=e[i];this.renderLeafNodeFromContext(o)}else this.renderNodeFromContext(t,!1)},t.Diagram.prototype.renderNodeFromContext=function(e,i){if(!e.IsRendered){var o=this.getNodeById(e.getId());if(o.isDisclosed()){var n=this.CreateEmptyLayoutContext();n.setDirtyContext(e.LayoutContext?e.LayoutContext.getDirtyContext():null),this._oldDataAnimState&&this._oldDataAnimState.updateStateFromLayoutContext(n);for(var s=e.getChildNodes(),a=0;a<s.length;a++){var r=s[a];this.renderNodeFromContext(r,!1),n.addNode(r)}for(a=0;a<s.length;a++)this.updateNodeDims(s[a]);this.ApplyLayoutContext(n)}o.render();var d=o.isDisclosed()?o.getContainerPadding():null;d&&e.setContainerPadding(d.top,d.right,d.bottom,d.left),e.setBounds(t.DiagramLayoutUtils.convertRectToDiagramRect(o.getLayoutBounds(i))),e.setContentBounds(t.DiagramLayoutUtils.convertRectToDiagramRect(o.getContentBounds(i))),e.setLabelBounds(t.DiagramLayoutUtils.convertRectToDiagramRect(o.getLabelBounds(i))),e.IsRendered=!0}},t.Diagram.prototype._prepareNodes=function(t,i){if(i)for(var o=e.getNodeDefaultStyles(this),n=0;n<i.length;n++){var s=e.getNodeStyles(this,i[n],o),a=l.newInstance(this,s),r=a.getId();t?(t.addChildNodeId(r),a.setGroupId(t.getId())):this._arRootIds.push(r),this._arNodeIds.push(r),s.nodes&&s.nodes.length>0&&(this._isNodeDisclosed(r)?(a.setDisclosed(!0),this._prepareNodes(a,s.nodes)):this._addToCollapsedArray(a)),a.isHidden()||(t&&t.GetChildNodePane()?t.GetChildNodePane().addChild(a):this.getNodesPane().addChild(a),this._nodes[r]=a)}},t.Diagram.prototype.setNodeDisclosed=function(e,i){i!=this._isNodeDisclosed(e)&&this.dispatchEvent(new t.EventFactory.newEvent(i?"beforeExpand":"beforeCollapse",e))},t.Diagram.prototype.expand=function(e){var i=!1,o=this.getOptions().expanded;o&&o.has&&!o.has(e)?(i=!0,o=o.add([e]),this.applyOptions({expanded:o})):(this.DisclosedNodes||(this.DisclosedNodes=[]),t.ArrayUtils.getIndex(this.DisclosedNodes,e)<0&&(this.DisclosedNodes.push(e),i=!0));i&&(this.render(this.getOptions(),this.Width,this.Height),this.dispatchEvent(new t.EventFactory.newEvent("expand",e)))},t.Diagram.prototype.collapse=function(e){var i=!1,o=this.getOptions().expanded;if(o&&o.has&&o.has(e))i=!0,o=o.delete([e]),this.applyOptions({expanded:o});else{var n=-1;this.DisclosedNodes&&(n=t.ArrayUtils.getIndex(this.DisclosedNodes,e)),n>-1&&(this.DisclosedNodes.splice(n,1),i=!0)}i&&(this.render(this.getOptions(),this.Width,this.Height),this.dispatchEvent(new t.EventFactory.newEvent("collapse",e)))},t.Diagram.prototype._addLayoutContextForChildNodes=function(t,e,i,o){if(t.isDisclosed()){var n=t.getChildNodeIds(),s=this._createLayoutContextForChildNodes(e,i,n,o);e.setChildNodes(s)}},t.Diagram.prototype._appendLayoutContextForChildNodes=function(e,i,o,n,s){if(e.isDisclosed()){var a=n.reduce(function(t,e){return t.push(e.id),t},[]),r=this._createLayoutContextForChildNodes(i,o,a,!0),d=i.getChildNodes()||[];r=t.ArrayUtils.insert(d,r,s),i.setChildNodes(r),i.setDisclosed(!0),i.SetContainerPaddingObj(t.BaseDiagram.getLayoutContainerPadding(e.getContainerPadding())),i.UpdateParentNodes()}},t.Diagram.prototype._createLayoutContextForChildNodes=function(t,e,i,o){for(var n=[],s=0;s<i.length;s++){var a=this.getNodeById(i[s]);if(a.getVisible()){var r=this.CreateLayoutContextNode(a,null,o,e);r.copyFrom(this._oldLayoutContext?this._oldLayoutContext.getNodeById(i[s]):null),e.addNodeToMap(r),r.setParentNode(t),n.push(r),this._addLayoutContextForChildNodes(a,r,e,o)}}return n},t.Diagram.prototype._isNodeDisclosed=function(e){var i=this.getOptions().expanded;if(i&&i.has)return i.has(e);var o=this.DisclosedNodes?this.DisclosedNodes:i;return o&&t.ArrayUtils.getIndex(o,e)>-1||o&&t.ArrayUtils.getIndex(o,"all")>-1},t.Diagram.prototype._isLinkPromoted=function(t){var e=this.getNodeById(t.startNode),i=this.getNodeById(t.endNode);if(e&&i||!this._collapsedNodes)return!1;if("none"===this.getOptions().promotedLinkBehavior)return!0;var o=e?e.getId():this._findFirstVisibleAncestor(t.startNode),n=i?i.getId():this._findFirstVisibleAncestor(t.endNode);if(!o||!n)return!1;if(o===n)return!1;var s=d.GetPromotedLinkId(o,n);return this._promotedLinksMap||(this._promotedLinksMap={}),this._promotedLinksMap[s]?this._promotedLinksMap[s]._links.push(t):this._promotedLinksMap[s]={id:s,startNode:o,endNode:n,_links:[t]},this._linkToPromotedMap||(this._linkToPromotedMap={}),this._linkToPromotedMap[t.id]=s,!0},t.Diagram.prototype._addToCollapsedArray=function(t){this._collapsedNodes||(this._collapsedNodes=[]),this._collapsedNodes.push(t)},t.Diagram.prototype._findFirstVisibleAncestor=function(t){for(var e=function(t,i){if(t)for(var o=0;o<t.length;o++)if(t[o].id===i||e(t[o].nodes,i))return!0;return!1},i=0;i<this._collapsedNodes.length;i++){var o=this._collapsedNodes[i];if(e(o.getData().nodes,t))return o.getId()}return null},t.Diagram.prototype._updateKeyboardFocusEffect=function(){var t,e=this.getEventManager().getFocus(),i=!1;e&&(e instanceof l?t=this.getNodeById(e.getId()):e instanceof d&&(t=this.getLinkById(e.getId())),i=e.isShowingKeyboardFocusEffect(),t&&i&&t.showKeyboardFocusEffect(),this.getEventManager().setFocus(t))},t.Diagram.prototype.clearDisclosedState=function(){this.DisclosedNodes=null},t.Diagram.prototype.ShowLinkCreationFeedback=function(i){if(this.getEventManager().LinkCreationStarted){var o=this._context.pageToStageCoords(i.pageX,i.pageY),n=this.getPanZoomCanvas().getContentPane().stageToLocal({x:o.x,y:o.y});if(this._linkCreationFeedBack){var s=this._linkCreationFeedBack.getPoints();this._linkCreationFeedBack.setPoints([s[0],s[1],n.x,n.y])}else{var a=this.getEventManager().DragSource.getDragObject();if(a instanceof l){var r=this.getEventManager().DragSource.getDragCoords(),h=this.getPanZoomCanvas().getContentPane().stageToLocal({x:r.x,y:r.y}),g=this.getOptions().styleDefaults.linkDefaults;e.prepareLinkStyle(g,"style");var p=this.getOptions().dnd.drag.ports.linkStyle;if(p&&"function"==typeof p){var c=p({dataContext:a.getDataContext(),portElement:a.__dragPort});c&&(g.style=t.JsonUtils.merge(c.svgStyle,g.style),g.svgClassName=c.svgClassName||g.className)}var u={id:"linkFeedback",startNode:a.getId(),endNode:a.getId()};u=t.JsonUtils.merge(u,g);var _=d.newInstance(this,u,!1);this.getNodesPane().addChild(_),_.setMouseEnabled(!1),_.setPoints([h.x,h.y,n.x,n.y]),this._linkCreationFeedBack=_}}}},t.Diagram.prototype.HideLinkCreationFeedback=function(){this.getNodesPane().removeChild(this._linkCreationFeedBack),this._linkCreationFeedBack=null},t.Diagram.prototype.handleDataSourceChangeEvent=function(t,i){if("none"!==e.getAnimationOnDataChange(this)&&(this._oldDataAnimState=new n(this,t,i)),this._currentViewport=this.getPanZoomCanvas().getViewport(),this.IsPanningEnabled()){var o=this.getPanZoomCanvas();o.setMinPanY(null),o.setMaxPanY(null),o.setMinPanX(null),o.setMaxPanX(null)}var s,a,r=i.data.nodes,d=i.data.links;if("add"==t)(a=(s=i.parentId)?this.getNodeById(s):null)?(a.appendChildNodesData(r,i.index),this._isNodeDisclosed(s)&&(a.setDisclosed(!0),this._prepareNodes(a,r))):this._prepareNodes(null,r),this.renderLinks(d);else if("change"==t){if(r)for(var l=e.getNodeDefaultStyles(this),h=0;h<r.length;h++){var g=this.getNodeById(r[h].id);if(g){var p=e.getNodeStyles(this,r[h],l);g.setData(p)}}d&&(this._removeLinks(d),this.renderLinks(d))}else"remove"==t&&((a=(s=i.parentId)?this.getNodeById(s):null)?(this._removeNodes(a,r),a.removeChildNodesData(r),a.getData().nodes&&0!==a.getData().nodes.length||a.setDisclosed(!1)):this._removeNodes(null,r),this._removeLinks(d));this._oldDataAnimState&&this._oldDataAnimState.updateStateFromEvent(t,i),this._updateLayoutContext(t,i);var c=0===this.GetAllNodes().length;if(c)this._processContent(c);else{this._renderCount++;var u=this.layout(),_=this,f=this._renderCount;u.then(function(){f===_._renderCount&&(_._partialUpdate=!0,_._processContent(!1),_._partialUpdate=!1)},function(){f===_._renderCount&&(_.removeChild(_._oldPanZoomCanvas),_._oldPanZoomCanvas=null,_._bRendered=!0,this._currentViewport=null)})}},t.Diagram.prototype._updateLayoutContext=function(t,e){this._layoutContext||(this._layoutContext=this.CreateEmptyLayoutContext());var i=this._layoutContext;i.setEventData({type:t,data:e});var o,n,s,a,r,d,l=e.data.nodes,h=e.data.links;if(e.parentId&&(a=i.getNodeById(e.parentId),r=this.getNodeById(e.parentId)),"add"==t){if(l)if(a&&r)a.Reset(),this._appendLayoutContextForChildNodes(r,a,i,l,e.index);else for(o=0;o<l.length;o++)s=l[o].id,this.getNodeById(s)&&(n=this.CreateLayoutContextNode(this.getNodeById(s),null,!0,i),this._addLayoutContextForChildNodes(this.getNodeById(s),n,i,!0),i.addNode(n));if(h)for(o=0;o<h.length;o++){if(d=h[o].id,u=this.getLinkById(d)||this.getLinkById(this._linkToPromotedMap[d])){if(i.getLinkById(u.getId()))continue;var g=u.getData().startNode,p=u.getData().endNode;i.getNodeById(g)&&i.getNodeById(p)&&i.addLink(this.CreateLayoutContextLink(u,g,p,null,i))}}}else if("change"==t){if(l)for(o=0;o<l.length;o++)s=l[o].id,(n=i.getNodeById(s)).Reset(),n.UpdateParentNodes();if(h){for(o=i.getLinkCount()-1;o>=0;o--){var c=i.getLinkByIndex(o);this._links[c.getId()]||i.removeLink(c)}for(o=0;o<h.length;o++){var u;if(d=h[o].id,u=this.getLinkById(d)||this.getLinkById(this._linkToPromotedMap[d])){i.removeLink(i.getLinkById(u.getId()));g=u.getData().startNode,p=u.getData().endNode;i.getNodeById(g)&&i.getNodeById(p)&&i.addLink(this.CreateLayoutContextLink(u,g,p,null,i))}}}}else if("remove"==t){if(l){for(o=0;o<l.length;o++)s=l[o].id,n=i.getNodeById(s),i.removeNode(a,n);a&&r&&(a.Reset(),a.UpdateParentNodes(),a.setDisclosed(r.isDisclosed()))}for(o=i.getLinkCount()-1;o>=0;o--){c=i.getLinkByIndex(o);this._links[c.getId()]||i.removeLink(c)}}},t.Diagram.prototype._getLayoutContext=function(){if(!this._layoutContext){for(var t=this.CreateEmptyLayoutContext(),e=0;e<this._arRootIds.length;e++){var i=this._arRootIds[e];if(this.getNodeById(i)){var o=!this._bRendered,n=this.getNodeById(i),s=this.CreateLayoutContextNode(n,null,o,t);s.copyFrom(this._oldLayoutContext?this._oldLayoutContext.getNodeById(i):null),this._addLayoutContextForChildNodes(n,s,t,o),t.addNode(s)}}for(var a in this._links){var r=this.getLinkById(a);if(r){var d=r.getData().startNode,l=r.getData().endNode;if(t.getNodeById(d)&&t.getNodeById(l)){var h=this.CreateLayoutContextLink(r,d,l,null,t);h.copyFrom(this._oldLayoutContext?this._oldLayoutContext.getLinkById(a):null),t.addLink(h)}}}this._layoutContext=t,this._oldLayoutContext=null}return this._layoutContext},t.Diagram.prototype._removeNodes=function(e,i){if(i&&(!e||e.isDisclosed())){for(var o=[],n=0;n<i.length;n++){var s=i[n].id,a=this.getNodeById(s);for(var r in this._removeNodes(a,a.getData().nodes),this._links){var d=this.getLinkById(r);d&&(d.getStartId()!=s&&d.getEndId()!=s||o.push(d.getData()))}e?e.removeChildNode(a):(t.ArrayUtils.removeItem(this._arRootIds,s),this.getNodesPane().removeChild(a)),t.ArrayUtils.removeItem(this._arNodeIds,s),delete this._nodes[s]}this._removeLinks(o)}},t.Diagram.prototype._removeLinks=function(e){if(e&&0!=e.length)for(var i=0;i<e.length;i++){var o=e[i].id,n=this.getLinkById(o);if(n){n.getParent().removeChild(n);var s=this.getNodeById(n.getStartId()),a=this.getNodeById(n.getEndId());s&&s.removeOutLinkId(o),a&&a.removeInLinkId(o),t.ArrayUtils.removeItem(this._arLinkIds,o),delete this._links[o]}else if(this._linkToPromotedMap&&this._linkToPromotedMap[o]){var r=this._linkToPromotedMap[o],d=this._links[r],l=d?d.getData()._links:null;if(l&&1==l.length&&l[0].id==o){d.getParent().removeChild(d);s=this.getNodeById(d.getStartId()),a=this.getNodeById(d.getEndId());s&&s.removeOutLinkId(r),a&&a.removeInLinkId(r),t.ArrayUtils.removeItem(this._arLinkIds,d.getId()),delete this._links[d.getId()],delete this._promotedLinksMap[d.getId()],delete this._linkToPromotedMap[o]}else if(l){for(i=0;i<l.length;i++)l[i].id==o&&l.splice(i,1);delete this._linkToPromotedMap[o]}}}},t.Bundle.addDefaultStrings(t.Bundle.DIAGRAM_PREFIX,{PROMOTED_LINK:"{0} link",PROMOTED_LINKS:"{0} links",PROMOTED_LINK_ARIA_DESC:"Indirect"});var i=function(t,e){i.superclass.constructor.call(this,t,e),this.setHoverDelay(i._HOVER_DELAY),this._diagram=e};t.Obj.createSubclass(i,t.CategoryRolloverHandler,"DvtDiagramCategoryRolloverHandler"),i._HOVER_DELAY=100,i.prototype.GetRolloverCallback=function(e,i,o,n){return t.Obj.createCallback(this,function(){this.SetHighlightMode(!0),this._diagram.processEvent(e)})},i.prototype.GetRolloutCallback=function(e,i,o,n){return t.Obj.createCallback(this,function(){this.SetHighlightModeTimeout(),this._diagram.processEvent(e)})};var o=function(){this.Init({skyros:o.VERSION_1,alta:o.SKIN_ALTA})};t.Obj.createSubclass(o,t.BaseComponentDefaults,"DvtDiagramDefaults"),o.VERSION_1={skin:t.CSSStyle.SKIN_ALTA,emptyText:null,selectionMode:"none",animationOnDataChange:"none",animationOnDisplay:"none",maxZoom:1,highlightMatch:"all",nodeHighlightMode:"node",linkHighlightMode:"link",panning:"none",touchResponse:"auto",zooming:"none",promotedLinkBehavior:"lazy",_statusMessageStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA),dnd:{drag:{nodes:{},ports:{}},drop:{background:{},nodes:{},links:{},ports:{}}},styleDefaults:{animationDuration:500,hoverBehaviorDelay:200,_highlightAlpha:.1,nodeDefaults:{_containerStyle:new t.CSSStyle("border-color:#abb3ba;background-color:#f9f9f9;border-width:.5px;border-radius:1px;padding-top:20px;padding-left:20px;padding-bottom:20px;padding-right:20px;"),labelStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA_BOLD_12+"color:#383A47"),hoverInnerColor:"rgb(255,255,255)",hoverOuterColor:"rgba(0,0,0, .3)",selectionColor:"rgb(0,0,0)",icon:{width:10,height:10,fillPattern:"none",shape:"circle"}},linkDefaults:{startConnectorType:"none",endConnectorType:"none",width:1,_style:{_type:"solid"},hoverInnerColor:"rgb(255,255,255)",hoverOuterColor:"rgba(0,0,0, .3)",selectionColor:"rgb(0,0,0)",labelStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA_BOLD_12+"color:#383A47"),_hitDetectionOffset:10},promotedLink:{startConnectorType:"none",endConnectorType:"none",width:1,_style:{_type:"dot",strokeDasharray:"2,3"},color:"#778999",hoverInnerColor:"rgb(255,255,255)",hoverOuterColor:"rgba(0,0,0, .3)",selectionColor:"rgb(0,0,0)",_hitDetectionOffset:10}}},o.prototype.getNoCloneObject=function(){return{data:!0}},o.SKIN_ALTA={};var n=function(t,e,i){this.Init(t,e,i)};t.Obj.createSubclass(n,t.Obj,"DvtDiagramDataAnimationState"),n.prototype.Init=function(t,e,i){this._diagram=t,this._nodes=[],this._newNodes=[],this._links=[],this._newLinks=[],this._processedObjMap={},this.PanZoomMatrix=this._diagram.getPanZoomCanvas().getContentPane().getMatrix(),this.IsPartialUpdate=!(!e||!i),this.NodesMap=this._diagram.GetAllNodesMap(),this.LinksMap=this._diagram.GetAllLinksMap(),this._setNodes(e,i),this._setLinks(e,i)},n.prototype.getId=function(){return this._diagram.getId()},n.prototype.getOptions=function(){return this._diagram.getOptions()},n.prototype.getNodes=function(){return this._nodes},n.prototype.getLinks=function(){return this._links},n.prototype.getNewNodes=function(){return this._newNodes},n.prototype.getNewLinks=function(){return this._newLinks},n.prototype.updateStateFromEvent=function(t,e){if(e){var i,o,n,s=e.data.nodes,a=e.data.links;if("add"==t){for(i=0;s&&i<s.length;i++){var r=this._diagram.getNodeById(s[i].id);r&&(!0===this._wasParentDisclosed&&this._newNodes.push(r),this._processedObjMap[r.getId()]=!0)}for(i=0;a&&i<a.length;i++)n=a[i].id,(o=this._diagram.getLinkById(n)||this._diagram._linkToPromotedMap&&this._diagram.getLinkById(this._diagram._linkToPromotedMap[n]))&&(this._newLinks.push(o),this._processedObjMap[o.getId()]=!0)}else if("change"==t)for(i=0;a&&i<a.length;i++)n=a[i].id,(o=this._diagram.getLinkById(n)||this._diagram._linkToPromotedMap&&this._diagram.getLinkById(this._diagram._linkToPromotedMap[n]))&&(this._newLinks.push(o),this._processedObjMap[o.getId()]=!0)}},n.prototype.updateStateFromLayoutContext=function(t){if(this.IsPartialUpdate){var e=t.getDirtyContext();for(var i in e)if(!this._processedObjMap[i]&&!this._processedObjMap[i]){var o=this._diagram.getNodeById(i)||this._diagram.getLinkById(i);o instanceof l?(this._nodes.push(o.getAnimationState()),this._newNodes.push(o),this._processedObjMap[i]=!0):o instanceof d&&(this._links.push(o.getAnimationState()),this._newLinks.push(o),this._processedObjMap[i]=!0)}}},n.prototype._setNodes=function(t,e){if(this.IsPartialUpdate){var i=e.data.nodes,o=e.parentId;if("add"==t)this._addAncestorStates(o);else if("change"==t)for(var n=0;i&&n<i.length;n++){(s=this._diagram.getNodeById(i[n].id))&&(this._addAncestorStates(s.getGroupId()),this._nodes.push(s.getAnimationState()),this._newNodes.push(s),this._processedObjMap[s.getId()]=!0)}else if("remove"==t&&(this._addAncestorStates(o),i&&!o))for(n=0;n<i.length;n++){var s;(s=this._diagram.getNodeById(i[n].id))&&(this._nodes.push(s),this._processedObjMap[s.getId()]=!0)}}else this._nodes=this._diagram.GetRootNodeObjects()},n.prototype._setLinks=function(t,e){if(this.IsPartialUpdate){var i,o,n,s=e.data.links;if(!s)return;if("change"==t)for(i=0;i<s.length;i++)n=s[i].id,(o=this._diagram.getLinkById(n)||this._diagram._linkToPromotedMap&&this._diagram.getLinkById(this._diagram._linkToPromotedMap[n]))&&(this._links.push(o.getAnimationState()),this._processedObjMap[o.getId()]=!0);else if("remove"==t)for(i=0;i<s.length;i++)n=s[i].id,(o=this._diagram.getLinkById(n)||this._diagram._linkToPromotedMap&&this._diagram.getLinkById(this._diagram._linkToPromotedMap[n]))&&(this._links.push(o),this._processedObjMap[o.getId()]=!0)}else this._links=this._diagram.GetAllLinkObjects()},n.prototype._addAncestorStates=function(t){var e=t?this._diagram.getNodeById(t):null;for(this._wasParentDisclosed=!e||e.isDisclosed();e;){var i=e.getAnimationState(e.getId()===t);this._nodes.push(i),this._newNodes.push(e),this._processedObjMap[e.getId()]=!0,e=e.getGroupId()?this._diagram.getNodeById(e.getGroupId()):null}};var s=function(t,e,i,o){this.Init(t,e,i,o)};t.Obj.createSubclass(s,t.DataAnimationHandler,"DvtDiagramDataAnimationHandler"),s.DELETE=0,s.UPDATE=1,s.INSERT=2,s.prototype.Init=function(t,e,i,o){s.superclass.Init.call(this,t,e),this._oldDiagram=i,this._newDiagram=o},s.prototype.getOldDiagram=function(){return this._oldDiagram},s.prototype.getNewDiagram=function(){return this._newDiagram},s.prototype.getAnimationDuration=function(){return e.getAnimationDuration(this._oldDiagram)},s.prototype.constructAnimation=function(e,i){var o=!1;if(i&&i.length>0&&(o=i[0]instanceof d),o&&!this.getCtx().isOffscreen()){var n,a,r=s._expandLinksArrayToMap(e),l=s._expandLinksArrayToMap(i),h={};for(var g in r)if(n=r[g],a=l[g])if(!n.isPromoted()&&!a.isPromoted()||n.isPromoted()&&a.isPromoted()&&n.getId()==a.getId())a.animateUpdate(this,n);else{var p=n.isPromoted()?n.getData()._links.length:1,c=a.isPromoted()?a.getData()._links.length:1;p>c&&!h[n.getId()]?this._constructExpandCollapseAnimation(n,l,h,!0):p<c&&!h[a.getId()]?this._constructExpandCollapseAnimation(a,r,h,!1):p==c&&a.animateUpdate(this,n)}else-1==t.ArrayUtils.getIndex(this.getNewDiagram().GetAllLinks(),n.getId())&&n.animateDelete(this);for(var g in l)n=r[g],a=l[g],n||this.getOldDiagram().LinksMap[a.getId()]||a.animateInsert(this)}else s.superclass.constructAnimation.call(this,e,i)},s.prototype._constructExpandCollapseAnimation=function(e,i,o,n){for(var s=[],a=e.getData()._links,r=0;r<a.length;r++){var d=i[a[r].id];d&&-1===t.ArrayUtils.getIndex(s,d)&&s.push(d)}s.length>0&&(n?e.animateExpand(this,s):e.animateCollapse(this,s),o[e.getId()]=!0)},s._expandLinksArrayToMap=function(t){for(var e={},i=0;i<t.length;i++){var o=t[i];if(o)if(o.isPromoted())for(var n=o.getData()._links,s=0;s<n.length;s++)e[n[s].id]=o;else e[o.getId()]=o}return e};var a=function(t,e,i){this.Init(t,e,i),this._diagram=i,this._linkDragSelector=null,this._linkDropSelector=null};t.Obj.createSubclass(a,t.EventManager,"DvtDiagramEventManager"),a.prototype.showFocusEffect=function(t,e){this.ShowFocusEffect(t,e)},a.prototype.ShowFocusEffect=function(t,e){this._diagram.isPanning()||a.superclass.ShowFocusEffect.call(this,t,e)},a.prototype.ProcessRolloverEvent=function(e,i,o){var n=this._diagram.getOptions();if("dim"==n.hoverBehavior){var s=i.getCategories?i.getCategories():[];n.highlightedCategories=o?s.slice():null;var a=t.EventFactory.newCategoryHighlightEvent(n.highlightedCategories,o),r=t.StyleUtils.getTimeMilliseconds(n.styleDefaults.hoverBehaviorDelay);this.RolloverHandler.processEvent(a,this._diagram.GetAllNodeObjects(),r,"any"==n.highlightMatch)}},a.prototype.CreateCategoryRolloverHandler=function(t,e){return new i(t,e)},a.prototype.ProcessKeyboardEvent=function(e){var i=!0,o=e.keyCode,n=this.getFocus(),s=n instanceof l?n._customNodeContent:null;return o!=t.KeyboardEvent.TAB&&this._bPassOnEvent?(s.fireKeyboardListener(e),e.preventDefault()):o==t.KeyboardEvent.TAB&&s instanceof t.BaseComponent?!e.shiftKey&&n.isShowingKeyboardFocusEffect()?(n.hideKeyboardFocusEffect(),s.fireKeyboardListener(e),e.preventDefault(),this._bPassOnEvent=!0):e.shiftKey&&this._bPassOnEvent?(this.ShowFocusEffect(e,n),e.preventDefault(),this._bPassOnEvent=!1):(this._bPassOnEvent&&n.showKeyboardFocusEffect(),i=a.superclass.ProcessKeyboardEvent.call(this,e),this._bPassOnEvent=!1):o==t.KeyboardEvent.SPACE&&e.ctrlKey&&e.shiftKey?n&&n.HandleKeyboardEvent&&n.HandleKeyboardEvent(e):(o==t.KeyboardEvent.TAB&&n&&this._diagram.ensureObjInViewport(e,n),i=a.superclass.ProcessKeyboardEvent.call(this,e)),i},a.prototype.GetTouchResponse=function(){var e=this._diagram.getOptions();return"none"!==e.panning||"none"!==e.zooming?t.EventManager.TOUCH_RESPONSE_TOUCH_HOLD:e.touchResponse===t.EventManager.TOUCH_RESPONSE_TOUCH_START?t.EventManager.TOUCH_RESPONSE_TOUCH_START:t.EventManager.TOUCH_RESPONSE_AUTO},a.prototype.HandleTouchClickInternal=function(e){return this.GetEventInfo(e,t.PanZoomCanvasEventManager.EVENT_INFO_PANNED_KEY)},a.prototype.StoreInfoByEventType=function(e){return e!=t.PanZoomCanvasEventManager.EVENT_INFO_PANNED_KEY&&a.superclass.StoreInfoByEventType.call(this,e)},a.prototype.getComponent=function(){return this._diagram},a.prototype.isDndSupported=function(){return!0},a.prototype.GetDragSourceType=function(t){var e,i=this.DragSource.getDragObject();return i&&i.__dragType?i.__dragType:i instanceof l?(null===this._linkDragSelector&&(this._linkDragSelector=this._diagram.getOptions().dnd.drag.ports.selector),this._linkDragSelector&&(e=this._getPortElement(document.elementFromPoint(t.getNativeEvent().clientX,t.getNativeEvent().clientY),this._linkDragSelector))&&(this.LinkCreationStarted=!0,i.__dragPort=e),i.__dragType=e?"ports":"nodes",i.__dragType):null},a.prototype.GetDragDataContexts=function(){var e=this.DragSource.getDragObject();if(this._diagram.isSelectionSupported()&&this._diagram.getSelectionHandler().getSelectedCount()>1){for(var i=this._diagram.getSelectionHandler().getSelection(),o=this._getTopLeftContentCorner(i),n=this._diagram.getPanZoomCanvas().getZoom(),s=[],a=0;a<i.length;a++)if(i[a]instanceof l){var r=i[a].getDataContext(),d=i[a].getDimensions(this._context.getStage());r.nodeOffset=new t.Point((d.x-o.x)/n,(d.y-o.y)/n),s.push(r)}return s}return e instanceof l?"ports"===e.__dragType&&e.__dragPort?{dataContext:e.getDataContext(),portElement:e.__dragPort}:((r=e.getDataContext()).nodeOffset=new t.Point(0,0),[r]):[]},a.prototype.GetDropOffset=function(e){var i;if(this._diagram.isSelectionSupported()&&this._diagram.getSelectionHandler().getSelectedCount()>1)i=this._getTopLeftContentCorner(this._diagram.getSelectionHandler().getSelection());else{var o=this.DragSource.getDragObject();o instanceof l&&(i=o.getDimensions(this._context.getStage()))}if(i){var n=this._context.pageToStageCoords(e.pageX,e.pageY),s=this._diagram.getPanZoomCanvas().getZoom();return new t.Point((i.x-n.x)/s,(i.y-n.y)/s)}return null},a.prototype._getTopLeftContentCorner=function(e){if(!e)return null;for(var i=Number.MAX_VALUE,o=Number.MAX_VALUE,n=0;n<e.length;n++)if(e[n]instanceof l){var s=e[n].getDimensions(this._context.getStage());i=s?Math.min(s.x,i):i,o=s?Math.min(s.y,o):o}return new t.Point(i,o)},a.prototype.OnDndDragStart=function(t){var e=this.DragSource.getDragObject();e&&e.__dragType&&(e.__dragType=null,e.__dragPort=null),this.LinkCreationStarted=!1,a.superclass.OnDndDragStart.call(this,t)},a.prototype.OnDndDragOver=function(t){a.superclass.OnDndDragOver.call(this,t),this.LinkCreationStarted&&this._diagram.ShowLinkCreationFeedback(t)},a.prototype.OnDndDragEnd=function(t){a.superclass.OnDndDragEnd.call(this,t),this.LinkCreationStarted&&(this._diagram.HideLinkCreationFeedback(),this.LinkCreationStarted=!1),this._diagram.getPanZoomCanvas().panZoomEnd(),this._setPanningEnabled(!0)},a.prototype._setPanningEnabled=function(t){this._diagram.IsPanningEnabled()&&this._diagram.getPanZoomCanvas().setPanningEnabled(t)},a.prototype.IsDragSupported=function(){if(!this._isDragSupported){var t=this._diagram.getOptions();this._isDragSupported=this.isDndSupported()&&(t.dnd.drag.nodes.dataTypes||t.dnd.drag.ports.dataTypes)}return this._isDragSupported},a.prototype.OnMouseDown=function(t){var e=this.GetLogicalObject(this.GetCurrentTargetForEvent(t));this.IsDragSupported()&&e instanceof l&&this._setPanningEnabled(!1),a.superclass.OnMouseDown.call(this,t)},a.prototype.OnMouseUp=function(t){a.superclass.OnMouseUp.call(this,t),this._setPanningEnabled(!0)},a.prototype.HandleImmediateTouchStartInternal=function(t){this.IsDragSupported()&&1==t.targetTouches.length&&(this.GetLogicalObject(this.GetCurrentTargetForEvent(t))instanceof l&&this._setPanningEnabled(!1))},a.prototype.HandleImmediateTouchEndInternal=function(t){this.IsDragSupported()&&this._setPanningEnabled(!0)},a.prototype.GetDropTargetType=function(t){var e,i=this.GetLogicalObject(this.GetCurrentTargetForEvent(t));return this._diagram.getCache().putToCache("dropTarget",i),null===i?"background":i instanceof l?(null===this._linkDropSelector&&(this._linkDropSelector=this._diagram.getOptions().dnd.drop.ports.selector),this._linkDropSelector&&(e=this._getPortElement(t.getNativeEvent().target,this._linkDropSelector)),i.__dropPort=e,e?"ports":"nodes"):i instanceof d?"links":null},a.prototype.GetDropEventPayload=function(e){var i=e.getNativeEvent().dataTransfer,o=Number(i.getData(t.EventManager.DROP_OFFSET_X_DATA_TYPE))||0,n=Number(i.getData(t.EventManager.DROP_OFFSET_Y_DATA_TYPE))||0,s=this._diagram.getPanZoomCanvas().getContentPane().stageToLocal(this.getCtx().pageToStageCoords(e.pageX,e.pageY)),a=this._diagram.getLayoutOffset(),r={x:s.x-a.x+o,y:s.y-a.y+n},h=this.GetLogicalObject(this.GetCurrentTargetForEvent(e));if(h instanceof l){h.__dropPort?(r.dataContext=h.getDataContext(),r.portElement=h.__dropPort):r.nodeContext=h.getDataContext();var g=h.getDimensions(this._context.getStage()),p=g?this._diagram.getPanZoomCanvas().getContentPane().stageToLocal({x:g.x,y:g.y}):null;r.nodeX=p?s.x-p.x+o:null,r.nodeY=p?s.y-p.y+n:null}else h instanceof d&&(r.linkContext=h.getDataContext());return r},a.prototype.ShowDropEffect=function(e){var i=this.GetDropTargetType(e),o=this._diagram.getCache().getFromCache("dropTarget");"background"===i?this._diagram.getPanZoomCanvas().getBackgroundPane().setClassName("oj-active-drop"):"nodes"===i||"links"===i?o&&o.ShowDropEffect&&o.ShowDropEffect():o&&"ports"===i&&o.__dropPort&&t.ToolkitUtils.addClassName(o.__dropPort,"oj-active-drop")},a.prototype.ShowRejectedDropEffect=function(e){var i=this.GetDropTargetType(e),o=this._diagram.getCache().getFromCache("dropTarget");"background"===i?this._diagram.getPanZoomCanvas().getBackgroundPane().setClassName("oj-invalid-drop"):"nodes"===i||"links"===i?o&&o.ShowRejectedDropEffect&&o.ShowRejectedDropEffect():o&&"ports"===i&&o.__dropPort&&t.ToolkitUtils.addClassName(o.__dropPort,"oj-invalid-drop")},a.prototype.ClearDropEffect=function(){this._diagram.getPanZoomCanvas().getBackgroundPane().setClassName(null);var e=this._diagram.getCache().getFromCache("dropTarget");e&&e.ClearDropEffect&&e.ClearDropEffect(),e&&e.__dropPort&&(t.ToolkitUtils.removeClassName(e.__dropPort,"oj-active-drop"),t.ToolkitUtils.removeClassName(e.__dropPort,"oj-invalid-drop")),this._diagram.getCache().putToCache("dropTarget",null)},a.prototype._getPortElement=function(t,e){return t&&t.closest?t.closest(e):null};var r=function(t,e){this.Init(t,e)};t.Obj.createSubclass(r,t.BaseDiagramKeyboardHandler,"DvtDiagramKeyboardHandler"),r.prototype.isNavigationEvent=function(e){var i=!1;switch(e.keyCode){case t.KeyboardEvent.OPEN_BRACKET:case t.KeyboardEvent.CLOSE_BRACKET:i=!0;break;case t.KeyboardEvent.OPEN_ANGLED_BRACKET:case t.KeyboardEvent.CLOSE_ANGLED_BRACKET:i=!!e.altKey;break;default:i=r.superclass.isNavigationEvent.call(this,e)}return i},r.prototype.processKeyDown=function(e){if(e.keyCode==t.KeyboardEvent.TAB){var i=this._eventManager.getFocus();if(i)return t.EventManager.consumeEvent(e),i;var o=this.GetDiagram().GetRootNodeObjects();if(o.length>0){t.EventManager.consumeEvent(e);var n=this.getDefaultNavigable(o);return this.GetDiagram().ensureObjInViewport(e,n),n}}return r.superclass.processKeyDown.call(this,e)},r.prototype.GetVisibleNode=function(t){return this.GetDiagram().getNodeById(t)};var d=function(t,e,i,o){this.Init(t,e,i,o)};t.Obj.createSubclass(d,t.BaseDiagramLink,"DvtDiagramLink"),d.CUSTOM_STYLE="customStyle",d.newInstance=function(t,e,i){return new d(t.getCtx(),t,e,i)},d.prototype.Init=function(e,i,o,n){d.superclass.Init.call(this,e,o.id,i),this._data=o,this.setPromoted(n),this.isSelectable()&&this.setCursor(t.SelectionEffectUtils.getSelectingCursor()),this.setGroupId(d._getCommonAncestorId(this,i))},d.prototype.getData=function(){return this._data},d.prototype.setData=function(t){this._data=t},d.prototype.getId=function(){return this.getData().id},d.prototype.getActiveElementId=function(){return this._activeElementId||(this._activeElementId=this.getId()+Math.floor(1e9*Math.random())),this._activeElementId},d.prototype.getStartId=function(){return this.getData().startNode},d.prototype.getEndId=function(){return this.getData().endNode},d.prototype.getLabelBounds=function(){var t=null;return this._labelObj&&(t=this._labelObj.getDimensions()),t},d.prototype.getLinkStyle=function(){return this.getData().svgStyle||this.getData().style},d.prototype.getLinkWidth=function(){return this.getData().width},d.prototype.getLinkColor=function(){return this.getData().color},d.prototype.getStartConnectorType=function(){return this.getData().startConnectorType},d.prototype.getEndConnectorType=function(){return this.getData().endConnectorType},d.prototype.getStartConnectorOffset=function(){return this.getStartConnectorType()?t.DiagramLinkConnectorUtils.getStandardConnectorOffset(this.getStartConnectorType(),this.GetAppliedLinkWidth(),this.GetAppliedLinkWidth()):0},d.prototype.getEndConnectorOffset=function(){return this.getEndConnectorType()?t.DiagramLinkConnectorUtils.getStandardConnectorOffset(this.getEndConnectorType(),this.GetAppliedLinkWidth(),this.GetAppliedLinkWidth()):0},d.prototype.render=function(){var t=this.GetDiagram(),e=this.getGroupId(),i=t.getNodeById(this.getStartId()).getGroupId(),o=t.getNodeById(this.getEndId()).getGroupId();if(e){var n=t.getNodeById(e).GetChildNodePane();e==i&&e==o?n.addChildAt(this,0):n.addChild(this)}else i||o?t.getNodesPane().addChild(this):t.getLinksPane().addChild(this);d._renderLinkLabels(t,this.getData(),this),this.setAriaRole("img"),this.UpdateAriaLabel(),this._diagram.getEventManager().associate(this,this)},d.prototype.setPoints=function(t){!this._pathCmds&&t&&d._renderLinkShape(this.GetDiagram(),this.getData(),this),d.superclass.setPoints.call(this,t)},d._renderLinkShape=function(e,i,o){var n=o._pathCmds;n||(n=["M",0,0,"L",0,0]);var s=i.id,a=i.color,r=i.width,l=i.svgStyle||i.style,h=i._hitDetectionOffset;o._hitDetectionUnderlay=o.CreateUnderlay("#000000",0,h),o.addChildAt(o._hitDetectionUnderlay,0);var g=new t.SolidStroke(a,1,r);g.setFixedWidth(!0);var p=new t.Path(o.getCtx(),n,s),c=i.svgClassName||i.className;if(p.setFill(null),p.setClassName(c),o.getCtx().isCustomElement())p.setStyle(l);else if(l&&l instanceof Object){var u=t.Stroke.SOLID;l._type==d.CUSTOM_STYLE?l.strokeDasharray&&(u=t.Stroke.DASHED,l.strokeDasharray=t.DiagramLinkUtils.processStrokeDashArray(l.strokeDasharray)):u=t.DiagramLinkUtils.ConvertLinkStyleToStrokeType(l._type),g.setType(u,l.strokeDasharray,l.strokeDashoffset);var _=t.JsonUtils.clone(l);t.ArrayUtils.forEach(["_type","strokeDasharray","strokeDashoffset"],function(t){delete _[t]}),p.setStyle(_)}else{u=t.DiagramLinkUtils.ConvertLinkStyleToStrokeType(l);g.setType(u,t.DiagramLinkUtils.GetStrokeDash(u),t.DiagramLinkUtils.GetStrokeDashOffset(u))}p.setStroke(g),o.setShape(p),o.addChildAt(p,1)},d._renderLinkLabels=function(e,i,o){var n=i.label;if(n){var s=t.Agent.isRightToLeft(e.getCtx()),a=n.indexOf("\n")>0,r=a?s?t.MultilineText.H_ALIGN_RIGHT:t.MultilineText.H_ALIGN_LEFT:s?t.OutputText.H_ALIGN_RIGHT:t.OutputText.H_ALIGN_LEFT,l=a?t.MultilineText.V_ALIGN_TOP:t.OutputText.V_ALIGN_TOP,h=d.createText(e.getCtx(),n,i.labelStyle,r,l,a),g=i.labelStyle.getMaxWidth()||i.labelStyle.getWidth(),p=t.CSSStyle.toNumber(g);g?p>0&&t.TextUtils.fitText(h,p,1/0,o)&&(o._labelObj=h):(o.addChild(h),o._labelObj=h)}},d.createText=function(e,i,o,n,s,a){var r;return o.hasBackgroundStyles()?r=a?new t.BackgroundMultilineText(e,i,0,0,o,null,!0):new t.BackgroundOutputText(e,i,0,0,o):(r=a?new t.MultilineText(e,i,0,0,null,!0):new t.OutputText(e,i,0,0)).setCSSStyle(o),r.setHorizAlignment(n),r.setVertAlignment(s),r},d.prototype.setSelected=function(t){d.superclass.setSelected.call(this,t),t?this._showFeedback(this._isShowingHoverEffect,!0):this._hideFeedback(),this.UpdateAriaLabel()},d.prototype.isSelectable=function(){return this.GetDiagram().isSelectionSupported()&&"off"!=this.getData().selectable},d.prototype._showFeedback=function(t,e){if(t){this._savedStroke||(this._savedStroke=this.getShape().getStroke());var i=this.getShape().getStroke().clone();i.setColor&&i.setColor(this.getData().hoverInnerColor),this.getShape().setStroke(i),this.ReplaceConnectorColor(this.getStartConnector(),i),this.ReplaceConnectorColor(this.getEndConnector(),i)}else this._savedStroke&&(this.getShape().setStroke(this._savedStroke),this.ReplaceConnectorColor(this.getStartConnector(),this._savedStroke),this.ReplaceConnectorColor(this.getEndConnector(),this._savedStroke),this._savedStroke=null);this._linkUnderlay||(this._linkUnderlay=this.CreateFeedbackUnderlay("#000000",1,0,this.getData().svgStyle,this.getData().svgClassName),this.addChildAt(this._linkUnderlay,0));var o=e?this.getData().selectionColor:this.getData().hoverOuterColor,n=this._linkUnderlay.getStroke().clone();n.setColor(o),n.setWidth(2+this.GetAppliedLinkWidth()),this.ApplyLinkStyle(n,!0),this._linkUnderlay.setStroke(n,2)},d.prototype._hideFeedback=function(){this._savedStroke&&(this.getShape().setStroke(this._savedStroke),this.ReplaceConnectorColor(this.getStartConnector(),this._savedStroke),this.ReplaceConnectorColor(this.getEndConnector(),this._savedStroke),this._savedStroke=null),this._linkUnderlay&&(this.removeChild(this._linkUnderlay),this._linkUnderlay.destroy&&this._linkUnderlay.destroy(),this._linkUnderlay=null)},d.prototype.ApplyLinkStyle=function(e,i){if(!this.getCtx().isCustomElement()){var o=this.GetAppliedLinkStyle();if(o&&o instanceof Object)if(o._type==d.CUSTOM_STYLE){var n=null!=o.strokeDashoffset?t.CSSStyle.toNumber(o.strokeDashoffset)+1:1;e.setType(t.Stroke.DASHED,t.DiagramLinkUtils.getCustomUnderlay(o.strokeDasharray),n)}else{var s=t.DiagramLinkUtils.ConvertLinkStyleToStrokeType(o._type);e.setType(s,t.DiagramLinkUtils.GetStrokeDash(s,i),t.DiagramLinkUtils.GetStrokeDashOffset(s,i))}else d.superclass.ApplyLinkStyle.call(this,e,i)}},d.prototype.showHoverEffect=function(){this._isShowingHoverEffect||(this._isShowingHoverEffect=!0,this._showFeedback(!0,this.isSelected()))},d.prototype.hideHoverEffect=function(){this.isSelected()?this._showFeedback(!1,!0):this._hideFeedback(),this._isShowingHoverEffect=!1},d.prototype.getDatatip=function(t,e,i){var o=this.GetDiagram().getOptions().tooltip,n=o?o.renderer:null;return n?this.GetDiagram().getCtx().getTooltipManager().getCustomTooltip(n,this.getDataContext()):this.getShortDesc()},d.prototype.getShortDesc=function(){return this.isPromoted()?this.getData()._links.length>1?t.Bundle.getTranslation(this.GetDiagram().getOptions(),"promotedLinks",t.Bundle.DIAGRAM_PREFIX,"PROMOTED_LINKS",this.getData()._links.length):t.Bundle.getTranslation(this.GetDiagram().getOptions(),"promotedLink",t.Bundle.DIAGRAM_PREFIX,"PROMOTED_LINK",this.getData()._links.length):this.getData().shortDesc},d.prototype.getDataContext=function(){return{id:this.getId(),type:this.isPromoted()?"promotedLink":"link",label:this.getData().label,data:this.isPromoted()?this.getData()._links:this.getData()._origData,component:this.GetDiagram().getOptions()._widgetConstructor}},d.prototype.getAriaLabel=function(){var e=[];return this.isSelectable()&&e.push(t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,this.isSelected()?"STATE_SELECTED":"STATE_UNSELECTED")),this.isPromoted()&&e.push(t.Bundle.getTranslatedString(t.Bundle.DIAGRAM_PREFIX,"PROMOTED_LINK_ARIA_DESC")),t.Displayable.generateAriaLabel(this.getShortDesc(),e)},d.prototype.UpdateAriaLabel=function(){if(!t.Agent.deferAriaCreation()){var e=this.getAriaLabel();e&&this.setAriaProperty("label",e)}},d.prototype.getNextNavigable=function(e){if(e.keyCode==t.KeyboardEvent.SPACE&&e.ctrlKey)return this;if(e.keyCode==t.KeyboardEvent.UP_ARROW||e.keyCode==t.KeyboardEvent.DOWN_ARROW){(a=this.getKeyboardFocusNode())||(a=this.GetDiagram().getNodeById(this.getStartId()));var i=this,o=this.GetDiagram().getNavigableLinksForNodeId(a.getId()),n=this.GetDiagram().getEventManager().getKeyboardHandler();return n&&n.getNextNavigableLink&&(i=n.getNextNavigableLink(a,this,e,o)),i.setKeyboardFocusNode(a),this._diagram.ensureObjInViewport(e,i),i}if(e.keyCode==t.KeyboardEvent.RIGHT_ARROW||e.keyCode==t.KeyboardEvent.LEFT_ARROW){var s;s=this._movingToStart(e.keyCode)?this.getStartId():this.getEndId();var a=this.GetDiagram().getNodeById(s);return this._diagram.ensureObjInViewport(e,a),a}return e.type==t.MouseEvent.CLICK?this:null},d.prototype._movingToStart=function(e){var i=this.getLinkStart(),o=this.getLinkEnd(),n=i.x<o.x;return!(e==t.KeyboardEvent.RIGHT_ARROW&&n||e==t.KeyboardEvent.LEFT_ARROW&&!n)},d.prototype.showKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!0,this.showHoverEffect()},d.prototype.hideKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!1,this.hideHoverEffect()},d.prototype.isShowingKeyboardFocusEffect=function(){return this._isShowingKeyboardFocusEffect},d.prototype.getCategories=function(){return this.getData().categories?this.getData().categories:[this.getId()]},d.prototype.isHidden=function(){var e=this.GetDiagram().getOptions().hiddenCategories;return!(!e||!t.ArrayUtils.hasAnyItem(e,this.getCategories()))||(!this.GetDiagram().getNodeById(this.getStartId())||!this.GetDiagram().getNodeById(this.getEndId()))},d.prototype.animateUpdate=function(e,i,o){var n=i.getPoints(),a=this.getPoints(),r=new t.CustomAnimation(this.getCtx(),null,e.getAnimationDuration());if(!t.ArrayUtils.equals(n,a)){this.setPoints(n);var d=t.Animator.TYPE_POLYLINE;a.length>0&&isNaN(a[0])&&(d=t.Animator.TYPE_PATH),r.getAnimator().addProp(d,this,this.getPoints,this.setPoints,a)}if(i._labelObj&&this._labelObj){var l=i._labelObj.getMatrix(),h=this._labelObj.getMatrix();l.equals(h)||(this._labelObj.setMatrix(l),r.getAnimator().addProp(t.Animator.TYPE_MATRIX,this._labelObj,this._labelObj.getMatrix,this._labelObj.setMatrix,h))}if(i.getShape()&&this.getShape()){var g=i.getShape().getStroke(),p=this.getShape().getStroke();g&&p&&g instanceof t.SolidStroke&&p instanceof t.SolidStroke&&(g.getColor()!=p.getColor()||g.getWidth()!=p.getWidth())&&(this.getShape().setStroke(g),r.getAnimator().addProp(t.Animator.TYPE_STROKE,this.getShape(),this.getShape().getStroke,this.getShape().setStroke,p))}if(o){var c=this;t.Playable.appendOnEnd(r,function(){c.getParent().removeChild(c)})}e.add(r,s.UPDATE)},d.prototype.animateDelete=function(e,i){this.GetDiagram().getLinksPane().addChild(this);var o=this,n=new t.AnimFadeOut(this.getCtx(),this,e.getAnimationDuration());t.Playable.appendOnEnd(n,function(){o.getParent().removeChild(o),o.destroy()}),e.add(n,s.DELETE)},d.prototype.animateInsert=function(e){this.setAlpha(0),e.add(new t.AnimFadeIn(this.getCtx(),this,e.getAnimationDuration()),s.INSERT)},d.prototype.animateCollapse=function(e,i){if(i&&0!=i.length){var o=t.ArrayUtils.copy(this.getPoints());this.animateUpdate(e,i[0]);for(var n=1;n<i.length;n++){var s={id:"_fakeLink"+n+this.getId()};s=t.JsonUtils.merge(s,this.getData());var a=new d(this.GetDiagram().getCtx(),this.GetDiagram(),s,!0);a.render(),a.setPoints(o),a.animateUpdate(e,i[n],!0)}}},d.prototype.animateExpand=function(t,e){if(e&&0!=e.length)for(var i=0;i<e.length;i++)e[i].animateUpdate(t,this)},d.prototype.setLabelAlignments=function(e,i){var o=this._labelObj instanceof t.MultilineText||this._labelObj instanceof t.BackgroundMultilineText;"baseline"==i&&(i=o?t.MultilineText.V_ALIGN_TOP:t.OutputText.V_ALIGN_AUTO),this._labelObj.setHorizAlignment(e),this._labelObj.setVertAlignment(i)},d.prototype.setGroupId=function(t){this._groupId=t},d.prototype.getGroupId=function(){return this._groupId},d._getCommonAncestorId=function(e,i){for(var o=function(t,e){for(var i=[],o=e.getNodeById(t)?e.getNodeById(t).getGroupId():null;o;)i.push(o),o=e.getNodeById(o)?e.getNodeById(o).getGroupId():null;return i},n=o(e.getStartId(),i),s=o(e.getEndId(),i),a=0;a<n.length;a++)if(t.ArrayUtils.getIndex(s,n[a])>-1)return n[a];return null},d.GetPromotedLinkId=function(t,e){return"_plL"+t+"_L"+e},d.prototype.ShowDropEffect=function(){this._dropEffect||this._createDropEffect("oj-diagram-link oj-active-drop")},d.prototype.ShowRejectedDropEffect=function(){this._dropEffect||this._createDropEffect("oj-diagram-link oj-invalid-drop")},d.prototype.ClearDropEffect=function(){this._dropEffect&&(this.removeChild(this._dropEffect),this._dropEffect=null)},d.prototype._createDropEffect=function(t){var e=this.getData()._hitDetectionOffset;this._dropEffect=this.CreateFeedbackUnderlay("#000000",0,e,null,t),this._dropEffect.setMouseEnabled(!1),this.addChild(this._dropEffect)},d.ConvertLinkData=function(t){return{id:t.id,startNode:t.startNode,endNode:t.endNode,label:t.label,selectable:t.selectable,shortDesc:t.shortDesc,categories:t.categories,_origData:t}},d.prototype.getAnimationState=function(){var t,e,i;this._labelObj&&((t={matrix:this._labelObj.getMatrix()}).getMatrix=function(){return t.matrix}),this.getShape()&&((e={stroke:this.getShape().getStroke().clone()}).getStroke=function(){return e.stroke});var o=this.isPromoted()?this.getData()._links:null;return(i={partialUpdate:!0,id:this.getId(),promoted:this.isPromoted(),includedLinks:o,points:this.getPoints(),shape:e,_labelObj:t}).getId=function(){return i.id},i.isPromoted=function(){return i.promoted},i.getData=function(){return{_links:i.includedLinks}},i.getPoints=function(){return i.points},i.getShape=function(){return i.shape},i};var l=function(t,e,i){this.Init(t,e,i)};t.Obj.createSubclass(l,t.BaseDiagramNode,"DvtDiagramNode"),l.newInstance=function(t,e){return new l(t.getCtx(),t,e)},l.prototype.Init=function(e,i,o){l.superclass.Init.call(this,e,o.id,i),this._data=o,this.isSelectable()&&this.setCursor(t.SelectionEffectUtils.getSelectingCursor())},l.prototype.getData=function(){return this._data},l.prototype.setData=function(t){this._data=t},l.prototype.getId=function(){return this._data.id},l.prototype.getActiveElementId=function(){return this._activeElementId||(this._activeElementId=this.getId()+Math.floor(1e9*Math.random())),this._activeElementId},l.prototype.getContentBounds=function(t){return!this._contentDims&&t&&(this._contentDims=this._calcContentDims()),this._contentDims},l.prototype.getLabelBounds=function(t){var e=null;return this._labelObj&&t&&(e=this._labelObj.getDimensions()),e},l.prototype.setSelected=function(t){var e=this._getState();l.superclass.setSelected.call(this,t),this._diagram.getOptions().selectionRenderer?this._applyCustomNodeContent(this._diagram.getOptions().selectionRenderer,this._getState(),e):this.processDefaultSelectionEffect(t),this.UpdateAriaLabel()},l.prototype.processDefaultSelectionEffect=function(t){this.getSelectionShape()&&this.getSelectionShape().setSelected(t)},l.prototype.isSelectable=function(){return this.GetDiagram().isSelectionSupported()&&"off"!=this.getData().selectable},l.prototype.GetIcon=function(){return this._shape},l.prototype.render=function(){this._cleanUp();var t=this.getData();if(this._diagram.getOptions().renderer){if(this._applyCustomNodeContent(this._diagram.getOptions().renderer,this._getState(),null),this.isDisclosed()){var e=this.getElem().getBoundingClientRect(),i=this._childNodePane?this._childNodePane.getElem().getBoundingClientRect():null;this._containerPadding={left:i.left-e.left,right:e.right-i.right,top:i.top-e.top,bottom:e.bottom-i.bottom}}this._selectionShape&&(this.removeChild(this._selectionShape),this._selectionShape=null)}else this.isDisclosed()?l._renderContainer(this._diagram,t,this):(l._renderNodeBackground(this._diagram,t,this),l._renderNodeIcon(this._diagram,t,this)),l._addHoverSelectionDefaultStrokes(this.getSelectionShape(),t);l._renderNodeLabels(this._diagram,t,this),this._setDraggableStyleClass(),l._renderContainerButton(this._diagram,t,this),this.setAriaRole("img"),this.UpdateAriaLabel(),this._diagram.getEventManager().associate(this,this)},l.prototype._applyCustomNodeContent=function(e,i,o){var n=this._diagram.getOptions()._contextHandler;if(n){var s=this.getData()._origData,a=null;if(this.isDisclosed()){var r=this.GetChildNodePane(),d=r.getDimensions();a={element:r.getElem(),w:d?d.w-d.x:null,h:d?d.h-d.y:null}}var l=e(n(this.getElem(),this._customNodeContent,a,s,i,o));!l&&this._customNodeContent&&this.getCtx().isCustomElement()||(this._customNodeContent&&l!=this._customNodeContent&&(this._customNodeContent.namespaceURI===t.ToolkitUtils.SVG_NS?this.getContainerElem().removeChild(this._customNodeContent):this.removeChild(l),this._customNodeContent=null),l&&l.namespaceURI===t.ToolkitUtils.SVG_NS?this._customNodeContent||(t.ToolkitUtils.appendChildElem(this.getContainerElem(),l),this._customNodeContent=l):l instanceof t.BaseComponent?this._customNodeContent||(this.addChild(l),this._customNodeContent=l):l&&this._diagram.Log("dvt.Diagram: could not add custom node content for the node "+this.getId()+l,1))}else this._diagram.Log("dvt.Diagram: could not add custom node content - context handler is undefined",1)},l._renderNodeBackground=function(e,i,o){if(!e.getCtx().isCustomElement()){var n=i.backgroundSvgStyle||i.backgroundStyle,s=t.JsonUtils.clone(n),a=[t.CSSStyle.WIDTH,t.CSSStyle.HEIGHT,t.CSSStyle.BACKGROUND_COLOR,t.CSSStyle.BORDER_COLOR,t.CSSStyle.BORDER_WIDTH,t.CSSStyle.BORDER_RADIUS];if(!(n=l._getNodeCSSStyle(s,i._backgroundStyle,a)).isEmpty()){var r=t.CSSStyle.toNumber(n.getStyle(t.CSSStyle.WIDTH)),d=t.CSSStyle.toNumber(n.getStyle(t.CSSStyle.HEIGHT)),h=n.getStyle(t.CSSStyle.BACKGROUND_COLOR),g=n.getStyle(t.CSSStyle.BORDER_COLOR),p=t.CSSStyle.toNumber(n.getStyle(t.CSSStyle.BORDER_WIDTH)),c=t.CSSStyle.toNumber(n.getStyle(t.CSSStyle.BORDER_RADIUS)),u=new t.Rect(e.getCtx(),0,0,r,d);u.setSolidFill(h),c&&(u.setRx(c),u.setRy(c)),g&&u.setStroke(new t.SolidStroke(g,1,p)),s&&t.ArrayUtils.forEach(a,function(e){delete s[t.CSSStyle.cssStringToObjectProperty(e)]});var _=i.backgroundSvgClassName||i.backgroundClassName;u.setStyle(s).setClassName(_),o.addChild(u),o.setSelectionShape(u),o._background=u}}},l._renderNodeIcon=function(e,i,o){var n=i.icon;if(n){var s,a=n.width,r=n.height,d=n.color,h=n.borderRadius;s=n.source?new t.ImageMarker(e.getCtx(),a/2,r/2,a,r,h,n.source,n.sourceSelected,n.sourceHover,n.sourceHoverSelected):new t.SimpleMarker(e.getCtx(),n.shape,t.CSSStyle.SKIN_ALTA,a/2,r/2,a,r,h),"none"!=n.fillPattern?s.setFill(new t.PatternFill(n.fillPattern,d,d)):s.setSolidFill(d),null!=n.opacity&&s.setAlpha(n.opacity),n.borderColor&&s.setStroke(new t.SolidStroke(n.borderColor,1,n.borderWidth));var g=n.svgStyle||n.style,p=n.svgClassName||n.className;s.setStyle(g).setClassName(p),o.addChild(s),o._shape=s,l._setIconPosition(e,i,o),o._background||o.setSelectionShape(s)}},l._setIconPosition=function(e,i,o){if(o._background){var n=i.icon,s=o._background.getWidth(),a=o._background.getHeight(),r=n.width,d=n.height,l=.5*(s-r),h=.5*(a-d);if(void 0!==n.positionX)l=parseFloat(n.positionX),t.Agent.isRightToLeft(o.getCtx())&&(l=s-l-r);else{var g=n.halign;"start"==g?g=t.Agent.isRightToLeft(o.getCtx())?"right":"left":"end"==g&&(g=t.Agent.isRightToLeft(o.getCtx())?"left":"right"),l="left"==g?0:"right"==g?s-r:l}void 0!==n.positionY?h=parseFloat(n.positionY):"top"==n.valign?h=0:"bottom"==n.valign&&(h=a-d),o._shape.setTranslate(l,h)}},l._renderNodeLabels=function(e,i,o){var n=i.label;if(n){var s=t.Agent.isRightToLeft(e.getCtx()),a=n.indexOf("\n")>0,r=a?s?t.MultilineText.H_ALIGN_RIGHT:t.MultilineText.H_ALIGN_LEFT:s?t.OutputText.H_ALIGN_RIGHT:t.OutputText.H_ALIGN_LEFT,d=a?t.MultilineText.V_ALIGN_TOP:t.OutputText.V_ALIGN_TOP,h=l.createText(e.getCtx(),n,i.labelStyle,r,d,a),g=i.labelStyle.getMaxWidth()||i.labelStyle.getWidth(),p=t.CSSStyle.toNumber(g);g?p>0&&t.TextUtils.fitText(h,p,1/0,o)&&(o._labelObj=h):(o.addChild(h),o._labelObj=h)}},l.createText=function(e,i,o,n,s,a){var r;return o.hasBackgroundStyles()?r=a?new t.BackgroundMultilineText(e,i,0,0,o,null,!0):new t.BackgroundOutputText(e,i,0,0,o):(r=a?new t.MultilineText(e,i,0,0,null,!0):new t.OutputText(e,i,0,0)).setCSSStyle(o),r.setHorizAlignment(n),r.setVertAlignment(s),r},l._addHoverSelectionDefaultStrokes=function(e,i){var o=i.hoverInnerColor,n=i.hoverOuterColor,s=i.selectionColor,a=new t.SolidStroke(o,1,4);a.setFixedWidth(!0);var r=new t.SolidStroke(n,1,8);r.setFixedWidth(!0);var d=new t.SolidStroke(o,1,2);d.setFixedWidth(!0);var l=new t.SolidStroke(s,1,6);l.setFixedWidth(!0);var h=new t.SolidStroke(o,1,4);h.setFixedWidth(!0);var g=new t.SolidStroke(s,1,8);g.setFixedWidth(!0),e.setHoverStroke(a,r).setSelectedStroke(d,l).setSelectedHoverStroke(h,g)},l._addHoverSelectionOuterStrokes=function(e,i){var o=i.hoverInnerColor,n=i.hoverOuterColor,s=i.selectionColor,a=new t.SolidStroke(o,1,2);a.setFixedWidth(!0);var r=new t.SolidStroke(n,1,2);r.setFixedWidth(!0);var d=new t.SolidStroke(o,1,1);d.setFixedWidth(!0);var l=new t.SolidStroke(s,1,2);l.setFixedWidth(!0);var h=new t.SolidStroke(o,1,2);h.setFixedWidth(!0);var g=new t.SolidStroke(s,1,2);g.setFixedWidth(!0),e.setHoverStroke(a,r).setSelectedStroke(d,l).setSelectedHoverStroke(h,g)},l.prototype.setSelectionShape=function(t){this._selectionShape=t},l.prototype.getSelectionShape=function(){if(!this._selectionShape){var e=this.getContentBounds(!0);if(e){var i=new t.Rect(this._diagram.getCtx(),e.x,e.y,e.w,e.h);i.setInvisibleFill(),i.setStrokeAlignment(t.Stroke.OUTER),this.setSelectionShape(i),this.addChildAt(i,0),l._addHoverSelectionOuterStrokes(i,this.getData()),this._selectionShape=i}}return this._selectionShape},l.prototype.showHoverEffect=function(){if(!this._isShowingHoverEffect){var t=this._getState();this._isShowingHoverEffect=!0,this._diagram.getOptions().hoverRenderer?this._applyCustomNodeContent(this._diagram.getOptions().hoverRenderer,this._getState(),t):this.processDefaultHoverEffect(!0)}},l.prototype.hideHoverEffect=function(){if(this._isShowingHoverEffect){var t=this._getState();this._isShowingHoverEffect=!1,this._diagram.getOptions().hoverRenderer?this._applyCustomNodeContent(this._diagram.getOptions().hoverRenderer,this._getState(),t):this.processDefaultHoverEffect(!1)}},l.prototype.processDefaultHoverEffect=function(t){this.getSelectionShape()&&(t?this.getSelectionShape().showHoverEffect():this.getSelectionShape().hideHoverEffect())},l.prototype.getDatatip=function(t,e,i){var o=this.GetDiagram().getOptions().tooltip,n=o?o.renderer:null;return n?this.GetDiagram().getCtx().getTooltipManager().getCustomTooltip(n,this.getDataContext()):this.getShortDesc()},l.prototype.getShortDesc=function(){return this.getData().shortDesc},l.prototype.getDataContext=function(){return{id:this.getId(),type:"node",label:this.getData().label,data:this.getData()._origData,component:this.GetDiagram().getOptions()._widgetConstructor}},l.prototype.getAriaLabel=function(){var e=[];return this.isSelectable()&&e.push(t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,this.isSelected()?"STATE_SELECTED":"STATE_UNSELECTED")),this.isContainer()&&e.push(this.isDisclosed()?t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"STATE_EXPANDED"):t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"STATE_COLLAPSED")),t.Displayable.generateAriaLabel(this.getShortDesc(),e)},l.prototype.UpdateAriaLabel=function(){if(!t.Agent.deferAriaCreation()){var e=this.getAriaLabel();e&&this.setAriaProperty("label",e)}},l.prototype.getNextNavigable=function(e){var i=null;if(e.keyCode==t.KeyboardEvent.SPACE&&e.ctrlKey)i=this;else if((e.keyCode==t.KeyboardEvent.OPEN_ANGLED_BRACKET||t.KeyboardEvent.CLOSE_ANGLED_BRACKET)&&e.altKey){var o=this.GetDiagram().getNavigableLinksForNodeId(this.getId()),n=this.GetDiagram().getEventManager().getKeyboardHandler();n&&n.getFirstNavigableLink&&(i=n.getFirstNavigableLink(this,e,o)),i?i.setKeyboardFocusNode(this):i=this}else if(e.keyCode==t.KeyboardEvent.OPEN_BRACKET){if(this.isDisclosed())i=this.getChildNodes()[0];else i=this}else if(e.keyCode==t.KeyboardEvent.CLOSE_BRACKET){i=(s=this.getGroupId()?this.GetDiagram().getNodeById(this.getGroupId()):null)||this}else if(e.type==t.MouseEvent.CLICK)i=this;else{var s,a=(s=this.getGroupId()?this.GetDiagram().getNodeById(this.getGroupId()):null)?s.getChildNodes():this.GetDiagram().GetRootNodeObjects();i=t.KeyboardHandler.getNextAdjacentNavigable(this,e,a)}return e instanceof t.KeyboardEvent&&this._diagram.ensureObjInViewport(e,i),i},l.prototype.HandleKeyboardEvent=function(e){e.keyCode==t.KeyboardEvent.SPACE&&e.ctrlKey&&e.shiftKey&&this.isContainer()&&this.GetDiagram().setNodeDisclosed(this.getId(),!this.isDisclosed())},l.prototype.isContainer=function(){return 0!=this.GetDiagram().getOptions().data.getChildCount(this.getData())},l.prototype.showKeyboardFocusEffect=function(){if(!this.isShowingKeyboardFocusEffect()){var t=this._getState();this._isShowingKeyboardFocusEffect=!0,this._diagram.getOptions().focusRenderer?this._applyCustomNodeContent(this._diagram.getOptions().focusRenderer,this._getState(),t):this.processDefaultFocusEffect(!0)}},l.prototype.hideKeyboardFocusEffect=function(){if(this.isShowingKeyboardFocusEffect()){var t=this._getState();this._isShowingKeyboardFocusEffect=!1,this._diagram.getOptions().focusRenderer?this._applyCustomNodeContent(this._diagram.getOptions().focusRenderer,this._getState(),t):this.processDefaultFocusEffect(!1)}},l.prototype.processDefaultFocusEffect=function(t){this.processDefaultHoverEffect(t)},l.prototype.isShowingKeyboardFocusEffect=function(){return this._isShowingKeyboardFocusEffect},l.prototype.getCategories=function(){return this.getData().categories?this.getData().categories:[this.getId()]},l.prototype.isHidden=function(){var e=this.GetDiagram().getOptions().hiddenCategories;return!(!e||!t.ArrayUtils.hasAnyItem(e,this.getCategories()))},l.prototype._calcContentDims=function(){var e,i=null;this._customNodeContent?this._customNodeContent instanceof t.BaseComponent?(e=this._customNodeContent.getDimensions())&&(i=new t.Rectangle(e.x,e.y,e.w,e.h)):(e=this._customNodeContent.getBBox())&&(i=new t.Rectangle(e.x,e.y,e.width,e.height)):this.isDisclosed()?i=this._containerShape.GetDimensionsWithStroke(this):(i=this._background?this._background.GetDimensionsWithStroke(this):null)&&this._shape?i=i.getUnion(this._shape.GetDimensionsWithStroke(this)):!i&&this._shape&&(i=this._shape.GetDimensionsWithStroke(this));return i},l.prototype.animateUpdate=function(e,i){var o=new t.CustomAnimation(this.getCtx(),null,e.getAnimationDuration());if(this.isDisclosed()||i.isDisclosed())if(this.isDisclosed()&&i.isDisclosed()){if(i._labelObj&&this._labelObj){u=i._labelObj.getMatrix(),_=this._labelObj.getMatrix();u.equals(_)||(this._labelObj.setMatrix(u),o.getAnimator().addProp(t.Animator.TYPE_MATRIX,this._labelObj,this._labelObj.getMatrix,this._labelObj.setMatrix,_))}if(this._diagram.getOptions().renderer)this._animateCustomUpdate(e,i);else{if(l._animatePosition(o,i,this),l._animateContainer(o,i._containerShape,this._containerShape),t.Agent.isRightToLeft(this.getCtx())&&i._containerButton&&this._containerButton){var n=i._containerButton.getTranslateX(),a=this._containerButton.getTranslateX();n!=a&&(this._containerButton.setTranslateX(n),o.getAnimator().addProp(t.Animator.TYPE_NUMBER,this._containerButton,this._containerButton.getTranslateX,this._containerButton.setTranslateX,a))}if(!i.partialUpdate){for(var r=[],d=[],h=this.getChildNodeIds(),g=0;g<h.length;g++)r.push(this.GetDiagram().getNodeById(h[g]));var p=i.getChildNodeIds(),c=e.getOldDiagram().NodesMap;for(g=0;g<p.length;g++)d.push(c[p[g]]);e.constructAnimation(d,r)}}}else this._animateCustomUpdate(e,i);else{if(l._animatePosition(o,i,this),i._shape&&this._shape&&(o.getAnimator().addProp(t.Animator.TYPE_RECTANGLE,this._shape,this._shape.getCenterDimensions,this._shape.setCenterDimensions,this._shape.getCenterDimensions()),this._shape.setCenterDimensions(i._shape.getCenterDimensions())),i._labelObj&&this._labelObj){var u=i._labelObj.getMatrix(),_=this._labelObj.getMatrix();u.equals(_)||(this._labelObj.setMatrix(u),o.getAnimator().addProp(t.Animator.TYPE_MATRIX,this._labelObj,this._labelObj.getMatrix,this._labelObj.setMatrix,_))}l._animateFill(o,i._background,this._background),l._animateFill(o,i._shape,this._shape)}e.add(o,s.UPDATE)},l.prototype._animateCustomUpdate=function(e,i){var o=i.getContentBounds(),n=this.getContentBounds();if(o.equals(n)){var a=new t.CustomAnimation(this.getCtx(),null,e.getAnimationDuration());return l._animatePosition(a,i,this),void e.add(a,s.UPDATE)}var r=n.w/o.w,d=o.w/n.w,h=(a=new t.CustomAnimation(this.getCtx(),null,e.getAnimationDuration()),new t.Point(i.getTranslateX()+.5*o.w,i.getTranslateY()+.5*o.h)),g=this.getTranslateX(),p=this.getTranslateY();this.setTranslateX(h.x-n.w*d*.5),this.setTranslateY(h.y-n.w*d*.5),a.getAnimator().addProp(t.Animator.TYPE_NUMBER,this,this.getTranslateX,this.setTranslateX,g),a.getAnimator().addProp(t.Animator.TYPE_NUMBER,this,this.getTranslateY,this.setTranslateY,p),e.add(a,s.UPDATE),this.setScaleX(d),this.setScaleY(d);var c=new t.AnimScaleTo(this.getCtx(),this,new t.Point(1,1),e.getAnimationDuration());e.add(c,s.UPDATE);var u=i.partialUpdate?i.origContent:i;if(u){this.getParent().addChild(u);var _=new t.Point(this.getTranslateX()+.5*n.w,this.getTranslateY()+.5*n.h);a.getAnimator().addProp(t.Animator.TYPE_NUMBER,u,i.getTranslateX,u.setTranslateX,_.x-o.w*r*.5),a.getAnimator().addProp(t.Animator.TYPE_NUMBER,u,i.getTranslateY,u.setTranslateY,_.y-o.h*r*.5);var f=new t.AnimScaleTo(this.getCtx(),u,new t.Point(r,r),e.getAnimationDuration());e.add(f,s.UPDATE);var m=new t.AnimFadeOut(this.getCtx(),u,e.getAnimationDuration());e.add(m,s.UPDATE);var y=this;t.Playable.appendOnEnd(m,function(){y.getParent().removeChild(u)}),this.setAlpha(0);var C=new t.AnimFadeIn(this.getCtx(),this,e.getAnimationDuration());e.add(C,s.UPDATE)}},l._animatePosition=function(e,i,o){if(o&&i){var n=i.getTranslateX(),s=i.getTranslateY(),a=o.getTranslateX(),r=o.getTranslateY();n!=a&&(o.setTranslateX(n),e.getAnimator().addProp(t.Animator.TYPE_NUMBER,o,o.getTranslateX,o.setTranslateX,a)),s!=r&&(o.setTranslateY(s),e.getAnimator().addProp(t.Animator.TYPE_NUMBER,o,o.getTranslateY,o.setTranslateY,r))}},l._animateContainer=function(e,i,o){o&&i&&(l._animateFill(e,i,o),e.getAnimator().addProp(t.Animator.TYPE_NUMBER,o,o.getWidth,o.setWidth,o.getWidth()),o.setWidth(i.getWidth()),e.getAnimator().addProp(t.Animator.TYPE_NUMBER,o,o.getHeight,o.setHeight,o.getHeight()),o.setHeight(i.getHeight()))},l._animateFill=function(e,i,o){i&&o&&o.getFill()instanceof t.SolidFill&&!o.getFill().equals(i.getFill())&&(e.getAnimator().addProp(t.Animator.TYPE_FILL,o,o.getFill,o.setFill,o.getFill()),o.setFill(i.getFill()))},l.prototype.animateDelete=function(e,i){this.GetDiagram().getNodesPane().addChild(this);var o=this,n=new t.AnimFadeOut(this.getCtx(),this,e.getAnimationDuration());t.Playable.appendOnEnd(n,function(){o.getParent().removeChild(o),o.destroy()}),e.add(n,s.DELETE)},l.prototype.animateInsert=function(e){this.setAlpha(0),e.add(new t.AnimFadeIn(this.getCtx(),this,e.getAnimationDuration()),s.INSERT)},l.prototype._getState=function(t){return{hovered:this._isShowingHoverEffect,selected:this.isSelected(),focused:this._isShowingKeyboardFocusEffect,zoom:t||this.GetDiagram().getPanZoomCanvas().getZoom(),expanded:this.isDisclosed()}},l.prototype.rerenderOnZoom=function(t){if(this._diagram.getOptions().zoomRenderer){var e=this._getState(t.getOldZoom()),i=this._getState(t.getNewZoom());this._applyCustomNodeContent(this._diagram.getOptions().zoomRenderer,i,e)}},l.prototype.setLabelAlignments=function(e,i){var o=this._labelObj instanceof t.MultilineText||this._labelObj instanceof t.BackgroundMultilineText;"baseline"==i&&(i=o?t.MultilineText.V_ALIGN_TOP:t.OutputText.V_ALIGN_AUTO),this._labelObj.setHorizAlignment(e),this._labelObj.setVertAlignment(i)},l.prototype.getContainerPadding=function(){if(!this._containerPadding&&this._diagram.getOptions().renderer){var t=this.getElem().getBoundingClientRect(),e=this._childNodePane?this._childNodePane.getElem().getBoundingClientRect():null;this._containerPadding={left:e.left-t.left,right:t.right-e.right,top:e.top-t.top,bottom:t.bottom-e.bottom}}else if(!this._containerPadding){var i=this._data.containerSvgStyle||this._data.containerStyle,o=l._getNodeCSSStyle(i,this._data._containerStyle,["padding-left","padding-right","padding-top","padding-bottom"]);this._containerPadding={left:o.getPadding("padding-left"),right:o.getPadding("padding-right"),top:o.getPadding("padding-top"),bottom:o.getPadding("padding-bottom")}}return this._containerPadding},l.prototype.getChildNodeIds=function(){return this._childNodeIds},l.prototype.addChildNodeId=function(t){this._childNodeIds||(this._childNodeIds=[]),this._childNodeIds.push(t)},l.prototype.removeChildNodeId=function(e){this._childNodeIds&&t.ArrayUtils.removeItem(this._childNodeIds,e)},l.prototype.removeChildNode=function(t){t&&(this.removeChildNodeId(t.getId()),this._childNodePane.removeChild(t))},l.prototype.getChildNodes=function(){for(var t=[],e=this._childNodeIds?this._childNodeIds.length:-1,i=0;i<e;i++){var o=this.GetDiagram().getNodeById(this._childNodeIds[i]);o&&t.push(o)}return t},l.prototype.setGroupId=function(t){this._groupId=t},l.prototype.getGroupId=function(){return this._groupId},l.prototype.GetChildNodePane=function(){return this._childNodePane||(this._childNodePane=new t.Container(this.getCtx()),this.addChild(this._childNodePane)),this._childNodePane},l.prototype.handleDisclosure=function(e){t.EventManager.consumeEvent(e),this._diagram.setNodeDisclosed(this.getId(),!this.isDisclosed())},l._renderContainer=function(e,i,o){var n=e.getCtx().isCustomElement()?null:i.containerSvgStyle||i.containerStyle,s=t.JsonUtils.clone(n),a=[t.CSSStyle.BACKGROUND_COLOR,t.CSSStyle.BORDER_COLOR,t.CSSStyle.BORDER_WIDTH,t.CSSStyle.BORDER_RADIUS],r=l._getNodeCSSStyle(s,i._containerStyle,a),d=r.getStyle(t.CSSStyle.BACKGROUND_COLOR),h=r.getStyle(t.CSSStyle.BORDER_COLOR),g=t.CSSStyle.toNumber(r.getStyle(t.CSSStyle.BORDER_WIDTH)),p=t.CSSStyle.toNumber(r.getStyle(t.CSSStyle.BORDER_RADIUS)),c=o.GetChildNodePane(),u=o.getContainerPadding();c.setTranslate(u.left,u.top);var _=c.getDimensionsWithStroke(),f=new t.Rect(e.getCtx(),0,0,_.w+u.left+u.right,_.h+u.top+u.bottom);f.setSolidFill(d),p&&(f.setRx(p),f.setRy(p)),h&&f.setStroke(new t.SolidStroke(h,1,g)),s&&t.ArrayUtils.forEach(a,function(e){delete s[t.CSSStyle.cssStringToObjectProperty(e)]});var m=e.getCtx().isCustomElement()?null:i.containerSvgClassName||i.containerClassName;f.setStyle(s).setClassName(m),o.addChildAt(f,0),o.setSelectionShape(f),o._containerShape=f},l._getNodeCSSStyle=function(e,i,o){var n=new t.CSSStyle;return t.ArrayUtils.forEach(o,function(o){var s=null,a=t.CSSStyle.cssStringToObjectProperty(o);e&&null!=e[a]?s=e[a]:i&&(s=i.getStyle(o)),n.setStyle(o,s)}),n},l._renderContainerButton=function(e,i,o){if(o.isContainer()&&"off"!=i.showDisclosure){var n,s,a,r=e.getOptions();o.isDisclosed()?(n=r._resources.collapse_ena,s=r._resources.collapse_ovr,a=r._resources.collapse_dwn):(n=r._resources.expand_ena,s=r._resources.expand_ovr,a=r._resources.expand_dwn);var d=new t.Image(e.getCtx(),n.src,0,0,n.width,n.height),l=new t.Image(e.getCtx(),s.src,0,0,s.width,s.height),h=new t.Image(e.getCtx(),a.src,0,0,a.width,a.height),g=new t.Button(e.getCtx(),d,l,h,null,null,o.handleDisclosure,o);o.addChild(g);var p=o.getContentBounds(!0);if(p){var c=t.Agent.isRightToLeft(e.getCtx())?p.x+p.w-n.width:p.x,u=p.y;g.setTranslate(c,u)}o._containerButton=g}},l.prototype.isDragAvailable=function(t){return!0},l.prototype.getDragTransferable=function(t,e){return"off"===this.getData().draggable?null:[this.getId()]},l.prototype.getDragFeedback=function(t,e){if(this._diagram.getEventManager().LinkCreationStarted)return null;if(this._diagram.isSelectionSupported()&&this._diagram.getSelectionHandler().getSelectedCount()>1){for(var i=this._diagram.getSelectionHandler().getSelection(),o=[],n=0;n<i.length;n++)o.push(i[n]);return o}return this},l.prototype.ShowDropEffect=function(){this._dropEffect||this._createDropEffect("oj-diagram-node oj-active-drop")},l.prototype.ShowRejectedDropEffect=function(){this._dropEffect||this._createDropEffect("oj-diagram-node oj-invalid-drop")},l.prototype.ClearDropEffect=function(){this._dropEffect&&(this.removeChild(this._dropEffect),this._dropEffect=null)},l.prototype._createDropEffect=function(e){var i;if(this._customNodeContent||this.isDisclosed()||this._background||this._shape&&this._shape instanceof t.ImageMarker){var o=this.getContentBounds(!0);if(o){i=new t.Rect(this._diagram.getCtx(),o.x,o.y,o.w,o.h);var n=this._customNodeContent?null:this.isDisclosed()?this._containerShape.getRx():this._background?this._background.getRx():null;n&&(i.setRx(n),i.setRy(n))}}else this._shape&&this._shape instanceof t.SimpleMarker&&(i=this._shape.copyShape());i.setInvisibleFill(),i.setClassName(e),i.setMouseEnabled(!1),this.addChild(i),this._dropEffect=i},l.prototype._setDraggableStyleClass=function(){if(this._diagram.getEventManager().IsDragSupported()&&"off"!=this.getData().draggable){var e=this._customNodeContent?this:this.isDisclosed()?this._containerShape:this._background?this._background:this._shape,i=e.getElem()?e.getElem():e;t.ToolkitUtils.addClassName(i,"oj-diagram-node"),t.ToolkitUtils.addClassName(i,"oj-draggable")}},l.ConvertNodeData=function(t){return{id:t.id,label:t.label,selectable:t.selectable,shortDesc:t.shortDesc,categories:t.categories,nodes:t.nodes,_origData:t}},l.prototype._cleanUp=function(e){this._containerShape&&(this.removeChild(this._containerShape),e&&e.addChild(this._containerShape),this._containerShape=null),this._background&&(this.removeChild(this._background),e&&e.addChild(this._background),this._background=null),this._shape&&(this.removeChild(this._shape),e&&e.addChild(this._shape),this._shape=null),this._labelObj&&(this.removeChild(this._labelObj),e&&e.addChild(this._labelObj),this._labelObj=null),this._containerButton&&(this.removeChild(this._containerButton),e&&e.addChild(this._containerButton),this._containerButton=null),this._customNodeContent&&(this._childNodePane&&(this._childNodePane.setParent(null),this.addChild(this._childNodePane)),this._customNodeContent.namespaceURI===t.ToolkitUtils.SVG_NS?(this.getContainerElem().removeChild(this._customNodeContent),e&&t.ToolkitUtils.appendChildElem(e.getContainerElem(),this._customNodeContent)):this._customNodeContent instanceof t.BaseComponent&&(this.removeChild(this._customNodeContent),e&&e.addChild(this._customNodeContent)),this._customNodeContent=null),this._contentDims=null},l.prototype.getAnimationState=function(e){var i,o,n,s,a,r=this.getContentBounds();return this._shape&&((i={centerDimensions:this._shape.getCenterDimensions(),fill:this._shape.getFill()}).getCenterDimensions=function(){return i.centerDimensions},i.getFill=function(){return i.fill}),this._labelObj&&((o={matrix:this._labelObj.getMatrix()}).getMatrix=function(){return o.matrix}),this.isDisclosed()&&this._containerShape&&((n={fill:this._containerShape.getFill(),width:this._containerShape.getWidth(),height:this._containerShape.getHeight()}).getFill=function(){return n.fill},n.getWidth=function(){return n.width},n.getHeight=function(){return n.height}),(e||this.isDisclosed()&&this._diagram.getOptions().renderer)&&(a=new t.Container(this.getCtx()),this._cleanUp(a),a.setTranslate(this.getTranslateX(),this.getTranslateY())),(s={partialUpdate:!0,id:this.getId(),disclosed:this.isDisclosed(),tx:this.getTranslateX(),ty:this.getTranslateY(),contentBounds:r,origContent:a,_shape:i,_labelObj:o,_containerShape:n}).getId=function(){return s.id},s.isDisclosed=function(){return s.disclosed},s.getTranslateX=function(){return s.tx},s.getTranslateY=function(){return s.ty},s.getContentBounds=function(){return s.contentBounds},s},l.prototype.appendChildNodesData=function(e,i){this._data.nodes instanceof Array||(this._data.nodes=[]),this._data.nodes=t.ArrayUtils.insert(this._data.nodes,e,i)},l.prototype.removeChildNodesData=function(t){if(this._data.nodes instanceof Array)for(var e=0;e<t.length;e++)for(var i=t[e].id,o=0;o<this._data.nodes.length;o++)if(this._data.nodes[o].id===i){this._data.nodes.splice(o,1);break}};var h=function(t){this.Init(t)};t.Obj.createSubclass(h,t.Automation,"DvtDiagramAutomation"),h.prototype.Init=function(t){this._diagram=t},h.prototype.GetSubIdForDomElement=function(t){var e=this._diagram.getEventManager().GetLogicalObject(t);return e&&e instanceof l?"node["+this._diagram.GetAllNodes().indexOf(e.getId())+"]":e&&e instanceof d?"link["+this._diagram.GetAllLinks().indexOf(e.getId())+"]":null},h.prototype.getDomElementForSubId=function(e){if(e==t.Automation.TOOLTIP_SUBID)return this.GetTooltipElement(this._diagram);var i=this._parseSubId(e),o=i.component,n=i.index,s=null;return"node"==o?s=this._getNode(n):"link"==o&&(s=this._getLink(n)),s?s.getElem():null},h.prototype._parseSubId=function(t){var e=t,i=-1,o=t.substring(0,t.indexOf("["));return o&&(e="node"==o||"link"==o?o:null,i=parseInt(t.substring(t.indexOf("[")+1,t.indexOf("]")))),{component:e,index:i}},h.prototype.getNodeCount=function(){return this._diagram.GetAllNodes().length},h.prototype.getLinkCount=function(){return this._diagram.GetAllLinks().length},h.prototype.getNode=function(e){var i=this._getNode(e);if(i){var o={};o.id=i.getId(),o.selected=i.isSelected(),o.tooltip=i.getShortDesc(),o.label=i.getData().label;var n=i.getData().backgroundStyle;return n&&n instanceof Object&&(n=t.CSSStyle.cssObjectToString(n)),o.background=n,o.icon=this._getMarkerData(i.GetIcon()),o.expanded=i.isDisclosed(),o}return null},h.prototype.getLink=function(e){var i=this._getLink(e);if(i){var o={};return o.id=i.getId(),o.selected=i.isSelected(),o.tooltip=i.getShortDesc(),o.label=i.getData().label,o.color=i.getLinkColor(),o.width=i.getLinkWidth(),o.style=this._getLinkStyleFromObject(i.getLinkStyle()),o.startNode=i.getStartId(),o.endNode=i.getEndId(),o.startConnectorType=i.getStartConnectorType(),o.endConnectorType=i.getEndConnectorType(),o.promoted=i.isPromoted(),i.isPromoted()&&(o.links=t.JsonUtils.clone(i.getData()._links)),o}return null},h.prototype.getPromotedLink=function(t,e){var i=this._getNode(t),o=this._getNode(e);if(!i||!o)return null;var n=d.GetPromotedLinkId(i.getId(),o.getId()),s=this._diagram.getLinkById(n);if(s){var a={};return a.id=s.getId(),a.selected=s.isSelected(),a.tooltip=s.getShortDesc(),a.color=s.getLinkColor(),a.width=s.getLinkWidth(),a.style=this._getLinkStyleFromObject(s.getLinkStyle()),a.startNode=s.getStartId(),a.endNode=s.getEndId(),a.startConnectorType=s.getStartConnectorType(),a.endConnectorType=s.getEndConnectorType(),a.count=s.getData()._links.length,a}return null},h.prototype._getLinkStyleFromObject=function(e){if(this._diagram.getCtx().isCustomElement())return t.CSSStyle.cssObjectToString(e);if(e&&e instanceof Object){if(e._type==d.CUSTOM_STYLE){var i=t.JsonUtils.clone(e);return delete i._type,t.CSSStyle.cssObjectToString(i)}return e._type}return e},h.prototype.getExpanded=function(){return this._diagram.DisclosedNodes},h.prototype._getMarkerData=function(e){if(e){var i={};return i.shape=e instanceof t.SimpleMarker?e.getType():"none",e.getFill()&&(i.color=e.getFill().getColor()),i}return null},h.prototype._getNode=function(t){var e=this._diagram.GetAllNodes();return t>=0&&t<e.length?this._diagram.getNodeById(e[t]):null},h.prototype._getLink=function(t){var e=this._diagram.GetAllLinks();return t>=0&&t<e.length?this._diagram.getLinkById(e[t]):null},t.exportProperty(t,"Diagram",t.Diagram),t.exportProperty(t.Diagram,"newInstance",t.Diagram.newInstance),t.exportProperty(t.Diagram.prototype,"highlight",t.Diagram.prototype.highlight),t.exportProperty(t.Diagram.prototype,"select",t.Diagram.prototype.select),t.exportProperty(t.Diagram.prototype,"getAutomation",t.Diagram.prototype.getAutomation),t.exportProperty(t.Diagram.prototype,"processDefaultHoverEffect",t.Diagram.prototype.processDefaultHoverEffect),t.exportProperty(t.Diagram.prototype,"processDefaultSelectionEffect",t.Diagram.prototype.processDefaultSelectionEffect),t.exportProperty(t.Diagram.prototype,"processDefaultFocusEffect",t.Diagram.prototype.processDefaultFocusEffect),t.exportProperty(t.Diagram.prototype,"clearDisclosedState",t.Diagram.prototype.clearDisclosedState),t.exportProperty(t.Diagram.prototype,"expand",t.Diagram.prototype.expand),t.exportProperty(t.Diagram.prototype,"collapse",t.Diagram.prototype.collapse),t.exportProperty(h.prototype,"getDomElementForSubId",h.prototype.getDomElementForSubId),t.exportProperty(h.prototype,"getNodeCount",h.prototype.getNodeCount),t.exportProperty(h.prototype,"getLinkCount",h.prototype.getLinkCount),t.exportProperty(h.prototype,"getNode",h.prototype.getNode),t.exportProperty(h.prototype,"getLink",h.prototype.getLink),t.exportProperty(h.prototype,"getPromotedLink",h.prototype.getPromotedLink),t.exportProperty(h.prototype,"getExpanded",h.prototype.getExpanded)}(dvt);
  return dvt;
});
