/**
 * Copyright (c) 2014, 2016, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";
define(['./DvtToolkit'], function(dvt) {
  // Internal use only.  All APIs and functionality are subject to change at any time.

!function(t){t.NBox=function(t,e,n){this.Init(t,e,n)},t.Obj.createSubclass(t.NBox,t.BaseComponent),t.NBox.newInstance=function(e,n,o){return new t.NBox(e,n,o)},t.NBox.getDefaults=function(t){return(new e).getDefaults(t)},t.NBox.prototype.Init=function(n,o,a){t.NBox.superclass.Init.call(this,n,o,a),this.Defaults=new e,this.EventManager=new d(this),this.EventManager.addListeners(this),this._dragSource=new t.DragSource(n),this._dropTarget=new g(this),this.EventManager.setDragSource(this._dragSource),t.Agent.isTouchDevice()||this.EventManager.setKeyboardHandler(this.CreateKeyboardHandler(this.EventManager)),this.setId("nbox1000"+Math.floor(1e9*Math.random())),this.legend=null,this._peers=[],this._animationAllowed=!0},t.NBox.prototype.SetOptions=function(e){e||(e=this.getSanitizedOptions()),e?(this.Options=this.Defaults.calcOptions(e),N.processDataObject(this),t.Agent.isEnvironmentBrowser()||(this.Options[t.NBoxConstants.ANIMATION_ON_DISPLAY]="none",this.Options[t.NBoxConstants.ANIMATION_ON_DATA_CHANGE]="none")):this.Options||(this.Options=this.GetDefaults()),this._displayables=[];var n=this.Options[t.NBoxConstants.SELECTION_MODE];this._selectionHandler="single"==n?new t.SelectionHandler(t.SelectionHandler.TYPE_SINGLE):"multiple"==n?new t.SelectionHandler(t.SelectionHandler.TYPE_MULTIPLE):null,this.EventManager.setSelectionHandler(this._selectionHandler)},t.NBox.prototype.render=function(e,n,o){var a=f.getAnimationOnDataChange(this),i=null;this.Options&&"none"!==a&&((i={options:this.Options,getOptions:function(){return this.options},displayables:this._displayables,getDisplayables:function(){return this.displayables},id:this.getId(),getId:function(){return this.id}}).getOptions=i.getOptions,i.getDisplayables=i.getDisplayables,i.getId=i.getId),this.__cleanUp(),this.SetOptions(e),isNaN(n)||isNaN(o)||(this.Width=n,this.Height=o);var r=new t.Container(this.getCtx());this.addChild(r),C.render(this,r,new t.Rectangle(0,0,this.Width,this.Height));var s=[this],g=N.getLegend(this);if(g&&g.sections){var d=N.getDisplayable(this,g,"panelDrawer");if(d&&(s.push(d),d.isDisclosed())){var u=N.getDisplayable(this,g,"legend");s.push(u)}}if(this.getCtx().setKeyboardFocusArray(s),e&&N.getDrawer(this)&&N.getGrouping(this)){var h=N.getDisplayable(this,N.getDrawer(this));this.EventManager.setFocus(h),this.EventManager.setFocused(!1)}this._updateKeyboardFocusEffect(),this.StopAnimation();var c=f.getAnimationOnDisplay(this),p=f.getAnimationDuration(this),_=new t.Rectangle(0,0,this.Width,this.Height),x=!1;if(this._container){if("none"!=a&&e)if(this.Animation=t.BlackBoxAnimationHandler.getCombinedAnimation(this.getCtx(),a,this._container,r,_,p),this.Animation)x=!0;else{this._deleteContainer=new t.Container(this.getCtx(),"DeleteContainer"),this.addChild(this._deleteContainer);var y=new l(this.getCtx(),this._deleteContainer,i,this),S=C.getNodeOrderFunction(this);y.constructAnimation([i],[this]),this.Animation=y.getAnimation(),t.Playable.appendOnEnd(this.Animation,S,this)}}else"none"!==c&&(this.Animation=t.BlackBoxAnimationHandler.getInAnimation(this.getCtx(),c,r,_,p));this.Animation?(this.setMouseEnabled(!1),t.Playable.appendOnEnd(this.Animation,this._getOnAnimationEndFunction(e),this),this.Animation.play()):this._getOnAnimationEndFunction(e).call(this),x?this._oldContainer=this._container:this._container&&(this.removeChild(this._container),this._container.destroy()),this._container=r,this.UpdateAriaAttributes()},t.NBox.prototype.__cleanUp=function(){this.EventManager.hideTooltip(),this._peers.length=0},t.NBox.prototype._getOnAnimationEndFunction=function(e){return function(){this._oldContainer&&(this.removeChild(this._oldContainer),this._oldContainer.destroy(),this._oldContainer=null),this._deleteContainer&&(this.removeChild(this._deleteContainer),this._deleteContainer.destroy()),this._deleteContainer=null,this.setMouseEnabled(!0),this.AnimationStopped||(this.Animation&&t.Agent.isPlatformIE()&&t.Agent.getVersion()>=12&&(this.Animation=null,this.setAnimationAllowed(!1),this.render(e),this.setAnimationAllowed(!0)),this.RenderComplete()),this.Animation=null,this.AnimationStopped=!1}},t.NBox.prototype.CreateKeyboardHandler=function(t){return new u(t,this)},t.NBox.prototype.getChildContainer=function(){return this._container},t.NBox.prototype.getDeleteContainer=function(){return this._deleteContainer},t.NBox.prototype.getDisplayables=function(){return this._displayables},t.NBox.prototype._updateKeyboardFocusEffect=function(){var t,e=this.EventManager.getFocus(),n=!1;e&&(n=e.isShowingKeyboardFocusEffect(),e.getKeyboardFocusDisplayable&&(t=e.getKeyboardFocusDisplayable()),t&&n&&t.showKeyboardFocusEffect(),this.EventManager.setFocus(t))},t.NBox.prototype.processEvent=function(e,n){var o=e.type,a=this.getSanitizedOptions();if("categoryHide"==o||"categoryShow"==o)e=this._processHideShowEvent(e);else if("categoryHighlight"==o)e=this._processRolloverEvent(e);else if("selection"==o)e=this._processSelectionEvent(e);else if(a._legend&&o==t.PanelDrawerEvent.TYPE){var i=e.getSubType()==t.PanelDrawerEvent.SUBTYPE_HIDE?"undisclosed":"disclosed";e=t.EventFactory.newAdfPropertyChangeEvent(t.NBoxConstants.LEGEND_DISCLOSURE,i),a[t.NBoxConstants.LEGEND_DISCLOSURE]=i,this.render(a)}e&&this.dispatchEvent(e)},t.NBox.prototype._processHideShowEvent=function(e){var n=this.getSanitizedOptions(),o=n[t.NBoxConstants.HIDDEN_CATEGORIES];o||(o=[]);var a=t.ArrayUtils.getIndex(o,e.category);return"categoryHide"==e.type&&-1==a&&o.push(e.category),"categoryShow"==e.type&&-1!=a&&o.splice(a,1),0==o.length&&(o=null),e=t.EventFactory.newAdfPropertyChangeEvent(t.NBoxConstants.HIDDEN_CATEGORIES,o),n[t.NBoxConstants.HIDDEN_CATEGORIES]=o,this.render(n),e},t.NBox.prototype._processRolloverEvent=function(t){return this._processHighlighting(t.categories),t},t.NBox.prototype._processSelectionEvent=function(e){var n=e.selection,o=null;if(n){for(var a={},r=0;r<n.length;r++)a[n[r]]=!0;var l=this.getObjects(),g=null;if(N.getGrouping(this))for(r=0;r<l.length;r++)if(l[r]instanceof i){if(a[l[r].getId()]){a[l[r].getId()]=!1;for(var d=l[r].getData().nodeIndices,u=0;u<d.length;u++){a[N.getNode(this,d[u])[t.NBoxConstants.ID]]=!0}}}else l[r]instanceof s&&(g=l[r]);var h=[];for(var C in o=[],a)a[C]&&(h.push(C),o.push(C));e=t.EventFactory.newSelectionEvent(h)}return N.setSelectedItems(this,o),g&&g.UpdateAccessibilityAttributes(),e},t.NBox.prototype._distributeToChildren=function(t,e){this.legend&&this.legend!=e&&this.legend.processEvent(t,e)},t.NBox.prototype.registerObject=function(t){this._peers.push(t)},t.NBox.prototype.getObjects=function(){return this._peers},t.NBox.prototype.getWidth=function(){return this.Width},t.NBox.prototype.getHeight=function(){return this.Height},t.NBox.prototype.getSelectionHandler=function(){return this._selectionHandler},t.NBox.prototype.isSelectionSupported=function(){return!!this._selectionHandler},t.NBox.prototype.getShowPopupBehaviors=function(t){return this._popupBehaviors?this._popupBehaviors[t]:null},t.NBox.prototype.animateUpdate=function(t,e){C.animateUpdate(t,e,this)},t.NBox.prototype.getSanitizedOptions=function(){return t.JsonUtils.clone(this.getOptions(),function(t){return 0!=t.indexOf("__")})},t.NBox.prototype.getSubcomponentStyles=function(){return{}},t.NBox.prototype.__isDragAvailable=function(t){return this._selectionHandler?t[0]:null},t.NBox.prototype.__getDragTransferable=function(e){e.isSelected()||(this._selectionHandler.processClick(e,!1),this.EventManager.fireSelectionEvent());for(var n=[],a={},r=this._selectionHandler.getSelection(),s=0;s<r.length;s++){var l=r[s];if(l instanceof o){var g=l.getData()[t.NBoxConstants.ID];n.push(g),a[g]=!0}else if(l instanceof i){for(var d=l.getData().nodeIndices,u=0;u<d.length;u++){var h=N.getNode(this,d[u])[t.NBoxConstants.ID];n.push(h),a[h]=!0}a[l.getData()[t.NBoxConstants.ID]]=!0}}var C=this._selectionHandler.getSelectedIds();for(s=0;s<C.length;s++){if(!a[g=C[s]])if(isNaN(N.getNodeIndex(this,g))){if(N.getGrouping(this)&&N.getCategoryNode(this,g)){for(d=N.getCategoryNode(this,g).nodeIndices,u=0;u<d.length;u++){a[h=N.getNode(this,d[u])[t.NBoxConstants.ID]]||(n.push(h),a[h]=!0)}a[g]=!0}}else n.push(g),a[g]=!0}return n},t.NBox.prototype.__getDragFeedback=function(){return this._selectionHandler.getSelection().slice(0)},t.NBox.prototype.__getCellUnderPoint=function(t,e){for(var n=N.getRowCount(this)*N.getColumnCount(this),o=0;o<n;o++){var a=N.getDisplayable(this,N.getCell(this,o));if(a.contains(t,e))return a}return null},t.NBox.prototype.__showDropSiteFeedback=function(t){return this._dropSiteFeedback&&(this._dropSiteFeedback.getParent().removeChild(this._dropSiteFeedback),this._dropSiteFeedback=null),t&&(this._dropSiteFeedback=t.renderDropSiteFeedback()),this._dropSiteFeedback},t.NBox.prototype.getAutomation=function(){return this.Automation||(this.Automation=new h(this)),this.Automation},t.NBox.prototype.GetComponentDescription=function(){return N.hasValidData(this)?t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"NBOX",N.getColumnCount(this)*N.getRowCount(this)):t.Bundle.getTranslation(this.getOptions(),"labelInvalidData",t.Bundle.UTIL_PREFIX,"INVALID_DATA")},t.NBox.prototype.highlight=function(e){this.Options.highlightedCategories=t.JsonUtils.clone(e),this._processHighlighting(e)},t.NBox.prototype._processHighlighting=function(e){var n=this.getNodeDisplayables(),a=this,r=function(n){if(n instanceof o){if(n.getCategories())return"all"==a.getOptions()[t.NBoxConstants.HIGHLIGHT_MATCH]?t.ArrayUtils.hasAllItems(e,n.getCategories()):t.ArrayUtils.hasAnyItem(e,n.getCategories())}else if(n instanceof i)for(var r=n.getData(),s=r.nodeIndices.length,l=0;l<s;l++){var g=N.getNode(a,r.nodeIndices[l]);if(g[t.NBoxConstants.CATEGORIES]&&("all"==a.getOptions()[t.NBoxConstants.HIGHLIGHT_MATCH]?t.ArrayUtils.hasAllItems(e,g[t.NBoxConstants.CATEGORIES]):t.ArrayUtils.hasAnyItem(e,g[t.NBoxConstants.CATEGORIES])))return!0}return!1},s=N.getRowCount(a)*N.getColumnCount(a);for(a.getOptions().__highlightedMap=null,h=0;h<s;h++){var l=N.getCell(a,h),g=N.getDisplayable(a,l);c.renderHeader(a,l,g,!1)}var d=N.getHighlightedItems(a),u={};if(d)for(var h=0;h<d.length;h++)u[d[h][t.NBoxConstants.ID]]=!0;for(h=0;h<n.length;h++)if(e&&e.length>0&&!r(n[h])?n[h].setAlpha(f.getFadedNodeAlpha(this)):n[h].setAlpha(1),n[h]instanceof i){for(var C=0,p=n[h].getData(),x=0;x<p.nodeIndices.length;x++)u[p.nodeIndices[x]]&&(C+=1);p.highlightedCount=C;var y=null!=f.getStyledCategoryIndicatorIcon(a,p)||null!=f.getCategoryNodeIndicatorColor(a,p);_._renderNodeCount(a,n[h].getData(),n[h],p.__scale,y,p.__gap)}},t.NBox.prototype.getNodeDisplayables=function(){for(var e=[],n=N.getNodeCount(this),o=0;o<n;o++)e.push(N.getNode(this,o));var a=N.getGroupBehavior(this),i=this.getOptions().__groups;if(i)if(a==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL){var r=N.getRowCount(this)*N.getColumnCount(this);for(o=0;o<r;o++){var s=i[o+""];for(var l in s)e.push(s[l])}}else for(var l in i)e.push(i[l]);var g=[];for(o=0;o<e.length;o++){var d=N.getDisplayable(this,e[o]);d&&g.push(d)}return g},t.NBox.prototype.isAnimationAllowed=function(){return this._animationAllowed},t.NBox.prototype.setAnimationAllowed=function(t){this._animationAllowed=t},t.NBox.prototype.isDragAvailable=function(t,e,n){return this._dragSource.isDragAvailable(n)},t.NBox.prototype.getDragTransferable=function(t,e){return this._dragSource.getDragTransferable(t,e)},t.NBox.prototype.getDragOverFeedback=function(t,e){return this._dragSource.getDragOverFeedback(t,e)},t.NBox.prototype.getDragContext=function(t,e){return this._dragSource.getDragContext(t,e)},t.NBox.prototype.getDragOffset=function(t,e){return this._dragSource.getDragOffset(t,e)},t.NBox.prototype.getPointerOffset=function(t,e){return this._dragSource.getPointerOffset(t,e)},t.NBox.prototype.initiateDrag=function(){this._dragSource.initiateDrag()},t.NBox.prototype.dragDropEnd=function(){this._dragSource.dragDropEnd()},t.NBox.prototype.acceptDrag=function(t,e,n){return this._dropTarget.acceptDrag(t,e,n)},t.NBox.prototype.dragEnter=function(){this._dropTarget.dragEnter()},t.NBox.prototype.dragExit=function(){this._dropTarget.dragExit()},t.NBox.prototype.getDropSite=function(t,e){return this._dropTarget.getDropSite(t,e)},t.NBoxConstants={},t.Obj.createSubclass(t.NBoxConstants,t.Obj),t.NBoxConstants.COLUMN="column",t.NBoxConstants.COLUMNS="columns",t.NBoxConstants.COLUMNS_TITLE="columnsTitle",t.NBoxConstants.COLUMNS_TITLE_STYLE="columnsTitleStyle",t.NBoxConstants.COLUMN_LABEL_STYLE="columnLabelStyle",t.NBoxConstants.MAXIMIZED_COLUMN="maximizedColumn",t.NBoxConstants.ROW="row",t.NBoxConstants.ROWS="rows",t.NBoxConstants.ROWS_TITLE="rowsTitle",t.NBoxConstants.ROWS_TITLE_STYLE="rowsTitleStyle",t.NBoxConstants.ROW_LABEL_STYLE="rowLabelStyle",t.NBoxConstants.MAXIMIZED_ROW="maximizedRow",t.NBoxConstants.CELL="cell",t.NBoxConstants.CELLS="cells",t.NBoxConstants.CELL_DEFAULTS="cellDefaults",t.NBoxConstants.NODES="nodes",t.NBoxConstants.NODE_DEFAULTS="nodeDefaults",t.NBoxConstants.CATEGORIES="categories",t.NBoxConstants.ICON="icon",t.NBoxConstants.ICON_DEFAULTS="iconDefaults",t.NBoxConstants.INDICATOR="indicator",t.NBoxConstants.INDICATOR_ICON="indicatorIcon",t.NBoxConstants.INDICATOR_ICON_DEFAULTS="indicatorIconDefaults",t.NBoxConstants.INDICATOR_COLOR="indicatorColor",t.NBoxConstants.X_PERCENTAGE="xPercentage",t.NBoxConstants.Y_PERCENTAGE="yPercentage",t.NBoxConstants.SELECTION="selection",t.NBoxConstants.SELECTION_MODE="selectionMode",t.NBoxConstants.SELECTION_INFO="selectionInfo",t.NBoxConstants.HAS_SELECTION_LISTENER="hasSelectionListener",t.NBoxConstants.HIGHLIGHTED_CATEGORIES="highlightedCategories",t.NBoxConstants.HIGHLIGHT_MATCH="highlightMatch",t.NBoxConstants.HIDDEN_CATEGORIES="hiddenCategories",t.NBoxConstants.HOVER_BEHAVIOR="hoverBehavior",t.NBoxConstants.GROUP_CATEGORY="groupCategory",t.NBoxConstants.GROUP_ATTRIBUTES="groupAttributes",t.NBoxConstants.GROUP_BEHAVIOR="groupBehavior",t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL="withinCell",t.NBoxConstants.GROUP_BEHAVIOR_ACROSS_CELLS="acrossCells",t.NBoxConstants.OTHER_COLOR="otherColor",t.NBoxConstants.OTHER_THRESHOLD="otherThreshold",t.NBoxConstants.ANIMATION_ON_DATA_CHANGE="animationOnDataChange",t.NBoxConstants.ANIMATION_ON_DISPLAY="animationOnDisplay",t.NBoxConstants.ANIMATION_DURATION="animationDuration",t.NBoxConstants.DRAWER="_drawer",t.NBoxConstants.LEGEND="_legend",t.NBoxConstants.LEGEND_DISCLOSURE="legendDisclosure",t.NBoxConstants.ID="id",t.NBoxConstants.LABEL="label",t.NBoxConstants.LABEL_STYLE="labelStyle",t.NBoxConstants.LABEL_HALIGN="labelHalign",t.NBoxConstants.SECONDARY_LABEL="secondaryLabel",t.NBoxConstants.SECONDARY_LABEL_STYLE="secondaryLabelStyle",t.NBoxConstants.SHORT_DESC="shortDesc",t.NBoxConstants.SHOW_COUNT="showCount",t.NBoxConstants.STYLE="style",t.NBoxConstants.STYLE_DEFAULTS="styleDefaults",t.NBoxConstants.BORDER_COLOR="borderColor",t.NBoxConstants.BORDER_RADIUS="borderRadius",t.NBoxConstants.BORDER_WIDTH="borderWidth",t.NBoxConstants.COLOR="color",t.NBoxConstants.PATTERN="pattern",t.NBoxConstants.OPACITY="opacity",t.NBoxConstants.SHAPE="shape",t.NBoxConstants.SOURCE="source",t.NBoxConstants.HEIGHT="height",t.NBoxConstants.WIDTH="width",t.Bundle.addDefaultStrings(t.Bundle.NBOX_PREFIX,{HIGHLIGHTED_COUNT:"{0}/{1}",COMMA_SEP_LIST:"{0}, {1}",OTHER:"Other",LEGEND:"Legend",GROUP_NODE:"Group",ADDITIONAL_DATA:"Additional Data",SIZE:"Size"});var e=function(){this.Init({skyros:e.VERSION_1,alta:e.SKIN_ALTA})};t.Obj.createSubclass(e,t.BaseComponentDefaults),e.VERSION_1={skin:t.CSSStyle.SKIN_ALTA,selectionMode:"multiple",animationOnDataChange:"none",animationOnDisplay:"none",cellMaximize:"on",cellContent:"auto",legendDisplay:"auto",legendDisclosure:"disclosed",groupBehavior:"withinCell",otherColor:"#636363",otherThreshold:0,hoverBehavior:"none",highlightMatch:"all",highlightedCategories:[],touchResponse:"auto",_statusMessageStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA+"color: #252525;"),styleDefaults:{animationDuration:500,hoverBehaviorDelay:200,columnLabelStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA_12+"color: #252525;"),rowLabelStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA_12+"color: #252525;"),columnsTitleStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA_14+"color: #252525;"),rowsTitleStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA_14+"color: #252525;"),cellDefaults:{_style:new t.CSSStyle("background-color:#e9e9e9"),_maximizedStyle:new t.CSSStyle("background-color:#dddddd"),_minimizedStyle:new t.CSSStyle("background-color:#e9e9e9"),labelStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA_BOLD_14+"color: #252525;"),countLabelStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA_14+"color: #252525;"),bodyCountLabelStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA+"color: #252525;"),dropTargetStyle:new t.CSSStyle("background-color:rgba(217, 244, 250, .75);border-color:#ccf6ff"),showCount:"auto",showMaximize:"on"},__scrollbar:{scrollbarBackground:"linear-gradient(bottom, #dce2e7 0%, #f8f8f8 8%)",scrollbarBorderColor:"#dce2e7",scrollbarHandleColor:"#abb0b4",scrollbarHandleHoverColor:"#333333",scrollbarHandleActiveColor:"#333333"},_drawerDefaults:{background:"#e9e9e9",borderColor:"#bcc7d2",borderRadius:1,headerBackground:"linear-gradient(to bottom, #f5f5f5 0%, #f0f0f0 100%)",labelStyle:new t.CSSStyle("color: #252525;"+t.BaseComponentDefaults.FONT_FAMILY_ALTA_BOLD_14),countLabelStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA_BOLD_14),countBorderRadius:1},nodeDefaults:{color:"#FFFFFF",labelStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA_12),secondaryLabelStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA_11),alphaFade:.2,borderRadius:1,hoverColor:"#FFFFFF",selectionColor:"#000000",iconDefaults:{preferredSize:19,preferredSizeTouch:34,shapePaddingRatio:.15,sourcePaddingRatio:0,opacity:1,pattern:"none",borderColor:"#000000",borderWidth:0,borderRadius:0,shape:t.SimpleMarker.CIRCLE},indicatorIconDefaults:{width:10,height:10,opacity:1,pattern:"none",borderColor:"#000000",borderWidth:0,borderRadius:0,shape:t.SimpleMarker.CIRCLE}},__legendDefaults:{sectionStyle:"color: #252525;"+t.BaseComponentDefaults.FONT_FAMILY_ALTA_BOLD_12,itemStyle:"color: #252525;"+t.BaseComponentDefaults.FONT_FAMILY_ALTA_12,markerColor:"#808080"},_categoryNodeDefaults:{labelStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA)}},__layout:{componentGap:8,titleGap:4,titleComponentGap:4,nodeLabelOnlyStartLabelGap:5,nodeStartLabelGap:3,nodeEndLabelGap:5,nodeSingleLabelGap:2,nodeDualLabelGap:2,nodeInterLabelGap:0,nodeIndicatorGap:3,nodeSwatchSize:10,categoryNodeLabelGap:5,minimumCellSize:34,cellGap:3,gridGap:6,cellStartGap:6,cellEndGap:6,cellTopGap:6,cellBottomGap:6,cellLabelGap:6,cellCloseGap:6,countLabelGap:10,markerGap:3,minimumLabelWidth:55,maximumLabelWidth:148,drawerButtonGap:6,drawerCountHorizontalGap:5,drawerCountVerticalGap:3,drawerStartGap:6,drawerLabelGap:6,drawerHeaderHeight:31,legendBottomGap:10}},e.SKIN_ALTA={};var n=function(){};t.Obj.createSubclass(n,t.Container),n.newInstance=function(t,e){var o=new n;return o.Init(t,e),o},n.prototype.Init=function(e,o){var a=N.getRowIndex(e,o[t.NBoxConstants.ROW]),i=N.getColumnIndex(e,o[t.NBoxConstants.COLUMN]);n.superclass.Init.call(this,e.getCtx(),null,"c:"+a+","+i),this._nbox=e,this._data=o,this._scrollContainer=!1},n.prototype.getData=function(){return this._data},n.prototype.render=function(t,e){t.addChild(this),N.setDisplayable(this._nbox,this._data,this),c.render(this._nbox,this._data,this,e),this._nbox.EventManager.associate(this,this)},n.prototype.getChildContainer=function(){return this._childContainer},n.prototype.setChildContainer=function(t){this._childContainer=t},n.prototype.animateUpdate=function(t,e){c.animateUpdate(t,e,this)},n.prototype.animateDelete=function(t,e){c.animateDelete(t,this)},n.prototype.animateInsert=function(t){c.animateInsert(t,this)},n.prototype.isDoubleClickable=function(){return N.isMaximizeEnabled(this._nbox)},n.prototype.handleDoubleClick=function(){if(this.isDoubleClickable()){var e,r=N.getMaximizedRow(this._nbox),s=N.getMaximizedColumn(this._nbox),l=this._nbox.getSanitizedOptions(),g=t.EventFactory.newAdfPropertyChangeEvent(t.NBoxConstants.DRAWER,null);l[t.NBoxConstants.DRAWER]=null,r==this._data[t.NBoxConstants.ROW]&&s==this._data[t.NBoxConstants.COLUMN]?(l[t.NBoxConstants.MAXIMIZED_ROW]=null,g.properties[t.NBoxConstants.MAXIMIZED_ROW]=null,l[t.NBoxConstants.MAXIMIZED_COLUMN]=null,g.properties[t.NBoxConstants.MAXIMIZED_COLUMN]=null):(l[t.NBoxConstants.MAXIMIZED_ROW]=this._data[t.NBoxConstants.ROW],g.properties[t.NBoxConstants.MAXIMIZED_ROW]=this._data[t.NBoxConstants.ROW],l[t.NBoxConstants.MAXIMIZED_COLUMN]=this._data[t.NBoxConstants.COLUMN],g.properties[t.NBoxConstants.MAXIMIZED_COLUMN]=this._data[t.NBoxConstants.COLUMN]);var d=this._nbox.EventManager.getFocus();d?d instanceof o?e=this.getCellIndex()!=N.getCellIndex(this._nbox,d.getData()):d instanceof a?e=this!=d.getParentCell():d instanceof n?e=this.getCellIndex()!=d.getCellIndex():d instanceof i&&(e=this.getCellIndex()!=d.getData().cell):this._nbox.EventManager.setFocusObj(this),e&&(this._nbox.EventManager.setFocusObj(this),this._nbox.EventManager.setFocused(!1)),this._nbox.processEvent(g),this._nbox.render(l)}},n.prototype.contains=function(t,e){var n=N.getDisplayable(this._nbox,this._data,"background"),o=this.getTranslateX()+n.getX(),a=this.getTranslateY()+n.getY(),i=o+n.getWidth(),r=a+n.getHeight();return o<=t&&t<=i&&a<=e&&e<=r},n.prototype.renderDropSiteFeedback=function(){return c.renderDropSiteFeedback(this._nbox,this)},n.prototype.HandleKeyboardEvent=function(e){var n=N.getMaximizedRow(this._nbox),o=N.getMaximizedColumn(this._nbox),a=n==this._data[t.NBoxConstants.ROW]&&o==this._data[t.NBoxConstants.COLUMN];(!a&&e.keyCode==t.KeyboardEvent.ENTER||a&&e.keyCode==t.KeyboardEvent.ESCAPE)&&this.handleDoubleClick()},n.prototype.getAriaLabel=function(){var e=this.getCellIndex(),n=[];return N.isCellMaximized(this._nbox,e)?n.push(t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"STATE_MAXIMIZED")):N.isCellMinimized(this._nbox,e)&&n.push(t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"STATE_MINIMIZED")),n.push([t.Bundle.getTranslatedString(t.Bundle.NBOX_PREFIX,"SIZE"),this.getNodeCount()]),t.Displayable.generateAriaLabel(this.getData().shortDesc,n)},n.prototype.getKeyboardBoundingBox=function(t){return u.getKeyboardBoundingBox(this,t)},n.prototype.getTargetElem=function(){return this.getElem()},n.prototype.showKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!0,N.getDisplayable(this._nbox,this.getData(),"focusEffect").show()},n.prototype.hideKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!1,N.getDisplayable(this._nbox,this.getData(),"focusEffect").hide()},n.prototype.isShowingKeyboardFocusEffect=function(){return this._isShowingKeyboardFocusEffect},n.prototype.getNextNavigable=function(e){var n=null;return this._nbox.EventManager.getKeyboardHandler().isNavigationEvent(e)&&(n=e.keyCode==t.KeyboardEvent.OPEN_BRACKET?this._getFirstNavigableChild(e):this._getNextSibling(e)),n},n.prototype._getNextSibling=function(e){for(var n=[],o=N.getRowCount(this._nbox)*N.getColumnCount(this._nbox),a=0;a<o;a++)n.push(N.getDisplayable(this._nbox,N.getCell(this._nbox,a)));return t.KeyboardHandler.getNextNavigable(this,e,n)},n.prototype._getFirstNavigableChild=function(e){var n=null,r=N.getMaximizedRow(this._nbox),s=N.getMaximizedColumn(this._nbox),l=N.getDrawer(this._nbox);if(l&&r==this.getData()[t.NBoxConstants.ROW]&&s==this.getData()[t.NBoxConstants.COLUMN])n=N.getDisplayable(this._nbox,l);else{var g=this.getChildContainer();if(g.getScrollingPane&&(g=g.getScrollingPane()),g.getNumChildren()>0&&(g.getChildAt(0)instanceof o||g.getChildAt(0)instanceof a))n=N.getFirstNavigableNode(this._nbox,g);else{for(var d=[],h=0;h<g.getNumChildren();h++){var C=g.getChildAt(h);C instanceof i&&d.push(C)}n=u.getNextNavigableCategoryNode(null,e,d)}}return n},n.prototype.getCellIndex=function(){return N.getCellIndexByRowColumn(this._nbox,this.getData()[t.NBoxConstants.ROW],this.getData()[t.NBoxConstants.COLUMN])},n.prototype.getLabel=function(){var e=this.getData()[t.NBoxConstants.LABEL];return e||null},n.prototype.getCountLabel=function(){var t=this.getData(),e=this._nbox.getOptions().countLabel;return e?e({row:t.row,column:t.column,nodeCount:this.getNodeCount(),highlightedNodeCount:this.getHighlightedNodeCount(),totalNodeCount:N.getNodeCount(this._nbox)}):t.countLabel},n.prototype.getBackground=function(){var e=f.getCellStyle(this._nbox,this.getCellIndex()),n=e.getStyle(t.CSSStyle.BACKGROUND),o=e.getStyle(t.CSSStyle.BACKGROUND_COLOR);return n||o},n.prototype.hasOverflowIndicator=function(){var t=this._nbox.getOptions();if(t&&t.__layout&&t.__layout.__nodeLayout&&t.__layout.__nodeLayout.cellLayouts){var e=this.getCellIndex(),n=t.__layout.__nodeLayout.cellLayouts[e];if(n)return n.overflow}return!1},n.prototype.getNodeCount=function(){return C.getCellCounts(this._nbox).total[this.getCellIndex()]},n.prototype.getHighlightedNodeCount=function(){var t=C.getCellCounts(this._nbox);return t.highlighted?t.highlighted[this.getCellIndex()]:null},n.prototype.getNode=function(e){var n=this._nbox.getOptions()[t.NBoxConstants.NODES];if(n)for(var o=0,a=0;a<n.length;a++)if(this.getData()[t.NBoxConstants.ROW]==n[a][t.NBoxConstants.ROW]&&this.getData()[t.NBoxConstants.COLUMN]==n[a][t.NBoxConstants.COLUMN]&&!N.isNodeHidden(this._nbox,n[a])){if(e==o)return n[a];o++}return null},n.prototype.getDisplayable=function(){return this},n.prototype.getKeyboardFocusDisplayable=function(){return N.getGroupBehavior(this._nbox)==t.NBoxConstants.GROUP_BEHAVIOR_ACROSS_CELLS&&this._nbox.getOptions().__groups?null:N.getDisplayable(this._nbox,N.getCell(this._nbox,N.getCellIndex(this._nbox,this.getData())))};var o=function(t,e){this.Init(t,e)};t.Obj.createSubclass(o,t.Container),o.prototype.Init=function(e,n){o.superclass.Init.call(this,e.getCtx(),null,n[t.NBoxConstants.ID]),this._nbox=e,this._data=n,this._nbox.registerObject(this);var a=this._nbox.getOptions()[t.NBoxConstants.SELECTION_MODE];("single"==a||"multiple"==a||this.getAction())&&this.setCursor(t.SelectionEffectUtils.getSelectingCursor()),this._maxAlpha=1},o.prototype.getData=function(){return this._data},o.prototype.getAction=function(){return this._data.action},o.prototype.render=function(t,e){p.render(this._nbox,this._data,this,e),t.addChild(this),N.setDisplayable(this._nbox,this._data,this),this._nbox.EventManager.associate(this,this)},o.prototype.isSelectable=function(){return!0},o.prototype.isSelected=function(){return this.getSelectionShape().isSelected()},o.prototype.setSelected=function(t){this.getSelectionShape().setSelected(t),this.UpdateAccessibilityAttributes()},o.prototype.showHoverEffect=function(){this.getSelectionShape().showHoverEffect()},o.prototype.hideHoverEffect=function(){this.getSelectionShape().hideHoverEffect()},o.prototype.setSelectionShape=function(t){this._selectionShape=t},o.prototype.getSelectionShape=function(){return this._selectionShape},o.prototype.getDatatip=function(t,e,n){var o=this._nbox.getOptions().tooltip,a=o?o.renderer:null;if(a){var i={id:this._data.id,label:this._data.label,secondaryLabel:this._data.secondaryLabel,row:this._data.row,column:this._data.column,color:f.getNodeColor(this._nbox,this._data),indicatorColor:f.getNodeIndicatorColor(this._nbox,this._data)};return this._nbox.getCtx().getTooltipManager().getCustomTooltip(a,i)}return this.getShortDesc()},o.prototype.getShortDesc=function(){return this._data[t.NBoxConstants.SHORT_DESC]},o.prototype.getDatatipColor=function(){return f.getNodeColor(this._nbox,this._data)},o.prototype.setMaxAlpha=function(t){this._maxAlpha=t,this.setAlpha(this.getAlpha())},o.prototype.getMaxAlpha=function(){return this._maxAlpha},o.prototype.setAlpha=function(t){o.superclass.setAlpha.call(this,Math.min(t,this._maxAlpha))},o.prototype.animateUpdate=function(t,e){p.animateUpdate(t,e,this)},o.prototype.animateDelete=function(t,e){p.animateDelete(t,this)},o.prototype.animateInsert=function(t){p.animateInsert(t,this)},o.prototype.isDoubleClickable=function(){return!0},o.prototype.handleDoubleClick=function(){this._getParentContainer().handleDoubleClick()},o.prototype.getShowPopupBehaviors=function(){if(!this._showPopupBehaviors){this._showPopupBehaviors=[];var e=this._data.showPopupBehaviors;if(e)for(var n=0;n<e.length;n++)this._showPopupBehaviors.push(new t.ShowPopupBehavior(e[n].popupId,e[n].triggerType,e[n].alignId,e[n].align))}return this._showPopupBehaviors},o.prototype.getPopupBounds=function(e){if(e&&e.getAlign()){var n=C.getGlobalMatrix(this),o=N.getDisplayable(this._nbox,this._data,"background");return new t.Rectangle(n.getTx()+o.getX(),n.getTy()+o.getY(),o.getWidth(),o.getHeight())}return null},o.prototype.isDragAvailable=function(t){return this._nbox.__isDragAvailable(t)},o.prototype.getDragTransferable=function(t,e){return this._nbox.__getDragTransferable(this)},o.prototype.getDragFeedback=function(t,e){return this._nbox.__getDragFeedback()},o.prototype._getParentContainer=function(){var t,e=N.getDrawer(this._nbox);if(e)t=N.getDisplayable(this._nbox,e);else{var n=N.getCellIndex(this._nbox,this._data),o=N.getCell(this._nbox,n);t=N.getDisplayable(this._nbox,o)}return t},o.prototype.UpdateAccessibilityAttributes=function(){if(!t.Agent.deferAriaCreation()){var e=this.getAriaLabel();e&&this.setAriaProperty(t.NBoxConstants.LABEL,e)}},o.prototype.getAriaLabel=function(){return N.buildAriaDesc(this._nbox,this,this.getShortDesc(),this.isSelected())},o.prototype.getCategories=function(){return this.getData()[t.NBoxConstants.CATEGORIES]?this.getData()[t.NBoxConstants.CATEGORIES]:[]},o.prototype.getKeyboardBoundingBox=function(t){return u.getKeyboardBoundingBox(this,t)},o.prototype.getTargetElem=function(){return this.getElem()},o.prototype.showKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!0,this.showHoverEffect();var t=N.getNodeScrollableContainer(this._nbox,this);t&&t.scrollIntoView(this)},o.prototype.hideKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!1,this.hideHoverEffect()},o.prototype.isShowingKeyboardFocusEffect=function(){return this._isShowingKeyboardFocusEffect},o.prototype.getNextNavigable=function(e){var n=null;return e.keyCode==t.KeyboardEvent.SPACE&&e.ctrlKey?this:(this._nbox.EventManager.getKeyboardHandler().isNavigationEvent(e)?n=e.keyCode==t.KeyboardEvent.CLOSE_BRACKET?this._getParentContainer():e.keyCode==t.KeyboardEvent.OPEN_BRACKET?this:N.getNextNavigableNode(this._nbox,this,e):e.type==t.MouseEvent.CLICK&&(n=this),n)},o.prototype.HandleKeyboardEvent=function(e){if(N.getDrawer(this._nbox)&&e.keyCode==t.KeyboardEvent.ESCAPE)this.handleDoubleClick();else{var n=N.getMaximizedRow(this._nbox),o=N.getMaximizedColumn(this._nbox),a=n==this._data[t.NBoxConstants.ROW]&&o==this._data[t.NBoxConstants.COLUMN];(!a&&e.keyCode==t.KeyboardEvent.ENTER||a&&e.keyCode==t.KeyboardEvent.ESCAPE)&&this.handleDoubleClick()}},o.prototype.getDisplayable=function(){return this},o.prototype.getKeyboardFocusDisplayable=function(){var e=N.getNode(this._nbox,N.getNodeIndex(this._nbox,this.getData()[t.NBoxConstants.ID]));if(e){var n=N.getDisplayable(this._nbox,e);if(n)return n;var o=N.getCell(this._nbox,N.getCellIndex(this._nbox,e)),i=N.getDisplayable(this._nbox,o),r=N.getLastNavigableNode(this._nbox,i.getChildContainer());if(r instanceof a)return r;var s=this._getParentDrawer();return s?s.getKeyboardFocusDisplayable():i.getKeyboardFocusDisplayable()}return null},o.prototype._getParentDrawer=function(){for(var t=this;t&&t.getParent;)if((t=t.getParent())instanceof s)return t;return null},o.prototype.getChildContainer=function(e){return!e||this._childContainer?this._childContainer:(this._childContainer=new t.Container(this.getCtx()),this.addChild(this._childContainer),this._childContainer)},o.prototype.setChildContainer=function(t){this._childContainer=t};var a=function(){};t.Obj.createSubclass(a,t.Container),a.newInstance=function(t,e){var n=new a;return n.Init(t,e),n},a.prototype.Init=function(t,e){a.superclass.Init.call(this,t.getCtx()),this._nbox=t,this._cell=e,this._button},a.prototype.render=function(e,n,o){var a=this._nbox.getOptions(),i=a._resources.overflow_ena.width,r=a._resources.overflow_ena.height,s=1;(n<i||o<r)&&(s=Math.min(n/i,o/r));var l=(n-(i*=s))/2,g=(o-(r*=s))/2,d=this._nbox.getCtx(),u=new t.Rect(d,0,0,n,o),h=new t.Rect(d,0,0,n,o),C=new t.Rect(d,0,0,n,o),c=new t.Rect(d,0,0,n,o);u.setInvisibleFill(),h.setInvisibleFill(),C.setInvisibleFill(),c.setInvisibleFill();var p=new t.Container(d),_=new t.Container(d),x=new t.Container(d),f=new t.Container(d);p.addChild(u),_.addChild(h),x.addChild(C),f.addChild(c),p.addChild(new t.Image(d,a._resources.overflow_ena.src,l,g,i,r)),_.addChild(new t.Image(d,a._resources.overflow_ovr.src,l,g,i,r)),x.addChild(new t.Image(d,a._resources.overflow_dwn.src,l,g,i,r)),f.addChild(new t.Image(d,a._resources.overflow_dis.src,l,g,i,r)),this._button=new t.Button(d,p,_,x,f,null,this.HandleClick,this),N.isMaximizeEnabled(this._nbox)||(this._button.setEnabled(!1),this._button.drawDisabledState()),this.addChild(this._button);var y=new t.KeyboardFocusEffect(this._nbox.getCtx(),this,new t.Rectangle(-1,-1,n+2,o+2));N.setDisplayable(this._nbox,this,y,"focusEffect"),e.addChild(this),this._addAccessibilityAttributes(),this._nbox.EventManager.associate(this,this)},a.prototype.getParentCell=function(){return this._cell},a.prototype.getButton=function(){return this._button},a.prototype.HandleClick=function(e){t.EventManager.consumeEvent(e),this._cell.handleDoubleClick(!0)},a.prototype.HandleKeyboardEvent=function(e){e.keyCode==t.KeyboardEvent.ENTER&&this._cell.handleDoubleClick()},a.prototype._addAccessibilityAttributes=function(){if(this.setAriaRole("button"),!t.Agent.deferAriaCreation()){var e=this.getAriaLabel();e&&this.setAriaProperty(t.NBoxConstants.LABEL,e)}},a.prototype.getDatatip=function(e,n,o){return t.Bundle.getTranslatedString(t.Bundle.NBOX_PREFIX,"ADDITIONAL_DATA")},a.prototype.getAriaLabel=function(){return this.getDatatip()},a.prototype.getKeyboardBoundingBox=function(t){return u.getKeyboardBoundingBox(this,t)},a.prototype.getTargetElem=function(){return this.getElem()},a.prototype.showKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!0,N.getDisplayable(this._nbox,this,"focusEffect").show()},a.prototype.hideKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!1,N.getDisplayable(this._nbox,this,"focusEffect").hide()},a.prototype.isShowingKeyboardFocusEffect=function(){return this._isShowingKeyboardFocusEffect},a.prototype.getNextNavigable=function(e){var n=null;return this._nbox.EventManager.getKeyboardHandler().isNavigationEvent(e)&&(n=e.keyCode==t.KeyboardEvent.CLOSE_BRACKET?this.getParentCell():N.getNextNavigableNode(this._nbox,this,e)),n},a.prototype.getDisplayable=function(){return this},a.prototype.getKeyboardFocusDisplayable=function(){var e=this.__prev,n=N.getNode(this._nbox,N.getNodeIndex(this._nbox,e[t.NBoxConstants.ID])).__next;return N.getDisplayable(this._nbox,n)};var i=function(){};t.Obj.createSubclass(i,t.Container),i.newInstance=function(t,e){var n=new i;return n.Init(t,e),n},i.prototype.Init=function(e,n){i.superclass.Init.call(this,e.getCtx(),null,isNaN(n[t.NBoxConstants.CELL])?n[t.NBoxConstants.ID]:n[t.NBoxConstants.CELL]+":"+n[t.NBoxConstants.ID]),this._nbox=e,this._data=n,this._nbox.registerObject(this),this.setCursor(t.SelectionEffectUtils.getSelectingCursor()),this._maxAlpha=1},i.prototype.getData=function(){return this._data},i.prototype.render=function(t,e,n){_.render(this._nbox,this._data,this,e,n),t.addChild(this),N.setDisplayable(this._nbox,this._data,this),this._nbox.EventManager.associate(this,this)},i.prototype.isSelectable=function(){return"multiple"==this._nbox.getOptions()[t.NBoxConstants.SELECTION_MODE]},i.prototype.isSelected=function(){return this.getSelectionShape().isSelected()},i.prototype.setSelected=function(t){this.getSelectionShape().setSelected(t),this.UpdateAccessibilityAttributes()},i.prototype.showHoverEffect=function(){this.getSelectionShape().showHoverEffect()},i.prototype.hideHoverEffect=function(){this.getSelectionShape().hideHoverEffect()},i.prototype.setSelectionShape=function(t){this._selectionShape=t},i.prototype.getSelectionShape=function(){return this._selectionShape},i.prototype.getLabel=function(){for(var e=N.getCategoryNodeLabels(this._nbox,this._data);e.length>1;){var n=[e[0],e[1]],o=t.Bundle.getTranslatedString(t.Bundle.NBOX_PREFIX,"COMMA_SEP_LIST",n);e.splice(0,2,o)}return e[0]},i.prototype.getDatatip=function(e,n,o){var a=this._nbox.getOptions().tooltip,i=a?a.renderer:null;if(i){var r={id:this._data.id,color:f.getCategoryNodeColor(this._nbox,this._data),indicatorColor:f.getCategoryNodeIndicatorColor(this._nbox,this._data),size:this._data.nodeIndices.length};return"withinCell"==N.getGroupBehavior(this._nbox)&&(r.row=N.getCell(this._nbox,this._data.cell).row,r.column=N.getCell(this._nbox,this._data.cell).column),this._nbox.getCtx().getTooltipManager().getCustomTooltip(i,r)}return this.getShortDesc()+"\n"+t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"COLON_SEP_LIST",[t.Bundle.getTranslatedString(t.Bundle.NBOX_PREFIX,"SIZE"),this._data.nodeIndices.length])},i.prototype.getShortDesc=function(){return N.getCategoryNodeLabels(this._nbox,this._data).join("\n")},i.prototype.getDatatipColor=function(){return f.getCategoryNodeColor(this._nbox,this._data)},i.prototype.setMaxAlpha=function(t){this._maxAlpha=t,this.setAlpha(this.getAlpha())},i.prototype.getMaxAlpha=function(){return this._maxAlpha},i.prototype.setAlpha=function(t){i.superclass.setAlpha.call(this,Math.min(t,this._maxAlpha))},i.prototype.isDoubleClickable=function(){return this.isSelectable()},i.prototype.handleDoubleClick=function(){this.isSelectable()&&this.openDrawer()},i.prototype.openDrawer=function(){var e=this._nbox.getSanitizedOptions();e[t.NBoxConstants.DRAWER]={id:this.getId()};var n=t.EventFactory.newAdfPropertyChangeEvent(t.NBoxConstants.DRAWER,this.getId());this._nbox.processEvent(n),this._nbox.render(e)},i.prototype.animateUpdate=function(t,e){_.animateUpdate(t,e,this)},i.prototype.animateDelete=function(t,e){_.animateDelete(t,this)},i.prototype.animateInsert=function(t){_.animateInsert(t,this)},i.prototype.isDragAvailable=function(t){return this._nbox.__isDragAvailable(t)},i.prototype.getDragTransferable=function(t,e){return this._nbox.__getDragTransferable(this)},i.prototype.getDragFeedback=function(t,e){return this._nbox.__getDragFeedback()},i.prototype.HandleKeyboardEvent=function(e){if(e.keyCode==t.KeyboardEvent.ENTER)this.openDrawer();else if(e.keyCode==t.KeyboardEvent.ESCAPE&&N.getGroupBehavior(this._nbox)==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL){var n=N.getCell(this._nbox,this._data.cell);N.getDisplayable(this._nbox,n).HandleKeyboardEvent(e)}},i.prototype.UpdateAccessibilityAttributes=function(){if(!t.Agent.deferAriaCreation()){var e=this.getAriaLabel();e&&this.setAriaProperty(t.NBoxConstants.LABEL,e)}},i.prototype.getAriaLabel=function(){return N.buildAriaDesc(this._nbox,this,this.getShortDesc(),this.isSelected())},i.prototype.getCategories=function(){var e=this.getData()[t.NBoxConstants.CATEGORIES];if(!e){var n=function(t,e){return t.filter(function(t){return e.indexOf(t)>-1})},o=this.getData().nodeIndices;e=null;for(var a=0;a<o.length;a++){var i=N.getNode(this._nbox,o[a])[t.NBoxConstants.CATEGORIES];if(!i){e=[];break}e=null==e?i:n(e,i)}this.getData()[t.NBoxConstants.CATEGORIES]=e}return e},i.compareSize=function(t,e){var n=t.nodeIndices.length,o=e.nodeIndices.length;return n==o?0:n<o?1:-1},i.prototype.getKeyboardBoundingBox=function(t){return u.getKeyboardBoundingBox(this,t)},i.prototype.getTargetElem=function(){return this.getElem()},i.prototype.showKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!0,this.showHoverEffect()},i.prototype.hideKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!1,this.hideHoverEffect()},i.prototype.isShowingKeyboardFocusEffect=function(){return this._isShowingKeyboardFocusEffect},i.prototype.getNextNavigable=function(e){var n=null;if(e.keyCode==t.KeyboardEvent.SPACE&&e.ctrlKey)return this;if(e.keyCode==t.KeyboardEvent.CLOSE_BRACKET&&N.getGroupBehavior(this._nbox)==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL){var o=N.getCell(this._nbox,this.getData()[t.NBoxConstants.CELL]);n=N.getDisplayable(this._nbox,o)}else if(e.keyCode==t.KeyboardEvent.CLOSE_BRACKET||e.keyCode==t.KeyboardEvent.OPEN_BRACKET)n=this;else if(this._nbox.EventManager.getKeyboardHandler().isNavigationEvent(e))if(N.getGroupBehavior(this._nbox)==t.NBoxConstants.GROUP_BEHAVIOR_ACROSS_CELLS){var a=this._nbox.getOptions().__groups,r=[];for(var s in a){var l=N.getDisplayable(this._nbox,a[s]);l&&r.push(l)}n=u.getNextNavigableCategoryNode(this,e,r)}else{for(var g=this.getParent(),d=[],h=0;h<g.getNumChildren();h++)g.getChildAt(h)instanceof i&&d.push(g.getChildAt(h));n=u.getNextNavigableCategoryNode(this,e,d)}else e.type==t.MouseEvent.CLICK&&(n=this);return n},i.prototype.getDisplayable=function(){return this},i.prototype.getKeyboardFocusDisplayable=function(){var t=N.getDrawer(this._nbox);if(t)return N.getDisplayable(this._nbox,t);if(N.getGrouping(this._nbox)){var e=N.getCategoryNode(this._nbox,this.getId());if(e)return N.getDisplayable(this._nbox,e)}return null};var r=function(t,e){r.superclass.constructor.call(this,t,e),this._nbox=e};t.Obj.createSubclass(r,t.CategoryRolloverHandler),r.prototype.GetRolloverCallback=function(e,n,o,a){return t.Obj.createCallback(this,function(){this.SetHighlightMode(!0),this._nbox.processEvent(e),this._callback&&this._callback.call(this._callbackObj,e,this._source)})},r.prototype.GetRolloutCallback=function(e,n,o,a){return t.Obj.createCallback(this,function(){this.SetHighlightModeTimeout(),this._nbox.processEvent(e),this._callback&&this._callback.call(this._callbackObj,e,this._source)})};var s=function(){};t.Obj.createSubclass(s,t.Container),s.newInstance=function(t,e){var n=new s;return n.Init(t,e),n},s.prototype.Init=function(t,e){s.superclass.Init.call(this,t.getCtx(),null,e.id+"_d"),this._nbox=t,this._data=e,this._nbox.registerObject(this)},s.prototype.getData=function(){return this._data},s.prototype.render=function(t,e){t.addChild(this),N.setDisplayable(this._nbox,this._data,this),x.render(this._nbox,this._data,this,e),this._nbox.EventManager.associate(this,this)},s.prototype.getChildContainer=function(){return this._childContainer},s.prototype.setChildContainer=function(t){this._childContainer=t},s.prototype.isDoubleClickable=function(){return!0},s.prototype.handleDoubleClick=function(){this.closeDrawer()},s.prototype.closeDrawer=function(){var e=this._nbox.getSanitizedOptions();e[t.NBoxConstants.DRAWER]=null;var n=t.EventFactory.newAdfPropertyChangeEvent(t.NBoxConstants.DRAWER,null);this._nbox.processEvent(n),this._nbox.render(e)},s.prototype.animateUpdate=function(t,e){x.animateUpdate(t,e,this)},s.prototype.animateDelete=function(t,e){x.animateDelete(t,this)},s.prototype.animateInsert=function(t){x.animateInsert(t,this)},s.prototype.HandleKeyboardEvent=function(e){e.keyCode==t.KeyboardEvent.ESCAPE&&this.closeDrawer()},s.prototype.UpdateAccessibilityAttributes=function(){if(!t.Agent.deferAriaCreation()){var e=this.getAriaLabel();if(e)(t.Agent.isTouchDevice()?N.getDisplayable(this._nbox,this.getData(),"background"):this).setAriaProperty("label",e)}},s.prototype.getAriaLabel=function(){var t=N.getDisplayable(this._nbox,N.getCategoryNode(this._nbox,this.getData().id)),e=N.isDrawerSelected(this._nbox,t);return N.buildAriaDesc(this._nbox,this,t.getShortDesc(),e)},s.prototype.getKeyboardBoundingBox=function(t){return u.getKeyboardBoundingBox(this,t)},s.prototype.getTargetElem=function(){return this.getElem()},s.prototype.showKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!0,N.getDisplayable(this._nbox,this.getData(),"focusEffect").show()},s.prototype.hideKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!1,N.getDisplayable(this._nbox,this.getData(),"focusEffect").hide()},s.prototype.isShowingKeyboardFocusEffect=function(){return this._isShowingKeyboardFocusEffect},s.prototype.getNextNavigable=function(e){var n=null;if(this._nbox.EventManager.getKeyboardHandler().isNavigationEvent(e))if(e.keyCode==t.KeyboardEvent.OPEN_BRACKET){var o=this.getChildContainer();o.getScrollingPane&&(o=o.getScrollingPane());n=N.getFirstNavigableNode(this._nbox,o)}else if(e.keyCode==t.KeyboardEvent.CLOSE_BRACKET){var a=N.getMaximizedCellIndex(this._nbox);n=N.getDisplayable(this._nbox,N.getCell(this._nbox,a))}return n},s.prototype.getDisplayable=function(){return this},s.prototype.getKeyboardFocusDisplayable=function(){if(this._nbox.getOptions()._drawer)return this;var e=N.getCategoryNode(this._nbox,this.getData()[t.NBoxConstants.ID]);return e?N.getDisplayable(this._nbox,e):null};var l=function(t,e,n,o){this.Init(t,e,n,o)};t.Obj.createSubclass(l,t.DataAnimationHandler),l.DELETE=0,l.UPDATE=1,l.INSERT=2,l.prototype.Init=function(t,e,n,o){l.superclass.Init.call(this,t,e),this._oldNBox=n,this._newNBox=o},l.prototype.getOldNBox=function(){return this._oldNBox},l.prototype.getNewNBox=function(){return this._newNBox},l.prototype.getAnimationDuration=function(){return f.getAnimationDuration(this._oldNBox)};var g=function(t){this._view=t};t.Obj.createSubclass(g,t.DropTarget),g.prototype.acceptDrag=function(t,e,n){var o=this._view.__getCellUnderPoint(t,e);return o?(o!=this._dropSite&&(this._view.__showDropSiteFeedback(o),this._dropSite=o),n[0]):(this._view.__showDropSiteFeedback(null),null)},g.prototype.dragExit=function(){this._view.__showDropSiteFeedback(null),this._dropSite=null},g.prototype.getDropSite=function(e,n){var o=this._view.__getCellUnderPoint(e,n);if(o){var a=o.getData();return{row:a[t.NBoxConstants.ROW],column:a[t.NBoxConstants.COLUMN]}}return null};var d=function(t){this.Init(t.getCtx(),t.processEvent,t),this._nbox=t};t.Obj.createSubclass(d,t.EventManager),d.prototype.OnClickInternal=function(t){var e=this.GetLogicalObject(t.target);this._processActionEvent(e),e instanceof i&&!e.isSelectable()&&e.openDrawer()},d.prototype.OnDblClickInternal=function(t){this._handleDblClick(this.GetCurrentTargetForEvent(t))},d.prototype.HandleTouchDblClickInternal=function(t){this._handleDblClick(this.GetCurrentTargetForEvent(t))},d.prototype.HandleTouchHoverEndInternal=function(t){var e=this.GetLogicalObject(t.target);this._processActionEvent(e)},d.prototype.HandleTouchClickInternal=function(t){var e=this.GetLogicalObject(t.target);this._processActionEvent(e),e instanceof i&&!e.isSelectable()&&e.openDrawer()},d.prototype._handleDblClick=function(t){var e=this.GetLogicalObject(t);e&&e.isDoubleClickable&&e.isDoubleClickable()&&e.handleDoubleClick&&e.handleDoubleClick()},d.prototype.ProcessKeyboardEvent=function(e){var n=!1,a=e.keyCode,r=this.getFocus();return a==t.KeyboardEvent.ENTER||a==t.KeyboardEvent.ESCAPE?(r&&r.HandleKeyboardEvent&&r.HandleKeyboardEvent(e),r=null):e.keyCode==t.KeyboardEvent.SPACE&&e.ctrlKey?(r instanceof i||r instanceof o)&&(n=d.superclass.ProcessKeyboardEvent.call(this,e)):n=d.superclass.ProcessKeyboardEvent.call(this,e),n},d.prototype.ProcessRolloverEvent=function(e,n,o){var a=this._nbox.getOptions();if("dim"==a.hoverBehavior){var i=n.getCategories?n.getCategories():[];a.highlightedCategories=o?i.slice():null;var r=t.EventFactory.newCategoryHighlightEvent(a.highlightedCategories,o),s=t.StyleUtils.getTimeMilliseconds(a.styleDefaults.hoverBehaviorDelay);this.RolloverHandler.processEvent(r,this._nbox.getNodeDisplayables(),s,"any"==a.highlightMatch)}},d.prototype.CreateCategoryRolloverHandler=function(t,e){return new r(t,e)},d.prototype._processActionEvent=function(e){e&&e.getAction&&e.getAction()&&this.FireEvent(t.EventFactory.newActionEvent("action",e.getAction(),e.getId()))},d.prototype.GetTouchResponse=function(){var e=this._nbox.getOptions(),n=N.getDrawer(this._nbox),o=N.getCell(this._nbox,N.getMaximizedCellIndex(this._nbox));return n&&N.getDisplayable(this._nbox,n).getChildContainer().hasScrollingContent()||o&&N.getDisplayable(this._nbox,o).getChildContainer().hasScrollingContent()?t.EventManager.TOUCH_RESPONSE_TOUCH_HOLD:e.touchResponse===t.EventManager.TOUCH_RESPONSE_TOUCH_START?t.EventManager.TOUCH_RESPONSE_TOUCH_START:t.EventManager.TOUCH_RESPONSE_AUTO};var u=function(t,e){this.Init(t,e)};t.Obj.createSubclass(u,t.KeyboardHandler),u.prototype.Init=function(t,e){u.superclass.Init.call(this,t),this._nbox=e},u.prototype.processKeyDown=function(e){if(e.keyCode==t.KeyboardEvent.TAB){var n=this._eventManager.getFocus(),o=null;if(t.EventManager.consumeEvent(e),n)o=n;else{var a=N.getDrawer(this._nbox);if(a)o=N.getDisplayable(this._nbox,a);else if(N.getGroupBehavior(this._nbox)==t.NBoxConstants.GROUP_BEHAVIOR_ACROSS_CELLS){var i=this._nbox.getOptions().__groups;if(i){var r=[];for(var s in i){var l=N.getDisplayable(this._nbox,i[s]);l&&r.push(l)}o=u.getNextNavigableCategoryNode(null,e,r)}}if(!o){var g=N.getColumnCount(this._nbox)*(N.getRowCount(this._nbox)-1);o=N.getDisplayable(this._nbox,N.getCell(this._nbox,g))}}return o}return u.superclass.processKeyDown.call(this,e)},u.prototype.isSelectionEvent=function(e){return e.keyCode!=t.KeyboardEvent.TAB&&(this.isNavigationEvent(e)&&!e.ctrlKey)},u.prototype.isMultiSelectEvent=function(e){return e.keyCode==t.KeyboardEvent.SPACE&&e.ctrlKey},u.getKeyboardBoundingBox=function(e,n){var o=e.getDimensions(),a=e.localToStage(new t.Point(o.x,o.y)),i=e.localToStage(new t.Point(o.x+o.w,o.y+o.h));return new t.Rectangle(a.x,a.y,i.x-a.x,i.y-a.y)},u.prototype.isNavigationEvent=function(e){var n=!1;switch(e.keyCode){case t.KeyboardEvent.OPEN_BRACKET:case t.KeyboardEvent.CLOSE_BRACKET:n=!0;break;default:n=u.superclass.isNavigationEvent.call(this,e)}return n},u.getNextNavigableCategoryNode=function(e,n,o){if(!o||o.length<=0)return null;if(o[0]instanceof i&&o.sort(function(t,e){return i.compareSize(t.getData(),e.getData())}),null==e)return o[0];for(var a=e,r=n.keyCode==t.KeyboardEvent.RIGHT_ARROW||n.keyCode==t.KeyboardEvent.DOWN_ARROW,s=o.length,l=0;l<s;l++){if(o[l]===e){a=o[r?l+1<s?l+1:l:l-1>=0?l-1:l];break}}return a};var h=function(t){this.Init(t)};t.Obj.createSubclass(h,t.Automation),h.prototype.Init=function(t){this._nBox=t},h.prototype.GetSubIdForDomElement=function(e){for(var r=this._getParentObject(e,n),l=this._getParentObject(e,s);e&&!(e instanceof t.NBox);){var g,d,u=this.getComponent();if(e instanceof o){var h=N.getNodeIndex(u,e.getData().id);return g="node"+this._createBrackets([h]),this._createSubId(g,d)}if(r){var C=r.getData().row,c=r.getData().column,p=r.getChildContainer();if(p.getScrollingPane&&(p=p.getScrollingPane()),g="cell"+this._createBrackets([C,c]),e instanceof n)return this._createSubId(g,d);if(e instanceof t.Button){if(this._getParentObject(e,a))return d="overflow",this._createSubId(g,d);if(e==N.getDisplayable(u,r.getData(),"closeButton"))return d="closeButton",this._createSubId(g,d)}if(e instanceof i){var _=e.getData().id;return d="groupNode",N.getNode(u,e.getData().nodeIndices[0]).groupCategory?d+=this._createBrackets([_]):d+=this._createBraces(_.split(";")),this._createSubId(g,d)}}if(l){if(g="dialog",e instanceof s)return this._createSubId(g,d);if(e instanceof t.Button)return d="closeButton",this._createSubId(g,d)}if(e instanceof i){_=e.getData().id;return g="groupNode",N.getNode(u,e.getData().nodeIndices[0]).groupCategory?g+=this._createBrackets([_]):g+=this._createBraces(_.split(";")),this._createSubId(g,d)}e=e.getParent()}return null},h.prototype._createSubId=function(t,e){var n=t;return e&&(n+="#"+e),n},h.prototype.getDomElementForSubId=function(e){var n=this.getComponent();if(e==t.Automation.TOOLTIP_SUBID)return this.GetTooltipElement(n);var r=this._parseSubId(e),l=r.component,g=r.action,d=null,u=null,h=null;if(0===l.lastIndexOf("node",0)){d=this._parseBrackets(l,!0);var C=N.getNode(n,d[0]);h=N.getDisplayable(n,C)}if(0===l.lastIndexOf("cell",0)){d=this._parseBrackets(l);var c=this._getCellIndexFromValues(d);if(!(C=N.getCell(n,c)))return null;var p=N.getDisplayable(n,C);if(g){if((u=p.getChildContainer()).getScrollingPane&&(u=u.getScrollingPane()),"overflow"==g)for(var _=u.getNumChildren();_>0;_--)if(u.getChildAt(_-1)instanceof a){h=u.getChildAt(_-1).getButton();break}if("closeButton"==g&&(h=N.getDisplayable(n,p.getData(),"closeButton")),0===g.lastIndexOf("node",0)){if((E=(d=this._parseBrackets(g,!0))[0])<0)return null;for(var x=N.getFirstNavigableNode(n,u),f=0;x instanceof o;){if(f==E){h=x;break}x=N.getDisplayable(n,x.getData().__next),f++}}if(0===g.lastIndexOf("groupNode",0)){g.indexOf("{")>-1?d=this._parseBraces(g):y=g.substring(g.indexOf("[")+1,g.indexOf("]"));for(_=0;_<u.getNumChildren();_++)if((x=u.getChildAt(_))instanceof i){if(S=x.getData().id,d&&this._compareCategories(d,S.split(";"))){h=x;break}if(y&&y==S){h=x;break}}}}else h=p}else if(0===l.lastIndexOf("groupNode",0)){var y,S;u=n.getChildContainer(),l.indexOf("{")>-1?d=this._parseBraces(l):y=l.substring(l.indexOf("[")+1,l.indexOf("]"));for(_=0;_<u.getNumChildren();_++)if((x=u.getChildAt(_))instanceof i){if(S=x.getData().id,d&&this._compareCategories(d,S.split(";"))){h=x;break}if(y&&y==S){h=x;break}}}else if("dialog"===l&&(u=n.getChildContainer()))for(_=0;_<u.getNumChildren();_++)if(u.getChildAt(_)instanceof s){var B=u.getChildAt(_);if(g){if("closeButton"==g)for(var b=0;b<B.getNumChildren();b++)B.getChildAt(b)instanceof t.Button&&(h=B.getChildAt(b));if(0===g.lastIndexOf("node",0)){var E,D=B.getChildContainer().getScrollingPane();if((E=(d=this._parseBrackets(g,!0))[0])<0)return null;for(x=N.getFirstNavigableNode(n,D),f=0;x instanceof o;){if(f==E){h=x;break}x=N.getDisplayable(n,x.getData().__next),f++}}}else h=B;break}return h?h.getElem():null},h.prototype._parseSubId=function(t){var e=null,n=null,o=t.indexOf("#");return-1!==o?(e=t.substring(0,o),n=t.substring(o+1)):e=t,{component:e,action:n}},h.prototype.getComponent=function(){return this._nBox},h.prototype._parseBrackets=function(t,e){var n=t.substring(t.indexOf("[")+1,t.indexOf("]")).split(",");if(e)for(var o=0;o<n.length;o++)n[o]=parseInt(n[o]);return n.length>0?n:null},h.prototype._createBrackets=function(t){return t.length>0?"["+t.join(",")+"]":""},h.prototype._parseBraces=function(t){return t.substring(t.indexOf("{")+1,t.lastIndexOf("}")).split(",")},h.prototype._createBraces=function(t){for(var e="{",n=0;n<t.length;n++)e+=t[n].trim()+",";return e.substring(0,e.length-1)+"}"},h.prototype._compareCategories=function(t,e){if(t.length!=e.length)return!1;t.sort(),e.sort();for(var n=0;n<t.length;n++)if(t[n].trim()!=e[n].trim())return!1;return!0},h.prototype._getCellIndexFromValues=function(t){var e=this.getComponent();if(N.hasValidData(e)){var n=N.getColumnCount(e),o=N.getRowIndex(e,t[0]),a=N.getColumnIndex(e,t[1]);if(null!=a&&null!=o)return a+n*o}return null},h.prototype._getParentObject=function(t,e){for(var n=t;n;){if(n instanceof e)return n;n=n.getParent()}return null},h.prototype.getData=function(t,e){if(this._nBox&&N.hasValidData(this._nBox))if("rowsTitle"==t){if(this._nBox.getOptions().rowsTitle)return this._nBox.getOptions().rowsTitle}else if("rowCount"==t){var n=this._nBox.getOptions().rows;if(n)return n.length}else if("row"==t){if(N.getRowIndex(this._nBox,e)>=0)return(a={}).label=N.getRowLabel(this._nBox,e),a}else if("columnsTitle"==t){if(this._nBox.getOptions().columnsTitle)return this._nBox.getOptions().columnsTitle}else if("columnCount"==t){var o=this._nBox.getOptions().columns;if(o)return o.length}else if("column"==t){var a;if(N.getColumnIndex(this._nBox,e)>=0)return(a={}).label=N.getColumnLabel(this._nBox,e),a}else if("groupBehavior"==t)return N.getGroupBehavior(this._nBox);return null},h.prototype.getGroupNode=function(e){if(e&&N.getGrouping(this._nBox)&&N.getGroupBehavior(this._nBox)==t.NBoxConstants.GROUP_BEHAVIOR_ACROSS_CELLS){if("string"==typeof e)return this._getGroupNodeData(e);var n="";for(var o in e)e[o]?n+=o+":"+e[o]+";":n+=o+";";return this._getGroupNodeData(n.substring(0,n.length-1))}return null},h.prototype._getGroupNodeData=function(t){var e=N.getCategoryNode(this._nBox,t);if(e){var n=N.getDisplayable(this._nBox,e);if(n){var o={};o.selected=n.isSelected(),o.color=f.getCategoryNodeColor(this._nBox,e),o.indicatorColor=f.getCategoryNodeIndicatorColor(this._nBox,e),o.tooltip=n.getShortDesc(),o.size=e.nodeIndices?e.nodeIndices.length:-1;var a=N.getDisplayable(this._nBox,e,"indicatorIcon");return o.indicatorIcon=this._getMarkerData(a),o}}return null},h.prototype.getCell=function(t,e){if(this._nBox&&N.hasValidData(this._nBox)){var n=N.getCellByRowColumn(this._nBox,t,e);if(n){var o=n.getCellIndex(),a={};return a.label=n.getLabel(),a.background=n.getBackground(),a.getNodeCount=function(){return n.getNodeCount()},a.rowValue=t,a.columnValue=e,a.cellIndex=o,a}}return null},h.prototype.getCellNode=function(t,e){if(this._nBox&&N.hasValidData(this._nBox)&&!N.getGrouping(this._nBox)){var n=N.getCellByRowColumn(this._nBox,t.rowValue,t.columnValue).getNode(e);return this._getNode(n)}return null},h.prototype.getNode=function(t){var e=N.getNode(this._nBox,t);return this._getNode(e)},h.prototype._getNode=function(t){if(t){var e=N.getDisplayable(this._nBox,t);if(e){var n={};n.selected=e.isSelected(),n.tooltip=e.getShortDesc(),n.color=f.getNodeColor(this._nBox,t),n.indicatorColor=f.getNodeIndicatorColor(this._nBox,t),t.label&&(n.label=t.label),t.secondaryLabel&&(n.secondaryLabel=t.secondaryLabel);var o=N.getDisplayable(this._nBox,t,"icon");n.icon=this._getMarkerData(o);var a=N.getDisplayable(this._nBox,t,"indicatorIcon");return n.indicatorIcon=this._getMarkerData(a),n}}return null},h.prototype.getCellGroupNode=function(e,n){if(n&&N.getGrouping(this._nBox)&&N.getGroupBehavior(this._nBox)==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL){if("string"==typeof n)return this._getGroupNodeData(e.cellIndex+":"+n);var o=e.cellIndex+":";for(var a in n)n[a]?o+=a+":"+n[a]+";":o+=a+";";return this._getGroupNodeData(o.substring(0,o.length-1))}return null},h.prototype._getMarkerData=function(e){if(e){var n={};return n.shape=e instanceof t.SimpleMarker?e.getType():"none",e.getFill()&&(n.color=e.getFill().getColor()),n}return null},h.prototype.getDialog=function(){var t=N.getDrawer(this._nBox);if(t){var e=N.getCategoryNode(this._nBox,t.id);if(e){var n=N.getDisplayable(this._nBox,e),o={};o.label=n.getLabel(),o.getNodeCount=function(){return e.nodeIndices?e.nodeIndices.length:-1};for(var a={},i=e.id.split(";"),r=0;r<i.length;r++){var s=i[r].split(":");s&&2==s.length&&(a[s[0]]=s[1])}return o.groupInfo=a,o}}return null},h.prototype.getDialogNode=function(t){var e=N.getDrawer(this._nBox);if(e){var n=N.getCategoryNode(this._nBox,e.id);if(n&&n.nodeIndices&&null!=n.nodeIndices[t]){var o=N.getNode(this._nBox,n.nodeIndices[t]);return this._getNode(o)}}return null},h.prototype.getNodeIdFromIndex=function(t){return N.getNode(this._nBox,t).id},h.prototype.getNodeIndexFromId=function(t){return N.getNodeIndex(this._nBox,t)};var C=new Object;t.Obj.createSubclass(C,t.Obj),C.render=function(t,e,n){C._renderBackground(t,e,n),N.hasValidData(t)?(C._renderLegend(t,e,n),C._adjustAvailSpace(n),C._renderTitles(t,e,n),C._adjustAvailSpace(n),C._renderCells(t,e,n),C._renderNodes(t,e,n),C._renderInitialSelection(t),C._fixZOrder(t)):C._renderEmptyText(t,e,n)},C._renderBackground=function(e,n,o){var a=new t.Rect(e.getCtx(),o.x,o.y,o.w,o.h);a.setInvisibleFill(),n.addChild(a);var i=new t.ClipPath;i.addRect(o.x,o.y,o.w,o.h),n.setClipPath(i)},C._renderLegend=function(e,n,o){var a=N.getLegend(e);if(a&&a.sections){var i=e.getOptions(),r=t.Agent.isRightToLeft(e.getCtx()),s=new t.PanelDrawer(e.getCtx(),e.processEvent,e,"pd1");s.addEvtListener(t.PanelDrawerEvent.TYPE,e.processEvent,!1,e),s.setDockSide(t.PanelDrawer.DOCK_TOP),s.setMaxHeight(o.h-i.__layout.legendBottomGap),s.setMaxWidth(o.w/3),n.addChild(s);var l=t.Legend.newInstance(e.getCtx(),e.processEvent,e);n.addChild(l);var g=l.getPreferredSize(a,s.getMaxContentWidth(),s.getMaxContentHeight());l.render(a,g.w,g.h),n.removeChild(l);var d=i._resources.legend_ena,u=i._resources.legend_ovr,h=i._resources.legend_dwn,C=new t.Image(e.getCtx(),d.src,0,0,d.width,d.height),c=new t.Image(e.getCtx(),u.src,0,0,u.width,u.height),p=new t.Image(e.getCtx(),h.src,0,0,h.width,h.height);s.addPanel(l,C,c,p,t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"LEGEND"),"legend"),r&&s.setDiscloseDirection(t.PanelDrawer.DIR_RIGHT),s.renderComponent(),"disclosed"==i[t.NBoxConstants.LEGEND_DISCLOSURE]&&(s.setDisplayedPanelId("legend"),s.setDisclosed(!0,!0));var _=s.getDimensions();s.setTranslate(r?0:o.w,0),r&&(o.x+=_.w),o.w-=_.w,N.setDisplayable(e,a,l,"legend"),N.setDisplayable(e,a,s,"panelDrawer")}},C._renderTitles=function(e,n,o){var a=e.getOptions(),i=N.getColumnCount(e),r=N.getRowCount(e),s=a.__layout.componentGap,l=a.__layout.titleGap,g=a.__layout.titleComponentGap,d=t.Agent.isRightToLeft(e.getCtx());o.x+=s,o.y+=s,o.w-=2*s,o.h-=2*s;var u=N.getMaximizedColumn(e),h=u?N.getColumnIndex(e,u):-1,p=N.getMaximizedRow(e),_=p?N.getRowIndex(e,p):-1,x=null,y=null,S=[],B=[],b=0,E=0,D=0,A=0,v=0,I=0,L=0,O=0;a[t.NBoxConstants.COLUMNS_TITLE]&&(x=C.createText(e.getCtx(),a[t.NBoxConstants.COLUMNS_TITLE],a[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.COLUMNS_TITLE_STYLE],t.OutputText.H_ALIGN_CENTER,t.OutputText.V_ALIGN_MIDDLE),n.addChild(x),b=x.getDimensions().h),a[t.NBoxConstants.ROWS_TITLE]&&(y=C.createText(e.getCtx(),a[t.NBoxConstants.ROWS_TITLE],a[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.ROWS_TITLE_STYLE],t.OutputText.H_ALIGN_CENTER,t.OutputText.V_ALIGN_MIDDLE),n.addChild(y),E=y.getDimensions().h);for(var T=0;T<i;T++){var m=N.getColumn(e,T);if(m[t.NBoxConstants.LABEL]){var R=C.createText(e.getCtx(),m[t.NBoxConstants.LABEL],f.getColumnLabelStyle(e,T),t.OutputText.H_ALIGN_CENTER,t.OutputText.V_ALIGN_MIDDLE);v=Math.max(v,R.getDimensions().h),u&&u!=m[t.NBoxConstants.ID]||(S[T]=R,n.addChild(S[T]))}}for(T=0;T<r;T++){var w=N.getRow(e,T);if(w[t.NBoxConstants.LABEL]){var M=C.createText(e.getCtx(),w[t.NBoxConstants.LABEL],f.getRowLabelStyle(e,T),t.OutputText.H_ALIGN_CENTER,t.OutputText.V_ALIGN_MIDDLE);I=Math.max(I,M.getDimensions().h),p&&p!=w[t.NBoxConstants.ID]||(B[T]=M,n.addChild(B[T]))}}(E||I)&&(L=g,E&&I&&(D=l)),(b||v)&&(O=g,b&&v&&(A=l));var H=E+D+I+L,P=b+A+v+O;o.x+=d?0:H,o.w-=H,o.h-=P,x&&t.TextUtils.fitText(x,o.w,b,n)&&(C.positionText(x,o.x+o.w/2,o.y+o.h+P-b/2),N.setDisplayable(e,e.getOptions(),x,t.NBoxConstants.COLUMNS_TITLE)),y&&t.TextUtils.fitText(y,o.h,E,n)&&(C.positionText(y,o.x+(d?o.w:0)+(d?1:-1)*(H-E/2),o.y+o.h/2,d?Math.PI/2:-Math.PI/2),N.setDisplayable(e,e.getOptions(),y,t.NBoxConstants.ROWS_TITLE));for(T=0;T<i;T++)if(S[T]){var U=c.getCellDimensions(e,-1==_?0:_,T,o);t.TextUtils.fitText(S[T],U.w,v,n)&&(C.positionText(S[T],U.x+U.w/2,o.y+o.h+O+v/2),N.setDisplayable(e,N.getColumn(e,T),S[T],t.NBoxConstants.LABEL))}for(T=0;T<r;T++)if(B[T]){U=c.getCellDimensions(e,T,-1==h?0:h,o);t.TextUtils.fitText(B[T],U.h,I,n)&&(C.positionText(B[T],o.x+(d?o.w:0)+(d?1:-1)*(L+I/2),U.y+U.h/2,d?Math.PI/2:-Math.PI/2),N.setDisplayable(e,N.getRow(e,T),B[T],t.NBoxConstants.LABEL))}},C.createText=function(e,n,o,a,i){var r=new t.OutputText(e,n,0,0);return r.setCSSStyle(o),r.setHorizAlignment(a),r.setVertAlignment(i),r},C._renderCells=function(t,e,o){for(var a=N.getRowCount(t),i=N.getColumnCount(t),r=0;r<a;r++)for(var s=0;s<i;s++){var l=N.getCell(t,r*i+s);n.newInstance(t,l).render(e,o)}},C.getCellCounts=function(t){return t.getOptions().__cellCounts||C._calculateCellCounts(t)},C._calculateCellCounts=function(e){var n=N.getRowCount(e)*N.getColumnCount(e),o=[],a=null,i=N.getHighlightedItems(e),r={};if(i){a=[];for(var s=0;s<i.length;s++)r[i[s][t.NBoxConstants.ID]]=!0}for(s=0;s<n;s++)o[s]=0,a&&(a[s]=0);var l=N.getNodeCount(e);for(s=0;s<l;s++){var g=N.getNode(e,s);if(!N.isNodeHidden(e,g)){var d=N.getCellIndex(e,g);o[d]++,a&&r[g[t.NBoxConstants.ID]]&&a[d]++}}var u={};return u.total=o,a&&(u.highlighted=a),e.getOptions().__cellCounts=u,u},C.calculateNodeOrders=function(e){var n=["normal"],o=N.getHighlightedItems(e),a={};if(o)for(var i=0;i<o.length;i++)a[o[i][t.NBoxConstants.ID]]=!0;var r=N.getSelectedItems(e),s={};if(r)for(i=0;i<r.length;i++)s[r[i]]=!0;o?n=r?["highlighted-selected","highlighted-unselected","unhighlighted-selected","unhighlighted-unselected"]:["highlighted-unselected","unhighlighted-unselected"]:r&&(n=["unhighlighted-selected","unhighlighted-unselected"]);for(var l={},g=N.getNodeCount(e),d=0;d<n.length;d++)for(var u=0;u<g;u++){var h=N.getNode(e,u);if(!N.isNodeHidden(e,h)&&("normal"==n[d]||"highlighted-selected"==n[d]&&a[h[t.NBoxConstants.ID]]&&s[h[t.NBoxConstants.ID]]||"highlighted-unselected"==n[d]&&a[h[t.NBoxConstants.ID]]&&!s[h[t.NBoxConstants.ID]]||"unhighlighted-selected"==n[d]&&!a[h[t.NBoxConstants.ID]]&&s[h[t.NBoxConstants.ID]]||"unhighlighted-unselected"==n[d]&&!a[h[t.NBoxConstants.ID]]&&!s[h[t.NBoxConstants.ID]])){var C=N.getCellIndex(e,h);N.isCellMinimized(e,C)||(l[C]||(l[C]=[]),l[C].push(h))}}return l},C._renderNodes=function(t,e,n){if(N.getNodeCount(t)>0){if("counts"==N.getCellContent(t)){for(var o=N.getRowCount(t),a=N.getColumnCount(t),i=[],r=0;r<o;r++)for(var s=0;s<a;s++)i.push(r*a+s);return void c.renderBodyCountLabels(t,i)}N.getGrouping(t)?(C._renderCategoryNodes(t,e,n),C._renderDrawer(t,e,n)):C._renderIndividualNodes(t,e,n)}},C._renderIndividualNodes=function(e,n,i){var r=e.getOptions().__layout.gridGap,s=t.Agent.isRightToLeft(e.getCtx()),l=f.getFadedNodeAlpha(e),g=N.getHighlightedItems(e),d={};if(g)for(var u=0;u<g.length;u++)d[g[u][t.NBoxConstants.ID]]=!0;for(var h=C.calculateNodeOrders(e),_=p.calculateNodeLayout(e,h),x=_.indicatorSectionWidth+_.iconSectionWidth+_.labelSectionWidth+r,y=_.nodeHeight+r,S=N.getRowCount(e),B=N.getColumnCount(e),b=0;b<S;b++)for(var E=0;E<B;E++){var D=b*B+E,A=h[D];if(A&&A.length){var v=N.getCell(e,D),I=(k=_.cellLayouts[D]).cellRows,L=k.cellColumns;if(!(0==I||0==L||1==I&&1==L&&k.overflow))for(var O=I*L-(k.overflow?1:0),T=0;T<A.length;T++){var m=A[T];if(O<0||T<O){var R=(F=N.getDisplayable(e,v).getChildContainer())instanceof t.SimpleScrollableContainer,w=new o(e,m),M=v.__childArea.x+(v.__childArea.w-k.cellColumns*x+r)/2,H=R?r:v.__childArea.y,P=T%L;s&&(P=L-P-1);var U=Math.floor(T/L);w.setTranslate(M+x*P,H+y*U),w.render(R?F.getScrollingPane():F,_),g&&!d[m[t.NBoxConstants.ID]]&&w.setAlpha(l),(K=T>0?A[T-1]:null)&&(m.__prev=K,K.__next=m)}}}}S=N.getRowCount(e),B=N.getColumnCount(e);var G=[];for(b=0;b<S;b++)for(E=0;E<B;E++){var F,W=b*B+E;if(!N.isCellMinimized(e,W)){var k,Y=N.getCell(e,W);v=N.getDisplayable(e,Y);if((k=_.cellLayouts[W]).overflow){I=k.cellRows,L=k.cellColumns;if(0==I||0==L||1==I&&1==L&&k.overflow)G.push(W);else{var K,z=a.newInstance(e,v);(K=N.getLastNavigableNode(e,v.getChildContainer()))&&K instanceof o&&(z.__prev=K.getData(),K.getData().__next=z),N.setDisplayable(e,z,z),N.setDisplayable(e,Y,z,"overflow");M=Y.__childArea.x+(Y.__childArea.w-k.cellColumns*x+r)/2,H=Y.__childArea.y,P=k.cellColumns-1;s&&(P=0);U=k.cellRows-1;z.setTranslate(M+x*P,H+y*U),z.render(v.getChildContainer(),x-r,y-r)}}}if(N.isCellMaximized(e,W))(F=N.getDisplayable(e,N.getCell(e,W)).getChildContainer()).prepareContentPane()}G.length>0&&c.renderBodyCountLabels(e,G)},C._renderCategoryNodes=function(e,n,o){var a,r={},s=N.getNodeCount(e),l=N.getGroupBehavior(e),g=t.Agent.isRightToLeft(e.getCtx()),d=N.getHighlightedItems(e),u={};if(d)for(var h=0;h<d.length;h++)u[d[h][t.NBoxConstants.ID]]=!0;for(var c=0;c<s;c++){var p=N.getNode(e,c);if(!N.isNodeHidden(e,p)){var _=r;if(l==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL){var x=N.getCellIndex(e,p)+"";(_=r[x])||(_={},r[x]=_)}(S=_[x=N.getNodeGroupId(p)])||((S={})[t.NBoxConstants.ID]=x,l==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL&&(S[t.NBoxConstants.CELL]=N.getCellIndex(e,p)),S.nodeIndices=[],S.highlightedCount=0,_[x]=S),S.nodeIndices.push(c),u[N.getNode(e,c)[t.NBoxConstants.ID]]&&S.highlightedCount++}}if(l==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL)for(var f in a={},r)a[f]=C._processOtherThreshold(e,r[f]);else a=C._processOtherThreshold(e,r);r=a;if(e.getOptions().__groups=r,l==t.NBoxConstants.GROUP_BEHAVIOR_ACROSS_CELLS){var y=[];for(var S in r)y.push(S);y.sort(function(t,e){return i.compareSize(r[t],r[e])});var B=Math.sqrt(o.w*o.h*.15/s);for(h=0;h<y.length;h++){S=y[h];for(var b=0,E=0,D=(s=r[S].nodeIndices.length,0);D<s;D++){p=N.getNode(e,r[S].nodeIndices[D]);b+=N.getXPercentage(e,p),E+=N.getYPercentage(e,p)}b/=s,E/=s,(R=i.newInstance(e,r[S])).setTranslate(o.x+(g?1-b:b)*o.w,o.y+(1-E)*o.h),R.render(n,B,0),R.setMaxAlpha(.8)}}else if(l==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL){var A=N.getRowCount(e)*N.getColumnCount(e),v=[];for(h=0;h<A;h++)if(r[h]&&!N.isCellMinimized(e,h)){var I=N.getCell(e,h);v[h]=C._forceLayoutGroups(r[h],I.__childArea.w,I.__childArea.h)}for(B=40,h=0;h<A;h++)r[h]&&!N.isCellMinimized(e,h)&&(B=Math.min(B,v[h].scale));for(h=0;h<A;h++)if(r[h]&&!N.isCellMinimized(e,h)){var L=v[h].positions,O=v[h].center,T=(I=N.getCell(e,h),N.getDisplayable(e,I).getChildContainer()),m=T instanceof t.SimpleScrollableContainer;for(var S in L){var R;(R=i.newInstance(e,r[h][S])).setTranslate(I.__childArea.x+I.__childArea.w/2+B*(L[S].x-O.x),(m?0:I.__childArea.y)+I.__childArea.h/2+B*(L[S].y-O.y)),R.render(m?T.getScrollingPane():T,B,3)}}}},C.getRowDimensions=function(e,n,o){var a=N.getRowCount(e),i=o.h/a,r=o.y+(a-n-1)*i,s=i;return new t.Rectangle(o.x,r,o.w,s)},C.getColumnDimensions=function(e,n,o){var a=N.getColumnCount(e),i=o.w/a,r=t.Agent.isRightToLeft(e.getCtx()),s=o.x+(r?o.w-i:0)+(r?-1:1)*n*i,l=i;return new t.Rectangle(s,o.y,l,o.h)},C._adjustAvailSpace=function(t){t.x=Math.round(t.x),t.y=Math.round(t.y),t.w=Math.round(t.w),t.h=Math.round(t.h)},C.positionText=function(t,e,n,o){if(t.setX(e),t.setY(n),o){var a=t.getMatrix();a.translate(-e,-n),a.rotate(o),a.translate(e,n),t.setMatrix(a)}},C._renderInitialSelection=function(e){if(e.isSelectionSupported()){var n={},o=[],a=N.getSelectedItems(e);if(a){for(var r=0;r<a.length;r++)n[a[r]]=!0;var s=e.getObjects();if(N.getGrouping(e))for(r=0;r<s.length;r++)if(s[r]instanceof i){for(var l=s[r].getData().nodeIndices,g=!0,d=0;d<l.length;d++){var u=N.getNode(e,l[d]);if(!n[u[t.NBoxConstants.ID]]){g=!1;break}}if(g){var h=N.getDrawer(e);if(!h||h[t.NBoxConstants.ID]!==s[r].getId()){for(d=0;d<l.length;d++)n[(u=N.getNode(e,l[d]))[t.NBoxConstants.ID]]=!1;o.push(s[r].getId())}}}for(var C in n)n[C]&&o.push(C)}e.getSelectionHandler().processInitialSelections(o,s)}},C._forceLayoutGroups=function(e,n,o){var a=[];for(var r in e)a.push(r);a.sort(function(t,n){return i.compareSize(e[t],e[n])});for(var s={},l=2*Math.PI/a.length,g=0;g<a.length;g++){var d=g*Math.cos(l*g),u=g*Math.sin(l*g);s[a[g]]=t.VectorUtils.createVector(d,u)}for(var h=1,C=-.25*o/Math.max(n,o),c=-.25*n/Math.max(n,o);h>.005;){var p={};for(g=0;g<a.length;g++){var _=s[v=a[g]],x=e[v].nodeIndices.length;p[v]=t.VectorUtils.createVector(h*C*_.x,h*c*_.y);for(var N=0;N<a.length;N++)if(g!=N){for(var f,y=a[N],S=s[y],B=e[y].nodeIndices.length,b=t.VectorUtils.subtractVectors(_,S),E=t.VectorUtils.getMagnitude(b),D=Math.atan2(b.y,b.x);D<0;)D+=Math.PI/2;for(;D>=Math.PI/2;)D-=Math.PI/2;if(E<(f=D<Math.PI/4?.5*(Math.sqrt(x)+Math.sqrt(B))/Math.cos(D):.5*(Math.sqrt(x)+Math.sqrt(B))/Math.sin(D))){var A=B/(x+B)*((f-E)/E);p[v]=t.VectorUtils.addVectors(p[v],t.VectorUtils.scaleVector(b,(1-h)*A))}}}for(g=0;g<a.length;g++){var v;s[v=a[g]]=t.VectorUtils.addVectors(s[v],p[v])}h*=.98}var I=Number.MAX_VALUE,L=-Number.MAX_VALUE,O=Number.MAX_VALUE,T=-Number.MAX_VALUE;for(g=0;g<a.length;g++){r=a[g];var m=Math.sqrt(e[r].nodeIndices.length),R=s[r];I=Math.min(I,R.x-m/2),L=Math.max(L,R.x+m/2),O=Math.min(O,R.y-m/2),T=Math.max(T,R.y+m/2)}var w=n/(L-I),M=o/(T-O),H=(I+L)/2,P=(O+T)/2;return{scale:Math.min(w,M),center:new t.Point(H,P),positions:s}},C._processOtherThreshold=function(e,n){var o=N.getNodeCount(e),a=N.getOtherThreshold(e)*o;if(a<=1)return n;var i={},r={};if(N.getGroupBehavior(e)==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL)for(var s in n){var l=n[s];r.cell=l.cell;break}for(var s in r.id="other",r.nodeIndices=[],r.otherNode=!0,n){if((l=n[s]).nodeIndices.length<a)for(var g=0;g<l.nodeIndices.length;g++)r.nodeIndices.push(l.nodeIndices[g]);else i[s]=l}return r.nodeIndices.length>0&&(i.other=r),i},C._renderDrawer=function(e,n,o){var a=N.getDrawer(e);if(a)if(N.getCategoryNode(e,a.id)){s.newInstance(e,a).render(n,o)}else{e.getOptions()[t.NBoxConstants.DRAWER]=null;var i=t.EventFactory.newAdfPropertyChangeEvent(t.NBoxConstants.DRAWER,null);e.processEvent(i)}},C.getGlobalMatrix=function(t){for(var e=t.getMatrix().clone(),n=t.getParent();n;){var o=n.getMatrix();e.translate(o.getTx(),o.getTy()),n=n.getParent()}return e},C.animateUpdate=function(t,e,n){C._animateCells(t,e,n),C._animateNodes(t,e,n);var o=N.getDrawer(e);o=o?o.id:null;var a=N.getDrawer(n);o!=(a=a?a.id:null)&&C._animateDrawer(t,e,n)},C._animateCells=function(e,n,o){for(var a=N.getRowCount(n),i=N.getRowCount(o),r=N.getColumnCount(n),s=N.getColumnCount(o),l=a*r,g=i*s,d=[],u=[],h=0;h<l;h++)d.push(N.getDisplayable(n,N.getCell(n,h)));for(h=0;h<g;h++)u.push(N.getDisplayable(o,N.getCell(o,h)));if(a==i&&r==s){var C=!0;for(h=0;h<i;h++){if(N.getRow(n,h)[t.NBoxConstants.ID]!=N.getRow(o,h)[t.NBoxConstants.ID]){C=!1;break}}if(C)for(h=0;h<s;h++){if(N.getColumn(n,h)[t.NBoxConstants.ID]!=N.getColumn(o,h)[t.NBoxConstants.ID]){C=!1;break}}if(C)return void e.constructAnimation(d,u)}e.constructAnimation(d,[]),e.constructAnimation([],u)},C._animateNodes=function(t,e,n){for(var o=N.getNodeCount(e),a=N.getNodeCount(n),i=[],r=[],s=0;s<o;s++)i.push(N.getDisplayable(e,N.getNode(e,s)));for(s=0;s<a;s++)r.push(N.getDisplayable(n,N.getNode(n,s)));t.constructAnimation(i,r);var l=N.getDrawer(e);if(!N.getDrawer(n)){var g=C._getSortedGroups(e),d=C._getSortedGroups(n);l&&(N.getMaximizedCellIndex(e)!=N.getMaximizedCellIndex(n)?(g=g.filter(function(t){return t.getData().cell!=N.getMaximizedCellIndex(e)}),d=d.filter(function(t){return t.getData().cell!=N.getMaximizedCellIndex(e)})):(g=null,d=null)),t.constructAnimation(g,d)}},C._getSortedGroups=function(e){var n=N.getGroupBehavior(e),o=e.getOptions().__groups,a=[];if(o)if(n==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL)for(var i=N.getRowCount(e)*N.getColumnCount(e),r=0;r<i;r++)for(var s=o[r+""],l=C._getSortedGroupsFromContainer(e,s),g=0;g<l.length;g++)a.push(l[g]);else a=C._getSortedGroupsFromContainer(e,o);return a},C._getSortedGroupsFromContainer=function(t,e){var n=[];for(var o in e){var a=N.getDisplayable(t,e[o]);a&&n.push(a)}return n.sort(function(t,e){var n=t.getId(),o=e.getId();return n==o?0:n<o?-1:1}),n},C._animateDrawer=function(t,e,n){var o=N.getDrawer(e);o=o?[N.getDisplayable(e,o)]:null;var a=N.getDrawer(n);a=a?[N.getDisplayable(n,a)]:[],t.constructAnimation(o,a)},C.setFill=function(e,n){if(0==n.indexOf("linear-gradient")){var o=t.GradientParser.parseCSSGradient(n);o&&e.setFill(new t.LinearGradientFill(o.getAngle(),o.getColors(),o.getAlphas(),o.getRatios()))}else e.setSolidFill(n)},C._fixZOrder=function(t){var e=N.getLegend(t);if(e&&e.sections){var n=N.getDisplayable(t,e,"panelDrawer");n&&n.getParent().addChild(n)}},C.getNodeOrderFunction=function(e){var n=[],o=N.getDrawer(e);if(o)for(var a=N.getDisplayable(e,o).getChildContainer().getScrollingPane(),i=0;i<a.getNumChildren();i++)n.push(a.getChildAt(i));else for(var r=N.getRowCount(e)*N.getColumnCount(e),s=0;s<r;s++){var l=[],g=N.getCell(e,s),d=N.getDisplayable(e,g).getChildContainer();d instanceof t.SimpleScrollableContainer&&(d=d.getScrollingPane());for(var u=0;u<d.getNumChildren();u++)l.push(d.getChildAt(u));n.push(l)}return function(){if(n.length)if(n[0]&&isNaN(n[0].length)){var o=N.getDrawer(e);if(o)for(var a=N.getDisplayable(e,o).getChildContainer().getScrollingPane(),i=0;i<n.length;i++)a.addChild(n[i])}else for(var r=0;r<n.length;r++){var s=n[r],l=N.getCell(e,r);if(s.length&&l){var g=N.getDisplayable(e,l).getChildContainer();g instanceof t.SimpleScrollableContainer&&(g=g.getScrollingPane());for(i=0;i<s.length;i++)g.addChild(s[i])}}}},C._renderEmptyText=function(e,n,o){var a=e.getOptions(),i=t.Bundle.getTranslation(a,"labelInvalidData",t.Bundle.UTIL_PREFIX,"INVALID_DATA");t.TextUtils.renderEmptyText(n,i,new t.Rectangle(o.x,o.y,o.w,o.h),e.getEventManager(),a._statusMessageStyle)};var c=new Object;t.Obj.createSubclass(c,t.Obj),c.render=function(e,n,o,a){var i=e.getOptions(),r=i.__layout.cellGap,s=i.__layout.cellStartGap,l=i.__layout.cellEndGap,g=i.__layout.cellTopGap,d=i.__layout.cellBottomGap,u=c.getCellLayout(e),h=N.getRowIndex(e,n[t.NBoxConstants.ROW]),C=N.getColumnIndex(e,n[t.NBoxConstants.COLUMN]),p=c.getCellDimensions(e,h,C,a);o.setTranslate(p.x+r/2,p.y+r/2);var _=h*N.getColumnCount(e)+C,x=new t.Rect(e.getCtx(),0,0,Math.max(p.w-r,0),Math.max(p.h-r,0));x.setPixelHinting(!0);var y=f.getCellStyle(e,_);c._applyStyleToRect(x,y);var S=f.getCellStyleObject(e,_);x.setStyle(S);var B=f.getCellClassName(e,_);x.setClassName(B),o.addChild(x),N.setDisplayable(e,n,x,"background");var b=new t.KeyboardFocusEffect(e.getCtx(),o,new t.Rectangle(-1,-1,x.getWidth()+2,x.getHeight()+2));N.setDisplayable(e,n,b,"focusEffect"),c.renderHeader(e,n,o,!1);var E=N.isCellMaximized(e,_),D=E?u.maximizedHeaderSize:u.headerSize,A=E?u.maximizedLabelHeight:u.labelHeight,v=E?new t.SimpleScrollableContainer(e.getCtx(),x.getWidth(),x.getHeight()-D):new t.Container(e.getCtx());o.addChild(v),o.setChildContainer(v);var I=null;A?(I=c._isLabelVertical(e,n)?new t.Rectangle(D,g,x.getWidth()-D-l,x.getHeight()-g-d):new t.Rectangle(s,D,x.getWidth()-s-l,x.getHeight()-D-d),v instanceof t.SimpleScrollableContainer&&v.setTranslate(0,D)):I=new t.Rectangle(s,g,x.getWidth()-s-l,x.getHeight()-g-d),I.w=Math.max(I.w,0),I.h=Math.max(I.h,0),n.__childArea=I},c.renderHeader=function(e,n,o,a){var i=N.getDisplayable(e,n,t.NBoxConstants.LABEL);i&&(i.getParent().removeChild(i),N.setDisplayable(e,n,null,t.NBoxConstants.LABEL));var r=N.getDisplayable(e,n,"countLabel");r&&(r.getParent().removeChild(r),N.setDisplayable(e,n,null,"countLabel"));var s=N.getDisplayable(e,n,"closeButton");s&&(s.getParent().removeChild(s),N.setDisplayable(e,n,null,"closeButton"));var l=!1;if(n){var g=e.getOptions(),d=g.__layout.countLabelGap,u=g.__layout.cellCloseGap,h=g.__layout.cellStartGap,p=g.__layout.cellEndGap,_=g.__layout.cellTopGap,x=c.getCellLayout(e),y=C.getCellCounts(e),S=N.getDisplayable(e,n,"background"),B=N.getRowIndex(e,n[t.NBoxConstants.ROW]),b=N.getColumnIndex(e,n[t.NBoxConstants.COLUMN]),E=B*N.getColumnCount(e)+b,D=t.Agent.isRightToLeft(e.getCtx()),A=0;if(N.isCellMaximized(e,E)){var v=g._resources.close_ena,I=v.width;if(S.getWidth()-h-p>I){var L=g._resources.close_ovr,O=g._resources.close_dwn,T=new t.Image(e.getCtx(),v.src,0,0,v.width,v.height),m=new t.Image(e.getCtx(),L.src,0,0,L.width,L.height),R=new t.Image(e.getCtx(),O.src,0,0,O.width,O.height),w=new t.Button(e.getCtx(),T,m,R,null,null,o.handleDoubleClick,o),M=D?Math.min((S.getWidth()-I)/2,p):Math.max((S.getWidth()-I)/2,S.getWidth()-p-I);w.setTranslate(M,_),o.addChild(w),A=I+u,N.setDisplayable(e,n,w,"closeButton"),l=!0}}if(n[t.NBoxConstants.LABEL]){var H=x.labelHeight,P=!1,U=f.getLabelHalign(e,n),G=0,F=null,W=0,k=0,Y=null,K=f.getCellShowCount(e,n);if(!a&&"off"!=K){var z=N.getDisplayable(e,n).getCountLabel();z?Y=z:"on"==K&&(Y=""+y.total[E],y.highlighted&&(Y=t.Bundle.getTranslatedString(t.Bundle.NBOX_PREFIX,"HIGHLIGHTED_COUNT",[y.highlighted[E],Y])))}if(c._isLabelVertical(e,n)){Y&&(F=C.createText(e.getCtx(),Y,f.getCellCountLabelStyle(e),t.OutputText.H_ALIGN_CENTER,t.OutputText.V_ALIGN_MIDDLE),t.TextUtils.fitText(F,S.getHeight()-h-p,S.getWidth()-2*_,o)?(N.setDisplayable(e,n,F,"countLabel"),l=!0,G=F.getDimensions().w+d,k=S.getHeight()/2,W=_+H/2):P=!0);var V=0;if(!P){var X=C.createText(e.getCtx(),n[t.NBoxConstants.LABEL],f.getCellLabelStyle(e,E),t.OutputText.H_ALIGN_CENTER,t.OutputText.V_ALIGN_MIDDLE);if(t.TextUtils.fitText(X,S.getHeight()-h-p-G,S.getWidth()-2*_,o)){N.setDisplayable(e,n,X,t.NBoxConstants.LABEL);var j=X.getDimensions().w;l=!0,C.positionText(X,_+H/2,(S.getHeight()+G)/2,D?Math.PI/2:-Math.PI/2),V=(j+d)/2}}F&&(k-=V,C.positionText(F,W,k,D?Math.PI/2:-Math.PI/2))}else{Y&&(F=C.createText(e.getCtx(),Y,f.getCellCountLabelStyle(e),U,t.OutputText.V_ALIGN_MIDDLE),t.TextUtils.fitText(F,S.getWidth()-h-p-A,S.getHeight()-2*_,o)?(N.setDisplayable(e,n,F,"countLabel"),l=!0,G=F.getDimensions().w+d,W=U==t.OutputText.H_ALIGN_CENTER?S.getWidth()/2:U==t.OutputText.H_ALIGN_RIGHT?S.getWidth()-p:h,k=_+H/2,C.positionText(F,W,k)):P=!0);V=0;if(!P){X=C.createText(e.getCtx(),n[t.NBoxConstants.LABEL],f.getCellLabelStyle(e,E),U,t.OutputText.V_ALIGN_MIDDLE);if(t.TextUtils.fitText(X,S.getWidth()-h-p-A-G,S.getHeight()-2*_,o)){N.setDisplayable(e,n,X,t.NBoxConstants.LABEL);var Z;j=X.getDimensions().w;l=!0,U==t.OutputText.H_ALIGN_CENTER?(Z=(S.getWidth()-(D?-1:1)*G)/2,V=(D?-1:1)*(j+d)/2):U==t.OutputText.H_ALIGN_RIGHT?(Z=S.getWidth()-p-(D?0:1)*G,V=(D?-1:0)*(j+d)):(Z=h+(D?1:0)*G,V=(D?0:1)*(j+d));var q=_+H/2;C.positionText(X,Z,q)}}F&&V&&C.positionText(F,W+V,k)}}}return c._addAccessibilityAttributes(e,n,o),l},c.renderBodyCountLabels=function(e,n){var o=e.getOptions().__layout.cellTopGap,a=e.getOptions().__layout.cellStartGap,i=c.getCellLayout(e),r=C.getCellCounts(e),s=Number.MAX_VALUE,l=!1,g=N.getCell(e,n[0]),d=N.getDisplayable(e,g,t.NBoxConstants.LABEL),u=N.getDisplayable(e,g,"countLabel"),h=d&&d.getCSSStyle()?d.getCSSStyle().getFontSize():null,p=u&&u.getCSSStyle()?u.getCSSStyle().getFontSize():null;h=isNaN(h)?parseFloat(h):h,p=isNaN(p)?parseFloat(p):p,isNaN(h)&&isNaN(p)||(s=isNaN(h)?p:isNaN(p)?h:Math.max(h,p));for(var _=[],x=[],y=0;y<n.length;y++)b=n[y],N.isCellMinimized(e,b)?x.push(b):_.push(b);var S=[],B=[];for(y=0;y<_.length;y++){var b=_[y],E=r.total[b];S[y]=C.createText(e.getCtx(),""+E,f.getCellBodyCountLabelStyle(e),t.OutputText.H_ALIGN_CENTER,t.OutputText.V_ALIGN_MIDDLE)}for(y=0;y<x.length;y++){b=x[y],E=r.total[b];B[y]=C.createText(e.getCtx(),""+E,f.getCellBodyCountLabelStyle(e),t.OutputText.H_ALIGN_CENTER,t.OutputText.V_ALIGN_MIDDLE)}var D=c.getBodyCountLabelsFontSize(e,_,S);(D<=s||u&&!d)&&(l=!0);var A=c.getBodyCountLabelsFontSize(e,x,B);if((A<=s||u&&!d)&&(l=!0),l){for(y=0;y<n.length;y++){g=N.getCell(e,n[y]),d=N.getDisplayable(e,g,t.NBoxConstants.LABEL),u=N.getDisplayable(e,g,"countLabel");var v=g.__childArea,I=!1;d&&(d.getParent().removeChild(d),N.setDisplayable(e,g,null,t.NBoxConstants.LABEL),I=!0),u&&(u.getParent().removeChild(u),N.setDisplayable(e,g,null,"countLabel"),I=!0),I&&(c._isLabelVertical(e,g)?(v.x-=i.headerSize-a,v.w+=i.headerSize-a):(v.y-=i.headerSize-o,v.h+=i.headerSize-o),g.__childArea=v)}D=c.getBodyCountLabelsFontSize(e,_,S),A=c.getBodyCountLabelsFontSize(e,x,B)}for(y=0;y<_.length;y++){b=_[y],g=N.getCell(e,b);var L=N.getDisplayable(e,g);v=g.__childArea;S[y].setFontSize(D),t.TextUtils.fitText(S[y],v.w,v.h,L)&&(l||c.renderHeader(e,g,L,!0),C.positionText(S[y],v.x+v.w/2,v.y+v.h/2))}for(y=0;y<x.length;y++){b=x[y],g=N.getCell(e,b);L=N.getDisplayable(e,g),v=g.__childArea;B[y].setFontSize(A),t.TextUtils.fitText(B[y],v.w,v.h,L)&&(l||c.renderHeader(e,g,L,!0),C.positionText(B[y],v.x+v.w/2,v.y+v.h/2))}},c.getBodyCountLabelsFontSize=function(e,n,o){for(var a=Number.MAX_VALUE,i=0;i<n.length;i++){var r=N.getCell(e,n[i]).__childArea;a=Math.min(a,parseInt(t.TextUtils.getOptimalFontSize(o[i].getCtx(),o[i].getTextString(),o[i].getCSSStyle(),r)))}return a},c._isLabelVertical=function(e,n){var o=N.getMaximizedColumn(e),a=N.getMaximizedRow(e);return!(!o||o==n[t.NBoxConstants.COLUMN]||a&&a!=n[t.NBoxConstants.ROW])},c.getCellDimensions=function(e,n,o,a){var i=e.getOptions().__layout.cellGap,r=c.getCellLayout(e),s=t.Agent.isRightToLeft(e.getCtx()),l=i+r.minimumCellSize,g=N.getRowCount(e),d=N.getColumnCount(e),u=C.getRowDimensions(e,n,a),h=C.getColumnDimensions(e,o,a),p=N.getMaximizedRow(e),_=N.getMaximizedColumn(e),x=h.x,f=u.y,y=h.w,S=u.h,B=!0;if(p){var b=N.getRowIndex(e,p),E=Math.min(a.h/(3*(g-1)),l);n<b?(f=a.y+a.h-(n+1)*E,S=E,B=!1):n==b?(f=a.y+(g-n-1)*E,S=a.h-(g-1)*E):(f=a.y+(g-n-1)*E,S=E,B=!1)}if(_&&B){var D=N.getColumnIndex(e,_),A=Math.min(a.w/(3*(d-1)),l);o<D?(y=A,x=a.x+(s?a.w-A:0)+(s?-1:1)*o*A):o==D?(y=a.w-(d-1)*A,x=a.x+(s?a.w-y:0)+(s?-1:1)*o*A):(y=A,x=a.x+(s?-A:a.w)+(s?1:-1)*(d-o)*A)}return new t.Rectangle(x,f,y,S)},c.getCellLayout=function(t){return t.getOptions().__layout.__cellLayout||c._calculateCellLayout(t)},c._calculateCellLayout=function(e){for(var n=e.getOptions(),o=C.getCellCounts(e),a=n.__layout.cellTopGap,i=n.__layout.cellBottomGap,r=n.__layout.cellLabelGap,s=n.__layout.minimumCellSize,l=0,g=0,d=N.getRowCount(e)*N.getColumnCount(e),u=0;u<d;u++){var h=N.getCell(e,u);if(h&&h[t.NBoxConstants.LABEL]){var c=h[t.NBoxConstants.LABEL_HALIGN],p=C.createText(e.getCtx(),h[t.NBoxConstants.LABEL],f.getCellLabelStyle(e,u),c,t.OutputText.V_ALIGN_MIDDLE).getDimensions().h;if("on"==f.getCellShowCount(e,h)){var _=C.createText(e.getCtx(),o.total[u],f.getCellCountLabelStyle(e),c,t.OutputText.V_ALIGN_MIDDLE).getDimensions().h;p=Math.max(p,_)}l=Math.max(l,p)}}N.getMaximizedRow(e)&&N.getMaximizedColumn(e)&&(g=Math.max(l,n._resources.close_ena.height));var x=l+a+i,y={labelHeight:l,headerSize:l+a+r,maximizedLabelHeight:g,maximizedHeaderSize:g+a+r,minimumCellSize:s=Math.max(x,s)};return n.__layout.__cellLayout=y,y},c.animateUpdate=function(e,n,o){var a=e.getOldNBox(),i=e.getNewNBox(),r=new t.CustomAnimation(i.getCtx(),o,e.getAnimationDuration()),s=o.getChildContainer(),g=s.getMatrix();s.setMatrix(C.getGlobalMatrix(s));var d=o.getParent();d.addChildAt(s,d.getChildIndex(o)+1);var u=o.getTranslateX(),h=o.getTranslateY();r.getAnimator().addProp(t.Animator.TYPE_MATRIX,o,o.getMatrix,o.setMatrix,o.getMatrix()),o.setMatrix(n.getMatrix());var p=N.getDisplayable(a,n.getData(),"background"),_=N.getDisplayable(i,o.getData(),"background"),x=t.Agent.isRightToLeft(i.getCtx())?0:_.getWidth()-p.getWidth();if(_.getFill().equals(p.getFill())||(r.getAnimator().addProp(t.Animator.TYPE_FILL,_,_.getFill,_.setFill,_.getFill()),_.setFill(p.getFill())),r.getAnimator().addProp(t.Animator.TYPE_NUMBER,_,_.getWidth,_.setWidth,_.getWidth()),_.setWidth(p.getWidth()),r.getAnimator().addProp(t.Animator.TYPE_NUMBER,_,_.getHeight,_.setHeight,_.getHeight()),_.setHeight(p.getHeight()),o.isShowingKeyboardFocusEffect()){var f=N.getDisplayable(i,o.getData(),"focusEffect").getEffect();f&&(r.getAnimator().addProp(t.Animator.TYPE_NUMBER,f,f.getWidth,f.setWidth,f.getWidth()),f.setWidth(p.getWidth()+2),r.getAnimator().addProp(t.Animator.TYPE_NUMBER,f,f.getHeight,f.setHeight,f.getHeight()),f.setHeight(p.getHeight()+2))}c._animateLabels(e,n,o,"countLabel"),c._animateLabels(e,n,o,t.NBoxConstants.LABEL);var y=N.getDisplayable(a,n.getData(),"closeButton"),S=N.getDisplayable(i,o.getData(),"closeButton");if(y)if(S)r.getAnimator().addProp(t.Animator.TYPE_MATRIX,S,S.getMatrix,S.setMatrix,S.getMatrix()),S.setMatrix(y.getMatrix());else{var B=C.getGlobalMatrix(y);y.setTranslate(y.getTranslateX()+x+u,y.getTranslateY()+h),e.add(new t.AnimFadeOut(i.getCtx(),y,e.getAnimationDuration()),l.UPDATE),r.getAnimator().addProp(t.Animator.TYPE_MATRIX,y,y.getMatrix,y.setMatrix,y.getMatrix()),y.setMatrix(B),i.getDeleteContainer().addChild(y)}else S&&(e.add(new t.AnimFadeIn(i.getCtx(),S,e.getAnimationDuration()),l.UPDATE),r.getAnimator().addProp(t.Animator.TYPE_MATRIX,S,S.getMatrix,S.setMatrix,S.getMatrix()),S.setTranslate(S.getTranslateX()-x,S.getTranslateY()),S.setAlpha(0));t.Playable.appendOnEnd(r,function(){o.addChild(s),s.setMatrix(g)}),e.add(r,l.UPDATE)},c._animateLabels=function(e,n,o,a){var i=e.getOldNBox(),r=e.getNewNBox(),s=N.getDisplayable(i,n.getData(),a),g=N.getDisplayable(r,o.getData(),a),d=c._isLabelVertical(i,n.getData()),u=c._isLabelVertical(r,o.getData());if(s||g)if(s&&g&&d==u){var h=new t.CustomAnimation(r.getCtx(),g,e.getAnimationDuration()),p=s.getHorizAlignment();p="left"==p?-1:"center"==p?0:1;var _=g.getHorizAlignment(),x=((_="left"==_?-1:"center"==_?0:1)-p)*g.getDimensions().w/2;if(h.getAnimator().addProp(t.Animator.TYPE_NUMBER,g,g.getX,g.setX,g.getX()),g.setX(s.getX()+x),h.getAnimator().addProp(t.Animator.TYPE_NUMBER,g,g.getY,g.setY,g.getY()),g.setY(s.getY()),h.getAnimator().addProp(t.Animator.TYPE_MATRIX,g,g.getMatrix,g.setMatrix,g.getMatrix()),g.setMatrix(s.getMatrix()),e.add(h,l.UPDATE),"countLabel"==a&&s.getTextString()!=g.getTextString()){g.setAlpha(0),o.addChild(s);var f=new t.AnimFadeOut(r.getCtx(),s,e.getAnimationDuration()),y=new t.AnimFadeIn(r.getCtx(),g,e.getAnimationDuration());e.add(f,l.UPDATE),e.add(y,l.INSERT),t.Playable.appendOnEnd(f,function(){r.getDeleteContainer().addChild(s)})}}else s&&(s.setMatrix(C.getGlobalMatrix(s)),r.getDeleteContainer().addChild(s),e.add(new t.AnimFadeOut(r.getCtx(),s,e.getAnimationDuration()),l.UPDATE)),g&&(g.setAlpha(0),e.add(new t.AnimFadeIn(r.getCtx(),g,e.getAnimationDuration()),l.UPDATE))},c.animateDelete=function(e,n){var o=e.getNewNBox(),a=n.getChildContainer();if(a){var i=C.getGlobalMatrix(a),r=n.getParent();r.addChildAt(a,r.getChildIndex(n)+1),a.setMatrix(i)}o.getDeleteContainer().addChild(n),e.add(new t.AnimFadeOut(o.getCtx(),n,e.getAnimationDuration()),l.UPDATE)},c.animateInsert=function(e,n){var o=e.getNewNBox(),a=n.getChildContainer(),i=null;if(a){i=a.getMatrix();var r=C.getGlobalMatrix(n),s=n.getParent();s.addChildAt(a,s.getChildIndex(n)+1),a.setMatrix(r)}n.setAlpha(0);var g=new t.AnimFadeIn(o.getCtx(),n,e.getAnimationDuration());a&&t.Playable.appendOnEnd(g,function(){n.addChild(a),a.setMatrix(i)}),e.add(g,l.UPDATE)},c.renderDropSiteFeedback=function(e,n){var o=N.getDisplayable(e,n.getData(),"background"),a=new t.Rect(e.getCtx(),o.getX(),o.getY(),o.getWidth(),o.getHeight());a.setPixelHinting(!0);var i=f.getCellDropTargetStyle(e);return c._applyStyleToRect(a,i),n.addChildAt(a,n.getChildIndex(o)+1),a},c._applyStyleToRect=function(e,n){var o=n.getStyle(t.CSSStyle.BACKGROUND),a=n.getStyle(t.CSSStyle.BACKGROUND_COLOR),i=o||a;if(i&&C.setFill(e,i),"solid"==n.getStyle(t.CSSStyle.BORDER_STYLE)){var r=n.getStyle(t.CSSStyle.BORDER_COLOR);r=r||"#000000";var s=n.getStyle(t.CSSStyle.BORDER_WIDTH);s=null==s?1:parseFloat(s),e.setSolidStroke(r,null,s)}},c._addAccessibilityAttributes=function(e,n,o){var a=t.Agent.isTouchDevice()?N.getDisplayable(e,n,"background"):o;if(a.setAriaRole("img"),!t.Agent.deferAriaCreation()){var i=o.getAriaLabel();i&&a.setAriaProperty(t.NBoxConstants.LABEL,i)}};var p=new Object;t.Obj.createSubclass(p,t.Obj),p._MIN_CORNER_RADIUS=2.5,p._ASPECT_RATIO_SCALING="xMidYMid slice",p.render=function(t,e,n,o){p._renderNodeBackground(t,e,n,o),p._renderNodeIndicator(t,e,n,o),p._renderNodeIcon(t,e,n,o),p._renderNodeLabels(t,e,n,o),p._addAccessibilityAttributes(t,n);var a=n.getChildContainer();a&&p._clipIfNecessary(t,a,o)},p.calculateNodeLayout=function(e,n){for(var o=e.getOptions(),a=o.__layout.gridGap,i=o.__layout.nodeStartLabelGap,r=o.__layout.nodeLabelOnlyStartLabelGap,s=o.__layout.nodeEndLabelGap,l=o.__layout.nodeSwatchSize,g=o.__layout.maximumLabelWidth,d=p._calculateSimpleNodeLayout(e),u=d.nodeHeight,h=d.indicatorSectionWidth,C=d.iconSectionWidth,c=h||C?i:r,_=N.getNode(e,0),x=N.getIndicatorIcon(e,_),y=N.getIcon(e,_),S=0,B=[],b=0,E=0,D=N.getMaximizedRow(e),A=N.getMaximizedColumn(e),v=N.getRowCount(e),I=N.getColumnCount(e),L=0;L<v;L++)for(var O=0;O<I;O++)B.push({cellRows:0,cellColumns:0,overflow:!1});for(var T=[],m=N.getNodeCount(e),R=0;R<m;R++){var w=N.getNode(e,R);if(!N.isNodeHidden(e,w)){var M=N.getCellIndex(e,w);isNaN(T[M])&&(T[M]=0),T[M]++}}if(D&&A){var H=N.getColumnIndex(e,A)+I*N.getRowIndex(e,D),P=N.getCell(e,H).__childArea;if(null==(S=d.labelSectionWidth)){if("ifRequired"!=o.labelTruncation)S=g+c+s;else{var U=n[H];S=Math.max(g,p._getMaxLabelWidth(e,U))+c+s}S=Math.min(S,P.w-h-C)}if(E=Math.floor((P.w+a)/(h+C+S+a)),_[t.NBoxConstants.LABEL]){var G=new t.Container,F=!1,W=N.getNodeLabel(e,_),k=W.getDimensions().h;if(t.TextUtils.fitText(W,S-c-s,k,G)&&(F=!0),_[t.NBoxConstants.SECONDARY_LABEL]){var Y=N.getNodeSecondaryLabel(e,_),K=Y.getDimensions().h;t.TextUtils.fitText(Y,S-c-s,K,G)&&(F=!0)}F||(S=0,_[t.NBoxConstants.COLOR]&&(x&&!f.getNodeIndicatorColor(e,_)||y&&!y[t.NBoxConstants.SOURCE]||(S=Math.max(0,Math.min(l,P.w-h-C)))))}if(P.w-h-C<0){var z=C;C=Math.max(0,P.w-h)}P.w-h<0&&(h=P.w),B[H]={cellRows:-1,cellColumns:E,overflow:!1}}else{var V=[];if(D){var X=N.getRowIndex(e,D);for(O=0;O<I;O++)V.push(O+X*I)}else if(A){var j=N.getColumnIndex(e,A);for(L=0;L<v;L++)V.push(j+L*I)}else for(R=0;R<B.length;R++)V.push(R);if(null!=d.labelSectionWidth){S=d.labelSectionWidth;P=N.getCell(e,V[0]).__childArea;b=Math.floor((P.h+a)/(u+a)),E=Math.floor((P.w+a)/(h+C+S+a))}else{for(var Z=0,q=0;q<V.length;q++)"number"==typeof T[V[q]]&&(T[V[q]]>T[Z]||"number"!=typeof T[Z])&&(Z=V[q]);if("ifRequired"!=o.labelTruncation){P=N.getCell(e,Z).__childArea;if((Q=Math.floor((P.h+a)/(u+a)))*($=Math.floor((P.w+a)/(h+C+o.__layout.minimumLabelWidth+c+s+a)))<T[Z])S=Math.floor(Math.min(o.__layout.maximumLabelWidth+c+s,(P.w+a)/$-(h+C+a))),b=Q,E=$;else{var J=$;for(S=Math.floor(Math.min(o.__layout.maximumLabelWidth+c+s,(P.w+a)/J-(h+C+a)));S<o.__layout.maximumLabelWidth+c+s&&(J-1)*Q>=T[Z];)J--,S=Math.floor(Math.min(o.__layout.maximumLabelWidth+c+s,(P.w+a)/J-(h+C+a)));b=Q,E=J}}else{P=N.getCell(e,V[0]).__childArea;var Q=Math.floor((P.h+a)/(u+a)),$=Math.floor((P.w+a)/(h+C+o.__layout.minimumLabelWidth+c+s+a));b=Q,E=0;for(var tt=0,et=0;E<=$;){E++;var nt=Math.floor((P.w+a)/E-(h+C+a));if(tt>nt){E=Math.max(E-1,1);break}var ot=E*b,at=[];for(L=0;L<v;L++)for(O=0;O<I;O++){if((U=n[rt=N.getColumnIndex(e,O)+I*N.getRowIndex(e,L)])&&U.length){var it=Math.min(U.length,ot);U.length>ot&&it--;for(w=et;w<it;w++)at.push(U[w])}}if((tt=Math.max(tt,Math.ceil(p._getMaxLabelWidth(e,at)+c+s)))>nt){E=Math.max(E-1,1);break}if(ot>=T[Z])break;et=ot}(S=tt>(nt=Math.floor((P.w+a)/E-(h+C+a)))?nt:Math.max(tt,Math.min(nt,g+c+s)))<o.__layout.minimumLabelWidth&&(E=0)}}for(q=0;q<V.length;q++){var rt,st=!1;T[rt=V[q]]>b*E&&(st=!0),B[rt]={cellRows:b,cellColumns:E,overflow:st}}}var lt={nodeHeight:u,indicatorSectionWidth:h,iconSectionWidth:C,iconWidth:z,labelSectionWidth:S,cellLayouts:B};return o.__layout.__nodeLayout=lt,lt},p.calculateNodeDrawerLayout=function(e,n,o){var a,i=e.getOptions(),r=i.__layout.gridGap,s=i.__layout.nodeStartLabelGap,l=i.__layout.nodeLabelOnlyStartLabelGap,g=i.__layout.nodeEndLabelGap,d=i.__layout.nodeSwatchSize,u=i.__layout.maximumLabelWidth,h=N.getNode(e,0),C=N.getIndicatorIcon(e,h),c=N.getIcon(e,h),_=p._calculateSimpleNodeLayout(e),x=_.nodeHeight,y=_.indicatorSectionWidth,S=_.iconSectionWidth,B=y||S?s:l,b=n.__childArea;null==(a=_.labelSectionWidth)&&(a="ifRequired"!=i.labelTruncation?u+B+g:Math.max(u,p._getMaxLabelWidth(e,o))+B+g,a=Math.min(a,b.w-y-S));var E=Math.floor((b.w+r)/(y+S+a+r));if(h[t.NBoxConstants.LABEL]){var D=new t.Container,A=!1,v=N.getNodeLabel(e,h),I=v.getDimensions().h;if(t.TextUtils.fitText(v,a-B-g,I,D)&&(A=!0),h[t.NBoxConstants.SECONDARY_LABEL]){var L=N.getNodeSecondaryLabel(e,h),O=L.getDimensions().h;t.TextUtils.fitText(L,a-B-g,O,D)&&(A=!0)}A||(a=0,h[t.NBoxConstants.COLOR]&&(C&&!f.getNodeIndicatorColor(e,h)||c&&!c[t.NBoxConstants.SOURCE]||(a=Math.max(0,Math.min(d,b.w-y-S)))))}if(b.w-y-S<0){var T=S;S=Math.max(0,b.w-y)}b.w-y<0&&(y=b.w);var m={nodeHeight:x,indicatorSectionWidth:y,iconSectionWidth:S,iconWidth:T,labelSectionWidth:a,drawerLayout:{rows:-1,columns:E}};return i.__layout.__nodeDrawerLayout=m,m},p._calculateSimpleNodeLayout=function(e){var n=e.getOptions(),o=n.__layout.nodeIndicatorGap,a=n.__layout.nodeSingleLabelGap,i=n.__layout.nodeDualLabelGap,r=n.__layout.nodeInterLabelGap,s=n.__layout.nodeSwatchSize,l=N.getNode(e,0),g=0,d=0,u=0,h=null,C=N.getIndicatorIcon(e,l),c=f.getNodeIndicatorColor(e,l),p=N.getIcon(e,l);if(C){var _=C[t.NBoxConstants.WIDTH],x=C[t.NBoxConstants.HEIGHT];d=_+2*o,g=Math.max(g,x+2*o)}else c&&(d=s);if(l[t.NBoxConstants.LABEL]){var y=N.getNodeLabel(e,l).getDimensions().h;if(g=Math.max(g,y+2*a),l[t.NBoxConstants.SECONDARY_LABEL]){var S=N.getNodeSecondaryLabel(e,l).getDimensions().h;g=Math.max(g,y+S+2*i+r)}}else h=0,l[t.NBoxConstants.COLOR]&&(C&&!f.getNodeIndicatorColor(e,l)||p&&!p[t.NBoxConstants.SOURCE]||(h=d||s));if(p){var B=Math.max(g,t.Agent.isTouchDevice()?p.preferredSizeTouch:p.preferredSize),b=(p[t.NBoxConstants.SOURCE]?p.sourcePaddingRatio:p.shapePaddingRatio)*B,E=p[t.NBoxConstants.WIDTH]?p[t.NBoxConstants.WIDTH]:B-2*b,D=p[t.NBoxConstants.HEIGHT]?p[t.NBoxConstants.HEIGHT]:B-2*b;u=E+2*b,g=Math.max(g,D+2*b)}return{nodeHeight:g,indicatorSectionWidth:d,iconSectionWidth:u,labelSectionWidth:h}},p._renderNodeBackground=function(e,n,o,a){var i=a.indicatorSectionWidth+a.iconSectionWidth+a.labelSectionWidth,r=a.nodeHeight,s=f.getNodeBorderRadius(e),l=f.getNodeHoverColor(e),g=f.getNodeSelectionColor(e),d=new t.Rect(e.getCtx(),0,0,i,r);d.setFill(null),s&&(d.setRx(s),d.setRy(s)),d.setHoverStroke(new t.SolidStroke(l,null,2),new t.SolidStroke(g,null,4)),d.setSelectedStroke(new t.SolidStroke(g,null,4),null),d.setSelectedHoverStroke(new t.SolidStroke(l,null,2),new t.SolidStroke(g,null,6)),o.addChild(d),o.setSelectionShape(d);var u=new t.Rect(e.getCtx(),0,0,i,r);s&&(u.setRx(s),u.setRy(s));var h=f.getNodeColor(e,n);u.setSolidFill(h),f.getNodeBorderColor(e,n)&&f.getNodeBorderWidth(e,n)&&u.setSolidStroke(f.getNodeBorderColor(e,n),null,f.getNodeBorderWidth(e,n));var C=n.svgStyle||n.style,c=n.svgClassName||n.className;u.setStyle(C).setClassName(c),o.addChild(u),N.setDisplayable(e,n,u,"background")},p._renderNodeIndicator=function(e,n,o,a){var i=f.getNodeColor(e,n),r=t.ColorUtils.getContrastingTextColor(i),s=t.Agent.isRightToLeft(e.getCtx())?a.labelSectionWidth+a.iconSectionWidth:0,l=f.getNodeIndicatorColor(e,n);if(l){r=t.ColorUtils.getContrastingTextColor(l);var g=new t.Rect(e.getCtx(),s,0,a.indicatorSectionWidth,a.nodeHeight);g.setSolidFill(l),p._clipIfNecessary(e,g,a),o.addChild(g),N.setDisplayable(e,n,g,t.NBoxConstants.INDICATOR)}var d=N.getIndicatorIcon(e,n);if(d){var u,h=d[t.NBoxConstants.WIDTH],C=d[t.NBoxConstants.HEIGHT],c=s+a.indicatorSectionWidth/2,_=a.nodeHeight/2,x=h,y=d[t.NBoxConstants.COLOR]?d[t.NBoxConstants.COLOR]:r,S=d[t.NBoxConstants.BORDER_COLOR],B=d[t.NBoxConstants.BORDER_WIDTH],b=d[t.NBoxConstants.BORDER_RADIUS],E=d[t.NBoxConstants.PATTERN];d[t.NBoxConstants.SOURCE]?(u=new t.ImageMarker(e.getCtx(),c,_,h,C,b,d[t.NBoxConstants.SOURCE])).setPreserveAspectRatio(p._ASPECT_RATIO_SCALING):(u=new t.SimpleMarker(e.getCtx(),d[t.NBoxConstants.SHAPE],t.CSSStyle.SKIN_ALTA,c,_,h,C,b),B>0&&(x+=B)),B&&u.setSolidStroke(S,null,B),"none"!=E?u.setFill(new t.PatternFill(E,y,i)):u.setSolidFill(y);var D=d.svgStyle||d.style,A=d.svgClassName||d.className;if(u.setStyle(D).setClassName(A),x>a.indicatorSectionWidth)if(b&&d[t.NBoxConstants.SOURCE])o.getChildContainer(!0).addChild(u);else p._clipIfNecessary(e,u,a),o.addChild(u);else o.addChild(u);N.setDisplayable(e,n,u,t.NBoxConstants.INDICATOR_ICON)}},p._renderNodeIcon=function(e,n,o,a){var i=f.getNodeColor(e,n),r=t.ColorUtils.getContrastingTextColor(i),s=t.Agent.isRightToLeft(e.getCtx()),l=N.getIcon(e,n);if(l){var g,d=(l[t.NBoxConstants.SOURCE]?l.sourcePaddingRatio:l.shapePaddingRatio)*a.nodeHeight,u=l[t.NBoxConstants.WIDTH]?l[t.NBoxConstants.WIDTH]:a.iconWidth?a.iconWidth:a.iconSectionWidth-2*d,h=l[t.NBoxConstants.HEIGHT]?l[t.NBoxConstants.HEIGHT]:a.nodeHeight-2*d,C=a[s?"labelSectionWidth":"indicatorSectionWidth"]+Math.max(a.iconSectionWidth/2,a.iconWidth?a.iconWidth/2:0),c=a.nodeHeight/2,_=l[t.NBoxConstants.COLOR]?l[t.NBoxConstants.COLOR]:r,x=l[t.NBoxConstants.BORDER_COLOR],y=l[t.NBoxConstants.BORDER_WIDTH],S=l[t.NBoxConstants.BORDER_RADIUS],B=l[t.NBoxConstants.PATTERN];l[t.NBoxConstants.SOURCE]?(g=new t.ImageMarker(e.getCtx(),C,c,u,h,S,l[t.NBoxConstants.SOURCE])).setPreserveAspectRatio(p._ASPECT_RATIO_SCALING):g=new t.SimpleMarker(e.getCtx(),l[t.NBoxConstants.SHAPE],t.CSSStyle.SKIN_ALTA,C,c,u-y,h-y,S),y&&g.setSolidStroke(x,null,y),"none"!=B?g.setFill(new t.PatternFill(B,_,i)):g.setSolidFill(_);var b=l.svgStyle||l.style,E=l.svgClassName||l.className;if(g.setStyle(b).setClassName(E),0==a.indicatorSectionWidth||0==a.labelSectionWidth)if(S&&l[t.NBoxConstants.SOURCE])o.getChildContainer(!0).addChild(g);else p._clipIfNecessary(e,g,a),o.addChild(g);else o.addChild(g);N.setDisplayable(e,n,g,t.NBoxConstants.ICON)}},p._renderNodeLabels=function(e,n,o,a){var i=e.getOptions(),r=i.__layout.nodeInterLabelGap,s=i.__layout.nodeLabelOnlyStartLabelGap,l=i.__layout.nodeStartLabelGap,g=i.__layout.nodeEndLabelGap,d=a.indicatorSectionWidth||a.iconSectionWidth?l:s,u=f.getNodeColor(e,n),h=t.ColorUtils.getContrastingTextColor(u),c=t.Agent.isRightToLeft(e.getCtx())?a.labelSectionWidth-d:a.indicatorSectionWidth+a.iconSectionWidth+d;if(n[t.NBoxConstants.LABEL]){var p=N.getNodeLabel(e,n),_=p.getDimensions().h;if(t.TextUtils.fitText(p,a.labelSectionWidth-d-g,_,o)&&(C.positionText(p,c,a.nodeHeight/2),p.getCSSStyle()&&p.getCSSStyle().getStyle("color")?p.setSolidFill(p.getCSSStyle().getStyle("color")):p.setSolidFill(h),N.setDisplayable(e,n,p,t.NBoxConstants.LABEL)),n[t.NBoxConstants.SECONDARY_LABEL]){var x=N.getNodeSecondaryLabel(e,n),y=x.getDimensions().h;if(t.TextUtils.fitText(x,a.labelSectionWidth-d-g,y,o)){var S=(a.nodeHeight-_-y-r)/2;C.positionText(p,c,S+_/2),C.positionText(x,c,S+_+r+y/2),x.getCSSStyle()&&x.getCSSStyle().getStyle("color")?x.setSolidFill(x.getCSSStyle().getStyle("color")):x.setSolidFill(h),N.setDisplayable(e,n,x,t.NBoxConstants.SECONDARY_LABEL)}}}},p._getMaxLabelWidth=function(e,n){for(var o=[],a=0;a<n.length;a++){var i=n[a];o.push(N.getNodeLabel(e,i)),o.push(N.getNodeSecondaryLabel(e,i))}return t.TextUtils.getMaxTextDimensions(o).w},p._clipIfNecessary=function(e,n,o){var a=f.getNodeBorderRadius(e);if(a=a<p._MIN_CORNER_RADIUS?0:a){var i=o.indicatorSectionWidth+o.iconSectionWidth+o.labelSectionWidth,r=o.nodeHeight,s=new t.ClipPath;s.addRect(0,0,i,r,a,a),n.setClipPath(s)}},p.animateUpdate=function(e,n,o){var a=e.getOldNBox(),i=e.getNewNBox(),r=C.getGlobalMatrix(n),s=C.getGlobalMatrix(o),g=o.getMatrix(),d=o.getParent();n.setAlpha(0),e.getNewNBox().addChild(o),o.setMatrix(r);var u=N.getNodeScrollableContainer(a,n),h=N.getNodeScrollableContainer(i,o);if(u||h){var c,_=new t.ClipPath;if(u){var x=C.getGlobalMatrix(u),f=new t.Rectangle(x.getTx(),x.getTy(),u.getWidth(),u.getHeight()),y=N.getCellIndex(a,n.getData()),S=N.getCell(a,y),B=N.getDisplayable(a,S,"background"),b=C.getGlobalMatrix(B),E=new t.Rectangle(b.getTx(),b.getTy(),B.getWidth(),B.getHeight());c=f.getUnion(E)}if(h){var D=C.getGlobalMatrix(h),A=new t.Rectangle(D.getTx(),D.getTy(),h.getWidth(),h.getHeight()),v=N.getCellIndex(i,o.getData()),I=N.getCell(i,v),L=N.getDisplayable(i,I,"background"),O=C.getGlobalMatrix(L),T=new t.Rectangle(O.getTx(),O.getTy(),L.getWidth(),L.getHeight()),m=A.getUnion(T);c=c?c.getUnion(m):m}c&&(_.addRect(c.x,c.y,c.w,c.h),o.setClipPath(_))}var R=new t.AnimMoveTo(o.getCtx(),o,new t.Point(s.getTx(),s.getTy()),e.getAnimationDuration());t.Playable.appendOnEnd(R,function(){d.addChild(o),o.setMatrix(g),o.setClipPath(null)}),e.add(R,l.UPDATE);var w=new t.CustomAnimation(i.getCtx(),o,e.getAnimationDuration());p._animateFill(w,a,i,n,o,"background"),p._animateFill(w,a,i,n,o,t.NBoxConstants.LABEL),p._animateFill(w,a,i,n,o,t.NBoxConstants.SECONDARY_LABEL),p._animateFill(w,a,i,n,o,t.NBoxConstants.INDICATOR),p._animateFill(w,a,i,n,o,t.NBoxConstants.INDICATOR_ICON),p._animateFill(w,a,i,n,o,t.NBoxConstants.ICON),e.add(w,l.UPDATE)},p._animateFill=function(e,n,o,a,i,r){var s=N.getDisplayable(n,a.getData(),r),l=N.getDisplayable(o,i.getData(),r);s&&l&&l.getFill()instanceof t.SolidFill&&!l.getFill().equals(s.getFill())&&(e.getAnimator().addProp(t.Animator.TYPE_FILL,l,l.getFill,l.setFill,l.getFill()),l.setFill(s.getFill()))},p.animateDelete=function(e,n){var o=l.DELETE,a=e.getOldNBox(),i=e.getNewNBox(),r=a.getOptions().__layout.__nodeLayout;if(r){var s=n.getData(),g=s[t.NBoxConstants.ID],d=N.getNodeIndex(i,g);if(!isNaN(d)){var u=N.getNode(i,d);if(!N.isNodeHidden(i,u))if(o=l.UPDATE,N.getGrouping(i)){var h=i.getOptions().__groups;N.getGroupBehavior(i)==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL&&(h=h[N.getCellIndex(i,u)]);var c=h[N.getNodeGroupId(u)];if(c){var p=N.getDisplayable(i,c);if(p){var _=C.getGlobalMatrix(p),x=new t.Point((r.indicatorSectionWidth+r.iconSectionWidth+r.labelSectionWidth)/2,r.nodeHeight/2);e.add(new t.AnimMoveTo(i.getCtx(),n,new t.Point(_.getTx()-x.x,_.getTy()-x.y),e.getAnimationDuration()),o)}}}else if(s[t.NBoxConstants.ROW]!=u[t.NBoxConstants.ROW]||s[t.NBoxConstants.COLUMN]!=u[t.NBoxConstants.COLUMN]){var f=C.getGlobalMatrix(n),y=n.getDimensions();e.getNewNBox().addChild(n),n.setMatrix(f);var S=N.getCellByRowColumn(i,u[t.NBoxConstants.ROW],u[t.NBoxConstants.COLUMN]),B=N.getDisplayable(i,S.getData(),"overflow");if(B){var b=C.getGlobalMatrix(B);e.add(new t.AnimMoveTo(i.getCtx(),n,new t.Point(b.getTx(),b.getTy()),e.getAnimationDuration()),l.UPDATE)}else{var E=C.getGlobalMatrix(S),D=S.getDimensions();x=new t.Point((r.indicatorSectionWidth+r.iconSectionWidth+r.labelSectionWidth)/2,r.nodeHeight/2);e.add(new t.AnimMoveTo(i.getCtx(),n,new t.Point(E.getTx()+D.w/2-x.x,E.getTy()+D.h/2-x.y),e.getAnimationDuration()),l.UPDATE)}var A=new t.CustomAnimation(i.getCtx(),u,e.getAnimationDuration());return A.getAnimator().addProp(t.Animator.TYPE_NUMBER,n,n.getScaleX,n.setScaleX,.01),A.getAnimator().addProp(t.Animator.TYPE_NUMBER,n,n.getScaleY,n.setScaleY,.01),t.Playable.appendOnEnd(A,function(){i.getDeleteContainer().addChild(n)}),e.add(A,l.INSERT),e.add(new t.AnimMoveBy(i.getCtx(),n,new t.Point(y.w/2,y.h/2),e.getAnimationDuration()),l.INSERT),void e.add(new t.AnimFadeOut(i.getCtx(),n,e.getAnimationDuration()),l.INSERT)}}n.setMatrix(C.getGlobalMatrix(n));var v=N.getNodeScrollableContainer(a,n);if(v){var I=new t.ClipPath,L=C.getGlobalMatrix(v),O=new t.Rectangle(L.getTx(),L.getTy(),v._width,v._height);I.addRect(O.x,O.y,O.w,O.h),n.setClipPath(I)}e.add(new t.AnimFadeOut(i.getCtx(),n,e.getAnimationDuration()),o),i.getDeleteContainer().addChild(n)}},p.animateInsert=function(e,n){var o=l.INSERT,a=e.getOldNBox(),i=e.getNewNBox(),r=i.getOptions().__layout.__nodeLayout;if(r){var s=n.getData()[t.NBoxConstants.ID],g=N.getNodeIndex(a,s);if(!isNaN(g)){var d=N.getNode(a,g);if(!N.isNodeHidden(a,d)&&(o=l.UPDATE,N.getGrouping(a))){var u=a.getOptions().__groups;N.getGroupBehavior(a)==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL&&(u=u[N.getCellIndex(a,d)]);var h=u[N.getNodeGroupId(d)];if(h){var c=N.getDisplayable(a,h);if(c){var p=n.getMatrix(),_=n.getParent(),x=C.getGlobalMatrix(n),f=C.getGlobalMatrix(c),y=new t.Point((r.indicatorSectionWidth+r.iconSectionWidth+r.labelSectionWidth)/2,r.nodeHeight/2);f.translate(-y.x,-y.y),i.addChild(n),n.setMatrix(f);var S=new t.AnimMoveTo(i.getCtx(),n,new t.Point(x.getTx(),x.getTy()),e.getAnimationDuration());t.Playable.appendOnEnd(S,function(){n.setMatrix(p),_.addChild(n)}),e.add(S,o)}}}}var B=new t.CustomAnimation(i.getCtx(),n,e.getAnimationDuration());B.getAnimator().addProp(t.Animator.TYPE_NUMBER,n,n.getAlpha,n.setAlpha,n.getAlpha()),e.add(B,o),n.setAlpha(0)}},p._addAccessibilityAttributes=function(e,n){if(n.setAriaRole("img"),!t.Agent.deferAriaCreation()){var o=n.getAriaLabel();o&&n.setAriaProperty(t.NBoxConstants.LABEL,o)}};var _=new Object;t.Obj.createSubclass(_,t.Obj),_.render=function(t,e,n,o,a){_._renderNodeBackground(t,e,n,o,a);var i=_._renderNodeIndicator(t,e,n,o,a);_._renderNodeCount(t,e,n,o,i,a),_._addAccessibilityAttributes(t,n)},_._renderNodeBackground=function(e,n,o,a,i){n.__scale=a,n.__gap=i;var r=Math.max(0,_.getSideLength(n)),s=f.getNodeBorderRadius(e),l=f.getNodeHoverColor(e),g=f.getNodeSelectionColor(e),d=new t.Rect(e.getCtx(),-r/2,-r/2,r,r);d.setFill(null),s&&(d.setRx(s),d.setRy(s)),d.setHoverStroke(new t.SolidStroke(l,null,2),new t.SolidStroke(g,null,4)),d.setSelectedStroke(new t.SolidStroke(g,null,4),null),d.setSelectedHoverStroke(new t.SolidStroke(l,null,2),new t.SolidStroke(g,null,6)),o.addChild(d),o.setSelectionShape(d);var u=new t.Rect(e.getCtx(),-r/2,-r/2,r,r);s&&(u.setRx(s),u.setRy(s));var h=f.getCategoryNodeColor(e,n);u.setSolidFill(h),o.addChild(u)},_.getSideLength=function(t){return t.__scale*Math.sqrt(t.nodeIndices.length)-t.__gap},_._renderNodeIndicator=function(e,n,o,a,i){var r=!1,s=e.getOptions().__layout.markerGap,l=t.Agent.isRightToLeft(e.getCtx()),g=a*Math.sqrt(n.nodeIndices.length)-i,d=f.getCategoryNodeColor(e,n),u=t.ColorUtils.getContrastingTextColor(d),h=g/4,C=1,c=l?g/2-h:-g/2,p=f.getStyledCategoryIndicatorIcon(e,n);if(p){var _=h/(p[t.NBoxConstants.WIDTH]+2*s),x=g/(p[t.NBoxConstants.HEIGHT]+2*s);C=Math.min(_,x)}var y=f.getCategoryNodeIndicatorColor(e,n);if(y){u=t.ColorUtils.getContrastingTextColor(y);var S=new t.Rect(e.getCtx(),c,-g/2,h,g);S.setSolidFill(y),o.addChild(S),r=!0}if(p){var B=p[t.NBoxConstants.COLOR]?p[t.NBoxConstants.COLOR]:u,b=new t.SimpleMarker(e.getCtx(),p[t.NBoxConstants.SHAPE],t.CSSStyle.SKIN_ALTA,(l?1:-1)*(g-h)/2,0,p[t.NBoxConstants.WIDTH]*C,p[t.NBoxConstants.HEIGHT]*C,p[t.NBoxConstants.BORDER_RADIUS]);p[t.NBoxConstants.BORDER_WIDTH]&&b.setSolidStroke(p[t.NBoxConstants.BORDER_COLOR],null,p[t.NBoxConstants.BORDER_WIDTH]),p[t.NBoxConstants.PATTERN]&&"none"!=p[t.NBoxConstants.PATTERN]?b.setFill(new t.PatternFill(p[t.NBoxConstants.PATTERN],B,d)):b.setSolidFill(B),b.setStyle(p.style).setClassName(p.className),o.addChild(b),N.setDisplayable(e,n,b,t.NBoxConstants.INDICATOR_ICON),r=!0}return r},_._renderNodeCount=function(e,n,o,a,i,r){var s,l=e.getOptions().__layout.categoryNodeLabelGap,g=t.Agent.isRightToLeft(e.getCtx()),d=f.getFadedNodeAlpha(e),u=N.getHighlightedItems(e),h=N.getDisplayable(e,n,"label");if(u){if(0==(s=n.highlightedCount))return h&&h.setTextString(""),void o.setAlpha(d)}else s=n.nodeIndices.length;var c=a*Math.sqrt(n.nodeIndices.length)-r,p=i?.75*c:c,_=(g?-1:1)*(c-p)/2,x=f.getCategoryNodeColor(e,n),y=t.ColorUtils.getContrastingTextColor(x),S=new t.Rectangle(0,0,p-2*l,c-2*l);h?h.setTextString(""+s):(h=C.createText(e.getCtx(),""+s,f.getCategoryNodeLabelStyle(e),t.OutputText.H_ALIGN_CENTER,t.OutputText.V_ALIGN_MIDDLE),N.setDisplayable(e,n,h,"label"));var B=t.TextUtils.getOptimalFontSize(h.getCtx(),h.getTextString(),h.getCSSStyle(),S);h.setFontSize(B),t.TextUtils.fitText(h,p-2*l,c-2*l,o)&&(C.positionText(h,_,0),h.setSolidFill(y))},_.animateUpdate=function(e,n,o){var a=C.getGlobalMatrix(n),i=C.getGlobalMatrix(o),r=o.getMatrix(),s=o.getParent();n.setAlpha(0),e.getNewNBox().addChild(o),o.setMatrix(a);var g=new t.AnimMoveTo(o.getCtx(),o,new t.Point(i.getTx(),i.getTy()),e.getAnimationDuration());t.Playable.appendOnEnd(g,function(){s.addChild(o),o.setMatrix(r)}),e.add(g,l.UPDATE)},_.animateDelete=function(e,n){var o=l.UPDATE,a=e.getOldNBox(),i=e.getNewNBox();_.isMaximizeEqual(a,i)&&_.isGroupingEqual(a,i)&&(o=l.DELETE);var r=new t.AnimScaleTo(i.getCtx(),n,new t.Point(.01,.01),e.getAnimationDuration());e.add(r,o);var s=new t.AnimFadeOut(i.getCtx(),n,e.getAnimationDuration());e.add(s,o),n.setMatrix(C.getGlobalMatrix(n)),i.getDeleteContainer().addChild(n)},_.animateInsert=function(e,n){var o=l.UPDATE,a=e.getOldNBox(),i=e.getNewNBox();_.isMaximizeEqual(a,i)&&_.isGroupingEqual(a,i)&&(o=l.INSERT),n.setScaleX(.01),n.setScaleY(.01);var r=new t.AnimScaleTo(i.getCtx(),n,new t.Point(1,1),e.getAnimationDuration());e.add(r,o);var s=new t.CustomAnimation(i.getCtx(),n,e.getAnimationDuration());s.getAnimator().addProp(t.Animator.TYPE_NUMBER,n,n.getAlpha,n.setAlpha,n.getAlpha()),e.add(s,o),n.setAlpha(0)},_.isGroupingEqual=function(t,e){var n=N.getGroupBehavior(t),o=N.getGroupBehavior(e),a=N.getNodeCount(t),i=N.getNodeCount(e),r=!1;if(n==o&&a==i){r=!0;for(var s=0;s<a;s++){if(N.getNodeGroupId(N.getNode(t,s))!=N.getNodeGroupId(N.getNode(e,s))){r=!1;break}}}return r},_.isMaximizeEqual=function(t,e){var n=N.getMaximizedRow(t),o=N.getMaximizedColumn(t),a=N.getMaximizedRow(e),i=N.getMaximizedColumn(e);return n==a&&o==i},_._addAccessibilityAttributes=function(e,n){if(n.setAriaRole("img"),!t.Agent.deferAriaCreation()){var o=n.getAriaLabel();o&&n.setAriaProperty(t.NBoxConstants.LABEL,o)}};var x=new Object;t.Obj.createSubclass(x,t.Obj),x.render=function(e,n,o,a){var i=x.getDrawerBounds(e,n,a);n.__drawerBounds=i,o.setTranslate(i.x,i.y);var r=new t.KeyboardFocusEffect(e.getCtx(),o,new t.Rectangle(-1,-1,i.w+2,i.h+2));N.setDisplayable(e,n,r,"focusEffect"),x._renderBody(e,n,o),x._renderHeader(e,n,o),x._addAccessibilityAttributes(e,n,o)},x._renderHeader=function(e,n,o){var a=e.getOptions(),i=a.__layout.drawerButtonGap,r=a.__layout.drawerStartGap,s=a.__layout.drawerLabelGap,l=a.__layout.drawerCountHorizontalGap,g=a.__layout.drawerCountVerticalGap,d=a.__layout.drawerHeaderHeight,u=a.__layout.nodeIndicatorGap,h=a.__layout.nodeSwatchSize,c=t.Agent.isRightToLeft(e.getCtx()),p=N.getCategoryNode(e,n[t.NBoxConstants.ID]),_=p.nodeIndices.length,x=n.__drawerBounds,y=a._resources.close_ena,S=y.width;if(x.w>S){var B=a._resources.close_ovr,b=a._resources.close_dwn,E=y.height,D=new t.Image(e.getCtx(),y.src,0,0,y.width,y.height),A=new t.Image(e.getCtx(),B.src,0,0,B.width,B.height),v=new t.Image(e.getCtx(),b.src,0,0,b.width,b.height),I=new t.Button(e.getCtx(),D,A,v,null,null,o.closeDrawer,o),L=c?Math.min((x.w-S)/2,i):Math.max((x.w-S)/2,x.w-i-S);I.setTranslate(L,d/2-E/2),o.addChild(I)}var O=f.getCategoryNodeColor(e,p),T=t.ColorUtils.getContrastingTextColor(O),m=f.getCategoryNodeIndicatorColor(e,p),R=m?t.ColorUtils.getContrastingTextColor(m):T,w=f.getStyledCategoryIndicatorIcon(e,p),M=h,H=1;if(w){var P=w[t.NBoxConstants.WIDTH];M=(H=h/w[t.NBoxConstants.HEIGHT])*P,R=w[t.NBoxConstants.COLOR]?w[t.NBoxConstants.COLOR]:R}var U,G=f.getDrawerCountBorderRadius(e),F=c?t.OutputText.H_ALIGN_RIGHT:t.OutputText.H_ALIGN_LEFT,W=C.createText(e.getCtx(),""+_,f.getDrawerCountLabelStyle(e),F,t.OutputText.V_ALIGN_MIDDLE),k=W.getDimensions(),Y=k.w,K=k.h+2*g,z=w?M+2*u:m?h:0,V=Y+2*l,X=z+V;if(x.w-S-2*i-r>X){var j=t.PathUtils.roundedRectangle(0,0,X,K,G,G,G,G);(U=new t.Path(e.getCtx(),j)).setSolidFill(O),o.addChild(U);var Z=c?V:0;if(z>0){if(m){var q=t.PathUtils.roundedRectangle(Z,0,z,K,c?0:G,c?G:0,c?G:0,c?0:G),J=new t.Path(e.getCtx(),q);J.setSolidFill(m),U.addChild(J)}if(w){var Q=new t.SimpleMarker(e.getCtx(),w[t.NBoxConstants.SHAPE],t.CSSStyle.SKIN_ALTA,Z+z/2,K/2,w[t.NBoxConstants.WIDTH]*H,w[t.NBoxConstants.HEIGHT]*H,w[t.NBoxConstants.BORDER_RADIUS]);w[t.NBoxConstants.BORDER_WIDTH]&&Q.setSolidStroke(w[t.NBoxConstants.BORDER_COLOR],null,w[t.NBoxConstants.BORDER_WIDTH]),w[t.NBoxConstants.PATTERN]&&"none"!=w[t.NBoxConstants.PATTERN]?Q.setFill(new t.PatternFill(w[t.NBoxConstants.PATTERN],R,m||O)):Q.setSolidFill(R),Q.setStyle(w.style).setClassName(w.className),U.addChild(Q)}}U.addChild(W),W.setSolidFill(T);var $=c?V-l:z+l;C.positionText(W,$,K/2)}var tt=N.getDisplayable(e,p).getLabel(),et=C.createText(e.getCtx(),tt,f.getDrawerLabelStyle(e),F,t.OutputText.V_ALIGN_MIDDLE),nt=0;if(t.TextUtils.fitText(et,x.w-r-s-X-2*i-S,d,o)){var ot=c?x.w-r:r;C.positionText(et,ot,d/2),nt=et.getDimensions().w+s}if(U){var at=c?x.w-r-X-nt:r+nt;U.setTranslate(at,(d-K)/2)}},x._renderBody=function(e,n,a){var i=e.getOptions(),r=i.__layout.gridGap,s=i.__layout.drawerHeaderHeight,l=n.__drawerBounds,g=t.Agent.isRightToLeft(e.getCtx()),d=f.getDrawerBorderRadius(e),u=f.getDrawerBorderColor(e),h=t.PathUtils.roundedRectangle(0,0,l.w,l.h,d,d,d,d),c=new t.Path(e.getCtx(),h);C.setFill(c,f.getDrawerBackground(e)),c.setSolidStroke(u),c.setPixelHinting(!0),a.addChild(c),N.setDisplayable(e,n,c,"background"),n.__childArea=new t.Rectangle(r,s+r,Math.max(l.w-2*r,0),Math.max(l.h-s-2*r,0));var _=new t.SimpleScrollableContainer(e.getCtx(),l.w,l.h-s);_.setTranslate(0,s),a.addChild(_),a.setChildContainer(_);var y=f.getFadedNodeAlpha(e),S=N.getHighlightedItems(e),B={};if(S)for(var b=0;b<S.length;b++)B[S[b][t.NBoxConstants.ID]]=!0;for(var E=x.calculateNodeOrders(e,n),D=p.calculateNodeDrawerLayout(e,n,E),A=D.indicatorSectionWidth+D.iconSectionWidth+D.labelSectionWidth+r,v=D.nodeHeight+r,I=N.getDisplayable(e,n).getChildContainer(),L=0;L<E.length;L++){var O=E[L];if(0!=D.drawerLayout[t.NBoxConstants.COLUMNS]&&0!=D.drawerLayout[t.NBoxConstants.ROWS]){var T=new o(e,O),m=n.__childArea.x+(n.__childArea.w-D.drawerLayout[t.NBoxConstants.COLUMNS]*A+r)/2,R=r,w=L%D.drawerLayout[t.NBoxConstants.COLUMNS];g&&(w=D.drawerLayout[t.NBoxConstants.COLUMNS]-w-1);var M=Math.floor(L/D.drawerLayout[t.NBoxConstants.COLUMNS]);T.setTranslate(m+A*w,R+v*M),T.render(I.getScrollingPane(),D),S&&!B[O[t.NBoxConstants.ID]]&&T.setAlpha(y);var H=L>0?E[L-1]:null;H&&(O.__prev=H,H.__next=O)}}I.prepareContentPane()},x.calculateNodeOrders=function(e,n){var o=["normal"],a=N.getHighlightedItems(e),i={};if(a)for(var r=0;r<a.length;r++)i[a[r][t.NBoxConstants.ID]]=!0;var s=N.getSelectedItems(e),l={};if(s)for(r=0;r<s.length;r++)l[s[r]]=!0;a?o=s?["highlighted-selected","highlighted-unselected","unhighlighted-selected","unhighlighted-unselected"]:["highlighted-unselected","unhighlighted-unselected"]:s&&(o=["unhighlighted-selected","unhighlighted-unselected"]);for(var g=[],d=N.getCategoryNode(e,n[t.NBoxConstants.ID]),u=d.nodeIndices.length,h=0;h<o.length;h++)for(var C=0;C<u;C++){var c=N.getNode(e,d.nodeIndices[C]);("normal"==o[h]||"highlighted-selected"==o[h]&&i[c[t.NBoxConstants.ID]]&&l[c[t.NBoxConstants.ID]]||"highlighted-unselected"==o[h]&&i[c[t.NBoxConstants.ID]]&&!l[c[t.NBoxConstants.ID]]||"unhighlighted-selected"==o[h]&&!i[c[t.NBoxConstants.ID]]&&l[c[t.NBoxConstants.ID]]||"unhighlighted-unselected"==o[h]&&!i[c[t.NBoxConstants.ID]]&&!l[c[t.NBoxConstants.ID]])&&g.push(c)}return g},x.getDrawerBounds=function(e,n,o){var a=e.getOptions().__layout.gridGap,i=c.getCellLayout(e),r=new t.Rectangle(o.x+a,o.y+a,Math.max(o.w-2*a,0),Math.max(o.h-2*a,0));if(N.getGroupBehavior(e)==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL){var s=parseInt(n.id.substring(0,n[t.NBoxConstants.ID].indexOf(":")));if(N.isCellMaximized(e,s)){var l=N.getCell(e,s),g=N.getRowIndex(e,l[t.NBoxConstants.ROW]),d=N.getColumnIndex(e,l[t.NBoxConstants.COLUMN]),u=c.getCellDimensions(e,g,d,o);r=new t.Rectangle(u.x+a,u.y+a+i.maximizedHeaderSize,Math.max(u.w-2*a,0),Math.max(u.h-i.maximizedHeaderSize-2*a,0))}}return r},x.animateUpdate=function(t,e,n){console.log("********************* DvtNBoxDrawerRenderer.animateUpdate *********************")},x.animateDelete=function(e,n){var o=l.UPDATE,a=e.getNewNBox(),i=n.getData().__drawerBounds,r=n.getData()[t.NBoxConstants.ID],s=N.getCategoryNode(a,r);if(s){var g=_.getSideLength(s),d=g/i.w,u=g/i.h,h=N.getDisplayable(a,s);if(h){var c=C.getGlobalMatrix(h),p=new t.Matrix(d,0,0,u,c.getTx()-g/2,c.getTy()-g/2),x=new t.CustomAnimation(a.getCtx(),n,e.getAnimationDuration());x.getAnimator().addProp(t.Animator.TYPE_MATRIX,n,n.getMatrix,n.setMatrix,p),e.add(x,o)}}a.getDeleteContainer().addChild(n);var f=new t.AnimFadeOut(a.getCtx(),n,e.getAnimationDuration());e.add(f,o)},x.animateInsert=function(e,n){var o=l.UPDATE,a=e.getNewNBox(),i=n.getData().__drawerBounds,r=n.getData()[t.NBoxConstants.ID],s=N.getCategoryNode(a,r);if(s){var g=_.getSideLength(s),d=g/i.w,u=g/i.h,h=N.getDisplayable(a,s);if(h){var c=C.getGlobalMatrix(h),p=new t.Matrix(d,0,0,u,c.getTx()-g/2,c.getTy()-g/2),x=new t.CustomAnimation(a.getCtx(),n,e.getAnimationDuration());x.getAnimator().addProp(t.Animator.TYPE_MATRIX,n,n.getMatrix,n.setMatrix,n.getMatrix());var f=n.getParent();a.addChild(n),t.Playable.appendOnEnd(x,function(){f.addChild(n)}),n.setMatrix(p),e.add(x,o)}}n.setAlpha(0);var y=new t.AnimFadeIn(a.getCtx(),n,e.getAnimationDuration());e.add(y,o)},x._addAccessibilityAttributes=function(e,n,o){var a=t.Agent.isTouchDevice()?N.getDisplayable(e,n,"background"):o;if(a.setAriaRole("img"),!t.Agent.deferAriaCreation()){var i=o.getAriaLabel();i&&a.setAriaProperty(t.NBoxConstants.LABEL,i)}};var N=new Object;t.Obj.createSubclass(N,t.Obj),N.processDataObject=function(e){if(N.hasValidData(e)){var n=e.getOptions(),o=n[t.NBoxConstants.CELLS],a={};if(o)for(var i=0;i<o.length;i++){var r=o[i];a[C=r[t.NBoxConstants.ROW]]||(a[C]={});var s=r[t.NBoxConstants.COLUMN];a[C][s]=r}for(var l=[],g={},d={},u=0;u<N.getRowCount(e);u++){g[N.getRow(e,u)[t.NBoxConstants.ID]]=u}n.__rowMap=g;for(var h=0;h<N.getColumnCount(e);h++){d[N.getColumn(e,h)[t.NBoxConstants.ID]]=h}n.__columnMap=d;for(u=0;u<N.getRowCount(e);u++){var C=N.getRow(e,u)[t.NBoxConstants.ID];for(h=0;h<N.getColumnCount(e);h++){s=N.getColumn(e,h)[t.NBoxConstants.ID];if(a[C]&&a[C][s]){var c=a[C][s];l.push(c)}else l.push({row:C,column:s})}}n[t.NBoxConstants.CELLS]=l;for(var p={},_=!1,x=0;x<N.getNodeCount(e);x++){var f=N.getNode(e,x);p[f[t.NBoxConstants.ID]]=x,!_&&(f[t.NBoxConstants.GROUP_CATEGORY]||f._groupCategories||f._groupLabels)&&(_=!0)}n.__nodeMap=p,n.__grouping="none"!=n[t.NBoxConstants.GROUP_BEHAVIOR]&&_,N.getGrouping(e)&&N.getGroupBehavior(e)==t.NBoxConstants.GROUP_BEHAVIOR_ACROSS_CELLS&&(n[t.NBoxConstants.MAXIMIZED_ROW]=null,N.fireSetPropertyEvent(e,t.NBoxConstants.MAXIMIZED_ROW,null),n[t.NBoxConstants.MAXIMIZED_COLUMN]=null,N.fireSetPropertyEvent(e,t.NBoxConstants.MAXIMIZED_COLUMN,null)),(n[t.NBoxConstants.MAXIMIZED_ROW]&&isNaN(g[n[t.NBoxConstants.MAXIMIZED_ROW]])||n[t.NBoxConstants.MAXIMIZED_COLUMN]&&isNaN(d[n[t.NBoxConstants.MAXIMIZED_COLUMN]]))&&(n[t.NBoxConstants.MAXIMIZED_ROW]=null,N.fireSetPropertyEvent(e,t.NBoxConstants.MAXIMIZED_ROW,null),n[t.NBoxConstants.MAXIMIZED_COLUMN]=null,N.fireSetPropertyEvent(e,t.NBoxConstants.MAXIMIZED_COLUMN,null));var y=n[t.NBoxConstants.LEGEND];if(y&&y.sections){var S=["color","iconFill","iconShape","iconPattern","indicatorColor","indicatorIconColor","indicatorIconShape","indicatorIconPattern"];y.sections=y.sections.slice(0);y.sections.sort(function(e,n){return t.ArrayUtils.getIndex(S,e.type)-t.ArrayUtils.getIndex(S,n.type)});var B=n[t.NBoxConstants.HIDDEN_CATEGORIES];y.hideAndShowBehavior="on",y.textStyle=n.styleDefaults.__legendDefaults.itemStyle,y.layout={rowGap:2},y.symbolWidth=16,y.symbolHeight=16;for(i=0;i<y.sections.length;i++){var b=y.sections[i];b.titleStyle=n.styleDefaults.__legendDefaults.sectionStyle;for(var E=0;E<b.items.length;E++){var D=b.items[E],A=D.categories&&D.categories.length>0?D.categories[0]:D.id;D.categoryVisibility=-1!=t.ArrayUtils.getIndex(B,A)?"hidden":null,D.indicatorColor&&(D.color=D.indicatorColor),D.color||(D.color=n.styleDefaults.__legendDefaults.markerColor),D.shape&&(D.markerShape=D.shape)}}}}},N.hasValidData=function(e){var n=e.getOptions();return!(!n||!n[t.NBoxConstants.ROWS]||n[t.NBoxConstants.ROWS].length<1||!n[t.NBoxConstants.COLUMNS]||n[t.NBoxConstants.COLUMNS].length<1)},N.getColumnCount=function(e){return e.getOptions()[t.NBoxConstants.COLUMNS].length},N.getRowCount=function(e){return e.getOptions()[t.NBoxConstants.ROWS].length},N.getColumnLabel=function(e,n){var o=N.getColumn(e,N.getColumnIndex(e,n));return o&&o[t.NBoxConstants.LABEL]?o[t.NBoxConstants.LABEL]:null},N.getRowLabel=function(e,n){var o=N.getRow(e,N.getRowIndex(e,n));return o&&o[t.NBoxConstants.LABEL]?o[t.NBoxConstants.LABEL]:null},N.getCellByRowColumn=function(t,e,n){var o=N.getCell(t,N.getCellIndexByRowColumn(t,e,n));return o?N.getDisplayable(t,o):null},N.getCellIndexByRowColumn=function(t,e,n){return N.getColumnIndex(t,n)+N.getRowIndex(t,e)*N.getColumnCount(t)},N.getColumn=function(e,n){return e.getOptions()[t.NBoxConstants.COLUMNS][n]},N.getRow=function(e,n){return e.getOptions()[t.NBoxConstants.ROWS][n]},N.getMaximizedRow=function(e){return e.getOptions()[t.NBoxConstants.MAXIMIZED_ROW]},N.getMaximizedColumn=function(e){return e.getOptions()[t.NBoxConstants.MAXIMIZED_COLUMN]},N.getRowIndex=function(t,e){return t.getOptions().__rowMap[e]},N.getColumnIndex=function(t,e){return t.getOptions().__columnMap[e]},N.getCell=function(e,n){return e.getOptions()[t.NBoxConstants.CELLS][n]},N.getNodeCount=function(e){return e.getOptions()[t.NBoxConstants.NODES]?e.getOptions()[t.NBoxConstants.NODES].length:0},N.getNode=function(e,n){return e.getOptions()[t.NBoxConstants.NODES][n]},N.getNodeIndex=function(t,e){var n=t.getOptions().__nodeMap;return n?n[e]:-1},N.getCellIndex=function(e,n){var o=N.getRowIndex(e,n[t.NBoxConstants.ROW]);return N.getColumnIndex(e,n[t.NBoxConstants.COLUMN])+o*N.getColumnCount(e)},N.getIcon=function(e,n){return n[t.NBoxConstants.ICON]?f.getStyledIcon(e,n[t.NBoxConstants.ICON]):null},N.getIndicatorIcon=function(e,n){return n[t.NBoxConstants.INDICATOR_ICON]?f.getStyledIndicatorIcon(e,n[t.NBoxConstants.INDICATOR_ICON]):null},N.getSelectedItems=function(e){return e.getOptions()[t.NBoxConstants.SELECTION]},N.setSelectedItems=function(e,n){e.getOptions()[t.NBoxConstants.SELECTION]=n},N.getHighlightedItems=function(e){var n,o=e.getOptions()[t.NBoxConstants.HIGHLIGHTED_CATEGORIES];if(o&&o.length>0){n=[];for(var a=0;a<N.getNodeCount(e);a++){var i=N.getNode(e,a);N.isNodeHighlighted(e,i)&&n.push(i)}}return n},N.getGrouping=function(t){return t.getOptions().__grouping},N.getGroupAttributes=function(e){return e.getOptions()[t.NBoxConstants.GROUP_ATTRIBUTES]},N.getGroupBehavior=function(e){return e.getOptions()[t.NBoxConstants.GROUP_BEHAVIOR]},N.getNodeGroupId=function(e){if(e[t.NBoxConstants.GROUP_CATEGORY])return e[t.NBoxConstants.GROUP_CATEGORY];var n=e._groupCategories;return n&&n.length>0?n.join(";"):null},N.getXPercentage=function(e,n){if(!isNaN(n[t.NBoxConstants.X_PERCENTAGE]))return n[t.NBoxConstants.X_PERCENTAGE];var o=N.getColumnCount(e);return(N.getColumnIndex(e,n[t.NBoxConstants.COLUMN])+.5)/o},N.getYPercentage=function(e,n){if(!isNaN(n[t.NBoxConstants.Y_PERCENTAGE]))return n[t.NBoxConstants.Y_PERCENTAGE];var o=N.getRowCount(e);return(N.getRowIndex(e,n[t.NBoxConstants.ROW])+.5)/o},N.getOtherThreshold=function(e){return e.getOptions()[t.NBoxConstants.OTHER_THRESHOLD]},N.getOtherColor=function(e){return e.getOptions()[t.NBoxConstants.OTHER_COLOR]},N.getDrawer=function(e){return e.getOptions()[t.NBoxConstants.DRAWER]},N.getCategoryNode=function(e,n){var o=N.getGroupBehavior(e),a=e.getOptions().__groups,i=n;if(o==t.NBoxConstants.GROUP_BEHAVIOR_WITHIN_CELL){var r=n.substring(0,n.indexOf(":"));i=n.substring(n.indexOf(":")+1),a=a[r]}return a?a[i]:null},N.getCategoryNodeLabels=function(e,n){if(n.__labels)return n.__labels;var o=N.getNode(e,n.nodeIndices[0]);if(o[t.NBoxConstants.GROUP_CATEGORY])return n.__labels=[o[t.NBoxConstants.GROUP_CATEGORY]];if(n.__labels=[],o._groupCategories)for(var a=e.getOptions()._groupLabels,i=0;i<o._groupCategories.length;i++)a&&a[o._groupCategories[i]]?n.__labels[i]=a[o._groupCategories[i]]:n.__labels[i]=o._groupCategories[i];return n.__labels},N.setDisplayable=function(t,e,n,o){var a=t.getDisplayables(),i=o?"__displayable:"+o:"__displayable";e[i]?a[e[i]]=n:(e[i]=a.length,a.push(n))},N.getDisplayable=function(t,e,n){if(!e)return null;var o=e[n?"__displayable:"+n:"__displayable"],a=t.getDisplayables();return null==o?null:a[o]},N.isMaximizeEnabled=function(t){return"off"!=t.getOptions().cellMaximize},N.getCellContent=function(t){return"counts"==t.getOptions().cellContent?"counts":"auto"},N.isCellMinimized=function(e,n){var o=N.getMaximizedRow(e),a=N.getMaximizedColumn(e);if(!o&&!a)return!1;var i=N.getCell(e,n),r=i[t.NBoxConstants.ROW],s=i[t.NBoxConstants.COLUMN];return o&&a?o!=r||a!=s:o!=r&&a!=s},N.isCellMaximized=function(e,n){var o=N.getMaximizedRow(e),a=N.getMaximizedColumn(e),i=N.getCell(e,n),r=i[t.NBoxConstants.ROW],s=i[t.NBoxConstants.COLUMN];return o==r&&a==s},N.getLegend=function(t){return t.getOptions()._legend},N.isNodeHidden=function(e,n){var o=e.getOptions();return o[t.NBoxConstants.HIDDEN_CATEGORIES]&&!o.__hiddenMap&&(o.__hiddenMap=t.ArrayUtils.createBooleanMap(o[t.NBoxConstants.HIDDEN_CATEGORIES])),t.ArrayUtils.hasAnyMapItem(o.__hiddenMap,n[t.NBoxConstants.CATEGORIES])},N.isNodeHighlighted=function(e,n){var o=e.getOptions();return o[t.NBoxConstants.HIGHLIGHTED_CATEGORIES]&&!o.__highlightedMap&&(o.__highlightedMap=t.ArrayUtils.createBooleanMap(o[t.NBoxConstants.HIGHLIGHTED_CATEGORIES])),"all"==o[t.NBoxConstants.HIGHLIGHT_MATCH]?t.ArrayUtils.hasAllMapItems(o.__highlightedMap,n[t.NBoxConstants.CATEGORIES]):t.ArrayUtils.hasAnyMapItem(o.__highlightedMap,n[t.NBoxConstants.CATEGORIES])},N.getNodeScrollableContainer=function(t,e){if(!e)return null;var n=N.getDrawer(t);if(n){var o=N.getDisplayable(t,n);if(o)return o.getChildContainer()}var a=N.getCellIndex(t,e.getData());if(N.isCellMaximized(t,a)){var i=N.getCell(t,a);return N.getDisplayable(t,i).getChildContainer()}return null},N.getNodeLabel=function(e,n){if(!n[t.NBoxConstants.LABEL])return null;var o=N.getDisplayable(e,n,t.NBoxConstants.LABEL);if(o)return o;var a=t.Agent.isRightToLeft(e.getCtx())?t.OutputText.H_ALIGN_RIGHT:t.OutputText.H_ALIGN_LEFT;return o=C.createText(e.getCtx(),n[t.NBoxConstants.LABEL],f.getNodeLabelStyle(e,n),a,t.OutputText.V_ALIGN_MIDDLE),N.setDisplayable(e,n,o,t.NBoxConstants.LABEL),o},N.getNodeSecondaryLabel=function(e,n){if(!n[t.NBoxConstants.SECONDARY_LABEL])return null;var o=N.getDisplayable(e,n,t.NBoxConstants.SECONDARY_LABEL);if(o)return o;var a=t.Agent.isRightToLeft(e.getCtx())?t.OutputText.H_ALIGN_RIGHT:t.OutputText.H_ALIGN_LEFT;return o=C.createText(e.getCtx(),n[t.NBoxConstants.SECONDARY_LABEL],f.getNodeSecondaryLabelStyle(e,n),a,t.OutputText.V_ALIGN_MIDDLE),N.setDisplayable(e,n,o,t.NBoxConstants.SECONDARY_LABEL),o},N.fireSetPropertyEvent=function(e,n,o){var a=t.EventFactory.newAdfPropertyChangeEvent(n,o);e.processEvent(a)},N.getMaximizedCellIndex=function(t){var e=null,n=N.getMaximizedRow(t),o=N.getMaximizedColumn(t);if(n&&o){var a=N.getColumnCount(t);e=N.getColumnIndex(t,o)+a*N.getRowIndex(t,n)}return e},N.isDrawerSelected=function(e,n){var o=!1,a=N.getSelectedItems(e);if(a){for(var i={},r=0;r<a.length;r++)i[a[r]]=!0;var s=n.getData().nodeIndices;o=!0;for(var l=0;l<s.length;l++){if(!i[N.getNode(e,s[l])[t.NBoxConstants.ID]]){o=!1;break}}}return o},N.buildAriaDesc=function(e,n,o,a){var r=n instanceof i||n instanceof s?t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"COLON_SEP_LIST",[t.Bundle.getTranslatedString(t.Bundle.NBOX_PREFIX,"GROUP_NODE"),o]):o,l=[];if(a?l.push(t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"STATE_SELECTED")):l.push(t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"STATE_UNSELECTED")),n instanceof i){var g=n.getData().nodeIndices.length;l.push(t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"STATE_COLLAPSED")),l.push(t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"COLON_SEP_LIST",[t.Bundle.getTranslatedString(t.Bundle.NBOX_PREFIX,"SIZE"),g]))}else if(n instanceof s){g=N.getCategoryNode(e,n.getData()[t.NBoxConstants.ID]).nodeIndices.length;l.push(t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"STATE_EXPANDED")),l.push(t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"COLON_SEP_LIST",[t.Bundle.getTranslatedString(t.Bundle.NBOX_PREFIX,"SIZE"),g]))}return t.Displayable.generateAriaLabel(r,l)},N.getFirstNavigableNode=function(t,e){var n=null;if(e.getNumChildren()>0){var i;n=e.getChildAt(0);do{n instanceof o?i=n.getData().__prev:n instanceof a&&(i=n.__prev),n=i?N.getDisplayable(t,i):n}while(i)}return n},N.getLastNavigableNode=function(t,e){var n=null,a=e.getNumChildren();if(a>0){var i;n=e.getChildAt(a-1);do{n=(i=n instanceof o?n.getData().__next:null)?N.getDisplayable(t,i):n}while(i)}return n},N.getNextNavigableNode=function(e,n,i){var r,s=i.keyCode==t.KeyboardEvent.RIGHT_ARROW||i.keyCode==t.KeyboardEvent.DOWN_ARROW;return n instanceof o?r=s?n.getData().__next:n.getData().__prev:n instanceof a&&(r=s?null:n.__prev),r?N.getDisplayable(e,r):n};var f=new Object;t.Obj.createSubclass(f,t.Obj),f.getAnimationOnDisplay=function(e){if(!e.isAnimationAllowed())return"none";var n=e.getOptions()[t.NBoxConstants.ANIMATION_ON_DISPLAY];return"auto"==n&&(n=t.BlackBoxAnimationHandler.ALPHA_FADE),n},f.getAnimationOnDataChange=function(e){return e.isAnimationAllowed()?e.getOptions()[t.NBoxConstants.ANIMATION_ON_DATA_CHANGE]:"none"},f.getAnimationDuration=function(e){return t.StyleUtils.getTimeMilliseconds(e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.ANIMATION_DURATION])/1e3},f.getColumnLabelStyle=function(e,n){var o=e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.COLUMN_LABEL_STYLE],a=N.getColumn(e,n);return a[t.NBoxConstants.LABEL_STYLE]?t.JsonUtils.merge(new t.CSSStyle(a[t.NBoxConstants.LABEL_STYLE]),o):o},f.getRowLabelStyle=function(e,n){var o=e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.ROW_LABEL_STYLE],a=N.getRow(e,n);return a[t.NBoxConstants.LABEL_STYLE]?t.JsonUtils.merge(new t.CSSStyle(a[t.NBoxConstants.LABEL_STYLE]),o):o},f.getCellStyle=function(e,n){var o=e.getOptions(),a=f._getCellStyleKeys(e,n),i=f._getCellStyleOption(e,n,a[0],a[1]),r=o[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.CELL_DEFAULTS]["_"+a[0]],s=new t.CSSStyle;return t.ArrayUtils.forEach(f._getCellStyleProperties(),function(e){var n=t.CSSStyle.cssStringToObjectProperty(e),o=i&&null!=i[n]?i[n]:r.getStyle(e);s.setStyle(e,o)}),s},f.getCellStyleObject=function(e,n){var o=f._getCellStyleKeys(e,n),a=f._getCellStyleOption(e,n,o[0],o[1]);return a&&t.ArrayUtils.forEach(f._getCellStyleProperties(),function(e){delete a[t.CSSStyle.cssStringToObjectProperty(e)]}),a},f._getCellStyleKeys=function(e,n){var o=t.NBoxConstants.STYLE,a="svgStyle",i=N.getMaximizedRow(e),r=N.getMaximizedColumn(e);return N.isCellMinimized(e,n)?(o="minimizedStyle",a="minimizedSvgStyle"):!i&&!r||N.isCellMinimized(e,n)||(o="maximizedStyle",a="maximizedSvgStyle"),[o,a]},f._getCellStyleOption=function(e,n,o,a){var i=e.getOptions(),r=N.getCell(e,n),s=i[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.CELL_DEFAULTS],l=s[a]||s[o];!l||l instanceof Object||(l=t.CSSStyle.cssStringToObject(l));var g=r[a]||r[o];return g?(g instanceof Object||(g=t.CSSStyle.cssStringToObject(g)),g=t.JsonUtils.merge(g,l)):l&&(g=t.JsonUtils.clone(l)),g},f._getCellStyleProperties=function(){return[t.CSSStyle.BACKGROUND,t.CSSStyle.BACKGROUND_COLOR,t.CSSStyle.BORDER_STYLE,t.CSSStyle.BORDER_COLOR,t.CSSStyle.BORDER_WIDTH]},f.getCellClassName=function(t,e){var n="className",o="svgClassName",a=N.getMaximizedRow(t),i=N.getMaximizedColumn(t);N.isCellMinimized(t,e)?(n="minimizedClassName",o="minimizedSvgClassName"):!a&&!i||N.isCellMinimized(t,e)||(n="maximizedClassName",o="maximizedSvgClassName");var r=N.getCell(t,e);return r[o]||r[n]},f.getCellLabelStyle=function(e,n){var o=e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.CELL_DEFAULTS][t.NBoxConstants.LABEL_STYLE],a=N.getCell(e,n);return a[t.NBoxConstants.LABEL_STYLE]?t.JsonUtils.merge(new t.CSSStyle(a[t.NBoxConstants.LABEL_STYLE]),o):o},f.getCellShowCount=function(e,n){return n[t.NBoxConstants.SHOW_COUNT]?n[t.NBoxConstants.SHOW_COUNT]:e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.CELL_DEFAULTS][t.NBoxConstants.SHOW_COUNT]},f.getCellCountLabelStyle=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.CELL_DEFAULTS].countLabelStyle},f.getCellBodyCountLabelStyle=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.CELL_DEFAULTS].bodyCountLabelStyle},f.getCellDropTargetStyle=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.CELL_DEFAULTS].dropTargetStyle},f.getNodeLabelStyle=function(e,n){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.LABEL_STYLE]},f.getNodeSecondaryLabelStyle=function(e,n){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.SECONDARY_LABEL_STYLE]},f.getNodeColor=function(e,n){return n[t.NBoxConstants.COLOR]?n[t.NBoxConstants.COLOR]:e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.COLOR]},f.getNodeBorderColor=function(e,n){var o=n[t.NBoxConstants.BORDER_COLOR]?n[t.NBoxConstants.BORDER_COLOR]:e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.BORDER_COLOR];return o||null},f.getNodeBorderWidth=function(e,n){var o=n[t.NBoxConstants.BORDER_WIDTH]?n[t.NBoxConstants.BORDER_WIDTH]:e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.BORDER_WIDTH];return o||null},f.getNodeIndicatorColor=function(e,n){return n[t.NBoxConstants.INDICATOR_COLOR]?n[t.NBoxConstants.INDICATOR_COLOR]:e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.INDICATOR_COLOR]},f.getStyledIcon=function(e,n){return t.JsonUtils.merge(n,e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.ICON_DEFAULTS])},f.getStyledIndicatorIcon=function(e,n){return t.JsonUtils.merge(n,e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.INDICATOR_ICON_DEFAULTS])},f.getFadedNodeAlpha=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS].alphaFade},f.getScrollbarStyleMap=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS].__scrollbar},f.getCategoryNodeColor=function(e,n){if("none"==N.getGroupBehavior(e)||N.getGroupAttributes(e)&&-1==N.getGroupAttributes(e).indexOf("color"))return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.COLOR];if(n.otherNode)return N.getOtherColor(e);var o=n.nodeIndices,a=N.getNode(e,o[0])[t.NBoxConstants.COLOR];if(!a)return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.COLOR];for(var i=1;i<o.length;i++){if(a!=N.getNode(e,o[i])[t.NBoxConstants.COLOR])return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.COLOR]}return a},f.getCategoryNodeIndicatorColor=function(e,n){if("none"==N.getGroupBehavior(e)||N.getGroupAttributes(e)&&-1==N.getGroupAttributes(e).indexOf("indicatorColor"))return null;var o=n.nodeIndices,a=N.getNode(e,o[0])[t.NBoxConstants.INDICATOR_COLOR];if(!a)return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.INDICATOR_COLOR];for(var i=1;i<o.length;i++){if(a!=N.getNode(e,o[i])[t.NBoxConstants.INDICATOR_COLOR])return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.INDICATOR_COLOR]}return a},f.getStyledCategoryIndicatorIcon=function(e,n){if("none"==N.getGroupBehavior(e))return null;if(N.getGroupAttributes(e)&&-1==N.getGroupAttributes(e).indexOf("indicatorIconShape")&&-1==N.getGroupAttributes(e).indexOf("indicatorIconColor")&&-1==N.getGroupAttributes(e).indexOf("indicatorIconPattern"))return null;var o={},a=n.nodeIndices,i=N.getNode(e,a[0])[t.NBoxConstants.INDICATOR_ICON];if(!i)return null;i.width&&(o.width=i.width),i.height&&(o.height=i.height),i.borderWidth&&(o.borderWidth=i.borderWidth),i.borderStyle&&(o.borderStyle=i.borderStyle),i.borderColor&&(o.borderColor=i.borderColor),i.borderRadius&&(o.borderRadius=i.borderRadius),i.style&&(o.style=i.style),i.className&&(o.className=i.className);var r=!0;if(!N.getGroupAttributes(e)||-1!=N.getGroupAttributes(e).indexOf("indicatorIconShape")){for(var s=i[t.NBoxConstants.SHAPE],l=1;l<a.length;l++){(C=N.getNode(e,a[l])[t.NBoxConstants.INDICATOR_ICON])&&s!=C[t.NBoxConstants.SHAPE]&&(r=!1)}o[t.NBoxConstants.SHAPE]=r?s:e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.INDICATOR_ICON_DEFAULTS][t.NBoxConstants.SHAPE]}if(r=!0,!N.getGroupAttributes(e)||-1!=N.getGroupAttributes(e).indexOf("indicatorIconColor")){for(var g=i[t.NBoxConstants.COLOR],d=1;d<a.length;d++){(C=N.getNode(e,a[d])[t.NBoxConstants.INDICATOR_ICON])&&g!=C[t.NBoxConstants.COLOR]&&(r=!1)}o[t.NBoxConstants.COLOR]=r?g:e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.INDICATOR_ICON_DEFAULTS][t.NBoxConstants.COLOR]}if(r=!0,!N.getGroupAttributes(e)||-1!=N.getGroupAttributes(e).indexOf("indicatorIconPattern")){for(var u=i[t.NBoxConstants.PATTERN],h=1;h<a.length;h++){var C;(C=N.getNode(e,a[h])[t.NBoxConstants.INDICATOR_ICON])&&u!=C[t.NBoxConstants.PATTERN]&&(r=!1)}o[t.NBoxConstants.PATTERN]=r?u:e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.INDICATOR_ICON_DEFAULTS][t.NBoxConstants.PATTERN]}return t.JsonUtils.merge(o,e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.INDICATOR_ICON_DEFAULTS])},f.getDrawerBackground=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS]._drawerDefaults.background},f.getDrawerHeaderBackground=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS]._drawerDefaults.headerBackground},f.getDrawerBorderColor=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS]._drawerDefaults[t.NBoxConstants.BORDER_COLOR]},f.getDrawerBorderRadius=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS]._drawerDefaults[t.NBoxConstants.BORDER_RADIUS]},f.getDrawerLabelStyle=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS]._drawerDefaults[t.NBoxConstants.LABEL_STYLE]},f.getDrawerCountLabelStyle=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS]._drawerDefaults.countLabelStyle},f.getDrawerCountBorderRadius=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS]._drawerDefaults.countBorderRadius},f.getCategoryNodeLabelStyle=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS]._categoryNodeDefaults.labelStyle},f.getNodeBorderRadius=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS][t.NBoxConstants.BORDER_RADIUS]},f.getNodeHoverColor=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS].hoverColor},f.getNodeSelectionColor=function(e){return e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.NODE_DEFAULTS].selectionColor},f.getLabelHalign=function(e,n){var o=n[t.NBoxConstants.LABEL_HALIGN];o||(o=e.getOptions()[t.NBoxConstants.STYLE_DEFAULTS][t.NBoxConstants.CELL_DEFAULTS][t.NBoxConstants.LABEL_HALIGN]);var a=t.Agent.isRightToLeft(e.getCtx());return"end"==o?a?t.OutputText.H_ALIGN_LEFT:t.OutputText.H_ALIGN_RIGHT:"center"==o?t.OutputText.H_ALIGN_CENTER:a?t.OutputText.H_ALIGN_RIGHT:t.OutputText.H_ALIGN_LEFT},t.exportProperty(t,"NBox",t.NBox),t.exportProperty(t.NBox,"newInstance",t.NBox.newInstance),t.exportProperty(t.NBox.prototype,"render",t.NBox.prototype.render),t.exportProperty(t.NBox.prototype,"getAutomation",t.NBox.prototype.getAutomation),t.exportProperty(t.NBox.prototype,"highlight",t.NBox.prototype.highlight),t.exportProperty(h.prototype,"getDomElementForSubId",h.prototype.getDomElementForSubId),t.exportProperty(h.prototype,"getData",h.prototype.getData),t.exportProperty(h.prototype,"getGroupNode",h.prototype.getGroupNode),t.exportProperty(h.prototype,"getCell",h.prototype.getCell),t.exportProperty(h.prototype,"getCellNode",h.prototype.getCellNode),t.exportProperty(h.prototype,"getNode",h.prototype.getNode),t.exportProperty(h.prototype,"getCellGroupNode",h.prototype.getCellGroupNode),t.exportProperty(h.prototype,"getDialog",h.prototype.getDialog),t.exportProperty(h.prototype,"getDialogNode",h.prototype.getDialogNode),t.exportProperty(h.prototype,"getNodeIdFromIndex",h.prototype.getNodeIdFromIndex),t.exportProperty(h.prototype,"getNodeIndexFromId",h.prototype.getNodeIndexFromId)}(dvt);
  return dvt;
});
