/**
 * Copyright (c) 2014, 2016, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";
define(['./DvtToolkit'], function(dvt) {
  // Internal use only.  All APIs and functionality are subject to change at any time.

!function(e){e.AttrGroups=function(){},e.Obj.createSubclass(e.AttrGroups,e.Obj),e.AttrGroups.prototype.get=function(e){},e.DiscreteAttrGroups=function(){this._results=new Array},e.Obj.createSubclass(e.DiscreteAttrGroups,e.AttrGroups),e.DiscreteAttrGroups.prototype.add=function(e,t,n){this._results.push({group:e,groupLabel:t,params:n})},e.DiscreteAttrGroups.prototype.get=function(e){if(null===e)return null;for(var t=0;t<this._results.length;t++)if(this._results[t].group==e)return this._results[t].params;return null},e.DiscreteAttrGroups.prototype.getMappingsArray=function(){return this._results.slice(0)},e.ContinuousAttrGroups=function(e,t,n,r,i){this._minValue=e,this._maxValue=t,this._minLabel=n||this._minValue,this._maxLabel=r||this._maxValue,this._ramp=i,this._range=this._maxValue-this._minValue},e.Obj.createSubclass(e.ContinuousAttrGroups,e.AttrGroups),e.ContinuousAttrGroups.prototype.get=function(e){if(isNaN(e)||null===e)return null;var t=this._range>0?(e-this._minValue)/this._range:.5,n=(t=Math.max(Math.min(t,1),0))*(this._ramp.length-1);if(n===Math.round(n))return this._ramp[n];var r=this._ramp[Math.floor(n)],i=this._ramp[Math.ceil(n)];return this._calcValue(r,i,n-Math.floor(n))},e.ContinuousAttrGroups.prototype.getRamp=function(){return this._ramp.slice(0)},e.ContinuousAttrGroups.prototype.getMinLabel=function(){return this._minLabel},e.ContinuousAttrGroups.prototype.getMaxLabel=function(){return this._maxLabel},e.ContinuousAttrGroups.prototype._calcValue=function(t,n,r){return e.ColorUtils.interpolateColor(t,n,r)},e.LegendAttrGroupsRenderer=function(){},e.Obj.createSubclass(e.LegendAttrGroupsRenderer,e.Obj),e.LegendAttrGroupsRenderer._LEGEND_MAX_HEIGHT=.4,e.LegendAttrGroupsRenderer._CONTINUOUS_GROUP_GAP=1,e.LegendAttrGroupsRenderer._CONTINUOUS_ITEM_WIDTH=50,e.LegendAttrGroupsRenderer._CONTINUOUS_ITEM_HEIGHT=10,e.LegendAttrGroupsRenderer._CONTINUOUS_ITEM_GAP=5,e.LegendAttrGroupsRenderer._LABEL_SIZE=11,e.LegendAttrGroupsRenderer._LABEL_COLOR="#636363",e.LegendAttrGroupsRenderer._LABEL_VALUE_COLOR="#333333",e.LegendAttrGroupsRenderer.renderAttrGroups=function(t,n,r,i,a,s,o){var l=null;return s&&(s instanceof e.ContinuousAttrGroups?l=e.LegendAttrGroupsRenderer._renderAttrGroupsContinuous(t,n,r,i,a,s,o):s instanceof e.DiscreteAttrGroups&&(l=e.LegendAttrGroupsRenderer._renderAttrGroupsDiscrete(t,n,r,i,a,s,o))),l},e.LegendAttrGroupsRenderer._renderAttrGroupsContinuous=function(t,n,r,i,a,s,o){var l=e.Agent.isRightToLeft(t),d=e.LegendAttrGroupsRenderer._CONTINUOUS_ITEM_HEIGHT/2+e.LegendAttrGroupsRenderer._CONTINUOUS_GROUP_GAP,_=new e.Container(t);r.addChild(_);var h=s.getMinLabel(),p=new e.OutputText(t,h,0,d);p.setCSSStyle(o.labelStyle),p.alignMiddle(),_.addChild(p);var u=new e.Rect(t,0,e.LegendAttrGroupsRenderer._CONTINUOUS_GROUP_GAP,e.LegendAttrGroupsRenderer._CONTINUOUS_ITEM_WIDTH,e.LegendAttrGroupsRenderer._CONTINUOUS_ITEM_HEIGHT),c=l?s.getRamp().slice().reverse():s.getRamp();u.setFill(new e.LinearGradientFill(0,c)),o.borderColor&&u.setSolidStroke(o.borderColor),_.addChild(u);var E=e.LegendAttrGroupsRenderer._CONTINUOUS_ITEM_WIDTH+e.LegendAttrGroupsRenderer._CONTINUOUS_ITEM_GAP,g=s.getMaxLabel(),T=new e.OutputText(t,g,0,d);if(T.setCSSStyle(o.labelStyle),T.alignMiddle(),_.addChild(T),l){var C=T.getDimensions().w+e.LegendAttrGroupsRenderer._CONTINUOUS_ITEM_GAP;u.setTranslateX(C),p.setX(C+E)}else{var D=p.getDimensions().w+e.LegendAttrGroupsRenderer._CONTINUOUS_ITEM_GAP;u.setTranslateX(D),T.setX(D+E)}var v=h+" - "+g;return n.associate(u,new e.SimpleObjPeer(v)),_.getDimensions().w>i&&(_.removeChild(p),_.removeChild(T),u.setTranslateX(0)),_},e.LegendAttrGroupsRenderer._renderAttrGroupsDiscrete=function(t,n,r,i,a,s,o){var l=new e.Container(t);r.addChild(l);for(var d=[],_=s.getMappingsArray(),h=0;h<_.length;h++){var p=_[h];d.push({text:p.groupLabel,color:p.params.color,pattern:p.params.pattern,borderColor:o.borderColor})}var u={sections:[{items:d}],orientation:"horizontal",layout:{outerGapWidth:0,outerGapHeight:0},textStyle:o.labelStyle.toString()},c=e.Legend.newInstance(t);c.setId(null),l.addChild(c);var E=a*e.LegendAttrGroupsRenderer._LEGEND_MAX_HEIGHT,g=c.getPreferredSize(u,i,E);c.render(u,i,g.h);var T=c.getContentDimensions(),C=new e.Rect(t,0,0,T.w,g.h);return C.setInvisibleFill(),l.addChildAt(C,0),l},e.BreadcrumbsDrillEvent=function(t){this.Init(e.BreadcrumbsDrillEvent.TYPE),this._id=t},e.Obj.createSubclass(e.BreadcrumbsDrillEvent,e.BaseComponentEvent),e.BreadcrumbsDrillEvent.TYPE="breadcrumbsDrill",e.BreadcrumbsDrillEvent.prototype.getId=function(){return this._id},e.Breadcrumbs=function(e,t,n,r){this.Init(e,t,n,r)},e.Obj.createSubclass(e.Breadcrumbs,e.Container),e.Breadcrumbs.prototype.Init=function(t,r,i,a){e.Breadcrumbs.superclass.Init.call(this,t),this.setOptions(a),this._eventHandler=new n(this,t,r,i),this._eventHandler.addListeners(this),this.setId("breadcrumbs1000"+Math.floor(1e9*Math.random())),this._curCrumbIdx=-1,this._keyboardFocusRect=null,this._crumbs=null},e.Breadcrumbs.prototype.setOptions=function(e){this._options=t.calcOptions(e)},e.Breadcrumbs.prototype.render=function(t,n){this._data=t?e.JsonUtils.clone(t):this._data,this.removeChildren(),this.SetCrumbs(null),i.render(this,this,n)},e.Breadcrumbs.prototype.__getData=function(){return this._data?this._data:{}},e.Breadcrumbs.prototype.__getOptions=function(){return this._options},e.Breadcrumbs.prototype.getEventManager=function(){return this._eventHandler},e.Breadcrumbs.prototype.hideKeyboardFocusEffect=function(){var e=this._curCrumbIdx;this._curCrumbIdx=-1,this._updateKeyboardFocusEffect(e,this._curCrumbIdx)},e.Breadcrumbs.prototype.getCurrentCrumbIndex=function(){return this._curCrumbIdx},e.Breadcrumbs.prototype.getNumCrumbs=function(){return this._data.items.length},e.Breadcrumbs.prototype.updateCrumbFocus=function(e){var t=this._curCrumbIdx;return this._curCrumbIdx=this._getUpdatedCrumbIndex(t,!e),this._updateKeyboardFocusEffect(t,this._curCrumbIdx),this._curCrumbIdx},e.Breadcrumbs.prototype._getUpdatedCrumbIndex=function(e,t){return-1==e?t?0:this._data.items.length-2:t?e==this._data.items.length-2?-1:++e:0==e?-1:--e},e.Breadcrumbs.prototype._updateKeyboardFocusEffect=function(t,n){var r=this._keyboardFocusRect,i=null,a=this.getCrumb(n);if(a){var s=this._eventHandler.GetLogicalObject(a);if(s&&s.isDrillable&&s.isDrillable()){var o=this.getCtx(),l=a.getDimensions(),d=a.getMatrix();i=new e.KeyboardFocusEffect(o,this,l,d),this._keyboardFocusRect=i}else this._keyboardFocusRect=null}r&&r.hide(),i&&i.show()},e.Breadcrumbs.prototype.getCrumb=function(e){var t=this.GetCrumbs();return e<0||!t||e>=t.length?null:t[e]},e.Breadcrumbs.prototype.getCrumbIndex=function(e){for(var t=this.GetCrumbs(),n=0;n<t.length;n++)if(t[n]==e)return n},e.Breadcrumbs.prototype.SetCrumbs=function(e){this._crumbs=e},e.Breadcrumbs.prototype.GetCrumbs=function(){return this._crumbs};var t=new Object;e.Obj.createSubclass(t,e.Obj),t.VERSION_1={labelStyle:e.BaseComponentDefaults.FONT_FAMILY_ALTA_11+"color: #003286;",disabledLabelStyle:e.BaseComponentDefaults.FONT_FAMILY_ALTA_11,__labelGap:4,__labelSeparator:">"},t.calcOptions=function(n){var r=t._getDefaults(n);return n?e.JsonUtils.merge(n,r):r},t._getDefaults=function(n){return e.JsonUtils.clone(t.VERSION_1)},t.getGapSize=function(e,t){return Math.ceil(t*e.layout.gapRatio)};var n=function(e,t,n,r){this.Init(t,n,r),this._breadcrumbs=e};e.Obj.createSubclass(n,e.EventManager),n.prototype.OnClick=function(e){n.superclass.OnClick.call(this,e),this._processBreadcrumbs(this.GetLogicalObject(e.target))},n.prototype.HandleTouchClickInternal=function(e){this._processBreadcrumbs(this.GetLogicalObject(e.target))},n.prototype._processBreadcrumbs=function(t){if(t&&t instanceof r&&t.isDrillable()){var n=new e.BreadcrumbsDrillEvent(t.getId());this.FireEvent(n,this._breadcrumbs)}},n.prototype.handleKeyboardEvent=function(t){var n=!0,r=t.keyCode;if(r==e.KeyboardEvent.TAB){var i=this._breadcrumbs.updateCrumbFocus(t.shiftKey);-1==i?n=!1:this.UpdateActiveElement(this._breadcrumbs.getCrumb(i))}else if(r==e.KeyboardEvent.ENTER){var a=this._breadcrumbs.getCrumb(this._breadcrumbs.getCurrentCrumbIndex());this._processBreadcrumbs(this.GetLogicalObject(a))}return n&&e.EventManager.consumeEvent(t),n};var r=function(e,t){this.Init(),this._id=e,this._bDrillable=!1,this._displayable=t};e.Obj.createSubclass(r,e.SimpleObjPeer),r.prototype.getId=function(){return this._id},r.prototype.isDrillable=function(){return this._bDrillable},r.prototype.setDrillable=function(e){this._bDrillable=e},r.prototype.getDisplayable=function(){return this._displayable};var i=new Object;e.Obj.createSubclass(i,e.Obj),i._TOUCH_BUFFER=3,i.render=function(t,n,a){for(var s=t.getCtx(),o=t.__getData().items?t.__getData().items:[],l=t.__getOptions(),d=t.getEventManager(),_=[],h=[],p=0;p<o.length;p++){var u=o[p];if(u){var c=u.label?u.label:"",E=i._createLabel(s,c,l,p<o.length-1);_.push(E);var g=new r(u.id,E);d.associate(E,g),h.push(g),p<o.length-1&&g.setDrillable(!0)}}t.SetCrumbs(_),e.Agent.isRightToLeft(s)?i._positionLabelsBidi(t,n,a,_,h):i._positionLabels(t,n,a,_,h)},i._createButtonState=function(t,n,r){var i=new e.OutputText(t,n,0,0);i.setMouseEnabled(!1),i.setCSSStyle(r);var a=r.getPadding(e.CSSStyle.PADDING_TOP),s=r.getPadding(e.CSSStyle.PADDING_RIGHT),o=r.getPadding(e.CSSStyle.PADDING_BOTTOM),l=r.getPadding(e.CSSStyle.PADDING_LEFT),d=e.DisplayableUtils.getDimensionsForced(t,i),_=new e.Rect(t,0,0,d.w+l+s,d.h+a+o);return _.setInvisibleFill(),_.setCSSStyle(r),i.setTranslate(l,a),_.addChild(i),_},i._createLabel=function(t,n,r,a){var s;if(a&&(r.labelStyleOver||r.labelStyleDown)){var o=new e.CSSStyle(r.labelStyle),l=new e.CSSStyle(r.labelStyleOver),d=new e.CSSStyle(r.labelStyleDown),_=i._createButtonState(t,n,o),h=i._createButtonState(t,n,l),p=i._createButtonState(t,n,d);(s=new e.Button(t,_,h,p)).setAriaRole("link"),s.setAriaProperty("label",n)}else{var u=a?r.labelStyle:r.disabledLabelStyle,c=new e.CSSStyle(u);c.getPadding(e.CSSStyle.PADDING_LEFT)||c.getPadding(e.CSSStyle.PADDING_RIGHT)||c.getPadding(e.CSSStyle.PADDING_TOP)||c.getPadding(e.CSSStyle.PADDING_BOTTOM)?s=i._createButtonState(t,n,c):(s=new e.OutputText(t,n,0,0)).setCSSStyle(c)}return s},i._getLabelTextString=function(t){return t instanceof e.Button?t.upState.getChildAt(0).getTextString():t instanceof e.Rect?t.getChildAt(0).getTextString():t.getTextString()},i._truncateLabels=function(t,n){if(t instanceof e.Button){var r=t.upState.getChildAt(0);return e.TextUtils.fitText(r,Math.max(n-r.getTranslateX(),0),1/0,r.getParent()),r=t.overState.getChildAt(0),e.TextUtils.fitText(r,Math.max(n-r.getTranslateX(),0),1/0,r.getParent()),r=t.downState.getChildAt(0),void e.TextUtils.fitText(r,Math.max(n-r.getTranslateX(),0),1/0,r.getParent())}if(t instanceof e.Rect){r=t.getChildAt(0);e.TextUtils.fitText(r,Math.max(n-r.getTranslateX(),0),1/0,r.getParent())}else e.TextUtils.fitText(t,n,1/0,t.getParent())},i._positionLabels=function(t,n,r,a,s){for(var o=t.__getOptions(),l=t.getEventManager(),d=[],_=0,h=0;h<a.length;h++){n.addChild(a[h]);var p=a[h].getDimensions();d[h]=p,_=Math.max(p.h,_),n.removeChild(a[h])}var u=0;for(h=0;h<a.length;h++){n.addChild(a[h]);p=d[h];if(a[h].setTranslate(u,.5*(_-p.h)),e.Agent.isTouchDevice()){var c=new e.Rect(n.getCtx(),-i._TOUCH_BUFFER,-i._TOUCH_BUFFER,p.w+2*i._TOUCH_BUFFER,p.h+2*i._TOUCH_BUFFER);c.setInvisibleFill(),a[h].addChild(c),h<s.length&&l.associate(c,s[h])}if(u+p.w>r){var E=i._getLabelTextString(a[h]);return i._truncateLabels(a[h],r-u),void(h<s.length?s[h].setTooltip(E):l.associate(a[h],new e.SimpleObjPeer(E)))}if(u+=p.w+o.__labelGap,h<a.length-1){var g=i._newSeparator(t);n.addChild(g);var T=g.getDimensions();g.setTranslate(u,.5*(_-T.h));var C=T.w;if(u+C>r)return void n.removeChild(g);u+=C+o.__labelGap}}},i._positionLabelsBidi=function(t,n,r,a,s){for(var o=t.__getOptions(),l=t.getEventManager(),d=r,_=0;_<a.length;_++){n.addChild(a[_]);var h=a[_].getDimensions();if(e.Agent.isTouchDevice()){var p=new e.Rect(n.getCtx(),-i._TOUCH_BUFFER,-i._TOUCH_BUFFER,h.w+2*i._TOUCH_BUFFER,h.h+2*i._TOUCH_BUFFER);p.setInvisibleFill(),a[_].addChild(p),_<s.length&&l.associate(p,s[_])}if(d-h.w<0){var u=i._getLabelTextString(a[_]);return i._truncateLabels(a[_],d),a[_].setTranslateX(0),void(_<s.length?s[_].setTooltip(u):l.associate(a[_],new e.SimpleObjPeer(u)))}if(a[_].setTranslateX(d-h.w),d-=h.w+o.__labelGap,_<a.length-1){var c=i._newSeparator(t);n.addChild(c);var E=c.getDimensions().w;if(d-E<0)return void n.removeChild(c);c.setTranslateX(d-E),d-=E+o.__labelGap}}},i._newSeparator=function(t){var n=t.__getOptions(),r=new e.OutputText(t.getCtx(),n.__labelSeparator,0,0);return r.setCSSStyle(new e.CSSStyle(n.labelStyle)),r},e.PanelDrawerEvent=function(t,n){this.Init(e.PanelDrawerEvent.TYPE),this._subtype=t,this._activePanel=n},e.Obj.createSubclass(e.PanelDrawerEvent,e.BaseComponentEvent),e.PanelDrawerEvent.TYPE="dvtPanelDrawerEvent",e.PanelDrawerEvent.SUBTYPE_HIDE="hide",e.PanelDrawerEvent.SUBTYPE_SHOW="show",e.PanelDrawerEvent.prototype.getSubType=function(){return this._subtype},e.PanelDrawerEvent.prototype.getActivePanel=function(){return this._activePanel},e.PanelDrawer=function(e,t,n,r){this.Init(e,t,n,r)},e.Obj.createSubclass(e.PanelDrawer,e.Container),e.PanelDrawer.DIR_LEFT="left",e.PanelDrawer.DIR_RIGHT="right",e.PanelDrawer.DOCK_TOP="top",e.PanelDrawer.DOCK_BOTTOM="bottom",e.PanelDrawer._FIRST_TAB_SPACING=15,e.PanelDrawer._INTER_TAB_SPACING=0,e.PanelDrawer._TAB_SIZE=42,e.PanelDrawer._TAB_CORNER_RADIUS=2,e.PanelDrawer._BACKGROUND_COLOR="#ffffff",e.PanelDrawer._BORDER_COLOR="#bbc7d0",e.PanelDrawer._ANIM_DURATION=.25,e.PanelDrawer._CONTENT_PADDING=10,e.PanelDrawer._BACKGROUND_ALPHA=1,e.PanelDrawer._BACKGROUND_ALPHA_DE_EMPHASIZED=1,e.PanelDrawer._BACKGROUND_ALPHA_ROLLOVER=1,e.PanelDrawer._BORDER_ALPHA=1,e.PanelDrawer._BORDER_ALPHA_DE_EMPHASIZED=1,e.PanelDrawer._TAB_BACKGROUND_COLOR_INACTIVE="#dee4e7",e.PanelDrawer._TAB_BORDER_COLOR_INACTIVE="#c1cede",e.PanelDrawer._BOUNCE_WIDTH_FACTOR=1.25,e.PanelDrawer._DEFAULT_SKIN="alta",e.PanelDrawer.IMAGE_SIZE=24,e.PanelDrawer.PANEL_LEGEND="legend",e.PanelDrawer.PANEL_PALETTE="palette",e.PanelDrawer.PANEL_SEARCH="search",e.PanelDrawer.PANEL_OVERVIEW="overview",e.PanelDrawer.PANEL_SEARCH_ICON_ENA="searchEna",e.PanelDrawer.PANEL_SEARCH_ICON_OVR="searchOvr",e.PanelDrawer.PANEL_SEARCH_ICON_DWN="searchDwn",e.PanelDrawer.PANEL_SEARCH_TIP="searchTip",e.PanelDrawer.PANEL_PALETTE_ICON_ENA="paletteEna",e.PanelDrawer.PANEL_PALETTE_ICON_OVR="paletteOvr",e.PanelDrawer.PANEL_PALETTE_ICON_DWN="paletteDwn",e.PanelDrawer.PANEL_PALETTE_TIP="paletteTip",e.PanelDrawer.PANEL_LEGEND_ICON_ENA="legendEna",e.PanelDrawer.PANEL_LEGEND_ICON_OVR="legendOvr",e.PanelDrawer.PANEL_LEGEND_ICON_DWN="legendDwn",e.PanelDrawer.PANEL_LEGEND_TIP="legendTip",e.PanelDrawer.PANEL_OVERVIEW_ICON_ENA="overviewEna",e.PanelDrawer.PANEL_OVERVIEW_ICON_OVR="overviewOvr",e.PanelDrawer.PANEL_OVERVIEW_ICON_DWN="overviewDwn",e.PanelDrawer.PANEL_OVERVIEW_TIP="overviewTip",e.PanelDrawer.BG_ALPHA="backgroundAlpha",e.PanelDrawer.TAB_BG_COLOR_INACTIVE="tab-color-inactive",e.PanelDrawer.TAB_BORDER_COLOR_INACTIVE="tab-border-color-inactive",e.PanelDrawer.prototype.Init=function(t,n,r,i){e.PanelDrawer.superclass.Init.call(this,t,null,"panelDrawer"+i),this._sid=i,this._eventManager=new s(t,n,r),this._eventManager.addListeners(this),this._eventManager.addRolloverType(e.PanelDrawer),this._eventManager.associate(this,this),e.Agent.isTouchDevice()||this._eventManager.setKeyboardHandler(new o(this._eventManager,this)),this._callback=n,this._callbackObj=r,this._panels={},this._panelOrder=[],this._maxWidth=Number.MAX_VALUE,this._maxHeight=Number.MAX_VALUE,this._minWidth=5,this._minHeight=0,this._displayedPanelId,this._oldDisplayedPanelId,this._bDisclosed=!1,this._bTransition=!1,this._contentPane,this._activeContent,this._expandedContent,this._contentClipPath,this._expandedBorder,this._expandedBorderResizable,this._tabs={},this._discloseDirection=e.PanelDrawer.DIR_LEFT,this._dockSide=e.PanelDrawer.DOCK_TOP,this._isFixed=!1,this._styleMap=null,r&&(this._styleMap=r.getSubcomponentStyles()),this._bgAlpha=e.StyleUtils.getStyle(this._styleMap,e.PanelDrawer.BG_ALPHA,e.PanelDrawer._BACKGROUND_ALPHA),this._borderColor=e.StyleUtils.getStyle(this._styleMap,e.CSSStyle.BORDER_COLOR,e.PanelDrawer._BORDER_COLOR),this._borderRadius=parseInt(e.StyleUtils.getStyle(this._styleMap,e.CSSStyle.BORDER_RADIUS,e.PanelDrawer._TAB_CORNER_RADIUS)),this._bgColor=e.StyleUtils.getStyle(this._styleMap,e.CSSStyle.BACKGROUND_COLOR,e.PanelDrawer._BACKGROUND_COLOR),this._bgInactiveColor=e.StyleUtils.getStyle(this._styleMap,e.PanelDrawer.TAB_BG_COLOR_INACTIVE,e.PanelDrawer._TAB_BACKGROUND_COLOR_INACTIVE),this._borderInactiveColor=e.StyleUtils.getStyle(this._styleMap,e.PanelDrawer.TAB_BORDER_COLOR_INACTIVE,e.PanelDrawer._TAB_BORDER_COLOR_INACTIVE),this.setPixelHinting(!0),this._contentPadding=e.PanelDrawer._CONTENT_PADDING},e.PanelDrawer.prototype.addPanel=function(t,n,r,i,a,s){this._panels[s]={panel:t,iconUp:n,iconOver:r,iconDown:i,tooltip:a},this._panelOrder.push(s),this._minHeight=e.PanelDrawer._FIRST_TAB_SPACING+this._panelOrder.length*(e.PanelDrawer._TAB_SIZE+e.PanelDrawer._INTER_TAB_SPACING)},e.PanelDrawer.prototype.isFixed=function(){return this._isFixed},e.PanelDrawer.prototype.setFixed=function(e){this._isFixed=e},e.PanelDrawer.prototype.setMaxWidth=function(e){this._maxWidth=e},e.PanelDrawer.prototype.getMaxWidth=function(){return this._maxWidth},e.PanelDrawer.prototype.setContentPadding=function(e){this._contentPadding=e},e.PanelDrawer.prototype.getContentPadding=function(){return this._contentPadding},e.PanelDrawer.prototype.getMaxContentWidth=function(){return this._maxWidth-2*this.getContentPadding()},e.PanelDrawer.prototype.setMaxHeight=function(e){this._maxHeight=e},e.PanelDrawer.prototype.getMaxHeight=function(){return this._maxHeight},e.PanelDrawer.prototype.getMaxContentHeight=function(){return this._maxHeight-2*this.getContentPadding()},e.PanelDrawer.prototype.setDiscloseDirection=function(e){this._discloseDirection=e},e.PanelDrawer.prototype.getDiscloseDirection=function(){return this._discloseDirection},e.PanelDrawer.prototype.setDockSide=function(e){this._dockSide=e},e.PanelDrawer.prototype.getDockSide=function(){return this._dockSide},e.PanelDrawer.prototype.GetPanel=function(e){return this._panels[e].panel},e.PanelDrawer.prototype.GetIcon=function(e){return this._panels[e].icon},e.PanelDrawer.prototype.GetTooltip=function(e){return this._panels[e].tooltip},e.PanelDrawer.prototype.GetTab=function(e){return this._tabs[e]},e.PanelDrawer.prototype.GetPanelIds=function(){return this._panelOrder},e.PanelDrawer.prototype.setDisplayedPanelId=function(e,t,n){this._oldDisplayedPanelId=this._displayedPanelId,this._displayedPanelId=e,this.isDisclosed()&&(this.ChangeTabsState(),this.ChangePanels(e,t,n)),this._oldDisplayedPanelId=null},e.PanelDrawer.prototype.getDisplayedPanelId=function(){var e=this._displayedPanelId;return!e&&this._panelOrder.length>0?this._panelOrder[0]:e},e.PanelDrawer.prototype.setDisclosed=function(e,t,n){if(!this._bTransition){var r=this._bDisclosed;this._bDisclosed=e,r!=e&&(this._bTransition=!0,e?this.DoExpand(t,n):this.DoCollapse(t,n))}},e.PanelDrawer.prototype.isDisclosed=function(){return this._bDisclosed},e.PanelDrawer.prototype.renderComponent=function(){this._contentPane||(this._contentPane=new e.Container(this.getCtx(),"pd_contentPane"),this.addChild(this._contentPane),this._activeContent=new e.Container(this.getCtx(),"pdcp_activeContent"),this._contentPane.addChild(this._activeContent)),this.RenderTabs()},e.PanelDrawer.prototype.RenderTabs=function(){if(!this.isFixed()){var t=-e.PanelDrawer._TAB_SIZE;this.getDiscloseDirection()==e.PanelDrawer.DIR_RIGHT&&(t=0);var n=e.PanelDrawer._FIRST_TAB_SPACING;if(this.getDockSide()==e.PanelDrawer.DOCK_TOP)for(var r=0;r<this._panelOrder.length;r++){var i=this._panelOrder[r];this.RenderTab(i).setTranslate(t,n),n+=e.PanelDrawer._TAB_SIZE+e.PanelDrawer._INTER_TAB_SPACING}else if(this.getDockSide()==e.PanelDrawer.DOCK_BOTTOM){n=-e.PanelDrawer._FIRST_TAB_SPACING-e.PanelDrawer._TAB_SIZE;for(r=this._panelOrder.length-1;r>=0;r--){i=this._panelOrder[r];this.RenderTab(i).setTranslate(t,n),n-=e.PanelDrawer._TAB_SIZE+e.PanelDrawer._INTER_TAB_SPACING}}}},e.PanelDrawer.prototype.GetTabPathCommands=function(){var t;switch(this.getDiscloseDirection()){case e.PanelDrawer.DIR_RIGHT:t=["M",0,0,"L",e.PanelDrawer._TAB_SIZE-this._borderRadius,0,"A",this._borderRadius,this._borderRadius,0,0,1,e.PanelDrawer._TAB_SIZE,this._borderRadius,"L",e.PanelDrawer._TAB_SIZE,e.PanelDrawer._TAB_SIZE-this._borderRadius,"A",this._borderRadius,this._borderRadius,0,0,1,e.PanelDrawer._TAB_SIZE-this._borderRadius,e.PanelDrawer._TAB_SIZE,"L",0,e.PanelDrawer._TAB_SIZE];break;case e.PanelDrawer.DIR_LEFT:default:t=["M",e.PanelDrawer._TAB_SIZE,0,"L",this._borderRadius,0,"A",this._borderRadius,this._borderRadius,0,0,0,0,this._borderRadius,"L",0,e.PanelDrawer._TAB_SIZE-this._borderRadius,"A",this._borderRadius,this._borderRadius,0,0,0,this._borderRadius,e.PanelDrawer._TAB_SIZE,"L",e.PanelDrawer._TAB_SIZE,e.PanelDrawer._TAB_SIZE]}return t},e.PanelDrawer.prototype.RenderTab=function(t){var n=this.GetTabPathCommands(),r=new a(this.getCtx(),n,t,this);r.setPixelHinting(!0),r.setCursor(e.SelectionEffectUtils.getSelectingCursor()),this._contentPane.addChildAt(r,0),r.setSolidFill(this._bgInactiveColor,this._bgAlpha),r.setSolidStroke(this._borderInactiveColor,e.PanelDrawer._BORDER_ALPHA,1);var i=this._panels[t],s=new e.Path(this.getCtx(),n);s.setInvisibleFill(),i.iconUp.setTranslate(.5*(e.PanelDrawer._TAB_SIZE-e.PanelDrawer.IMAGE_SIZE),.5*(e.PanelDrawer._TAB_SIZE-e.PanelDrawer.IMAGE_SIZE)),s.addChild(i.iconUp);var o=new e.Path(this.getCtx(),n);o.setInvisibleFill(),i.iconOver.setTranslate(.5*(e.PanelDrawer._TAB_SIZE-e.PanelDrawer.IMAGE_SIZE),.5*(e.PanelDrawer._TAB_SIZE-e.PanelDrawer.IMAGE_SIZE)),o.addChild(i.iconOver);var l=new e.Path(this.getCtx(),n);l.setInvisibleFill(),i.iconDown.setTranslate(.5*(e.PanelDrawer._TAB_SIZE-e.PanelDrawer.IMAGE_SIZE),.5*(e.PanelDrawer._TAB_SIZE-e.PanelDrawer.IMAGE_SIZE)),l.addChild(i.iconDown);var d=new e.Button(this.getCtx(),s,o,l);d.setToggleEnabled(!0),i.icon=d,r.addChild(d),this._tabs[t]=r;var _=this,h={HandleClick:function(e){_.HandleTabClick(t)},getTooltip:function(){return _.GetTooltip(t)}};return this._eventManager.associate(r,h),r.addAccessibilityAttributes(),r},e.PanelDrawer.prototype.HandleTabClick=function(t){this._oldDisplayedPanelId=this.getDisplayedPanelId(),this._displayedPanelId=t;var n=this.GetTab(t).isShowingKeyboardFocusEffect(),r=this,i=function(){var e=r.getCtx().getTooltipManager();e&&e.hideTooltip()};this.isDisclosed()?this._oldDisplayedPanelId==t?this.setDisclosed(!1,!1,i):(this.ChangeTabsState(),this.ChangePanels(t,!1)):(this.setDisclosed(!0,!1,i),this.ApplyAlphasRollover()),this._oldDisplayedPanelId=null,this.FireListener(new e.PanelDrawerEvent(this.isDisclosed()?e.PanelDrawerEvent.SUBTYPE_SHOW:e.PanelDrawerEvent.SUBTYPE_HIDE,this._displayedPanelId)),n&&this.getCtx().setCurrentKeyboardFocus(this)},e.PanelDrawer.prototype.ChangePanels=function(t,n,r){var i=null;if(n||(i=new e.Animator(this.getCtx(),e.PanelDrawer._ANIM_DURATION)),this._oldDisplayedPanelId){var a=this.GetPanel(this._oldDisplayedPanelId);a&&this._expandedContentPanel.removeChild(a)}this.DisplayPanel(t,i),i?(this.ApplyAlphasRollover(),r&&e.Playable.appendOnEnd(i,r),i.play()):r&&r()},e.PanelDrawer.prototype.DoExpand=function(t,n){this.DisplayPanel(this.getDisplayedPanelId());var r=-1/e.PanelDrawer._BOUNCE_WIDTH_FACTOR*this._expandedContent.getWidth();if(this.getDiscloseDirection()==e.PanelDrawer.DIR_RIGHT&&(r=-r,this._expandedContent.setX((1/e.PanelDrawer._BOUNCE_WIDTH_FACTOR-1)*this._expandedContent.getWidth())),t)this._contentPane.setTranslateX(r),n&&n(),this._bTransition=!1;else{var i=new e.Animator(this.getCtx(),e.PanelDrawer._ANIM_DURATION);if(i.setEasing(e.Easing.backOut),i.addProp(e.Animator.TYPE_NUMBER,this._contentPane,this._contentPane.getTranslateX,this._contentPane.setTranslateX,r),n&&e.Playable.appendOnEnd(i,n),i){var a=this;e.Playable.appendOnEnd(i,function(){a._bTransition=!1}),i.play()}}this.ChangeTabsState()},e.PanelDrawer.prototype.DoCollapse=function(t,n){if(t)this._contentPane.setTranslateX(0),this.RemoveExpandedContent(),n&&n(),this.ChangeTabsState(),this._bTransition=!1;else{var r=new e.Animator(this.getCtx(),e.PanelDrawer._ANIM_DURATION);r.setEasing(e.Easing.backIn),r.addProp(e.Animator.TYPE_NUMBER,this._contentPane,this._contentPane.getTranslateX,this._contentPane.setTranslateX,0),e.Playable.appendOnEnd(r,this.RemoveExpandedContent,this),e.Playable.appendOnEnd(r,this.ChangeTabsState,this),n&&e.Playable.appendOnEnd(r,n);var i=this;e.Playable.appendOnEnd(r,function(){i._bTransition=!1}),r.play()}},e.PanelDrawer.prototype.RemoveExpandedContent=function(){this._expandedContent&&(this._contentClipPath=null,this._expandedContentPanel.removeChildren(),this._activeContent.removeAllDrawEffects(),this._expandedContent.destroy(),this._activeContent.removeChild(this._expandedContent),this._expandedContent=null,this._expandedContentPanel=null,this._expandedBorder=null,this._expandedBorderResizable=null)},e.PanelDrawer.prototype.DisplayPanel=function(t,n,r){this._expandedContent||(this._expandedContent=new e.Rect(this.getCtx(),0,0,1,1,"pdcp_expandedContent"),this._activeContent.addChild(this._expandedContent),this._expandedContent.setSolidFill(this._bgColor,this._bgAlpha),this._expandedContentPanel=new e.Container(this._context),this._expandedContent.addChild(this._expandedContentPanel),this._expandedContentPanel.setTranslate(this.getContentPadding(),this.getContentPadding()));var i=this.GetPanel(t);if(i){if(this._expandedContentPanel.addChild(i),this._oldDisplayedPanelId){var a=this.GetPanel(this._oldDisplayedPanelId);a&&a.removeEvtListener(e.ResizeEvent.RESIZE_EVENT,this.HandlePanelResize,!1,this)}i.addEvtListener(e.ResizeEvent.RESIZE_EVENT,this.HandlePanelResize,!1,this)}this._expandedBorder||(this._expandedBorder=new e.Path(this.getCtx(),["M",0,0,"L",1,1],"pdcp_expandedBorder"),this._expandedBorderResizable=new e.Path(this.getCtx(),["M",0,0,"L",1,1],"pdcp_expandedBorderResizable"),this._expandedContent.addChild(this._expandedBorder),this._expandedContent.addChild(this._expandedBorderResizable),this._expandedBorder.setSolidStroke(this._borderColor,e.PanelDrawer._BORDER_ALPHA),this._expandedBorder.setFill(null),this._expandedBorderResizable.setSolidStroke(this._borderColor,e.PanelDrawer._BORDER_ALPHA),this._expandedBorderResizable.setFill(null),this._expandedBorder.setPixelHinting(!0),this._expandedBorderResizable.setPixelHinting(!0)),this.RefreshExpandedSize(t,n),r&&(n?e.Playable.appendOnEnd(n,r):r())},e.PanelDrawer.prototype.HandlePanelResize=function(t){var n=new e.Animator(this.getCtx(),e.PanelDrawer._ANIM_DURATION),r=t.getWidth(),i=t.getHeight(),a=this.GetExpandedContentWidth(r),s=this.GetExpandedContentHeight(i),o=t.getX()?t.getX():0,l=t.getY()?t.getY():0;this._refreshPanelSize(this.getDisplayedPanelId(),n,a,s,o,l),n.play()},e.PanelDrawer.prototype.RefreshExpandedSize=function(e,t){var n=this.GetPanel(e),r=2*this.getContentPadding(),i=2*this.getContentPadding(),a=0,s=0;if(n){var o=n.getContentDimensions?n.getContentDimensions():n.getDimensionsWithStroke();r=this.GetExpandedContentWidth(o.w),i=this.GetExpandedContentHeight(o.h),a=o.x,s=o.y}this._refreshPanelSize(e,t,r,i,a,s)},e.PanelDrawer.prototype._refreshPanelSize=function(t,n,r,i,a,s){var o=this.GetPanel(t);n?n.addProp(e.Animator.TYPE_NUMBER,o,o.getTranslateX,o.setTranslateX,-a):o.setTranslateX(-a),n?n.addProp(e.Animator.TYPE_NUMBER,o,o.getTranslateY,o.setTranslateY,-s):o.setTranslateY(-s);var l=new e.Rectangle(this.getContentPadding(),this.getContentPadding(),r-2*this.getContentPadding(),i-2*this.getContentPadding()),d=e.PanelDrawer._BOUNCE_WIDTH_FACTOR*r;n?(n.addProp(e.Animator.TYPE_NUMBER,this._expandedContent,this._expandedContent.getWidth,this._expandedContent.setWidth,d),n.addProp(e.Animator.TYPE_NUMBER,this._expandedContent,this._expandedContent.getHeight,this._expandedContent.setHeight,i),n.addProp(e.Animator.TYPE_RECTANGLE,this,this._getContentClipPath,this._setContentClipPath,l),this.getDiscloseDirection()==e.PanelDrawer.DIR_LEFT?n.addProp(e.Animator.TYPE_NUMBER,this._contentPane,this._contentPane.getTranslateX,this._contentPane.setTranslateX,-r):this.getDiscloseDirection()==e.PanelDrawer.DIR_RIGHT&&(n.addProp(e.Animator.TYPE_NUMBER,this._contentPane,this._contentPane.getTranslateX,this._contentPane.setTranslateX,r),n.addProp(e.Animator.TYPE_NUMBER,this._expandedBorder,this._expandedBorder.getTranslateX,this._expandedBorder.setTranslateX,r),n.addProp(e.Animator.TYPE_NUMBER,this._expandedBorderResizable,this._expandedBorderResizable.getTranslateX,this._expandedBorderResizable.setTranslateX,r),n.addProp(e.Animator.TYPE_NUMBER,this._expandedContent,this._expandedContent.getTranslateX,this._expandedContent.setTranslateX,-r)),this.getDockSide()==e.PanelDrawer.DOCK_BOTTOM&&(n.addProp(e.Animator.TYPE_NUMBER,this._expandedBorder,this._expandedBorder.getTranslateY,this._expandedBorder.setTranslateY,i),n.addProp(e.Animator.TYPE_NUMBER,this._expandedBorderResizable,this._expandedBorderResizable.getTranslateY,this._expandedBorderResizable.setTranslateY,i),n.addProp(e.Animator.TYPE_NUMBER,this._expandedContent,this._expandedContent.getTranslateY,this._expandedContent.setTranslateY,-i))):(this._expandedContent.setWidth(d),this._expandedContent.setHeight(i),this.getDiscloseDirection()==e.PanelDrawer.DIR_RIGHT&&(this._expandedContent.setTranslateX(-r),this._expandedBorder.setTranslateX(r),this._expandedBorderResizable.setTranslateX(r)),this.getDockSide()==e.PanelDrawer.DOCK_BOTTOM&&(this._expandedContent.setTranslateY(-i),this._expandedBorder.setTranslateY(i),this._expandedBorderResizable.setTranslateY(i)),this._setContentClipPath(l));var _,h=this.GetTab(t),p=r;if(this.getDiscloseDirection()==e.PanelDrawer.DIR_RIGHT&&(p=-r),this.getDockSide()==e.PanelDrawer.DOCK_TOP)if(h){_=["M",0,0,"L",0,h.getTranslateY(),"M",0,h.getTranslateY()+e.PanelDrawer._TAB_SIZE];var u=this._panelOrder[this._panelOrder.length-1],c=this.GetTab(u);_.push("L",0,c.getTranslateY()+e.PanelDrawer._TAB_SIZE),this._expandedBorder.setCommandsArray(_),p*=e.PanelDrawer._BOUNCE_WIDTH_FACTOR,_=["M",0,c.getTranslateY()+e.PanelDrawer._TAB_SIZE,"L",0,i,"L",p,i]}else _=["M",0,0,"L",0,i,"L",p,i],this._expandedBorder.setCommandsArray(_);else if(this.getDockSide()==e.PanelDrawer.DOCK_BOTTOM)if(h){_=["M",0,0,"L",0,h.getTranslateY()+e.PanelDrawer._TAB_SIZE,"M",0,h.getTranslateY()];var E=this._panelOrder[0],g=this.GetTab(E);_.push("L",0,g.getTranslateY()),this._expandedBorder.setCommandsArray(_),p*=e.PanelDrawer._BOUNCE_WIDTH_FACTOR,_=["M",0,g.getTranslateY(),"L",0,-i,"L",p,-i]}else _=["M",0,0,"L",0,-i,"L",p,-i],this._expandedBorder.setCommandsArray(_);n?n.addProp(e.Animator.TYPE_PATH,this._expandedBorderResizable,this._expandedBorderResizable.getCommandsArray,this._expandedBorderResizable.setCommandsArray,_):this._expandedBorderResizable.setCommandsArray(_)},e.PanelDrawer.prototype._setContentClipPath=function(t){if(this._expandedContentPanel&&t){var n=new e.ClipPath("pdcp"+this._sid);n.addRect(t.x,t.y,t.w,t.h),this._expandedContentPanel.setClipPath(n)}this._contentClipPath=t},e.PanelDrawer.prototype._getContentClipPath=function(){return this._contentClipPath},e.PanelDrawer.prototype.GetExpandedContentWidth=function(e){var t=e+2*this.getContentPadding();return(this._minWidth||0==this._minWidth)&&t<this._minWidth&&(t=this._minWidth),this._maxWidth&&t>this._maxWidth&&(t=this._maxWidth),t},e.PanelDrawer.prototype.GetExpandedContentHeight=function(e){var t=e+2*this.getContentPadding();return(this._minHeight||0==this._minHeight)&&t<this._minHeight&&(t=this._minHeight),this._maxHeight&&t>this._maxHeight&&(t=this._maxHeight),t},e.PanelDrawer.prototype.ApplyFillAlpha=function(e){this._expandedContent&&((n=this._expandedContent.getFill().clone()).setAlpha(e),this._expandedContent.setFill(n));for(var t in this._tabs){var n,r=this._tabs[t];if(r)(n=r.getFill().clone()).setAlpha(e),r.setFill(n)}},e.PanelDrawer.prototype.ApplyStrokeAlpha=function(e){this._expandedBorder&&((n=this._expandedBorder.getStroke().clone()).setAlpha(e),this._expandedBorder.setStroke(n));this._expandedBorderResizable&&((n=this._expandedBorderResizable.getStroke().clone()).setAlpha(e),this._expandedBorderResizable.setStroke(n));for(var t in this._tabs){var n,r=this._tabs[t];if(r)(n=r.getStroke().clone()).setAlpha(e),r.setStroke(n)}},e.PanelDrawer.prototype.deEmphasizeStart=function(){for(var t in this.setMouseEnabled(!1),this.ApplyFillAlpha(e.PanelDrawer._BACKGROUND_ALPHA_DE_EMPHASIZED),this.ApplyStrokeAlpha(e.PanelDrawer._BORDER_ALPHA_DE_EMPHASIZED),this._expandedContentPanel&&this._expandedContentPanel.setAlpha(e.PanelDrawer._BACKGROUND_ALPHA_DE_EMPHASIZED),this._tabs){var n=this.GetIcon(t);n&&n.setAlpha(e.PanelDrawer._BACKGROUND_ALPHA_DE_EMPHASIZED)}},e.PanelDrawer.prototype.deEmphasizeEnd=function(){for(var t in this.setMouseEnabled(!0),this.ApplyFillAlpha(this._bgAlpha),this.ApplyStrokeAlpha(e.PanelDrawer._BORDER_ALPHA),this._expandedContentPanel&&this._expandedContentPanel.setAlpha(1),this._tabs){var n=this.GetIcon(t);n&&n.setAlpha(1)}this.HandleRollOut(null)},e.PanelDrawer.prototype.HandleRollOver=function(e){this.ApplyAlphasRollover()},e.PanelDrawer.prototype.HandleRollOut=function(e){this._bFocus||this.ApplyAlphasRollout()},e.PanelDrawer.prototype.ApplyAlphasRollover=function(){this.ApplyFillAlpha(e.PanelDrawer._BACKGROUND_ALPHA_ROLLOVER)},e.PanelDrawer.prototype.ApplyAlphasRollout=function(){this.ApplyFillAlpha(this._bgAlpha)},e.PanelDrawer.prototype.ChangeTabsState=function(){for(var t in this._tabs){var n=this._tabs[t];n&&(t==this.getDisplayedPanelId()&&this.isDisclosed()?(n.setSolidFill(this._bgColor,this._bgAlpha),n.setSolidStroke(this._borderColor,e.PanelDrawer._BORDER_ALPHA),n.setDisclosed(!0)):(n.setSolidFill(this._bgInactiveColor,this._bgAlpha),n.setSolidStroke(this._borderInactiveColor,e.PanelDrawer._BORDER_ALPHA),n.setDisclosed(!1)));var r=this.isDisclosed()&&t==this.getDisplayedPanelId(),i=this.GetIcon(t);i&&i.setToggled(r),r?this._activeContent.addChild(n):this._contentPane.addChildAt(n,0)}},e.PanelDrawer.prototype.setMaxContainerHeight=function(e){(!this._maxContainerHeight||this._maxContainerHeight<e)&&(this._maxContainerHeight=e)},e.PanelDrawer.prototype.getMaxContainerHeight=function(){return this.GetExpandedContentHeight(this._maxContainerHeight)},e.PanelDrawer.prototype.getDimensions=function(t){var n=e.PanelDrawer.superclass.getDimensions.call(this,t);return n.w/=e.PanelDrawer._BOUNCE_WIDTH_FACTOR,n},e.PanelDrawer.prototype.getEventManager=function(){return this._eventManager};var a=function(e,t,n,r){this.Init(e,t,n,r)};e.Obj.createSubclass(a,e.Path),a.prototype.Init=function(e,t,n,r){a.superclass.Init.call(this,e,t),this._panelDrawer=r,this._isDisclosed=!1,this._panelId=n},a.prototype.HandleKeyboardEvent=function(t){var n=t.keyCode;if(n==e.KeyboardEvent.ENTER||n==e.KeyboardEvent.SPACE){var r=this._panelDrawer.getEventManager(),i=this.localToStage(new e.Point(0,0)),a=e.DomEventFactory.generateMouseEventFromKeyboardEvent(t,this._context,e.MouseEvent.CLICK,this._context.getStage(),i.x,i.y);a.target=this,r.PreOnClick(a)}},a.prototype.isDisclosed=function(){return this._isDisclosed},a.prototype.setDisclosed=function(e){this._isDisclosed!=e?(this._isDisclosed=e,this.updateAccessibilityAttributes()):this._isDisclosed=e},a.prototype.getAriaLabel=function(){var t=[];return t.push(this.isDisclosed()?e.Bundle.getTranslatedString(e.Bundle.UTIL_PREFIX,"STATE_EXPANDED"):e.Bundle.getTranslatedString(e.Bundle.UTIL_PREFIX,"STATE_COLLAPSED")),e.Displayable.generateAriaLabel(this._panelDrawer.GetTooltip(this._panelId),t)},a.prototype.addAccessibilityAttributes=function(){this.setAriaRole("button"),e.Agent.deferAriaCreation()||this.setAriaProperty("label",this.getAriaLabel())},a.prototype.updateAccessibilityAttributes=function(){e.Agent.deferAriaCreation()||this.setAriaProperty("label",this.getAriaLabel())},a.prototype.getKeyboardBoundingBox=function(e){return this.getDimensions(e)},a.prototype.getTargetElem=function(){return this.getElem()},a.prototype.showKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!0,this._keyboardFocusEffect||this._createKeyboardFocusEffect(),this._keyboardFocusEffect.show(),this._context.setActiveElement(this)},a.prototype.hideKeyboardFocusEffect=function(){this._isShowingKeyboardFocusEffect=!1,this._keyboardFocusEffect||this._createKeyboardFocusEffect(),this._keyboardFocusEffect.hide()},a.prototype.isShowingKeyboardFocusEffect=function(){return this._isShowingKeyboardFocusEffect},a.prototype.getNextNavigable=function(e){return this._panelDrawer.getEventManager().getKeyboardHandler().getNextNavigable(this,e)},a.prototype._createKeyboardFocusEffect=function(){var t=this.getDimensions();this._keyboardFocusEffect=new e.KeyboardFocusEffect(this.getCtx(),this,new e.Rectangle(t.x+1,t.y+1,t.w-2,t.h-2),null,null,!0)};var s=function(e,t,n){this.Init(e,t,n)};e.Obj.createSubclass(s,e.EventManager),s.prototype.OnClick=function(e){var t=this.GetLogicalObject(this.GetCurrentTargetForEvent(e));s.superclass.OnClick.call(this,e),t&&(t.HandleClick&&t.HandleClick(e),e.stopPropagation())},s.prototype.OnDblClickInternal=function(e){var t=this.GetLogicalObject(this.GetCurrentTargetForEvent(e));t&&(t.isDoubleClickable&&t.isDoubleClickable()&&t.HandleDblClick&&t.HandleDblClick(e),e.stopPropagation())},s.prototype.OnRollOver=function(e){s.superclass.OnRollOver.call(this,e);var t=this.GetLogicalObject(this.GetCurrentTargetForEvent(e));t&&t.HandleRollOver&&t.HandleRollOver(e)},s.prototype.OnRollOut=function(e){s.superclass.OnRollOut.call(this,e);var t=this.GetLogicalObject(this.GetCurrentTargetForEvent(e));t&&t.HandleRollOut&&t.HandleRollOut(e)},s.prototype.OnComponentTouchClick=function(e){var t=this.GetLogicalObject(this.GetCurrentTargetForEvent(e));s.superclass.OnComponentTouchClick.call(this,e),t&&(t.HandleClick&&t.HandleClick(e),e.stopPropagation())};var o=function(e,t){this.Init(e,t)};e.Obj.createSubclass(o,e.KeyboardHandler),o.prototype.Init=function(e,t){o.superclass.Init.call(this,e),this._panelDrawer=t},o.prototype.processKeyDown=function(t){var n=t.keyCode,r=this._eventManager.getFocus();if(n==e.KeyboardEvent.TAB){var i=null;if(e.EventManager.consumeEvent(t),r)i=r;else{var a=this._panelDrawer.GetPanelIds();i=this._panelDrawer.GetTab(a[0])}return i}return n==e.KeyboardEvent.ENTER||n==e.KeyboardEvent.SPACE?(r.HandleKeyboardEvent(t),null):o.superclass.processKeyDown.call(this,t)},o.prototype.getNextNavigable=function(t,n){if(n.keyCode!=e.KeyboardEvent.DOWN_ARROW&&n.keyCode!=e.KeyboardEvent.UP_ARROW)return t;for(var r=t,i=n.keyCode==e.KeyboardEvent.DOWN_ARROW,a=this._panelDrawer.GetPanelIds(),s=-1,o=0;o<a.length;o++){var l=a[o];if(t==this._panelDrawer.GetTab(l)){s=i?o==a.length-1?-1:o+1:0==o?-1:o-1;break}}return s>=0&&(r=this._panelDrawer.GetTab(a[s])),r},e.Train=function(e,t,n,r,i,a){this.Init(e,t,n,r,i,a)},e.Obj.createSubclass(e.Train,e.Container),e.Train.TRAIN_EVENT="dvtTrain",e.Train.FILL_COLOR="#c0cbd5",e.Train.BORDER_COLOR="#5d7891",e.Train.SELECTED_FILL_COLOR="#61bde3",e.Train.SELECTED_BORDER_COLOR="#0066ff",e.Train.BUTTON_SIZE=8,e.Train.VPADDING=1,e.Train.HPADDING=3,e.Train.STATE_ENABLED=0,e.Train.STATE_HOVER=1,e.Train.STATE_SELECTED=2,e.Train.prototype.Init=function(t,n,r,i,a,s){e.Train.superclass.Init.call(this,t,null,a),this._tooltipManager=t.getTooltipManager(),this._labels=r,this._buttonStyles=i,this._count=r.length,this._buttons=new Array(this._count),this._selectedIndex=0,this._isAltaSkin=s,this.RenderSelf(n)},e.Train.prototype.setSelectedIndex=function(e){e>=0&&e<this._count&&this.SelectedIndexChanged(this._selectedIndex,e)},e.Train.prototype.getSelectedIndex=function(){return this._selectedIndex},e.Train.prototype.getButtons=function(){return this._buttons},e.Train.prototype.HandleClick=function(t){e.EventManager.consumeEvent(t);for(var n=0;n<this._buttons.length;n++){var r=t.target;if(this._buttons[n]===r||this._buttons[n]===r.getParent()){var i=this.getSelectedIndex();this.SelectedIndexChanged(i,n),i!=n&&this.fireTrainEvent();break}}},e.Train.prototype.SelectedIndexChanged=function(e,t){this._selectedIndex=t;var n=this._buttons[e];n&&(n.getOverState()&&n.getOverState().setCursor("pointer"),n.getDownState()&&n.getDownState().setCursor("pointer"),n.setToggled(!1)),(n=this._buttons[t])&&(n.getOverState()&&n.getOverState().setCursor("default"),n.getDownState()&&n.getDownState().setCursor("default"),n.setToggled(!0))},e.Train.prototype.addTrainEventListener=function(t,n){this.addEvtListener(e.Train.TRAIN_EVENT,t,!1,n)},e.Train.prototype.removeTrainEventListener=function(t,n){this.removeEvtListener(e.Train.TRAIN_EVENT,t,!1,n)},e.Train.prototype.fireTrainEvent=function(){var e=new l(this._selectedIndex);this.FireListener(e,!1)},e.Train.prototype.RenderSelf=function(t){for(var n=e.Agent.isRightToLeft(this.getCtx()),r=this._getButtonSize(),i=0;i<this._count;i++){var a,s=i==this._selectedIndex;a=this.CreateButton(r,s,this._labels[i]),this.addButtonListeners(a);var o=i;n&&(o=this._count-1-i),t&&t.associate(a,a);var l=this._isAltaSkin?0:e.Train.VPADDING;a.setTranslate(o*(r+e.Train.HPADDING),l),this.addChild(a),this._buttons[i]=a}},e.Train.prototype.DrawButtonState=function(t,n){var r,i,a,s;n?(s=0,a=e.Train.SELECTED_FILL_COLOR,i=e.Train.SELECTED_BORDER_COLOR,this._buttonStyles&&(r=this._buttonStyles[e.Train.STATE_SELECTED])):(s=1,a=e.Train.FILL_COLOR,i=e.Train.BORDER_COLOR,this._buttonStyles&&(r=this._buttonStyles[e.Train.STATE_ENABLED])),r&&(r.getStyle(e.CSSStyle.BORDER_COLOR)&&(i=r.getStyle(e.CSSStyle.BORDER_COLOR)),r.getStyle(e.CSSStyle.BACKGROUND_COLOR)&&(a=r.getStyle(e.CSSStyle.BACKGROUND_COLOR)));var o=new e.Rect(this.getCtx(),s,s,t-2*s,t-2*s);return o.setSolidFill(a),o.setSolidStroke(i),o},e.Train.prototype.addButtonListeners=function(t){t.addEvtListener(e.TouchEvent.TOUCHSTART,this.HandleClick,!1,this),e.Agent.isTouchDevice()||t.addEvtListener(e.MouseEvent.CLICK,this.HandleClick,!1,this)},e.Train.prototype.removeButtonListeners=function(t){t.removeEvtListener(e.TouchEvent.TOUCHSTART,this.HandleClick,!1,this),e.Agent.isTouchDevice()||t.removeEvtListener(e.MouseEvent.CLICK,this.HandleClick,!1,this)},e.Train.prototype._getButtonSize=function(){if(!this._buttonSize){if(this._buttonStyles){var t=this._buttonStyles[0];t&&(this._buttonSize=e.CSSStyle.toNumber(t.getWidth()))}this._buttonSize||(this._buttonSize=e.Train.BUTTON_SIZE)}return this._buttonSize},e.Train.prototype.CreateButtonState=function(t,n){return new e.Image(this.getCtx(),t,0,0,n,n)},e.Train.prototype.MakeButtonState=function(t,n,r){var i=this._buttonStyles?this._buttonStyles[n]:null,a=i?i.getIconUrl():null,s=a?this.CreateButtonState(a,t):this.DrawButtonState(t,n==e.Train.STATE_SELECTED);return s.setCursor(n==e.Train.STATE_ENABLED||r?"default":"pointer"),s},e.Train.prototype.CreateButton=function(t,n,r){var i=new e.Button(this.getCtx(),this.MakeButtonState(t,e.Train.STATE_ENABLED,n),this.MakeButtonState(t,e.Train.STATE_HOVER,n),this.MakeButtonState(t,e.Train.STATE_SELECTED,n),null);return i.setTooltip(r),i.setToggleEnabled(!0),n&&i.setToggled(n),i};var l=function(e){this.Init(l.TYPE),this.type=this.getType(),this._index=e};e.Obj.createSubclass(l,e.BaseComponentEvent),l.TYPE="dvtTrain",l.prototype.getIndex=function(){return this._index},e.OverviewWindow=function(e,t,n,r,i,a){this.Init(e,t,n,r,i,a)},e.Obj.createSubclass(e.OverviewWindow,e.Container),e.OverviewWindow.VIEWPORT_BG_COLOR="viewport-bg-color",e.OverviewWindow.VIEWPORT_BORDER_COLOR="viewport-border-color",e.OverviewWindow.OVERVIEW_DISCLOSED_KEY="isOverviewDisclosed",e.OverviewWindow.prototype.Init=function(t,n,r,i,a,s){e.OverviewWindow.superclass.Init.call(this,t,null,n),this._x=r,this._y=i,this._ww=a,this._hh=s,this._skinStyle=null},e.OverviewWindow.prototype.render=function(){this._md=!1,this._panEnable=!0,this._overview&&(e.Agent.isTouchDevice()?(this._overview.removeEvtListener(e.TouchEvent.TOUCHSTART,this._mouseDown,!1,this),this._overview.removeEvtListener(e.TouchEvent.TOUCHMOVE,this._mouseMove,!1,this),this._overview.removeEvtListener(e.TouchEvent.TOUCHEND,this._mouseUp,!1,this)):(this._overview.removeEvtListener(e.MouseEvent.MOUSEDOWN,this._mouseDown,!1,this),this._overview.removeEvtListener(e.MouseEvent.MOUSEMOVE,this._mouseMove,!1,this),this._overview.removeEvtListener(e.MouseEvent.MOUSEUP,this._mouseUp,!1,this),this._overview.removeEvtListener(e.MouseEvent.MOUSEOUT,this._mouseOut,!1,this)),this._overview.setClipPath(null)),this.removeChildren(),this._viewport=null,this._overview=null;var t=new e.ClipPath(this.getId());t.addRect(0,0,this._ww,this._hh),this._overview=new e.Rect(this._context,0,0,this._ww,this._hh),this._overview.setClipPath(t),this._overview.setInvisibleFill(),this.addChild(this._overview),this._viewport=new e.Rect(this._context,0,0,0,0,this.getId()+":viewport");var n=this.getSkinStyleAttr(e.OverviewWindow.VIEWPORT_BG_COLOR),r=this.getSkinStyleAttr(e.OverviewWindow.VIEWPORT_BORDER_COLOR);this._viewport.setSolidStroke(r,null,2),this._viewport.setSolidFill(n),this._viewport.setMouseEnabled(!1),this._overview.addChild(this._viewport),e.Agent.isTouchDevice()?(this._overview.addEvtListener(e.TouchEvent.TOUCHSTART,this._mouseDown,!1,this),this._overview.addEvtListener(e.TouchEvent.TOUCHMOVE,this._mouseMove,!1,this),this._overview.addEvtListener(e.TouchEvent.TOUCHEND,this._mouseUp,!1,this)):(this._overview.addEvtListener(e.MouseEvent.MOUSEDOWN,this._mouseDown,!1,this),this._overview.addEvtListener(e.MouseEvent.MOUSEMOVE,this._mouseMove,!1,this),this._overview.addEvtListener(e.MouseEvent.MOUSEUP,this._mouseUp,!1,this),this._overview.addEvtListener(e.MouseEvent.MOUSEOUT,this._mouseOut,!1,this))},e.OverviewWindow.prototype.loadXmlNode=function(e){this._isDisclosed="true"==e.getAttr("disclosed")},e.OverviewWindow.prototype.isDisclosed=function(){return this._isDisclosed},e.OverviewWindow.prototype.setDisclosed=function(e){this._isDisclosed=e},e.OverviewWindow.prototype.getContentAreaWidth=function(){return this.getContentDimensions().w},e.OverviewWindow.prototype.getContentAreaHeight=function(){return this.getContentDimensions().h},e.OverviewWindow.prototype.getContentDimensions=function(){return new e.Rectangle(this._x,this._y,this._ww,this._hh)},e.OverviewWindow.prototype.setViewportDimensions=function(t,n){var r=this.TransformFromContentToViewportCoords(t.x,t.y,n),i=this.TransformFromContentToViewportCoords(t.x+t.w,t.y+t.h,n),a=r.x,s=r.y,o=i.x-r.x,l=i.y-r.y;n?(n.addProp(e.Animator.TYPE_NUMBER,this._viewport,this._viewport.getX,this._viewport.setX,a),n.addProp(e.Animator.TYPE_NUMBER,this._viewport,this._viewport.getY,this._viewport.setY,s),n.addProp(e.Animator.TYPE_NUMBER,this._viewport,this._viewport.getWidth,this._viewport.setWidth,o),n.addProp(e.Animator.TYPE_NUMBER,this._viewport,this._viewport.getHeight,this._viewport.setHeight,l)):(this._viewport.setX(a),this._viewport.setY(s),this._viewport.setWidth(o),this._viewport.setHeight(l))},e.OverviewWindow.prototype.getViewportDimensions=function(){var t=this.TransformFromViewportToContentCoords(this._viewport.getX(),this._viewport.getY()),n=this.TransformFromViewportToContentCoords(this._viewport.getX()+this._viewport.getWidth(),this._viewport.getY()+this._viewport.getHeight());return new e.Rectangle(t.x,t.y,n.x-t.x,n.y-t.y)},e.OverviewWindow.prototype.setPanEnabled=function(e){this._panEnable=e},e.OverviewWindow.prototype.isPanEnabled=function(){return this._panEnable},e.OverviewWindow.prototype.setContent=function(e){var t=this.getViewportDimensions();this._content&&this._overview.removeChild(this._content),this._content=e,this._overview.addChildAt(e,0),this.setViewportDimensions(t)},e.OverviewWindow.prototype._mouseDown=function(t){if(!this._md&&this._panEnable){this._md=!0;var n=this._getRelativePosition(t),r=new e.ViewportChangeEvent(this.getViewportDimensions(),this._getCenteredViewportDimensions(n),t);this.FireListener(r)}},e.OverviewWindow.prototype._mouseMove=function(t){if(this._md&&this._panEnable){var n=this._getRelativePosition(t),r=new e.ViewportChangeEvent(this.getViewportDimensions(),this._getCenteredViewportDimensions(n),t);this.FireListener(r)}},e.OverviewWindow.prototype._mouseUp=function(e){this._md&&this._panEnable&&(this._md=!1)},e.OverviewWindow.prototype._mouseOut=function(e){this._mouseUp(e)},e.OverviewWindow.prototype._getRelativePosition=function(t){var n,r;if(e.Agent.isTouchDevice()){var i=t.touches;i.length>0&&(n=i[0].pageX,r=i[0].pageY)}else n=t.pageX,r=t.pageY;return this._context.pageToStageCoords(n,r)},e.OverviewWindow.prototype.TransformFromViewportToContentCoords=function(t,n){var r=0,i=0,a=1,s=1;this._content&&(r=this._content.getTranslateX(),i=this._content.getTranslateY(),a=this._content.getScaleX(),s=this._content.getScaleY());var o=(t-r)/a,l=(n-i)/s;return new e.Point(o,l)},e.OverviewWindow.prototype.TransformFromContentToViewportCoords=function(t,n,r){var i=0,a=0,s=1,o=1;this._content&&(i=r?r.getDestVal(this._content,this._content.getTranslateX,!0):this._content.getTranslateX(),a=r?r.getDestVal(this._content,this._content.getTranslateY,!0):this._content.getTranslateY(),s=r?r.getDestVal(this._content,this._content.getScaleX,!0):this._content.getScaleX(),o=r?r.getDestVal(this._content,this._content.getScaleY,!0):this._content.getScaleY());var l=t*s+i,d=n*o+a;return new e.Point(l,d)},e.OverviewWindow.prototype.getSkinStyle=function(){return this._skinStyle},e.OverviewWindow.prototype.setSkinStyle=function(e){this._skinStyle=e},e.OverviewWindow.prototype.getSkinStyleAttr=function(e){return this._skinStyle&&"undefined"!=this._skinStyle[e]?this._skinStyle[e]:null},e.OverviewWindow.prototype._getCenteredViewportDimensions=function(t){var n=this._overview.localToStage(new e.Point(0,0)),r=this._viewport.getDimensions(),i=t.x-n.x-r.w/2,a=t.y-n.y-r.h/2,s=this.TransformFromViewportToContentCoords(i,a),o=this.TransformFromViewportToContentCoords(i+r.w,a+r.h);return new e.Rectangle(s.x,s.y,o.x-s.x,o.y-s.y)},e.OverviewWindow.prototype.SetViewportRectangle=function(e){this._viewport.setX(e.x),this._viewport.setY(e.y),this._viewport.setWidth(e.w),this._viewport.setHeight(e.h)},e.OverviewWindow.prototype.GetViewportRectangle=function(){return new e.Rectangle(this._viewport.getX(),this._viewport.getY(),this._viewport.getWidth(),this._viewport.getHeight())},e.OverviewWindow.prototype.getDimensions=function(t){var n=new e.Rectangle(0,0,this._ww,this._hh);return t&&t!==this?this.ConvertCoordSpaceRect(n,t):n},e.OverviewWindow.prototype.getDimensionsWithStroke=function(e){return this.getDimensions(e)},e.Bundle.addDefaultStrings(e.Bundle.SUBCOMPONENT_PREFIX,{CONTROL_PANEL:"Control Panel",CONTROL_PANEL_ZOOMANDCENTER:"Zoom and Center",CONTROL_PANEL_PAN:"Pan",CONTROL_PANEL_LAYOUT:"Layout",CONTROL_PANEL_LAYOUT_VERT_TOP:"Vertical, Top Down",CONTROL_PANEL_LAYOUT_VERT_BOTTOM:"Vertical, Bottom Up",CONTROL_PANEL_LAYOUT_HORIZ_START:"Horizontal, Start-to-End",CONTROL_PANEL_LAYOUT_HORIZ_LEFT:"Horizontal, Left-to-Right",CONTROL_PANEL_LAYOUT_HORIZ_RIGHT:"Horizontal, Right-to-Left",CONTROL_PANEL_LAYOUT_RADIAL:"Radial",CONTROL_PANEL_LAYOUT_TREE:"Tree",CONTROL_PANEL_LAYOUT_CIRCLE:"Circle",CONTROL_PANEL_SYNC:"View",CONTROL_PANEL_ZOOMTOFIT:"Zoom to Fit",CONTROL_PANEL_ZOOMIN:"Zoom In",CONTROL_PANEL_ZOOMOUT:"Zoom Out",CONTROL_PANEL_RESET:"Reset Map",CONTROL_PANEL_DRILLUP:"Drill Up",CONTROL_PANEL_DRILLDOWN:"Drill Down",LEGEND:"Legend",OVERVIEW:"Overview",PALETTE:"Palette",SEARCH:"Search",SEARCH_TEXT:"Search",SEARCH_TEXT_ALTA:"Find",SEARCH_RESULTS:"Search Results [{0}]",SEARCH_RESULTS_ALTA:"{0} Results",SEARCH_RESULTS_CLOSE:"Close",SEARCH_RESULTS_NO_DATA:"No results to display"})}(dvt);
  return dvt;
});
