/**
 * Copyright (c) 2014, 2016, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";
define(['./DvtToolkit'], function(dvt) {
  // Internal use only.  All APIs and functionality are subject to change at any time.

!function(t){t.TimeAxis=function(t,e,s){this.Init(t,e,s)},t.Obj.createSubclass(t.TimeAxis,t.BaseComponent),t.TimeAxis.ORIENTATION_VERTICAL="vertical",t.TimeAxis.supportsTouch=function(){return t.Agent.isTouchDevice()},t.TimeAxis.getDatePosition=function(t,e,s,i){var r=(s-t)*i,n=e-t;return 0==r||0==n?0:r/n},t.TimeAxis.getPositionDate=function(t,e,s,i){var r=s*(e-t);return 0==r||0==i?t:r/i+t},t.TimeAxis.newInstance=function(e,s,i){return new t.TimeAxis(e,s,i)},t.TimeAxis._VALID_SCALES=["seconds","minutes","hours","days","weeks","months","quarters","years"],t.TimeAxis.prototype.Init=function(i,r,n){t.TimeAxis.superclass.Init.call(this,i,r,n),this._calendar=new e,this._borderWidth=o.DEFAULT_BORDER_WIDTH,this.setBorderVisibility(!1,!1,!1,!1),this._dateToIsoWithTimeZoneConverter=i.getLocaleHelpers().dateToIsoWithTimeZoneConverter,this._dateFormatStrings={dayNames:[t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_SHORT_SUNDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_SHORT_MONDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_SHORT_TUESDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_SHORT_WEDNESDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_SHORT_THURSDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_SHORT_FRIDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_SHORT_SATURDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_SUNDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_MONDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_TUESDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_WEDNESDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_THURSDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_FRIDAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"DAY_SATURDAY",null)],monthNames:[t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SHORT_JANUARY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SHORT_FEBRUARY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SHORT_MARCH",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SHORT_APRIL",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SHORT_MAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SHORT_JUNE",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SHORT_JULY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SHORT_AUGUST",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SHORT_SEPTEMBER",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SHORT_OCTOBER",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SHORT_NOVEMBER",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SHORT_DECEMBER",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_JANUARY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_FEBRUARY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_MARCH",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_APRIL",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_MAY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_JUNE",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_JULY",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_AUGUST",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_SEPTEMBER",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_OCTOBER",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_NOVEMBER",null),t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"MONTH_DECEMBER",null)]},this.Defaults=new s},t.TimeAxis.prototype.SetOptions=function(t){this.Options=this.Defaults.calcOptions(t)},t.TimeAxis.prototype.Parse=function(t){return this._parser=new r,this._parser.parse(t)},t.TimeAxis.prototype._applyParsedProperties=function(e){var s=e.orientation;s&&s==t.TimeAxis.ORIENTATION_VERTICAL?this._isVertical=!0:this._isVertical=!1,this.setIsVertical(this._isVertical),this._shortDesc=e.shortDesc,this._zoomOrder=e.zoomOrder?e.zoomOrder.reverse():[e.scale],this._timeZoneOffsets=e.timeZoneOffsets,this._customTimeScales=e.customTimeScales,this._customFormatScales=e.customFormatScales,this._start=e.start,this._end=e.end,this._inlineStyle=e.inlineStyle,this._scale=e.scale,this._converter=e.converter,this.applyStyleValues()},t.TimeAxis.prototype.getDateFormatStrings=function(){return this._dateFormatStrings},t.TimeAxis.prototype.getContentLength=function(){return this._contentLength},t.TimeAxis.prototype.setContentLength=function(t,e){null==e&&(e=this._canvasLength),this._contentLength=e<t?t:e},t.TimeAxis.prototype.getAxisLength=function(){return this._axisLength},t.TimeAxis.prototype.isRTL=function(){return t.Agent.isRightToLeft(this.getCtx())},t.TimeAxis.prototype.isVertical=function(){return this._isVertical},t.TimeAxis.prototype.render=function(t,e,s){t&&(this.Width=e,this.Height=s,this._prepareCanvasViewport(),this.getPreferredLength(t,this._canvasLength)),this._handleResize(e,s),this.RenderComplete()},t.TimeAxis.prototype.getPreferredLength=function(t,e){this.SetOptions(t),this._resources=this.Options._resources,null==this._resources&&(this._resources=[]),this._locale=this.Options._locale?this.Options._locale:"en-US";var s=this._resources.firstDayOfWeek;null==s&&(s=0),this._calendar.setFirstDayOfWeek(s),this._dateToIsoWithTimeZoneConverter||(this._dateToIsoWithTimeZoneConverter=this.getCtx().getLocaleHelpers().dateToIsoWithTimeZoneConverter);var i=this.Parse(this.Options);return this._applyParsedProperties(i),this.hasValidOptions()&&this.prepareTimeAxisZoomLevelIntervals(this._start,this._end,e),this._contentLength},t.TimeAxis.prototype.hasValidOptions=function(){var e=this._scale&&-1!=t.ArrayUtils.getIndex(t.TimeAxis._VALID_SCALES,this._scale),s=this._scale&&this._customTimeScales&&this._customTimeScales[this._scale],i=this._start&&this._end&&this._end>this._start;return(e||s)&&i},t.TimeAxis.prototype.GetComponentDescription=function(){return this._shortDesc?this._shortDesc:t.Bundle.getTranslatedString(t.Bundle.UTIL_PREFIX,"TIMEAXIS")},t.TimeAxis.prototype.applyStyleValues=function(){this._axisStyle=new t.CSSStyle(o.getAxisStyle(this.Options)),this._axisStyle.parseInlineStyle(this._inlineStyle);var e=this._axisStyle.getBorderWidth(),s="border:"+2*e+"px;";this._axisStyle.parseInlineStyle(s),this.setBorderWidth(e)},t.TimeAxis.prototype._prepareCanvasViewport=function(){this._isVertical?(this._canvasLength=this.Height,this._canvasSize=this.Width):(this._canvasLength=this.Width,this._canvasSize=this.Height)},t.TimeAxis.prototype._setAxisDimensions=function(){null!==this._canvasSize&&this.setContentSize(this._canvasSize-this.getSizeBorderWidth()),this._axisLength=this._contentLength+this.getSizeBorderWidth()-o.DEFAULT_SEPARATOR_WIDTH},t.TimeAxis.prototype._updateDimensions=function(t,e){this.Width=t,this.Height=e,this._prepareCanvasViewport(),this.setContentLength(this._canvasLength),this._setAxisDimensions()},t.TimeAxis.prototype._handleResize=function(t,e){this._updateDimensions(t,e),n.renderTimeAxis(this)},t.TimeAxis.prototype.prepareTimeAxisZoomLevelIntervals=function(t,e,s){this.setConverter(this._converter),this.setType("short",this._dateFormatStrings),this._dates=[],this._labels=[],this._zoomLevelLengths=[],this._isVertical?this.setDefaultConverter(this._resources.converterVert):this.setDefaultConverter(this._resources.converter),this._timeZoneOffsets&&this.setTimeZoneOffsets(this._timeZoneOffsets);for(var i=this._scale,r=0;r<this._zoomOrder.length;r++){var n=this._zoomOrder[r],o=this._prepareScaleDatesLabels(n,i,t,e);this._prepareZoomLevelLengths(r,n,t,e,o,s)}this.setScale(i)},t.TimeAxis.prototype._prepareScaleDatesLabels=function(e,s,i,r){this.setScale(e);var n,a,l=1/0,h=0;if(this._customTimeScales&&this._customTimeScales[e]){var u=this._customTimeScales[e];n=u.times,a=u.labels}else if(this._customFormatScales&&this._customFormatScales[e]){var _=this._customFormatScales[e];n=_.times,a=_.labels}else{n=[],a=[];var d=this.adjustDate(i).getTime();for(n.push(d);d<r;)a.push(this.formatDate(new Date(d))),d=this.getNextDate(d).getTime(),n.push(d)}for(var c=[],m=0;m<a.length;m++){d=n[m];var g=new t.OutputText(this.getCtx(),a[m],0,0,"s_label"+d);g.setCSSStyle(o.getAxisLabelStyle(this.Options)),g.time=d;var T=n[m+1],p=g.getDimensions();if(this._isVertical)var f=p.h,S=p.w,A=o.DEFAULT_INTERVAL_HEIGHT;else f=p.w,S=p.h,A=o.DEFAULT_INTERVAL_WIDTH;var x=(T-d)/Math.max(A,f+2*o.DEFAULT_INTERVAL_PADDING);x<l&&(l=x),S>h&&(h=S),c.push(g)}return this.setContentSize(h+2*o.DEFAULT_INTERVAL_PADDING),this._dates.push(n),this._labels.push(c),this.setScale(s),l},t.TimeAxis.prototype._prepareZoomLevelLengths=function(t,e,s,i,r,n){if(null!==this._canvasSize)var o=n;else o=(i-s)/r;this._zoomLevelLengths.push(o),e==this._scale&&(this._zoomLevelOrder=t,this.setContentLength(o,n)),0==t&&(this._maxContentLength=this._labels[this._labels.length-1].length*n)},t.TimeAxis.prototype.setScale=function(t){this._scale=t},t.TimeAxis.prototype.getScale=function(){return this._scale},t.TimeAxis.prototype.setTimeZoneOffsets=function(t){this._timeZoneOffsets=t},t.TimeAxis.prototype.increaseScale=function(){for(var t=0;t<this._zoomOrder.length-1;t++)if(this._zoomOrder[t]==this._scale)return this._scale=this._zoomOrder[t+1],!0;return!1},t.TimeAxis.prototype.decreaseScale=function(){for(var t=1;t<this._zoomOrder.length;t++)if(this._zoomOrder[t]==this._scale)return this._scale=this._zoomOrder[t-1],!0;return!1},t.TimeAxis.prototype.setConverter=function(t){this._converter=t},t.TimeAxis.prototype.setDefaultConverter=function(t){this._defaultConverter=t},t.TimeAxis.prototype.getContentSize=function(){return this._contentSize},t.TimeAxis.prototype.setContentSize=function(t){t>this._contentSize&&(this._contentSize=t)},t.TimeAxis.prototype.getTimeAxisWidth=function(){return null==this._timeAxisWidth&&(this._timeAxisWidth=30),this._timeAxisWidth},t.TimeAxis.prototype.setBorderWidth=function(t){this._borderWidth=t},t.TimeAxis.prototype.setBorderVisibility=function(t,e,s,i){this._borderTopWidth=(0|t)*this._borderWidth,this._borderRightWidth=(0|e)*this._borderWidth,this._borderBottomWidth=(0|s)*this._borderWidth,this._borderLeftWidth=(0|i)*this._borderWidth},t.TimeAxis.prototype.calcStrokeDashArray=function(){if(this._isVertical)var t={top:this.getSize(),right:this.getAxisLength(),bottom:this.getSize(),left:this.getAxisLength()};else t={top:this.getAxisLength(),right:this.getSize(),bottom:this.getAxisLength(),left:this.getSize()};for(var e=[],s=0,i=1,r=["top","right","bottom","left"],n=0;n<r.length;n++){this.getBorderWidth(r[n])>0==i?s+=t[r[n]]:(e.push(s),s=t[r[n]],i=Math.abs(i-1))}return e.push(s),e.toString()},t.TimeAxis.prototype.getSizeBorderWidth=function(){return this._borderTopWidth+this._borderBottomWidth},t.TimeAxis.prototype.getLengthBorderWidth=function(){return this._borderRightWidth+this._borderLeftWidth},t.TimeAxis.prototype.getBorderWidth=function(t){switch(t){case"top":return this._borderTopWidth;case"right":return this._borderRightWidth;case"bottom":return this._borderBottomWidth;case"left":return this._borderLeftWidth;default:return this._borderWidth}},t.TimeAxis.prototype.getSize=function(){return this._contentSize+this.getSizeBorderWidth()},t.TimeAxis.prototype.setType=function(t,e){this._formatter=new i("short"==t?i.SHORT:i.LONG,e,this._locale)},t.TimeAxis.prototype.adjustDate=function(t){return this._calendar.adjustDate(new Date(t),this._scale)},t.TimeAxis.prototype.getNextDate=function(t){return this._calendar.getNextDate(t,this._scale)},t.TimeAxis.prototype.formatDate=function(t,e,s){var i,r=this.getScale();if("axis"==(s=s||"axis"))(e=e||this._converter)&&(e[r]?e=e[r]:e.default&&(e=e.default)),e&&(e.format||e.getAsString)||!this._defaultConverter||!this._defaultConverter[r]||(e=this._defaultConverter[r]);else if(!e){i="hours"==r||"minutes"==r||"seconds"==r?{formatType:"datetime",dateFormat:"medium",timeFormat:"medium"}:{formatType:"date",dateFormat:"medium"};var n=this._resources.converterFactory;if(!n){var o="toLocaleDateString",a={year:"numeric",month:"short",day:"numeric"};"hours"!=r&&"minutes"!=r&&"seconds"!=r||(o="toLocaleString",a={year:"numeric",month:"short",day:"numeric",hour:"numeric",minute:"numeric",second:"numeric"});try{return t[o](this._locale,a)}catch(e){if("RangeError"===e.name)return t[o]()}return t[o]()}e=n.createConverter(i)}if(e){if(e.format)return e.format(this._dateToIsoWithTimeZoneConverter?this._dateToIsoWithTimeZoneConverter(t):t);if(e.getAsString)return e.getAsString(t)}return this._formatter.format(t,r,this._timeZoneOffsets)},t.TimeAxis.prototype.getZoomOrder=function(){return this._zoomOrder},t.TimeAxis.prototype.setZoomOrder=function(t){this._zoomOrder=t},t.TimeAxis.prototype.setIsVertical=function(t){this._contentSize=t?o.DEFAULT_INTERVAL_WIDTH:o.DEFAULT_INTERVAL_HEIGHT},t.TimeAxis.prototype.setCanvasSize=function(t){this._canvasSize=t},t.TimeAxis.prototype.getZoomLevelLengths=function(){return this._zoomLevelLengths},t.TimeAxis.prototype.getMaxContentLength=function(){return this._maxContentLength},t.TimeAxis.prototype.getZoomLevelOrder=function(){return this._zoomLevelOrder},t.TimeAxis.prototype.setZoomLevelOrder=function(t){this._zoomLevelOrder=t};var e=function(t){this.Init(t)};t.Obj.createSubclass(e,t.Obj),e.prototype.Init=function(){this._dayInMillis=864e5,this._firstDayOfWeek=0},e.prototype.setFirstDayOfWeek=function(t){this._firstDayOfWeek=t},e.prototype.getFirstDayOfWeek=function(){return this._firstDayOfWeek},e.prototype.adjustDate=function(t,e){var s=new Date(t.getTime());if("weeks"==e){s.setHours(0,0,0);var i=(t.getDay()-this.getFirstDayOfWeek()+7)%7;i>0&&s.setTime(s.getTime()-i*this._dayInMillis)}else"months"==e?s.setDate(1):"days"==e?s.setHours(0,0,0):"hours"==e?s.setMinutes(0,0,0):"minutes"==e?s.setSeconds(0,0):"seconds"==e?s.setMilliseconds(0):"quarters"==e?(s.setDate(1),(i=2-(t.getMonth()+11)%3)>0&&s.setMonth(s.getMonth()+i)):"halfyears"==e?(s.setDate(1),(i=5-(t.getMonth()+11)%6)>0&&s.setMonth(s.getMonth()+i)):"years"==e?(s.setMonth(0),s.setDate(1)):"twoyears"==e&&(s.setMonth(0),s.setDate(1));return s},e.prototype.getNextDate=function(t,e){if("seconds"==e)return new Date(t+1e3);if("minutes"==e)return new Date(t+6e4);if("hours"==e)return new Date(t+36e5);var s=new Date(t);return"days"==e?s.setDate(s.getDate()+1):"weeks"==e?s.setDate(s.getDate()+7):"months"==e?s.setMonth(s.getMonth()+1):"quarters"==e?s.setMonth(s.getMonth()+3):"halfyears"==e?s.setMonth(s.getMonth()+6):"years"==e?s.setFullYear(s.getFullYear()+1):"twoyears"==e?s.setFullYear(s.getFullYear()+2):s.setYear(s.getYear()+1),s};var s=function(){this.Init({alta:s.VERSION_1})};t.Obj.createSubclass(s,t.BaseComponentDefaults,"DvtTimeAxisDefaults"),s.VERSION_1={backgroundColor:"rgba(255,255,255,0)",borderColor:"#d9dfe3",separatorColor:"#bcc7d2",labelStyle:new t.CSSStyle(t.BaseComponentDefaults.FONT_FAMILY_ALTA_12+"color: #333333;")};var i=function(t,e,s){this.Init(t,e,s)};t.Obj.createSubclass(i,t.Obj),i.LONG=0,i.SHORT=1,i.prototype.Init=function(t,e,s){this._type=t,this._dateFormatStrings=e,this._locale=s,this._formats=[],this._formats[0]=new Object,this._formats[0].seconds="HH:MM:ss",this._formats[0].minutes="HH:MM",this._formats[0].hours="HH:MM",this._formats[0].days="dddd",this._formats[0].weeks="m/dd",this._formats[0].months="mmmm",this._formats[0].quarters="mmmm",this._formats[0].halfyears="yyyy",this._formats[0].years="yyyy",this._formats[0].twoyears="yyyy",this._formats[1]=new Object,this._formats[1].seconds="HH:MM:ss",this._formats[1].minutes="HH:MM",this._formats[1].hours="HH:MM",this._formats[1].days="m/dd",this._formats[1].weeks="m/dd",this._formats[1].months="mmm",this._formats[1].quarters="mmm",this._formats[1].halfyears="yy",this._formats[1].years="yy",this._formats[1].twoyears="yy"},i.prototype.setPattern=function(t,e){this._formats[this._type][t]=e},i.prototype.format=function(t,e,s){var i=this._formats[this._type][e];if(null!=i){var r=!1;if(s){for(var n=t.getTime(),o=Object.keys(s),a=0,l=0;l<o.length;l++)n>=parseInt(o[l],10)&&(a=s[o[l]]);t=new Date(n+a),r=!0}if(-1!=i.indexOf(":"))var h=":";else-1!=i.indexOf("/")&&(h="/");if(h){i=i.split(h);var u=this.getDateFormatValue(t,i[0],r);for(l=1;l<i.length;l++)u+=h+this.getDateFormatValue(t,i[l],r);return u}return this.getDateFormatValue(t,i,r)}try{return t.toLocaleString(this._locale)}catch(e){if("RangeError"===e.name)return t.toLocaleString()}return t.toLocaleString()},i.prototype.getDateFormatValue=function(t,e,s){if(s)switch(e){case"ss":var i=t.getUTCSeconds();return i<10?"0"+i:i;case"HH":return(i=t.getUTCHours())<10?"0"+i:i;case"MM":return(i=t.getUTCMinutes())<10?"0"+i:i;case"dd":return(i=t.getUTCDate())<10?"0"+i:i;case"dddd":return this._dateFormatStrings.dayNames[t.getUTCDay()+7];case"m":return t.getUTCMonth()+1;case"mmm":return this._dateFormatStrings.monthNames[t.getUTCMonth()];case"mmmm":return this._dateFormatStrings.monthNames[t.getUTCMonth()+12];case"yy":return t.getUTCFullYear().toString().substring(2,4);default:return t.getUTCFullYear()}else switch(e){case"ss":return(i=t.getSeconds())<10?"0"+i:i;case"HH":return(i=t.getHours())<10?"0"+i:i;case"MM":return(i=t.getMinutes())<10?"0"+i:i;case"dd":return(i=t.getDate())<10?"0"+i:i;case"dddd":return this._dateFormatStrings.dayNames[t.getDay()+7];case"m":return t.getMonth()+1;case"mmm":return this._dateFormatStrings.monthNames[t.getMonth()];case"mmmm":return this._dateFormatStrings.monthNames[t.getMonth()+12];case"yy":return t.getFullYear().toString().substring(2,4);default:return t.getFullYear()}};var r=function(){};t.Obj.createSubclass(r,t.Obj,"DvtTimeAxisParser"),r.prototype.parse=function(t){this._startTime=new Date(t.start),this._endTime=new Date(t.end);var e=this.ParseRootAttributes();return e.inlineStyle=t.style,e.id=t.id,e.shortDesc=t.shortDesc,e.timeZoneOffsets=t._tzo,e.itemPosition=t._ip,e.customTimeScales=t._cts,e.customFormatScales=t._cfs,e.scale=t.scale,e.converter=t.converter,e.zoomOrder=t.zoomOrder?t.zoomOrder:null,e.orientation=t.orientation?t.orientation:"horizontal",e},r.prototype.ParseRootAttributes=function(){var t=new Object;return t.start=this._startTime.getTime(),t.end=this._endTime.getTime(),t};var n=new Object;t.Obj.createSubclass(n,t.Obj,"DvtTimeAxisRenderer"),n.renderTimeAxis=function(t){if(t.hasValidOptions()){var e=t.getSize();n._renderAxisBlock(t,0,e,o.getAxisSeparatorStyle(t.Options))}},n._renderAxisBlock=function(e,s,i,r){var a=e.getCtx();if(null==e._axis){var l=new t.ClipPath;e.isVertical()?(e._axis=new t.Rect(a,s,-e.getBorderWidth("top"),i,e.getAxisLength(),"axis"),l.addRect(s,0,i,e._contentLength)):(e._axis=new t.Rect(a,-e.getBorderWidth("left"),s,e.getAxisLength(),i,"axis"),l.addRect(0,s,e._contentLength,i)),e._axis.setCSSStyle(e._axisStyle),e._axis.setPixelHinting(!0),e._axis.setClipPath(l),e.addChild(e._axis);var h=o.getAxisClass(e.Options);h&&e._axis.getImpl().getElem().setAttribute("class",h)}else e._axis.setClipPath(null),l=new t.ClipPath,e.isVertical()?(e._axis.setX(s),e._axis.setY(-e.getBorderWidth("top")),e._axis.setWidth(i),e._axis.setHeight(e.getAxisLength()),l.addRect(s,0,i,e._contentLength)):(e._axis.setX(-e.getBorderWidth("left")),e._axis.setY(s),e._axis.setWidth(e.getAxisLength()),e._axis.setHeight(i),l.addRect(0,s,e._contentLength,i)),e._axis.setClipPath(l);e._axis.removeChildren(),e._axis.getImpl().getElem().setAttribute("stroke-dasharray",e.calcStrokeDashArray());r=new t.CSSStyle(r);e._separatorStroke=new t.SolidStroke(r.getStyle(t.CSSStyle.COLOR));i=e.getContentSize();var u=(s=s+e.isVertical()?e.getBorderWidth("left"):e.getBorderWidth("top"))+i;n._renderAxisTicksLabels(e,0,e._canvasSize,e._axis,e._contentLength,u,s,s)},n._renderAxisTicksLabels=function(e,s,i,r,a,l,h,u){var _=e.getCtx(),d=t.Agent.isRightToLeft(_),c=new t.Container(_,"block_"+s+"_"+i);c.startPos=s,c.endPos=i,r.addChild(c);for(var m=o.getAxisLabelClass(e.Options),g=o.getAxisSeparatorClass(e.Options),T=e.getContentSize(),p=e._dates[e._zoomLevelOrder],f=e._labels[e._zoomLevelOrder],S=0;S<p.length-1;S++){var A=p[S],x=p[S+1],y=f[S],L=t.TimeAxis.getDatePosition(e._start,e._end,A,a),I=t.TimeAxis.getDatePosition(e._start,e._end,x,a);if(0!=L){if(e.isVertical())var O=n._addTick(_,c,l,h,L,L,e._separatorStroke,"s_tick"+A,g);else O=d?n._addTick(_,c,a-L,a-L,l,h,e._separatorStroke,"s_tick"+A,g):n._addTick(_,c,L,L,l,h,e._separatorStroke,"s_tick"+A,g);O.time=A}y.isTruncated()&&y.setTextString(y.getUntruncatedTextString());var D=!1;if(e.isVertical())y.alignCenter(),n._addAxisLabel(c,y,u+(l-u)/2,L+(I-L)/2,l-u,I-L,m);else{if(0===S&&L<0){var v=y.getDimensions().w,R=I-Math.max(0,(I-L-v)/2);d||y.alignRight();var B=Math.max(0,R);D=!0}else S===p.length-2&&I>a?(v=y.getDimensions().w,R=a-L-Math.max(0,(I-L-v)/2),d&&y.alignRight(),B=Math.max(L,L+(I-L)/2-v/2)):(R=I-L,B=L+(I-L)/2,y.alignCenter());var E=u+(l-u)/2,C=d?a-B:B;n._addAxisLabel(c,y,C,E,R,T,m,D)}}},n._addAxisLabel=function(e,s,i,r,n,o,a,l){var h=t.TextUtils.fitText(s,n,o,e);if(l&&s.isTruncated()&&h){var u=s.getTextString(),_=s.getUntruncatedTextString();if(u!==_){var d=s.getTextString().length-1,c=_.length,m=Math.max(0,c-d),g=t.OutputText.ELLIPSIS+_.substring(m,c);s.setTextString(g)}}s.setX(i),t.TextUtils.centerTextVertically(s,r),a&&s.getImpl().getElem().setAttribute("class",a)},n._addTick=function(e,s,i,r,n,o,a,l,h){var u=new t.Line(e,i,n,r,o,l);return u.setStroke(a),u.setPixelHinting(!0),s.addChild(u),h&&u.getImpl().getElem().setAttribute("class",h),u};var o=new Object;t.Obj.createSubclass(o,t.Obj,"DvtTimeAxisStyleUtils"),o.DEFAULT_BORDER_WIDTH=1,o.DEFAULT_SEPARATOR_WIDTH=1,o.DEFAULT_INTERVAL_WIDTH=50,o.DEFAULT_INTERVAL_HEIGHT=21,o.DEFAULT_INTERVAL_PADDING=2,o.getAxisStyle=function(t){var e="",s=o.getBackgroudColor(t);return s&&(e=e+"background-color:"+s+";"),(s=o.getBorderColor(t))&&(e=e+"border-color:"+s+";"),(s=o.getBorderWidth())&&(e=e+"border-width:"+s+";"),e},o.getBackgroudColor=function(t){return t.backgroundColor},o.getBorderColor=function(t){return t.borderColor},o.getBorderWidth=function(){return o.DEFAULT_BORDER_WIDTH},o.getAxisLabelStyle=function(t){return t.labelStyle},o.getSeparatorColor=function(t){return t.separatorColor},o.getAxisSeparatorStyle=function(t){var e="",s=o.getSeparatorColor(t);return s&&(e=e+"color:"+s+";"),e},o.getAxisClass=function(t){return t._resources?t._resources.axisClass:void 0},o.getAxisBorderClass=function(t){return t._resources?t._resources.axisBorderClass:void 0},o.getAxisLabelClass=function(t){return t._resources?t._resources.axisLabelClass:void 0},o.getAxisSeparatorClass=function(t){return t._resources?t._resources.axisSeparatorClass:void 0},o.isBorderTopVisible=function(t){return!!t._resources&&t._resources.borderTopVisible},o.isBorderRightVisible=function(t){return!!t._resources&&t._resources.borderRightVisible},o.isBorderBottomVisible=function(t){return!!t._resources&&t._resources.borderBottomVisible},o.isBorderLeftVisible=function(t){return!!t._resources&&t._resources.borderLeftVisible},t.exportProperty(t,"TimeAxis",t.TimeAxis),t.exportProperty(t.TimeAxis,"newInstance",t.TimeAxis.newInstance),t.exportProperty(t.TimeAxis.prototype,"render",t.TimeAxis.prototype.render)}(dvt);
  return dvt;
});
