/**
 * @license
 * Copyright (c) 2014, 2018, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";define(["ojs/ojcore","jquery","ojs/ojcomponentcore","ojs/ojdvt-base","ojs/internal-deps/dvt/DvtChart"],function(e,t,n,r,i){e.__registerWidget("oj.ojChart",t.oj.dvtBaseComponent,{widgetEventPrefix:"oj",options:{data:null,selectInput:null,viewportChange:null,viewportChangeInput:null,drill:null},_CreateDvtComponent:function(e,t,n){return i.Chart.newInstance(e,t,n)},_ConvertLocatorToSubId:function(e){var t=e.subId;return"oj-chart-item"==t?t="dataItem["+e.seriesIndex+"]["+e.itemIndex+"]":"oj-chart-group"==t?t="group"+this._GetStringFromIndexPath(e.indexPath):"oj-chart-series"==t?t="series["+e.index+"]":"oj-chart-axis-title"==t?t=e.axis+":title":"oj-chart-reference-object"==t?t=e.axis+":referenceObject["+e.index+"]":"oj-legend-item"==t?(t="legend:section"+this._GetStringFromIndexPath(e.sectionIndexPath),t+=":item["+e.itemIndex+"]"):"oj-chart-tooltip"==t?t="tooltip":"oj-chart-pie-center-label"==t&&(t="pieCenterLabel"),t},_ProcessOptions:function(){this._super();var e=this.options.pieCenter;e&&e._renderer&&(e.renderer=this._GetTemplateRenderer(e._renderer,"center"));var t=this.options.selection;this._IsCustomElement()&&t&&"object"==typeof t[0]&&(this.options.selection=null)},_ConvertSubIdToLocator:function(e){var t={};if(0==e.indexOf("dataItem")){var n=this._GetIndexPath(e);t.subId="oj-chart-item",t.seriesIndex=n[0],t.itemIndex=n[1]}else if(0==e.indexOf("group"))t.subId="oj-chart-group",t.indexPath=this._GetIndexPath(e);else if(0==e.indexOf("series"))t.subId="oj-chart-series",t.index=this._GetFirstIndex(e);else if(e.indexOf("Axis:title")>0)t.subId="oj-chart-axis-title",t.axis=e.substring(0,e.indexOf(":"));else if(e.indexOf("Axis:referenceObject")>0)t.subId="oj-chart-reference-object",t.axis=e.substring(0,e.indexOf(":")),t.index=this._GetFirstIndex(e);else if(0==e.indexOf("legend")){if(e.indexOf(":item")>0){var r=e.indexOf(":item"),i=e.substring(0,r),o=e.substring(r);t.subId="oj-legend-item",t.sectionIndexPath=this._GetIndexPath(i),t.itemIndex=this._GetFirstIndex(o)}}else"tooltip"==e?t.subId="oj-chart-tooltip":"pieCenterLabel"==e&&(t.subId="oj-chart-pie-center-label");return t},_ProcessStyles:function(){if(this._super(),this.options.styleDefaults||(this.options.styleDefaults={}),!this.options.styleDefaults.colors){var t=new e.ColorAttributeGroupHandler;this.options.styleDefaults.colors=t.getValueRamp()}},_GetComponentRendererOptions:function(){return["tooltip/renderer","pieCenter/renderer"]},_GetComponentStyleClasses:function(){var e=this._super();return e.push("oj-chart"),e},_GetChildStyleClasses:function(){var e=this._super();return e["oj-chart-data-label"]={path:"styleDefaults/dataLabelStyle",property:"TEXT"},e["oj-chart-data-cursor-line"]={path:"styleDefaults/dataCursor/lineColor",property:"color"},e["oj-chart-stack-label"]={path:"styleDefaults/stackLabelStyle",property:"TEXT"},e["oj-chart-pie-center-label"]={path:"pieCenter/labelStyle",property:"TEXT"},e["oj-chart-slice-label"]={path:"styleDefaults/sliceLabelStyle",property:"TEXT"},e["oj-chart-stock-falling"]={path:"styleDefaults/stockFallingColor",property:"background-color"},e["oj-chart-stock-range"]={path:"styleDefaults/stockRangeColor",property:"background-color"},e["oj-chart-stock-rising"]={path:"styleDefaults/stockRisingColor",property:"background-color"},e["oj-chart-tooltip-label"]={path:"styleDefaults/tooltipLabelStyle",property:"TEXT"},e["oj-chart-xaxis-tick-label"]={path:"xAxis/tickLabel/style",property:"TEXT"},e["oj-chart-xaxis-title"]={path:"xAxis/titleStyle",property:"TEXT"},e["oj-chart-yaxis-tick-label"]={path:"yAxis/tickLabel/style",property:"TEXT"},e["oj-chart-yaxis-title"]={path:"yAxis/titleStyle",property:"TEXT"},e["oj-chart-y2axis-tick-label"]={path:"y2Axis/tickLabel/style",property:"TEXT"},e["oj-chart-y2axis-title"]={path:"y2Axis/titleStyle",property:"TEXT"},e["oj-legend"]={path:"legend/textStyle",property:"TEXT"},e["oj-legend-title"]={path:"legend/titleStyle",property:"TEXT"},e},_GetEventTypes:function(){return["drill","optionChange","selectInput","viewportChange","viewportChangeInput"]},_GetTranslationMap:function(){var e=this.options.translations,t=this._super();return t["DvtChartBundle.DEFAULT_GROUP_NAME"]=e.labelDefaultGroupName,t["DvtChartBundle.LABEL_SERIES"]=e.labelSeries,t["DvtChartBundle.LABEL_GROUP"]=e.labelGroup,t["DvtChartBundle.LABEL_VALUE"]=e.labelValue,t["DvtChartBundle.LABEL_TARGET_VALUE"]=e.labelTargetValue,t["DvtChartBundle.LABEL_X"]=e.labelX,t["DvtChartBundle.LABEL_Y"]=e.labelY,t["DvtChartBundle.LABEL_Z"]=e.labelZ,t["DvtChartBundle.LABEL_PERCENTAGE"]=e.labelPercentage,t["DvtChartBundle.LABEL_LOW"]=e.labelLow,t["DvtChartBundle.LABEL_HIGH"]=e.labelHigh,t["DvtChartBundle.LABEL_OPEN"]=e.labelOpen,t["DvtChartBundle.LABEL_CLOSE"]=e.labelClose,t["DvtChartBundle.LABEL_VOLUME"]=e.labelVolume,t["DvtChartBundle.LABEL_Q1"]=e.labelQ1,t["DvtChartBundle.LABEL_Q2"]=e.labelQ2,t["DvtChartBundle.LABEL_Q3"]=e.labelQ3,t["DvtChartBundle.LABEL_MIN"]=e.labelMin,t["DvtChartBundle.LABEL_MAX"]=e.labelMax,t["DvtChartBundle.LABEL_OTHER"]=e.labelOther,t["DvtChartBundle.PAN"]=e.tooltipPan,t["DvtChartBundle.MARQUEE_SELECT"]=e.tooltipSelect,t["DvtChartBundle.MARQUEE_ZOOM"]=e.tooltipZoom,t["DvtUtilBundle.CHART"]=e.componentName,t},_HandleEvent:function(e){var t=e.type;if("selection"===t){var n=e.selection;if(n){for(var r=[],i=[],o=0;o<n.length;o++){var a;a=this._IsCustomElement()?n[o].id:{id:n[o].id,series:n[o].series,group:n[o].group};var s={data:n[o].data,seriesData:n[o].seriesData,groupData:n[o].groupData};r.push(a),i.push(s)}var l={endGroup:e.endGroup,startGroup:e.startGroup,xMax:e.xMax,xMin:e.xMin,yMax:e.yMax,yMin:e.yMin,y2Max:e.y2Max,y2Min:e.y2Min,selectionData:i};this._IsCustomElement()||(l.component=e.component),e.complete?this._UserOptionChange("selection",r,l):(l.items=r,this._trigger("selectInput",null,l))}}else if("viewportChange"===t){var p={endGroup:e.endGroup,startGroup:e.startGroup,xMax:e.xMax,xMin:e.xMin,yMax:e.yMax,yMin:e.yMin};e.complete&&(this.options.xAxis||(this.options.xAxis={}),this.options.yAxis||(this.options.yAxis={}),this.options.xAxis.viewportStartGroup=null,this.options.xAxis.viewportEndGroup=null,null!=e.xMin&&null!=e.xMax&&(this.options.xAxis.viewportMin=e.xMin,this.options.xAxis.viewportMax=e.xMax),null!=e.yMin&&null!=e.yMax&&(this.options.yAxis.viewportMin=e.yMin,this.options.yAxis.viewportMax=e.yMax)),this._trigger(e.complete?"viewportChange":"viewportChangeInput",null,p)}else"drill"===t?this._trigger("drill",null,{id:e.id,series:e.series,group:e.group,data:e.data,seriesData:e.seriesData,groupData:e.groupData,component:e.component}):this._super(e)},_LoadResources:function(){null==this.options._resources&&(this.options._resources={});var t=this.options._resources;t.overviewGrippy=e.Config.getResourceUrl("resources/internal-deps/dvt/chart/drag_horizontal.png"),t.panCursorDown=e.Config.getResourceUrl("resources/internal-deps/dvt/chart/hand-closed.cur"),t.panCursorUp=e.Config.getResourceUrl("resources/internal-deps/dvt/chart/hand-open.cur"),t.panUp="oj-chart-pan-icon",t.panUpHover="oj-chart-pan-icon oj-hover",t.panDown="oj-chart-pan-icon oj-active",t.panDownHover="oj-chart-pan-icon oj-hover oj-active",t.selectUp="oj-chart-select-icon",t.selectUpHover="oj-chart-select-icon oj-hover",t.selectDown="oj-chart-select-icon oj-active",t.selectDownHover="oj-chart-select-icon oj-hover oj-active",t.zoomUp="oj-chart-zoom-icon",t.zoomUpHover="oj-chart-zoom-icon oj-hover",t.zoomDown="oj-chart-zoom-icon oj-active",t.zoomDownHover="oj-chart-zoom-icon oj-hover oj-active"},getTitle:function(){return this._component.getAutomation().getTitle()},getGroup:function(e){return this._component.getAutomation().getGroup(e)},getSeries:function(e){return this._component.getAutomation().getSeries(e)},getGroupCount:function(){return this._component.getAutomation().getGroupCount()},getSeriesCount:function(){return this._component.getAutomation().getSeriesCount()},getDataItem:function(e,t){return this._component.getAutomation().getDataItem(e,t)},getLegend:function(){return this._component.getAutomation().getLegend()},getPlotArea:function(){return this._component.getAutomation().getPlotArea()},getXAxis:function(){return this._component.getAutomation().getXAxis()},getYAxis:function(){return this._component.getAutomation().getYAxis()},getY2Axis:function(){return this._component.getAutomation().getY2Axis()},getValuesAt:function(e,t){return this._component.getValuesAt(e,t)},getContextByNode:function(e){var t=this.getSubIdByNode(e);return t&&"oj-chart-tooltip"!==t.subId?t:null},_GetComponentDeferredDataPaths:function(){return{root:["groups","series"],data:["groups","series"]}},_CompareOptionValues:function(t,n,r){return"dataCursorPosition"==t?e.Object.compareValues(n,r):this._super(t,n,r)}}),e.__registerWidget("oj.ojSparkChart",t.oj.dvtBaseComponent,{widgetEventPrefix:"oj",options:{data:null,items:null,referenceObjects:[],tooltip:{renderer:null},type:"line",color:"#267DB3",areaColor:"",areaSvgClassName:"",areaSvgStyle:{},svgClassName:"",svgStyle:{},firstColor:"",lastColor:"",highColor:"",lowColor:"",animationDuration:void 0,animationOnDataChange:"none",animationOnDisplay:"none",visualEffects:"auto",baselineScaling:"min",lineWidth:1,lineStyle:"solid",lineType:"straight",markerShape:"auto",markerSize:5,barGapRatio:.25},_CreateDvtComponent:function(e,t,n){return this._focusable({element:this.element,applyHighlight:!0}),i.SparkChart.newInstance(e,t,n)},_GetComponentStyleClasses:function(){var e=this._super();return e.push("oj-sparkchart"),e},_GetChildStyleClasses:function(){var e=this._super();return e["oj-dvtbase oj-sparkchart"]={path:"animationDuration",property:"ANIM_DUR"},e},_GetTranslationMap:function(){var e=this.options.translations,t=this._super();return t["DvtUtilBundle.CHART"]=e.componentName,t},_Render:function(){this.element.attr("title")?(this.options.shortDesc=this.element.attr("title"),this.element.data(this.element,"title",this.element.attr("title")),this.element.removeAttr("title")):this.element.data("title")&&(this.options.shortDesc=this.element.data("title")),this._super()},getDataItem:function(e){var t=this._component.getAutomation().getDataItem(e);return this._AddAutomationGetters(t),t&&(t.getFloatValue=t.getLow),t},_GetComponentDeferredDataPaths:function(){return{root:["items","data"]}},_AddAutomationGetters:function(e){if(e){var t={};for(var n in e)this._addGetter(e,n,t);Object.defineProperties(e,t)}},_addGetter:function(e,t,n){n[("selected"==t?"is":"get")+t.charAt(0).toUpperCase()+t.slice(1)]={value:function(){return e[t]}}}}),function(){e.CustomElementBridge.registerMetadata("oj-chart","dvtBaseComponent",{properties:{animationOnDataChange:{type:"string",enumValues:["auto","slideToLeft","slideToRight","none"]},animationOnDisplay:{type:"string",enumValues:["auto","alphaFade","zoom","none"]},coordinateSystem:{type:"string",enumValues:["polar","cartesian"]},dataCursor:{type:"string",enumValues:["on","off","auto"]},dataCursorBehavior:{type:"string",enumValues:["smooth","snap","auto"]},dataCursorPosition:{type:"object",properties:{x:{type:"number|string"},y:{type:"number"},y2:{type:"number"}},writeback:!0},dataLabel:{},dnd:{type:"object",properties:{drag:{type:"object",properties:{groups:{type:"object",properties:{dataTypes:{type:"Array<string>"},drag:{},dragEnd:{},dragStart:{}}},items:{type:"object",properties:{dataTypes:{type:"Array<string>"},drag:{},dragEnd:{},dragStart:{}}},series:{type:"object",properties:{dataTypes:{type:"Array<string>"},drag:{},dragEnd:{},dragStart:{}}}}},drop:{type:"object",properties:{legend:{type:"object",properties:{dataTypes:{type:"Array<string>"},dragEnter:{},dragLeave:{},dragOver:{},drop:{}}},plotArea:{type:"object",properties:{dataTypes:{type:"Array<string>"},dragEnter:{},dragLeave:{},dragOver:{},drop:{}}},xAxis:{type:"object",properties:{dataTypes:{type:"Array<string>"},dragEnter:{},dragLeave:{},dragOver:{},drop:{}}},y2Axis:{type:"object",properties:{dataTypes:{type:"Array<string>"},dragEnter:{},dragLeave:{},dragOver:{},drop:{}}},yAxis:{type:"object",properties:{dataTypes:{type:"Array<string>"},dragEnter:{},dragLeave:{},dragOver:{},drop:{}}}}}}},dragMode:{type:"string",enumValues:["pan","zoom","select","off","user"]},drilling:{type:"string",enumValues:["on","seriesOnly","groupsOnly","off"]},groups:{type:"Array<any>|Promise"},hiddenCategories:{type:"Array<string>",writeback:!0},hideAndShowBehavior:{type:"string",enumValues:["withRescale","withoutRescale","none"]},highlightedCategories:{type:"Array<string>",writeback:!0},highlightMatch:{type:"string",enumValues:["any","all"]},hoverBehavior:{type:"string",enumValues:["dim","none"]},initialZooming:{type:"string",enumValues:["first","last","none"]},legend:{type:"object",properties:{backgroundColor:{type:"string"},borderColor:{type:"string"},maxSize:{type:"string"},position:{type:"string",enumValues:["start","end","bottom","top","auto"]},referenceObjectSection:{type:"object",properties:{title:{type:"string"},titleHalign:{type:"string",enumValues:["center","end","start"]},titleStyle:{type:"object"}}},rendered:{type:"string",enumValues:["on","off","auto"]},scrolling:{type:"string",enumValues:["off","asNeeded"]},sections:{type:"Array<object>"},seriesSection:{type:"object",properties:{title:{type:"string"},titleHalign:{type:"string",enumValues:["center","end","start"]},titleStyle:{type:"object"}}},size:{type:"string"},symbolHeight:{type:"number"},symbolWidth:{type:"number"},textStyle:{type:"object"},title:{type:"string"},titleHalign:{type:"string"},titleStyle:{type:"object"}}},orientation:{type:"string",enumValues:["horizontal","vertical"]},otherThreshold:{type:"number"},overview:{type:"object",properties:{content:{type:"object"},height:{type:"string"},rendered:{type:"string",enumValues:["on","off"]}}},pieCenter:{type:"object",properties:{converter:{type:"object"},label:{type:"string"},labelStyle:{type:"object"},renderer:{},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]}}},pieCenterLabel:{type:"object",properties:{style:{type:"object"},text:{type:"string"}}},plotArea:{type:"object",properties:{backgroundColor:{type:"string"},borderColor:{type:"string"},borderWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off"]}}},polarGridShape:{type:"string",enumValues:["polygon","circle"]},selection:{type:"Array<string>",writeback:!0},selectionMode:{type:"string",enumValues:["single","multiple","none"]},series:{type:"Array<object>|Promise"},sorting:{type:"string",enumValues:["ascending","descending","off"]},splitDualY:{type:"string",enumValues:["on","off","auto"]},splitterPosition:{type:"number"},stack:{type:"string",enumValues:["on","off"]},stackLabel:{type:"string",enumValues:["on","off"]},styleDefaults:{type:"object",properties:{animationDownColor:{type:"string"},animationDuration:{type:"number"},animationIndicators:{type:"string",enumValues:["none","all"]},animationUpColor:{type:"string"},barGapRatio:{type:"number"},borderColor:{type:"string"},borderWidth:{type:"number"},boxPlot:{type:"object",properties:{medianSvgClassName:{type:"string"},medianSvgStyle:{type:"object"},whiskerSvgClassName:{type:"string"},whiskerEndSvgClassName:{type:"string"},whiskerEndLength:{type:"string"},whiskerEndSvgStyle:{type:"object"},whiskerSvgStyle:{type:"object"}}},colors:{type:"Array<string>"},dataCursor:{type:"object",properties:{lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},markerColor:{type:"string"},markerDisplayed:{type:"string",enumValues:["on","off"]},markerSize:{type:"number"}}},dataItemGaps:{type:"string"},dataLabelPosition:{type:"string|Array<string>",enumValues:["center","outsideSlice","aboveMarker","belowMarker","beforeMarker","afterMarker","insideBarEdge","outsideBarEdge","none","auto"]},dataLabelStyle:{type:"object|Array<object>"},funnelBackgroundColor:{type:"string"},groupSeparators:{type:"object",properties:{color:{type:"string"},rendered:{type:"string",enumValues:["auto","off"]}}},hoverBehaviorDelay:{type:"number"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineType:{type:"string",enumValues:["straight","curved","stepped","centeredStepped","segmented","centeredSegmented","none","auto"]},lineWidth:{type:"number"},markerColor:{type:"string"},markerDisplayed:{type:"string",enumValues:["on","off","auto"]},markerShape:{type:"string"},markerSize:{type:"number"},marqueeBorderColor:{type:"string"},marqueeColor:{type:"string"},maxBarWidth:{type:"number"},otherColor:{type:"string"},patterns:{type:"Array<string>"},pieFeelerColor:{type:"string"},pieInnerRadius:{type:"number"},selectionEffect:{type:"string",enumValues:["explode","highlightAndExplode","highlight"]},seriesEffect:{type:"string",enumValues:["color","pattern","gradient"]},shapes:{type:"Array<string>"},stackLabelStyle:{type:"object"},stockFallingColor:{type:"string"},stockRangeColor:{type:"string"},stockRisingColor:{type:"string"},stockVolumeColor:{type:"string"},threeDEffect:{type:"string",enumValues:["on","off"]},tooltipLabelStyle:{type:"object"},tooltipValueStyle:{type:"object"}}},timeAxisType:{type:"string",enumValues:["enabled","mixedFrequency","skipGaps","disabled","auto"]},tooltip:{type:"object",properties:{renderer:{}}},touchResponse:{type:"string"},translations:{type:"Object",properties:{componentName:{type:"string",value:"Chart"},labelAndValue:{type:"string",value:"{0}: {1}"},labelClearSelection:{type:"string",value:"Clear Selection"},labelClose:{type:"string",value:"Close"},labelCountWithTotal:{type:"string",value:"{0} of {1}"},labelDataVisualization:{type:"string",value:"Data Visualization"},labelDate:{type:"string",value:"Value"},labelDefaultGroupName:{type:"string",value:"Group {0}"},labelGroup:{type:"string",value:"Group"},labelHigh:{type:"string",value:"High"},labelInvalidData:{type:"string",value:"Invalid data"},labelLow:{type:"string",value:"Low"},labelNoData:{type:"string",value:"No data to display"},labelOpen:{type:"string",value:"Open"},labelOther:{type:"string",value:"Other"},labelPercentage:{type:"string",value:"Percentage"},labelQ1:{type:"string",value:"Q1"},labelQ2:{type:"string",value:"Q2"},labelQ3:{type:"string",value:"Q3"},labelSeries:{type:"string",value:"Series"},labelTargetValue:{type:"string",value:"Target"},labelValue:{type:"string",value:"Value"},labelVolume:{type:"string",value:"Volume"},labelX:{type:"string",value:"X"},labelY:{type:"string",value:"Y"},labelZ:{type:"string",value:"Z"},stateCollapsed:{type:"string",value:"Collapsed"},stateDrillable:{type:"string",value:"Drillable"},stateExpanded:{type:"string",value:"Expanded"},stateHidden:{type:"string",value:"Hidden"},stateIsolated:{type:"string",value:"Isolated"},stateMaximized:{type:"string",value:"Maximized"},stateMinimized:{type:"string",value:"Minimized"},stateSelected:{type:"string",value:"Selected"},stateUnselected:{type:"string",value:"Unselected"},stateVisible:{type:"string",value:"Visible"},tooltipPan:{type:"string",value:"Pan"},tooltipSelect:{type:"string",value:"Marquee select"},tooltipZoom:{type:"string",value:"Marquee zoom"}}},type:{type:"string",enumValues:["line","area","lineWithArea","stock","boxPlot","combo","pie","scatter","bubble","funnel","pyramid","bar"]},valueFormats:{type:"object",properties:{series:{type:"object",properties:{tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},group:{type:"object",properties:{tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},x:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},y:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},y2:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},z:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},value:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},targetValue:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},low:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},high:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},open:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},close:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},volume:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},q1:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},q2:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},q3:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},label:{type:"object",properties:{converter:{type:"object"},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}}}},xAxis:{type:"object",properties:{axisLine:{type:"object",properties:{lineColor:{type:"string"},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off"]}}},baselineScaling:{type:"string",enumValues:["min","zero"]},dataMax:{type:"number"},dataMin:{type:"number"},majorTick:{type:"object",properties:{baselineColor:{type:"string",enumValues:["inherit","auto"]},baselineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},baselineWidth:{type:"number"},lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off","auto"]}}},max:{type:"number|string"},maxSize:{type:"string"},min:{type:"number|string"},minorStep:{type:"number"},minorTick:{type:"object",properties:{lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off","auto"]}}},minStep:{type:"number"},referenceObjects:{type:"Array<object>"},rendered:{type:"string",enumValues:["off","on"]},scale:{type:"string",enumValues:["log","linear"]},size:{type:"string"},step:{type:"number"},tickLabel:{type:"object",properties:{converter:{type:"object"},rendered:{type:"string",enumValues:["off","on"]},rotation:{type:"string",enumValues:["none","auto"]},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},style:{type:"object"}}},title:{type:"string"},titleStyle:{type:"object"},viewportEndGroup:{type:"number|string"},viewportMax:{type:"number|string"},viewportMin:{type:"number|string"},viewportStartGroup:{type:"number|string"}}},y2Axis:{type:"object",properties:{alignTickMarks:{type:"string",enumValues:["off","on"]},axisLine:{type:"object",properties:{lineColor:{type:"string"},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off","auto"]}}},baselineScaling:{type:"string",enumValues:["min","zero"]},dataMax:{type:"number"},dataMin:{type:"number"},majorTick:{type:"object",properties:{baselineColor:{type:"string",enumValues:["inherit","auto"]},baselineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},baselineWidth:{type:"number"},lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["off","on","auto"]}}},max:{type:"number"},maxSize:{type:"string"},min:{type:"number"},minorStep:{type:"number"},minorTick:{type:"object",properties:{lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","auto","off"]}}},minStep:{type:"number"},position:{type:"string",enumValues:["start","end","top","bottom","auto"]},referenceObjects:{type:"Array<object>"},rendered:{type:"string",enumValues:["off","on"]},scale:{type:"string",enumValues:["log","linear"]},size:{type:"string"},step:{type:"number"},tickLabel:{type:"object",properties:{converter:{type:"object"},position:{type:"string",enumValues:["inside","outisde"]},rendered:{type:"string",enumValues:["off","on"]},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},style:{type:"object"}}},title:{type:"string"},titleStyle:{type:"object"}}},yAxis:{type:"object",properties:{axisLine:{type:"object",properties:{lineColor:{type:"string"},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["off","on","auto"]}}},baselineScaling:{type:"string",enumValues:["min","zero"]},dataMax:{type:"number"},dataMin:{type:"number"},majorTick:{type:"object",properties:{baselineColor:{type:"string",enumValues:["inherit","auto"]},baselineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},baselineWidth:{type:"number"},lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off","auto"]}}},max:{type:"number"},maxSize:{type:"string"},min:{type:"number"},minorStep:{type:"number"},minorTick:{type:"object",properties:{lineColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineWidth:{type:"number"},rendered:{type:"string",enumValues:["on","off","auto"]}}},minStep:{type:"number"},position:{type:"string",enumValues:["start","end","top","bottom","auto"]},referenceObjects:{type:"Array<object>"},rendered:{type:"string",enumValues:["off","on"]},scale:{type:"string",enumValues:["log","linear"]},size:{type:"string"},step:{type:"number"},tickLabel:{type:"object",properties:{converter:{type:"object"},position:{type:"string",enumValues:["inside","outside"]},rendered:{type:"string",enumValues:["off","on"]},scaling:{type:"string",enumValues:["none","auto","thousand","million","billion","trillion","quadrillion"]},style:{type:"object"}}},title:{type:"string"},titleStyle:{type:"object"},viewportMax:{type:"number"},viewportMin:{type:"number"}}},zoomAndScroll:{type:"string"},zoomDirection:{type:"string"}},methods:{getContextByNode:{},getDataItem:{},getGroup:{},getGroupCount:{},getLegend:{},getPlotArea:{},getSeries:{},getSeriesCount:{},getValuesAt:{},getXAxis:{},getY2Axis:{},getYAxis:{}},events:{drill:{},viewportChange:{},selectInput:{},viewportChangeInput:{}},extension:{_WIDGET_NAME:"ojChart"}});var t=e.CustomElementBridge.getMetadata("oj-chart"),n=t.extension._DVT_PARSE_FUNC({"style-defaults.marker-shape":!0},{square:!0,circle:!0,diamond:!0,plus:!0,triangleDown:!0,triangleUp:!0,human:!0,star:!0,auto:!0});e.CustomElementBridge.register("oj-chart",{metadata:t,parseFunction:function(e,t,r,i){return"number|string"===r.type?isNaN(e)?e:Number(e):"style-defaults.data-label-style"===t?JSON.parse(e):n(e,t,r,i)}})}(),function(){e.CustomElementBridge.registerMetadata("oj-spark-chart","dvtBaseComponent",{properties:{animationDuration:{type:"number"},animationOnDataChange:{type:"string",enumValues:["auto","none"]},animationOnDisplay:{type:"string",enumValues:["auto","none"]},areaSvgClassName:{type:"string"},areaColor:{type:"string"},areaSvgStyle:{type:"object"},barGapRatio:{type:"number"},baselineScaling:{type:"string",enumValues:["zero","min"]},svgClassName:{type:"string"},color:{type:"string"},firstColor:{type:"string"},highColor:{type:"string"},items:{type:"Array<number>|Promise"},lastColor:{type:"string"},lineStyle:{type:"string",enumValues:["dotted","dashed","solid"]},lineType:{type:"string",enumValues:["curved","stepped","centeredStepped","segmented","centeredSegmented","none","straight"]},lineWidth:{type:"number"},lowColor:{type:"string"},markerShape:{type:"string"},markerSize:{type:"number"},referenceObjects:{type:"Array<object>"},svgStyle:{type:"object"},tooltip:{type:"object",properties:{renderer:{}}},translations:{type:"Object",properties:{componentName:{type:"string",value:"Chart"},labelAndValue:{type:"string",value:"{0}: {1}"},labelClearSelection:{type:"string",value:"Clear Selection"},labelCountWithTotal:{type:"string",value:"{0} of {1}"},labelDataVisualization:{type:"string",value:"Data Visualization"},labelInvalidData:{type:"string",value:"Invalid data"},labelNoData:{type:"string",value:"No data to display"},stateCollapsed:{type:"string",value:"Collapsed"},stateDrillable:{type:"string",value:"Drillable"},stateExpanded:{type:"string",value:"Expanded"},stateHidden:{type:"string",value:"Hidden"},stateIsolated:{type:"string",value:"Isolated"},stateMaximized:{type:"string",value:"Maximized"},stateMinimized:{type:"string",value:"Minimized"},stateSelected:{type:"string",value:"Selected"},stateUnselected:{type:"string",value:"Unselected"},stateVisible:{type:"string",value:"Visible"}}},type:{type:"string",enumValues:["area","lineWithArea","bar","line"]},visualEffects:{type:"string",enumValues:["none","auto"]}},methods:{getDataItem:{}},extension:{_WIDGET_NAME:"ojSparkChart"}});var t=e.CustomElementBridge.getMetadata("oj-spark-chart");e.CustomElementBridge.register("oj-spark-chart",{metadata:t,parseFunction:t.extension._DVT_PARSE_FUNC({"marker-shape":!0},{square:!0,circle:!0,diamond:!0,plus:!0,triangleDown:!0,triangleUp:!0,human:!0,star:!0,auto:!0})})}()});