/**
 * @license
 * Copyright (c) 2014, 2018, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";define(["ojs/ojcore","jquery","promise","ojs/ojcomponentcore","ojs/ojdatasource-common","ojs/ojdatacollection-utils","ojs/ojinputnumber","ojs/ojmenu","ojs/ojdialog"],function(e,t){e.DataGridResources=function(t,i,s){this.rtlMode=t,this.translationFunction=i,this.defaultOptions=s,this.styles={},this.styles.datagrid="oj-datagrid",this.styles.cell="oj-datagrid-cell",this.styles.banded="oj-datagrid-banded",this.styles.row="oj-datagrid-row",this.styles.databody="oj-datagrid-databody",this.styles.topcorner="oj-datagrid-top-corner",this.styles.bottomcorner="oj-datagrid-bottom-corner",this.styles.rowheaderspacer="oj-datagrid-row-header-spacer",this.styles.colheaderspacer="oj-datagrid-column-header-spacer",this.styles.status="oj-datagrid-status",this.styles.loadingicon="oj-icon oj-datagrid-loading-icon",this.styles.emptytext="oj-datagrid-empty-text",this.styles.header="oj-datagrid-header",this.styles.endheader="oj-datagrid-end-header",this.styles.groupingcontainer="oj-datagrid-header-grouping",this.styles.headercell="oj-datagrid-header-cell",this.styles.rowheader="oj-datagrid-row-header",this.styles.colheader="oj-datagrid-column-header",this.styles.colheadercell="oj-datagrid-column-header-cell",this.styles.rowheadercell="oj-datagrid-row-header-cell",this.styles.endheadercell="oj-datagrid-end-header-cell",this.styles.rowendheader="oj-datagrid-row-end-header",this.styles.colendheader="oj-datagrid-column-end-header",this.styles.colendheadercell="oj-datagrid-column-end-header-cell",this.styles.rowendheadercell="oj-datagrid-row-end-header-cell",this.styles["scroller-mobile"]="oj-datagrid-scroller-touch",this.styles.scroller="oj-datagrid-scroller",this.styles.scrollers="oj-datagrid-scrollers",this.styles.focus="oj-focus",this.styles.hover="oj-hover",this.styles.active="oj-active",this.styles.selected="oj-selected",this.styles.topSelected="oj-datagrid-selected-top",this.styles.bottomSelected="oj-datagrid-selected-bottom",this.styles.disabled="oj-disabled",this.styles.enabled="oj-enabled",this.styles.default="oj-default",this.styles.sortcontainer="oj-datagrid-sort-icon-container",this.styles.sortascending="oj-datagrid-sort-ascending-icon",this.styles.sortdescending="oj-datagrid-sort-descending-icon",this.styles.icon="oj-component-icon",this.styles.clickableicon="oj-clickable-icon-nocontext",this.styles.info="oj-helper-hidden-accessible",this.styles.rowexpander="oj-rowexpander",this.styles.cut="oj-datagrid-cut",this.styles.selectaffordancetop="oj-datagrid-touch-selection-affordance-top",this.styles.selectaffordancebottom="oj-datagrid-touch-selection-affordance-bottom",this.styles.toucharea="oj-datagrid-touch-area",this.styles.readOnly="oj-read-only",this.styles.editable="oj-datagrid-editable",this.styles.cellEdit="oj-datagrid-cell-edit",this.styles.draggable="oj-draggable",this.styles.drag="oj-drag",this.styles.drop="oj-drop",this.styles.activedrop="oj-active-drop",this.styles.validdrop="oj-valid-drop",this.styles.invaliddrop="oj-invalid-drop",this.styles.formcontrol="oj-form-control-inherit",this.styles.borderHorizontalNone="oj-datagrid-border-horizontal-none",this.styles.borderVerticalNone="oj-datagrid-border-vertical-none",this.styles.borderHorizontalSmall="oj-datagrid-small-content-border-horizontal",this.styles.borderVerticalSmall="oj-datagrid-small-content-border-vertical",this.styles.offsetOutline="oj-datagrid-focus-offset",this.styles.depth="oj-datagrid-depth-",this.commands={},this.commands.sortCol="oj-datagrid-sortCol",this.commands.sortColAsc="oj-datagrid-sortColAsc",this.commands.sortColDsc="oj-datagrid-sortColDsc",this.commands.sortRow="oj-datagrid-sortRow",this.commands.sortRowAsc="oj-datagrid-sortRowAsc",this.commands.sortRowDsc="oj-datagrid-sortRowDsc",this.commands.resize="oj-datagrid-resize",this.commands.resizeWidth="oj-datagrid-resizeWidth",this.commands.resizeHeight="oj-datagrid-resizeHeight",this.commands.cut="oj-datagrid-cut",this.commands.paste="oj-datagrid-paste",this.commands.discontiguousSelection="oj-datagrid-discontiguousSelection",this.attributes={},this.attributes.busyContext=e.Context._OJ_CONTEXT_ATTRIBUTE,this.attributes.context="data-oj-cellContext",this.attributes.resizable="data-oj-resizable",this.attributes.sortable="data-oj-sortable",this.attributes.sortDir="data-oj-sortdir",this.attributes.expander="data-oj-expander",this.attributes.expanderIndex="data-oj-expander-index",this.attributes.container=e.Components._OJ_CONTAINER_ATTR,this.attributes.extent="data-oj-extent",this.attributes.start="data-oj-start",this.attributes.depth="data-oj-depth",this.attributes.level="data-oj-level",this.attributes.tabMod="data-oj-tabmod"},e.DataGridResources.prototype.isRTLMode=function(){return"rtl"===this.rtlMode},e.DataGridResources.prototype.getTranslatedText=function(e,t){return this.translationFunction(e,t)},e.DataGridResources.prototype.getDefaultOption=function(e){return this.defaultOptions?this.defaultOptions[e]:null},e.DataGridResources.prototype.getMappedStyle=function(e){return null!=e?this.styles[e]:null},e.DataGridResources.prototype.getMappedCommand=function(e){return null!=e?this.commands[e]:null},e.DataGridResources.prototype.getMappedAttribute=function(e){return null!=e?this.attributes[e]:null};var i=function(e){this.m_root=e,this.MAX_COLUMN_THRESHOLD=20,this.MAX_ROW_THRESHOLD=30,this.m_utils=new o(this),this.m_discontiguousSelection=!1,this.m_sizingManager=new s,this.m_keyboardHandler=new r(this),this.m_rowHeaderWidth=null,this.m_rowEndHeaderWidth=null,this.m_colHeaderHeight=null,this.m_colEndHeaderHeight=null,this.m_styleClassDimensionMap={width:{},height:{}},this.m_isEstimateRowCount=void 0,this.m_isEstimateColumnCount=void 0,this.m_stopRowFetch=!1,this.m_stopRowHeaderFetch=!1,this.m_stopRowEndHeaderFetch=!1,this.m_stopColumnFetch=!1,this.m_stopColumnHeaderFetch=!1,this.m_stopColumnEndHeaderFetch=!1,this.m_initialized=!1,this.m_shouldFocus=null,this.callbacks={},this._setupActions(),this.m_readinessStack=[],this.m_modelEvents=[],this.m_databodyMap=new Map};i.keyCodes={TAB_KEY:9,ENTER_KEY:13,SHIFT_KEY:16,CTRL_KEY:17,ALT_KEY:18,ESC_KEY:27,SPACE_KEY:32,PAGEUP_KEY:33,PAGEDOWN_KEY:34,END_KEY:35,HOME_KEY:36,LEFT_KEY:37,UP_KEY:38,RIGHT_KEY:39,DOWN_KEY:40,NUM5_KEY:53,V_KEY:86,X_KEY:88,F1_KEY:112,F2_KEY:113,F8_KEY:119,F10_KEY:121,F15_KEY:126,A_KEY:65},i.UPDATE_ANIMATION_FADE_INOUT=1,i.UPDATE_ANIMATION_SLIDE_INOUT=2,i.UPDATE_ANIMATION_DURATION=250,i.EXPAND_ANIMATION_DURATION=500,i.COLLAPSE_ANIMATION_DURATION=400,i.MAX_OVERSCROLL_PIXEL=50,i.BOUNCE_ANIMATION_DURATION=500,i.DECELERATION_FACTOR=6e-4,i.TAP_AND_SCROLL_RESET=300,i.MIN_SWIPE_DURATION=200,i.MAX_SWIPE_DURATION=400,i.MIN_SWIPE_DISTANCE=10,i.MIN_SWIPE_TRANSITION_DURATION=100,i.MAX_SWIPE_TRANSITION_DURATION=500,i.CONTEXT_MENU_TAP_HOLD_DURATION=750,i.HEADER_TAP_SHORT_HOLD_DURATION=300,i.FETCH_PIXEL_THRESHOLD=5,i.VISIBILITY_STATE_HIDDEN="hidden",i.VISIBILITY_STATE_REFRESH="refresh",i.VISIBILITY_STATE_RENDER="render",i.VISIBILITY_STATE_VISIBLE="visible",i.prototype.SetOptions=function(e,t){this.m_options=new n(e,t)},i.prototype.SetSortOriginalEvent=function(e){this.m_sortInfo.originalEvent=e},i.prototype.UpdateOptions=function(e,t){var i;for(i in e)i in this.m_options.options&&this.m_options.options[i]!=e[i]&&(this.m_options.options[i]=e[i]);for(i in e)if(!this._updateDataGrid(i,t)){this.empty(),this.refresh(this.m_root);break}},i.prototype._updateDataGrid=function(e,t){var i;switch(e){case"bandingInterval":this._removeBanding(),this.updateColumnBanding(),this.updateRowBanding();break;case"currentCell":i=this.m_options.getCurrentCell(),this._updateActive(i,!0,!1);break;case"editMode":this.m_editMode=this.m_options.getEditMode();break;case"gridlines":this._updateGridlines();break;case"header":i=this.m_options.options.header,this._updateHeaderOptions(i,t);break;case"scrollPosition":i=this.m_options.getScrollPosition(),this._updateScrollPosition(i);break;case"selection":i=this.m_options.getSelection(),this._updateSelection(i);break;case"selectionMode":this._clearSelection(null);break;default:return!1}return!0},i.prototype._updateSelection=function(e){null!=e&&(this._isSelectionEnabled()?this.SetSelection(e):e.length=0)},i.prototype._updateHeaderOptions=function(e,t){var i,s,o,n,r,l,h,a,d;if(null!=t&&null!=t.subkey&&(s=(i=t.subkey.split("."))[0],o=i[1],"column"==s&&null!=this.m_colHeader&&null!=this.m_colHeader.firstChild?n=this.m_colHeader.firstChild.childNodes:"row"==s&&null!=this.m_rowHeader&&null!=this.m_rowHeader.firstChild?n=this.m_rowHeader.firstChild.childNodes:"columnEnd"==s&&null!=this.m_colEndHeader&&null!=this.m_colEndHeader.firstChild?n=this.m_colEndHeader.firstChild.childNodes:"rowEnd"==s&&null!=this.m_rowEndHeader&&null!=this.m_rowEndHeader.firstChild&&(n=this.m_rowEndHeader.firstChild.childNodes),null!=n))for(h=0;h<n.length;h++)(l=(r=n[h])[this.getResources().getMappedAttribute("context")]).index=this.getHeaderCellIndex(r),"resizable"==o?this._isHeaderResizeEnabled(s,l)?this._setAttribute(r,o,"true"):this._setAttribute(r,o,"false"):"sortable"==o&&(a=this.m_utils.containsCSSClassName(r.lastChild,this.getMappedStyle("sortcontainer")),this._isSortEnabled(s,l)?(a||(d=this._buildSortIcon(l),r.appendChild(d)),this._setAttribute(r,o,"true")):(a&&this._remove(r.lastChild),this._setAttribute(r,o,"false")))},i.prototype._updateGridlines=function(){var e,t,i,s,o,n;for(i=this.m_options.getHorizontalGridlines(),s=this.m_options.getVerticalGridlines(),o=this.getResources().isRTLMode()?"right":"left",e=this.m_startRow;e<=this.m_endRow;e++)for(t=this.m_startCol;t<=this.m_endCol;t++)n=this._getCellByIndex(this.createIndex(e,t)),"hidden"===s||this._isLastColumn(t)&&this.getRowHeaderWidth()+this.getElementDir(n,o)+this.calculateColumnWidth(n)>=this.getWidth()?this.m_utils.addCSSClassName(n,this.getMappedStyle("borderVerticalNone")):this.m_utils.removeCSSClassName(n,this.getMappedStyle("borderVerticalNone")),"hidden"===i||this._isLastRow(e)&&this.getRowBottom(n,null)>=this.getHeight()?this.m_utils.addCSSClassName(n,this.getMappedStyle("borderHorizontalNone")):this.m_utils.removeCSSClassName(n,this.getMappedStyle("borderHorizontalNone"))},i.prototype._updateEdgeCellBorders=function(e,t){var i,s;null!=this.m_active&&"header"!=this.m_active.type&&null!=(i=this._getActiveElement())&&(this._isLastRow(this.m_active.indexes.row)&&("none"==e?this.m_utils.addCSSClassName(i,this.getMappedStyle("borderHorizontalNone")):this.m_utils.removeCSSClassName(i,this.getMappedStyle("borderHorizontalNone"))),this._isLastColumn(this.m_active.indexes.column)&&("none"==e?this.m_utils.addCSSClassName(i,this.getMappedStyle("borderVerticalNone")):this.m_utils.removeCSSClassName(i,this.getMappedStyle("borderVerticalNone")))),null!=t&&null!=this.m_prevActive&&"header"!=this.m_prevActive.type&&null!=(s=this._getElementFromActiveObject(this.m_prevActive))&&(this._isLastRow(this.m_prevActive.indexes.row)&&("none"==t?this.m_utils.addCSSClassName(s,this.getMappedStyle("borderHorizontalNone")):this.m_utils.removeCSSClassName(s,this.getMappedStyle("borderHorizontalNone"))),this._isLastColumn(this.m_prevActive.indexes.column)&&("none"==t?this.m_utils.addCSSClassName(s,this.getMappedStyle("borderVerticalNone")):this.m_utils.removeCSSClassName(s,this.getMappedStyle("borderVerticalNone"))))},i.prototype.GetOptions=function(){return null==this.m_options&&(this.m_options=new n),this.m_options},i.prototype.SetResources=function(e){this.m_resources=e},i.prototype.getResources=function(){return this.m_resources},i.prototype.getStartRow=function(){return this.m_startRow},i.prototype.getStartRowHeader=function(){return this.m_startRowHeader},i.prototype.getStartColumn=function(){return this.m_startCol},i.prototype.getStartColumnHeader=function(){return this.m_startColHeader},i.prototype.getStartRowEndHeader=function(){return this.m_startRowEndHeader},i.prototype.getStartColumnEndHeader=function(){return this.m_startColEndHeader},i.prototype.getMappedStyle=function(e){return this.getResources().getMappedStyle(e)},i.prototype.SetDataSource=function(e){this.m_modelEvents=[],this.m_dataSource=e},i.prototype.getDataSource=function(){return this.m_dataSource},i.prototype.setVisibility=function(e){this.m_visibility=e},i.prototype.getVisibility=function(){return null==this.m_visibility&&(null!=this.m_root.offsetParent?this.setVisibility(i.VISIBILITY_STATE_VISIBLE):this.setVisibility(i.VISIBILITY_STATE_HIDDEN)),this.m_visibility},i.prototype.SetOptionCallback=function(e){this.m_setOptionCallback=e},i.prototype.SetContextCallback=function(e){this.m_contextCallback=e},i.prototype.SetRemoveCallback=function(e){this.m_removeCallback=e},i.prototype.SetUniqueIdCallback=function(e){this._uniqueIdCallback=e},i.prototype.SetCompareValuesCallback=function(e){this._compareValuesCallback=e},i.prototype.SetSubtreeAttachedCallback=function(e){this.m_subtreeAttachedCallback=e},i.prototype._remove=function(e){this._uniqueIdCallback(e,!0),null!=this.m_removeCallback?this.m_removeCallback.call(null,e):e.parentNode.removeChild(e)},i.prototype._removeFromArray=function(e){for(var t=0;t<e.length;t++)this._remove(e[t])},i.prototype.SetNotReadyCallback=function(e){this.m_notReady=e},i.prototype.SetMakeReadyCallback=function(e){this.m_makeReady=e},i.prototype._signalTaskStart=function(){this.m_readinessStack&&(0==this.m_readinessStack.length&&this.m_notReady(),this.m_readinessStack.push(1))},i.prototype._signalTaskEnd=function(){this.m_readinessStack&&this.m_readinessStack.length>0&&(this.m_readinessStack.pop(),0==this.m_readinessStack.length&&this.m_makeReady())},i.prototype._indexes=function(e,t){var i,s=this;"function"==typeof(i=this.getDataSource().indexes(e)).then?(s._signalTaskStart(),i.then(function(i){t.call(s,i,e),s._signalTaskEnd()},function(){t.call(s,{row:-1,column:-1},e),s._signalTaskEnd()})):t.call(s,i,e)},i.prototype._keys=function(e,t){var i,s=this;"function"==typeof(i=this.getDataSource().keys(e)).then?(s._signalTaskStart(),i.then(function(i){t.call(s,i,e),s._signalTaskEnd()},function(){t.call(s,{row:null,column:null},e),s._signalTaskEnd()})):t.call(s,i,e)},i.prototype.SetCreateContextCallback=function(e){this.m_createContextCallback=e},i.prototype.SetFocusableCallback=function(e,t){this.m_focusInHandler=e,this.m_focusOutHandler=t},i.prototype.SetFixContextCallback=function(e){this.m_fixContextCallback=e},i.prototype._isHighWatermarkScrolling=function(){return"scroll"!=this.m_options.getScrollPolicy()},i.prototype.destroy=function(){delete this.m_fetching,this._removeDataSourceEventListeners(),this._removeDomEventListeners(),delete this.m_styleClassDimensionMap,this.m_styleClassDimensionMap={width:{},height:{}}},i.prototype._addDataSourceEventListeners=function(){this._removeDataSourceEventListeners(),null!=this.m_dataSource&&(this.m_handleModelEventListener=this.handleModelEvent.bind(this),this.m_handleExpandEventListener=this.handleExpandEvent.bind(this),this.m_handleCollapseEventListener=this.handleCollapseEvent.bind(this),this.m_dataSource.on("change",this.m_handleModelEventListener,this),this.m_dataSource.on("expand",this.m_handleExpandEventListener,this),this.m_dataSource.on("collapse",this.m_handleCollapseEventListener,this))},i.prototype._removeDataSourceEventListeners=function(){null!=this.m_dataSource&&(this.m_dataSource.off("change",this.m_handleModelEventListener),this.m_dataSource.off("expand",this.m_handleExpandEventListener),this.m_dataSource.off("collapse",this.m_handleCollapseEventListener))},i.prototype._addDomEventListeners=function(){this.m_handleDatabodyKeyDown||(this.m_handleDatabodyKeyDown=this.handleDatabodyKeyDown.bind(this)),this.m_handleRootFocus||(this.m_handleRootFocus=this.handleRootFocus.bind(this)),this.m_handleRootBlur||(this.m_handleRootBlur=this.handleRootBlur.bind(this)),this.m_root.addEventListener("keydown",this.m_handleDatabodyKeyDown,!1),this.m_root.addEventListener("focus",this.m_handleRootFocus,!0),this.m_root.addEventListener("blur",this.m_handleRootBlur,!0)},i.prototype._removeDomEventListeners=function(){document.removeEventListener("mousemove",this.m_docMouseMoveListener,!1),document.removeEventListener("mouseup",this.m_docMouseUpListener,!1),null!=this.m_root&&(this.m_handleDatabodyKeyDown&&this.m_root.removeEventListener("keydown",this.m_handleDatabodyKeyDown,!1),this.m_handleRootFocus&&this.m_root.removeEventListener("focus",this.m_handleRootFocus,!0),this.m_handleRootBlur&&this.m_root.removeEventListener("blur",this.m_handleRootBlur,!0))},i.prototype.getRootElement=function(){return this.m_root},i.prototype.getWidth=function(){return null==this.m_width&&(this.m_width=this.getRootElement().clientWidth),this.m_width},i.prototype.getHeight=function(){return null==this.m_height&&(this.m_height=this.getRootElement().clientHeight),this.m_height},i.prototype.getScrollableWidth=function(){var e=this.m_databody.firstChild;return this.getElementWidth(e)},i.prototype.getViewportWidth=function(){var e=this.getWidth();return Math.round(1.5*e)},i.prototype.getViewportHeight=function(){var e=this.getHeight();return Math.round(1.5*e)},i.prototype._getViewportTop=function(){return this.m_currentScrollTop},i.prototype._getViewportBottom=function(){var e=this._getViewportTop(),t=this.getElementHeight(this.m_databody),i=this.m_utils.getScrollbarSize();return this.m_hasHorizontalScroller?e+t-i:e+t},i.prototype._getViewportLeft=function(){return this.m_currentScrollLeft},i.prototype._getViewportRight=function(){var e=this._getViewportLeft(),t=this.getElementWidth(this.m_databody),i=this.m_utils.getScrollbarSize();return this.m_hasVerticalScroller?e+t-i:e+t},i.prototype.getFetchSize=function(e){return"row"==e?(null==this.m_rowFetchSize&&(this.m_rowFetchSize=Math.max(1,Math.round(this.getViewportHeight()/this.getDefaultRowHeight()))),this.m_rowFetchSize):"column"==e?(null==this.m_columnFetchSize&&(this.m_columnFetchSize=Math.max(1,Math.round(this.getViewportWidth()/this.getDefaultColumnWidth()))),this.m_columnFetchSize):0},i.prototype.getEmptyText=function(){var e;return null==(e=this.m_options.getEmptyText())&&(e=this.getResources().getTranslatedText("msgNoData")),e},i.prototype._buildEmptyText=function(){var e,t,i,s,o;return e=this.getEmptyText(),(t=document.createElement("div")).id=this.createSubId("empty"),t.className=this.getMappedStyle("emptytext"),i=this.m_endColHeader>=0?this.getColumnHeaderHeight():0,this.setElementDir(t,i,"top"),s=this.getResources().isRTLMode()?"right":"left",o=this.m_endRowHeader>=0?this.getRowHeaderWidth():0,this.setElementDir(t,o,s),t.textContent=e,this.m_empty=t,t},i.prototype.getRowThreshold=function(){return 0},i.prototype.getColumnThreshold=function(){return 0},i.prototype.setDefaultDimensions=function(){var e,t;(e=document.createElement("div")).style.visibilty="hidden",t=this.getResources(),e.className=t.getMappedStyle("rowheadercell")+" "+t.getMappedStyle("colheadercell")+" "+t.getMappedStyle("headercell"),this.m_root.appendChild(e),this.m_defaultColumnWidth=Math.round(e.getBoundingClientRect().width),this.m_defaultRowHeight=Math.round(e.getBoundingClientRect().height),this.m_root.removeChild(e)},i.prototype.getDefaultRowHeight=function(){return null==this.m_defaultRowHeight&&this.setDefaultDimensions(),this.m_defaultRowHeight},i.prototype.getDefaultColumnWidth=function(){return null==this.m_defaultColumnWidth&&this.setDefaultDimensions(),this.m_defaultColumnWidth},i.prototype._getDefaultDimension=function(e){return"row"==e?this.getDefaultRowHeight():"column"==e?this.getDefaultColumnWidth():void 0},i.prototype._getHeaderDimension=function(e,t,i,s){var o,n;return null!=(o=this.m_sizingManager.getSize(i,t))?o:""!=e.style[s]?(o=this.getElementDir(e,s),this.m_sizingManager.setSize(i,t,o),o):(n=e.className,null==(o=this.m_styleClassDimensionMap[s][n])&&(o=this.getElementDir(e,s)),this.m_sizingManager.setSize(i,t,o),this.m_styleClassDimensionMap[s][n]=o,o)},i.prototype.createSubId=function(e){var t=this.getRootElement().id;return null==t&&(t=""),[t,e].join(":")},i.prototype.isHeaderFetchComplete=function(){return!1===this.m_fetching.row&&!1===this.m_fetching.column},i.prototype.isFetchComplete=function(){return null!=this.m_fetching&&this.isHeaderFetchComplete()&&!1===this.m_fetching.cells},i.prototype._isLastRow=function(e){return this._isCountUnknown("row")?e===this.m_endRow&&this.m_stopRowFetch:e+1===this.getDataSource().getCount("row")},i.prototype._isLastColumn=function(e){return this._isCountUnknown("column")?e===this.m_endCol&&this.m_stopColumnFetch:e+1===this.getDataSource().getCount("column")},i.prototype.empty=function(){this.m_empty&&this.m_root.removeChild(this.m_empty),this.m_corner&&this.m_root.removeChild(this.m_corner),this.m_bottomCorner&&this.m_root.removeChild(this.m_bottomCorner),this.m_columnHeaderScrollbarSpacer&&this.m_root.removeChild(this.m_columnHeaderScrollbarSpacer),this.m_rowHeaderScrollbarSpacer&&this.m_root.removeChild(this.m_rowHeaderScrollbarSpacer),this.m_root.removeChild(this.m_placeHolder),this.m_root.removeChild(this.m_status),this.m_root.removeChild(this.m_accSummary),this.m_root.removeChild(this.m_accInfo),this.m_root.removeChild(this.m_stateInfo),this.m_root.removeChild(this.m_contextInfo),this._remove(this.m_colHeader),this._remove(this.m_rowHeader),this._remove(this.m_colEndHeader),this._remove(this.m_rowEndHeader),this._remove(this.m_databody),this._clearDatabodyMap()},i.prototype.refresh=function(e){this.resetInternal(),this.render(e)},i.prototype.resetInternal=function(){this.m_initialized=!1,this.m_readinessStack=[],this._signalTaskStart(),this._signalTaskEnd(),this._clearDatabodyMap(),this.m_cursor=null,this.m_corner=null,this.m_bottomCorner=null,this.m_columnHeaderScrollbarSpacer=null,this.m_rowHeaderScrollbarSpacer=null,this.m_colHeader=null,this.m_colEndHeader=null,this.m_rowHeader=null,this.m_rowEndHeader=null,this.m_databody=null,this.m_empty=null,this.m_accInfo=null,this.m_accSummary=null,this.m_contextInfo=null,this.m_placeHolder=null,this.m_stateInfo=null,this.m_status=null,this.m_isEstimateRowCount=void 0,this.m_isEstimateColumnCount=void 0,this.m_stopRowFetch=!1,this.m_stopRowHeaderFetch=!1,this.m_stopRowEndHeaderFetch=!1,this.m_stopColumnFetch=!1,this.m_stopColumnHeaderFetch=!1,this.m_stopColumnEndHeaderFetch=!1,this.m_rowFetchSize=null,this.m_columnFetchSize=null,this.m_fetching=null,this.m_processingModelEvent=!1,this.m_processingEventQueue=!1,this.m_animating=!1,this.m_sizingManager.clear(),this.m_styleClassDimensionMap={width:{},height:{}},this.m_height=null,this.m_width=null,this.m_scrollHeight=null,this.m_scrollWidth=null,this.m_avgRowHeight=void 0,this.m_avgColWidth=void 0,this.m_defaultColumnWidth=null,this.m_defaultRowHeight=null,this.m_colHeaderHeight=null,this.m_colEndHeaderHeight=null,this.m_rowHeaderWidth=null,this.m_rowEndHeaderWidth=null,this.m_rowHeaderLevelWidths=[],this.m_rowEndHeaderLevelWidths=[],this.m_columnHeaderLevelHeights=[],this.m_columnEndHeaderLevelHeights=[],this.m_active=null,this.m_prevActive=null,this.m_trueIndex={},this.m_headerDragState=!1,this.m_databodyDragState=!1,this.m_databodyMove=!1,this.m_moveRow=null,this.m_moveRowHeader=null,this.m_dropTarget=null,this.m_dropTargetHeader=null,this.m_discontiguousSelection=!1,this.m_docMouseMoveListener=null,this.m_docMouseUpListener=null,this.m_modelEvents=[],this.m_hasHorizontalScroller=null,this.m_hasVerticalScroller=null,this.m_currentScrollLeft=null,this.m_currentScrollTop=null,this.m_prevScrollLeft=null,this.m_prevScrollTop=null,this.m_handleScrollOverflow=null,this.m_resizing=!1,this.m_resizingElement=null,this.m_resizingElementMin=null,this.m_startRow=null,this.m_startCol=null,this.m_endRow=null,this.m_endCol=null,this.m_startRowPixel=null,this.m_startColPixel=null,this.m_endRowPixel=null,this.m_endColPixel=null,this.m_startRowHeader=null,this.m_startColHeader=null,this.m_endRowHeader=null,this.m_endColHeader=null,this.m_startRowHeaderPixel=null,this.m_startColHeaderPixel=null,this.m_endRowHeaderPixel=null,this.m_endColHeaderPixel=null,this.m_rowHeaderLevelCount=null,this.m_columnHeaderLevelCount=null,this.m_startRowEndHeader=null,this.m_startColEndHeader=null,this.m_endRowEndHeader=null,this.m_endColEndHeader=null,this.m_startRowEndHeaderPixel=null,this.m_startColEndHeaderPixel=null,this.m_endRowEndHeaderPixel=null,this.m_endColEndHeaderPixel=null,this.m_rowEndHeaderLevelCount=null,this.m_columnEndHeaderLevelCount=null,this.m_sortInfo=null,this.m_resizeRequired=null,this.m_externalFocus=null,this.m_currentMode=null,this.m_editMode=null,this.m_hasCells=null,this.m_hasRowHeader=null,this.m_hasRowEndHeader=null,this.m_hasColHeader=null,this.m_hasColEndHeader=null,this.m_isLongScroll=null,this.m_addBorderBottom=null,this.m_addBorderRight=null},i.prototype._shouldInitialize=function(){return this.isFetchComplete()&&!this.m_initialized&&null!=this.m_databody.parentNode},i.prototype._handleInitialization=function(e){1==e?(this.resizeGrid(),this.fillViewport(),this.isFetchComplete()&&(this._updateActive(this.m_options.getCurrentCell(),!1,!1),this.m_initialized=!0,this.fireEvent("ready",{}),this._runModelEventQueue())):(this.m_initialized=!0,this.fireEvent("ready",{}),this._runModelEventQueue())},i.prototype._runModelEventQueue=function(){var e;if(null!=this.m_modelEvents){if(this.m_processingEventQueue=!0,0===this.m_modelEvents.length)return void(this.m_processingEventQueue=!1);"expand"==(e=this.m_modelEvents.shift()).operation?this.handleExpandEvent(e,!0):"collapse"==e.operation?this.handleCollapseEvent(e,!0):this.handleModelEvent(e,!0)}else this.m_processingEventQueue=!1},i.prototype.render=function(e){null!=this.m_databody&&(this.destroy(),this.resetInternal()),this.m_timingStart=new Date,this.m_fetching={},this.m_startRow=0,this.m_startCol=0,this.m_endRow=-1,this.m_endCol=-1,this.m_startRowPixel=0,this.m_startColPixel=0,this.m_endRowPixel=0,this.m_endColPixel=0,this.m_startRowHeader=0,this.m_startColHeader=0,this.m_endRowHeader=-1,this.m_endColHeader=-1,this.m_startRowHeaderPixel=0,this.m_startColHeaderPixel=0,this.m_endRowHeaderPixel=0,this.m_endColHeaderPixel=0,this.m_startRowEndHeader=0,this.m_startColEndHeader=0,this.m_endRowEndHeader=-1,this.m_endColEndHeader=-1,this.m_startRowEndHeaderPixel=0,this.m_startColEndHeaderPixel=0,this.m_endRowEndHeaderPixel=0,this.m_endColEndHeaderPixel=0,this.m_currentScrollLeft=0,this.m_currentScrollTop=0,this.m_prevScrollLeft=0,this.m_prevScrollTop=0,this.m_handleScrollOverflow=!1,this.m_rowHeaderLevelWidths=[],this.m_rowEndHeaderLevelWidths=[],this.m_columnHeaderLevelHeights=[],this.m_columnEndHeaderLevelHeights=[],this.buildGrid(e)},i.prototype.buildGrid=function(e){var t,i,s,o,n,r,l,h,a,d,m,c,u,_,p;this.m_root=e,this.m_root.setAttribute("role","application"),this._isCellEditable()?this.m_utils.addCSSClassName(this.m_root,this.getMappedStyle("editable")):this.m_utils.addCSSClassName(this.m_root,this.getMappedStyle("readOnly")),e.tabIndex=0,t=this.buildStatus(),e.appendChild(t),this.m_status=t,i=this.buildAccSummary(),e.appendChild(i),this.m_accSummary=i,s=this.buildAccInfo(),e.appendChild(s),this.m_accInfo=s,o=this.buildStateInfo(),e.appendChild(o),this.m_stateInfo=o,d=this.buildContextInfo(),e.appendChild(d),this.m_contextInfo=d,m=this.buildPlaceHolder(),e.appendChild(m),this.m_placeHolder=m,null!=this.getDataSource()?(this.m_empty=null,n=this.getResources().isRTLMode(),r=(_=this.buildHeaders("column",this.getMappedStyle("colheader"),this.getMappedStyle("colendheader"))).root,c=_.endRoot,e.insertBefore(r,t),e.insertBefore(c,t),l=(_=this.buildHeaders("row",this.getMappedStyle("rowheader"),this.getMappedStyle("rowendheader"))).root,u=_.endRoot,e.insertBefore(l,t),e.insertBefore(u,t),h=this.buildDatabody(),e.insertBefore(h,t),n&&(r.style.direction="rtl",h.style.direction="rtl"),this.m_isResizing=!1,this.m_resizingElement=null,this.m_resizingElementMin=null,this.m_databodyDragState=!1,this.m_docMouseMoveListener=this.handleMouseMove.bind(this),this.m_docMouseUpListener=this.handleMouseUp.bind(this),this.m_utils.isTouchDevice()?(h.addEventListener("touchstart",this.handleTouchStart.bind(this),!1),h.addEventListener("touchmove",this.handleTouchMove.bind(this),!1),h.addEventListener("touchend",this.handleTouchEnd.bind(this),!1),h.addEventListener("touchcancel",this.handleTouchCancel.bind(this),!1),r.addEventListener("touchstart",this.handleHeaderTouchStart.bind(this),!1),r.addEventListener("touchmove",this.handleHeaderTouchMove.bind(this),!1),r.addEventListener("touchend",this.handleHeaderTouchEnd.bind(this),!1),r.addEventListener("touchcancel",this.handleHeaderTouchCancel.bind(this),!1),l.addEventListener("touchstart",this.handleHeaderTouchStart.bind(this),!1),l.addEventListener("touchmove",this.handleHeaderTouchMove.bind(this),!1),l.addEventListener("touchend",this.handleHeaderTouchEnd.bind(this),!1),l.addEventListener("touchcancel",this.handleHeaderTouchCancel.bind(this),!1),c.addEventListener("touchstart",this.handleHeaderTouchStart.bind(this),!1),c.addEventListener("touchmove",this.handleHeaderTouchMove.bind(this),!1),c.addEventListener("touchend",this.handleHeaderTouchEnd.bind(this),!1),c.addEventListener("touchcancel",this.handleHeaderTouchCancel.bind(this),!1),u.addEventListener("touchstart",this.handleHeaderTouchStart.bind(this),!1),u.addEventListener("touchmove",this.handleHeaderTouchMove.bind(this),!1),u.addEventListener("touchend",this.handleHeaderTouchEnd.bind(this),!1),u.addEventListener("touchcancel",this.handleHeaderTouchCancel.bind(this),!1)):(p=this.m_utils.getMousewheelEvent(),h.addEventListener(p,this.handleDatabodyMouseWheel.bind(this),!1),h.addEventListener("mousedown",this.handleDatabodyMouseDown.bind(this),!1),h.addEventListener("mousemove",this.handleDatabodyMouseMove.bind(this),!1),h.addEventListener("mouseup",this.handleDatabodyMouseUp.bind(this),!1),h.addEventListener("mouseout",this.handleDatabodyMouseOut.bind(this),!1),h.addEventListener("mouseover",this.handleDatabodyMouseOver.bind(this),!1),h.addEventListener("dblclick",this.handleDatabodyDoubleClick.bind(this),!1),l.addEventListener(p,this.handleDatabodyMouseWheel.bind(this),!1),l.addEventListener("mousedown",this.handleHeaderMouseDown.bind(this),!1),r.addEventListener("mousedown",this.handleHeaderMouseDown.bind(this),!1),l.addEventListener("mouseover",this.handleHeaderMouseOver.bind(this),!1),r.addEventListener("mouseover",this.handleHeaderMouseOver.bind(this),!1),l.addEventListener("mousemove",this.handleRowHeaderMouseMove.bind(this),!1),r.addEventListener("mousemove",this.handleColumnHeaderMouseMove.bind(this),!1),l.addEventListener("mouseup",this.handleHeaderMouseUp.bind(this),!1),r.addEventListener("mouseup",this.handleHeaderMouseUp.bind(this),!1),l.addEventListener("mouseout",this.handleHeaderMouseOut.bind(this),!1),r.addEventListener("mouseout",this.handleHeaderMouseOut.bind(this),!1),l.addEventListener("click",this.handleHeaderClick.bind(this),!1),r.addEventListener("click",this.handleHeaderClick.bind(this),!1),u.addEventListener(p,this.handleDatabodyMouseWheel.bind(this),!1),u.addEventListener("mousedown",this.handleHeaderMouseDown.bind(this),!1),c.addEventListener("mousedown",this.handleHeaderMouseDown.bind(this),!1),u.addEventListener("mouseover",this.handleHeaderMouseOver.bind(this),!1),c.addEventListener("mouseover",this.handleHeaderMouseOver.bind(this),!1),u.addEventListener("mousemove",this.handleRowHeaderMouseMove.bind(this),!1),c.addEventListener("mousemove",this.handleColumnHeaderMouseMove.bind(this),!1),u.addEventListener("mouseup",this.handleHeaderMouseUp.bind(this),!1),c.addEventListener("mouseup",this.handleHeaderMouseUp.bind(this),!1),u.addEventListener("mouseout",this.handleHeaderMouseOut.bind(this),!1),c.addEventListener("mouseout",this.handleHeaderMouseOut.bind(this),!1),u.addEventListener("click",this.handleHeaderClick.bind(this),!1),c.addEventListener("click",this.handleHeaderClick.bind(this),!1)),this._shouldInitialize()&&this._handleInitialization(!0)):(a=this._buildEmptyText(),this.m_root.appendChild(a),this._handleInitialization(!1))},i.prototype.HandleResize=function(e,t){e=this.getRootElement().clientWidth,t=this.getRootElement().clientHeight,e==this.m_width&&t==this.m_height||(this.m_width=e,this.m_height=t,this.m_rowFetchSize=null,this.m_columnFetchSize=null,this.m_initialized&&(this.resizeGrid(),this.isFetchComplete()&&(this.m_resizeRequired=!0,this.fillViewport())))},i.prototype.resizeGrid=function(){var e,t,i,s,o,n,r,l,h,a,d,m,c,u,_,p,g,C,y,f,E,S,v,w,H,x,b;if(e=this.getWidth(),t=this.getHeight(),i=this.m_colHeader,y=this.m_colEndHeader,s=this.m_rowHeader,f=this.m_rowEndHeader,b=(o=this.m_databody).firstChild,v=t-(r=this.getColumnHeaderHeight())-this.getColumnEndHeaderHeight(),w=e-(l=this.getRowHeaderWidth())-this.getRowEndHeaderWidth(),this.m_utils.isTouchDevice(),p=this.m_utils.getScrollbarSize(),this._databodyEmpty()&&(null==this.m_empty?(C=this._buildEmptyText(),this.m_root.appendChild(C)):C=this.m_empty,E=this.getElementHeight(C),S=this.getElementWidth(C),E>this.getElementHeight(b)&&this.setElementHeight(b,E),S>this.getElementWidth(b)&&this.setElementWidth(b,S)),a=this.getElementWidth(o.firstChild),m=this.getElementHeight(o.firstChild),u=this.isDatabodyHorizontalScrollbarRequired(w))_=this.isDatabodyVerticalScrollbarRequired(v-p),o.style.overflow="auto";else if(_=this.isDatabodyVerticalScrollbarRequired(v))u=this.isDatabodyHorizontalScrollbarRequired(w-p),o.style.overflow="auto";else{this.m_handleScrollOverflow=!1;var R=this;setTimeout(function(){R.m_handleScrollOverflow||R.m_hasVerticalScroller||R.m_hasHorizontalScroller||(o.style.overflow="hidden",R.m_handleScrollOverflow=!0)},10)}this.m_hasHorizontalScroller=u,this.m_hasVerticalScroller=_,-1!=this.m_endColEndHeader?(c=Math.min(m+(u?p:0),v),h=u?c-p:c):(c=v,h=Math.min(m,u?c-p:c)),-1!=this.m_endRowEndHeader?(d=Math.min(a+(_?p:0),w),n=_?d-p:d):(d=w,n=Math.min(a,_?d-p:d)),H=l+n+(_?p:0),x=r+h+(u?p:0),g=this.getResources().isRTLMode()?"right":"left",this.setElementDir(s,0,g),this.setElementDir(s,r,"top"),this.setElementHeight(s,h),this.setElementDir(f,H,g),this.setElementDir(f,r,"top"),this.setElementHeight(f,h),this.setElementDir(i,l,g),this.setElementWidth(i,n),this.setElementDir(y,l,g),this.setElementDir(y,x,"top"),this.setElementWidth(y,n),this.setElementDir(o,r,"top"),this.setElementDir(o,l,g),this.setElementWidth(o,d),this.setElementHeight(o,c),this.m_scrollWidth=a-n,this.m_scrollHeight=m-h,this.buildCorners(),this._adjustHeaderBorders(),this.m_resizeRequired=!1,new Date},i.prototype._sizeDatabodyScroller=function(){var e,t,i,s,o,n,r,l,h,a,d,m;t=(e=this.m_databody).firstChild,i=this._databodyEmpty(),s=this._isHighWatermarkScrolling(),o=this.m_utils._getMaxDivHeightForScrolling(),n=this.m_utils._getMaxDivWidthForScrolling(),r=this.getDataSource().getCount("row"),l=this.getDataSource().getCount("column"),d=0,m=0,i?(d=Math.max(Math.max(this.m_endRowHeaderPixel,this.m_endRowEndHeaderPixel),1),m=Math.max(Math.max(this.m_endColHeaderPixel,this.m_endColEndHeaderPixel),1)):(d=this.m_endRowPixel,m=this.m_endColPixel),h=-1==r||s?d:r*this.m_avgRowHeight,a=-1==l||s?m:l*this.m_avgColWidth,this.setElementHeight(t,Math.min(o,h)),this.setElementWidth(t,Math.min(n,a)),this.m_initialized&&(this.m_scrollWidth=this.getElementWidth(t)-this.getElementWidth(e)+(this.m_hasVerticalScroller?this.m_utils.getScrollbarSize():0),this.m_scrollHeight=this.getElementHeight(t)-this.getElementHeight(e)+(this.m_hasHorizontalScroller?this.m_utils.getScrollbarSize():0))},i.prototype._adjustLastHeadersAlongAxis=function(e,t,i,s,o,n){var r,l;for(r=0;r<t;)l=this._getHeaderByIndex(e,r,i,t,s),n?this.m_utils.removeCSSClassName(l,o):this.m_utils.addCSSClassName(l,o),r+=this.getHeaderCellDepth(l)},i.prototype._adjustHeaderBordersAlongAxis=function(e,t,i,s,o,n,r,l){null!=e&&i>=0&&(s?this.m_utils.addCSSClassName(o,n):this.m_utils.removeCSSClassName(o,n),t(i)&&this._adjustLastHeadersAlongAxis(i,r,e,l,n,s))},i.prototype._adjustHeaderBorders=function(){var e,t,i,s,o,n,r,l,h,a,d,m,c,u,_;if(o=this.m_utils.getScrollbarSize(),a=this.getWidth(),d=this.getHeight(),e=this.getColumnHeaderHeight(),t=this.getElementWidth(this.m_colHeader),r=this.getElementHeight(this.m_colEndHeader),l=this.getRowHeaderWidth(),h=this.getElementHeight(this.m_rowHeader),i=l+t+this.getElementWidth(this.m_rowEndHeader)+(this.m_hasVerticalScroller?o:0)<a,s=e+h+r+(this.m_hasHorizontalScroller?o:0)<d,i&&this.m_endRowEndHeader>=0?(u=!0,this.m_addBorderRight=!0):1==this.m_addBorderRight&&(u=!1),null!=u)for(n=this.getMappedStyle("borderVerticalSmall"),null!=this.m_columnHeaderScrollbarSpacer&&(u?this.m_utils.addCSSClassName(this.m_columnHeaderScrollbarSpacer,n):this.m_utils.removeCSSClassName(this.m_columnHeaderScrollbarSpacer,n)),null!=this.m_bottomCorner&&(u?this.m_utils.addCSSClassName(this.m_bottomCorner,n):this.m_utils.removeCSSClassName(this.m_bottomCorner,n)),c=this.m_rowEndHeader.firstChild.childNodes,m=0;m<c.length;m++)u?this.m_utils.addCSSClassName(c[m],n):this.m_utils.removeCSSClassName(c[m],n);else n=this.getMappedStyle("borderVerticalNone"),_=this._isLastColumn.bind(this),this._adjustHeaderBordersAlongAxis(this.m_colHeader,_,this.m_endColHeader,i,this.m_columnHeaderScrollbarSpacer,n,this.m_columnHeaderLevelCount,this.m_startColHeader),this._adjustHeaderBordersAlongAxis(this.m_colEndHeader,_,this.m_endColEndHeader,i,this.m_bottomCorner,n,this.m_columnEndHeaderLevelCount,this.m_startColEndHeader);if(u=null,s&&this.m_endColEndHeader>=0?(this.m_addBorderBottom=!0,u=!0):1==this.m_addBorderBottom&&(u=!1),null!=u)for(n=this.getMappedStyle("borderHorizontalSmall"),null!=this.m_rowHeaderScrollbarSpacer&&(u?this.m_utils.addCSSClassName(this.m_rowHeaderScrollbarSpacer,n):this.m_utils.removeCSSClassName(this.m_rowHeaderScrollbarSpacer,n)),null!=this.m_bottomCorner&&(u?this.m_utils.addCSSClassName(this.m_bottomCorner,n):this.m_utils.removeCSSClassName(this.m_bottomCorner,n)),c=this.m_colEndHeader.firstChild.childNodes,m=0;m<c.length;m++)u?this.m_utils.addCSSClassName(c[m],n):this.m_utils.removeCSSClassName(c[m],n);else n=this.getMappedStyle("borderHorizontalNone"),_=this._isLastRow.bind(this),this._adjustHeaderBordersAlongAxis(this.m_rowHeader,_,this.m_endRowHeader,s,this.m_rowHeaderScrollbarSpacer,n,this.m_rowHeaderLevelCount,this.m_startRowHeader),this._adjustHeaderBordersAlongAxis(this.m_rowEndHeader,_,this.m_endRowEndHeader,s,this.m_bottomCorner,n,this.m_rowEndHeaderLevelCount,this.m_startRowEndHeader)},i.prototype.buildCorners=function(){var e,t,i,s,o,n,r,l,h,a,d,m,c,u;e=this.m_utils.getScrollbarSize(),c=this.getWidth(),u=this.getHeight(),t=this.getColumnHeaderHeight(),h=this.getElementWidth(this.m_colHeader),d=this.getColumnEndHeaderHeight(),i=this.getRowHeaderWidth(),m=this.getRowEndHeaderWidth(),a=this.getElementHeight(this.m_rowHeader),n=this.getResources().isRTLMode()?"right":"left",-1!=this.m_endRowHeader&&-1!=this.m_endColHeader&&(null!=this.m_corner?o=this.m_corner:((o=document.createElement("div")).id=this.createSubId("corner"),o.className=this.getMappedStyle("topcorner")),this.setElementWidth(o,i),this.setElementHeight(o,t),null==this.m_corner&&(this.m_root.appendChild(o),this.m_corner=o)),null!=this.m_corner&&null==o&&(this.m_root.removeChild(this.m_corner),this.m_corner=null),this.m_corner&&null!==this.m_corner&&this.m_corner.addEventListener("click",this.handleCornerClick.bind(this),!1),-1!=this.m_endRowHeader&&(this.m_hasHorizontalScroller||-1!=this.m_endColEndHeader?(null!=this.m_rowHeaderScrollbarSpacer?r=this.m_rowHeaderScrollbarSpacer:((r=document.createElement("div")).id=this.createSubId("rhSbSpacer"),r.className=this.getMappedStyle("rowheaderspacer")),this.setElementDir(r,a+t,"top"),this.setElementDir(r,0,n),this.setElementWidth(r,i),-1!=this.m_endColEndHeader?this.setElementHeight(r,d+(this.m_hasHorizontalScroller?e:0)):this.setElementHeight(r,u-a-t),null==this.m_rowHeaderScrollbarSpacer&&(this.m_root.appendChild(r),this.m_rowHeaderScrollbarSpacer=r)):(null!=this.m_rowHeaderScrollbarSpacer&&this.m_root.removeChild(this.m_rowHeaderScrollbarSpacer),this.m_rowHeaderScrollbarSpacer=null)),-1!=this.m_endColHeader&&(this.m_hasVerticalScroller||-1!=this.m_endRowEndHeader?(null!=this.m_columnHeaderScrollbarSpacer?l=this.m_columnHeaderScrollbarSpacer:((l=document.createElement("div")).id=this.createSubId("chSbSpacer"),l.className=this.getMappedStyle("colheaderspacer")),this.setElementDir(l,i+h,n),this.setElementDir(l,0,"top"),-1!=this.m_endRowEndHeader?this.setElementWidth(l,m+(this.m_hasVerticalScroller?e:0)):this.setElementWidth(l,c-h-i),this.setElementHeight(l,t),null==this.m_columnHeaderScrollbarSpacer&&(this.m_root.appendChild(l),this.m_columnHeaderScrollbarSpacer=l)):(null!=this.m_columnHeaderScrollbarSpacer&&this.m_root.removeChild(this.m_columnHeaderScrollbarSpacer),this.m_columnHeaderScrollbarSpacer=null)),(this.m_hasHorizontalScroller&&this.m_hasVerticalScroller||this.m_hasVerticalScroller&&-1!=this.m_endColEndHeader||this.m_hasHorizontalScroller&&-1!=this.m_endRowEndHeader||-1!=this.m_endRowEndHeader&&-1!=this.m_endColEndHeader)&&(null!=this.m_bottomCorner?s=this.m_bottomCorner:((s=document.createElement("div")).id=this.createSubId("bcorner"),s.className=this.getMappedStyle("bottomcorner")),this.setElementDir(s,a+t,"top"),this.setElementDir(s,i+h,n),-1!=this.m_endRowEndHeader?this.setElementWidth(s,m+(this.m_hasVerticalScroller?e:0)):this.setElementWidth(s,c-h-i),-1!=this.m_endColEndHeader?this.setElementHeight(s,d+(this.m_hasHorizontalScroller?e:0)):this.setElementHeight(s,u-a-t),null==this.m_bottomCorner&&(this.m_root.appendChild(s),this.m_bottomCorner=s)),null!=this.m_bottomCorner&&null==s&&(this.m_root.removeChild(this.m_bottomCorner),this.m_bottomCorner=null)},i.prototype._updateScrollPosition=function(e){this._scrollToScrollPositionObject(e)},i.prototype._setScrollPosition=function(){this.m_setOptionCallback("scrollPosition",this._createScrollPositionObject(this.m_currentScrollLeft,this.m_currentScrollTop),{_context:{writeback:!0,internalSet:!0}})},i.prototype._clearScrollPositionKeys=function(){var e=this.m_options.getScrollPosition();e.rowKey=void 0,e.columnKey=void 0,this.m_setOptionCallback("scrollPosition",e,{_context:{internalSet:!0}})},i.prototype._createScrollPositionObject=function(e,t){var i={x:e,y:t},s=this.getResources().isRTLMode()?"right":"left",o=this._getCellAtPixel(e,t);if(null!=o)i.rowIndex=this._getIndex(o,"row"),i.columnIndex=this._getIndex(o,"column"),i.rowKey=this._getKey(o,"row"),i.columnKey=this._getKey(o,"column"),i.offsetX=e-this.getElementDir(o,s),i.offsetY=t-this.getElementDir(o,"top");else{var n=this._getHeaderAtPixel(t,"row");null!=n&&(i.rowIndex=this._getIndex(n),i.rowKey=this._getKey(n),i.offsetY=t-this.getElementDir(n,"top"));var r=this._getHeaderAtPixel(e,"column");null!=r&&(i.columnIndex=this._getIndex(r),i.columnKey=this._getKey(r),i.offsetX=e-this.getElementDir(r,s))}return i},i.prototype._getCellAtPixel=function(e,t){for(var i=this.m_databody.firstChild.childNodes,s=this.getResources().isRTLMode()?"right":"left",o=0;o<i.length;o++){var n=i[o],r=this.getElementDir(n,s),l=r+this.getElementWidth(n);if(r<=e&&e<l){var h=this.getElementDir(n,"top"),a=h+this.getElementHeight(n);if(h<=t&&t<a)return n}}return null},i.prototype._getHeaderAtPixel=function(e,t){var i=this;if("row"==t)var s=this.m_rowHeader.firstChild.childNodes,o=this.m_rowEndHeader.firstChild.childNodes,n="top",r="height";else if("column"==t)s=this.m_colHeader.firstChild.childNodes,o=this.m_colEndHeader.firstChild.childNodes,n=this.getResources().isRTLMode()?"right":"left",r="width";var l=function(t){for(var s=0;s<t.length;s++){var o=t[s],l=i.getElementDir(o,n),h=l+i.getElementDir(o,r);if(l<=e&&e<h)return o}},h=l(s);return null==h&&(h=l(o)),h},i.prototype._checkScrollPosition=function(){null!=this.m_desiredScrollPositionObject?this._scrollToScrollPositionObject(this.m_desiredScrollPositionObject):this.m_initialized?this._setScrollPosition():this._updateScrollPosition(this.m_options.getScrollPosition())},i.prototype._scrollToScrollPositionObject=function(e){var t=e.x,i=e.y,s=e.rowIndex,o=e.columnIndex,n=e.rowKey,r=e.columnKey,l=e.offsetX?e.offsetX:0,h=e.offsetY?e.offsetY:0,a=this.getResources().isRTLMode()?"right":"left",d=this;new Promise(function(e,t){null!=n||null!=r?d._indexes({row:n,column:r},function(t,i){e({rowIndexFromKey:t.row,columnIndexFromKey:t.column})}):e({rowIndexFromKey:null,columnIndexFromKey:null})}).then(function(m){var c=d._getPositionEstimate("column",a,r,m.columnIndexFromKey,o,t,l,d.m_currentScrollLeft,d._getMaxRightPixel(),d.m_avgColWidth),u=d._getPositionEstimate("row","top",n,m.rowIndexFromKey,s,i,h,d.m_currentScrollTop,d._getMaxBottomPixel(),d.m_avgRowHeight);c!=d.m_currentScrollLeft||u!=d.m_currentScrollTop?(d.m_desiredScrollPositionObject=e,d._initiateScroll(c,u)):(d.m_desiredScrollPositionObject=null,d._setScrollPosition())})},i.prototype._getPositionEstimate=function(e,t,i,s,o,n,r,l,h,a){var d,m,c=this._isHighWatermarkScrolling();if(null!=i&&-1!=s&&(null!=(m=this._getCellOrHeaderByKey(i,e))?d=this.getElementDir(m,t)+r:c?d=h:null!=s&&(d=a*s+r),null!=d))return d;null!=o?d=null!=(m=this._getCellOrHeaderByIndex(o,e))?this.getElementDir(m,t)+r:c?h:a*o:d=null!=n?n:l;return d},i.prototype._isKeyRendered=function(e,t){for(var i=this.m_databody.firstChild.childNodes,s=0;s<i.length;s++)if(this._shallowThenDeepCompare(this._getKey(i[s],t),e))return i[s]},i.prototype.isDatabodyHorizontalScrollbarRequired=function(e){var t,i,s;return t=this.m_databody,s=null==e?this.getElementWidth(t):e,i=t.firstChild,this.getElementWidth(i)>s},i.prototype.isDatabodyVerticalScrollbarRequired=function(e){var t,i,s;return t=this.m_databody,s=null==e?this.getElementHeight(t):e,i=t.firstChild,this.getElementHeight(i)>s},i.prototype.buildStatus=function(){var e,t;return(e=document.createElement("div")).className=this.getMappedStyle("loadingicon"),(t=document.createElement("div")).id=this.createSubId("status"),t.className=this.getMappedStyle("status"),t.setAttribute("role","status"),t.appendChild(e),t},i.prototype.buildAccInfo=function(){var e=document.createElement("div");return e.id=this.createSubId("info"),e.className=this.getMappedStyle("info"),e.setAttribute("role","status"),e},i.prototype.buildAccSummary=function(){var e=document.createElement("div");return e.id=this.createSubId("summary"),e.className=this.getMappedStyle("info"),e},i.prototype.buildStateInfo=function(){var e=document.createElement("div");return e.id=this.createSubId("state"),e.className=this.getMappedStyle("info"),e},i.prototype.buildContextInfo=function(){var e=document.createElement("div");return e.id=this.createSubId("context"),e.className=this.getMappedStyle("info"),e},i.prototype.buildPlaceHolder=function(){var e=document.createElement("div");return e.id=this.createSubId("placeHolder"),e.className=this.getMappedStyle("info"),e},i.prototype.populateAccInfo=function(){var e;e=this.getResources().getTranslatedText("accessibleSummaryExact",{rownum:this.m_endRow+1,colnum:this.m_endCol+1}),this.getDataSource().getExpandedKeys&&(e=e+". "+this.getResources().getTranslatedText("accessibleSummaryExpanded",{num:this.getDataSource().getExpandedKeys().length})),e+=". ",this.m_accSummary.textContent=e},i.prototype.SetAccessibleContext=function(e){var t,i,s,o,n,r,l;if(null!=e&&(null!=e.context&&(this.m_accessibleContext=e.context),null!=e.state&&(this.m_stateInfo.textContent=e.state),null!=e.ancestors&&this._isDatabodyCellActive())){if(t="",i=e.ancestors,null!=(s=this.m_active.indexes.column)&&s>=0)for(o=0;o<i.length;o++)o>0&&(t=t.concat(", ")),n=i[o],null!=(r=this._getAxisCellsByKey(n.key,"row"))&&(l=null!=(l=r[0].textContent)?l.replace(/\n|<br\s*\/?>/gi,"").trim():"",t=t.concat(n.label).concat(" ").concat(l));this.m_accessibleContext=t.concat(", ").concat(this.m_accessibleContext)}},i.prototype._updateStateInfo=function(e){var t,i,s;for(s=". ",t=0;t<e.length;t++)null!=(i=this.getResources().getTranslatedText(e[t].key,e[t].args))&&(s=2===s.length?s+i:s+", "+i);s=0===s.length?s:s+". ",this.m_stateInfo.textContent=s},i.prototype._updateContextInfo=function(e,t){var i,s,o,n,r,l,h,a,d;e.indexes&&(i=e.indexes.row,s=e.indexes.column),r=e.level,l=e.rowHeader,h=e.rowEndHeader,a=e.columnHeader,d=e.columnEndHeader,o="",null!=this.m_accessibleContext||isNaN(i)||"row"==t||null!=(n=this.getResources().getTranslatedText("accessibleRowContext",{index:i+1}))&&(o=n),isNaN(s)||"column"==t||null!=(n=this.getResources().getTranslatedText("accessibleColumnContext",{index:s+1}))&&(o=0===o.length?n:o+", "+n),isNaN(l)||"rowHeader"==t||null!=(n=this.getResources().getTranslatedText("accessibleRowHeaderContext",{index:l+1}))&&(o=0===o.length?n:o+", "+n),isNaN(a)||"columnHeader"==t||null!=(n=this.getResources().getTranslatedText("accessibleColumnHeaderContext",{index:a+1}))&&(o=0===o.length?n:o+", "+n),isNaN(h)||"rowEndHeader"==t||null!=(n=this.getResources().getTranslatedText("accessibleRowEndHeaderContext",{index:h+1}))&&(o=0===o.length?n:o+", "+n),isNaN(d)||"columnEndHeader"==t||null!=(n=this.getResources().getTranslatedText("accessibleColumnEndHeaderContext",{index:d+1}))&&(o=0===o.length?n:o+", "+n),isNaN(r)||"level"==t||null!=(n=this.getResources().getTranslatedText("accessibleLevelContext",{level:r+1}))&&(o=0===o.length?n:o+", "+n),o=0===o.length?o:o+". ",null!=this.m_accessibleContext&&(o+=this.m_accessibleContext,this.m_accessibleContext=null),this.m_contextInfo.textContent=o},i.prototype._isCountUnknown=function(e){var t,i,s,o,n;return t=this.getDataSource(),"row"===e||"rowEnd"===e?(void 0===this.m_isEstimateRowCount&&(i=t.getCountPrecision("row"),o=t.getCount("row"),this.m_isEstimateRowCount="estimate"===i||o<0),this.m_isEstimateRowCount):("column"===e||"columnEnd"===e)&&(void 0===this.m_isEstimateColumnCount&&(s=t.getCountPrecision("column"),n=t.getCount("column"),this.m_isEstimateColumnCount="estimate"===s||n<0),this.m_isEstimateColumnCount)},i.prototype._isCountUnknownOrHighwatermark=function(e){return this._isCountUnknown(e)||this._isHighWatermarkScrolling()},i.prototype._hideHeader=function(e){e.style.display="none"},i.prototype._showHeader=function(e){e.style.display=""},i.prototype.buildHeaders=function(e,t,i){var s,o,n,r,l;return l=this.getMappedStyle("scroller")+(this.m_utils.isTouchDevice()?" "+this.getMappedStyle("scroller-mobile"):""),(s=document.createElement("div")).id=this.createSubId(e+"Header"),s.className=t+" "+this.getMappedStyle("header"),(n=document.createElement("div")).className=l,s.appendChild(n),(o=document.createElement("div")).id=this.createSubId(e+"EndHeader"),o.className=i+" "+this.getMappedStyle("endheader"),(r=document.createElement("div")).className=l,o.appendChild(r),"column"===e?(this.m_colHeader=s,this.m_colEndHeader=o):"row"===e&&(this.m_rowHeader=s,this.m_rowEndHeader=o),this.fetchHeaders(e,0,s,o,null,null),{root:s,endRoot:o}},i.prototype.fetchHeaders=function(e,t,i,s,o,n){var r,l;this.m_fetching[e]||(null==o&&(o=this.getFetchCount(e,t)),r={axis:e,start:t,count:o,header:i,endHeader:s},this.m_fetching[e]=r,l=null!=n&&null!=n.success?n.success:this.handleHeadersFetchSuccess,this.showStatusText(),this._signalTaskStart(),this.getDataSource().fetchHeaders(r,{success:l,error:this.handleHeadersFetchError},{success:this,error:this}))},i.prototype.isHeaderFetchResponseValid=function(e){var t;return t=e.axis,null!=this.m_fetching&&(this.m_fetching[t].count,e==this.m_fetching[t])},i.prototype.isHeaderFetchResponseInViewport=function(e){var t,i;return!this.m_initialized||(i=e.axis,t=e.start,("row"==i?this._getLongScrollStart(this.m_currentScrollTop,this.m_prevScrollTop,i):this._getLongScrollStart(this.m_currentScrollLeft,this.m_prevScrollLeft,i)).start==t)},i.prototype.handleHeadersFetchSuccess=function(e,t,i,s){var o,n,r,l,h,a,d,m;if(d=(a=this.m_options.getScrollPolicyOptions())?a.maxRowCount:null,m=a?a.maxColumnCount:null,this.isHeaderFetchResponseValid(t)){if(o=t.axis,this.isLongScroll()&&!this.isHeaderFetchResponseInViewport(t))return this.m_fetching[o]=!1,this.m_headerInvalid=!0,void this._signalTaskEnd();this.m_fetching[o]=!1,n=t.header,r=t.endHeader,l=t.start,h=this.getDataSource().getCount(o),"column"===o?(null!=e&&(this.buildColumnHeaders(n,e,l,h,!1,!1),(e.getCount()<t.count||m&&m>0&&m===l+e.getCount())&&(this.m_stopColumnHeaderFetch=!0)),this.m_endColHeader<0?(this._hideHeader(n),this.m_stopColumnHeaderFetch=!0):this.m_hasColHeader=!0,null!=i&&(this.buildColumnEndHeaders(r,i,l,h,!1,!1),(i.getCount()<t.count||m&&m>0&&m===l+i.getCount())&&(this.m_stopColumnEndHeaderFetch=!0)),this.m_endColEndHeader<0?(this._hideHeader(r),this.m_stopColumnEndHeaderFetch=!0):this.m_hasColEndHeader=!0):"row"===o&&(null!=e&&(this.buildRowHeaders(n,e,l,h,s,!1),(e.getCount()<t.count||d&&d>0&&d===l+e.getCount())&&(this.m_stopRowHeaderFetch=!0)),this.m_endRowHeader<0?(this._hideHeader(n),this.m_stopRowHeaderFetch=!0):this.m_hasRowHeader=!0,null!=i&&(this.buildRowEndHeaders(r,i,l,h,s,!1),(i.getCount()<t.count||d&&d>0&&d===l+i.getCount())&&(this.m_stopRowEndHeaderFetch=!0)),this.m_endRowEndHeader<0?(this._hideHeader(r),this.m_stopRowEndHeaderFetch=!0):this.m_hasRowEndHeader=!0),this.isFetchComplete()&&(this.hideStatusText(),this._shouldInitialize()&&!s&&this._handleInitialization(!0)),this.m_initialized&&this._sizeDatabodyScroller(),this._signalTaskEnd()}else this._signalTaskEnd()},i.prototype.handleHeadersFetchError=function(e,t){var i=t.axis;this.m_fetching[i]=!1,this._signalTaskEnd()},i.prototype.createHeaderContext=function(e,t,i,s,o,n,r,l){var h,a;for(a in(h={}).axis=e,h.index=t,h.data=i,h.component=this,h.datasource=this.getDataSource(),h.level=n,h.depth=l,h.extent=r,null!=o&&(h.parentElement=o),s)s.hasOwnProperty(a)&&(h[a]=s[a]);return null!=this.m_createContextCallback&&this.m_createContextCallback.call(this,h),this.m_fixContextCallback.call(this,h)},i.prototype.buildColumnHeaders=function(e,t,i,s,o,n){var r,l,h,a,d,m,c,u,_,p;null==this.m_columnHeaderLevelCount&&(this.m_columnHeaderLevelCount=t.getLevelCount()),0!=this.m_columnHeaderLevelCount&&("column",l=t.getCount(),!1,null,a=(h=i>this.m_endColHeader)?this.m_endColHeaderPixel:this.m_startColHeaderPixel,d=this.m_endColHeader,m=this.m_columnHeaderLevelCount,c=this.getMappedStyle("colheader")+" "+this.getMappedStyle("header"),u=this.getMappedStyle("headercell")+" "+this.getMappedStyle("colheadercell"),!1,_=(r=this.buildAxisHeaders(e,t,"column",i,l,h,!1,null,a,d,m,c,u,!1)).totalHeaderDimension,p=r.totalLevelDimension,0==_||0!=this.m_avgColWidth&&null!=this.m_avgColWidth||(this.m_avgColWidth=_/l),this.m_colHeaderHeight||(this.m_colHeaderHeight=p,this.setElementHeight(e,this.m_colHeaderHeight)),h?(this.m_endColHeader=i+l-1,this.m_endColHeaderPixel=this.m_endColHeaderPixel+_):(this.m_startColHeader=this.m_startColHeader-l,this.m_startColHeaderPixel=this.m_startColHeaderPixel-_),-1==s&&(s=this.m_endColHeader),!this._isCountUnknown("column")&&this._isHighWatermarkScrolling()&&this.m_endColHeader+1>=s?this.m_stopColumnHeaderFetch=!0:this.m_stopColumnHeaderFetch=r.stopFetch,0==this.m_startColHeader&&0!=this.m_startColHeaderPixel&&(this._shiftHeadersAlongAxisInContainer(e.firstChild,0,-1*this.m_startColHeaderPixel,this.getResources().isRTLMode()?"right":"left",this.getMappedStyle("colheadercell")),this.m_startColHeaderPixel=0))},i.prototype.buildColumnEndHeaders=function(e,t,i,s,o,n){var r,l,h,a,d,m,c,u,_,p;null==this.m_columnEndHeaderLevelCount&&(this.m_columnEndHeaderLevelCount=t.getLevelCount()),0!=this.m_columnEndHeaderLevelCount&&("columnEnd",l=t.getCount(),!1,null,a=(h=i>this.m_endColEndHeader)?this.m_endColEndHeaderPixel:this.m_startColEndHeaderPixel,d=this.m_endColEndHeader,m=this.m_columnEndHeaderLevelCount,c=this.getMappedStyle("colendheader")+" "+this.getMappedStyle("endheader"),u=this.getMappedStyle("endheadercell")+" "+this.getMappedStyle("colendheadercell"),!1,_=(r=this.buildAxisHeaders(e,t,"columnEnd",i,l,h,!1,null,a,d,m,c,u,!1)).totalHeaderDimension,p=r.totalLevelDimension,0==_||0!=this.m_avgColWidth&&null!=this.m_avgColWidth||(this.m_avgColWidth=_/l),this.m_colEndHeaderHeight||(this.m_colEndHeaderHeight=p,this.setElementHeight(e,this.m_colEndHeaderHeight)),h?(this.m_endColEndHeader=i+l-1,this.m_endColEndHeaderPixel=this.m_endColEndHeaderPixel+_):(this.m_startColEndHeader=this.m_startColEndHeader-l,this.m_startColEndHeaderPixel=this.m_startColEndHeaderPixel-_),-1==s&&(s=this.m_endColEndHeader),!this._isCountUnknown("column")&&this._isHighWatermarkScrolling()&&this.m_endColEndHeader+1>=s?this.m_stopColumnEndHeaderFetch=!0:this.m_stopColumnEndHeaderFetch=r.stopFetch,0==this.m_startColEndHeader&&0!=this.m_startColEndHeaderPixel&&(this._shiftHeadersAlongAxisInContainer(e.firstChild,0,-1*this.m_startColEndHeaderPixel,this.getResources().isRTLMode()?"right":"left",this.getMappedStyle("colendheadercell")),this.m_startColEndHeaderPixel=0))},i.prototype.buildRowHeaders=function(e,t,i,s,o,n){var r,l,h,a,d,m,c,u,_,p,g,C;if(null==this.m_rowHeaderLevelCount&&(this.m_rowHeaderLevelCount=t.getLevelCount()),0!=this.m_rowHeaderLevelCount){if("row",l=t.getCount(),d=(h=i>this.m_endRowHeader)?this.m_endRowHeaderPixel:this.m_startRowHeaderPixel,o?(a=e.firstChild.childNodes[i-this.m_startRowHeader],d=this.getElementDir(a,"top")):a=null,m=this.m_endRowHeader,c=this.m_rowHeaderLevelCount,u=this.getMappedStyle("rowheader")+" "+this.getMappedStyle("header"),_=this.getMappedStyle("headercell")+" "+this.getMappedStyle("rowheadercell"),p=(r=this.buildAxisHeaders(e,t,"row",i,l,h,o,a,d,m,c,u,_,n)).totalHeaderDimension,g=r.totalLevelDimension,n)return r;0==p||0!=this.m_avgRowHeight&&null!=this.m_avgRowHeight||(this.m_avgRowHeight=p/l),this.m_rowHeaderWidth||(this.m_rowHeaderWidth=g,this.setElementWidth(e,this.m_rowHeaderWidth)),h?(-1!=this.m_endRowHeader&&0!=l&&null!=(C=e.firstChild.childNodes[this.m_endRowHeader-this.m_startRowHeader])&&this.m_utils.removeCSSClassName(C,this.getMappedStyle("borderHorizontalNone")),this.m_endRowHeader=i+l-1,this.m_endRowHeaderPixel=this.m_endRowHeaderPixel+p):o?(i<this.m_startRowHeader&&(this.m_startRowHeader=i,this.m_startRowHeaderPixel=Math.max(0,this.m_startRowHeaderPixel-p)),this.m_endRowHeader=this.m_endRowHeader+l,this.m_endRowHeaderPixel=Math.max(0,this.m_endRowHeaderPixel+p),this.pushRowHeadersDown(a,p)):(this.m_startRowHeader=Math.max(0,this.m_startRowHeader-l),this.m_startRowHeaderPixel=this.m_startRowHeaderPixel-p),-1==s&&(s=this.m_endRowHeader),!this._isCountUnknown("row")&&this._isHighWatermarkScrolling()&&this.m_endRowHeader+1>=s?this.m_stopRowHeaderFetch=!0:this.m_stopRowHeaderFetch=r.stopFetch,0==this.m_startRowHeader&&0!=this.m_startRowHeaderPixel&&(this._shiftHeadersAlongAxisInContainer(e.firstChild,0,-1*this.m_startRowHeaderPixel,"top",this.getMappedStyle("rowheadercell")),this.m_startRowHeaderPixel=0)}},i.prototype.buildRowEndHeaders=function(e,t,i,s,o,n){var r,l,h,a,d,m,c,u,_,p,g,C;if(null==this.m_rowEndHeaderLevelCount&&(this.m_rowEndHeaderLevelCount=t.getLevelCount()),0!=this.m_rowEndHeaderLevelCount){if("rowEnd",l=t.getCount(),d=(h=i>this.m_endRowEndHeader)?this.m_endRowEndHeaderPixel:this.m_startRowEndHeaderPixel,o?(a=e.firstChild.childNodes[i-this.m_startRowEndHeader],d=this.getElementDir(a,"top")):a=null,m=this.m_endRowEndHeader,c=this.m_rowEndHeaderLevelCount,u=this.getMappedStyle("rowendheader")+" "+this.getMappedStyle("endheader"),_=this.getMappedStyle("endheadercell")+" "+this.getMappedStyle("rowendheadercell"),r=this.buildAxisHeaders(e,t,"rowEnd",i,l,h,o,a,d,m,c,u,_,n),n)return r;if(p=r.totalHeaderDimension,g=r.totalLevelDimension,n)return r;0==p||0!=this.m_avgRowHeight&&null!=this.m_avgRowHeight||(this.m_avgRowHeight=p/l),this.m_rowEndHeaderWidth||(this.m_rowEndHeaderWidth=g,this.setElementWidth(e,this.m_rowEndHeaderWidth)),h?(-1!=this.m_endRowEndHeader&&0!=l&&null!=(C=e.firstChild.childNodes[this.m_endRowEndHeader-this.m_startRowEndHeader])&&this.m_utils.removeCSSClassName(C,this.getMappedStyle("borderHorizontalNone")),this.m_endRowEndHeader=i+l-1,this.m_endRowEndHeaderPixel=this.m_endRowEndHeaderPixel+p):o?(i<this.m_startRowEndHeader&&(this.m_startRowEndHeader=i,this.m_startRowEndHeaderPixel=Math.max(0,this.m_startRowEndHeaderPixel-p)),this.m_endRowEndHeader=this.m_endRowEndHeader+l,this.m_endRowEndHeaderPixel=Math.max(0,this.m_endRowEndHeaderPixel+p),this.pushRowHeadersDown(a,p)):(this.m_startRowEndHeader=Math.max(0,this.m_startRowEndHeader-l),this.m_startRowEndHeaderPixel=this.m_startRowEndHeaderPixel-p),-1==s&&(s=this.m_endRowEndHeader),!this._isCountUnknown("row")&&this._isHighWatermarkScrolling()&&this.m_endRowEndHeader+1>=s?this.m_stopRowEndHeaderFetch=!0:this.m_stopRowEndHeaderFetch=r.stopFetch,0==this.m_startRowEndHeader&&0!=this.m_startRowEndHeaderPixel&&(this._shiftHeadersAlongAxisInContainer(e.firstChild,0,-1*this.m_startRowEndHeaderPixel,"top",this.getMappedStyle("rowendheadercell")),this.m_startRowEndHeaderPixel=0)}},i.prototype.buildAxisHeaders=function(e,t,i,s,o,n,r,l,h,a,d,m,c,u){var _,p,g,C,y,f,E,S,v,w,H,x,b;if(S=(b=-1!=i.indexOf("column"))?"height":"width",p=!1,C=0,y=0,x=0,H=0,!u){if(0==o&&this._isCountUnknown(i))return{totalHeaderDimension:C,totalLevelDimension:y,stopFetch:p=!0};_=e.firstChild,-1==a&&""==e.className&&(e.className=m,e.style[S]="",_.style[S]="")}for(g=this.m_options.getRenderer(i),f=document.createDocumentFragment(),E=0;o-E>0;)n||r?(v=s+E,x=b?h+C:0,H=b?0:h+C):(v=s+(o-1-E),x=b?h-C:0,H=b?0:h-C),E+=(w=this.buildLevelHeaders(f,v,0,x,H,n,r,g,t,i,c,d)).count,C+=w.totalHeaderDimension,w.totalLevelDimension>y&&(y=w.totalLevelDimension);return u?f:(n?_.appendChild(f):r?_.insertBefore(f,l):_.insertBefore(f,_.firstChild),e.hasChildNodes()||r||e.appendChild(_),{totalHeaderDimension:C,totalLevelDimension:y,stopFetch:p})},i.prototype._renderContent=function(e,t,i,s){var o;if(null!=e){null!=(o=e.call(this,t))&&(null===o.parentNode||o.parentNode instanceof DocumentFragment?(i.appendChild(o),this.m_subtreeAttachedCallback(o)):null!=o.parentNode||o.toString&&i.appendChild(document.createTextNode(o.toString())));var n=this.m_contextCallback(i).getBusyContext(),r=this;n.whenReady().then(function(){r._disableAllFocusableElements(i)})}else null!=s&&"object"==typeof s&&s.hasOwnProperty("data")&&(s=s.data),null==s&&(s=""),i.appendChild(document.createTextNode(s.toString()))},i.prototype.buildLevelHeaders=function(e,t,i,s,o,n,r,l,h,a,d,m){var c,u,_,p,g,C,y,f,E,S,v,w,H,x,b,R,M,I,A,T,D,N,L,F,O,P,k,z,B,W,K,U,j;if(I=0,B=0,T=0,D=0,"row"===a?(j="row",U=this.m_rowHeader,c="width",x=this.m_rowHeaderLevelWidths,u="height",_="top",p=o,g=this.getResources().isRTLMode()?"right":"left",C=s,y=this.m_startRowHeader,f=this.m_endRowHeader):"rowEnd"==a?(j="row",U=this.m_rowEndHeader,c="width",x=this.m_rowEndHeaderLevelWidths,u="height",_="top",p=o,g=this.getResources().isRTLMode()?"left":"right",C=s,y=this.m_startRowEndHeader,f=this.m_endRowEndHeader):"column"==a?(j="column",U=this.m_colHeader,c="height",x=this.m_columnHeaderLevelHeights,u="width",_=this.getResources().isRTLMode()?"right":"left",p=s,g="top",C=o,y=this.m_startColHeader,f=this.m_endColHeader):(j="column",U=this.m_colEndHeader,c="height",x=this.m_columnEndHeaderLevelHeights,u="width",_=this.getResources().isRTLMode()?"right":"left",p=s,g="bottom",C=o,y=this.m_startColEndHeader,f=this.m_endColEndHeader),S=(E=h.getExtent(t,i)).extent,v=E.more.before,w=E.more.after,O=h.getDepth(t,i),v&&t===f+1){for(H=this._getHeaderContainer(t-1,i,0,null,U,m),this._setAttribute(H,"extent",this._getAttribute(H,"extent",!0)+S),b=H.firstChild,I=this.getElementDir(b,c),M=0;M<S;)p+=(R="column"===a||"columnEnd"===a?this.buildLevelHeaders(H,t+M,i+O,p,C+I,n,r,l,h,a,d,m):this.buildLevelHeaders(H,t+M,i+O,C+I,p,n,r,l,h,a,d,m)).totalHeaderDimension,T+=R.totalHeaderDimension,D+=R.count,M+=R.count;this.setElementDir(b,this.getElementDir(b,u)+T,u)}else if(w&&t===y-1){for(H=this._getHeaderContainer(t+1,i,0,null,U,m),this._setAttribute(H,"extent",this._getAttribute(H,"extent",!0)+S),this._setAttribute(H,"start",this._getAttribute(H,"start",!0)-S),b=H.firstChild,I=this.getElementDir(b,c),M=0;M<S;)p-=(R="column"===a||"columnEnd"===a?this.buildLevelHeaders(H,t-M,i+O,p,C+I,n,r,l,h,a,d,m):this.buildLevelHeaders(H,t-M,i+O,C+I,p,n,r,l,h,a,d,m)).totalHeaderDimension,T+=R.totalHeaderDimension,D+=R.count,M+=R.count;this.setElementDir(b,this.getElementDir(b,u)+T,u),this.setElementDir(b,p,_)}else{if(N=h.getData(t,i),L=h.getMetadata(t,i),b=document.createElement("div"),F=this.createHeaderContext(a,t,N,L,b,i,S,O),b.setAttribute(this.getResources().getMappedAttribute("busyContext"),""),this._createUniqueId(b),b[this.getResources().getMappedAttribute("context")]=F,P=this.m_options.getInlineStyle(a,F),k=this.m_options.getStyleClass(a,F),null!=P&&(b.style.cssText=P),b.className=d,b.className+=" "+this.getMappedStyle("depth")+O,null!=k&&(b.className+=" "+k),this.setElementDir(b,C,g),this.setElementDir(b,p,_),I=this._getHeaderLevelDimension(i,b,x,c,O),this.setElementDir(b,I,c),A=this._getHeaderDimension(b,F.key,j,u),this._setAttribute(b,"depth",O),i!=m-1&&((H=document.createElement("div")).className=this.getMappedStyle("groupingcontainer"),H.appendChild(b),this._setAttribute(H,"start",n||r?t:t-S+1),this._setAttribute(H,"extent",S),this._setAttribute(H,"level",i)),i+O==m)this.setElementDir(b,A,u),T+=A,D++,B=I,n||r||(p-=A,this.setElementDir(b,p,_));else{for(M=0;M<S;M++)z=n||r?t+M:t-M,A=(R="column"===a||"columnEnd"===a?this.buildLevelHeaders(H,z,i+O,p,C+I,n,r,l,h,a,d,m):this.buildLevelHeaders(H,z,i+O,C+I,p,n,r,l,h,a,d,m)).totalHeaderDimension,p=n||r?p+A:p-A,T+=A,D+=R.count,M+=R.count-1;B=I+R.totalLevelDimension,n||r||this.setElementDir(b,p,_),this.setElementDir(b,T,u)}"columnEnd"==a&&this.m_addBorderBottom&&this.m_utils.addCSSClassName(b,this.getMappedStyle("borderHorizontalSmall")),"rowEnd"==a&&this.m_addBorderRight&&this.m_utils.addCSSClassName(b,this.getMappedStyle("borderVerticalSmall")),this._isHeaderResizeEnabled(a,F)&&this._setAttribute(b,"resizable","true"),null!=H?this.m_root.appendChild(H):this.m_root.appendChild(b),this._renderContent(l,F,b,N),"column"===a&&this._isSortEnabled(a,F)&&(null!=L.sortDirection&&null==this.m_sortInfo&&(this.m_sortInfo={},this.m_sortInfo.key=L.key,this.m_sortInfo.direction=L.sortDirection,this.m_sortInfo.axis=a),K=this._buildSortIcon(F),b.appendChild(K),this._setAttribute(b,"sortable","true")),n||r?null!=H?e.appendChild(H):e.appendChild(b):null!=H?e.firstChild?this.m_utils.containsCSSClassName(e.firstChild,this.getMappedStyle("groupingcontainer"))?e.insertBefore(H,e.firstChild):(this.m_utils.containsCSSClassName(e.firstChild,this.getMappedStyle("headercell"))||this.m_utils.containsCSSClassName(e.firstChild,this.getMappedStyle("endheadercell")))&&e.insertBefore(H,e.firstChild.nextSibling):e.appendChild(H):this.m_utils.containsCSSClassName(e,this.getMappedStyle("groupingcontainer"))?e.insertBefore(b,e.firstChild.nextSibling):e.insertBefore(b,e.firstChild)}return"column"===a||"columnEnd"===a?this._isLastColumn(t+S-1)&&this.m_utils.addCSSClassName(b,this.getMappedStyle("borderVerticalNone")):this._isLastRow(t+S-1)&&!r&&this.m_utils.addCSSClassName(b,this.getMappedStyle("borderHorizontalNone")),(W={}).totalLevelDimension=B,W.totalHeaderDimension=T,W.count=D,W},i.prototype._getHeaderLevelDimension=function(e,t,i,s,o){for(var n=0,r=0,l=0;l<o;l++){if(null==(r=i[e+l])){n=null;break}n+=r}return null!=n?n:(n=this.getElementDir(t,s),1==o&&(i[e]=n),n)},i.prototype._getHeaderContainer=function(e,t,i,s,o,n){var r,l,h,a;if(null==s?(s=o.firstChild.childNodes,a=0):a=1,i===n-1)return s[0].parentNode;for(;a<s.length;){if(r=this._getAttribute(s[a],"start",!0),l=this._getAttribute(s[a],"extent",!0),h=this._getAttribute(s[a].firstChild,"depth",!0),e>=r&&e<r+l)return t<i+h?s[a]:this._getHeaderContainer(e,t,i+h,s[a].childNodes,o,n);a++}return null},i.prototype._getHeaderByIndex=function(e,t,i,s,o){var n,r;return t<0?null:1===s?i.firstChild.childNodes[n=e-o]:null==(r=this._getHeaderContainer(e,t,0,null,i,s))?null:t<=this._getAttribute(r,"level",!0)+this._getAttribute(r.firstChild,"depth",!0)-1?r.firstChild:(n=e-this._getAttribute(r,"start",!0)+1,r.childNodes[n])},i.prototype._getColumnHeaderLevelHeight=function(e,t){var i;return null==this.m_columnHeaderLevelHeights&&(this.m_columnHeaderLevelHeights=[]),null!=(i=this.m_columnHeaderLevelHeights[e])?i:(i=this.getElementHeight(t),this.m_columnHeaderLevelHeights[e]=i,i)},i.prototype._getAttribute=function(e,t,i){var s=e.getAttribute(this.getResources().getMappedAttribute(t));return i?parseInt(s,10):s},i.prototype._setAttribute=function(e,t,i){e.setAttribute(this.getResources().getMappedAttribute(t),i)},i.prototype.buildDatabody=function(){var e,t;return(e=document.createElement("div")).id=this.createSubId("databody"),e.className=this.getMappedStyle("databody"),e.tabIndex="-1",this.m_databody=e,e.addEventListener?e.addEventListener("scroll",this.handleScroll.bind(this),!1):e.attachEvent("onscroll",this.handleScroll.bind(this)),(t=document.createElement("div")).className=this.getMappedStyle("scroller")+(this.m_utils.isTouchDevice()?" "+this.getMappedStyle("scroller-mobile"):""),e.appendChild(t),this.fetchCells(e,0,0),e},i.prototype.getFetchCount=function(e,t){var i=this.getFetchSize(e);if(this._isHighWatermarkScrolling()){var s="row"===e?"maxRowCount":"maxColumnCount",o=this.m_options.getScrollPolicyOptions();o&&null!=o[s]&&o[s]>0&&(i=Math.max(Math.min(i,o[s]-t),0))}return i},i.prototype.fetchCells=function(e,t,i,s,o,n){var r,l,h;this.m_fetching.cells||(null==s&&(s=this.getFetchCount("row",t)),null==o&&(o=this.getFetchCount("column",i)),r={axis:"row",start:t,count:s},l={axis:"column",start:i,count:o,databody:e},this.m_fetching.cells={rowRange:r,columnRange:l},h=null!=n&&null!=n.success?n.success:this.handleCellsFetchSuccess,this.showStatusText(),this._signalTaskStart(),this.getDataSource().fetchCells([r,l],{success:h,error:this.handleCellsFetchError},{success:this,error:this}))},i.prototype.isCellFetchResponseValid=function(e){var t,i,s;return t=e[0],i=e[1],null!=this.m_fetching&&(t==(s=this.m_fetching.cells).rowRange&&i==s.columnRange)},i.prototype.isLongScroll=function(){return this.m_isLongScroll},i.prototype.isCellFetchResponseInViewport=function(e,t){var i,s,o,n;return!(!isNaN(this.m_avgRowHeight)&&!isNaN(this.m_avgColWidth)&&null==this.m_empty&&this.m_initialized)||(i=t[0].start,s=t[1].start,o=this._getLongScrollStart(this.m_currentScrollTop,this.m_prevScrollTop,"row"),n=this._getLongScrollStart(this.m_currentScrollLeft,this.m_prevScrollLeft,"column"),o.start==i&&n.start==s)},i.prototype.handleCellsFetchSuccess=function(e,t,s){var o,n,r,l,h,a,d,m,c,u,_,p,g,C,y,f,E,S,v,w,H,x,b,R,M,I;if(M=(R=this.m_options.getScrollPolicyOptions())?R.maxRowCount:null,I=R?R.maxColumnCount:null,o=this.getDataSource().getCount("row"),n=this.getDataSource().getCount("column"),this,i.EXPAND_ANIMATION_DURATION,void 0===s){if(s=!1,!this.isCellFetchResponseValid(t))return void this._signalTaskEnd();if(this.isLongScroll()&&(!this.isCellFetchResponseInViewport(e,t)||this.m_headerInvalid))return this.m_fetching.cells=!1,this.m_headerInvalid=!1,this.handleLongScroll(this.m_currentScrollLeft,this.m_currentScrollTop),void this._signalTaskEnd();this.m_isLongScroll=!1}l=(r=t[0]).start,a=(h=e.getCount("row"))>0&&(l>this.m_endRow||l+h<=this.m_startRow),(0==h&&this._isCountUnknown("row")&&r.count>0||a&&this._isHighWatermarkScrolling()&&!this._isCountUnknown("row")&&this.m_endRow+h+1>=o||h<r.count||this._isHighWatermarkScrolling()&&M&&M>0&&l+h===M)&&(this.m_stopRowFetch=!0),m=(d=t[1]).start,u=(c=e.getCount("column"))>0&&(m>this.m_endCol||m+c==this.m_startCol),(0==c&&this._isCountUnknown("column")&&d.count>0||u&&this._isHighWatermarkScrolling()&&!this._isCountUnknown("column")&&this.m_endCol+c+1>=n||c<d.count||this._isHighWatermarkScrolling()&&I&&I>0&&m+c===I)&&(this.m_stopColumnFetch=!0),null==(_=this.m_databody)&&(_=d.databody),C=_.firstChild,a||s?((E=!s&&l>=this.m_startRow)?p=this.m_endRowPixel:s?(g=this._getCellByIndex({row:l+h,column:this.m_startCol}),p=this.getElementDir(g,"top")):p=this.m_startRowPixel,f=m>=this.m_startCol?this.m_startColPixel:this.m_endColPixel,S=document.createDocumentFragment(),v=(b=this._addCellsToFragment(S,e,l,p,m,f)).totalColumnWidth,w=b.totalRowHeight,x=b.avgWidth,H=w/h,this._populateDatabody(C,S),E?(-1!=this.m_endRow&&0!=h&&this._highlightCellsAlongAxis(this.m_endRow,"row","index","remove",["borderHorizontalNone"]),this.m_endRow=l+h-1,this.m_endRowPixel=this.m_endRowPixel+w):s?(l<this.m_startRow&&(this.m_startRow=l,this.m_startRowPixel=Math.max(0,this.m_startRowPixel-w)),this.m_endRow=this.m_endRow+h,this.m_endRowPixel=this.m_endRowPixel+w,this.pushRowsDown(l+h,w)):(this.m_startRow=this.m_startRow-h,this.m_startRowPixel=this.m_startRowPixel-w)):u&&(f=(E=m>=this.m_startCol)?this.m_endColPixel:this.m_startColPixel,p=l>=this.m_startRow?this.m_startRowPixel:this.m_endRowPixel,S=document.createDocumentFragment(),b=this._addCellsToFragment(S,e,l,p,m,f),this._populateDatabody(C,S),v=b.totalColumnWidth),null==x||0!=this.m_avgColWidth&&null!=this.m_avgColWidth||(this.m_avgColWidth=x),null==H||0!=this.m_avgRowHeight&&null!=this.m_avgRowHeight||(this.m_avgRowHeight=H),u&&(m<this.m_startCol?(this.m_startCol=this.m_startCol-c,this.m_startColPixel=this.m_startColPixel-v):(this.m_endCol=m+c-1,this.m_endColPixel=this.m_endColPixel+v)),this._sizeDatabodyScroller(),this.m_endCol>=0&&this.m_endRow>=0&&(this.m_hasCells=!0),0==this.m_startCol&&0!=this.m_startColPixel&&(this._shiftCellsAlongAxis("column",-this.m_startColPixel,0,!0),this.m_startColPixel=0),0==this.m_startRow&&0!=this.m_startRowPixel&&(this.pushRowsDown(0,-this.m_startRowPixel),this.m_startRowPixel=0),this.m_fetching.cells=!1,this.isFetchComplete()&&(this.hideStatusText(),this._syncScroller(),this._checkScrollPosition(),null!=this.m_scrollIndexAfterFetch?this.scrollToIndex(this.m_scrollIndexAfterFetch):null!=this.m_scrollHeaderAfterFetch?this.scrollToHeader(this.m_scrollHeaderAfterFetch):this.isActionableMode()||null==this._getActiveElement()||this.m_utils.containsCSSClassName(this._getActiveElement(),this.getMappedStyle("focus"))||(1!=this.m_shouldFocus&&(this.m_shouldFocus=!1),this._highlightActive(),this._manageMoveCursor()),this._isSelectionEnabled()&&this.applySelection(l,l+h,m,m+c),this.populateAccInfo(),this.m_utils.isTouchDevice()&&window.hasOwnProperty("WebKitCSSMatrix")&&(_.style.webkitTransform="translate3d(0, 0, 0)",null!=this.m_rowHeader&&(this.m_rowHeader.style.webkitTransform="translate3d(0, 0, 0)"),null!=this.m_colHeader&&(this.m_colHeader.style.webkitTransform="translate3d(0, 0, 0)"),null!=this.m_rowEndHeader&&(this.m_rowEndHeader.style.webkitTransform="translate3d(0, 0, 0)"),null!=this.m_colEndHeader&&(this.m_colEndHeader.style.webkitTransform="translate3d(0, 0, 0)")),this._shouldInitialize()?this._handleInitialization(!0):this.m_initialized&&((1==this.m_resizeRequired||this.m_endRowPixel-w<this.getElementHeight(_))&&this.resizeGrid(),a?E?y="top":s||(y="bottom"):u&&(y=m==this.m_startCol?"right":"left"),this._cleanupViewport(y),this.fillViewport(),this.isFetchComplete()&&this.fireEvent("ready",{}))),this._isSelectionEnabled()&&this.isMultipleSelection()&&this.updateSelectionHeader(),this._signalTaskEnd()},i.prototype._setZIndexBefore=function(e,t,i,s){var o,n,r,l,h,a,d,m,c,u,_,p,g;if("row"==e)for(o=this.m_startRow,n=this.m_currentScrollTop,r="top",l=this.m_rowHeader,h=this.m_rowHeaderLevelCount,a=this.m_startRowHeader,d=this.m_rowEndHeader,m=this.m_rowEndHeaderLevelCount,c=this.m_startRowEndHeader,u=t;u>=o&&(_=this._getAxisCellsByIndex(u,e),!(this.getElementDir(_[0],r)<n));u--){for(p=0;p<_.length;p++)this.changeStyleProperty(_[p],this.getCssSupport("z-index"),10);i&&(g=this._getHeaderByIndex(u,0,l,h,a),this.changeStyleProperty(g,this.getCssSupport("z-index"),10)),s&&(g=this._getHeaderByIndex(u,0,d,m,c),this.changeStyleProperty(g,this.getCssSupport("z-index"),10))}},i.prototype._onTransitionEnd=function(e,t,i){var s,o=function(){s&&(clearTimeout(s),s=void 0),e.removeEventListener("transitionend",o),t()};e.addEventListener("transitionend",o),s=setTimeout(o,i+100)},i.prototype._insertRowsWithAnimation=function(e,t,s,o,n,r){var l,h,a,d,m,c,u,_,p,g,C,y,f,E,S,v,w,H,x,b,R,M,I;(l=this)._signalTaskStart(),h=o>this.m_endRow,a=this.m_databody.firstChild,d=null!=t,v=null!=s;var A=o-1;for(c=this._getAxisCellsByIndex(o-1,"row"),p=(_=this.getElementDir(c[0],"top"))+this.getElementHeight(c[0]),this._setZIndexBefore("row",A,d,v),d&&(u=(m=this.m_rowHeader.firstChild).childNodes[o-this.m_startRow-1]),v&&(H=(w=this.m_rowEndHeader.firstChild).childNodes[o-this.m_startRow-1]),g=0;g<e.childNodes.length;g++)R=e.childNodes[g],f=_-(y=p+this.getElementDir(R,"top"))-this.getElementHeight(R),this.setElementDir(R,y,"top"),this.addTransformMoveStyle(R,0,0,"linear",0,f,0);if(d)for(g=0;g<t.childNodes.length;g++)C=t.childNodes[g],f=_-(y=p+this.getElementDir(C,"top"))-this.getElementHeight(C),this.setElementDir(C,y,"top"),this.addTransformMoveStyle(C,0,0,"linear",0,f,0);if(v)for(g=0;g<s.childNodes.length;g++)x=s.childNodes[g],f=_-(y=p+this.getElementDir(x,"top"))-this.getElementHeight(x),this.setElementDir(x,y,"top"),this.addTransformMoveStyle(x,0,0,"linear",0,f,0);for(g=o-this.m_startRow;g<=this.m_endRow;g++){for(I=this._getAxisCellsByIndex(g,"row"),y=r+this.getElementDir(I[0],"top"),f=-r,M=0;M<I.length;M++)this.setElementDir(I[M],y,"top"),this.addTransformMoveStyle(I[M],0,0,"linear",0,f,0);d&&(C=m.childNodes[g],this.setElementDir(C,y,"top"),this.addTransformMoveStyle(C,0,0,"linear",0,f,0)),v&&(x=w.childNodes[g],this.setElementDir(x,y,"top"),this.addTransformMoveStyle(x,0,0,"linear",0,f,0))}this._modifyAxisCellContextIndex("row",o,this.m_endRow-o+1,n),this.m_endRow+=n,this.m_endRowPixel+=r,d&&(this.m_endRowHeader+=t.childNodes.length,this.m_endRowHeaderPixel+=r),v&&(this.m_endRowEndHeader+=s.childNodes.length,this.m_endRowEndHeaderPixel+=r),a.appendChild(e),h?(d&&m.appendChild(t),v&&w.appendChild(s)):(d&&m.insertBefore(t,u.nextSibling),v&&w.insertBefore(s,H.nextSibling)),this.setElementHeight(a,this.m_endRowPixel-this.m_startRowPixel),this.resizeGrid(),this.updateRowBanding(),this._refreshDatabodyMap(),E=this._getCellByIndex(this.createIndex(o+n-1,this.m_endCol)),S=function(){l.m_stopRowFetch=!1,-1!=l.m_endRowHeader&&(l.m_stopRowHeaderFetch=!1),-1!=l.m_endRowEndHeader&&(l.m_stopRowEndHeaderFetch=!1),l._handleAnimationEnd()},this.m_animating=!0,b=l.m_processingEventQueue?1:i.EXPAND_ANIMATION_DURATION,this._onTransitionEnd(E,S,b),setTimeout(function(){var e,t,s;for(b=i.EXPAND_ANIMATION_DURATION,"ease-out",e=o;e<=l.m_endRow;e++){for(s=l._getAxisCellsByIndex(e,"row"),t=0;t<s.length;t++)l.addTransformMoveStyle(s[t],b+"ms",0,"ease-out",0,0,0);d&&l.addTransformMoveStyle(m.childNodes[e],b+"ms",0,"ease-out",0,0,0),v&&l.addTransformMoveStyle(w.childNodes[e],b+"ms",0,"ease-out",0,0,0)}},0)},i.prototype._addCellsToFragment=function(e,t,i,s,o,n){var r,l,h,a,d,m,c,u,_,p,g,C,y,f,E,S,v,w,H,x,b,R,M,I,A,T,D,N,L,F,O,P,k,z,B,W;for(C=this.getResources().isRTLMode()?"right":"left",r=this.m_options.getRenderer("cell"),l=this.m_options.getColumnBandingInterval(),h=this.m_options.getRowBandingInterval(),a=this.m_options.getHorizontalGridlines(),d=this.m_options.getVerticalGridlines(),m=t.getCount("row"),c=t.getCount("column"),I=i>=this.m_startRow,R=o>=this.m_startCol,y=0,O=0,P=s,D=[],u=0;u<m;u+=1){for(g=n,_=I?i+u:i+(m-1-u),p=Math.floor(_/h)%2==1,f=0;f<c;f+=z.column)if(F=0,L=0,E=R?o+f:o+(c-1-f),z={row:(M=t.getExtent?t.getExtent(this.createIndex(_,E)):{row:{extent:1,more:{before:!1,after:!1}},column:{extent:1,more:{before:!1,after:!1}}}).row.extent,column:M.column.extent},R||(E=E-z.column+1),T=I?_:_-z.row+1,S=this.createIndex(T,E),D[u]&&D[u][f])F=D[u][f].width,g=R?g+F:g-F;else{if(B=this._patchExistingCells(M,E,T,D))F=B.width,x=(H=B.cell)[this.getResources().getMappedAttribute("context")];else{for(v=t.getData(S),w=t.getMetadata(S),H=document.createElement("div"),x=this.createCellContext(S,v,w,H,z),H.setAttribute(this.getResources().getMappedAttribute("busyContext"),""),this._createUniqueId(H),H[this.getResources().getMappedAttribute("context")]=x,null!=(N=this.m_options.getInlineStyle("cell",x))&&(H.style.cssText=N),""!=H.style.height&&(H.style.height=""),""!=H.style.width&&(H.style.width=""),this.m_utils.addCSSClassName(H,this.getMappedStyle("cell")),this.m_utils.addCSSClassName(H,this.getMappedStyle("formcontrol")),(p||Math.floor(E/l)%2==1)&&this.m_utils.addCSSClassName(H,this.getMappedStyle("banded")),null!=(k=this.m_options.getStyleClass("cell",x))&&this.m_utils.addCSSClassName(H,k),W=0;W<z.row;W++)b=0===W?x.keys.row:this._getKey(this._getHeaderByIndex(T+W,0,this.m_rowHeader,this.m_rowHeaderLevelCount,this.m_startRowHeader),"row"),L+=this._getCellDimension(H,T,b,"row","height",!0);for(this.setElementHeight(H,L),W=0;W<z.column;W++)A=0===W?x.keys.column:this._getKey(this._getHeaderByIndex(E+W,0,this.m_colHeader,this.m_columnHeaderLevelCount,this.m_startColHeader),"column"),F+=this._getCellDimension(H,E,A,"column","width",0===E);this.setElementWidth(H,F),("hidden"===d||this._isLastColumn(E+z.column-1)&&(this.getRowHeaderWidth()+g+F>=this.getWidth()||-1!=this.m_endRowEndHeader))&&this.m_utils.addCSSClassName(H,this.getMappedStyle("borderVerticalNone")),"hidden"===a?this.m_utils.addCSSClassName(H,this.getMappedStyle("borderHorizontalNone")):this._isLastRow(T+z.row-1)&&(this.getRowBottom(H,P+L)>=this.getHeight()||-1!=this.m_endColEndHeader)&&this.m_utils.addCSSClassName(H,this.getMappedStyle("borderHorizontalNone")),I?this.setElementDir(H,P,"top"):this.setElementDir(H,P-L,"top"),R?this.setElementDir(H,g,C):this.setElementDir(H,g-F,C),this.m_root.appendChild(H),this._renderContent(r,x,H,v),e.appendChild(H)}this._updateTempArray(D,{width:F},u,f,z.row,z.column),g=R?g+F:g-F,0==u&&(y+=F)}L=this._getCellDimension(H,x.indexes.row,x.keys.row,"row","height",!1),P=I?P+L:P-L,O+=L}return{avgWidth:y/c,totalRowHeight:O,totalColumnWidth:y}},i.prototype._updateCellDimension=function(e,t,i,s,o,n,r,l){var h,a,d,m,c,u,_,p,g,C,y,f,E,S,v,w;for(h=0,a="width"==r?"height":"width",d=this._getCellByIndex(this.createIndex(s,i)),m=this.getElementDir(d,r),(c=d[this.getResources().getMappedAttribute("context")]).extents[n]=c.extents[n]+e,"row"==n?(u=s,_=this.m_rowHeader,p=this.m_rowHeaderLevelCount,g=this.m_startRowHeader):(u=i,_=this.m_colHeader,p=this.m_columnHeaderLevelCount,g=this.m_startColHeader),f=1;f<=e;f++)for(C=this._getKey(this._getHeaderByIndex(l?u-f:u+f,0,_,p,g),n),h+=this._getCellDimension(d,l?u-f:u+f,C,n,r,!0),w=0;w<t;w++)"row"==n?(S=l?s-f:s+f,v=i+w):(S=s+w,v=l?i-f:i+f),this._addIndexToDatabodyMap(this.createIndex(S,v),d.id);return l&&(E="width"===r?this.getResources().isRTLMode()?"right":"left":"top",this.setElementDir(d,this.getElementDir(d,E)-h,E),c.indexes[n]=c.indexes[n]-e),this.setElementDir(d,m+h,r),(y={})[r]=h,y[a]=this.getElementDir(d,a),y.cell=d,y},i.prototype._patchExistingCells=function(e,t,i,s){var o,n,r,l,h,a;return h=e.column.extent,a=e.row.extent,{row:e.row.extent,column:e.column.extent},o=e.row.more.before,n=e.row.more.after,r=e.column.more.before,l=e.column.more.after,t-1==this.m_endCol&&r?this._updateCellDimension(h,a,this.m_endCol,i,s,"column","width",!1):i-1==this.m_endRow&&o?this._updateCellDimension(a,h,t,this.m_endRow,s,"row","height",!1):t+h==this.m_startCol&&l?this._updateCellDimension(h,a,this.m_startCol,i,s,"column","width",!0):!(i+a!=this.m_startRow||!n)&&this._updateCellDimension(a,h,t,this.m_startRow,s,"row","height",!0)},i.prototype._updateTempArray=function(e,t,i,s,o,n){for(var r=0;r<o;r++){null==e[i+r]&&(e[i+r]=[]);for(var l=0;l<n;l++)e[i+r][s+l]=t}},i.prototype._getCellDimension=function(e,t,i,s,o,n){var r,l,h,a,d,m;return"row"==s?(r=this.getMappedStyle("rowheadercell")+" "+this.getMappedStyle("headercell"),l=this.m_endRowHeader):"column"==s&&(r=this.getMappedStyle("colheadercell")+" "+this.getMappedStyle("headercell"),l=this.m_endColHeader),-1==l&&n&&!this.m_initialized?(a=this.createHeaderContext(s,t,null,{key:i},null,0,0,1),d=this.m_options.getInlineStyle(s,a),m=this.m_options.getStyleClass(s,a),(h=document.createElement("div")).style.cssText=d,h.className=r+" "+m):h=e,this._getHeaderDimension(h,i,s,o)},i.prototype.pushRowsDown=function(e,t){for(;e<=this.m_endRow;){var i=this._getAxisCellsByIndex(e,"row");if(i.length>0)for(var s=0;s<i.length;s++){var o=i[s],n=this.getElementDir(o,"top")+t;o.style.top=n+"px"}e++}},i.prototype.pushRowsUp=function(e,t){this.pushRowsDown(e,-t)},i.prototype.pushRowHeadersDown=function(e,t){for(;e;){var i=this.getElementDir(e,"top")+t;e.style.top=i+"px",e=e.nextSibling}},i.prototype.pushRowHeadersUp=function(e,t){this.pushRowHeadersDown(e,-t)},i.prototype.createCellContext=function(e,t,i,s,o){var n,r;for(r in(n={}).parentElement=s,n.indexes=e,n.cell=t,n.data=null!=t&&"object"==typeof t&&t.hasOwnProperty("data")?t.data:t,n.component=this,n.datasource=this.getDataSource(),n.mode="navigation",n.extents=o,i)i.hasOwnProperty(r)&&(n[r]=i[r]);return null!=this.m_createContextCallback&&this.m_createContextCallback.call(this,n),this.m_fixContextCallback.call(this,n)},i.prototype._createUniqueId=function(e){return this._uniqueIdCallback(e,!1)},i.prototype.createCellElement=function(e){return document.createElement("div")},i.prototype.getRowHeaderWidth=function(){return-1===this.m_endRowHeader?0:this.m_rowHeaderWidth},i.prototype.getColumnHeaderHeight=function(){return-1===this.m_endColHeader?0:this.m_colHeaderHeight},i.prototype.getRowEndHeaderWidth=function(){return-1===this.m_endRowEndHeader?0:this.m_rowEndHeaderWidth},i.prototype.getColumnEndHeaderHeight=function(){return-1===this.m_endColEndHeader?0:this.m_colEndHeaderHeight},i.prototype.getRowBottom=function(e,t){var i,s,o;return i=this.getColumnHeaderHeight(),null!=t?i+t:(s=this.getElementDir(e,"top"),o=this.calculateRowHeight(e),isNaN(s)||isNaN(o)?i:i+s+o)},i.prototype.handleCellsFetchError=function(e,t){var i,s;this.m_fetching.cells=!1,this.hideStatusText(),null==this.m_databody.firstChild?this._shouldInitialize()&&this._handleInitialization(!0):(i=t[0],(s=t[1]).start+s.count-1>this.m_endCol&&(this.m_stopColumnFetch=!0,this.m_stopColumnHeaderFetch=!0,this.m_stopColumnEndHeaderFetch=!0),i.start+i.count-1>this.m_endRow&&(this.m_stopRowFetch=!0,this.m_stopRowHeaderFetch=!0,this.m_stopRowEndHeaderFetch=!0))},i.prototype.showStatusText=function(){var e,t,i,s=this;"block"==this.m_status.style.display||this.m_showStatusTimeout||(this.m_showStatusTimeout=setTimeout(function(){i=s.getResources().getTranslatedText("msgFetchingData"),s.m_status.setAttribute("aria-label",i),s.m_status.style.display="block",e=s.getWidth()/2-s.m_status.offsetWidth/2,t=s.getHeight()/2-s.m_status.offsetHeight/2,s.m_status.style.left=e+"px",s.m_status.style.top=t+"px",s.m_showStatusTimeout=null},this.getShowStatusDelay()))},i.prototype.getShowStatusDelay=function(){var e=parseInt(this.getResources().getDefaultOption("showIndicatorDelay"),10);return isNaN(e)?0:e},i.prototype.hideStatusText=function(){this.m_showStatusTimeout&&(clearTimeout(this.m_showStatusTimeout),this.m_showStatusTimeout=null),this.m_status.style.display="none"},i.prototype.getFocusableElementsInNode=function(e,t){var i,s,o,n,r,l;if(i=[],l=this.getResources().getMappedAttribute("tabMod"),document.evaluate)for(o=(s=document.evaluate(".//*[@tabindex>=0]|.//*[@"+l+">=0]|.//input|.//select|.//textarea|.//button|.//a|.//INPUT|.//SELECT|.//TEXTAREA|.//BUTTON|.//A",e,null,XPathResult.ANY_TYPE,null)).iterateNext();o;)!o.disabled&&"none"!=o.style.display&&(t||!o.tabIndex||o.tabIndex>0||parseInt(o.getAttribute(l),10)>=0)&&i.push(o),o=s.iterateNext();else for(n=(s=e.querySelectorAll("input, select, button, a, textarea, [tabIndex]:not([tabIndex='-1']), ["+l+"]:not(["+l+"='-1'])")).length,r=0;r<n;r+=1)!(o=s[r]).disabled&&"none"!=o.style.display&&(t||!o.tabIndex||o.tabIndex>=0||parseInt(o.getAttribute(l),10)>=0)&&i.push(o);return i},i.prototype.isElementVisible=function(e,t){return!0},i.prototype._disableAllFocusableElements=function(e){var t,i,s,o;for(o=this.getResources().getMappedAttribute("tabMod"),t=this.getFocusableElementsInNode(e),i=0;i<t.length;i++)s=parseInt(t[i].tabIndex,10),(isNaN(s)||s>=0)&&(t[i].setAttribute(o,isNaN(s)?-1:s),t[i].setAttribute("tabIndex",-1))},i.prototype._enableAllFocusableElements=function(e){var t,i,s,o;for(o=this.getResources().getMappedAttribute("tabMod"),t=this.getFocusableElementsInNode(e,!1),i=0;i<t.length;i++)s=parseInt(t[i].getAttribute(o),10),t[i].removeAttribute(o),-1==s?t[i].removeAttribute("tabIndex"):t[i].setAttribute("tabIndex",s)},i.prototype._isFocusableElement=function(e){var t=e.tagName;return"INPUT"===t||"TEXTAREA"===t||"SELECT"===t||"BUTTON"===t||"A"===t||null!=e.getAttribute("tabIndex")&&parseInt(e.getAttribute("tabIndex"),10)>=0&&this.findCell(e)!=e},i.prototype._isFocusableElementBeforeCell=function(e){if(null==e||e==this.getRootElement()||this.m_utils.containsCSSClassName(e,this.getMappedStyle("cell")))return!1;var t=e.tagName;return!!("INPUT"===t||"TEXTAREA"===t||"SELECT"===t||"BUTTON"===t||"A"===t||this.m_utils.containsCSSClassName(e,this.getMappedStyle("active"))||null!=e.getAttribute("tabIndex")&&parseInt(e.getAttribute("tabIndex"),10)>=0&&this.findCell(e)!=e)||this._isFocusableElementBeforeCell(e.parentNode)},i.prototype._setFocusToFirstFocusableElement=function(e){var t,i;if((t=this.getFocusableElementsInNode(e,!0)).length>0){if((i=t[0]).focus(),i.setSelectionRange&&i.value)try{i.setSelectionRange(i.value.length,i.value.length)}catch(e){}return!0===this._overwriteFlag&&"function"==typeof t[0].select&&i.select(),!0}return!1},i.prototype.handleScroll=function(e){var t,i,s;(this.m_handleScrollOverflow||(this.m_hasVerticalScroller||this.m_hasHorizontalScroller||(this.m_databody.style.overflow="hidden"),this.m_handleScrollOverflow=!0),this.m_animating)?e.preventDefault():this.m_utils.isTouchDevice()||(1!=this.m_silentScroll?(e||(e=window.event),s=e.target?e.target:e.srcElement,t=this.m_utils.getElementScrollLeft(s),i=s.scrollTop,this.scrollTo(t,i)):this.m_silentScroll=!1)},i.prototype._getMaxScrollWidth=function(){return this._isCountUnknownOrHighwatermark("column")&&!this.m_stopColumnFetch?Number.MAX_VALUE:this.m_scrollWidth},i.prototype._getMaxScrollHeight=function(){return this._isCountUnknownOrHighwatermark("row")&&!this.m_stopRowFetch?Number.MAX_VALUE:this.m_scrollHeight},i.prototype.scroll=function(e){var t,i;null!=e.position&&(t=Math.max(0,Math.min(this._getMaxScrollWidth(),e.position.scrollX)),i=Math.max(0,Math.min(this._getMaxScrollHeight(),e.position.scrollY)),this._initiateScroll(t,i))},i.prototype.scrollDelta=function(e,t){var i,s;this._adjustScrollerSize(),i=Math.max(0,Math.min(this._getMaxScrollWidth(),this.m_currentScrollLeft-e)),s=Math.max(0,Math.min(this._getMaxScrollHeight(),this.m_currentScrollTop-t)),this._initiateScroll(i,s)},i.prototype.adjustTouchScroll=function(e,t){return this.m_utils.isTouchDevice()&&0!=e&&0!=t&&(Math.abs(e)>Math.abs(t)?(t=0,this.m_extraScrollOverY=null):(e=0,this.m_extraScrollOverX=null)),[e,t]},i.prototype._initiateScroll=function(e,t){this.m_utils.isTouchDevice()?this.scrollTo(e,t):(this.m_utils.setElementScrollLeft(this.m_databody,e),this.m_databody.scrollTop=t)},i.prototype._disableTouchScrollAnimation=function(){this.m_databody.firstChild.style.webkitTransitionDuration="0ms",this.m_rowHeader.firstChild.style.webkitTransitionDuration="0ms",this.m_colHeader.firstChild.style.webkitTransitionDuration="0ms",this.m_rowEndHeader.firstChild.style.webkitTransitionDuration="0ms",this.m_colEndHeader.firstChild.style.webkitTransitionDuration="0ms"},i.prototype._shouldLongScroll=function(e,t){return!this._isHighWatermarkScrolling()&&(e+this.getViewportWidth()<this._getMaxLeftPixel()||t+this.getViewportHeight()<this._getMaxTopPixel()||e>this._getMaxRightPixel()||t>this._getMaxBottomPixel())},i.prototype.scrollTo=function(e,t){if(e!=this.m_currentScrollLeft&&(this.m_prevScrollLeft=this.m_currentScrollLeft,this.m_currentScrollLeft=e),t!=this.m_currentScrollTop&&(this.m_prevScrollTop=this.m_currentScrollTop,this.m_currentScrollTop=t),this.m_utils.isTouchDevice()||(this._shouldLongScroll(e,t)?this.handleLongScroll(e,t):this.fillViewport()),this._syncScroller(),this._adjustScrollerSize(),null!=this.m_cellToFocus){var s=this.m_cellToFocus;this.m_cellToFocus=null,this._setActive(s,this._createActiveObject(s),null,!1,!1,!0)}null!=this.m_scrollIndexAfterFetch&&this._isInViewport(this.m_scrollIndexAfterFetch)===i.INSIDE&&(this._isDatabodyCellActive()&&this.m_scrollIndexAfterFetch.row==this.m_active.indexes.row&&this.m_scrollIndexAfterFetch.column==this.m_active.indexes.column&&this._highlightActive(),this.m_scrollIndexAfterFetch=null),null!=this.m_scrollHeaderAfterFetch&&(this._isDatabodyCellActive()||this.m_scrollHeaderAfterFetch.axis!=this.m_active.axis||this.m_scrollHeaderAfterFetch.index!=this.m_active.index||this.m_scrollHeaderAfterFetch.level!=this.m_active.level||this._highlightActive(),this.m_scrollHeaderAfterFetch=null),this.m_utils.isTouchDevice()||this.m_prevScrollTop===t&&this.m_prevScrollLeft===e||this.fireEvent("scroll",{event:null,ui:{scrollX:e,scrollY:t}}),this._setScrollPosition()},i.prototype._scrollTransitionEnd=function(){null!=this.m_scrollTransitionEnd&&this.m_databody.firstChild.removeEventListener("webkitTransitionEnd",this.m_scrollTransitionEnd),this._isSelectionEnabled()&&this._scrollTouchSelectionAffordance(),this.fireEvent("scroll",{event:null,ui:{scrollX:this.m_currentScrollLeft,scrollY:this.m_currentScrollTop}}),this._shouldLongScroll(this.m_currentScrollLeft,this.m_currentScrollTop)?this.handleLongScroll(this.m_currentScrollLeft,this.m_currentScrollTop):this.fillViewport()},i.prototype._bounceBack=function(){var e,t,s,o,n,r,l;e=this.m_currentScrollLeft,t=this.m_currentScrollTop,s=this.m_databody.firstChild,o=this.m_colHeader.firstChild,n=this.m_rowHeader.firstChild,r=this.m_colEndHeader.firstChild,l=this.m_rowEndHeader.firstChild,s.removeEventListener("webkitTransitionEnd",this.m_bounceBack),s.style.webkitTransitionDuration=i.BOUNCE_ANIMATION_DURATION+"ms",n.style.webkitTransitionDuration=i.BOUNCE_ANIMATION_DURATION+"ms",l.style.webkitTransitionDuration=i.BOUNCE_ANIMATION_DURATION+"ms",o.style.webkitTransitionDuration=i.BOUNCE_ANIMATION_DURATION+"ms",r.style.webkitTransitionDuration=i.BOUNCE_ANIMATION_DURATION+"ms",null==this.m_scrollTransitionEnd&&(this.m_scrollTransitionEnd=this._scrollTransitionEnd.bind(this)),s.addEventListener("webkitTransitionEnd",this.m_scrollTransitionEnd),this.getResources().isRTLMode()?(s.style.webkitTransform="translate3d("+e+"px, "+-t+"px, 0)",o.style.webkitTransform="translate3d("+e+"px, 0, 0)",r.style.webkitTransform="translate3d("+e+"px, 0, 0)"):(s.style.webkitTransform="translate3d("+-e+"px, "+-t+"px, 0)",o.style.webkitTransform="translate3d("+-e+"px, 0, 0)",r.style.webkitTransform="translate3d("+-e+"px, 0, 0)"),n.style.webkitTransform="translate3d(0, "+-t+"px, 0)",l.style.webkitTransform="translate3d(0, "+-t+"px, 0)",this.m_extraScrollOverX=null,this.m_extraScrollOverY=null},i.prototype._syncScroller=function(){var e,t,i,s,o,n,r,l;e=this.m_currentScrollLeft,t=this.m_currentScrollTop,i=this.m_databody.firstChild,s=this.m_colHeader.firstChild,o=this.m_rowHeader.firstChild,r=this.m_colEndHeader.firstChild,l=this.m_rowEndHeader.firstChild,this.m_utils.isTouchDevice()&&window.hasOwnProperty("WebKitCSSMatrix")?(null!=this.m_extraScrollOverX||null!=this.m_extraScrollOverY?(null!=this.m_extraScrollOverX?e+=this.m_extraScrollOverX:t+=this.m_extraScrollOverY,null==this.m_bounceBack&&(this.m_bounceBack=this._bounceBack.bind(this)),i.addEventListener("webkitTransitionEnd",this.m_bounceBack)):"0ms"==i.style.webkitTransitionDuration?this._scrollTransitionEnd():(null==this.m_scrollTransitionEnd&&(this.m_scrollTransitionEnd=this._scrollTransitionEnd.bind(this)),i.addEventListener("webkitTransitionEnd",this.m_scrollTransitionEnd)),this.getResources().isRTLMode()?(i.style.webkitTransform="translate3d("+e+"px, "+-t+"px, 0)",s.style.webkitTransform="translate3d("+e+"px, 0, 0)",r.style.webkitTransform="translate3d("+e+"px, 0, 0)"):(i.style.webkitTransform="translate3d("+-e+"px, "+-t+"px, 0)",s.style.webkitTransform="translate3d("+-e+"px, 0, 0)",r.style.webkitTransform="translate3d("+-e+"px, 0, 0)"),o.style.webkitTransform="translate3d(0, "+-t+"px, 0)",l.style.webkitTransform="translate3d(0, "+-t+"px, 0)"):(n=this.getResources().isRTLMode()?"right":"left",this.setElementDir(s,-e,n),this.setElementDir(r,-e,n),this.setElementDir(o,-t,"top"),this.setElementDir(l,-t,"top"))},i.prototype._adjustScrollerSize=function(){var e,t,i;e=this.m_databody.firstChild,t=this.getElementHeight(e),i=this.getElementWidth(e),(this._getMaxBottomPixel()>t||this.getDataSource().getCount("row")==this._getMaxBottom()+1&&!this._isCountUnknown("row")&&this._getMaxBottom()>-1)&&this.setElementHeight(e,this._getMaxBottomPixel()),(this._getMaxRightPixel()>i||this.getDataSource().getCount("column")==this._getMaxRight()+1&&!this._isCountUnknown("column")&&this._getMaxRight()>-1)&&this.setElementWidth(e,this._getMaxRightPixel())},i.prototype._getLongScrollStart=function(e,t,i){var s,o,n,r,l,h,a,d,m,c;return t!=e?("row"==i?(h=this.getElementHeight(this.m_databody.firstChild),a=this.m_utils._getMaxDivHeightForScrolling(),d=this._getMaxScrollHeight(),m=this.m_avgRowHeight,c=this.m_hasHorizontalScroller?this.m_utils.getScrollbarSize():0):"column"==i&&(h=this.getElementWidth(this.m_databody.firstChild),a=this.m_utils._getMaxDivWidthForScrolling(),d=this._getMaxScrollWidth(),m=this.m_avgColWidth,c=this.m_hasVerticalScroller?this.m_utils.getScrollbarSize():0),n=Math.max(Math.min(e/h,1),0),l=this.getDataSource().getCount(i),r=this.getFetchSize(i),s=Math.floor(l*n),o=a<=h?Math.min(e,d):s*m,(1==n||e+r*m>h-c)&&(s=Math.max(l-r,0),o=Math.max(h-r*m,0))):"row"==i?(s=this.m_startRow,o=this.m_startRowPixel):"column"==i&&(s=this.m_startCol,o=this.m_startColPixel),{start:s,startPixel:o}},i.prototype.handleLongScroll=function(e,t){var i,s,o,n,r,l;this.m_isLongScroll=!0,this.isFetchComplete()&&(r=this._getLongScrollStart(t,this.m_prevScrollTop,"row"),i=r.start,o=r.startPixel,l=this._getLongScrollStart(e,this.m_prevScrollLeft,"column"),s=l.start,n=l.startPixel,this.m_hasCells&&(this.m_startRow=i,this.m_endRow=-1,this.m_startRowPixel=o,this.m_endRowPixel=o,this.m_startCol=s,this.m_endCol=-1,this.m_startColPixel=n,this.m_endColPixel=n),this.m_hasRowHeader&&(this.m_startRowHeader=i,this.m_endRowHeader=-1,this.m_startRowHeaderPixel=o,this.m_endRowHeaderPixel=o),this.m_hasRowEndHeader&&(this.m_startRowEndHeader=i,this.m_endRowEndHeader=-1,this.m_startRowEndHeaderPixel=o,this.m_endRowEndHeaderPixel=o),this.m_hasColHeader&&(this.m_startColHeader=s,this.m_endColHeader=-1,this.m_startColHeaderPixel=n,this.m_endColHeaderPixel=n),this.m_hasColEndHeader&&(this.m_startColEndHeader=s,this.m_endColEndHeader=-1,this.m_startColEndHeaderPixel=n,this.m_endColEndHeaderPixel=n),this.m_stopRowFetch=!1,this.m_stopRowHeaderFetch=!1,this.m_stopRowEndHeaderFetch=!1,this.m_stopColumnFetch=!1,this.m_stopColumnHeaderFetch=!1,this.m_stopColumnEndHeaderFetch=!1,this.fetchHeaders("row",i,this.m_rowHeader,this.m_rowEndHeader,void 0,{success:function(e,t,i){this.handleRowHeadersFetchSuccessForLongScroll(e,t,i)}}),this.fetchHeaders("column",s,this.m_colHeader,this.m_colEndHeader,void 0,{success:function(e,t,i){this.handleColumnHeadersFetchSuccessForLongScroll(e,t,i)}}),this.fetchCells(this.m_databody,i,s,null,null,{success:function(e,t){this.handleCellsFetchSuccessForLongScroll(e,t,i,s,o,n)}}))},i.prototype.handleRowHeadersFetchSuccessForLongScroll=function(e,t,i){var s,o;s=this.m_rowHeader.firstChild,o=this.m_rowEndHeader.firstChild,null!=s&&this.m_utils.empty(s),null!=o&&this.m_utils.empty(o),this.handleHeadersFetchSuccess(e,t,i,!1)},i.prototype.handleColumnHeadersFetchSuccessForLongScroll=function(e,t,i){var s,o;s=this.m_colHeader.firstChild,o=this.m_colEndHeader.firstChild,null!=s&&this.m_utils.empty(s),null!=o&&this.m_utils.empty(o),this.handleHeadersFetchSuccess(e,t,i,!1)},i.prototype.handleCellsFetchSuccessForLongScroll=function(e,t,i,s,o,n){var r=this.m_databody.firstChild;null!=r&&this._emptyDatabody(r),this.handleCellsFetchSuccess(e,t)},i.prototype._cleanupViewport=function(e){var t,i,s,o;!this._isHighWatermarkScrolling()&&this._isScrollBackToEditable()&&(null==e&&(this.m_prevScrollLeft>this.m_currentScrollLeft?e="right":this.m_prevScrollLeft<this.m_currentScrollLeft?e="left":this.m_prevScrollTop>this.m_currentScrollTop?e="bottom":this.m_prevScrollTop<this.m_currentScrollTop&&(e="top")),t=this._getViewportLeft(),i=this._getViewportRight(),s=this._getViewportTop(),o=this._getViewportBottom(),"top"==e&&s>this._getMaxTopPixel()?(this.removeRowsFromTop(this.m_databody),this.removeRowHeadersFromTop()):"bottom"==e&&o<this._getMaxBottomPixel()?(this.removeRowsFromBottom(this.m_databody),this.removeRowHeadersFromBottom()):"left"==e&&t>this._getMaxLeftPixel()?(this.removeColumnsFromLeft(this.m_databody),this.removeColumnHeadersFromLeft()):"right"==e&&i<this._getMaxRightPixel()&&(this.removeColumnsFromRight(this.m_databody),this.removeColumnHeadersFromRight()))},i.prototype.fillViewport=function(){var e,t,s,o,n,r;if(this.isFetchComplete()){if(e=this._getViewportLeft(),t=this._getViewportRight()+i.FETCH_PIXEL_THRESHOLD,s=this._getViewportTop(),o=this._getViewportBottom()+i.FETCH_PIXEL_THRESHOLD,this._getMaxBottomPixel()<=o&&(!this.m_stopRowHeaderFetch||!this.m_stopRowEndHeaderFetch||!this.m_stopRowFetch))return n=Math.max(0,this._getMaxBottom()+1),r=Math.max(0,this.getFetchCount("row",n)),this.fetchHeaders("row",n,this.m_rowHeader,this.m_rowEndHeader,r),void this.fetchCells(this.m_databody,n,this.m_startCol,r,this.m_endCol-this.m_startCol+1);if(this._getMaxTopPixel()>s)return n=Math.max(0,this._getMaxTop()-this.getFetchSize("row")),r=Math.max(0,this._getMaxTop()-n),this.fetchHeaders("row",n,this.m_rowHeader,this.m_rowEndHeader,r),void this.fetchCells(this.m_databody,n,this.m_startCol,r,this.m_endCol-this.m_startCol+1);if(this._getMaxRightPixel()<=t&&(!this.m_stopColumnHeaderFetch||!this.m_stopColumnEndHeaderFetch||!this.m_stopColumnFetch))return n=Math.max(0,this._getMaxRight()+1),r=Math.max(0,this.getFetchCount("column",n)),this.fetchHeaders("column",n,this.m_colHeader,this.m_colEndHeader,r),void this.fetchCells(this.m_databody,this.m_startRow,n,this.m_endRow-this.m_startRow+1,r);if(this._getMaxLeftPixel()>e)return n=Math.max(0,this._getMaxLeft()-this.getFetchSize("column")),r=Math.max(0,this._getMaxLeft()-n),this.fetchHeaders("column",n,this.m_colHeader,this.m_colEndHeader,r),void this.fetchCells(this.m_databody,this.m_startRow,n,this.m_endRow-this.m_startRow+1,r)}},i.prototype._getMaxRight=function(){return Math.max(Math.max(this.m_endCol,this.m_endColHeader),this.m_endColEndHeader)},i.prototype._getMaxLeft=function(){return Math.max(Math.max(this.m_startCol,this.m_startColHeader),this.m_startColEndHeader)},i.prototype._getMaxRightPixel=function(){return Math.max(Math.max(this.m_endColPixel,this.m_endColHeaderPixel),this.m_endColEndHeaderPixel)},i.prototype._getMaxLeftPixel=function(){return Math.max(Math.max(this.m_startColPixel,this.m_startColHeaderPixel),this.m_startColEndHeaderPixel)},i.prototype._getMaxBottom=function(){return Math.max(Math.max(this.m_endRow,this.m_endRowHeader),this.m_endRowEndHeader)},i.prototype._getMaxTop=function(){return Math.max(Math.max(this.m_startRow,this.m_startRowHeader),this.m_startRowEndHeader)},i.prototype._getMaxBottomPixel=function(){return Math.max(Math.max(this.m_endRowPixel,this.m_endRowHeaderPixel),this.m_endRowEndHeaderPixel)},i.prototype._getMaxTopPixel=function(){return Math.max(Math.max(this.m_startRowPixel,this.m_startRowHeaderPixel),this.m_startRowEndHeaderPixel)},i.prototype._isScrollBackToEditable=function(){var e=this._getCurrentMode(),t=this._getActiveElement();return"edit"!=e||!this._isCellGoingToBeRemoved(t)||this._handleExitEdit(null,t)},i.prototype._isCellGoingToBeRemoved=function(e){var t,i;if(!this._isHighWatermarkScrolling()){if(this.m_endRow-this.m_startRow>this.MAX_ROW_THRESHOLD&&((i=this.getElementDir(e.parentNode,"top"))+this.getElementHeight(e)<this.m_currentScrollTop||i<this.m_currentScrollTop+this.getViewportHeight()))return!0;if(this.m_endCol-this.m_startCol>this.MAX_COLUMN_THRESHOLD&&((t=this.getElementDir(e,"left"))+this.getElementWidth(e)<this.m_currentScrollLeft||t<this.m_currentScrollLeft+this.getViewportHeight()))return!0}},i.prototype.fetchCellsToBottom=function(){this.fetchCells(this.m_databody,this.m_endRow+1,this.m_startCol,null,this.m_endCol-this.m_startCol+1)},i.prototype.fetchCellsToTop=function(){var e,t;t=Math.max(0,this.m_startRow-this.getFetchSize("row")),e=Math.max(0,this.m_startRow-t),this.fetchCells(this.m_databody,t,this.m_startCol,e,this.m_endCol-this.m_startCol+1)},i.prototype._removeCellsAlongAxis=function(e,t,i){var s,o,n,r,l,h,a,d,m,c,u,_,p,g,C,y,f,E,S,v,w,H,x,b,R;for(n=0,r=0,"row"==e?(l=this.m_startRow,h=this.m_endRow,a=this.m_rowHeader,d=this.m_rowHeaderLevelCount,m=this.m_startRowHeader,c="height",u=this.m_startRowPixel,_=this.m_endRowPixel,p=this.m_currentScrollTop,g="column",C=this.m_startCol,y=this.m_endCol,f="top",o=i?h:l):(l=this.m_startCol,h=this.m_endCol,a=this.m_colHeader,d=this.m_columnHeaderLevelCount,m=this.m_startColHeader,c="width",u=this.m_startColPixel,_=this.m_endColPixel,p=this.m_currentScrollLeft,g="row",C=this.m_startRow,y=this.m_endRow,f=this.getResources().isRTLMode()?"right":"left",o=i?h:l);o<=h&&o>=l&&(null==(E=this._getKey(this._getHeaderByIndex(o,0,a,d,m),e))&&(E=this._getKey(this._getCellByIndex("column"==e?this.createIndex(this.m_startRow,o):this.createIndex(o,this.m_startCol)),e)),S=this._getCellDimension(null,o,E,e,c,!1),i?_-S-n>t:u+S+n<p-t);){for(s=C;s<=y;s+=x)for(H=(w=(v=this._getCellByIndex("column"==e?this.createIndex(s,o):this.createIndex(o,s)))[this.getResources().getMappedAttribute("context")]).extents[e],x=w.extents[g],1==H?this._remove(v):(w.extents[e]-=1,this.setElementDir(v,this.getElementDir(v,c)-S,c),i||(w.indexes[e]+=1,this.setElementDir(v,this.getElementDir(v,f)+S,f))),b=0;b<x;b++)R="column"==e?this.createIndex(s+b,o):this.createIndex(o,s+b),this._removeIndexFromDatabodyMap(R);n+=S,r+=1,o=i?o-1:o+1}return{dimensionChange:n,extentChange:r}},i.prototype.removeHeadersFromStartOfContainer=function(e,t,i,s,o,n,r,l){var h,a,d,m,c,u=0,_=0;if(e.childNodes,null==(h=null==t?e.firstChild:t.nextSibling))return{extentChange:0,dimensionChange:0};for(a=(d=this.m_utils.containsCSSClassName(h,o))?h:h.firstChild,m=this.getElementDir(a,n);i+m<l-s;){if(this._remove(h),_+=m,u+=d?1:this._getAttribute(h,"extent",!0),i+=m,null==(h=null==t?e.firstChild:t.nextSibling))return{extentChange:u,dimensionChange:_};a=(d=this.m_utils.containsCSSClassName(h,o))?h:h.firstChild,m=this.getElementDir(a,n)}return d||(c=this.removeHeadersFromStartOfContainer(h,h.firstChild,i,s,o,n,r,l),this._setAttribute(h,"start",this._getAttribute(h,"start",!0)+c.extentChange),this._setAttribute(h,"extent",this._getAttribute(h,"extent",!0)-c.extentChange),this.setElementDir(a,this.getElementDir(a,r)+c.dimensionChange,r),this.setElementDir(a,this.getElementDir(a,n)-c.dimensionChange,n),u+=c.extentChange,_+=c.dimensionChange),{extentChange:u,dimensionChange:_}},i.prototype.removeHeadersFromEndOfContainer=function(e,t,i,s,o){var n,r,l,h,a,d=0,m=0;for(n=e.lastChild,r=(l=this.m_utils.containsCSSClassName(n,s))?n:n.firstChild,h=this.getElementDir(r,o);t-h>i;)this._remove(n),m+=h,d+=l?1:this._getAttribute(n,"extent",!0),t-=h,n=e.lastChild,r=(l=this.m_utils.containsCSSClassName(n,s))?n:n.firstChild,h=this.getElementDir(r,o);return l||(a=this.removeHeadersFromEndOfContainer(n,t,i,s,o),this._setAttribute(n,"extent",this._getAttribute(n,"extent",!0)-a.extentChange),this.setElementDir(r,this.getElementDir(r,o)-a.dimensionChange,o),d+=a.extentChange,m+=a.dimensionChange),{extentChange:d,dimensionChange:m}},i.prototype.removeColumnHeadersFromLeft=function(){var e,t,i,s;this.m_endColHeader-this.m_startColHeader>this.MAX_COLUMN_THRESHOLD&&(e=this.m_colHeader.firstChild,t=this.getColumnThreshold(),this.m_startColHeaderPixel<=this.m_currentScrollLeft-t&&(i=this.removeHeadersFromStartOfContainer(e,null,this.m_startColHeaderPixel,t,this.getMappedStyle("colheadercell"),"width",this.getResources().isRTLMode()?"right":"left",this.m_currentScrollLeft),this.m_startColHeaderPixel+=i.dimensionChange,this.m_startColHeader+=i.extentChange)),this.m_endColEndHeader-this.m_startColEndHeader>this.MAX_COLUMN_THRESHOLD&&(s=this.m_colEndHeader.firstChild,t=this.getColumnThreshold(),this.m_startColEndHeaderPixel<this.m_currentScrollLeft-t&&(i=this.removeHeadersFromStartOfContainer(s,null,this.m_startColEndHeaderPixel,t,this.getMappedStyle("colendheadercell"),"width",this.getResources().isRTLMode()?"right":"left",this.m_currentScrollLeft),this.m_startColEndHeaderPixel+=i.dimensionChange,this.m_startColEndHeader+=i.extentChange))},i.prototype.removeColumnsFromLeft=function(e){var t,i,s;if(this.m_endCol-this.m_startCol>this.MAX_COLUMN_THRESHOLD){if(t=e.firstChild.childNodes,i=this.getColumnThreshold(),t.length<1)return;s=this._removeCellsAlongAxis("column",i,!1),this.m_startColPixel+=s.dimensionChange,this.m_startCol+=s.extentChange}},i.prototype.removeColumnHeadersFromRight=function(){var e,t,i;t=this.m_currentScrollLeft+this.getViewportWidth()+this.getColumnThreshold(),this.m_endColHeader-this.m_startColHeader>this.MAX_COLUMN_THRESHOLD&&(e=this.m_colHeader.firstChild,this.m_endColHeaderPixel>t&&(this.m_stopColumnHeaderFetch&&(this.m_stopColumnHeaderFetch=!1),i=this.removeHeadersFromEndOfContainer(e,this.m_endColHeaderPixel,t,this.getMappedStyle("colheadercell"),"width"),this.m_endColHeaderPixel-=i.dimensionChange,this.m_endColHeader-=i.extentChange)),this.m_endColEndHeader-this.m_startColEndHeader>this.MAX_COLUMN_THRESHOLD&&(e=this.m_colEndHeader.firstChild,this.m_endColEndHeaderPixel>t&&(this.m_stopColumnEndHeaderFetch&&(this.m_stopColumnEndHeaderFetch=!1),i=this.removeHeadersFromEndOfContainer(e,this.m_endColEndHeaderPixel,t,this.getMappedStyle("colendheadercell"),"width"),this.m_endColEndHeaderPixel-=i.dimensionChange,this.m_endColEndHeader-=i.extentChange))},i.prototype.removeColumnsFromRight=function(e){var t,i,s;if(this.m_endCol-this.m_startCol>this.MAX_COLUMN_THRESHOLD){if(i=e.firstChild.childNodes,t=this.m_currentScrollLeft+this.getViewportWidth()+this.getColumnThreshold(),this.m_endColPixel<=t||i.length<1)return;this.m_stopColumnFetch&&(this.m_stopColumnFetch=!1),s=this._removeCellsAlongAxis("column",t,!0),this.m_endColPixel-=s.dimensionChange,this.m_endCol-=s.extentChange}},i.prototype.removeRowHeadersFromTop=function(){var e,t,i,s;this.m_endRowHeader-this.m_startRowHeader>this.MAX_ROW_THRESHOLD&&(e=this.m_rowHeader.firstChild,t=this.getRowThreshold(),this.m_startRowHeaderPixel>=this.m_currentScrollTop-t||(i=this.removeHeadersFromStartOfContainer(e,null,this.m_startRowHeaderPixel,t,this.getMappedStyle("rowheadercell"),"height","top",this.m_currentScrollTop),this.m_startRowHeaderPixel+=i.dimensionChange,this.m_startRowHeader+=i.extentChange)),this.m_endRowEndHeader-this.m_startRowEndHeader>this.MAX_ROW_THRESHOLD&&(s=this.m_rowEndHeader.firstChild,t=this.getRowThreshold(),this.m_startRowEndHeaderPixel>=this.m_currentScrollTop-t||(i=this.removeHeadersFromStartOfContainer(s,null,this.m_startRowEndHeaderPixel,t,this.getMappedStyle("rowendheadercell"),"height","top",this.m_currentScrollTop),this.m_startRowEndHeaderPixel+=i.dimensionChange,this.m_startRowEndHeader+=i.extentChange))},i.prototype.removeRowsFromTop=function(e){var t,i;if(this.m_endRow-this.m_startRow>this.MAX_ROW_THRESHOLD){if(e.firstChild,t=this.getRowThreshold(),this.m_startRowPixel>=this.m_currentScrollTop-t)return;i=this._removeCellsAlongAxis("row",t,!1),this.m_startRowPixel+=i.dimensionChange,this.m_startRow+=i.extentChange}},i.prototype.removeRowHeadersFromBottom=function(){var e,t,i,s;t=this.m_currentScrollTop+this.getViewportHeight()+this.getRowThreshold(),this.m_endRowHeader-this.m_startRowHeader>this.MAX_ROW_THRESHOLD&&(e=this.m_rowHeader.firstChild,this.m_endRowHeaderPixel<=t||(this.m_stopRowHeaderFetch&&(this.m_stopRowHeaderFetch=!1),i=this.removeHeadersFromEndOfContainer(e,this.m_endRowHeaderPixel,t,this.getMappedStyle("rowheadercell"),"height"),this.m_endRowHeaderPixel-=i.dimensionChange,this.m_endRowHeader-=i.extentChange)),this.m_endRowEndHeader-this.m_startRowEndHeader>this.MAX_ROW_THRESHOLD&&(s=this.m_rowEndHeader.firstChild,this.m_endRowEndHeaderPixel<=t||(this.m_stopRowEndHeaderFetch&&(this.m_stopRowEndHeaderFetch=!1),i=this.removeHeadersFromEndOfContainer(s,this.m_endRowEndHeaderPixel,t,this.getMappedStyle("rowendheadercell"),"height"),this.m_endRowEndHeaderPixel-=i.dimensionChange,this.m_endRowEndHeader-=i.extentChange))},i.prototype.removeRowsFromBottom=function(e){var t,i;if(this.m_endRow-this.m_startRow>this.MAX_ROW_THRESHOLD){if(e.firstChild,t=this.m_currentScrollTop+this.getViewportHeight()+this.getRowThreshold(),this.m_endRowPixel<=t)return;this.m_stopRowFetch&&(this.m_stopRowFetch=!1),i=this._removeCellsAlongAxis("row",t,!0),this.m_endRowPixel-=i.dimensionChange,this.m_endRow-=i.extentChange}},i.prototype.dumpRanges=function(){null!=console&&console.log&&(console.log("================="),console.log("Start Row: "+this.m_startRow),console.log("  End Row: "+this.m_endRow),console.log("Start Column: "+this.m_startCol),console.log("  End Column: "+this.m_endCol),console.log("================="))},i.prototype.handleContextMenuGesture=function(e,t,i){var s,o,n,r,l;if(l=e.originalEvent.target,o=this.findCell(l),"touch"===t&&null!=o&&(s=this.getCellIndexes(o),(!this.isMultipleSelection()||!this._isContainSelection(s)||this._isDatabodyCellActive()&&s.row!=this.m_active.indexes.row&&s.column!=this.m_active.indexes.column)&&(this._isSelectionEnabled()?this.handleDatabodyClickSelection(e.originalEvent):this.handleDatabodyClickActive(e.originalEvent))),!this.m_utils._isNodeEditableOrClickable(l,this.m_root)){if(null!=o)s=this.getCellIndexes(o),this.isMultipleSelection()&&this._isContainSelection(s)?(r=this._getActiveElement(),n=this._isDatabodyCellActive()?"keyboard"===t?this._getCellCapability(r):this._getCellCapability(r,o):this._getHeaderCapability(r,o)):(r=o,n=this._getCellCapability(r));else{if(null==(o=this.findHeader(l)))return;n=this._getHeaderCapability(o),r=o}i.call(null,{capabilities:n,launcher:r},e,t)}},i.prototype._getCellCapability=function(e,t){var i,s,o,n,r,l,h,a,d=!0,m=!0;return h="enable",i={resize:l="disable",resizeWidth:l,resizeHeight:l,sortRow:l,sortCol:l,cut:l,paste:l,sortColAsc:l,sortColDsc:l},null!=t&&(d=this._getIndex(e,"column")===this._getIndex(t,"column"),!1===(m=this._getKey(e,"row")===this._getKey(t,"row"))&&!1===d)?i:(s=this.getHeaderFromCell(e,"row"),o=this.getHeaderFromCell(e,"column"),n=this.getResources().getMappedAttribute("resizable"),r=this.getResources().getMappedAttribute("sortable"),null!=o&&d&&("true"===o.getAttribute(n)&&(i.resize=h,i.resizeWidth=h),"true"===o.getAttribute(r)&&(i.sortCol=h,i.sortColAsc=h,i.sortColDsc=h,"ascending"===(a=o.getAttribute(this.getResources().getMappedAttribute("sortDir")))?i.sortColAsc=l:"descending"===a&&(i.sortColDsc=l))),m&&(this._isMoveEnabled("row")&&(i.cut=h,i.paste=h),null!=s&&("true"===s.getAttribute(n)&&(i.resize=h,i.resizeHeight=h),"true"===s.getAttribute(r)&&(i.sortRow=h))),i)},i.prototype._getHeaderCapability=function(e,t){var i,s,o,n,r,l,h,a=!0,d=!0;return r="enable",i={resize:n="disable",resizeWidth:n,resizeHeight:n,sortRow:n,sortCol:n,cut:n,paste:n,sortColAsc:n,sortColDsc:n},null!=t&&(a=this.getHeaderCellIndex(e)===this._getIndex(t,"column"),!1===(d=this._getKey(e,"row")===this._getKey(t,"row"))&&!1===a)?i:(h=this.getHeaderCellAxis(e),s=this.getResources().getMappedAttribute("resizable"),o=this.getResources().getMappedAttribute("sortable"),null!==e&&("column"!=h&&"columnEnd"!=h||!a?d&&(this._isMoveEnabled("row")&&(i.cut=r,i.paste=r),"true"===e.getAttribute(s)&&(i.resize=r,i.resizeHeight=r),i.resizeWidth=this.m_options.isResizable(h,"width"),"true"===e.getAttribute(o)&&(i.sortRow=r)):("true"===e.getAttribute(s)&&(i.resizeWidth=r,i.resize=r),i.resizeHeight=this.m_options.isResizable(h,"height"),"true"===e.getAttribute(o)&&(i.sortCol=r,i.sortColAsc=r,i.sortColDsc=r,"ascending"===(l=e.getAttribute(this.getResources().getMappedAttribute("sortDir")))?i.sortColAsc=n:"descending"===l&&(i.sortColDsc=n)))),i.resize=i.resizeHeight===r||i.resizeWidth===r?r:n,i)},i.prototype.handleContextMenuReturn=function(e,t,i){var s,o;null!=this.m_active&&(s=this._getActiveElement()),t===this.m_resources.getMappedCommand("resizeHeight")||t===this.m_resources.getMappedCommand("resizeWidth")?this.isResizeEnabled()&&this.handleContextMenuResize(e,t,i,s):t===this.m_resources.getMappedCommand("sortColAsc")||t===this.m_resources.getMappedCommand("sortColDsc")?(o=t===this.m_resources.getMappedCommand("sortColAsc")?"ascending":"descending",this.m_utils.containsCSSClassName(s,this.getMappedStyle("cell"))&&(s=this.getHeaderFromCell(s,"column")),this._isDOMElementSortable(s)&&this._handleCellSort(e,o,s)):t===this.m_resources.getMappedCommand("sortRowAsc")||t===this.m_resources.getMappedCommand("sortRowDsc")?(o=t===this.m_resources.getMappedCommand("sortRowAsc")?"ascending":"descending",this.m_utils.containsCSSClassName(s,this.getMappedStyle("cell"))&&(s=this.getHeaderFromCell(s,"row")),this._isDOMElementSortable(s)&&this._handleCellSort(e,o,s)):t===this.m_resources.getMappedCommand("cut")?this._handleCut(e,s):t===this.m_resources.getMappedCommand("paste")?this._handlePaste(e,s):t===this.m_resources.getMappedCommand("discontiguousSelection")&&this.setDiscontiguousSelectionMode(i)},i.prototype._isSortEnabled=function(e,t){var i,s;return i=this.getDataSource().getCapability("sort"),!("enable"!==(s=this.m_options.isSortable(e,t))&&"auto"!==s||"full"!==i&&i!==e)},i.prototype._isDOMElementSortable=function(e){if(null==e)return!1;var t=this.findHeader(e);return null!=t&&"true"==t.getAttribute(this.getResources().getMappedAttribute("sortable"))},i.prototype._isSelectionEnabled=function(){return"none"!=this.m_options.getSelectionCardinality()},i.prototype.isMultipleSelection=function(){return"multiple"==this.m_options.getSelectionCardinality()},i.prototype.isResizeEnabled=function(){return this.m_options.isResizable("row","width")||this.m_options.isResizable("row","height")||this.m_options.isResizable("column","width")||this.m_options.isResizable("column","height")||this.m_options.isResizable("rowEnd","width")||this.m_options.isResizable("rowEnd","height")||this.m_options.isResizable("columnEnd","width")||this.m_options.isResizable("columnEnd","height")},i.prototype._isHeaderResizeEnabled=function(e,t){return"column"==e||"columnEnd"==e?"enable"==this.m_options.isResizable(e,"width",t):("row"==e||"rowEnd"==e)&&"enable"==this.m_options.isResizable(e,"height",t)},i.prototype.handleMouseMove=function(e){this.isResizeEnabled()&&0==this.m_databodyDragState&&this.handleResize(e)},i.prototype.handleRowHeaderMouseMove=function(e){this.m_databodyMove?this._handleMove(e):this.m_headerDragState&&this.m_selectionFrontier&&-1!=this.m_selectionFrontier.axis.indexOf("row")?this.extendSelectionHeader(e.target,e):this.m_isResizing||this.handleMouseMove(e)},i.prototype.handleColumnHeaderMouseMove=function(e){this.m_headerDragState&&this.m_selectionFrontier&&-1!=this.m_selectionFrontier.axis.indexOf("column")?this.extendSelectionHeader(e.target,e):this.m_isResizing||this.handleMouseMove(e)},i.prototype.handleHeaderMouseDown=function(e){var t,i,s,o,n;if(this._exitActionableMode(),s=e.target,e.shiftKey,!this._isEditOrEnter()||(t=this._getActiveElement(),0!=this._leaveEditing(e,t,!1))){if(0===e.button){if((this.m_utils.containsCSSClassName(s,this.getMappedStyle("sortascending"))||this.m_utils.containsCSSClassName(s,this.getMappedStyle("sortdescending")))&&this._isDOMElementSortable(s))return e.preventDefault(),void this._handleSortIconMouseDown(s);this.isResizeEnabled()&&(i=this.handleResizeMouseDown(e)),!this.m_isResizing&&this._isMoveOnElementEnabled(this.findHeader(s))&&(this.m_databodyMove=!0,this.m_currentX=e.pageX,this.m_currentY=e.pageY,i=!0)}this.m_isResizing||(this.m_root.contains(document.activeElement)&&document.activeElement!==this.m_root||(this.m_externalFocus=!0),n=this.m_options.getSelectionMode(),o=this.findHeader(s)[this.getResources().getMappedAttribute("context")],!this._isSelectionEnabled()||!this.isMultipleSelection()||"row"==n&&-1==o.axis.indexOf("row")||this.m_databodyMove?"row"==n&&-1!=o.axis.indexOf("row")&&this._isSelectionEnabled()?this.handleHeaderClickSelection(e):this.handleHeaderClickActive(e):(this.handleHeaderClickSelection(e),0===e.button&&(this.m_headerDragState=!0))),!0===i&&e.preventDefault()}},i.prototype.handleMouseUp=function(e){this.m_headerDragState=!1,this.m_databodyDragState=!1,this.m_databodyMove?this._handleMoveMouseUp(e,!1):this.isResizeEnabled()&&this.handleResizeMouseUp(e),this.m_databodyMove=!1},i.prototype.handleHeaderMouseOver=function(e){var t=e.target;this.m_utils.addCSSClassName(this.findHeader(t),this.getMappedStyle("hover")),this._isDOMElementSortable(t)&&this._handleSortMouseOver(e)},i.prototype.handleHeaderMouseOut=function(e){var t=e.target;this.m_utils.removeCSSClassName(this.findHeader(t),this.getMappedStyle("hover")),this._isDOMElementSortable(t)&&this._handleSortMouseOut(e)},i.prototype.handleHeaderMouseUp=function(e){this.handleDragAnchorChange(e),this.m_headerDragState=!1,this.m_databodyDragState=!1,this.m_databodyMove&&this._handleMoveMouseUp(e,!0)},i.prototype.handleCornerClick=function(e){this._handleSelectAll(e)},i.prototype.handleHeaderClick=function(e){var t=e.target;(this.m_utils.containsCSSClassName(t,this.getMappedStyle("sortascending"))||this.m_utils.containsCSSClassName(t,this.getMappedStyle("sortdescending")))&&this._isDOMElementSortable(t)&&(this._removeTouchSelectionAffordance(),this._handleHeaderSort(e),e.preventDefault())},i.prototype.handleDatabodyMouseDown=function(e){var t,i,s;if(s=e.target,null!=(t=this.findCell(s))){if(this._isEditOrEnter()){if(t==(i=this._getActiveElement()))return;if(0==this._leaveEditing(e,i,!1))return}else this._exitActionableMode();0===e.button&&this._isMoveOnElementEnabled(t)&&(this.m_databodyMove=!0,this.m_currentX=e.pageX,this.m_currentY=e.pageY),this.m_root.contains(document.activeElement)&&document.activeElement!==this.m_root||(this.m_externalFocus=!0),this._isGridEditable()&&(this.m_shouldFocus=!this._isFocusableElementBeforeCell(s)),this._isSelectionEnabled()?(this.handleDatabodyClickSelection(e),this.isMultipleSelection()&&0===e.button&&(this.m_databodyDragState=!0)):this.handleDatabodyClickActive(e)}else this.m_scrollbarFocus=!0},i.prototype.handleDatabodyMouseOut=function(e){var t,i;this.m_databodyMove||(t=e.target,i=this.findCell(t),this._setCellHover(i,"remove"))},i.prototype.handleDatabodyMouseOver=function(e){var t,i;this.m_databodyMove||(t=e.target,i=this.findCell(t),this._setCellHover(i,"add"))},i.prototype._setCellHover=function(e,t){if(null!=e){var i=this.m_options.getSelectionMode();if("cell"===i)"add"==t?this.m_utils.addCSSClassName(e,this.getMappedStyle("hover")):this.m_utils.removeCSSClassName(e,this.getMappedStyle("hover"));else if("row"===i)for(var s=this._getIndex(e,"row"),o=this._getSelectionStartAndEnd(this.createIndex(s,this.m_startCol),this.createIndex(s,this.m_endCol),0),n=o.min.row;n<=o.max.row;n++)this._highlightCellsAlongAxis(n,"row","index",t,["hover"])}},i.prototype.handleDatabodyDoubleClick=function(e){var t,i,s;if(this._isGridEditable()){if(t=e.target,i=this.findCell(t),"edit"==this._getCurrentMode()){if(i==(s=this._getActiveElement()))return;if(!this._handleExitEdit(e,s))return}this._handleEditable(e,i),this._handleEdit(e,i)}},i.prototype.handleDatabodyMouseMove=function(e){this.m_databodyMove?this._handleMove(e):this.m_databodyDragState&&this.handleDatabodySelectionDrag(e)},i.prototype.handleDatabodyMouseUp=function(e){this.m_databodyDragState=!1,this.m_headerDragState=!1,this.m_databodyMove&&this._handleMoveMouseUp(e,!0)},i.prototype.handleDatabodyKeyDown=function(e){var t,s,o;e.target,e.keyCode,o=this.m_utils.ctrlEquivalent(e),e.defaultPrevented&&o&&(i.keyCodes.LEFT_KEY||i.keyCodes.RIGHT_KEY)||this.m_animating||(t=null!=this.m_active&&"header"==this.m_active.type?this._getActionFromKeyDown(e,this.m_active.axis):this._getActionFromKeyDown(e,"cell"),s=this._getActiveElement(),null!=t&&t.call(this,e,s)&&e.preventDefault())},i.prototype._fireKeyDownEvent=function(e){var t;return t={event:e,ui:{rowKey:this._getActiveKey("row")}},this.fireEvent("keydown",t)},i.prototype.findPos=function(e){var t,i;return e?(t=this.findPos(e.offsetParent),i=this.getElementTranslationXYZ(e.offsetParent),[parseInt(t[0],10)+parseInt(e.offsetLeft,10)+i[0],parseInt(t[1],10)+parseInt(e.offsetTop,10)+i[1]]):[0,0]},i.prototype.getElementTranslationXYZ=function(e){var t,i,s;return e?(s=(i=(t=document.defaultView.getComputedStyle(e,null)).getPropertyValue("-webkit-transform")||t.getPropertyValue("-moz-transform")||t.getPropertyValue("-ms-transform")||t.getPropertyValue("-o-transform")||t.getPropertyValue("transform")).substr(7,i.length-8).split(", "),[isNaN(parseInt(s[4],10))?0:parseInt(s[4],10),isNaN(parseInt(s[5],10))?0:parseInt(s[5],10),isNaN(parseInt(s[6],10))?0:parseInt(s[6],10)]):[0,0,0]},i.prototype.handleDatabodyMouseWheel=function(e){var t,i,s;e.preventDefault(),this.m_animating||(i=(t=this.m_utils.getMousewheelScrollDelta(e)).deltaX,s=t.deltaY,this.scrollDelta(i,s))},i.prototype.handleTouchStart=function(e){var t,i,s,o;t=e.touches.length,o=e.touches[0].target,1==t?(this.m_startX=e.touches[0].pageX,this.m_startY=e.touches[0].pageY,this.m_currentX=this.m_startX,this.m_currentY=this.m_startY,this.m_prevX=this.m_startX,this.m_prevY=this.m_startY,this.m_startTime=(new Date).getTime(),this.m_touchActive=!0,this.isMultipleSelection()&&(o.className!==this.getMappedStyle("selectaffordancetop")&&o.className!==this.getMappedStyle("selectaffordancebottom")||(o=o.parentNode),(i=o===this.m_topSelectIconContainer?"top":o===this.m_bottomSelectIconContainer?"bottom":null)&&(this.m_touchMultipleSelect=!0,s=this.GetSelection(),this.m_touchSelectAnchor="top"===i?s[s.length-1].endIndex:s[s.length-1].startIndex)),!this.m_touchMultipleSelect&&this._isMoveOnElementEnabled(this.findCell(o))&&(this.m_databodyMove=!0)):this.handleTouchCancel(e)},i.prototype.handleTouchMove=function(e){var t,i,s;if(s=e.target,this.m_touchActive){if(e.preventDefault(),this.m_currentX=e.touches[0].pageX,this.m_currentY=e.touches[0].pageY,t=this.m_currentX-this.m_prevX,i=this.m_currentY-this.m_prevY,this.getResources().isRTLMode()&&(t*=-1),this.m_touchMultipleSelect)this.handleDatabodySelectionDrag(e);else if(this.m_databodyMove)this._removeTouchSelectionAffordance(),this._handleMove(e);else if(this._isEditOrEnter()){var o=this._getActiveElement();this.findCell(s)!=o&&this._handleNonSwipeScroll(t,i)}else this._handleNonSwipeScroll(t,i);this.m_prevX=this.m_currentX,this.m_prevY=this.m_currentY}else this.handleTouchCancel(e)},i.prototype.handleTouchEnd=function(e){var t,s,o;if(o=e.target,this._isEditOrEnter()){if(s=this._getActiveElement(),this.findCell(o)==s)return void this.handleTouchCancel(e);this._leaveEditing(e,s,!1)}else this._exitActionableMode();if(null!=this.m_lastTapTime&&this.m_startTime-this.m_lastTapTime<250&&this.m_lastTapTarget===o?(this.m_lastTapTime=null,this.m_lastTapTarget=null,null!=(s=this.findCell(o))&&(this._handleEditable(e,s),this._handleEdit(e,s),e.preventDefault())):(this.m_lastTapTarget=e.target,this.m_lastTapTime=(new Date).getTime()),this.m_touchActive&&!e.defaultPrevented)if(this.m_touchMultipleSelect)e.preventDefault(),this.m_touchMultipleSelect=!1;else{if(t=this.m_lastTapTime-this.m_startTime,this.m_currentX==this.m_startX&&this.m_currentY==this.m_startY)return this.m_databodyMove=!1,this._isSelectionEnabled()&&t<i.CONTEXT_MENU_TAP_HOLD_DURATION?void this.handleDatabodyClickSelection(e):void this.handleDatabodyClickActive(e);if(this.m_databodyMove)return e.preventDefault(),this.m_databodyMove=!1,void this._handleMoveMouseUp(e,!0);this._handleSwipe(e)}this.handleTouchCancel(e)},i.prototype._calculateMomentum=function(e,t,s,o,n,r){var l,h,a,d,m;return l=e-t,a=(h=Math.abs(l)/s)*h/(2*i.DECELERATION_FACTOR)*(l<0?-1:1),d=h/i.DECELERATION_FACTOR,r&&(a*=-1),o-a>n?(m=Math.max(-1*i.MAX_OVERSCROLL_PIXEL,a),a=o-n,d=(l=n-o)/h):o-a<0&&(m=Math.min(i.MAX_OVERSCROLL_PIXEL,a),a=o,d=(l=o)/h),{destination:Math.round(a),duration:Math.min(Math.max(i.MIN_SWIPE_TRANSITION_DURATION,d),i.MAX_SWIPE_TRANSITION_DURATION),overScroll:m}},i.prototype.handleTouchCancel=function(e){this.m_databodyMove&&(this._handleMoveMouseUp(e,!1),this.m_databodyMove=!1),this.m_touchSelectAnchor=null,this.m_touchMultipleSelect=!1,this.m_touchActive=!1,this.m_startX=0,this.m_startY=0,this.m_prevX=0,this.m_prevY=0,this.m_currentX=0,this.m_currentY=0,this.m_startTime=0},i.prototype.handleHeaderTouchStart=function(e){var t,i,s;this.m_touchStart=(new Date).getTime(),i=e.touches.length,s=e.target,1==i?(this.m_startX=e.touches[0].pageX,this.m_startY=e.touches[0].pageY,this.m_currentX=this.m_startX,this.m_currentY=this.m_startY,this.m_prevX=this.m_startX,this.m_prevY=this.m_startY,this.m_touchActive=!0,t=this.findHeader(s),this.isResizeEnabled()&&(this.handleResize(e),this.handleResizeMouseDown(e)),!this.m_isResizing&&this._isMoveOnElementEnabled(t)&&(this.m_databodyMove=!0)):this.handleHeaderTouchCancel(e)},i.prototype.handleHeaderTouchMove=function(e){var t,i,s,o,n;this.m_touchActive?(e.preventDefault(),this.m_currentX=e.touches[0].pageX,this.m_currentY=e.touches[0].pageY,t=this.m_currentX-this.m_prevX,i=this.m_currentY-this.m_prevY,this.m_isResizing&&this.isResizeEnabled()?this.handleResize(e):this.m_databodyMove?(this._removeTouchSelectionAffordance(),this._handleMove(e)):(o=e.target,s=this.findHeader(o),"column"==(n=this.getHeaderCellAxis(s))||"columnEnd"==n?this._handleNonSwipeScroll(t,0):this._handleNonSwipeScroll(0,i)),this.m_prevX=this.m_currentX,this.m_prevY=this.m_currentY):this.handleTouchCancel(e)},i.prototype.handleHeaderTouchEnd=function(e){var t,i,s,o;(new Date).getTime(),this.m_touchStart,this.m_touchActive&&!e.defaultPrevented&&(i=e.target,this.m_isResizing&&this.isResizeEnabled()?(this.handleResizeMouseUp(e),this.m_currentX!=this.m_startX&&this.m_currentY!=this.m_startY&&e.preventDefault()):this.m_currentX==this.m_startX&&this.m_currentY==this.m_startY?(s=this.m_options.getSelectionMode(),o=(t=this.findHeader(i))[this.getResources().getMappedAttribute("context")],(this.m_utils.containsCSSClassName(i,this.getMappedStyle("sortascending"))||this.m_utils.containsCSSClassName(i,this.getMappedStyle("sortdescending")))&&this._isDOMElementSortable(i)?(e.preventDefault(),this._removeTouchSelectionAffordance(),this._handleSortIconMouseDown(i),this._handleHeaderSort(e)):!this._isSelectionEnabled()||!this.isMultipleSelection()||"row"==s&&-1==o.axis.indexOf("row")||this.m_databodyMove?"row"==s&&-1!=o.axis.indexOf("row")&&this._isSelectionEnabled()?this.handleHeaderClickSelection(e):this.handleHeaderClickActive(e):(this.handleHeaderClickSelection(e),0===e.button&&(this.m_headerDragState=!0))):this.m_databodyMove?(e.preventDefault(),this.m_databodyMove=!1,this._handleMoveMouseUp(e,!0)):(t=this.findHeader(i),this._handleSwipe(e,this.getHeaderCellAxis(t)))),this.handleHeaderTouchCancel(e)},i.prototype.handleHeaderTouchCancel=function(e){this.m_databodyMove&&(this._handleMoveMouseUp(e,!1),this.m_databodyMove=!1),this.m_touchActive=!1,this.m_startX=0,this.m_startY=0,this.m_prevX=0,this.m_prevY=0,this.m_currentX=0,this.m_currentY=0},i.prototype._handleNonSwipeScroll=function(e,t){var s=(new Date).getTime();this._disableTouchScrollAnimation();var o=this.adjustTouchScroll(e,t);e=o[0],t=o[1],this.scrollDelta(e,t),s-this.m_startTime>i.TAP_AND_SCROLL_RESET&&(this.m_startX=this.m_currentX,this.m_startY=this.m_currentY,this.m_startTime=(new Date).getTime())},i.prototype._handleSwipe=function(e,t){var s,o,n,r,l,h,a;if(s=(new Date).getTime()-this.m_startTime,o=this.getResources().isRTLMode(),n=this.m_currentX-this.m_startX,r=this.m_currentY-this.m_startY,o&&(n*=-1),Math.abs(n)<i.MIN_SWIPE_DISTANCE&&Math.abs(r)<i.MIN_SWIPE_DISTANCE&&s<i.MIN_SWIPE_DURATION)e.preventDefault(),this._isSelectionEnabled()&&this._scrollTouchSelectionAffordance();else if(s<i.MAX_SWIPE_DURATION){e.preventDefault(),"row"!=t&&"rowEnd"!=t?(l=this._calculateMomentum(this.m_currentX,this.m_startX,s,this.m_currentScrollLeft,this.m_scrollWidth,o),isNaN(l.overScroll)||(l.overScroll>0||this.m_stopColumnFetch)&&(this.m_extraScrollOverX=-1*l.overScroll)):(l={duration:0,destination:0},n=0),"column"!=t&&"columnEnd"!=t?(h=this._calculateMomentum(this.m_currentY,this.m_startY,s,this.m_currentScrollTop,this.m_scrollHeight),isNaN(h.overScroll)||(h.overScroll>0||this.m_stopRowFetch)&&(this.m_extraScrollOverY=-1*h.overScroll)):(h={duration:0,destination:0},r=0),a=Math.max(l.duration,h.duration),this.m_databody.firstChild.style.webkitTransitionDuration=a+"ms",this.m_rowHeader.firstChild.style.webkitTransitionDuration=a+"ms",this.m_colHeader.firstChild.style.webkitTransitionDuration=a+"ms",this.m_rowEndHeader.firstChild.style.webkitTransitionDuration=a+"ms",this.m_colEndHeader.firstChild.style.webkitTransitionDuration=a+"ms",n+=l.destination,r+=h.destination;var d=this.adjustTouchScroll(n,r);n=d[0],r=d[1],this.scrollDelta(n,r)}},i.prototype.fireEvent=function(e,t){var i;if(null!=e&&null!=t)return null==(i=this.callbacks[e])||i(t)},i.prototype.addListener=function(e,t){this.callbacks[e]=t},i.prototype.setElementHeight=function(e,t){e.style.height=t+"px"},i.prototype.getElementHeight=function(e){return this.getElementDir(e,"height")},i.prototype.setElementWidth=function(e,t){e.style.width=t+"px"},i.prototype.getElementWidth=function(e){return this.getElementDir(e,"width")},i.prototype.setElementDir=function(e,t,i){e.style[i]=t+"px"},i.prototype.getElementDir=function(e,t){var i;return e.style[t].indexOf("px")>-1&&-1==e.style[t].indexOf("e")?parseFloat(e.style[t]):(document.body.contains(e)?i=Math.round(e["offset"+t.charAt(0).toUpperCase()+t.slice(1)]):(e.style.visibility="hidden",this.m_root.appendChild(e),i=Math.round(e["offset"+t.charAt(0).toUpperCase()+t.slice(1)]),this.m_root.removeChild(e),e.style.visibility=""),i)},i.BEFORE=1,i.AFTER=2,i.INSIDE=3,i.prototype._isInViewport=function(e){var t,s;return t=e.row,s=e.column,-1===t&&-1===s?-1:-1===t?s<this.m_startCol?i.BEFORE:s>this.m_endCol?i.AFTER:i.INSIDE:-1===s?t<this.m_startRow?i.BEFORE:t>this.m_endRow?i.AFTER:i.INSIDE:s>=this.m_startCol&&s<=this.m_endCol&&t>=this.m_startRow&&t<=this.m_endRow?i.INSIDE:-1},i.prototype._isCellBoundryInViewport=function(e,t,i,s){var o=this._getViewportTop(),n=this._getViewportBottom(),r=this._getViewportLeft(),l=this._getViewportRight();return(s<=n&&s>o||i>=o&&i<n)&&(t<=l&&t>r||e>=r&&e<l)},i.prototype.queueModelEvent=function(e){return!(this.m_initialized&&!this.m_processingEventQueue&&!this.m_animating&&!this.m_processingModelEvent)&&(null==this.m_modelEvents&&(this.m_modelEvents=[]),this.m_modelEvents.push(e),!0)},i.prototype.handleModelEvent=function(t,i){var s,o,n,r,l,h,a,d,m;void 0===i&&this.queueModelEvent(t)||(s=t.operation,o=t.keys,a=t.source,h=t.indexes,n=t.result,r=t.header,l=t.endheader,d=t.silent,m=!1,this.m_processingModelEvent=!0,"insert"===s?(this._adjustActive(s,h),this.m_shouldFocus=!0,this._adjustSelectionOnModelChange(s,o,h),null!=n?(this._handleModelInsertRangeEvent(n,r,l),m=!0):this._handleModelInsertEvent(h,o)):"update"===s?(this._handleModelUpdateEvent(h,o),m=!0):"delete"===s?(this._adjustActive(s,h),this._adjustSelectionOnModelChange(s,o,h),a&&e.FlattenedTreeDataGridDataSource&&a instanceof e.FlattenedTreeDataGridDataSource&&this.m_utils.supportsTransitions()?(this._handleModelDeleteEventWithAnimation(o),m=!0):this._handleModelDeleteEvent(h,o,d)):"refresh"===s||"reset"===s?this._handleModelRefreshEvent():"sync"===s&&this._handleModelSyncEvent(t),this.m_processingModelEvent=!1,!m&&i&&this._runModelEventQueue())},i.prototype._adjustActive=function(e,t){var i,s,o,n,r;if(null!=this.m_active){if("cell"==this.m_active.type)n=!1,i=this.m_active.indexes.row;else{if("row"!==this.m_active.axis)return;n=!0,i=this.m_active.index}if(Array.isArray(t)||(t=new Array(t)),!0===this.m_moveActive){if("insert"===e)return void(n?this.m_active.index=t[0].row:this.m_active.indexes.row=t[0].row);if("delete"===e&&t[0].row===i)return}for(r="insert"===e?1:-1,s=0;s<t.length;s++)(o=t[s].row)<i?n?this.m_active.index+=r:this.m_active.indexes.row+=r:o===i&&"delete"===e&&this._setActive(null,null)}},i.prototype._adjustSelectionOnModelChange=function(e,t,i){var s,o,n,r,l,h,a,d,m,c,u,_,p;if(Array.isArray(t)||(t=new Array(t)),Array.isArray(i)||(i=new Array(i)),s=this.GetSelection(),null!=t&&null!=i&&t.length==i.length&&0!=s.length)for(_="insert"===e?1:-1,o=0;o<t.length;o++)for(n=t[o].row,r=i[o].row,l=s.length;l--;)if(a=(h=s[l]).startKey.row,d=h.endKey.row,m=h.startIndex.row,c=h.endIndex.row,a==n){if(d==n&&"delete"==e){s.splice(l,1);continue}u=this._getKey(this._getAxisCellsByIndex(h.startIndex.row+1,"row")[0],"row"),h.startKey.row=u,h.endIndex.row+=_}else d==n?(u=this._getKey(this._getAxisCellsByIndex(h.startIndex.row-1,"row")[0],"row"),h.endKey.row=u,h.endIndex.row+=_):r<=m?(h.startIndex.row+=_,h.endIndex.row+=_):r<c&&(h.endIndex.row+=_);else this.m_moveActive&&"insert"==e&&(this._isSelectionEnabled()&&this._isDatabodyCellActive()&&(p="cell"==this.m_options.getSelectionMode()?this.createRange(this.m_active.indexes,this.m_active.indexes,t[0],t[0]):this.createRange(i[0],i[0],t[0],t[0]),this.m_selectionFrontier=this.m_active.indexes,s.push(p)),this.m_moveActive=!1)},i.prototype._handleModelInsertEvent=function(e,t){var s,o,n,r;(s=this._isInViewport(e))===i.INSIDE||s===i.AFTER&&e.row==this.m_endRow+1?null!=t.row&&(this._databodyEmpty()?(this.empty(),this.refresh(this.m_root)):(this._modifyAxisCellContextIndex("row",e.row,this.m_endRow-e.row+1,1),this._refreshDatabodyMap(),this.fetchHeaders("row",e.row,this.m_rowHeader,this.m_rowEndHeader,1,{success:this._handleHeaderInsertsFetchSuccess}),this.fetchCells(this.m_databody,e.row,this.m_startCol,1,this.m_endCol-this.m_startCol+1,{success:this._handleCellInsertsFetchSuccess}))):(s===i.BEFORE&&(this._modifyAxisCellContextIndex("row",0,this.m_endRow+1,1),this._refreshDatabodyMap(),this.m_startRow++,this.m_startRowHeader++,this.m_endRow++,this.m_endRowHeader++,this.m_startRowPixel+=this.m_avgRowHeight,this.m_startRowHeaderPixel+=this.m_avgRowHeight,this.m_endRowPixel+=this.m_avgRowHeight,this.m_endRowHeaderPixel+=this.m_avgRowHeight,null!=(o=this.m_databody.firstChild.firstChild)&&this.pushRowsDown(o,this.m_avgRowHeight),null!=(n=this.m_rowHeader.firstChild.firstChild)&&this.pushRowsDown(n,this.m_avgRowHeight),null!=(r=this.m_rowEndHeader.firstChild.firstChild)&&this.pushRowsDown(r,this.m_avgRowHeight)),this.scrollToIndex(e))},i.prototype._handleCellInsertsFetchSuccess=function(e,t){var i;this.m_initialized=!1,this.handleCellsFetchSuccess(e,t,this.m_endRow>=t[0].start),i=t[0].start,this._scrollRowIntoViewport(i),this._isHighWatermarkScrolling()||this._cleanupViewport("top"),this.updateRowBanding(),this.m_stopRowFetch=!1,-1!=this.m_endRowHeader&&(this.m_stopRowHeaderFetch=!1),-1!=this.m_endRowEndHeader&&(this.m_stopRowEndHeaderFetch=!1),this.fillViewport()},i.prototype._handleHeaderInsertsFetchSuccess=function(e,t,i){this.m_resizeRequired=!0,this.handleHeadersFetchSuccess(e,t,i,this.m_endRowHeader>=t.start)},i.prototype._scrollRowIntoViewport=function(e){var t,i,s,o,n;null!=(t=this._getAxisCellsByIndex(e,"row"))&&(i=this._getViewportTop(),s=this._getViewportBottom(),(n=i-(o=this.getElementDir(t[0],"top")))>0?this.scrollDelta(0,n):(n=s-o)<0&&this.scrollDelta(0,n))},i.prototype._handleModelInsertRangeEvent=function(e,t,i){var s,o,n,r,l,h,a,d,m,c,u,_,p,g,C,y,f,E;if(s=e.getStart("row"),o=e.getCount("row"),n=e.getStart("column"),r=e.getCount("column"),this.m_utils.supportsTransitions()){if(null!=t)for(l=document.createDocumentFragment(),a=t.getCount(),c=0,d=0,_=this.getMappedStyle("headercell")+" "+this.getMappedStyle("rowheadercell"),p=this.m_options.getRenderer("row");a-d>0;)m=s+d,d+=(u=this.buildLevelHeaders(l,m,0,0,this.m_startRowPixel+c,!0,s!=this.m_endRowHeader+1,p,t,"row",_,this.m_rowHeaderLevelCount)).count,c+=u.totalHeaderDimension;if(null!=i)for(f=document.createDocumentFragment(),E=i.getCount(),c=0,d=0,_=this.getMappedStyle("endheadercell")+" "+this.getMappedStyle("rowendheadercell"),p=this.m_options.getRenderer("rowEnd");E-d>0;)m=s+d,d+=(u=this.buildLevelHeaders(f,m,0,0,this.m_startRowPixel+c,!0,s!=this.m_endRowEndHeader+1,p,i,"rowEnd",_,this.m_rowEndHeaderLevelCount)).count,c+=u.totalHeaderDimension;if(h=document.createDocumentFragment(),u=this._addCellsToFragment(h,e,s,this.m_startRowPixel,n,this.m_startColPixel),!(0!==h.childNodes.length||null!=l&&0!==l.childNodes.length||null!=f&&0!==f.childNodes.length))return;this._insertRowsWithAnimation(h,l,f,s,e.getCount("row"),u.totalRowHeight)}else g={axis:"row",start:s,count:o},C={axis:"column",start:n,count:r},null!=t&&(y={axis:"row",header:this.m_rowHeader,endHeader:this.m_rowEndHeader,start:s,count:t.getCount()},this.m_fetching.row=y,this._handleHeaderInsertsFetchSuccess(t,y,i)),this._modifyAxisCellContextIndex("row",s,this.m_endRow-s+1,o),this._refreshDatabodyMap(),this._handleCellInsertsFetchSuccess(e,[g,C])},i.prototype._handleModelUpdateEvent=function(e,t){this._isInViewport(e)===i.INSIDE&&(-1!=this.m_endRowHeader&&this.fetchHeaders("row",e.row,this.m_rowHeader,this.m_rowEndHeader,1,{success:this._handleHeaderUpdatesFetchSuccess,error:this.handleHeadersFetchError}),this.fetchCells(this.m_databody,e.row,this.m_startCol,1,this.m_endCol-this.m_startCol+1,{success:this._handleCellUpdatesFetchSuccess,error:this.handleCellsFetchError}))},i.prototype._handleHeaderUpdatesFetchSuccess=function(e,t,i){var s,o,n;s=t.axis,this.m_fetching[s]=!1,o=t.start,this._replaceHeaders(this.buildRowHeaders.bind(this),e,this.m_rowHeader,o,this.m_startRowHeader),this._replaceHeaders(this.buildRowEndHeaders.bind(this),i,this.m_rowEndHeader,o,this.m_startRowEndHeader),n=this.m_rowHeader.firstChild.childNodes[o-this.m_startRowHeader],null==this.m_active||"header"!==this.m_active.type||"row"!==this.m_active.axis&&"rowEnd"!==this.m_active.axis||this._getKey(n,"row")!==this.m_active.key||this._highlightActive(),this._signalTaskEnd()},i.prototype._replaceHeaders=function(e,t,i,s,o){var n,r,l;null!=t&&(r=e(i,t,s,1,!0,!0),l=(n=i.firstChild).childNodes[s-o],n.replaceChild(r,l))},i.prototype._handleCellUpdatesFetchSuccess=function(e,t){var i,s,o;this.m_fetching.cells=!1,i=t[0].start,s=this.m_options.getRenderer("cell"),o=this.m_options.getColumnBandingInterval(),this.m_options.getRowBandingInterval(),this._updateCellsInRow(e,i,s,this.m_startCol,o),this._signalTaskEnd()},i.prototype._getUpdateAnimation=function(){return i.UPDATE_ANIMATION_SLIDE_INOUT},i.prototype._getUpdateAnimationDuration=function(){return i.UPDATE_ANIMATION_DURATION},i.prototype._updateCellsInRow=function(e,t,i,s,o){var n,r,l,h,a,d,m,c;if(n=this._getUpdateAnimationDuration(),a=this._getAxisCellsByIndex(t,"row"),m=this.getElementDir(a[0],"top"),0!==n&&this.m_utils.supportsTransitions()){for((r=this)._signalTaskStart(),this._removeFromArray(a),d=document.createDocumentFragment(),this._addCellsToFragment(d,e,t,m,s,this.m_startColPixel),a=d.childNodes,l=this.getElementWidth(this.m_databody),c=0;c<a.length;c++)this.addTransformMoveStyle(a[c],0,0,"linear",l,0,0);this._populateDatabody(this.m_databody.firstChild,d),a=this._getAxisCellsByIndex(t,"row"),this.hideStatusText(),h=function(){for(c=0;c<a.length;c++)r.removeTransformMoveStyle(a[c]);r._isSelectionEnabled()&&r.applySelection(),r._highlightActive(),r._signalTaskEnd(),r._runModelEventQueue()},this._onTransitionEnd(a[a.length-1],h,n),setTimeout(function(){for(c=0;c<a.length;c++)r.addTransformMoveStyle(a[c],n+"ms",0,"linear",0,0,0)},0)}else this._removeFromArray(a),d=document.createDocumentFragment(),this._addCellsToFragment(d,e,t,m,s,this.m_startColPixel),this._populateDatabody(this.m_databody.firstChild,d),this._isSelectionEnabled()&&this.applySelection(),this._highlightActive(),this.hideStatusText()},i.prototype._handleModelDeleteEvent=function(e,t,s){var o,n,r,l,h,a,d,m,c,u,_,p,g,C,y,f,E,S;for(Array.isArray(t)||(t=new Array(t),e=new Array(e)),d=0,m=0,c=0,C=0,y=0,n=0;n<t.length;n++)o=t[n],g=e[n],null!=o.row&&(l=0,r=o.row,(p=this._isInViewport(g))===i.BEFORE?(this._modifyAxisCellContextIndex("row",this.m_startRow,this.m_endRow-this.m_startRow+1,-1),C++,d+=this.m_avgRowHeight,this.m_startRowPixel-=this.m_avgRowHeight,this.m_endRowPixel-=this.m_avgRowHeight,-1!=this.m_endRowHeader&&(this.m_startRowHeaderPixel-=this.m_avgRowHeight,this.m_endRowHeaderPixel-=this.m_avgRowHeight),null!=(S=this._getAxisCellsByKey(r,"row"))&&this.pushRowsUp(this.m_startRow,this.m_avgRowHeight),null!=(_=this.m_rowHeader.firstChild.firstChild)&&this.pushRowHeadersUp(_,this.m_avgRowHeight),null!=(E=this.m_rowEndHeader.firstChild.firstChild)&&this.pushRowHeadersUp(E,this.m_avgRowHeight)):p===i.INSIDE?(y++,null!=(S=this._getAxisCellsByKey(r,"row"))&&(l=this.calculateRowHeight(S[0]),g=S[0][this.getResources().getMappedAttribute("context")].indexes.row,this._modifyAxisCellContextIndex("row",g+1,this.m_endRow-g,-1),this._removeFromArray(S),this.pushRowsUp(g,l),this.m_endRowPixel-=l),null!=(_=this._findHeaderByKey(r,this.m_rowHeader,this.getMappedStyle("rowheadercell")))&&(l=this.calculateRowHeaderHeight(_),h=_.nextSibling,this._remove(_),this.pushRowHeadersUp(h,l),this.m_endRowHeaderPixel-=l),null!=(E=this._findHeaderByKey(r,this.m_rowEndHeader,this.getMappedStyle("rowendheadercell")))&&(l=this.calculateRowHeaderHeight(E),h=E.nextSibling,this._remove(E),this.pushRowHeadersUp(h,l),this.m_endRowEndHeaderPixel-=l),m+=l):"scroll"===this.m_options.getScrollPolicy()&&(c+=this.m_avgRowHeight));this._refreshDatabodyMap(),this.m_startRow-=C,this.m_endRow=this.m_endRow-C-y,-1!=this.m_endRowHeader&&(this.m_startRowHeader-=C,this.m_endRowHeader=this.m_endRowHeader-C-y),-1!=this.m_endRowEndHeader&&(this.m_startRowEndHeader-=C,this.m_endRowEndHeader=this.m_endRowEndHeader-C-y),f=d+m+c,a=this.m_databody.firstChild,u=this.getElementHeight(a)-f,this.setElementHeight(a,u),this.resizeGrid(),s||1==this.m_moveActive||(this.m_resizeRequired=!0,this.m_stopRowFetch=!1,-1!=this.m_endRowHeader&&(this.m_stopRowHeaderFetch=!1),-1!=this.m_endRowEndHeader&&(this.m_stopRowEndHeaderFetch=!1),this.fillViewport()),this.updateRowBanding()},i.prototype._handleModelDeleteEventWithAnimation=function(e){this._collapseRowsWithAnimation(e)},i.prototype._getSelectionGaps=function(e){var t,i,s;for(i=[],s=[],!0,t=0;t<e.length-1;t++)e[t+1]-e[t]==1?(i.push(e[t]),!1):(i.push(e[t]),s.push(i),i=[],!0);return i.push(e[e.length-1]),s.push(i),s},i.prototype._collapseRowsWithAnimation=function(e){var t,s,o,n,r,l,h,a,d,m,c,u,_,p,g,C,y,f,E,S,v,w;if(0!=e.length){for((t=this)._signalTaskStart(),s=this.m_processingEventQueue?1:i.COLLAPSE_ANIMATION_DURATION,p=[],y=0,v=-1!=this.m_endRowHeader,w=-1!=this.m_endRowEndHeader,o=this.m_databody.firstChild,n=this._getIndex(this._getAxisCellsByKey(e[0].row,"row")[0],"row")-1,r=this._getAxisCellsByIndex(n,"row"),this.getElementDir(r[0],"top"),m=n;m>=this.m_startRow&&(d=this._getAxisCellsByIndex(m,"row"),!(this.getElementDir(d[0],"top")+this.getElementHeight(d[0])<this.m_currentScrollTop));m--)for(c=0;c<d.length;c++)this.changeStyleProperty(d[c],this.getCssSupport("z-index"),10);if(v)for(g=[],l=this._findHeaderByKey(e[0].row,this.m_rowHeader,this.getMappedStyle("rowheadercell")).previousSibling,this.getElementDir(l,"top"),_=l;_&&!(this.getElementDir(_,"top")+this.getElementHeight(_)<this.m_currentScrollTop);)this.changeStyleProperty(_,this.getCssSupport("z-index"),10),_=_.previousSibling;if(w)for(C=[],h=this._findHeaderByKey(e[0].row,this.m_rowEndHeader,this.getMappedStyle("rowendheadercell")).previousSibling,this.getElementDir(h,"top"),_=h;_&&!(this.getElementDir(_,"top")+this.getElementHeight(_)<this.m_currentScrollTop);)this.changeStyleProperty(_,this.getCssSupport("z-index"),10),_=_.previousSibling;for(m=0;m<e.length;m++){if(u=e[m].row,null!=(d=this._getAxisCellsByKey(u,"row")))for(p.push(d),y+=this.getElementHeight(d[0]),c=0;c<d.length;c++)this.setElementDir(d[c],this.getElementDir(d[c],"top")-y,"top"),this.addTransformMoveStyle(d[c],0,0,"linear",0,y,0);v&&null!=(f=this._findHeaderByKey(u,this.m_rowHeader,this.getMappedStyle("rowheadercell")))&&(g.push(f),this.setElementDir(f,this.getElementDir(f,"top")-y,"top"),this.addTransformMoveStyle(f,0,0,"linear",0,y,0)),w&&null!=(E=this._findHeaderByKey(u,this.m_rowEndHeader,this.getMappedStyle("rowendheadercell")))&&(C.push(E),this.setElementDir(E,this.getElementDir(E,"top")-y,"top"),this.addTransformMoveStyle(E,0,0,"linear",0,y,0))}for(m=n+e.length+1;m<=this.m_endRow;m++){for(d=this._getAxisCellsByIndex(m,"row"),c=0;c<d.length;c++)this.setElementDir(d[c],this.getElementDir(d[c],"top")-y,"top"),this.addTransformMoveStyle(d[c],0,0,"linear",0,y,0);v&&(f=f.nextSibling,this.setElementDir(f,this.getElementDir(f,"top")-y,"top"),this.addTransformMoveStyle(f,0,0,"linear",0,y,0)),w&&(E=E.nextSibling,this.setElementDir(E,this.getElementDir(E,"top")-y,"top"),this.addTransformMoveStyle(E,0,0,"linear",0,y,0))}a=this._getCellByIndex(this.createIndex(this.m_endRow,this.m_endCol)),S=function(){var i,s;for(t._modifyAxisCellContextIndex("row",n+e.length+1,t.m_endRow-(n+e.length),-1*e.length),i=0;i<p.length;i++){for(s=0;s<p[i].length;s++)t._remove(p[i][s]);v&&t._remove(g[i]),w&&t._remove(C[i])}t._refreshDatabodyMap(),t.m_endRow-=p.length,t.m_endRowPixel-=y,t.m_stopRowFetch=!1,v&&(t.m_endRowHeader-=g.length,t.m_endRowHeaderPixel-=y,t.m_stopRowHeaderFetch=!1),w&&(t.m_endRowEndHeader-=g.length,t.m_endRowEndHeaderPixel-=y,t.m_stopRowEndHeaderFetch=!1),t.setElementHeight(o,t.m_endRowPixel-t.m_startRowPixel),t.resizeGrid(),t.updateRowBanding(),t.fillViewport(),t._handleAnimationEnd()},t._onTransitionEnd(a,S,s),this.m_animating=!0,setTimeout(function(){for(m=n+1;m<=t.m_endRow;m++){for(d=t._getAxisCellsByIndex(m,"row"),c=0;c<d.length;c++)t.addTransformMoveStyle(d[c],s+"ms",0,"ease-out",0,0,0);v&&(f=t._getHeaderByIndex(m,0,t.m_rowHeader,t.m_rowHeaderLevelCount,t.m_startRowHeader),t.addTransformMoveStyle(f,s+"ms",0,"ease-out",0,0,0)),w&&(E=t._getHeaderByIndex(m,0,t.m_rowEndHeader,t.m_rowEndHeaderLevelCount,t.m_startRowEndHeader),t.addTransformMoveStyle(E,s+"ms",0,"ease-out",0,0,0))}},0)}},i.prototype._handleAnimationEnd=function(){var e,t,i,s;for(t=this.m_databody.firstChild,i=this.m_rowHeader.firstChild,s=this.m_rowEndHeader.firstChild,e=0;e<t.childNodes.length;e++)this.removeTransformMoveStyle(t.childNodes[e]),this.changeStyleProperty(t.childNodes[e],this.getCssSupport("z-index"),null,"remove");if(-1!=this.m_endRowHeader)for(e=0;e<i.childNodes.length;e++)this.removeTransformMoveStyle(i.childNodes[e]),this.changeStyleProperty(i.childNodes[e],this.getCssSupport("z-index"),null,"remove");if(-1!=this.m_endRowEndHeader)for(e=0;e<s.childNodes.length;e++)this.removeTransformMoveStyle(s.childNodes[e]),this.changeStyleProperty(s.childNodes[e],this.getCssSupport("z-index"),null,"remove");this.m_animating=!1,this._runModelEventQueue(),this._signalTaskEnd()},i.prototype._getCellOrHeaderByKey=function(e,t){var i=null,s=this._getAxisCellsByKey(e,t,!0);return null!=s&&s.length>0&&(i=s[0]),null==i&&("row"===t?null==(i=this._findHeaderByKey(e,this.m_rowHeader,this.getMappedStyle("rowheadercell")))&&(i=this._findHeaderByKey(e,this.m_rowEndHeader,this.getMappedStyle("rowendheadercell"))):"column"===t&&null==(i=this._findHeaderByKey(e,this.m_colHeader,this.getMappedStyle("colheadercell")))&&(i=this._findHeaderByKey(e,this.m_colEndHeader,this.getMappedStyle("colendheadercell")))),i},i.prototype._findHeaderByKey=function(e,t,i){var s,o,n,r;if(null==t)return null;for(s=t.getElementsByClassName?t.getElementsByClassName(i):t.childNodes,n=0;n<s.length;n++)if(o=s[n],r=this._getKey(o),this._shallowThenDeepCompare(r,e))return o;return null},i.prototype._handleModelRefreshEvent=function(){var e=this.getVisibility();e===i.VISIBILITY_STATE_VISIBLE?(this.empty(),null!=this.m_root.offsetParent?this.refresh(this.m_root):this.setVisibility(i.VISIBILITY_STATE_REFRESH)):e===i.VISIBILITY_STATE_HIDDEN&&(this.empty(),this.setVisibility(i.VISIBILITY_STATE_REFRESH))},i.prototype._handleModelSyncEvent=function(e){var t;t=e.pageSize,this.m_fetching={},this.m_startRow=0,this.m_endRow=-1,this.m_startRowHeader=0,this.m_endRowHeader=-1,this.m_startRowEndHeader=0,this.m_endRowEndHeader=-1,this.m_startRowPixel=0,this.m_endRowPixel=0,this.m_startRowHeaderPixel=0,this.m_endRowHeaderPixel=0,this.m_startRowEndHeaderPixel=0,this.m_endRowEndHeaderPixel=0,this.m_startCol=0,this.m_endCol=-1,this.m_startColHeader=0,this.m_endColHeader=-1,this.m_startColEndHeader=0,this.m_endColEndHeader=-1,this.m_startColPixel=0,this.m_endColPixel=0,this.m_startColHeaderPixel=0,this.m_endColHeaderPixel=0,this.m_startColEndHeaderPixel=0,this.m_endColEndHeaderPixel=0,this.m_rowHeaderLevelCount=void 0,this.m_columnHeaderLevelCount=void 0,this.m_rowEndHeaderLevelCount=void 0,this.m_columnEndHeaderLevelCount=void 0,this.m_avgRowHeight=void 0,this.m_avgColWidth=void 0,this.m_isEstimateRowCount=void 0,this.m_isEstimateColumnCount=void 0,this.m_stopRowFetch=!1,this.m_stopRowHeaderFetch=!1,this.m_stopRowEndHeaderFetch=!1,this.m_stopColumnFetch=!1,this.m_stopColumnHeaderFetch=!1,this.m_stopColumnEndHeaderFetch=!1,this._clearScrollPositionKeys(),this.m_selection=null,this.m_active=null,this.m_prevActive=null,this.m_trueIndex={},null!=this.m_empty&&(this.m_root.removeChild(this.m_empty),this.m_empty=null),this._showHeader(this.m_rowHeader),this._showHeader(this.m_colHeader),this._showHeader(this.m_rowEndHeader),this._showHeader(this.m_colEndHeader),this.m_initialized=!1,this.fetchHeaders("row",0,this.m_rowHeader,this.m_rowEndHeader,t,{success:function(e,t,i){this.handleRowHeadersFetchSuccessForLongScroll(e,t,i)}}),this.fetchHeaders("column",0,this.m_colHeader,this.m_colEndHeader,void 0,{success:function(e,t,i){this.handleColumnHeadersFetchSuccessForLongScroll(e,t,i)}}),this.fetchCells(this.m_databody,0,0,t,null,{success:function(e,t){this.handleCellsFetchSuccessForLongScroll(e,t)}})},i.prototype._setActiveByIndex=function(e,t,i,s,o){return this._setActive(this._getCellByIndex(e),{type:"cell",indexes:e},t,i,s,o)},i.prototype._updateActive=function(e,t,i){var s,o;null==e?this._setActive(null,null,null,!0,!1,i):null!=e.keys?o=this._getCellByKeys(e.keys):null!=e.indexes?o=this._getCellByIndex(e.indexes):null!=e.axis&&(s=null==e.level?0:e.level,"column"==e.axis?null!=e.key?o=this._findHeaderByKey(e.key,this.m_colHeader,this.getMappedStyle("colheadercell")):null!=e.index&&(o=this._getHeaderByIndex(e.index,s,this.m_colHeader,this.m_columnHeaderLevelCount,this.m_startColHeader)):"row"==e.axis?null!=e.key?o=this._findHeaderByKey(e.key,this.m_rowHeader,this.getMappedStyle("rowheadercell")):null!=e.index&&(o=this._getHeaderByIndex(e.index,s,this.m_rowHeader,this.m_rowHeaderLevelCount,this.m_startRowHeader)):"columnEnd"==e.axis?null!=e.key?o=this._findHeaderByKey(e.key,this.m_colEndHeader,this.getMappedStyle("colendheadercell")):null!=e.index&&(o=this._getHeaderByIndex(e.index,s,this.m_colEndHeader,this.m_columnEndHeaderLevelCount,this.m_startColEndHeader)):"rowEnd"==e.axis&&(null!=e.key?o=this._findHeaderByKey(e.key,this.m_rowEndHeader,this.getMappedStyle("rowendheadercell")):null!=e.index&&(o=this._getHeaderByIndex(e.index,s,this.m_rowEndHeader,this.m_rowEndHeaderLevelCount,this.m_startRowEndHeader)))),null!=o&&(t||(this.m_shouldFocus=!1),this._setActive(o,e,null,!0,!1,i))},i.prototype._setActive=function(e,t,i,s,o,n){if(null==t||n||this._scrollToActive(t),null!=e){var r=this._createActiveObject(e);if(this._compareActive(r,this.m_active)){if(o||this._fireBeforeCurrentCellEvent(r,this.m_active,i))return this.m_prevActive=this.m_active,this.m_active=r,i&&"mousedown"===i.type&&(this.m_trueIndex=null),s&&this._isSelectionEnabled()&&this._clearSelection(i),this._unhighlightActiveObject(this.m_prevActive),this._highlightActiveObject(this.m_active,this.m_prevActive),this._manageMoveCursor(),this._isGridEditable()&&("cell"===r.type&&this._setEditableClone(e),this._updateEdgeCellBorders("")),o||this._fireCurrentCellEvent(r,i),!0}else this._highlightActive()}else if(!this.m_scrollIndexAfterFetch&&!this.m_scrollHeaderAfterFetch)return(o||this._fireBeforeCurrentCellEvent(r,this.m_active,i))&&(this.m_prevActive=this.m_active,this.m_active=null,this._unhighlightActiveObject(this.m_prevActive),o||this._fireCurrentCellEvent(r,i)),!0;return!1},i.prototype._createActiveObject=function(e){var t=e[this.getResources().getMappedAttribute("context")];return this.m_utils.containsCSSClassName(e,this.getMappedStyle("headercell"))||this.m_utils.containsCSSClassName(e,this.getMappedStyle("endheadercell"))?{type:"header",axis:t.axis,index:this.getHeaderCellIndex(e),key:t.key,level:t.level}:{type:"cell",indexes:{row:t.indexes.row,column:t.indexes.column},keys:{row:t.keys.row,column:t.keys.column},extents:{row:t.extents.row,column:t.extents.column}}},i.prototype._getActiveElement=function(){return this._getElementFromActiveObject(this.m_active)},i.prototype._getElementFromActiveObject=function(e){if(null!=e){if("header"!=e.type)return this._getCellByIndex(e.indexes);if("row"===e.axis)return this._findHeaderByKey(e.key,this.m_rowHeader,this.getMappedStyle("rowheadercell"));if("column"===e.axis)return this._findHeaderByKey(e.key,this.m_colHeader,this.getMappedStyle("colheadercell"));if("rowEnd"===e.axis)return this._findHeaderByKey(e.key,this.m_rowEndHeader,this.getMappedStyle("rowendheadercell"));if("columnEnd"===e.axis)return this._findHeaderByKey(e.key,this.m_colEndHeader,this.getMappedStyle("colendheadercell"))}return null},i.prototype._compareActive=function(e,t){if(null==e&&null==t)return!1;if(null==e&&null!=t||null!=e&&null==t)return!0;if(e.type!=t.type)return!0;if("header"==e.type){if(e.index!=t.index||e.key!=t.key||e.axis!=t.axis||e.level!=t.level)return!0}else if(e.indexes.row!=t.indexes.row||e.indexes.column!=t.indexes.column||e.keys.row!=t.keys.row||e.keys.column!=t.keys.column)return!0;return!1},i.prototype._fireBeforeCurrentCellEvent=function(e,t,i){var s={event:i,ui:{currentCell:e,previousCurrentCell:t}};return this.fireEvent("beforeCurrentCell",s)},i.prototype._fireCurrentCellEvent=function(e,t){var i={event:t,ui:e};return this.fireEvent("currentCell",i)},i.prototype._isDatabodyCellActive=function(){return null!=this.m_active&&"cell"==this.m_active.type},i.prototype._updateActiveContext=function(e,t){var i,s,o,n,r;"header"===e.type?(i=e.axis,s=e.index,o=e.level,n={},"row"===e.axis?(this.m_rowHeaderLevelCount>1&&(null!=t&&o===t.level&&i===t.axis||(n.level=o)),null!=t&&s===t.index&&i===t.axis||(n.rowHeader=s)):"column"===i?(this.m_columnHeaderLevelCount>1&&(null!=t&&o===t.level&&i===t.axis||(n.level=o)),null!=t&&s===t.index&&i===t.axis||(n.columnHeader=s)):"rowEnd"===e.axis?(this.m_rowEndHeaderLevelCount>1&&(null!=t&&o===t.level&&i===t.axis||(n.level=o)),null!=t&&s===t.index&&i===t.axis||(n.rowEndHeader=s)):"columnEnd"===i&&(this.m_columnEndHeaderLevelCount>1&&(null!=t&&o===t.level&&i===t.axis||(n.level=o)),null!=t&&s===t.index&&i===t.axis||(n.columnEndHeader=s)),this._updateContextInfo(n,r)):(null==t||"cell"!=t.type||null==e||this.m_externalFocus||(e.indexes.row===t.indexes.row?r="row":e.indexes.column===t.indexes.column&&(r="column")),this._updateContextInfo(e,r))},i.prototype.handleDatabodyClickActive=function(e){var t,i;i=e.target,null!=(t=this.findCell(i))&&this._setActive(t,this._createActiveObject(t),e)},i.prototype.handleHeaderClickActive=function(e){var t,i;t=e.target,null!=(i=this.findHeader(t))&&(this._clearSelection(e),this._setActive(i,this._createActiveObject(i),e))},i.prototype._scrollToActive=function(e){"header"===e.type?this.scrollToHeader(e):this.scrollToIndex(e.indexes)},i.prototype._getCellByKeys=function(e){var t,i,s,o,n;if(null==e||null==e.row||null==e.column||null==this.m_databody||null==this.m_databody.firstChild)return null;for(t=this.m_databody.firstChild.getElementsByClassName(this.getMappedStyle("cell")),s=0;s<t.length;s++)if(i=t[s],o=this._getKey(i,"row"),this._shallowThenDeepCompare(o,e.row)&&(n=this._getKey(i,"column"),this._shallowThenDeepCompare(n,e.column)))return i;return null},i.prototype._shallowThenDeepCompare=function(e,t){return e===t||this._compareValuesCallback(e,t)},i.prototype.getCellIndexes=function(e){var t=e[this.getResources().getMappedAttribute("context")];return this.createIndex(t.indexes.row,t.indexes.column)},i.prototype.getCellExtents=function(e){var t=e[this.getResources().getMappedAttribute("context")];return this.createIndex(t.extents.row,t.extents.column)},i.prototype.getCellEndIndexes=function(e){var t=this.getCellIndexes(e),i=this.getCellExtents(e);return this.createIndex(t.row+i.row-1,t.column+i.column-1)},i.prototype._getIndex=function(e,t){if(null!=e){if(null==t||!this.m_utils.containsCSSClassName(e,this.getMappedStyle("cell")))return this.getHeaderCellIndex(e);var i=e[this.getResources().getMappedAttribute("context")];if("row"==t)return i.indexes.row;if("column"==t)return i.indexes.column}return null},i.prototype._getExtent=function(e,t){if(null!=e){if(null==t||!this.m_utils.containsCSSClassName(e,this.getMappedStyle("cell")))return parseInt(this._getAttribute(e,"extent",!0),10);var i=e[this.getResources().getMappedAttribute("context")];if("row"==t)return i.extents.row;if("column"==t)return i.extents.column}return null},i.prototype.getHeaderCellIndex=function(e){var t,i,s;switch(this.getHeaderCellAxis(e)){case"column":t=this.m_columnHeaderLevelCount,i=this.m_startColHeader;break;case"row":t=this.m_rowHeaderLevelCount,i=this.m_startRowHeader;break;case"columnEnd":t=this.m_columnEndHeaderLevelCount,i=this.m_startColEndHeader;break;case"rowEnd":t=this.m_rowEndHeaderLevelCount,i=this.m_startRowEndHeader;break;default:return-1}if(t>1){if(s=this._getAttribute(e.parentNode,"start",!0),e===e.parentNode.firstChild)return s;s--}else s=i;for(;e.previousSibling;)s+=1,e=e.previousSibling;return s},i.prototype.getHeaderCellAxis=function(e){return this.m_utils.containsCSSClassName(e,this.getMappedStyle("colheadercell"))?"column":this.m_utils.containsCSSClassName(e,this.getMappedStyle("rowheadercell"))?"row":this.m_utils.containsCSSClassName(e,this.getMappedStyle("rowendheadercell"))?"rowEnd":this.m_utils.containsCSSClassName(e,this.getMappedStyle("colendheadercell"))?"columnEnd":null},i.prototype.getHeaderCellLevel=function(e){var t;if(this.m_utils.containsCSSClassName(e,this.getMappedStyle("colheadercell"))){if(1===this.m_columnHeaderLevelCount)return 0}else if(this.m_utils.containsCSSClassName(e,this.getMappedStyle("rowheadercell"))){if(1===this.m_rowHeaderLevelCount)return 0}else if(this.m_utils.containsCSSClassName(e,this.getMappedStyle("colendheadercell"))){if(1===this.m_columnEndHeaderLevelCount)return 0}else if(this.m_utils.containsCSSClassName(e,this.getMappedStyle("rowendheadercell"))&&1===this.m_rowEndHeaderLevelCount)return 0;return t=this._getAttribute(e.parentNode,"level",!0),e===e.parentNode.firstChild?t:t+this.getHeaderCellDepth(e.parentNode.firstChild)},i.prototype.getHeaderCellDepth=function(e){return this._getAttribute(e,"depth",!0)},i.prototype.findCellOrHeader=function(e){var t=this.findCell(e);return null==t&&(t=this.findHeader(e)),t},i.prototype.findCell=function(e){return this.find(e,"cell")},i.prototype.find=function(e,t,i){return null==e||e==this.getRootElement()?null:(null==i&&(i=this.getMappedStyle(t)),null==i?null:this.m_utils.containsCSSClassName(e,i)?e:this.find(e.parentNode,t,i))},i.prototype._highlightActive=function(e){this._highlightActiveObject(this.m_active,this.m_prevActive,e)},i.prototype._unhighlightActive=function(e){this._unhighlightActiveObject(this.m_active,e)},i.prototype._highlightActiveObject=function(e,t,i){if(null==i&&this.m_utils.shouldOffsetOutline()&&(i=["offsetOutline"]),null!=e){var s=this._getElementFromActiveObject(e);null!=s&&(this.m_focusInHandler(s),null!=i&&this._highlightElement(s,i),this._setAriaProperties(e,t,s))}},i.prototype._unhighlightActiveObject=function(e,t){if(null==t&&this.m_utils.shouldOffsetOutline()&&(t=["offsetOutline"]),null!=e){var i=this._getElementFromActiveObject(e);null!=i&&(this.m_focusOutHandler(i),null!=t&&this._unhighlightElement(i,t),this._unsetAriaProperties(i))}},i.prototype._highlightCellsAlongAxis=function(e,t,i,s,o){var n,r;for(r="key"==i?this._getAxisCellsByKey(e,t):this._getAxisCellsByIndex(e,t),n=0;n<r.length;n++)"add"==s?this._highlightElement(r[n],o):this._unhighlightElement(r[n],o)},i.prototype._highlightElement=function(e,t){var i,s;for(s=0;s<t.length;s++)i=this.getMappedStyle(t[s]),this.m_utils.addCSSClassName(e,i)},i.prototype._unhighlightElement=function(e,t){var i,s;for(s=0;s<t.length;s++)i=this.getMappedStyle(t[s]),this.m_utils.removeCSSClassName(e,i)},i.prototype._setAriaProperties=function(e,t,i){var s;s=this.getLabelledBy(e,t,i),this._updateActiveContext(e,t),i.setAttribute("tabIndex",0),i.setAttribute("aria-labelledby",s),null!=this.m_cellToFocus&&this.m_cellToFocus==i||!1===this.m_shouldFocus||i.focus(),this.m_shouldFocus=null},i.prototype._unsetAriaProperties=function(e){null!=e&&(e.setAttribute("tabIndex",-1),e.removeAttribute("aria-labelledby"))},i.prototype.getLabelledBy=function(e,t,i){var s,o,n,r,l,h,a,d,m,c;if(s="","header"==e.type)null==t||"header"!=t.type||this.m_externalFocus||("row"===t.axis&&this.m_rowHeaderLevelCount>1?o=this._getHeaderByIndex(t.index,t.level,this.m_rowHeader,this.m_rowHeaderLevelCount,this.m_startRowHeader):"column"===t.axis&&this.m_columnHeaderLevelCount>1?o=this._getHeaderByIndex(t.index,t.level,this.m_colHeader,this.m_columnHeaderLevelCount,this.m_startColHeader):"rowEnd"===t.axis&&this.m_rowEndHeaderLevelCount>1?o=this._getHeaderByIndex(t.index,t.level,this.m_rowEndHeader,this.m_rowEndHeaderLevelCount,this.m_startRowEndHeader):"columnEnd"===t.axis&&this.m_columnEndHeaderLevelCount>1&&(o=this._getHeaderByIndex(t.index,t.level,this.m_colEndHeader,this.m_columnEndHeaderLevelCount,this.m_startColEndHeader))),s=[this.createSubId("context"),this._getHeaderAndParentIds(i,o)].join(" "),"ascending"===(n=i.getAttribute(this.getResources().getMappedAttribute("sortDir")))?(r="accessibleSortAscending",s=s+" "+this.createSubId("state")):"descending"===n&&(r="accessibleSortDescending",s=s+" "+this.createSubId("state")),!0===this.m_externalFocus&&(s=[this.createSubId("summary"),s].join(" "),this.m_externalFocus=!1),null!=r&&this._updateStateInfo([{key:r,args:{id:""}}]),i.setAttribute("tabIndex",0);else{null!=t&&("header"===t.type?(l="row"===t.axis?t.index:null,h="column"===t.axis?t.index:null):(l=t.indexes.row,h=t.indexes.column)),a=this._getHeaderLabel("row",this.m_rowHeader,this.m_rowHeaderLevelCount,this.m_startRowHeader,this.m_endRowHeader,e.indexes.row,l,i),d=this._getHeaderLabel("rowEnd",this.m_rowEndHeader,this.m_rowEndHeaderLevelCount,this.m_startRowEndHeader,this.m_endRowEndHeader,e.indexes.row,l,i),m=this._getHeaderLabel("column",this.m_colHeader,this.m_columnHeaderLevelCount,this.m_startColHeader,this.m_endColHeader,e.indexes.column,h,i),c=this._getHeaderLabel("columnEnd",this.m_colEndHeader,this.m_columnEndHeaderLevelCount,this.m_startColEndHeader,this.m_endColEndHeader,e.indexes.column,h,i);var u=e.extents.row,_=e.extents.column,p=[];u>1&&p.push({key:"accessibleRowSpanContext",args:{extent:u}}),_>1&&p.push({key:"accessibleColumnSpanContext",args:{extent:_}}),this._updateStateInfo(p),s=(s=[this.createSubId("context"),a,d,m,c,i.id,this.createSubId("state")].join(" ")).replace(/ +(?= )/g,""),this.m_externalFocus&&(s=[this.createSubId("summary"),s].join(" "),this.m_externalFocus=!1)}return s},i.prototype.getHeaderFromCell=function(e,t,i){var s,o,n,r,l,h;return"row"===t?null!=this.m_rowHeader&&(s=this._getIndex(e,"row"),o=this._getExtent(e,"row"),n=this.m_rowHeaderLevelCount-1,r=this.m_rowHeader,l=this.m_rowHeaderLevelCount,h=this.m_startRowHeader):"column"===t?null!=this.m_colHeader&&(s=this._getIndex(e,"column"),o=this._getExtent(e,"column"),n=this.m_columnHeaderLevelCount-1,r=this.m_colHeader,l=this.m_columnHeaderLevelCount,h=this.m_startColHeader):"rowEnd"===t?null!=this.m_rowEndHeader&&(s=this._getIndex(e,"row"),o=this._getExtent(e,"row"),n=this.m_rowEndHeaderLevelCount-1,r=this.m_rowEndHeader,l=this.m_rowEndHeaderLevelCount,h=this.m_startRowEndHeader):"columnEnd"===t&&null!=this.m_colEndHeader&&(s=this._getIndex(e,"column"),o=this._getExtent(e,"column"),n=this.m_columnEndHeaderLevelCount-1,r=this.m_colEndHeader,l=this.m_columnEndHeaderLevelCount,h=this.m_startColEndHeader),null!=s&&null!=n&&s>-1?(i&&(s+=o-1),this._getHeaderByIndex(s,n,r,l,h)):null},i.prototype.createRange=function(e,t,i,s){var o,n,r,l,h,a,d,m;return t&&(e.row<t.row||-1==t.row?(o=e.row,n=t.row,i&&(h=i.row,a=s.row)):(o=t.row,n=e.row,i&&(h=s.row,a=i.row)),isNaN(e.column)||isNaN(t.column)?(e={row:o},t={row:n},i&&(i={row:h,column:d},s={row:a,column:m})):(e.column<t.column||-1==t.column?(r=e.column,l=t.column,i&&(d=i.column,m=s.column)):(r=t.column,l=e.column,i&&(d=s.column,m=i.column)),e={row:o,column:r},t={row:n,column:l},i&&(i={row:h,column:d},s={row:a,column:m}))),i?{startIndex:e,endIndex:t,startKey:i,endKey:s}:{startIndex:e,endIndex:t}},i.prototype._createRangeWithKeys=function(e,t,i){this._keys(e,this._createRangeStartKeyCallback.bind(this,t,i))},i.prototype._createRangeStartKeyCallback=function(e,t,i,s){e===s?this._createRangeEndKeyCallback(i,s,t,i,s):e?this._keys(e,this._createRangeEndKeyCallback.bind(this,i,s,t)):t.call(this,{startIndex:s,endIndex:s,startKey:i,endKey:i})},i.prototype._createRangeEndKeyCallback=function(e,t,i,s,o){i.call(this,this.createRange(t,o,e,s))},i.prototype.getEndIndex=function(e){return null==e.endIndex?e.startIndex:e.endIndex},i.prototype.getElementsInRange=function(e,t,i,s,o){var n,r,l,h,a,d,m,c,u,_;if(null==t&&(t=this.m_startRow),null==i&&(i=this.m_endRow+1),n=e.startIndex,r=this.getEndIndex(e),l=n.row,-1==(h=r.row)&&(h=Number.MAX_VALUE),i<l||h<t)return null;if(!isNaN(n.column)&&!isNaN(r.column)&&(a=n.column,-1==(d=r.column)&&(d=Number.MAX_VALUE),this.m_endCol+1<a||d<this.m_startCol))return null;if(m=[],null==this.m_databody.firstChild)return null;if(l=Math.max(0,l),h=Math.min(this.m_endRow,h),isNaN(a)||isNaN(d))for(a=Math.max(0,this.m_startCol),d=Math.max(a,this.m_endCol),c=l;c<=h;c+=1)for(u=a;u<=d;u+=1)null!=(_=this._getCellByIndex(this.createIndex(c,u)))&&-1===m.indexOf(_)&&m.push(_);else for(a=Math.max(0,a),d=Math.min(this.m_endCol,d),c=l;c<=h;c+=1)for(u=a;u<=d;u+=1)null!=(_=this._getCellByIndex(this.createIndex(c,u)))&&-1===m.indexOf(_)&&m.push(_);return m},i.prototype.readCurrentContent=function(){var e,t,i,s,o;if(null==this.m_active)return!1;if("header"==this.m_active.type)e={},"row"===this.m_active.axis?(this.m_rowHeaderLevelCount>1&&(e.level=this.m_active.level),e.rowHeader=this.m_active.index):(this.m_columnHeaderLevelCount>1&&(e.level=this.m_active.level),e.columnHeader=this.m_active.index),s=this._getActiveElement();else{if(e=this.m_active.indexes,this._isSelectionEnabled()&&this.isMultipleSelection()&&null!=this.m_selectionFrontier&&(e=this.m_selectionFrontier),null==e)return!1;if(t=this.createRange(e),null==(i=this.getElementsInRange(t))||0==i.length)return!1;s=i[0]}return this.m_placeHolder.tabIndex=-1,o=s.getAttribute("aria-labelledby"),this.m_placeHolder.setAttribute("aria-labelledby",o+" "+s.id),this.m_placeHolder===document.activeElement?s.focus():this.m_placeHolder.focus(),!0},i.prototype._enterActionableMode=function(e){return this._enableAllFocusableElements(e),this._setFocusToFirstFocusableElement(e)&&(this.m_focusOutHandler(e),this.setActionableMode(!0)),!1},i.prototype._exitActionableMode=function(){var e;this.isActionableMode()&&(e=this._getActiveElement(),this.setActionableMode(!1),this._disableAllFocusableElements(e),this.m_focusInHandler(e))},i.prototype._reRenderCell=function(e,t,i,s){var o,n;if(o=this.m_options.getRenderer("cell"),(n=e[this.getResources().getMappedAttribute("context")]).mode=t,this.m_utils.empty(e),this.m_utils.containsCSSClassName(e,i)?this.m_utils.removeCSSClassName(e,i):this.m_utils.addCSSClassName(e,i),s){for(;s.hasChildNodes();)e.appendChild(s.firstChild);delete this.m_editableClone}else this._renderContent(o,n,e,n.data)},i.prototype._setEditableClone=function(e){if(delete this.m_editableClone,null!=e){var t=e.cloneNode(!1);this._createUniqueId(t),t[this.getResources().getMappedAttribute("context")]=e[this.getResources().getMappedAttribute("context")],t[this.getResources().getMappedAttribute("context")].parentElement=t,this.m_root.appendChild(t),this._reRenderCell(t,"edit",this.getMappedStyle("cellEdit"),null),this.m_root.removeChild(t),t[this.getResources().getMappedAttribute("context")].parentElement=e,this.m_editableClone=t}},i.prototype.isNavigationKey=function(e){return this.isArrowKey(e)||e==i.keyCodes.HOME_KEY||e==i.keyCodes.END_KEY||e==i.keyCodes.PAGEUP_KEY||e==i.keyCodes.PAGEDOWN_KEY},i.prototype.isArrowKey=function(e){return e==i.keyCodes.UP_KEY||e==i.keyCodes.DOWN_KEY||e==i.keyCodes.LEFT_KEY||e==i.keyCodes.RIGHT_KEY},i.prototype.createIndex=function(e,t){if(null==e&&null==t)return null;var i={};return null!=e&&(i.row=e),null!=t&&(i.column=t),i},i.prototype.checkCorners=function(e,t,i){return"column"==this.m_selectionFrontier.axis&&this.m_columnHeaderLevelCount!=this.m_selectionFrontier.level||"row"==this.m_selectionFrontier.axis&&this.m_rowHeaderLevelCount!=this.m_selectionFrontier.level||"rowEnd"==this.m_selectionFrontier.axis&&this.m_rowEndHeaderLevelCount!=this.m_selectionFrontier.level||"columnEnd"==this.m_selectionFrontier.axis&&this.m_columnEndHeaderLevelCount!=this.m_selectionFrontier.level||(-1!=e.indexOf("row")?t==i.startIndex.row&&this.m_selectionFrontier.end==i.endIndex.row||t==i.endIndex.row&&this.m_selectionFrontier.end==i.startIndex.row:-1!=e.indexOf("column")&&(t==i.startIndex.column&&this.m_selectionFrontier.end==i.endIndex.column||t==i.endIndex.column&&this.m_selectionFrontier.end==i.startIndex.column))},i.prototype.handleHeaderFocusChange=function(e,t,s,o){var n,r,l,h,a,d,m,c,u,_,p,g,C,y;if(!this.isFetchComplete())return!0;if(this.getResources().isRTLMode()&&(e==i.keyCodes.LEFT_KEY?e=i.keyCodes.RIGHT_KEY:e==i.keyCodes.RIGHT_KEY&&(e=i.keyCodes.LEFT_KEY)),n=this.m_active.axis,r=this.m_active.index,l=this.m_active.level,u=null!=(h=this._getActiveElement())?this._getAttribute(h,"depth",!0):1,n||r||!this.m_active||(n=this.m_selectionFrontier.axis,r=this.m_active.indexes[n]),t.shiftKey&&!s&&this.m_selectionFrontier&&this.isMultipleSelection()&&(s=this.checkHeaderToDatabody(n,e)),!(s&&this.isArrowKey(e)&&this.isHeaderSelectionType(this.m_selectionFrontier)&&this.checkCorners(n,r,this.m_selection[this.m_selection.length-1]))||(n=this.m_selectionFrontier.axis,r=this.m_selectionFrontier.index,l=this.m_selectionFrontier.level,-1==r&&(r=this.m_active.indexes[n]),"cell"!=this.m_active.type||(e!==i.keyCodes.LEFT_KEY&&e!==i.keyCodes.RIGHT_KEY||-1==n.indexOf("row"))&&(e!==i.keyCodes.UP_KEY&&e!==i.keyCodes.DOWN_KEY||-1==n.indexOf("column")))){switch("column"==n?(_=this.m_colHeader,p=this.m_startColHeader,g=this.m_endColHeader,C=this.m_columnHeaderLevelCount,y=this.m_stopColumnHeaderFetch):"row"==n&&(_=this.m_rowHeader,p=this.m_startRowHeader,g=this.m_endRowHeader,C=this.m_rowHeaderLevelCount,y=this.m_stopRowHeaderFetch),"columnEnd"==n&&(e==i.keyCodes.DOWN_KEY?e=i.keyCodes.UP_KEY:e==i.keyCodes.UP_KEY&&(e=i.keyCodes.DOWN_KEY),_=this.m_colEndHeader,p=this.m_startColEndHeader,g=this.m_endColEndHeader,C=this.m_columnEndHeaderLevelCount,y=this.m_stopColumnEndHeaderFetch),"rowEnd"==n&&(e==i.keyCodes.LEFT_KEY?e=i.keyCodes.RIGHT_KEY:e==i.keyCodes.RIGHT_KEY&&(e=i.keyCodes.LEFT_KEY),_=this.m_rowEndHeader,p=this.m_startRowEndHeader,g=this.m_endRowEndHeader,C=this.m_rowEndHeaderLevelCount,y=this.m_stopRowEndHeaderFetch),s&&this.isArrowKey(e)&&this.isHeaderSelectionType(this.m_selectionFrontier)&&(u=null!=(h=this._getHeaderByIndex(r,l,_,C,p))?this._getAttribute(h,"depth",!0):1),e){case i.keyCodes.LEFT_KEY:if(("column"===n||"columnEnd"===n)&&r>0){if(1===C)m=r-1,d=null!=h?h.previousSibling:null,c=l;else if(m=null!=(d=this._getHeaderByIndex(r-1,l,_,C,p))?this._getAttribute(d.parentNode,"start",!0):r-1,c=null!=d?this.getHeaderCellLevel(d):l,m<0)break;s?this.extendSelectionHeader(d,t,!0):(this._isSelectionEnabled()&&!this.m_discontiguousSelection&&(this._clearSelection(t),this.m_selectionFrontier={}),this._setActive(d,{type:"header",index:m,level:c,axis:n},t),this._highlightActive())}else("row"===n||"rowEnd"===n)&&l>0&&(d=this._getHeaderByIndex(r,l-1,_,C,p),m=this._getAttribute(d.parentNode,"start",!0),c=this.getHeaderCellLevel(d),s?this.extendSelectionHeader(d,t,!0):(this._isSelectionEnabled()&&!this.m_discontiguousSelection&&(this._clearSelection(t),this.m_selectionFrontier={}),this._setActive(d,{type:"header",index:m,level:c,axis:n},t),this._highlightActive()));break;case i.keyCodes.RIGHT_KEY:"rowEnd"==n&&o&&-1!=this.m_endRowHeader?(d=this._getHeaderByIndex(r,this.m_rowHeaderLevelCount,this.m_rowHeader,this.m_rowHeaderLevelCount,this.m_startRowHeader),s?this.extendSelectionHeader(d,t,!0):(this._isSelectionEnabled()&&!this.m_discontiguousSelection&&(this._clearSelection(t),this.m_selectionFrontier={}),this._setActive(d,{type:"header",index:r,level:this.m_rowHeaderLevelCount,axis:n},t),this._highlightActive())):"row"==n&&o&&-1!=this.m_endRowEndHeader?(d=this._getHeaderByIndex(r,this.m_rowEndHeaderLevelCount,this.m_rowEndHeader,this.m_rowEndHeaderLevelCount,this.m_startRowEndHeader),s?this.extendSelectionHeader(d,t,!0):(this._isSelectionEnabled()&&!this.m_discontiguousSelection&&(this._clearSelection(t),this.m_selectionFrontier={}),this._setActive(d,{type:"header",index:r,level:this.m_rowEndHeaderLevelCount,axis:n},t),this._highlightActive())):"row"===n||"rowEnd"===n?l+u>=C&&!s?(a="row"==n?this.createIndex(r,0):this._isHighWatermarkScrolling()?this.createIndex(r,this.m_endCol):this.createIndex(r,this.getDataSource().getCount("column")-1),this.m_trueIndex={row:r},this._isSelectionEnabled()?this.selectAndFocus(a,t):(this._setActiveByIndex(a,t),this._highlightActive())):(d=this._getHeaderByIndex(r,l+u,_,C,p),m=this._getAttribute(d.parentNode,"start",!0),c=this.getHeaderCellLevel(d),s?this.extendSelectionHeader(d,t,!0):(this._isSelectionEnabled()&&!this.m_discontiguousSelection&&(this._clearSelection(t),this.m_selectionFrontier={}),this._setActive(d,{type:"header",index:m,level:c,axis:n},t),this._highlightActive())):(1===C?(m=r+1,d=null!=h?h.nextSibling:null,c=l):(l===C-1?(m=r+1,d=this._getHeaderByIndex(m,l,_,C,p)):(m=null!=h?this._getAttribute(h.parentNode,"start",!0)+this._getAttribute(h.parentNode,"extent",!0):r+1,d=this._getHeaderByIndex(m,l,_,C,p)),c=null!=d?this.getHeaderCellLevel(d):l),m>g&&y||!(this._isCountUnknown("column")||m<this.getDataSource().getCount("column"))||(s?this.extendSelectionHeader(d,t,!0):(this._isSelectionEnabled()&&!this.m_discontiguousSelection&&(this._clearSelection(t),this.m_selectionFrontier={}),this._setActive(d,{type:"header",index:m,level:c,axis:n},t),this._highlightActive())));break;case i.keyCodes.UP_KEY:if(("row"===n||"rowEnd"===n)&&r>0){if(1===C)m=r-1,d=null!=h?h.previousSibling:null,c=l;else if(l===C-1?(m=r-1,d=this._getHeaderByIndex(m,l,_,C,p)):m=null!=(d=this._getHeaderByIndex(this._getAttribute(h.parentNode,"start",!0)-1,l,_,C,p))?this._getAttribute(d.parentNode,"start",!0):r-1,c=null!=d?this.getHeaderCellLevel(d):l,m<0)break;s?this.extendSelectionHeader(d,t,!0):(this._isSelectionEnabled()&&!this.m_discontiguousSelection&&(this.m_selectionFrontier={},this._clearSelection(t)),this._setActive(d,{type:"header",index:m,level:c,axis:n},t),this._highlightActive())}else("column"===n||"columnEnd"===n)&&l>0&&(d=this._getHeaderByIndex(r,l-1,_,C,p),m=this._getAttribute(d.parentNode,"start",!0),c=this.getHeaderCellLevel(d),s?this.extendSelectionHeader(d,t,!0):(this._isSelectionEnabled()&&!this.m_discontiguousSelection&&(this.m_selectionFrontier={},this._clearSelection(t)),this._setActive(d,{type:"header",index:m,level:c,axis:n},t),this._highlightActive()));break;case i.keyCodes.DOWN_KEY:"columnEnd"==n&&o&&-1!=this.m_endColHeader?(d=this._getHeaderByIndex(r,this.m_columnHeaderLevelCount,this.m_colHeader,this.m_columnHeaderLevelCount,this.m_startColHeader),s?this.extendSelectionHeader(d,t,!0):(this._isSelectionEnabled()&&!this.m_discontiguousSelection&&(this.m_selectionFrontier={},this._clearSelection(t)),this._setActive(d,{type:"header",index:r,level:this.m_columnHeaderLevelCount,axis:n},t),this._highlightActive())):"column"==n&&o&&-1!=this.m_endColEndHeader?(d=this._getHeaderByIndex(r,this.m_columnEndHeaderLevelCount,this.m_colEndHeader,this.m_columnEndHeaderLevelCount,this.m_startColEndHeader),s?this.extendSelectionHeader(d,t,!0):(this._isSelectionEnabled()&&!this.m_discontiguousSelection&&(this._clearSelection(t),this.m_selectionFrontier={}),this._setActive(d,{type:"header",index:r,level:this.m_columnEndHeaderLevelCount,axis:n},t),this._highlightActive())):"column"===n||"columnEnd"===n?l+u>=C&&!s?(a="column"==n?this.createIndex(0,r):this._isHighWatermarkScrolling()?this.createIndex(this.m_endRow,r):this.createIndex(this.getDataSource().getCount("row")-1,r),this.m_trueIndex={column:r},this._isSelectionEnabled()?this.selectAndFocus(a,t):(this._setActiveByIndex(a,t),this._highlightActive())):(d=this._getHeaderByIndex(r,l+u,_,C,p),m=this._getAttribute(d.parentNode,"start",!0),c=this.getHeaderCellLevel(d),s?this.extendSelectionHeader(d,t,!0):(this._isSelectionEnabled()&&!this.m_discontiguousSelection&&(this._clearSelection(t),this.m_selectionFrontier={}),this._setActive(d,{type:"header",index:m,level:c,axis:n},t),this._highlightActive())):(1===C?(m=r+1,d=null!=h?h.nextSibling:null,c=l):(l===C-1?(m=r+1,d=this._getHeaderByIndex(m,l,_,C,p)):(m=null!=h?this._getAttribute(h.parentNode,"start",!0)+this._getAttribute(h.parentNode,"extent",!0):r+1,d=this._getHeaderByIndex(m,l,_,C,p)),c=null!=d?this.getHeaderCellLevel(d):l),m>g&&y||!(this._isCountUnknown("row")||m<this.getDataSource().getCount("row"))||(s?this.extendSelectionHeader(d,t,!0):(this._isSelectionEnabled()&&!this.m_discontiguousSelection&&(this._clearSelection(t),this.m_selectionFrontier={}),this._setActive(d,{type:"header",index:m,level:c,axis:n},t),this._highlightActive())));break;case i.keyCodes.PAGEUP_KEY:"row"!==n&&"rowEnd"!==n||(h=this._getHeaderByIndex(0,l,_,C,p),this._setActive(h,{type:"header",index:0,level:l,axis:n},t));break;case i.keyCodes.PAGEDOWN_KEY:"row"!==n&&"rowEnd"!==n||(r=this._isCountUnknown("row")||this._isHighWatermarkScrolling()?Math.max(0,g):Math.max(0,this.getDataSource().getCount("row")-1),h=this._getHeaderByIndex(r,l,_,C,p),this._setActive(h,{type:"header",index:r,level:l,axis:n},t));break;case i.keyCodes.HOME_KEY:"column"!==n&&"columnEnd"!==n||(h=this._getHeaderByIndex(0,l,_,C,p),this._setActive(h,{type:"header",index:0,level:l,axis:n},t));break;case i.keyCodes.END_KEY:"column"!==n&&"columnEnd"!==n||(r=this._isCountUnknown("column")||this._isHighWatermarkScrolling()?Math.max(0,g):Math.max(0,this.getDataSource().getCount("column")-1),h=this._getHeaderByIndex(r,l,_,C,p),this._setActive(h,{type:"header",index:r,level:l,axis:n},t))}return!0}},i.prototype.checkHeaderToDatabody=function(e,t){return!("row"===e&&this.m_rowHeaderLevelCount===this.m_selectionFrontier.level&&t==i.keyCodes.RIGHT_KEY||"rowEnd"===e&&this.m_rowEndHeaderLevelCount===this.m_selectionFrontier.level&&t==i.keyCodes.LEFT_KEY||"column"===e&&this.m_columnHeaderLevelCount===this.m_selectionFrontier.level&&t==i.keyCodes.DOWN_KEY||"columnEnd"===e&&this.m_columnEndHeaderLevelCount===this.m_selectionFrontier.level&&t==i.keyCodes.UP_KEY)},i.prototype._getHeaderLabel=function(e,t,i,s,o,n,r,l){var h,a;return-1==o||n==r&&!this.m_externalFocus?"":(h=this.getHeaderFromCell(l,e),null!=r&&(a=this._getHeaderByIndex(r,i-1,t,i,s)),this._getHeaderAndParentIds(h,a))},i.prototype._getHeaderAndParentIds=function(e,t){var i,s,o="",n=[];if(null==e)return"";for(s=this._getHeaderAndParents(e),null!=t&&(n=this._getHeaderAndParents(t)),i=0;i<s.length;i++)n[i]==s[i]&&i!==s.length-1||(o+=(""==o?"":" ")+s[i].id);return o},i.prototype._getHeaderAndParents=function(e){var t,i,s,o=[e];if(t=this.getHeaderCellAxis(e),i=this.getHeaderCellLevel(e),"row"===t?s=this.m_rowHeaderLevelCount:"column"===t?s=this.m_columnHeaderLevelCount:"rowEnd"===t?s=this.m_rowEndHeaderLevelCount:"columnEnd"===t&&(s=this.m_columnEndHeaderLevelCount),1===s)return o;for(i===s-1&&(e=e.parentNode.firstChild,o.unshift(e),i-=1);i>0;)e=e.parentNode.parentNode.firstChild,o.unshift(e),i-=1;return o},i.prototype.isHeaderSelectionType=function(e){return!(!e||!e.axis)},i.prototype.handleFocusChange=function(e,t,s,o,n){var r,l,h,a,d,m,c,u,_=1,p=1;if(!this.isFetchComplete())return!0;if(t){if(r=this.m_selectionFrontier,this.isHeaderSelectionType(this.m_selectionFrontier))return void this.handleHeaderFocusChange(e,s,t,n)}else r=this.m_active.indexes;if(null!=r){switch(null==this.m_trueIndex&&(this.m_trueIndex={}),this.getResources().isRTLMode()&&(e==i.keyCodes.LEFT_KEY?e=i.keyCodes.RIGHT_KEY:e==i.keyCodes.RIGHT_KEY&&(e=i.keyCodes.LEFT_KEY)),d=this._isSelectionEnabled()?this.selectAndFocus.bind(this):this._setActiveByIndex.bind(this),l=r.row,h=r.column,(c=this._getCellByIndex(r))&&(_=(u=c[this.getResources().getMappedAttribute("context")]).extents.row,p=u.extents.column),e){case i.keyCodes.LEFT_KEY:this.m_trueIndex.row||t||(this.m_trueIndex={row:l}),h>0&&(!n||-1==this.m_endRowHeader)?"row"==this.m_options.getSelectionMode()?(a=this.createIndex(this.m_trueIndex.row,h-1),this._setActiveByIndex(a,s)):(t?(a=this.createIndex(l,h-1),this.extendSelection(a,s,e)):d(a=this.createIndex(this.m_trueIndex.row,h-1),s),h-1==0&&this._setAccInfoText("accessibleFirstColumn")):!t&&o&&(m=this._getHeaderByIndex(this.m_trueIndex.row,this.m_rowHeaderLevelCount-1,this.m_rowHeader,this.m_rowHeaderLevelCount,this.m_startRowHeader),this.m_discontiguousSelection?this.discontiguousHeaderSetActiveFromDatabody(s,"row",m,this.m_rowHeaderLevelCount):this._setActive(m,{type:"header",index:this.m_trueIndex.row,level:this.m_rowHeaderLevelCount-1,axis:"row"},s,!0));break;case i.keyCodes.RIGHT_KEY:this.m_trueIndex.row||t||(this.m_trueIndex={row:l}),this._isLastColumn(h+p-1)||n&&-1!=this.m_endRowEndHeader?-1!=this.m_endRowEndHeader&&o?(m=this._getHeaderByIndex(this.m_trueIndex.row,this.m_rowEndHeaderLevelCount-1,this.m_rowEndHeader,this.m_rowEndHeaderLevelCount,this.m_startRowEndHeader),this.m_discontiguousSelection?this.discontiguousHeaderSetActiveFromDatabody(s,"rowEnd",m,this.m_rowEndHeaderLevelCount):this._setActive(m,{type:"header",index:this.m_trueIndex.row,level:this.m_rowEndHeaderLevelCount-1,axis:"rowEnd"},s,!0)):t||d(r,s):"row"==this.m_options.getSelectionMode()?(a=this.createIndex(this.m_trueIndex.row,h+p),this._setActiveByIndex(a,s)):(t?(a=this.createIndex(l,h+1),this.extendSelection(a,s,e)):d(a=this.createIndex(this.m_trueIndex.row,h+p),s),this._isLastColumn(h+p)&&this._setAccInfoText("accessibleLastColumn"));break;case i.keyCodes.UP_KEY:this.m_trueIndex.column||t||(this.m_trueIndex={column:h}),l>0&&(!n||-1==this.m_endColHeader)?(t?(a=this.createIndex(l-1,h),this.extendSelection(a,s,e)):d(a=this.createIndex(l-1,this.m_trueIndex.column),s),l-1==0&&this._setAccInfoText("accessibleFirstRow")):!t&&o&&(m=this._getHeaderByIndex(this.m_trueIndex.column,this.m_columnHeaderLevelCount-1,this.m_colHeader,this.m_columnHeaderLevelCount,this.m_startColHeader),this.m_discontiguousSelection?this.discontiguousHeaderSetActiveFromDatabody(s,"column",m,this.m_columnHeaderLevelCount):this._setActive(m,{type:"header",index:this.m_trueIndex.column,level:this.m_columnHeaderLevelCount-1,axis:"column"},s,!0));break;case i.keyCodes.DOWN_KEY:this.m_trueIndex.column||t||(this.m_trueIndex={column:h}),this._isLastRow(l+_-1)||n&&-1!=this.m_endColEndHeader?-1!=this.m_endColEndHeader&&o?(m=this._getHeaderByIndex(this.m_trueIndex.column,this.m_columnEndHeaderLevelCount-1,this.m_colEndHeader,this.m_columnEndHeaderLevelCount,this.m_startColEndHeader),this.m_discontiguousSelection?this.discontiguousHeaderSetActiveFromDatabody(s,"columnEnd",m,this.m_columnEndHeaderLevelCount):this._setActive(m,{type:"header",index:this.m_trueIndex.column,level:this.m_columnEndHeaderLevelCount-1,axis:"columnEnd"},s,!0)):t||d(r,s):(t?(a=this.createIndex(l+1,h),this.extendSelection(a,s,e)):d(a=this.createIndex(l+_,this.m_trueIndex.column),s),this._isLastRow(l+_)&&this._setAccInfoText("accessibleLastRow"));break;case i.keyCodes.HOME_KEY:this.m_trueIndex.row||(this.m_trueIndex={row:l}),d(a=this.createIndex(this.m_trueIndex.row,0),s);break;case i.keyCodes.END_KEY:this.m_trueIndex.row||(this.m_trueIndex={row:l}),d(a=this._isCountUnknown("column")||this._isHighWatermarkScrolling()?this.createIndex(this.m_trueIndex.row,Math.max(0,this.m_endCol)):this.createIndex(this.m_trueIndex.row,Math.max(0,this.getDataSource().getCount("column")-1)),s);break;case i.keyCodes.PAGEUP_KEY:this.m_trueIndex.column||(this.m_trueIndex={column:h}),d(a=this.createIndex(0,h),s);break;case i.keyCodes.PAGEDOWN_KEY:this.m_trueIndex.column||(this.m_trueIndex={column:h}),d(a=this._isCountUnknown("column")||this._isHighWatermarkScrolling()?this.createIndex(Math.max(0,this.m_endRow),this.m_trueIndex.column):this.createIndex(Math.max(0,this.getDataSource().getCount("row")-1),this.m_trueIndex.column),s)}return!0}},i.prototype.scrollToIndex=function(e,t,i){var s,o,n,r,l,h,a,d,m,c,u,_,p,g,C,y,f;s=e.row,o=e.column,t&&(this.m_shouldFocus=!1),i&&(e.scrollToOrigin=!0),d=this.getResources().isRTLMode()?"right":"left",n=0,r=0,h=this._getViewportTop(),a=this._getViewportBottom(),C=this._getViewportLeft(),y=this._getViewportRight(),s<this.m_startRow||s>this.m_endRow?(l=s<this.m_startRow?this.m_avgRowHeight*s:this.m_avgRowHeight*(s+1)-a+h,r=this.m_currentScrollTop-l,this.m_scrollIndexAfterFetch=e,f=!0):(_=this._getCellByIndex({row:s,column:this.m_startCol}),m=this.getElementDir(_,"top"),c=this.getElementHeight(_),i||e.scrollToOrigin?r=h-m:m+c>a?r=a-(m+c):m<h&&(r=h-m)),isNaN(o)||1==f||(o<this.m_startCol||o>this.m_endCol?(u=o<this.m_startCol?this.m_avgColWidth*o:this.m_avgColWidth*(o+1)-y+C,n=this.m_currentScrollLeft-u,this.m_scrollIndexAfterFetch=e):(_=this._getCellByIndex({row:this.m_startRow,column:o}),p=this.getElementDir(_,d),g=this.getElementWidth(_),i||e.scrollToOrigin?n=C-p:p<C?n=C-p:p+g>y&&(n=y-(p+g)))),0!=n||0!=r?(null!=(_=this._getCellByIndex(e))&&!0!==t&&!1!==this.m_shouldFocus&&(this.m_cellToFocus=_),this.scrollDelta(n,r)):null!=this.m_scrollIndexAfterFetch&&(t||!1===this.m_shouldFocus?this.m_scrollIndexAfterFetch=null:this._setActiveByIndex(this.m_scrollIndexAfterFetch,null,!1,!1,!0)&&(this.m_scrollIndexAfterFetch=null))},i.prototype.scrollToHeader=function(e){var t,i,s,o,n,r,l,h,a,d,m,c,u,_;c=e.axis,u=e.index,_=e.level,t=0,"row"===c?(i=this.m_startRowHeader,s=this.m_endRowHeader,o=this.m_avgRowHeight,n=this.m_currentScrollTop,a=this._getViewportTop(),d=this._getViewportBottom()):"column"===c?(i=this.m_startColHeader,s=this.m_endColHeader,o=this.m_avgColWidth,n=this.m_currentScrollLeft,a=this._getViewportLeft(),d=this._getViewportRight()):"rowEnd"===c?(i=this.m_startRowEndHeader,s=this.m_endRowEndHeader,o=this.m_avgRowHeight,n=this.m_currentScrollTop,a=this._getViewportTop(),d=this._getViewportBottom()):"columnEnd"===c&&(i=this.m_startColEndHeader,s=this.m_endColEndHeader,o=this.m_avgColWidth,n=this.m_currentScrollLeft,a=this._getViewportLeft(),d=this._getViewportRight()),m=d-a,u<i||u>s?(t=n-(u<i?o*u:o*(u+1)-m),this.m_scrollHeaderAfterFetch=e):("row"===c||"rowEnd"===c?(h="row"===c?this._getHeaderByIndex(u,_,this.m_rowHeader,this.m_rowHeaderLevelCount,this.m_startRowHeader):this._getHeaderByIndex(u,_,this.m_rowEndHeader,this.m_rowEndHeaderLevelCount,this.m_startRowEndHeader),r=this.getElementDir(h,"top"),l=this.getElementHeight(h)):"column"!==c&&"columnEnd"!==c||(h="column"===c?this._getHeaderByIndex(u,_,this.m_colHeader,this.m_columnHeaderLevelCount,this.m_startColHeader):this._getHeaderByIndex(u,_,this.m_colEndHeader,this.m_columnEndHeaderLevelCount,this.m_startColEndHeader),r=this.getElementDir(h,this.getResources().isRTLMode()?"right":"left"),l=this.getElementWidth(h)),m>l?r+l>d?t=d-(r+l):r<a&&(t=a-r):t=a-r),0!=t?(null!=h&&!1!==this.m_shouldFocus&&(this.m_cellToFocus=h),"row"===c||"rowEnd"===c?this.scrollDelta(0,t):this.scrollDelta(t,0)):null!=this.m_scrollHeaderAfterFetch&&(this._updateActive(e,!0,!0),this.m_scrollHeaderAfterFetch=null)},i.prototype.findHeader=function(e,t,i){if(null==t&&(t=this.getMappedStyle("headercell")),null==i&&(i=this.getMappedStyle("endheadercell")),null!=t){if(this.m_utils.containsCSSClassName(e,t)||this.m_utils.containsCSSClassName(e,i))return e;if(e.parentNode)return this.findHeader(e.parentNode,t,i);if(e===this.m_root)return null}return null},i.prototype.updateRowBanding=function(){var e,t,i,s,o,n;if((e=this.m_options.getRowBandingInterval())>0)for(t=this.m_databody.firstChild.childNodes,o=this.getMappedStyle("banded"),i=0;i<t.length;i++)n=t[i],s=this._getIndex(n,"row"),Math.floor(s/e)%2==1?this.m_utils.containsCSSClassName(n,o)||this.m_utils.addCSSClassName(n,o):this.m_utils.containsCSSClassName(n,o)&&this.m_utils.removeCSSClassName(n,o)},i.prototype.updateColumnBanding=function(){var e,t,i,s,o,n;if((e=this.m_options.getColumnBandingInterval())>0)for(t=this.m_databody.firstChild.childNodes,o=this.getMappedStyle("banded"),i=0;i<t.length;i+=1)n=t[i],s=this._getIndex(n,"column"),Math.floor(s/e)%2==1?this.m_utils.containsCSSClassName(n,o)||this.m_utils.addCSSClassName(n,o):this.m_utils.containsCSSClassName(n,o)&&this.m_utils.removeCSSClassName(n,o)},i.prototype._removeBanding=function(){var e,t,i;for(e=this.m_databody.firstChild.childNodes,i=this.getMappedStyle("banded"),t=0;t<e.length;t++)this.m_utils.containsCSSClassName(e[t],i)&&this.m_utils.removeCSSClassName(e[t],i)},i.prototype._setAccInfoText=function(e,t){var i=this.getResources().getTranslatedText(e,t);null!=i&&(this.m_accInfo.textContent=i)},i.prototype.handleExpandEvent=function(e,t){void 0===t&&this.queueModelEvent(e)?e.operation="expand":(this._setAccInfoText("accessibleRowExpanded"),this.populateAccInfo(),t&&this._runModelEventQueue())},i.prototype.handleCollapseEvent=function(e,t){void 0===t&&this.queueModelEvent(e)?e.operation="collapse":(this._setAccInfoText("accessibleRowCollapsed"),this.populateAccInfo(),t&&this._runModelEventQueue())},i.prototype._getKey=function(e,t){return null!=e&&e[this.getResources().getMappedAttribute("context")]?null!=t&&this.m_utils.containsCSSClassName(e,this.getMappedStyle("cell"))?e[this.getResources().getMappedAttribute("context")].keys[t]:e[this.getResources().getMappedAttribute("context")].key:null},i.prototype._getActiveKey=function(e,t){if(t&&null!=this.m_prevActive){if("header"==this.m_prevActive.type&&(this.m_prevActive.axis===e||this.m_prevActive.axis===e+"End"))return this.m_prevActive.key;if("cell"==this.m_prevActive.type)return this.m_prevActive.keys[e]}else if(null!=this.m_active){if("header"==this.m_active.type&&(this.m_active.axis===e||this.m_active.axis===e+"End"))return this.m_active.key;if("cell"==this.m_active.type)return this.m_active.keys[e]}return null},i.prototype._getActiveIndex=function(e,t){if(t&&null!=this.m_prevActive){if("header"==this.m_prevActive.type&&(this.m_prevActive.axis===e||this.m_prevActive.axis===e+"End"))return this.m_prevActive.index;if("cell"==this.m_prevActive.type)return this.m_prevActive.indexes[e]}else if(null!=this.m_active){if("header"==this.m_active.type&&(this.m_active.axis===e||this.m_active.axis===e+"End"))return this.m_active.index;if("cell"==this.m_active.type)return this.m_active.indexes[e]}return null},i.prototype._handleCut=function(e,t){var i,s,o;if(null==t&&(t=e.target),s=this.findCellOrHeader(t),this._isMoveOnElementEnabled(s)){if(null!=this.m_cutCells)for(o=0;o<this.m_cutCells.length;o++)this.m_utils.removeCSSClassName(this.m_cutCells[o],this.getMappedStyle("cut"));return i=this._getKey(s,"row"),this.m_cutCells=this._getAxisCellsByKey(i,"row"),this.m_cutRowHeader=this._findHeaderByKey(i,this.m_rowHeader,this.getMappedStyle("rowheadercell")),this.m_cutRowEndHeader=this._findHeaderByKey(i,this.m_rowEndHeader,this.getMappedStyle("rowendheadercell")),this._highlightCellsAlongAxis(i,"row","key","add",["cut"]),null!==this.m_cutRowHeader&&this.m_utils.addCSSClassName(this.m_cutRowHeader,this.getMappedStyle("cut")),null!==this.m_cutRowEndHeader&&this.m_utils.addCSSClassName(this.m_cutRowEndHeader,this.getMappedStyle("cut")),!0}return!1},i.prototype._handlePaste=function(e,t){var i,s,o;if(null==t&&(t=e.target),null!=this.m_cutCells){for(o=0;o<this.m_cutCells.length;o++)this.m_utils.removeCSSClassName(this.m_cutCells[o],this.getMappedStyle("cut"));return null!==this.m_cutRowHeader&&(this.m_utils.removeCSSClassName(this.m_cutRowHeader,this.getMappedStyle("cut")),this.m_cutRowHeader=null),null!==this.m_cutRowEndHeader&&(this.m_utils.removeCSSClassName(this.m_cutRowEndHeader,this.getMappedStyle("cut")),this.m_cutRowEndHeader=null),i=this._getKey(this.findCellOrHeader(t),"row"),(s=this._getKey(this.m_cutCells[0],"row"))!==i&&(this._isSelectionEnabled()&&this._clearSelection(e),this._isDatabodyCellActive()&&this._unhighlightActive(),this.m_moveActive=!0,this.getDataSource().move(s,i)),this.m_cutCells=null,!0}return!1},i.prototype._handleCancelReorder=function(e,t){var i;if(null!=this.m_cutCells){for(i=0;i<this.m_cutCells.length;i++)this.m_utils.removeCSSClassName(this.m_cutCells[i],this.getMappedStyle("cut"));return this.m_cutCells=null,null!==this.m_cutRowHeader&&(this.m_utils.removeCSSClassName(this.m_cutRowHeader,this.getMappedStyle("cut")),this.m_cutRowHeader=null),null!==this.m_cutRowEndHeader&&(this.m_utils.removeCSSClassName(this.m_cutRowEndHeader,this.getMappedStyle("cut")),this.m_cutRowEndHeader=null),!0}},i.prototype._handleMove=function(e){var t,i,s,o,n;null==this.m_moveCells&&(n=e.target,s=this.findCellOrHeader(n),o=this._getKey(s,"row"),this.m_originalMoveIndex=this._getIndex(s,"row"),this.m_moveIndex=this.m_originalMoveIndex,this.m_moveCells=this._getAxisCellsByIndex(this.m_moveIndex,"row"),this.m_moveRowHeader=this._findHeaderByKey(o,this.m_rowHeader,this.getMappedStyle("rowheadercell")),this.m_moveRowEndHeader=this._findHeaderByKey(o,this.m_rowEndHeader,this.getMappedStyle("rowendheadercell")),this._highlightCellsAlongAxis(this.m_moveIndex,"row","index","add",["drag"]),this.m_originalTop=this.getElementDir(this.m_moveCells[0],"top"),this.m_dropTarget=document.createElement("div"),this.m_utils.addCSSClassName(this.m_dropTarget,this.getMappedStyle("drop")),this.setElementHeight(this.m_dropTarget,this.calculateRowHeight(this.m_moveCells[0])),this.setElementDir(this.m_dropTarget,this.m_originalTop,"top"),this.m_databody.firstChild.appendChild(this.m_dropTarget),this._addHeaderDropTarget(this.m_moveRowHeader,this.m_rowHeader,!1),this._addHeaderDropTarget(this.m_moveRowEndHeader,this.m_rowEndHeader,!0)),this.m_utils.isTouchDevice()||(this.m_prevY=this.m_currentY,this.m_currentY=e.pageY),t=this.m_currentY-this.m_prevY,i=this.calculateRowHeight(this.m_moveCells[0]);for(var r=0;r<this.m_moveCells.length;r++)this.setElementDir(this.m_moveCells[r],this.getElementDir(this.m_moveCells[r],"top")+t,"top");null!==this.m_moveRowHeader&&this.setElementDir(this.m_moveRowHeader,this.getElementDir(this.m_moveRowHeader,"top")+t,"top"),null!==this.m_moveRowEndHeader&&this.setElementDir(this.m_moveRowEndHeader,this.getElementDir(this.m_moveRowEndHeader,"top")+t,"top");var l=this.m_moveIndex+1,h=this.m_moveIndex-1,a=this._getCellByIndex(this.createIndex(l,this.m_startCol)),d=this._getCellByIndex(this.createIndex(h,this.m_startCol));null!=a&&this.getElementDir(a,"top")<this.getElementDir(this.m_moveCells[0],"top")+i/2?this._moveDropRows("nextSibling",l):null!=d&&this.getElementDir(d,"top")>this.getElementDir(this.m_moveCells[0],"top")-i/2&&this._moveDropRows("previousSibling",h)},i.prototype._addHeaderDropTarget=function(e,t,i){var s;null!==e&&(null==e.style.height&&this.setElementHeight(e,this.calculateRowHeight(e)),this.m_utils.addCSSClassName(e,this.getMappedStyle("drag")),s=document.createElement("div"),this.m_utils.addCSSClassName(s,this.getMappedStyle("drop")),this.setElementHeight(s,this.calculateRowHeight(e)),this.setElementDir(s,this.m_originalTop,"top"),t.firstChild.appendChild(s),i?this.m_dropTargetEndHeader=s:this.m_dropTargetHeader=s)},i.prototype._moveDropRows=function(e,t){var i,s,o,n,r;"nextSibling"==e?(r=this._getAxisCellsByIndex(t,"row"),i=this.m_originalTop+this.calculateRowHeight(r[0]),s=this.m_originalTop):(r=this._getAxisCellsByIndex(t,"row"),s=(i=this.getElementDir(r[0],"top"))+this.calculateRowHeight(r[0])),this.setElementDir(this.m_dropTarget,i,"top");for(var l=0;l<r.length;l++)this.setElementDir(r[l],s,"top");null!==this.m_moveRowHeader&&(o=this.m_moveRowHeader.parentNode,this.setElementDir(this.m_dropTargetHeader,i,"top"),this.setElementDir(this.m_moveRowHeader[e],s,"top")),null!==this.m_moveRowEndHeader&&(n=this.m_moveRowEndHeader.parentNode,this.setElementDir(this.m_dropTargetEndHeader,i,"top"),this.setElementDir(this.m_moveRowEndHeader[e],s,"top")),this.m_originalTop=i,this._highlightCellsAlongAxis(this.m_moveIndex+1,"row","index","remove",["activedrop"]),"nextSibling"===e?(this._modifyAxisCellContextIndex("row",this.m_moveIndex,1,1),this._modifyAxisCellContextIndex("row",this.m_moveIndex+1,1,-1),this.m_moveIndex+=1,null!==this.m_moveRowHeader&&o.insertBefore(this.m_moveRowHeader,this.m_moveRowHeader[e][e]),null!==this.m_moveRowEndHeader&&n.insertBefore(this.m_moveRowEndHeader,this.m_moveRowEndHeader[e][e])):(this._modifyAxisCellContextIndex("row",this.m_moveIndex,1,-1),this._modifyAxisCellContextIndex("row",this.m_moveIndex-1,1,1),this.m_moveIndex-=1,null!==this.m_moveRowHeader&&o.insertBefore(this.m_moveRowHeader,this.m_moveRowHeader[e]),null!==this.m_moveRowEndHeader&&n.insertBefore(this.m_moveRowEndHeader,this.m_moveRowEndHeader[e])),this._refreshDatabodyMap(),this._highlightCellsAlongAxis(this.m_moveIndex+1,"row","index","add",["activedrop"])},i.prototype._isMoveEnabled=function(e){var t;return t=this.getDataSource().getCapability("move"),"enable"===this.m_options.isMoveable("row")&&("full"===t||t===e)},i.prototype._handleMoveMouseUp=function(e,t){if(null!=this.m_moveCells){this._remove(this.m_dropTarget),null!==this.m_moveRowHeader&&this._remove(this.m_dropTargetHeader),null!==this.m_moveRowEndHeader&&this._remove(this.m_dropTargetEndHeader),null!=this.m_active&&"column"!=this.m_active.axis&&(this.m_moveActive=!0),this._isSelectionEnabled()&&this._clearSelection(e);var i=this.m_moveCells[0],s=this._getKey(i,"row");if(1==t){var o=this.m_moveIndex+1,n=this._getKey(this._getCellByIndex(this.createIndex(o,this.m_startCol)),"row");this.getDataSource().move(s,null===o?null:n)}else this.getDataSource().move(s,s);this.m_moveCells=null,this.m_originalMoveIndex=null,this.m_moveIndex=null}this.m_databodyMove=!1},i.prototype._isMoveOnElementEnabled=function(e){return!(null==e||!this._isMoveEnabled("row")||this._getActiveKey("row")!==this._getKey(e,"row"))},i.prototype._manageMoveCursor=function(){var e,t,i,s,o,n,r,l,h;t=this._getActiveKey("row"),i=this._getActiveKey("row",!0),e=this.getMappedStyle("draggable"),r=this.getMappedStyle("rowheadercell"),l=this.getMappedStyle("rowendheadercell"),null!=i&&(this._highlightCellsAlongAxis(i,"row","key","remove",["draggable"]),o=this._findHeaderByKey(i,this.m_rowHeader,r),this.m_utils.containsCSSClassName(o,e)&&this.m_utils.removeCSSClassName(o,e),o=this._findHeaderByKey(i,this.m_rowEndHeader,l),this.m_utils.containsCSSClassName(o,e)&&this.m_utils.removeCSSClassName(o,e)),null!=t&&(h=this._getAxisCellsByKey(t,"row"),this._isMoveOnElementEnabled(h[0])&&(this._highlightCellsAlongAxis(t,"row","key","add",["draggable"]),s=this._findHeaderByKey(t,this.m_rowHeader,r),this.m_utils.addCSSClassName(s,e),n=this._findHeaderByKey(t,this.m_rowEndHeader,l),this.m_utils.addCSSClassName(n,e)))},i.prototype.handleRootFocus=function(e){var t,i;this.m_utils.addCSSClassName(this.m_root,this.getMappedStyle("focus")),(!this.m_root.contains(document.activeElement)||document.activeElement===this.m_root&&0==this.m_root.tabIndex||document.activeElement===this.m_databody&&this.m_scrollbarFocus&&0==this.m_root.tabIndex)&&(this.m_externalFocus=!0,this._isCellEditable()?this._setAccInfoText("accessibleEditableMode"):this._isGridEditable()&&this._setAccInfoText("accessibleNavigationMode"),null!=this.m_active||this._databodyEmpty()?null!=this.m_active&&this._highlightActive():(t=this.createIndex(0,0),1==this.m_scrollbarFocus?(this.m_shouldFocus=!1,this.m_scrollbarFocus=!1):this.scrollToIndex(t),i=this.GetSelection(),!this._isSelectionEnabled()||null!=i&&0!=i.length?this._setActiveByIndex(t):this.selectAndFocus(t,e))),this.m_root.tabIndex=-1},i.prototype.handleRootBlur=function(e){var t;setTimeout(function(){this.m_root.contains(document.activeElement)||(this.m_root.tabIndex=0,null!=(t=this._getActiveElement())&&this._unsetAriaProperties(t))}.bind(this),100),null==this.m_moveRow&&this.m_utils.removeCSSClassName(this.m_root,this.getMappedStyle("focus"))},i.prototype.calculateRowHeight=function(e){return""!=e.style.height?this.getElementHeight(e):null!=e.nextSibling?this.getElementDir(e.nextSibling,"top")-this.getElementDir(e,"top"):this.m_endRowPixel-this.getElementDir(e,"top")},i.prototype.calculateRowHeaderHeight=function(e){return""!=e.style.height?this.getElementHeight(e):null!=e.nextSibling?this.getElementDir(e.nextSibling,"top")-this.getElementDir(e,"top"):this.m_endRowHeaderPixel-this.getElementDir(e,"top")},i.prototype.calculateColumnWidth=function(e){if(""!=e.style.width)return this.getElementWidth(e);var t=this.getResources().isRTLMode()?"right":"left";return null!=e.nextSibling?this.getElementDir(e.nextSibling,t)-this.getElementDir(e,t):this.m_endColPixel-this.getElementDir(e,t)},i.prototype.calculateColumnHeaderWidth=function(e){if(""!=e.style.width)return this.getElementWidth(e);var t=this.getResources().isRTLMode()?"right":"left";return null!=e.nextSibling?this.getElementDir(e.nextSibling,t)-this.getElementDir(e,t):this.m_endColHeaderPixel-this.getElementDir(e,t)},i.prototype._databodyEmpty=function(){return null==this.m_databody.firstChild||null==this.m_databody.firstChild.firstChild},i.prototype.changeStyleProperty=function(e,t,i,s){void 0!==t&&(e.style[t]="remove"==s?"":i)},i.prototype.addTransformMoveStyle=function(e,t,i,s,o,n,r){this.changeStyleProperty(e,this.getCssSupport("transition-delay"),i),this.changeStyleProperty(e,this.getCssSupport("transition-timing-function"),s),this.changeStyleProperty(e,this.getCssSupport("transition-duration"),t),this.changeStyleProperty(e,this.getCssSupport("transform"),"translate3d("+o+"px,"+n+"px,"+r+"px)")},i.prototype.removeTransformMoveStyle=function(e){this.changeStyleProperty(e,this.getCssSupport("transition-delay"),null,"remove"),this.changeStyleProperty(e,this.getCssSupport("transition-timing-function"),null,"remove"),this.changeStyleProperty(e,this.getCssSupport("transition-duration"),null,"remove"),this.changeStyleProperty(e,this.getCssSupport("transform"),null,"remove")},i.prototype.getCssSupport=function(e){var t,i,s,o;for(t=["","-moz-","-webkit-","-o-","-ms-","-khtml-"],i=document.documentElement,s=0;s<t.length;s++)if("Ms"==(o=(t[s]+e).replace(/\-([a-z])/gi,function(e,t){return t.toUpperCase()})).substr(0,2)&&(o="m"+o.substr(1)),o in i.style)return o},i.prototype._refreshDatabodyMap=function(){this._clearDatabodyMap(),this._addNodesToDatabodyMap(this.m_databody.firstChild.childNodes)},i.prototype._populateDatabody=function(e,t){this._addNodesToDatabodyMap(t.childNodes),e.appendChild(t)},i.prototype._emptyDatabody=function(e){this._clearDatabodyMap(),this.m_utils.empty(e)},i.prototype._addNodesToDatabodyMap=function(e){var t,i,s,o,n;for(n=0;n<e.length;n++)t=e[n],this.m_utils.containsCSSClassName(t,this.getMappedStyle("cell"))&&(i=this.getCellIndexes(t),o=this.getCellExtents(t),s=t.id,this._addToDatabodyMap(i,s,o))},i.prototype._removeNodesFromDatabodyMap=function(e){for(var t=0;t<e.length;t++){var i=this.getCellIndexes(e[t]);this._removeIndexFromDatabodyMap(i)}},i.prototype._addToDatabodyMap=function(e,t,i){var s,o,n,r;for(s=i.row,o=i.column,n=0;n<s;n++)for(r=0;r<o;r++)this._addIndexToDatabodyMap(this.createIndex(e.row+n,e.column+r),t)},i.prototype._addIndexToDatabodyMap=function(e,t){var i="r"+e.row+"c"+e.column;this.m_databodyMap.set(i,t)},i.prototype._removeIndexFromDatabodyMap=function(e){var t="r"+e.row+"c"+e.column;return this.m_databodyMap.delete(t)},i.prototype._getFromDatabodyMap=function(e){var t="r"+e.row+"c"+e.column;return this.m_databodyMap.get(t)},i.prototype._clearDatabodyMap=function(){return this.m_databodyMap.clear()},i.prototype._modifyAxisCellContextIndex=function(e,t,i,s){var o,n,r;for(o=t;o<t+i;o++)for(r=this._getAxisCellsByIndex(o,e),n=0;n<r.length;n++)r[n][this.getResources().getMappedAttribute("context")].indexes[e]+=s},i.prototype._getCellOrHeaderByIndex=function(e,t){var i=null,s=this._getAxisCellsByIndex(e,t,!0);return null!=s&&s.length>0&&(i=s[0]),null==i&&("row"===t&&null==(i=this._getHeaderByIndex(e,0,this.m_rowHeader,this.m_rowHeaderLevelCount,this.m_startRowHeader))&&(i=this._getHeaderByIndex(e,0,this.m_rowEndHeader,this.m_rowEndHeaderLevelCount,this.m_startRowEndHeader)),"column"===t&&null==(i=this._getHeaderByIndex(e,0,this.m_colHeader,this.m_columnHeaderLevelCount,this.m_startColHeader))&&(i=this._getHeaderByIndex(e,0,this.m_colEndHeader,this.m_columnEndHeaderLevelCount,this.m_startColEndHeader))),i},i.prototype._getCellByIndex=function(e){var t=this._getFromDatabodyMap(e);return null!=t?document.getElementById(t):null},i.prototype._getAxisCellsByIndex=function(e,t,i){var s,o,n,r,l,h;for(o=[],r="row"==t?this.m_startCol:this.m_startRow,l="row"==t?this.m_endCol:this.m_endRow,s=r;s<=l;s+=h)if(null!=(n=this._getCellByIndex(this.createIndex("row"==t?e:s,"row"==t?s:e)))){if(h=this.getCellExtents(n)["row"==t?"column":"row"],o.push(n),i)break}else h=1;return o},i.prototype._getAxisCellsByKey=function(e,t,i){var s,o,n,r=[];if(null==e||null==this.m_databody||null==this.m_databody.firstChild)return null;for(s=this.m_databody.firstChild.childNodes,n=0;n<s.length&&(o=s[n],!this.m_utils.containsCSSClassName(o,this.getMappedStyle("cell"))||this._getKey(o,t)!==e||(r.push(o),!i));n++);return r},i.prototype._isContainFocusableElement=function(e){return this.getFocusableElementsInNode(e).length>0},i.prototype.unhighlightSelection=function(){var e,t;for(t=this.GetSelection(),e=0;e<t.length;e+=1)this.unhighlightRange(t[e])},i.prototype.unhighlightRange=function(e){var t=this.getElementsInRange(e);this.unhighlightElems(t)},i.prototype.highlightRange=function(e,t){var i,s;i=this.getElementsInRange(e),this.highlightElems(i),t&&(s=1==this.GetSelection().length?i.length:this._getCurrentSelectionCellCount(),this._setAccInfoText("accessibleMultiCellSelected",{num:s}))},i.prototype._getCurrentSelectionCellCount=function(){var e,t,i,s;for(e=0,t=this.GetSelection(),s=0;s<t.length;s++)null!=(i=this.getElementsInRange(t[s]))&&(e+=i.length);return e},i.prototype.unhighlightElems=function(e){var t,i;if(null!=e&&0!=e.length)for(t=0;t<e.length;t+=1)i=e[t],this._unhighlightElement(i,["selected","topSelected","bottomSelected"])},i.prototype.highlightElems=function(e){var t,i,s,o,n,r;if(null!=e&&0!=e.length)for(i=e[0],s=this._getIndex(i,"row"),i=e[e.length-1],o=this._getIndex(i,"row"),t=0;t<e.length;t+=1)n=["selected"],i=e[t],(r=this._getIndex(i,"row"))===s&&n.push("topSelected"),r===o&&n.push("bottomSelected"),this._highlightElement(i,n)},i.prototype.applySelection=function(e,t,i,s){var o,n,r;for(n=this.GetSelection(),o=0;o<n.length;o+=1)r=this.getElementsInRange(n[o],e,t,i,s),this.highlightElems(r)},i.prototype.handleDatabodySelectionDrag=function(e){var t,i,s;this.m_utils.isTouchDevice()?i=this.findCell(document.elementFromPoint(e.touches[0].clientX,e.touches[0].clientY)):(s=e.target,i=this.findCell(s)),null!=i&&(this.isHeaderSelectionType(this.m_selectionFrontier)?this.extendSelectionHeader(i,e):(t=this.getCellIndexes(i),this.extendSelection(t,e)))},i.prototype._isSelected=function(e){var t=this.getMappedStyle("selected");return null!=t&&this.m_utils.containsCSSClassName(e,t)},i.prototype._deselect=function(e){var t,i,s,o,n,r,l,h,a,d,m,c;for("row"==this.m_options.getSelectionMode()&&(e=this.createIndex(e.row)),t=e.row,i=e.column,s=-1,o=this.GetSelection(),n=0;n<o.length;n+=1)if(l=(r=o[n]).startIndex,h=this.getEndIndex(r),a=l.row,d=h.row,a==t&&d==t){if(isNaN(l.column)||isNaN(h.column)){if(!isNaN(i))continue;s=n;break}if(m=l.column,c=h.column,m==i&&c==i){s=n;break}}-1!=s&&(this.unhighlightRange(o[s]),o.splice(s,1))},i.prototype.handleHeaderClickSelection=function(e){var t,i,s,o,n,r;if(o=e.target,n=this.findHeader(o),!(r=e.shiftKey)&&n&&this._setActive(n,this._createActiveObject(n),e),null==this.m_active||"header"!=this.m_active.type&&!e.shiftKey)return!1;if("header"==this.m_active.type&&(t=this.m_active.axis,i=this.m_active.index,s=this.m_active.level),this.m_utils.isTouchDevice())this._removeTouchSelectionAffordance(),this._selectHeader(t,i,s,e);else if(r){if(r){var l=o[this.getResources().getMappedAttribute("context")];return null==t&&(t=l.axis),void((-1!=t.indexOf("row")&&-1!=l.axis.indexOf("row")||-1!=t.indexOf("column")&&-1!=l.axis.indexOf("column"))&&this.extendSelectionHeader(o,e))}}else this._selectHeader(t,i,s,e)},i.prototype.discontiguousHeaderSetActiveFromDatabody=function(e,t,i,s){var o=t.replace("End",""),n=this.m_selection[this.m_selection.length-1];this.unhighlightSelection(),n.startIndex.row==this.m_active.indexes.row&&n.endIndex.row==this.m_active.indexes.row&&n.startIndex.column==this.m_active.indexes.column&&n.endIndex.column==this.m_active.indexes.column&&this.m_selection.pop(),this._setActive(i,{type:"header",index:this.m_trueIndex[o],level:s-1,axis:t},e,!1),this.rehighlightSelection()},i.prototype.handleDragAnchorChange=function(e){var t,i,s,o,n,r,l,h;if(this.m_headerDragState){if(i=(t=e.target)[this.getResources().getMappedAttribute("context")],r=(n=this._getActiveElement())[this.getResources().getMappedAttribute("context")],(l=this._getAttribute(n.parentNode,"start",!0))+this._getAttribute(n.parentNode,"extent",!0)-1,!i.extent)return;1==i.extent?(s=i.index,o=i.index):o=(s=this._getAttribute(t.parentNode,"start",!0))+this._getAttribute(t.parentNode,"extent",!0)-1,h=(l=this._getAttribute(n.parentNode,"start",!0))+this._getAttribute(n.parentNode,"extent",!0)-1,1!=r.extent?(s<=l&&o>=h||s>=l&&o<=h)&&this._setActive(t,this._createActiveObject(t),e):s!=o&&s<=l&&l<=o&&this._setActive(t,this._createActiveObject(t),e)}},i.prototype.handleDatabodyClickSelection=function(e){var t,i,s,o,n;if(n=e.target,null!=(i=this.findCell(n))&&(t=this.getCellIndexes(i)),null!=t&&null!=t){if(this.isMultipleSelection()&&2===e.button&&this._isContainSelection(t))return;s=this.m_utils.ctrlEquivalent(e),o=e.shiftKey,this.isMultipleSelection()?this.m_utils.isTouchDevice()?(this._removeTouchSelectionAffordance(),null!=this.m_active&&this._unhighlightActive(),this.selectAndFocus(t,e,!1)):s||o?!s&&o?this.extendSelection(t,e):this.selectAndFocus(t,e,!0):this.selectAndFocus(t,e,!1):this.selectAndFocus(t,e,!1)}},i.prototype._handleSelectAll=function(e){return!(!this._isSelectionEnabled()||!this.isMultipleSelection())&&("row"==this.m_options.getSelectionMode()?this._selectRange(this.createIndex(0),this.createIndex(-1),e):this._selectRange(this.createIndex(0,0),this.createIndex(-1,-1),e),this.m_utils.isTouchDevice()&&this.m_topSelectIconContainer&&this.m_bottomSelectIconContainer&&(this.m_topSelectIconContainer.parentNode.removeChild(this.m_topSelectIconContainer),this.m_bottomSelectIconContainer.parentNode.removeChild(this.m_bottomSelectIconContainer)),!0)},i.prototype._isContainSelection=function(e,t){var i,s,o,n,r,l,h,a;for(null==t&&(t=this.GetSelection()),a=0;a<t.length;a+=1)if(s=(i=t[a]).startIndex,o=this.getEndIndex(i),n=s.row,r=o.row,!(e.row<n||-1!=r&&e.row>r)){if(isNaN(s.column)||isNaN(o.column))return!0;if(l=s.column,h=o.column,!(e.column<l||-1!=h&&e.column>h))return!0}return!1},i.prototype._compareSelections=function(e,t){var i,s,o;if(e.length!==t.length)return!1;for(i=0;i<e.length;i+=1){for(o=!1,s=0;s<t.length;s+=1)this._compareIndividualSelectionObjects(e[i],t[s])&&(o=!0);if(!1===o)return!1}return!0},i.prototype._compareIndividualSelectionObjects=function(e,t){return e.startIndex.row===t.startIndex.row&&e.startIndex.column===t.startIndex.column&&e.endIndex.row===t.endIndex.row&&e.endIndex.column===t.endIndex.column},i.prototype._clearSelection=function(e){var t;this.unhighlightSelection(),this._removeTouchSelectionAffordance(),t=this.GetSelection(),this.m_selection=[],this._compareSelectionAndFire(e,t)},i.prototype.setDiscontiguousSelectionMode=function(e){this.m_discontiguousSelection=e,this._setAccInfoText(e?"accessibleRangeSelectModeOn":"accessibleRangeSelectModeOff")},i.prototype._selectEntireRow=function(e,t,i){var s,o,n;s=this.createIndex(e,0),o=this.createIndex(t,-1),n=this._getSelectionStartAndEnd(s,o,0),"row"==this.m_options.getSelectionMode()?this._selectRange(this.createIndex(n.min.row),this.createIndex(n.max.row),i):this._selectRange(this.createIndex(n.min.row,0),this.createIndex(n.max.row,-1),i)},i.prototype._selectEntireColumn=function(e,t,i){var s,o,n;s=this.createIndex(0,e),o=this.createIndex(-1,t),n=this._getSelectionStartAndEnd(s,o,0),this._selectRange(this.createIndex(0,n.min.column),this.createIndex(-1,n.max.column),i)},i.prototype._selectRange=function(e,t,i){this.unhighlightSelection(),this._createRangeWithKeys(e,t,this._selectRangeCallback.bind(this,i))},i.prototype._selectRangeCallback=function(e,t){var i,s;s=this.GetSelection(),(i=this.m_discontiguousSelection||!e||this.m_utils.ctrlEquivalent(e)&&0==e.button?s.slice(0):[]).push(t),this.m_selection=i,this.rehighlightSelection(),this._isDatabodyCellActive()&&e.target[this.getResources().getMappedAttribute("context")]&&!e.target[this.getResources().getMappedAttribute("context")].axis&&!this.m_selectionFrontier.axis&&(this.m_selectionFrontier=this.m_active.indexes,this._highlightActive()),this._compareSelectionAndFire(e,s)},i.prototype.rehighlightSelection=function(){for(var e=0;e<this.m_selection.length;e++)this.highlightRange(this.m_selection[e])},i.prototype.GetSelection=function(){return null==this.m_selection&&(this.m_selection=[]),this.m_selection},i.prototype.SetSelection=function(e){null!=e&&(null==e&&(e=[]),this.unhighlightSelection(),this.GetSelection(),this.m_selection=e,null!=this.m_databody&&this.applySelection(this.m_startRow,this.m_endRow,this.m_startCol,this.m_endCol))},i.prototype.fireSelectionEvent=function(e,t){var i={event:e,ui:{selection:this.GetSelection(),previousSelection:t}};this.fireEvent("select",i)},i.prototype.extendSelection=function(e,t,i){var s,o,n,r;"header"!=this.m_active.type&&null!=(s=this.m_utils.isTouchDevice()?this.m_touchSelectAnchor:{row:this.m_active.indexes.row,column:this.m_active.indexes.column})&&(this._resetSelectionFrontierFocus(),n=(o=this._updateSelectionFrontier(s,e,i)).min,r=o.max,"row"==this.m_options.getSelectionMode()&&(n=this.createIndex(n.row),r=this.createIndex(r.row)),this._createRangeWithKeys(n,r,this._extendSelectionCallback.bind(this,t,s)))},i.prototype.extendSelectionHeader=function(e,t,i){var s,o,n,r,l,h,a,d,m,c,u,_,p;if(null!==e&&(_=e,u=e[this.getResources().getMappedAttribute("context")],null==i&&(i=this.m_discontiguousSelection),u)){if(u.cell)r=n=-1!=this.m_selectionFrontier.axis.indexOf("column")?u.indexes.column:u.indexes.row,c=n;else{if(this.m_selectionFrontier&&u.index==this.m_selectionFrontier.index&&u.level==this.m_selectionFrontier.level)return;1==u.extent?(n=u.index,r=u.index,c=u.index):r=(n=this._getAttribute(e.parentNode,"start",!0))+this._getAttribute(e.parentNode,"extent",!0)-1}h=(l=this._getActiveElement())[this.getResources().getMappedAttribute("context")],this.m_utils.isTouchDevice()?(-1==(s=-1!=this.m_selectionFrontier.axis.indexOf("column")?this.m_touchSelectAnchor.column:this.m_touchSelectAnchor.row)&&(s=0),a=s,d=s,o=this.m_selectionFrontier.axis):(d=(a=this._getAttribute(l.parentNode,"start",!0))+this._getAttribute(l.parentNode,"extent",!0)-1,"header"===this.m_active.type&&(o=this.m_active.axis,s=this.m_active.index)),"cell"==this.m_active.type?(m=1,s=-1!=(o=u.axis).indexOf("row")?this.m_active.indexes.row:this.m_active.indexes.column):m=h.extent,i&&(p=this.m_selection[this.m_selection.length-1],this.unhighlightSelection(),p&&this.checkCorners(o,s,p)&&this.m_selection.pop()),1!=m?n<=a&&r>=d||n>=a&&r<=d?(this.m_headerDragState||this._setActive(_,this._createActiveObject(_),t),s=n,c=r):n>a&&r>d?(s=a,c=r):n<a&&r<d&&(s=n,c=d):1==m&&n!=r&&(n<=s&&s<=r?(this.m_headerDragState||"cell"==this.m_active.type||this._setActive(_,this._createActiveObject(_),t),s=n,c=r):n<=s&&r<=s?(c=s,s=n):n>=s&&r>=s&&(c=r)),u.cell?this.setHeaderSelectionFrontier(o,c,c,this.m_selectionFrontier.level,e,!0):this.setHeaderSelectionFrontier(o,c,u.index,u.level,e,!0),-1!=o.indexOf("column")?t?this._selectEntireColumn(s,c,t):this._selectEntireColumn(s,c,null):-1!=o.indexOf("row")&&(t?this._selectEntireRow(s,c,t):this._selectEntireRow(s,c,null))}},i.prototype._updateSelectionFrontier=function(e,t,s){var o,n,r,l,h,a,d,m,c,u;if("row"==this.m_options.getSelectionMode()?(c=this.createIndex(e.row,this.m_startCol),u=this.createIndex(t.row,this.m_endCol)):(c=e,u=t),null!=s&&(d=(a=(h=this.GetSelection())[this._getLastAnchoredSelectionIndex(h,c)]).startIndex,m=a.endIndex,d.row===this.m_selectionFrontier.row&&c.row!==d.row?c.row=m.row:m.row===this.m_selectionFrontier.row&&c.row!==m.row&&(c.row=d.row),d.column===this.m_selectionFrontier.column&&c.column!==d.column?c.column=m.column:m.column===this.m_selectionFrontier.column&&c.column!==m.column&&(c.column=d.column)),o=this._getSelectionStartAndEnd(c,u,0),l=u,null!=s){for(n=o.min,r=o.max,"row"==this.m_options.getSelectionMode()&&(n=this.createIndex(n.row),r=this.createIndex(r.row));this._compareIndividualSelectionObjects(a,this.createRange(n,r));){if(s===i.keyCodes.LEFT_KEY){if(0===u.column)break;u.column-=1}else if(s===i.keyCodes.RIGHT_KEY){if(u.column===this.m_endCol)break;u.column+=1}else if(s===i.keyCodes.UP_KEY){if(0===u.row)break;u.row-=1}else{if(s!==i.keyCodes.DOWN_KEY)break;if(u.row===this.m_endRow)break;u.row+=1}n=(o=this._getSelectionStartAndEnd(c,u,0)).min,r=o.max,"row"==this.m_options.getSelectionMode()&&(n=this.createIndex(n.row),r=this.createIndex(r.row))}s===i.keyCodes.LEFT_KEY?(l.column=n.column<c.column?n.column:r.column,l.row=n.row<c.row?n.row:r.row):s===i.keyCodes.RIGHT_KEY?(l.column=r.column>c.column?r.column:n.column,l.row=n.row<c.row?n.row:r.row):s===i.keyCodes.UP_KEY?(l.row=n.row<c.row?n.row:r.row,l.column=n.column<c.column?n.column:r.column):s===i.keyCodes.DOWN_KEY&&(l.row=r.row>c.row?r.row:n.row,l.column=n.column<c.column?n.column:r.column)}else l=this.getCellIndexes(this._getCellByIndex(l));return"row"==this.m_options.getSelectionMode()&&(l=this.createIndex(l.row,this.m_active.indexes.column)),this.m_selectionFrontier=l,o},i.prototype._getMinOrMax=function(e,t,i){return isNaN(e)?isNaN(t)?null:t:isNaN(t)?e:i(e,t)},i.prototype._getSelectionStartAndEnd=function(e,t,i){var s,o,n,r,l,h;if((s=this.getElementsInRange(this.createRange(e,t))).length===i)return{min:e,max:t};for(o={row:this._getMinOrMax(e.row,t.row,Math.min),column:this._getMinOrMax(e.column,t.column,Math.min)},n={row:this._getMinOrMax(e.row,t.row,Math.max),column:this._getMinOrMax(e.column,t.column,Math.max)},r=0;r<s.length;r++)l=this.getCellIndexes(s[r]),h=this.getCellEndIndexes(s[r]),(l.row<o.row||null==o.row)&&(o.row=l.row),(l.column<o.column||null==o.column)&&(o.column=l.column),(h.row>n.row||null==n.row)&&(n.row=h.row),(h.column>n.column||null==n.column)&&(n.column=h.column);return this._getSelectionStartAndEnd(o,n,s.length)},i.prototype._getLastAnchoredSelectionIndex=function(e,t){var i;for(i=e.length-1;i>-1;i-=1)if(this._isContainSelection(t,[e[i]]))return i;return i-1},i.prototype._extendSelectionCallback=function(e,t,i){var s,o,n,r,l,h;if(null!=(n=(o=this.GetSelection())[h=this._getLastAnchoredSelectionIndex(o,t)])&&(r=n.startIndex.row==i.startIndex.row,null!=n.startIndex.column&&null!=i.startIndex.column&&(r=r&&n.startIndex.column==i.startIndex.column),l=n.endIndex.row==i.endIndex.row,null!=n.endIndex.column&&null!=i.endIndex.column&&(l=l&&n.endIndex.column==i.endIndex.column),!r||!l)){if(this.m_discontiguousSelection||e&&this.m_utils.ctrlEquivalent(e)&&0==e.button?(s=o.slice(0),this.unhighlightRange(n),s.splice(h,1)):(s=[],this.unhighlightSelection()),s.push(i),this.m_selection=s,this.m_discontiguousSelection||e&&this.m_utils.ctrlEquivalent(e)&&0==e.button)for(var a=0;a<this.m_selection.length;a++)this.highlightRange(this.m_selection[a]);else this.highlightRange(i,!0);this._makeSelectionFrontierFocus(),this._compareSelectionAndFire(e,o)}},i.prototype._resetSelectionFrontierFocus=function(){var e,t;null==this.m_selectionFrontier||this._isDatabodyCellActive()&&this.m_selectionFrontier.row==this.m_active.indexes.row&&this.m_selectionFrontier.column==this.m_active.indexes.column||(e=this.createRange(this.m_selectionFrontier),null!=(t=this.getElementsInRange(e))&&t.length>0&&this._unsetAriaProperties(t[0]))},i.prototype._makeSelectionFrontierFocus=function(){var e,t,i;null==this.m_selectionFrontier||this._isDatabodyCellActive()&&this.m_selectionFrontier.row==this.m_active.indexes.row&&this.m_selectionFrontier.column==this.m_active.indexes.column||(this._isDatabodyCellActive()&&(e=this.createRange(this.m_active.indexes),null!=(i=this.getElementsInRange(e))&&i.length>0&&this._unsetAriaProperties(i[0])),e=this.createRange(this.m_selectionFrontier),null!=(t=this.getElementsInRange(e))&&0!=t.length&&(this._updateContextInfo(this.m_selectionFrontier),i=this.m_utils.containsCSSClassName(t[0],this.getMappedStyle("row"))?t[0].firstChild:t[0],this._setAriaProperties(this._createActiveObject(i),null,i)))},i.prototype._selectHeader=function(e,t,i,s){var o,n,r;-1!=e.indexOf("row")&&this.m_rowHeaderLevelCount-1===i||-1!=e.indexOf("column")&&this.m_columnHeaderLevelCount-1===i?(o=t,n=t):(r=this._getActiveElement(),n=(o=this._getAttribute(r.parentNode,"start",!0))+this._getAttribute(r.parentNode,"extent",!0)-1),-1!=e.indexOf("row")?((o==n&&!this.isMultipleSelection()||this.isMultipleSelection())&&(this.setHeaderSelectionFrontier(e,n,t,i,s.target,!0),this._selectEntireRow(o,n,s)),this._setAccInfoText("accessibleRowSelected",{row:t+1})):-1!=e.indexOf("column")&&(this.setHeaderSelectionFrontier(e,n,t,i,s.target,!0),this._selectEntireColumn(o,n,s),this._setAccInfoText("accessibleColumnSelected",{column:t+1})),this.isMultipleSelection()&&(this.m_headerDragState=!0)},i.prototype.setHeaderSelectionFrontier=function(e,t,i,s,o,n){n&&(this.m_selectionFrontier={}),this.m_selectionFrontier.axis=e,this.m_selectionFrontier.end=t,this.m_selectionFrontier.index=i,this.m_selectionFrontier.level=s,this.m_selectionFrontier.target=o},i.prototype.updateSelectionHeader=function(){this.m_selectionFrontier&&this.m_selectionFrontier.target&&(this.m_utils.isTouchDevice()&&(this.m_touchSelectAnchor=this.m_selection[this.m_selection.length-1].startIndex),this.extendSelectionHeader(this.m_selectionFrontier.target,null))},i.prototype.selectAndFocus=function(e,t,i){null==i&&(i=!1),this._resetSelectionFrontierFocus(),this._setActiveByIndex(e,t),"row"==this.m_options.getSelectionMode()&&(e=this.createIndex(e.row));var s=this._getSelectionStartAndEnd(e,e,0),o=s.min,n=s.max;"row"==this.m_options.getSelectionMode()&&(o=this.createIndex(o.row),n=this.createIndex(n.row)),this._createRangeWithKeys(o,n,this._selectAndFocusRangeCallback.bind(this,o,t,i))},i.prototype._selectAndFocusRangeCallback=function(e,t,i,s){var o,n;o=(n=this.GetSelection()).slice(0),i||(this.m_discontiguousSelection||!t||this.m_utils.ctrlEquivalent(t)&&0==t.button?!this._isDatabodyCellActive()||null==this.m_prevActive||"cell"!=this.m_prevActive.type||this.m_selectionFrontier.row!=this.m_prevActive.indexes.row||this.m_selectionFrontier.column!=this.m_prevActive.indexes.column||this.m_utils.isTouchDevice()||!t.keyCode&&this.isMultipleSelection()||(o.pop(),this._isContainSelection(this.m_prevActive.indexes,o)||this._unhighlightElement(this._getCellByIndex(this.m_prevActive.indexes),["selected","topSelected","bottomSelected"])):(this.unhighlightSelection(),o=[])),this.m_selectionFrontier=e,o.push(s),this.m_selection=o,this.highlightRange(s),this._compareSelectionAndFire(t,n)},i.prototype._compareSelectionAndFire=function(e,t){var i=this.GetSelection();this.m_utils.isTouchDevice()&&this.isMultipleSelection()&&i.length>0&&(this._addTouchSelectionAffordance(e),this._moveTouchSelectionAffordance()),this._compareSelections(i,t)||this.fireSelectionEvent(e,t)},i.prototype._addTouchSelectionAffordance=function(e){var t,i,s,o,n,r,l,h,a,d;if(null==this.m_topSelectIconContainer&&null==this.m_bottomSelectIconContainer){if(r=this.getResources().isRTLMode()?"right":"left",i=this._getTouchSelectionAffordanceSize(),l=e.target,(t=this.findCell(l))||(t=this.findHeader(l)),!t)return;h=t[this.getResources().getMappedAttribute("context")],d=(a=this.getElementDir(t,"top"))+this.getElementHeight(t),this.m_topSelectIconContainer=document.createElement("div"),this.m_topSelectIconContainer.className=this.getMappedStyle("toucharea"),this.setElementDir(this.m_topSelectIconContainer,a-i/2,"top"),(s=document.createElement("div")).className=this.getMappedStyle("selectaffordancetop"),s.setAttribute("role","button"),s.setAttribute("aria-label",this.getResources().getTranslatedText("accessibleSelectionAffordanceTop")),this.m_topSelectIconContainer.appendChild(s),this.m_bottomSelectIconContainer=document.createElement("div"),this.m_bottomSelectIconContainer.className=this.getMappedStyle("toucharea"),this.setElementDir(this.m_bottomSelectIconContainer,d-i/2,"top"),(o=document.createElement("div")).className=this.getMappedStyle("selectaffordancebottom"),o.setAttribute("role","button"),o.setAttribute("aria-label",this.getResources().getTranslatedText("accessibleSelectionAffordanceBottom")),this.m_bottomSelectIconContainer.appendChild(o),"row"===this.m_options.getSelectionMode()?(n=this.getElementWidth(this.m_databody)/2+this.m_currentScrollLeft-i/2,this.setElementDir(this.m_topSelectIconContainer,n,r),this.setElementDir(this.m_bottomSelectIconContainer,n,r)):h.axis&&-1!=h.axis.indexOf("row")?(n=this.getElementWidth(this.m_databody)/2+this.m_currentScrollLeft-i/2,this.setElementDir(this.m_topSelectIconContainer,n,r),this.setElementDir(this.m_bottomSelectIconContainer,n,r)):h.axis&&-1!=h.axis.indexOf("column")?(a=this.getElementHeight(this.m_databody)/2+this.m_currentScrollTop-i/2,this.setElementDir(this.m_topSelectIconContainer,a,"top"),this.setElementDir(this.m_bottomSelectIconContainer,a,"top"),n=this.getElementDir(t,r)-i/2,this.setElementDir(this.m_topSelectIconContainer,n,r),this.setElementDir(this.m_bottomSelectIconContainer,n+this.calculateColumnWidth(t),r)):(n=this.getElementDir(t,r)-i/2,this.setElementDir(this.m_topSelectIconContainer,n,r),this.setElementDir(this.m_bottomSelectIconContainer,n+this.calculateColumnWidth(t),r)),this.m_databody.firstChild.appendChild(this.m_topSelectIconContainer),this.m_databody.firstChild.appendChild(this.m_bottomSelectIconContainer)}},i.prototype._removeTouchSelectionAffordance=function(){this._isDatabodyCellActive()&&this.m_topSelectIconContainer&&this.m_topSelectIconContainer.parentNode&&(this.m_topSelectIconContainer.parentNode.removeChild(this.m_topSelectIconContainer),this.m_bottomSelectIconContainer.parentNode.removeChild(this.m_bottomSelectIconContainer))},i.prototype._moveTouchSelectionAffordance=function(){var e,t,i,s,o,n,r,l;if(r=this.getResources().isRTLMode()?"right":"left",(e=this.GetSelection()).length>0&&(s=this.m_options.getSelectionMode(),l=this._getTouchSelectionAffordanceSize(),null!=this.m_topSelectIconContainer&&null!=this.m_bottomSelectIconContainer)){if("row"===s)t=this._getAxisCellsByKey(e[e.length-1].startKey.row,"row"),i=this._getAxisCellsByKey(e[e.length-1].endKey.row,"row"),this.setElementDir(this.m_topSelectIconContainer,this.getElementDir(t[0],"top")-l/2,"top"),this.setElementDir(this.m_bottomSelectIconContainer,this.getElementDir(i[0],"top")+this.getElementHeight(i[0])-l/2,"top");else if(-1!=e[e.length-1].endIndex.row&&-1==e[e.length-1].endIndex.column){t=this._getAxisCellsByKey(e[e.length-1].startKey.row,"row"),i=this._getAxisCellsByKey(e[e.length-1].endKey.row,"row"),this.setElementDir(this.m_topSelectIconContainer,this.getElementDir(t[0],"top")-l/2,"top"),this.setElementDir(this.m_bottomSelectIconContainer,this.getElementDir(i[0],"top")+this.getElementHeight(i[0])-l/2,"top");var h=this.getElementWidth(this.m_databody)/2+this.m_currentScrollLeft-l/2;this.setElementDir(this.m_topSelectIconContainer,h,r),this.setElementDir(this.m_bottomSelectIconContainer,h,r)}else if(-1!=e[e.length-1].endIndex.column&&-1==e[e.length-1].endIndex.row){t=this._getAxisCellsByKey(e[e.length-1].startKey.column,"column"),i=this._getAxisCellsByKey(e[e.length-1].endKey.column,"column");var a=this.getElementHeight(this.m_databody)/2+this.m_currentScrollTop-l/2;this.setElementDir(this.m_topSelectIconContainer,a,"top"),this.setElementDir(this.m_bottomSelectIconContainer,a,"top"),this.setElementDir(this.m_topSelectIconContainer,this.getElementDir(t[0],"left")-l/2,"left"),this.setElementDir(this.m_bottomSelectIconContainer,this.getElementDir(i[0],"left")+this.getElementWidth(i[0])-l/2,"left")}else o=this._getCellByIndex(e[e.length-1].startIndex),n=this._getCellByIndex(e[e.length-1].endIndex),this.setElementDir(this.m_topSelectIconContainer,this.getElementDir(o,"top")-l/2,"top"),this.setElementDir(this.m_bottomSelectIconContainer,this.getElementDir(n,"top")+this.getElementHeight(n)-l/2,"top"),this.setElementDir(this.m_topSelectIconContainer,this.getElementDir(o,r)-l/2,r),this.setElementDir(this.m_bottomSelectIconContainer,this.getElementDir(n,r)+this.getElementWidth(n)-l/2,r);null==this.m_topSelectIconContainer.parentNode&&(this.m_databody.firstChild.appendChild(this.m_topSelectIconContainer),this.m_databody.firstChild.appendChild(this.m_bottomSelectIconContainer))}},i.prototype._scrollTouchSelectionAffordance=function(){var e,t,i,s;"row"===(e=this.m_options.getSelectionMode())?null!=this.m_topSelectIconContainer&&(s=this.getResources().isRTLMode()?"right":"left",t=this.getElementWidth(this.m_databody)/2+this.m_currentScrollLeft,this.setElementDir(this.m_topSelectIconContainer,t,s),this.setElementDir(this.m_bottomSelectIconContainer,t,s)):"cell"===e&&this.isHeaderSelectionType(this.m_selectionFrontier)&&null!=this.m_topSelectIconContainer&&(-1!=this.m_selectionFrontier.axis.indexOf("row")?(s=this.getResources().isRTLMode()?"right":"left",t=this.getElementWidth(this.m_databody)/2+this.m_currentScrollLeft,this.setElementDir(this.m_topSelectIconContainer,t,s),this.setElementDir(this.m_bottomSelectIconContainer,t,s)):(i=this.getElementHeight(this.m_databody)/2+this.m_currentScrollTop,this.setElementDir(this.m_topSelectIconContainer,i,"top"),this.setElementDir(this.m_bottomSelectIconContainer,i,"top")))},i.prototype._getTouchSelectionAffordanceSize=function(){var e,t;return null==this.m_touchSelectionAffordanceSize&&((e=document.createElement("div")).className=this.getMappedStyle("toucharea"),e.style.visibilty="hidden",e.style.top="0px",e.style.visibilty="0px",this.m_root.appendChild(e),t=e.offsetWidth,this.m_root.removeChild(e),this.m_touchSelectionAffordanceSize=t),this.m_touchSelectionAffordanceSize},i.SORT_ANIMATION_DURATION=800,i.prototype._handleSortMouseOver=function(e){var t,i;this._databodyEmpty()||(t=e.target,(i=this.findHeader(t))&&this._showOrHideSortIcon(i,!1),(this.m_utils.containsCSSClassName(t,this.getMappedStyle("sortascending"))||this.m_utils.containsCSSClassName(t,this.getMappedStyle("sortdescending")))&&this.m_utils.addCSSClassName(t,this.getMappedStyle("hover")))},i.prototype._handleSortMouseOut=function(e){var t,i,s;this._databodyEmpty()||(i=e.target,s=e.relatedTarget,null!=(t=this.findHeader(i))&&null!=s&&t===this.findHeader(s)||this._showOrHideSortIcon(t,!0),(this.m_utils.containsCSSClassName(i,this.getMappedStyle("sortascending"))||this.m_utils.containsCSSClassName(i,this.getMappedStyle("sortdescending")))&&(this.m_utils.removeCSSClassName(i,this.getMappedStyle("hover")),this.m_utils.removeCSSClassName(i,this.getMappedStyle("selected"))))},i.prototype._handleSortIconMouseDown=function(e){this._databodyEmpty()||this.m_utils.addCSSClassName(e,this.getMappedStyle("selected"))},i.prototype._toggleSortIconDirection=function(e,t){var i;null!=e&&(i=this._getSortIcon(e),"descending"===t&&this.m_utils.containsCSSClassName(i,this.getMappedStyle("sortascending"))?(this.m_utils.removeCSSClassName(i,this.getMappedStyle("sortascending")),this.m_utils.addCSSClassName(i,this.getMappedStyle("sortdescending"))):"ascending"===t&&this.m_utils.containsCSSClassName(i,this.getMappedStyle("sortdescending"))&&(this.m_utils.removeCSSClassName(i,this.getMappedStyle("sortdescending")),this.m_utils.addCSSClassName(i,this.getMappedStyle("sortascending"))))},i.prototype._showOrHideSortIcon=function(e,t){var i,s=!1;null!=e&&(i=this._getSortIcon(e),null!=this.m_sortInfo&&(s=this.m_sortInfo.key===this._getKey(e)),!1!==t||s?!0!==t||s||(this.m_utils.removeCSSClassName(i,this.getMappedStyle("default")),this.m_utils.addCSSClassName(i,this.getMappedStyle("disabled"))):(this.m_utils.removeCSSClassName(i,this.getMappedStyle("disabled")),this.m_utils.addCSSClassName(i,this.getMappedStyle("default"))))},i.prototype._buildSortIcon=function(e){var t,i,s,o,n;return(n=document.createElement("div")).className=this.getMappedStyle("sortcontainer"),t=document.createElement("div"),i=this.getMappedStyle("icon")+" "+this.getMappedStyle("clickableicon"),s=null!=this.m_sortInfo?this.m_sortInfo.key:null,e.key===s?"ascending"===(o=null!=this.m_sortInfo?this.m_sortInfo.direction:null)?t.className=this.getMappedStyle("sortascending")+" "+i+" "+this.getMappedStyle("default"):"descending"===o&&(t.className=this.getMappedStyle("sortdescending")+" "+i+" "+this.getMappedStyle("default")):(i+=" "+this.getMappedStyle("disabled"),t.className=this.getMappedStyle("sortascending")+" "+i),n.appendChild(t),n},i.prototype._handleKeyboardSort=function(e,t){if(!this._databodyEmpty()){var i=e.getAttribute(this.getResources().getMappedAttribute("sortDir"));i=null==i||"descending"===i?"ascending":"descending",this._doHeaderSort(t,e,i)}},i.prototype._handleHeaderSort=function(e,t){var i,s;this._databodyEmpty()||(i=e.target,null!=(s=this.findHeader(i))&&(null==t&&(t=null!=this.m_sortInfo&&this.m_sortInfo.key===this._getKey(s)&&"ascending"===this.m_sortInfo.direction?"descending":"ascending"),this._doHeaderSort(e,s,t)))},i.prototype._handleCellSort=function(e,t,i){e.target,null==i||this._databodyEmpty()||(this._removeTouchSelectionAffordance(),this._doHeaderSort(e,i,t))},i.prototype._doHeaderSort=function(e,t,i){var s,o,n;1!=this.m_isSorting?(this.m_delayedSort=null,s=this._getKey(t),o=this._getAxis(t),this._removeSortSelection(),t.setAttribute(this.getResources().getMappedAttribute("sortDir"),i),this.m_sortInfo={event:e,key:s,axis:o,direction:i},this._toggleSortIconDirection(t,i),this._addSortSelection(),null!=i&&null!=s&&null!=o&&(this.m_isSorting=!0,this.showStatusText(),n={axis:o,key:s,direction:i},this.getDataSource().sort(n,{success:this._handleSortSuccess.bind(this),error:this._handleSortError.bind(this)})),this._setAccInfoText("ascending"===i?"accessibleSortAscending":"accessibleSortDescending",{id:s})):this.m_delayedSort={event:e,header:t,direction:i}},i.prototype._handleSortError=function(){this.hideStatusText()},i.prototype._removeSortSelection=function(){var e,t;null!=this.m_sortInfo&&((e=this._findHeaderByKey(this.m_sortInfo.key,this.m_colHeader,this.getMappedStyle("colheadercell"))).removeAttribute(this.getResources().getMappedAttribute("sortDir")),t=this._getSortIcon(e),this._toggleSortIconDirection(e,"ascending"),"descending"===this.m_sortInfo.direction&&(this.m_utils.removeCSSClassName(t,this.getMappedStyle("sortdescending")),this.m_utils.addCSSClassName(t,this.getMappedStyle("sortascending"))),this.m_utils.addCSSClassName(t,this.getMappedStyle("disabled")),this.m_utils.removeCSSClassName(t,this.getMappedStyle("default")),this.m_utils.removeCSSClassName(this._getSortContainer(e),this.getMappedStyle("enabled")))},i.prototype._addSortSelection=function(){var e,t;null!=this.m_sortInfo&&(e=this._findHeaderByKey(this.m_sortInfo.key,this.m_colHeader,this.getMappedStyle("colheadercell")),t=this._getSortIcon(e),this.m_utils.addCSSClassName(t,this.getMappedStyle("default")),this.m_utils.removeCSSClassName(t,this.getMappedStyle("disabled")),this.m_utils.removeCSSClassName(t,this.getMappedStyle("selected")),this.m_utils.addCSSClassName(this._getSortContainer(e),this.getMappedStyle("enabled")))},i.prototype._getAxis=function(e){var t,i;return t=this.getMappedStyle("colheadercell"),i=this.getMappedStyle("rowheadercell"),this.m_utils.containsCSSClassName(e,t)?"column":this.m_utils.containsCSSClassName(e,i)?"row":null},i.prototype._handleSortSuccess=function(){this.hideStatusText(),this._isDatabodyCellActive()?this._indexes({row:this.m_active.keys.row,column:this.m_active.keys.column},this._handlePreSortScrolling):this._fetchForSort(this.m_startRow,this.m_endRow-this.m_startRow+1,!1)},i.prototype._handlePreSortScrolling=function(e){var t,i,s,o,n;s=(i=(-1===e.row?0:e.row)*this.m_avgRowHeight)+this.m_avgRowHeight,n=this._isHighWatermarkScrolling(),this._isInViewport(e),this.m_currentScrollTop<=i&&s<=this.m_currentScrollTop+this.getElementHeight(this.m_databody)||n?this._fetchForSort(this.m_startRow,this.m_endRow-this.m_startRow+1,!1):(this.m_currentScrollTop=Math.min(i,this._getMaxScrollHeight()),o=(t=Math.floor(this.m_currentScrollTop/this.m_avgRowHeight))*this.m_avgRowHeight,this.m_startRow=t,this.m_endRow=-1,this.m_startRowHeader=t,this.m_endRowHeader=-1,this.m_startRowPixel=o,this.m_endRowPixel=o,this.m_startRowHeaderPixel=o,this.m_endRowHeaderPixel=o,this._fetchForSort(t,null,!0))},i.prototype._fetchForSort=function(e,t,i){var s=document.createDocumentFragment(),o=document.createDocumentFragment();this.fetchHeaders("row",e,s,o,t,{success:this.handleHeadersFetchSuccessForSort.bind(this),error:this.handleCellsFetchError}),this.fetchCells(this.m_databody,e,this.m_startCol,t,this.m_endCol-this.m_startCol+1,{success:this.handleCellsFetchSuccessForSort.bind(this,s,o,i),error:this.handleCellsFetchError})},i.prototype.handleHeadersFetchSuccessForSort=function(e,t,i,s){var o,n,r,l,h,a,d,m,c,u,_;if(o=t.axis,r=t.start,n=t.header,_=t.endHeader,this.m_fetching[o]=!1,null!=e){for(l=e.getCount(),d=0,h=0,c=this.getMappedStyle("headercell")+" "+this.getMappedStyle("rowheadercell"),u=this.m_options.getRenderer("row");l-h>0;)a=r+h,h+=(m=this.buildLevelHeaders(n,a,0,0,this.m_startRowPixel+d,!0,s,u,e,"row",c,this.m_rowHeaderLevelCount)).count,d+=m.totalHeaderDimension;this.m_endRowHeader=this.m_startRowHeader+l-1,this.m_endRowHeaderPixel=this.m_startRowHeaderPixel+d}if(null!=i){for(l=i.getCount(),d=0,h=0,c=this.getMappedStyle("endheadercell")+" "+this.getMappedStyle("rowendheadercell"),u=this.m_options.getRenderer("rowEnd");l-h>0;)a=r+h,h+=(m=this.buildLevelHeaders(_,a,0,0,this.m_startRowPixel+d,!0,s,u,i,"rowEnd",c,this.m_rowEndHeaderLevelCount)).count,d+=m.totalHeaderDimension;this.m_endRowEndHeader=this.m_startRowEndHeader+l-1,this.m_endRowEndHeaderPixel=this.m_startRowEndHeaderPixel+d}this._signalTaskEnd()},i.prototype.handleCellsFetchSuccessForSort=function(e,t,s,o,n){var r,l,h,a,d,m,c,u,_,p;this.m_fetching.cells=!1,u=i.SORT_ANIMATION_DURATION,this.isFetchComplete()&&this.hideStatusText(),r=n[0].start,l=o.getCount("row"),h=n[1].start,o.getCount("column"),a=document.createDocumentFragment(),_=this._addCellsToFragment(a,o,r,this.m_startRowPixel,h,this.m_startColPixel),this.m_endRow=this.m_startRow+l-1,this.m_endRowPixel=this.m_startRowPixel+_.totalRowHeight,d=this.m_databody.firstChild,m=this.m_rowHeader.firstChild,c=this.m_rowEndHeader.firstChild,1==s&&(p=this._isHighWatermarkScrolling(),this.m_utils.isTouchDevice()?(this._disableTouchScrollAnimation(),this.scrollTo(this.m_currentScrollLeft,this.m_currentScrollTop)):(this.m_silentScroll=!0,this.m_databody.scrollTop=this.m_currentScrollTop,this._syncScroller())),!u||0==u||!this.m_utils.supportsTransitions()||1===l||this.m_rowHeaderLevelCount>1&&null!=this.m_rowHeaderLevelCount||!1===p?(this._signalTaskStart(),this._handleSortEnd(a,e,t)):this.processSortAnimationToPosition(u,0,"ease-in",m,e,d,a,c,t),this._signalTaskEnd()},i.prototype._handleSortEnd=function(e,t,i){var s,o;t.childNodes.length>1&&(s=this.m_rowHeader.firstChild,this.m_utils.empty(s),s.appendChild(t)),i.childNodes.length>1&&(s=this.m_rowEndHeader.firstChild,this.m_utils.empty(s),s.appendChild(i)),o=this.m_databody.firstChild,this._emptyDatabody(o),this._populateDatabody(o,e),this._fireSortEvent(),this._restoreActive(),this.m_isSorting=!1,this._doDelayedSort(),this.m_animating=!1,this._signalTaskEnd(),this._runModelEventQueue()},i.prototype.processSortAnimationToPosition=function(e,t,i,s,o,n,r,l,h){var a,d,m,c,u,_,p,g,C,y,f,E,S,v,w,H,x,b,R,M,I;for(a=this,this._signalTaskStart(),[],[],[],g=o.childNodes.length>1,v=h.childNodes.length>1,f=this.getResources().isRTLMode()?"right":"left",this._getViewportTop(),E=this._getViewportBottom(),M=this._getViewportLeft(),I=this._getViewportRight(),m={},R={},_=0;_<n.childNodes.length;_++)p=n.childNodes[_],d=this._getKey(p,"row"),b=(x=this.getElementDir(p,f))+this.getElementWidth(p),C=(c=this.getElementDir(p,"top"))+this.getElementHeight(p),this._isCellBoundryInViewport(x,b,c,C)&&(m.hasOwnProperty(d)?m[d].cell.push(p):(u=E,m[d]={cell:[p],oldTop:c,newTop:u}),u-c!=0&&(S=p));for(_=0;_<s.childNodes.length;_++)g&&(p=s.childNodes[_],d=this._getKey(p,"row"),C=(c=this.getElementDir(p,"top"))+this.getElementHeight(p),this._isCellBoundryInViewport(M,I,c,C)&&(u=E,m.hasOwnProperty(d)||(m[d]={oldTop:c,newTop:u}),m[d].rowHeader=p));for(_=0;_<l.childNodes.length;_++)g&&(p=l.childNodes[_],d=this._getKey(p,"row"),C=(c=this.getElementDir(p,"top"))+this.getElementHeight(p),this._isCellBoundryInViewport(M,I,c,C)&&(u=E,m.hasOwnProperty(d)||(m[d]={oldTop:c,newTop:u}),m[d].rowEndHeader=p));for(_=0;_<r.childNodes.length;_++)p=r.childNodes[_],d=this._getKey(p,"row"),u=this.getElementDir(p,"top"),m.hasOwnProperty(d)?m[d].newTop=u:(c=E,y=u+this.getElementHeight(p),b=(x=this.getElementDir(p,f))+this.getElementWidth(p),this._isCellBoundryInViewport(x,b,u,y)&&((w=p.cloneNode(!0))[this.getResources().getMappedAttribute("context")]=p[this.getResources().getMappedAttribute("context")],this.setElementDir(w,c,"top"),n.appendChild(w),R.hasOwnProperty(d)?R[d].cell.push(w):R[d]={cell:[w],oldTop:c,newTop:u,add:!0},u-c!=0&&(S=w)));for(_=0;_<o.childNodes.length;_++)if(g){var A=o.childNodes[_];d=this._getKey(A,"row"),m.hasOwnProperty(d)||(y=(u=this.getElementDir(A,"top"))+this.getElementHeight(A),c=E,this._isCellBoundryInViewport(M,I,u,y)&&((H=A.cloneNode(!0))[this.getResources().getMappedAttribute("context")]=A[this.getResources().getMappedAttribute("context")],this.setElementDir(H,c,"top"),s.appendChild(H),R.hasOwnProperty(d)||(R[d]={oldTop:c,newTop:u,add:!0}),R[d].rowHeader=H))}for(_=0;_<r.childNodes.length;_++)if(v){var T=o.childNodes[_];d=this._getKey(T,"row"),m.hasOwnProperty(d)||(y=(u=this.getElementDir(T,"top"))+this.getElementHeight(T),c=E,this._isCellBoundryInViewport(M,-1,u,y)&&((H=T.cloneNode(!0))[this.getResources().getMappedAttribute("context")]=T[this.getResources().getMappedAttribute("context")],this.setElementDir(H,c,"top"),l.appendChild(H),R[d].rowEndHeader=H,R.hasOwnProperty(d)||(R[d]={oldTop:c,newTop:u,add:!0})))}if(null!=S){var D=this._handleSortEnd.bind(this,r,o,h);a._onTransitionEnd(S,D,e),this.m_animating=!0,setTimeout(function(){var s,o,n,r;for(var l in m){if(r=m[l],o=t+"ms",s=r.newTop-r.oldTop,r.cell)for(n=0;n<r.cell.length;n++)a.addTransformMoveStyle(r.cell[n],e/2+"ms",o,i,0,s,0);g&&r.rowHeader&&a.addTransformMoveStyle(r.rowHeader,e/2+"ms",o,i,0,s,0),v&&r.rowEndHeader&&a.addTransformMoveStyle(r.rowEndHeader,e/2+"ms",o,i,0,s,0)}for(var l in R){if(r=R[l],o=t*n+"ms",s=r.newTop-r.oldTop,r.cell)for(n=0;n<r.cell.length;n++)a.addTransformMoveStyle(r.cell[n],e/2+"ms",o,i,0,s,0);g&&r.rowHeader&&a.addTransformMoveStyle(r.rowHeader,e/2+"ms",o,i,0,s,0),v&&r.rowEndHeader&&a.addTransformMoveStyle(r.rowEndHeader,e/2+"ms",o,i,0,s,0)}},0)}else this._handleSortEnd(r,o,h)},i.prototype._restoreActive=function(){var e,t,i,s,o,n,r;if(null!=this.m_active)if(s=this.m_active.axis,r=this.m_sortInfo.originalEvent,"cell"==this.m_active.type)null!=(e=this._getCellByKeys(this.m_active.keys))?(i=this.getCellIndexes(e),this._isSelectionEnabled()?this.selectAndFocus(i,r):this._setActiveByIndex(i,r)):(this._setActive(null,null,r,!0),this._isSelectionEnabled()&&this._clearSelection(r));else if("row"==s||"rowEnd"==s)if(o="row"==s?this.m_rowHeader:this.m_rowEndHeader,n="row"==s?this.getMappedStyle("rowheadercell"):this.getMappedStyle("rowendheadercell"),null!=(t=this._findHeaderByKey(this.m_active.key,o,n))){var l=t[this.getResources().getMappedAttribute("context")];this._setActive(t,{type:"header",axis:s,index:l.index,key:l.key,level:l.level},r)}else this._setActive(null,null,r)},i.prototype.getSortIconSize=function(){var e,t;return null==this.m_sortIconSize&&((e=document.createElement("div")).className=this.getMappedStyle("sortascending")+" "+this.getMappedStyle("icon")+" "+this.getMappedStyle("clickableicon"),e.style.visibilty="hidden",e.style.top="0px",e.style.visibilty="0px",this.m_root.appendChild(e),t=e.offsetWidth,this.m_root.removeChild(e),this.m_sortIconSize=t),this.m_sortIconSize},i.prototype._getSortIcon=function(e){return e.lastChild.firstChild},i.prototype._getSortContainer=function(e){return e.lastChild},i.prototype._fireSortEvent=function(){var e={event:this.m_sortInfo.event,ui:{header:this.m_sortInfo.key,direction:this.m_sortInfo.direction}};this.fireEvent("sort",e)},i.prototype._doDelayedSort=function(){null!=this.m_delayedSort?this._doHeaderSort(this.m_delayedSort.event,this.m_delayedSort.header,this.m_delayedSort.direction):this.fillViewport()},i.RESIZE_OFFSET=5,i.RESIZE_TOUCH_OFFSET=8,i.prototype.handleResize=function(e){var t;!1===this.m_isResizing?(null==(t=this.find(e.target,"header"))&&(t=this.find(e.target,"endheader")),null==t||t!=this.m_rowHeader&&t!=this.m_colHeader&&t!=this.m_rowEndHeader&&t!=this.m_colEndHeader||(this.m_cursor=this.manageHeaderCursor(e),null!=this.m_resizingElement&&("default"==this.m_cursor?(this.m_resizingElement.style.cursor="",null!=this.m_resizingElementSibling&&(this.m_resizingElementSibling.style.cursor="")):(this.m_resizingElement.style.cursor=this.m_cursor,null!=this.m_resizingElementSibling&&(this.m_resizingElementSibling.style.cursor=this.m_cursor))))):this.handleResizeMouseMove(e)},i.prototype.handleResizeMouseDown=function(e){return("col-resize"===this.m_cursor||"row-resize"===this.m_cursor)&&(this.m_isResizing=!0,this.m_utils.isTouchDevice()?(this.m_lastMouseX=e.touches[0].pageX,this.m_lastMouseY=e.touches[0].pageY):(document.addEventListener("mousemove",this.m_docMouseMoveListener,!1),document.addEventListener("mouseup",this.m_docMouseUpListener,!1),this.m_lastMouseX=e.pageX,this.m_lastMouseY=e.pageY),this.m_overResizeLeft=0,this.m_overResizeMinLeft=0,this.m_overResizeTop=0,this.m_overResizeMinTop=0,this.m_overResizeRight=0,this.m_overResizeBottom=0,this.m_orginalResizeDimensions={width:this.getElementWidth(this.m_resizingElement),height:this.getElementHeight(this.m_resizingElement)},!0)},i.prototype.handleResizeMouseUp=function(e){var t,i,s,o;!0===this.m_isResizing&&(o=this.getElementWidth(this.m_resizingElement),s=this.getElementHeight(this.m_resizingElement),o==this.m_orginalResizeDimensions.width&&s==this.m_orginalResizeDimensions.height||(t="col-resize"===this.m_cursor?this.m_resizingElement.style.width:this.m_resizingElement.style.height,i={event:e,ui:{header:this._getKey(this.m_resizingElement),oldDimensions:{width:this.m_orginalResizeDimensions.width,height:this.m_orginalResizeDimensions.height},newDimensions:{width:this.getElementWidth(this.m_resizingElement),height:this.getElementHeight(this.m_resizingElement)},size:t}},this.fireEvent("resize",i)),this.m_isResizing=!1,this.m_cursor="default",this.m_resizingElement.style.cursor="",null!=this.m_resizingElementSibling&&(this.m_resizingElementSibling.style.cursor=""),this.m_resizingElement=null,this.m_resizingElementMin=null,this.m_resizingElementSibling=null,this.m_orginalResizeDimensions=null,document.removeEventListener("mousemove",this.m_docMouseMoveListener,!1),document.removeEventListener("mouseup",this.m_docMouseUpListener,!1))},i.prototype._isDOMElementResizable=function(e){return null!=e&&"true"===e.getAttribute(this.getResources().getMappedAttribute("resizable"))},i.prototype.manageHeaderCursor=function(e){var t,s,o,n,r,l,h,a,d,m,c,u,_,p,g,C,y,f,E=e.target;if((E=this.find(e.target,"headercell"))||(E=this.find(e.target,"endheadercell")),!E)return"default";if(t=this.getHeaderCellAxis(E),m=this.getHeaderCellIndex(E),c=this.getHeaderCellLevel(E),"column"===t?(h="enable"===this.m_options.isResizable(t,"height"),l=this._isDOMElementResizable(E),u=this._getHeaderByIndex(m-1,c,this.m_colHeader,this.m_columnHeaderLevelCount,this.m_startColHeader),a=this._isDOMElementResizable(u),_=this._getHeaderByIndex(m,c-1,this.m_colHeader,this.m_columnHeaderLevelCount,this.m_startColHeader)):"row"===t?(l="enable"===this.m_options.isResizable(t,"width"),h=this._isDOMElementResizable(E),u=this._getHeaderByIndex(m-1,c,this.m_rowHeader,this.m_rowHeaderLevelCount,this.m_startRowHeader),a=this._isDOMElementResizable(u),_=this._getHeaderByIndex(m,c-1,this.m_rowHeader,this.m_rowHeaderLevelCount,this.m_startRowHeader)):"columnEnd"===t?(h="enable"===this.m_options.isResizable(t).height,l=this._isDOMElementResizable(E),u=this._getHeaderByIndex(m-1,c,this.m_colEndHeader,this.m_columnEndHeaderLevelCount,this.m_startColEndHeader),a=this._isDOMElementResizable(u),_=this._getHeaderByIndex(m,c-1,this.m_colEndHeader,this.m_columnEndHeaderLevelCount,this.m_startColEndHeader)):"rowEnd"===t&&(l="enable"===this.m_options.isResizable(t).width,h=this._isDOMElementResizable(E),u=this._getHeaderByIndex(m-1,c,this.m_rowEndHeader,this.m_rowEndHeaderLevelCount,this.m_startRowEndHeader),a=this._isDOMElementResizable(u),_=this._getHeaderByIndex(m,c-1,this.m_rowEndHeader,this.m_rowEndHeaderLevelCount,this.m_startRowEndHeader)),this.m_utils.isTouchDevice()?(o=e.touches[0].pageX,n=e.touches[0].pageY,r=i.RESIZE_TOUCH_OFFSET):(o=e.pageX,n=e.pageY,r=i.RESIZE_OFFSET),s=this.getHeaderEdgePixels(E),d=this.getResources().isRTLMode(),f="columnEnd"===t||"rowEnd"===t,p=o<s[0]+r,C=n<s[1]+r,g=o>s[2]-r,y=n>s[3]-r,"column"===t||"columnEnd"===t){if(l&&(d?p:g))return this.m_resizingElement=E,"col-resize";if(a&&(d?g:p)){if(this.m_resizingElement=u,this.m_resizingElementSibling=E,null!==this.m_resizingElement)return"col-resize"}else if(h){if(!f&&y||f&&C)return this.m_resizingElement=E,"row-resize";if(!f&&C||f&&y)return this.m_resizingElement=_,this.m_resizingElementSibling=E,"row-resize"}}else if("row"===t||"rowEnd"===t){if(h&&y)return this.m_resizingElement=E,"row-resize";if(a&&C&&(this.m_resizingElement=u,this.m_resizingElementSibling=E,null!==this.m_resizingElement))return"row-resize";if(l){if(!f&&(d?p:g)||f&&(d?g:p))return this.m_resizingElement=E,"col-resize";if((!f&&(d?g:p)||f&&(d?p:g))&&(this.m_resizingElement=_,this.m_resizingElementSibling=E,null!==this.m_resizingElement))return"col-resize"}}return"default"},i.prototype.handleResizeMouseMove=function(e){var t,i,s,o,n,r;this.m_currentMouseX=e.pageX,this.m_currentMouseY=e.pageY,this.m_utils.isTouchDevice()?(this.m_currentMouseX=e.touches[0].pageX,this.m_currentMouseY=e.touches[0].pageY):(this.m_currentMouseX=e.pageX,this.m_currentMouseY=e.pageY),t=this.m_utils.containsCSSClassName(this.m_resizingElement,this.getMappedStyle("colheadercell"))||this.m_utils.containsCSSClassName(this.m_resizingElement,this.getMappedStyle("colendheadercell"))?"column":"row",r=this.m_utils.containsCSSClassName(this.m_resizingElement,this.getMappedStyle("endheadercell")),"col-resize"===this.m_cursor?"column"===t?(i=this.calculateColumnHeaderWidth(this.m_resizingElement),s=this.getNewElementWidth("column",i,r),this.resizeColWidth(i,s)):"row"===t&&(i=this.getElementWidth(this.m_resizingElement),s=this.getNewElementWidth("row",i,r),this.resizeRowWidth(s,s-i,r)):"row-resize"===this.m_cursor&&("row"===t?(o=this.calculateRowHeaderHeight(this.m_resizingElement),n=this.getNewElementHeight("row",o,r),this.resizeRowHeight(o,n)):"column"===t&&(o=this.getElementHeight(this.m_resizingElement),n=this.getNewElementHeight("column",o,r),this.resizeColHeight(n,n-o,r))),this.buildCorners(),this.m_utils.isTouchDevice()&&this._moveTouchSelectionAffordance(),this.m_lastMouseX=this.m_currentMouseX,this.m_lastMouseY=this.m_currentMouseY},i.prototype.resizeColWidth=function(e,t){var i,s;0!=(i=t-e)&&(null!=this.m_databody.firstChild&&(s=this.getElementWidth(this.m_databody.firstChild)+i,this.setElementWidth(this.m_databody.firstChild,s)),this.resizeColumnWidthAndShift(i),this.m_endColPixel+=i,this.m_endColHeaderPixel+=i,this.m_endColEndHeaderPixel+=i,this.m_avgColWidth=s/this.getDataSource().getCount("column"),this.manageResizeScrollbars())},i.prototype.resizeRowHeight=function(e,t){var i,s;0!=(i=t-e)&&(null!=this.m_databody.firstChild&&(s=this.getElementHeight(this.m_databody.firstChild)+i,this.setElementHeight(this.m_databody.firstChild,s)),this.resizeRowHeightAndShift(i),this.m_endRowPixel+=i,this.m_endRowHeaderPixel+=i,this.m_endRowEndHeaderPixel+=i,this.m_avgRowHeight=s/this.getDataSource().getCount("row"),this.manageResizeScrollbars())},i.prototype.resizeColHeight=function(e,t,i){if(0!=t){var s=this.getHeaderCellLevel(this.m_resizingElement)+this.getHeaderCellDepth(this.m_resizingElement)-1;i?this.m_columnEndHeaderLevelHeights[s]+=t:this.m_columnHeaderLevelHeights[s]+=t,this.resizeColumnHeightsAndShift(t,s,i),i?(this.m_colEndHeaderHeight+=t,this.setElementHeight(this.m_colEndHeader,this.m_colEndHeaderHeight)):(this.m_colHeaderHeight+=t,this.setElementHeight(this.m_colHeader,this.m_colHeaderHeight)),this.manageResizeScrollbars()}},i.prototype.resizeRowWidth=function(e,t,i){var s;0!=t&&(s=this.getHeaderCellLevel(this.m_resizingElement)+this.getHeaderCellDepth(this.m_resizingElement)-1,i?this.m_rowEndHeaderLevelWidths[s]+=t:this.m_rowHeaderLevelWidths[s]+=t,this.resizeRowWidthsAndShift(t,s,i),i?(this.m_rowEndHeaderWidth+=t,this.setElementWidth(this.m_rowEndHeader,this.m_rowEndHeaderWidth)):(this.m_rowHeaderWidth+=t,this.setElementWidth(this.m_rowHeader,this.m_rowHeaderWidth)),this.manageResizeScrollbars())},i.prototype.getNewElementWidth=function(e,t,i,s){var o,n,r;return o=this._getMinValue("width",e),this.getElementWidth(this.m_databody),null==s&&(s=this.getResources().isRTLMode()?this.m_lastMouseX-this.m_currentMouseX:this.m_currentMouseX-this.m_lastMouseX),i&&"row"==e&&(s*=-1),n=t+s+this.m_overResizeLeft+this.m_overResizeMinLeft+this.m_overResizeRight,r=Math.round(this.getWidth()/2),n<o?(this.m_overResizeMinLeft+=s-o+t,n=o):(this.m_overResizeMinLeft=0,this.m_overResizeLeft=0),"row"===e&&(n>r?(this.m_overResizeRight+=s-r+t,n=r):this.m_overResizeRight=0),n},i.prototype.getNewElementHeight=function(e,t,i,s){var o,n,r;return o=this._getMinValue("height",e),this.getElementHeight(this.m_databody),null==s&&(s=this.m_currentMouseY-this.m_lastMouseY),i&&"column"==e&&(s*=-1),n=t+s+this.m_overResizeTop+this.m_overResizeMinTop+this.m_overResizeBottom,r=Math.round(this.getHeight()/2),n<o?(this.m_overResizeMinTop+=s-o+t,n=o):(this.m_overResizeMinTop=0,this.m_overResizeTop=0),"column"===e&&(n>r?(this.m_overResizeBottom+=s-r+t,n=r):this.m_overResizeBottom=0),n},i.prototype._getMinValue=function(e,t){var s,o,n,r,l,h,a,d,m,c;return n=this.m_resizingElement,o=this.getHeaderCellLevel(n),m=this.getHeaderCellDepth(n),c=this._getCellPaddingBorder(e,n),r=Math.max(this.m_utils.isTouchDevice()?2*i.RESIZE_TOUCH_OFFSET:2*i.RESIZE_OFFSET,c),"column"===t&&(1===this.m_columnHeaderLevelCount||"width"===e&&this.m_columnHeaderLevelCount===o+1||"height"===e&&1===m)||"row"===t&&(1===this.m_rowHeaderLevelCount||"height"===e&&this.m_rowHeaderLevelCount===o+1||"width"===e&&1===m)?r:(s=this.getHeaderCellIndex(n),l=this._getAttribute(this.m_resizingElement.parentNode,"extent",!0),h=this.getElementDir(n,e),"column"===t?"width"===e?(a=this._getHeaderByIndex(s+l-1,this.m_columnHeaderLevelCount-1,this.m_colHeader,this.m_columnHeaderLevelCount,this.m_startColHeader),d=this.getElementDir(a,e)):d=this._getColumnHeaderLevelHeight(o+m-1,n):"row"===t&&("height"===e?(a=this._getHeaderByIndex(s+l-1,this.m_rowHeaderLevelCount-1,this.m_rowHeader,this.m_rowHeaderLevelCount,this.m_startRowHeader),d=this.getElementDir(a,e)):d=this._getHeaderLevelDimension(o+m-1,n,this.m_rowHeaderLevelWidths,"width",1)),h-(d-r))},i.prototype._getCellPaddingBorder=function(e,t){var i,s,o,n;if(null==this.m_resizingElementMin){for(i=["top","right","bottom","left"],s="width"===e?1:0,o=0,n=window.getComputedStyle(t);s<4;s+=2)o+=parseFloat(n.getPropertyValue("padding-"+i[s])),o+=parseFloat(n.getPropertyValue("border-"+i[s]+"-width"));this.m_resizingElementMin=Math.round(o)}return this.m_resizingElementMin},i.prototype.manageResizeScrollbars=function(){var e,t,i,s,o,n,r,l,h,a,d,m,c,u,_,p,g,C,y,f,E,S,v,w,H,x,b,R=0,M=0;if(e=this.getWidth(),t=this.getHeight(),i=this.m_colHeader,f=this.m_colEndHeader,s=this.m_rowHeader,E=this.m_rowEndHeader,w=(o=this.m_databody).firstChild,S=t-(n=this.getColumnHeaderHeight())-this.getColumnEndHeaderHeight(),v=e-(l=this.getRowHeaderWidth())-this.getRowEndHeaderWidth(),p=this.m_utils.getScrollbarSize(),g=this.getResources().isRTLMode()?"right":"left",this._databodyEmpty()&&(null==this.m_empty?(H=this._buildEmptyText(),this.m_root.appendChild(H)):H=this.m_empty,b=this.getElementHeight(H),x=this.getElementWidth(H),b>this.getElementHeight(w)&&this.setElementHeight(w,b),x>this.getElementWidth(w)&&this.setElementWidth(w,x)),a=this.getElementWidth(o.firstChild),m=this.getElementHeight(o.firstChild),(u=this.isDatabodyHorizontalScrollbarRequired(v))?(_=this.isDatabodyVerticalScrollbarRequired(S-p),o.style.overflow="auto"):(_=this.isDatabodyVerticalScrollbarRequired(S))?(u=this.isDatabodyHorizontalScrollbarRequired(v-p),o.style.overflow="auto"):o.style.overflow="hidden",this.m_hasHorizontalScroller=u,this.m_hasVerticalScroller=_,-1!=this.m_endColEndHeader?(c=Math.min(m+(u?p:0),S),h=u?c-p:c):(c=S,h=Math.min(m,u?c-p:c)),-1!=this.m_endRowEndHeader?(d=Math.min(a+(_?p:0),v),r=_?d-p:d):(d=v,r=Math.min(a,_?d-p:d)),C=l+r+(_?p:0),y=n+h+(u?p:0),this.setElementDir(s,0,g),this.setElementDir(s,n,"top"),this.setElementHeight(s,h),this.setElementDir(E,C,g),this.setElementDir(E,n,"top"),this.setElementHeight(E,h),this.setElementDir(i,l,g),this.setElementWidth(i,r),this.setElementDir(f,l,g),this.setElementDir(f,y,"top"),this.setElementWidth(f,r),this.setElementDir(o,n,"top"),this.setElementDir(o,l,g),this.setElementWidth(o,d),this.setElementHeight(o,c),this.m_scrollWidth=a-r,this.m_scrollHeight=m-h,this.buildCorners(),this._adjustHeaderBorders(),this.m_utils.isTouchDevice()&&(this.m_currentScrollLeft>this.m_scrollWidth&&(R=this.m_scrollWidth-this.m_currentScrollLeft),this.m_currentScrollTop>this.m_scrollHeight&&(M=this.m_scrollHeight-this.m_currentScrollTop),0!=R||0!=M)){this._disableTouchScrollAnimation();var I=this.adjustTouchScroll(R,M);R=I[0],M=I[1],this.scrollDelta(R,M)}},i.prototype.resizeColumnWidthAndShift=function(e){var t,i,s,o;t=this.getResources().isRTLMode()?"right":"left",s=this.m_colHeader.style.display,o=this.m_colEndHeader.style.display,this.m_databody.style.display="none",this.m_colHeader.style.display="none",this.m_colEndHeader.style.display="none",i=this.getHeaderCellIndex(this.m_resizingElement),this.m_columnHeaderLevelCount>1&&this.m_resizingElement===this.m_resizingElement.parentNode.firstChild&&null!=this.m_resizingElement.nextSibling&&(i+=this._getAttribute(this.m_resizingElement.parentNode,"extent",!0)-1),this._shiftHeadersAlongAxisInContainer(this.m_colHeader.firstChild,i,e,t,this.getMappedStyle("colheadercell"),"column"),this._shiftHeadersAlongAxisInContainer(this.m_colEndHeader.firstChild,i,e,t,this.getMappedStyle("colendheadercell"),"column"),this._shiftCellsAlongAxis("column",e,i),this.m_databody.style.display="",this.m_colHeader.style.display=s,this.m_colEndHeader.style.display=o},i.prototype._shiftCellsAlongAxis=function(e,t,i,s){var o,n,r,l,h,a,d,m,c,u,_,p,g,C;if(o=[],null==s&&(s=!1),"row"==e?(n="height",p="top",r=this.m_endRow,l=this.m_startCol,h=this.m_endCol):(n="width",p=this.getResources().isRTLMode()?"right":"left",r=this.m_endCol,l=this.m_startRow,h=this.m_endRow),null!=this.m_databody.firstChild)for(g=l;g<=h;g++){a="row"===e?this.createIndex(i,g):this.createIndex(g,i);var y=i-(m=(d=this._getCellByIndex(a))[this.getResources().getMappedAttribute("context")]).indexes[e];u=(c=m.extents[e])-y,o[g]&&o[g][i]||!0===s||(this.setElementDir(d,this.getElementDir(d,n)+t,n),"row"==e?this._updateTempArray(o,!0,g,i,m.extents.column,c-y):this._updateTempArray(o,!0,g,i,m.extents.row,c-y));var f=i;for(!0!==s&&(f=i+u),C=f;C<=r;C++)o[g]&&o[g][C]||(a="row"===e?this.createIndex(C,g):this.createIndex(g,C),c=(m=(d=this._getCellByIndex(a))[this.getResources().getMappedAttribute("context")]).extents[e],_=this.getElementDir(d,p)+t,this.setElementDir(d,_,p),"row"==e?this._updateTempArray(o,!0,g,C,m.extents.column,c):this._updateTempArray(o,!0,g,C,m.extents.row,c))}},i.prototype.resizeRowHeightAndShift=function(e){var t,i,s;i=this.m_rowHeader.style.display,s=this.m_rowEndHeader.style.display,this.m_databody.style.display="none",this.m_rowHeader.style.display="none",this.m_rowEndHeader.style.display="none",t=this.getHeaderCellIndex(this.m_resizingElement),this.m_rowHeaderLevelCount>1&&this.m_resizingElement===this.m_resizingElement.parentNode.firstChild&&null!=this.m_resizingElement.nextSibling&&(t+=this._getAttribute(this.m_resizingElement.parentNode,"extent",!0)-1),this._shiftHeadersAlongAxisInContainer(this.m_rowHeader.firstChild,t,e,"top",this.getMappedStyle("rowheadercell"),"row"),this._shiftHeadersAlongAxisInContainer(this.m_rowEndHeader.firstChild,t,e,"top",this.getMappedStyle("rowendheadercell"),"row"),this._shiftCellsAlongAxis("row",e,t),this.m_databody.style.display="",this.m_rowHeader.style.display=i,this.m_rowEndHeader.style.display=s},i.prototype._shiftHeadersAlongAxisInContainer=function(e,t,i,s,o,n){var r,l,h,a,d,m,c,u,_=0;if(null!=(r=e.lastChild)){for((h=this.m_utils.containsCSSClassName(r,o))?(a=r.parentNode,l=r,d=this.getHeaderCellIndex(l)):(a=r,l=r.firstChild,d=this._getAttribute(a,"start",!0));t<d;)if(h)u=this.getElementDir(l,s)+i,this.setElementDir(l,u,s),r=r.previousSibling,h=this.m_utils.containsCSSClassName(r,o),a=r.parentNode,l=r,d=this.getHeaderCellIndex(l);else{for(m=a.getElementsByClassName(o),c=0;c<m.length;c++)u=this.getElementDir(m[c],s)+i,this.setElementDir(m[c],u,s);r=r.previousSibling,h=this.m_utils.containsCSSClassName(r,o),a=r,l=r.firstChild,d=this._getAttribute(a,"start",!0)}"column"==n?(_=this.getElementWidth(l)+i,this.setElementWidth(l,_)):"row"==n?(_=this.getElementHeight(l)+i,this.setElementHeight(l,_)):null==n&&(u=this.getElementDir(l,s)+i,this.setElementDir(l,u,s)),h||null==l.nextSibling?null!=n&&this.m_sizingManager.setSize(n,this._getKey(l),_):this._shiftHeadersAlongAxisInContainer(r,t,i,s,o,n)}},i.prototype.resizeColumnHeightsAndShift=function(e,t,i){var s,o,n,r;i?(s=this.m_colEndHeader,o=this.getMappedStyle("colendheadercell"),n="columnEnd",r="bottom"):(s=this.m_colHeader,o=this.getMappedStyle("colheadercell"),n="column",r="top"),s.style.display="none",this.m_databody.style.display="none",this._shiftHeadersDirInContainer(s.firstChild,e,t,r,o,n),s.style.display="",this.m_databody.style.display=""},i.prototype.resizeRowWidthsAndShift=function(e,t,i){var s,o,n,r;i?(s=this.m_rowEndHeader,o=this.getMappedStyle("rowendheadercell"),n="rowEnd",r=this.getResources().isRTLMode()?"left":"right"):(s=this.m_rowHeader,o=this.getMappedStyle("rowheadercell"),n="row",r=this.getResources().isRTLMode()?"right":"left"),s.style.display="none",this.m_databody.style.display="none",this._shiftHeadersDirInContainer(s.firstChild,e,t,r,o,n),s.style.display="",this.m_databody.style.display=""},i.prototype._shiftHeadersDirInContainer=function(e,t,i,s,o,n){var r,l,h,a,d,m,c,u;for(r=e.childNodes,l=0;l<r.length;l++)if(h=r[l],this.m_utils.containsCSSClassName(h,o))a=this.getHeaderCellLevel(h),u=this.getHeaderCellDepth(h),a<=i&&i<a+u?"column"===n||"columnEnd"===n?(m=this.getElementHeight(h)+t,this.setElementHeight(h,m)):(m=this.getElementWidth(h)+t,this.setElementWidth(h,m)):a>i&&(m=this.getElementDir(h,s)+t,this.setElementDir(h,m,s));else if((a=this._getAttribute(h,"level",!0))<=i)this._shiftHeadersDirInContainer(h,t,i,s,o,n);else for(d=h.getElementsByClassName(o),c=0;c<d.length;c++)m=this.getElementDir(d[c],s)+t,this.setElementDir(d[c],m,s)},i.prototype.handleContextMenuResize=function(e,t,i,s){var o,n,r,l,h,a,d,m,c;this.m_overResizeLeft=0,this.m_overResizeMinLeft=0,this.m_overResizeTop=0,this.m_overResizeMinTop=0,this.m_overResizeRight=0,this.m_overResizeBottom=0,m=(h=parseInt(i,10))-this.getElementWidth(s),c=h-this.getElementHeight(s),this.m_utils.containsCSSClassName(s,this.getMappedStyle("cell"))&&(s=t===this.m_resources.getMappedCommand("resizeHeight")?this.getHeaderFromCell(s,"row",!0):this.getHeaderFromCell(s,"column",!0)),this.m_resizingElement=s,o=this.getElementWidth(s),n=this.getElementHeight(s),d=this.m_utils.containsCSSClassName(this.m_resizingElement,this.getMappedStyle("endheadercell")),t===this.m_resources.getMappedCommand("resizeWidth")?o!==h&&(this.m_utils.containsCSSClassName(this.m_resizingElement,this.getMappedStyle("colheadercell"))||this.m_utils.containsCSSClassName(this.m_resizingElement,this.getMappedStyle("colendheadercell"))?this._isDOMElementResizable(this.m_resizingElement)&&this.resizeColWidth(o,this.getNewElementWidth("column",o,d,m)):this.resizeRowWidth(h,h-o,d)):t===this.m_resources.getMappedCommand("resizeHeight")&&n!==h&&(this.m_utils.containsCSSClassName(this.m_resizingElement,this.getMappedStyle("colheadercell"))||this.m_utils.containsCSSClassName(this.m_resizingElement,this.getMappedStyle("colendheadercell"))?this.resizeColHeight(h,h-n,d):this._isDOMElementResizable(this.m_resizingElement)&&this.resizeRowHeight(n,this.getNewElementHeight("row",n,d,c))),r=this.getElementWidth(s),l=this.getElementHeight(s),r==o&&l==n||(a={event:e,ui:{header:this._getKey(this.m_resizingElement),oldDimensions:{width:o,height:n},newDimensions:{width:r,height:l},size:h}},this.fireEvent("resize",a),this.buildCorners(),this.m_utils.isTouchDevice()&&this._moveTouchSelectionAffordance()),this.m_resizingElement=null,this.m_resizingElementMin=null},i.prototype.getHeaderEdgePixels=function(e){var t,i,s,o,n;return i=(t=this.findPos(e))[0],s=t[1],this.m_utils.containsCSSClassName(e,this.getMappedStyle("colheadercell"))?(o=this.calculateColumnHeaderWidth(e),n=this.getElementHeight(e)):(o=this.getElementWidth(e),n=this.calculateRowHeaderHeight(e)),[i,s,i+o,s+n]};var s=function(){this.sizes={column:new Map,row:new Map}};s.prototype.setSize=function(e,t,i){this.sizes[e].set(t,i)},s.prototype.getSize=function(t,i){var s=this.sizes[t].get(i);return null!=s?s:(this.sizes[t].forEach(function(t,o,n){null==s&&e.Object.compareValues(o,i)&&(s=t)}),s)},s.prototype.clear=function(){this.sizes.column.clear(),this.sizes.row.clear()};var o=function(e){this.scrollbarSize=-1,this.dataGrid=e;var t=navigator&&navigator.userAgent?navigator.userAgent.toLowerCase():null;this.os=this._determineOS(t),this.platform=this._determinePlatform(t)};o.IE_PLATFORM="ie",o.GECKO_PLATFORM="gecko",o.WEBKIT_PLATFORM="webkit",o.UNKNOWN_PLATFORM="unknown",o.EDGE_PLATFORM="edge",o.WINDOWS_OS="Windows",o.SOLARIS_OS="Solaris",o.MAC_OS="Mac",o.UNKNOWN_OS="Unknown",o.prototype._getMaxDivHeightForScrolling=function(){return null==this.m_maxDivHeightForScrolling&&this._setMaxValuesForScrolling(),this.m_maxDivHeightForScrolling},o.prototype._getMaxDivWidthForScrolling=function(){return null==this.m_maxDivWidthForScrolling&&this._setMaxValuesForScrolling(),this.m_maxDivWidthForScrolling},o.prototype._setMaxValuesForScrolling=function(){var e;if(this.platform===o.IE_PLATFORM||this.platform===o.EDGE_PLATFORM)return this.m_maxDivHeightForScrolling=1e6,void(this.m_maxDivWidthForScrolling=1e6);(e=document.createElement("div")).style.cssText="width:1000000000px;height:1000000000px;display:none;",document.body.appendChild(e),this.m_maxDivHeightForScrolling=parseInt(parseFloat(window.getComputedStyle(e).height)/2,10),this.m_maxDivWidthForScrolling=parseInt(parseFloat(window.getComputedStyle(e).width)/2,10),document.body.removeChild(e)},o.prototype.calculateScrollbarSize=function(){var e=document.createElement("div");e.style.cssText="width:100px;height:100px;overflow:scroll;position:absolute;top:-9999px;",document.body.appendChild(e),this.scrollbarSize=e.offsetWidth-e.clientWidth,document.body.removeChild(e)},o.prototype.getScrollbarSize=function(){return-1==this.scrollbarSize&&this.calculateScrollbarSize(),this.scrollbarSize},o.prototype.isTouchDevice=function(){if(null==this.isTouch){var e=navigator.userAgent.toLowerCase();-1!=e.indexOf("mobile")||-1!=e.indexOf("android")?this.isTouch=!0:this.isTouch=!1}return this.isTouch},o.prototype.addCSSClassName=function(e,t){var i,s,n;return i=!1,null!=t&&null!=e&&(s=e.className,-1==o._getCSSClassNameIndex(s,t)&&(n=s?t+" "+s:t,e.className=n,i=!0)),i},o.prototype.removeCSSClassName=function(e,t){var i,s,n,r,l,h,a;return i=!1,null!=t&&null!=e&&(s=e.className,-1!=(n=o._getCSSClassNameIndex(s,t))&&(r=n+t.length,l=0==n?null:s.substring(0,n),h=r==s.length?null:s.substring(r+1),a=null==l?null==h?"":h:null==h?l:l+h,e.className=a,i=!0)),i},o.prototype.containsCSSClassName=function(e,t){return null!=t&&null!=e&&-1!=o._getCSSClassNameIndex(e.className,t)},o._getCSSClassNameIndex=function(e,t){var i,s,o,n,r,l,h;if(!e||!e.indexOf)return-1;if(t===e)return 0;if(i=t.length,s=e.length,(o=e.indexOf(t))>=0){if(n=0==o||" "==e.charAt(o-1),l=(r=o+i)==s||" "==e.charAt(r),n&&l)return o;if((h=e.lastIndexOf(t))!=o)return n=e.charAt(h-1),l=(r=h+i)==s||" "==e.charAt(r),n&&l?h:e.indexOf(" "+t+" ")}return-1},o.prototype.ctrlEquivalent=function(e){return this.os===o.MAC_OS?e.metaKey:e.ctrlKey},o.prototype.getElementScrollLeft=function(e){var t,i;return this.dataGrid.getResources().isRTLMode()?this.platform==o.GECKO_PLATFORM||this.platform==o.IE_PLATFORM||this.platform==o.EDGE_PLATFORM?Math.abs(e.scrollLeft):(t=this.dataGrid.getScrollableWidth(),i=e.clientWidth,Math.max(0,t-i-e.scrollLeft)):e.scrollLeft},o.prototype.setElementScrollLeft=function(e,t){var i;this.dataGrid.getResources().isRTLMode()?this.platform===o.GECKO_PLATFORM?e.scrollLeft=-t:this.platform==o.IE_PLATFORM||this.platform==o.EDGE_PLATFORM?e.scrollLeft=t:(i=this.dataGrid.getScrollableWidth()-e.clientWidth-t,e.scrollLeft=i):e.scrollLeft=t},o.prototype._determineOS=function(e){if(e){if(-1!=e.indexOf("win"))return o.WINDOWS_OS;if(-1!=e.indexOf("mac"))return o.MAC_OS;if(-1!=e.indexOf("sunos"))return o.SOLARIS_OS}return o.UNKNOWN_OS},o.prototype._determinePlatform=function(e){if(e){if(-1!=e.indexOf("opera"))return o.UNKNOWN_PLATFORM;if(-1!=e.indexOf("trident")||-1!=e.indexOf("msie"))return o.IE_PLATFORM;if(-1!=e.indexOf("edge"))return o.EDGE_PLATFORM;if(-1!=e.indexOf("applewebkit")||-1!=e.indexOf("safari"))return o.WEBKIT_PLATFORM;if(-1!=e.indexOf("gecko/"))return o.GECKO_PLATFORM}return o.UNKNOWN_PLATFORM},o.prototype.getMousewheelEvent=function(){return"wheel"},o.prototype.getMousewheelScrollDelta=function(e){var t,i;return(t=e.deltaMode)==e.DOM_DELTA_PIXEL?i=-1:t!=e.DOM_DELTA_LINE&&t!=e.DOM_DELTA_PAGE||(i=-40),{deltaX:e.deltaX*i,deltaY:e.deltaY*i}},o.prototype.empty=function(e){for(;e.firstChild;)this.dataGrid._remove(e.firstChild)},o.prototype.supportsTransitions=function(){var e=(document.body||document.documentElement).style,t="transition";if(/MSIE \d/.test(navigator.userAgent)&&(null==document.documentMode||document.documentMode<11))return!1;if("string"==typeof e[t])return!0;var i=["Moz","webkit","Webkit","Khtml","O","ms"];t=t.charAt(0).toUpperCase()+t.substr(1);for(var s=0;s<i.length;s++)if("string"==typeof e[i[s]+t])return!0;return!1},o.prototype._isNodeEditableOrClickable=function(e,t){for(var i,s,o;null!=e&&e!=t;)if(i=e.nodeName,3!=e.nodeType){if(s=parseInt(e.getAttribute("tabIndex"),10),o=parseInt(e.getAttribute(this.dataGrid.getResources().getMappedAttribute("tabindex")),10),null!=s&&s>=0)return!(this.containsCSSClassName(e,this.dataGrid.getResources().getMappedStyle("cell"))||this.containsCSSClassName(e,this.dataGrid.getResources().getMappedStyle("headercell"))||this.containsCSSClassName(e,this.dataGrid.getResources().getMappedStyle("endheadercell")));if(i.match(/^INPUT|SELECT|OPTION|BUTTON|^A\b|TEXTAREA/)&&(-1!=s||-1!=o))return!0;e=e.parentNode}else e=e.parentNode;return!1},o.prototype.shouldOffsetOutline=function(){return this.os==o.MAC_OS&&this.platform==o.WEBKIT_PLATFORM};var n=function(e,t){this.options=e,this.rendererWrapperFunction=t};n.prototype.extract=function(e,t,i,s){var o,n,r;return null!=e?(o=this.options[e],null!=t&&null!=o?(n=o[t],null!=i&&null!=n?(r=n[i],null!=s&&null!=r?r[s]:r):n):o):null},n.prototype.evaluate=function(e,t){return"function"==typeof e?e.call(this,t):e},n.prototype.getRawProperty=function(e,t){var i,s,o;return"row"==t||"column"==t||"rowEnd"==t||"columnEnd"==t?(i="header",s=t,o=e):"cell"==t&&(i="cell",s=e),this.extract(i,s,o)},n.prototype.getProperty=function(e,t,i){return void 0===i?this.extract(e,t):this.evaluate(this.getRawProperty(e,t),i)},n.prototype.nullOrDefault=function(e,t){return null!=e?e:null!=t?t:null},n.prototype.getRowBandingInterval=function(){var e=this.getProperty("bandingInterval","row");return null!=e?e:0},n.prototype.getColumnBandingInterval=function(){var e=this.getProperty("bandingInterval","column");return null!=e?e:0},n.prototype.getEmptyText=function(){return this.getProperty("emptyText")},n.prototype.getHorizontalGridlines=function(){var e;return null!=(e=this.extract("gridlines","horizontal"))?e:"visible"},n.prototype.getVerticalGridlines=function(){var e;return null!=(e=this.extract("gridlines","vertical"))?e:"visible"},n.prototype.getScrollPosition=function(){var e=this.getProperty("scrollPosition");return null!=e?e:null},n.prototype.getSelectionCardinality=function(){var e,t;return null==(e=this.getProperty("selectionMode"))?"none":null!=(t=e[this.getSelectionMode()])?t:"none"},n.prototype.getSelectionMode=function(){var e,t;return null==(e=this.getProperty("selectionMode"))?"cell":null!=(t=e.row)&&"none"!=t?"row":"cell"},n.prototype.getSelection=function(){return this.getProperty("selection")},n.prototype.getCurrentCell=function(){return this.getProperty("currentCell")},n.prototype.getEditMode=function(){return this.getProperty("editMode")},n.prototype.isSortable=function(e,t){return this.nullOrDefault(this.getProperty("sortable",e,t),!1)},n.prototype.isResizable=function(e,t,i){var s=this.extract("header",e,"resizable",t);return null!=i?this.evaluate(s,i):s},n.prototype.isMoveable=function(e){return this.nullOrDefault(this.extract("dnd","reorder",e),!1)},n.prototype.getInlineStyle=function(e,t){return this.getProperty("style",e,t)},n.prototype.getStyleClass=function(e,t){return this.getProperty("className",e,t)},n.prototype.getRenderer=function(e){return this.rendererWrapperFunction?this.rendererWrapperFunction(this.getRawProperty("renderer",e)):this.getRawProperty("renderer",e)},n.prototype.getScrollPolicy=function(){var e=this.getProperty("scrollPolicy");return null==e&&(e="auto"),e},n.prototype.getScrollPolicyOptions=function(){return this.getProperty("scrollPolicyOptions")},e.__registerWidget("oj.ojDataGrid",t.oj.baseComponent,{widgetEventPrefix:"oj",options:{bandingInterval:{row:0,column:0},data:null,gridlines:{horizontal:"visible",vertical:"visible"},scrollPosition:{x:0,y:0},selectionMode:{cell:"none",row:"none"},dnd:{reorder:{row:"disable"}},scrollPolicy:"auto",scrollPolicyOptions:{maxRowCount:500,maxColumnCount:500},selection:[],currentCell:null,editMode:"none",header:{row:{className:null,renderer:null,resizable:{width:"disable",height:"disable"},sortable:"auto",style:null},column:{className:null,renderer:null,resizable:{width:"disable",height:"disable"},sortable:"auto",style:null},columnEnd:{className:null,renderer:null,resizable:{width:"disable",height:"disable"},style:null},rowEnd:{className:null,renderer:null,resizable:{width:"disable",height:"disable"},style:null}},cell:{className:null,renderer:null,style:null},resize:null,sort:null,ready:null,scroll:null,beforeCurrentCell:null,beforeEdit:null,beforeEditEnd:null},_ComponentCreate:function(){this._super(),this.root=this.element[0],this.rootId=this.root.getAttribute("id"),this.grid=new i(this.root),this.grid.setVisibility(i.VISIBILITY_STATE_RENDER),t(this.root).addClass("oj-datagrid oj-component"),t(this.root).attr(e.Components._OJ_CONTAINER_ATTR,this.widgetName),this.redrawSet={data:"all",header:["className","renderer","style","template"]}},_AfterCreate:function(){var i=this;this._unregisterResizeListener(this.root),this._removeAllChildren(),this._super(),this.resources=new e.DataGridResources(this._GetReadingDirection(),this._getTranslation.bind(i),e.ThemeUtils.parseJSONFromFontFamily("oj-datagrid-option-defaults")),this._setDataSource(),this._setSelection(),null!=this.datasource&&(this.grid.SetDataSource(this.datasource),this._addContextMenu(),this._isCreate=!0,this.grid._addDataSourceEventListeners()),this._checkSelectionMode(this.options),this.grid.SetOptions(this.options,this._WrapCustomElementRenderer.bind(i)),this.grid.SetResources(this.resources),this.grid.SetCreateContextCallback(this._modifyContext.bind(i)),this.grid.SetFixContextCallback(this._FixRendererContext.bind(i)),this.grid.SetRemoveCallback(this._remove.bind(i)),this.grid.SetUniqueIdCallback(this._uniqueId.bind(i)),this.grid.SetCompareValuesCallback(this._compareValues.bind(i)),this.grid.SetNotReadyCallback(this._NotReady.bind(i)),this.grid.SetMakeReadyCallback(this._MakeReady.bind(i)),this.grid.SetOptionCallback(this.option.bind(i)),this.grid.SetSubtreeAttachedCallback(e.Components.subtreeAttached),this.grid.SetContextCallback(e.Context.getContext),this._focusable({applyHighlight:!0,setupHandlers:function(e,s){i.grid.SetFocusableCallback.call(i.grid,function(i){return e(t(i))},function(e){return s(t(e))})}}),this._registerEventListeners(),this._possiblyRenderOrRefresh()},_SetupResources:function(){this._super(),null!=this.datasource&&(this._isCreate||this.grid._addDataSourceEventListeners(),this.grid._addDomEventListeners(),this._registerResizeListener(this.root)),this._isCreate=!1},_ReleaseResources:function(){this._super(),this.grid._removeDataSourceEventListeners(),this.grid._removeDomEventListeners(),this._unregisterResizeListener(this.root)},_registerEventListeners:function(){var e=this;this.grid.addListener("resize",function(t){e._trigger("resize",t.event,t.ui)}),this.grid.addListener("select",function(t){e.option("selection",t.ui.selection,{_context:{originalEvent:t.event,internalSet:!0},changed:!0})}),this.grid.addListener("currentCell",function(t){e.option("currentCell",t.ui,{_context:{originalEvent:t.event,internalSet:!0},changed:!0})}),this.grid.addListener("beforeCurrentCell",function(t){return e._trigger("beforeCurrentCell",t.event,t.ui)}),this.grid.addListener("sort",function(t){var i=e._trigger2("sort",t.event,t.ui);e.grid.SetSortOriginalEvent(i.event)}),this.grid.addListener("keydown",function(t){return e._trigger("keydown",t.event,t.ui)}),this.grid.addListener("ready",function(t){e._trigger("ready",null,{})}),this.grid.addListener("scroll",function(t){e._trigger("scroll",t.event,t.ui)}),this.grid.addListener("beforeEdit",function(t){return e._trigger("beforeEdit",t.event,t.ui)}),this.grid.addListener("beforeEditEnd",function(t){return e._trigger("beforeEditEnd",t.event,t.ui)})},refresh:function(){this._super(),this._ReleaseResources(),this._removeAllChildren(),this._defaultContextMenu&&(this.options.contextMenu=null,this._defaultContextMenu=null),this._setDataSource(),null!=this.datasource&&(e.FlattenedTreeDataGridDataSource&&this.datasource instanceof e.FlattenedTreeDataGridDataSource&&(this.datasource.Destroy(),this.datasource.Init()),this.grid.SetDataSource(this.datasource),this._addContextMenu()),this.grid.SetOptions(this.options,this._WrapCustomElementRenderer.bind(this)),this.grid.SetResources(this.resources),this._SetupResources(),this.grid.getVisibility()!=i.VISIBILITY_STATE_RENDER&&this.grid.setVisibility(i.VISIBILITY_STATE_REFRESH),this._possiblyRenderOrRefresh()},_destroy:function(){t(this.root).removeAttr(e.Components._OJ_CONTAINER_ATTR),null!=this.datasource&&this.datasource.Destroy&&this.datasource.Destroy(),this.grid.destroy(),this._unregisterResizeListener(this.root),t(this.root).empty(),this._MakeReady()},_setOptions:function(e,t){var i;this.datasource?(i=this._handleOptionUpdate(e,t),this._super(e,t),"refresh"==i?this.refresh():"pass"==i&&this.grid.UpdateOptions(e,t)):(this._super(e,t),null!=e.data&&this.refresh())},_checkSelectionMode:function(e){var t=e.selectionMode;if(t&&t.row&&t.cell&&"none"!=t.row&&"none"!=t.cell)throw new Error("JET DataGrid does not support selectionMode on cell and row simultaneously.")},_NotifyShown:function(){this._super(),this._possiblyRenderOrRefresh()},_NotifyHidden:function(){this._super(),this.grid.getVisibility()===i.VISIBILITY_STATE_VISIBLE&&this.grid.setVisibility(i.VISIBILITY_STATE_HIDDEN)},_NotifyAttached:function(){this._super(),this._possiblyRenderOrRefresh()},_NotifyDetached:function(){this._super(),this.grid.getVisibility()===i.VISIBILITY_STATE_VISIBLE&&this.grid.setVisibility(i.VISIBILITY_STATE_HIDDEN)},_handleOptionUpdate:function(e,t){var i,s,o,n="ignore";for(i in e)switch(i){case"bandingInterval":case"currentCell":case"editMode":case"gridlines":case"scrollPosition":case"selection":n="pass";break;case"beforeCurrentCell":case"beforeEdit":case"beforeEditEnd":case"create":case"disabled":case"dnd":case"optionChange":case"ready":case"resize":case"rootAttributes":case"scroll":case"sort":break;case"selectionMode":this._checkSelectionMode(e),n="pass";break;case"cell":case"header":if(null!=(s=t.subkey)&&("resizable"==(o=s.split("."))[1]||"sortable"==o[1])){n="pass";break}case"contextMenu":case"data":case"scrollPolicy":default:return"refresh"}return n},_isResizeEnabled:function(e,t){return!(!this.options.header[e]||!this.options.header[e].resizable)&&"disable"!==this.options.header[e].resizable[t]},_isSortEnabled:function(e){return!!this.options.header[e]&&"disable"!==this.options.header[e].sortable},_removeAllChildren:function(){t(this.root).children("[slot!='contextMenu']").remove()},_GetDefaultContextMenu:function(){return this._defaultContextMenu},_addContextMenu:function(){var e,i,s,o,n;n=(e=this)._IsCustomElement(),(i=this._GetContextMenu())?(null==this._menuItemsSetByGrid&&(this._menuItemsSetByGrid=[]),s=(i=t(i)).find("[data-oj-command]"),o=[],s.each(function(){var i,s,r,l;(l=e._shouldUpdateListItem(this,n)).shouldUpdate&&(i=t(this).attr("data-oj-command").split("-"),n?(r=e._buildContextMenuLabel(i[i.length-1],n)[0],l.itemToUpdate?(l.itemToUpdate.textContent=r.textContent,o.push(l.itemToUpdate)):l.toFirstChild?(this.firstChild.appendChild(r),o.push(r)):(this.appendChild(r),o.push(r))):(s=e._buildContextMenuItem(i[i.length-1],n),t(this).replaceWith(s),o.push(s.children("a").get(0))))}),this._menuItemsSetByGrid=o,i.data("oj-ojMenu")&&(n?i[0].refresh():i.ojMenu("refresh"))):null!=this.datasource&&(i=this._createDefaultContextMenu())&&(this._defaultContextMenu=i[0]),i&&this._addMenuSelectListener(i)},_shouldUpdateListItem:function(i,s){var o,n,r=!1;if(s){if(null!=i.firstElementChild&&"opt"===i.firstElementChild.getAttribute("ojmenu")?(n=e.BaseCustomElementBridge.getSlotMap(i.firstElementChild),r=!0):n=e.BaseCustomElementBridge.getSlotMap(i),!n[""]||0===n[""].length)return{shouldUpdate:!0,toFirstChild:r};if(n[""]){var l=this._menuItemsSetByGrid.indexOf(n[""][0]);if(-1!=l)return{shouldUpdate:!0,itemToUpdate:this._menuItemsSetByGrid[l]}}return{shouldUpdate:!1}}return{shouldUpdate:0===(o=t(i).children("a")).length||-1!=this._menuItemsSetByGrid.indexOf(o.get(0))}},_addMenuSelectListener:function(e){var t=this._handleContextMenuSelect.bind(this);this._IsCustomElement()&&!this._defaultContextMenu?e[0].addEventListener("ojAction",t):e.on("ojselect",t)},_createDefaultContextMenu:function(){var i,s,o=null,n=null,r=null,l=null;if((i=t("<ul>")).css("display","none").attr("id",this.rootId+"contextmenu"),t(this.root).append(i),(this._isResizeEnabled("column","width")||this._isResizeEnabled("column","height")||this._isResizeEnabled("row","width")||this._isResizeEnabled("row","height"))&&(o=this._buildContextMenuItem("resize")),s=this.datasource.getCapability("sort"),this._isSortEnabled("column")&&("column"!==s&&"full"!==s||(n=this._buildContextMenuItem("sortCol"))),this._isSortEnabled("row")&&("row"!==s&&"full"!==s||(n=null!=n?n.add(this._buildContextMenuItem("sortRow")):this._buildContextMenuItem("sortRow"))),"enable"===this.options.dnd.reorder.row)switch(this.datasource.getCapability("move")){case"none":break;default:l=this._buildContextMenuListItem("cut").add(this._buildContextMenuListItem("paste"))}return this._isMultipleSelection()&&e.DomUtils.isTouchSupported()&&(this._discontiguousSelection=!1,r=this._buildContextMenuListItem("discontiguousSelection")),null!=o||null!=n||null!=l||null!=r?(i.append(o).append(n).append(l).append(r),i.ojMenu(),this.option("contextMenu",i.get(0),{_context:{internalSet:!0}}),i):null},_buildContextMenuItem:function(e,i){return"resize"===e?this._buildContextMenuListItem("resize",i).append(t("<ul></ul>").append(this._buildContextMenuListItem("resizeWidth",i)).append(this._buildContextMenuListItem("resizeHeight",i))):"sortCol"===e?this._buildContextMenuListItem("sortCol",i).append(t("<ul></ul>").append(this._buildContextMenuListItem("sortColAsc",i)).append(this._buildContextMenuListItem("sortColDsc",i))):"sortRow"===e?this._buildContextMenuListItem("sortRow",i).append(t("<ul></ul>").append(this._buildContextMenuListItem("sortRowAsc",i)).append(this._buildContextMenuListItem("sortRowDsc",i))):-1!=Object.keys(this.resources.commands).indexOf(e)?t(this._buildContextMenuListItem(e,i)):void 0},_buildContextMenuListItem:function(e,i){var s=t(i?"<oj-option></oj-option>":"<li></li>");return s.attr("data-oj-command",this._getMappedCommand(e)),s.append(this._buildContextMenuLabel(e,i)),s},_buildContextMenuLabel:function(e,i){var s="label"+e.charAt(0).toUpperCase()+e.slice(1);"discontiguousSelection"===e&&(s="labelEnableNonContiguous");var o=this._getTranslation(s);return i?t("<span>").text(o):t('<a href="#"></a>').text(o)},_getDataGridContextMenu:function(){var e=this._GetContextMenu();return e||this._GetDefaultContextMenu()},_getTranslation:function(e,t){return this.getTranslatedString(e,t)},_handleResizeDialog:function(e){var i=t("#"+this.rootId+"spinner").ojInputNumber("option","value");t("#"+this.rootId+"dialog").ojDialog("close"),this.grid.handleContextMenuReturn(this.contextMenuEvent,this.menuItemFunction,i),this.contextMenuEvent.target.focus()},_buildResizeDialog:function(e,i){var s,o,n,r,l;s=t("#"+this.rootId+"dialog"),n=t("#"+this.rootId+"spinner"),0===s.length||0===n.length?((s=t("<div>")).attr("id",this.rootId+"dialog"),o=t('<div class="oj-dialog-body"></div>'),r=t('<div class="oj-dialog-footer"></div>'),s.append(o).append(r),n=t('<input id="'+this.rootId+'spinner"/>'),l=t('<button id="'+this.rootId+'dialogsubmit"/>'),o.append(n),r.append(l),t(this.root).append(s),l.ojButton({component:"ojButton",label:this._getTranslation("labelResizeDialogSubmit")}),l.on("click",this._handleResizeDialog.bind(this)),n.ojInputNumber({component:"ojInputNumber",max:1e3,min:20,step:1,value:i}),s.ojDialog({initialVisibility:"show",title:e,position:{my:"center center",at:"center center",collision:"none",of:t(this.root)}})):(s=t("#"+this.rootId+"dialog"),n.ojInputNumber("option","value",i),s.ojDialog("option","title",e),s.ojDialog("open"))},_handleContextMenuSelect:function(e,i){var s,o,n;if(s=i?i.item:t(e.target),this.menuItemFunction=s.attr("data-oj-command"),this.menuItemFunction===this._getMappedCommand("sortColAsc")||this.menuItemFunction===this._getMappedCommand("sortColDsc")||this.menuItemFunction===this._getMappedCommand("cut")||this.menuItemFunction===this._getMappedCommand("paste"))this.grid.handleContextMenuReturn(this.contextMenuEvent,this.menuItemFunction,null);else if(this.menuItemFunction===this._getMappedCommand("resizeWidth")||this.menuItemFunction===this._getMappedCommand("resizeHeight"))0==(n=t(this.contextMenuEvent.target).closest("."+this._getMappedStyle("cell"))).length&&(n=t(this.contextMenuEvent.target).closest("."+this._getMappedStyle("headercell"))),0==n.length&&(n=t(this.contextMenuEvent.target).closest("."+this._getMappedStyle("endheadercell"))),n.length>0&&(o=this.menuItemFunction===this._getMappedCommand("resizeWidth")?n.outerWidth():n.outerHeight(),this._buildResizeDialog(i.item.text(),o));else if(this.menuItemFunction===this._getMappedCommand("discontiguousSelection")){this._discontiguousSelection=!this._discontiguousSelection,this.grid.handleContextMenuReturn(this.contextMenuEvent,this.menuItemFunction,this._discontiguousSelection);var r=this._discontiguousSelection?"labelDisableNonContiguous":"labelEnableNonContiguous";s.children().first().text(this._getTranslation(r))}},_NotifyContextMenuGesture:function(e,t,i){this.grid.handleContextMenuGesture(t,i,this._contextMenuGestureCallback.bind(this))},_contextMenuGestureCallback:function(e,i,s){var o,n,r;null!=e&&(this.contextMenuEvent=i.originalEvent,o=e.launcher,n=e.capabilities,this._manageContextMenu(n),r="keyboard"===s?{position:{of:o},launcher:t(o)}:{launcher:t(o)},this._OpenContextMenu(i,s,r))},_addContextMenuCapability:function(e){var i;(i=t(this._getDataGridContextMenu())).find("[data-oj-command="+e+"]").hasClass("oj-disabled")||i.find("[data-oj-command="+e+"]").addClass("oj-disabled")},_removeContextMenuCapability:function(e){t(this._getDataGridContextMenu()).find("[data-oj-command="+e+"]").removeClass("oj-disabled")},_manageContextMenu:function(e){var t,i;for(t in e)e.hasOwnProperty(t)&&(i=this.resources.getMappedCommand(t),"disable"===e[t]?this._addContextMenuCapability(i):this._removeContextMenuCapability(i))},_findCellIndex:function(e){return e[this._getMappedAttribute("context")].indexes},_getGrid:function(){return t(this.root)},_getColumnHeader:function(){return t("#"+this.rootId+"\\:columnHeader")},_getRowHeader:function(){return t("#"+this.rootId+"\\:rowHeader")},_setDataSource:function(){null!=this.options.data?this.datasource=this.options.data:this.datasource=null},_setSelection:function(){var e=this.options.selection;null!=e&&this.grid.SetSelection(e)},_modifyContext:function(t){t.component=e.Components.__GetWidgetConstructor(this.element,"ojDataGrid")},_setAccessibleContext:function(e){this.grid.SetAccessibleContext(e)},_unregisterResizeListener:function(t){t&&this._resizeHandler&&e.DomUtils.removeResizeListener(t,this._resizeHandler)},_registerResizeListener:function(t){t&&(null==this._resizeHandler&&(this._resizeHandler=this._handleResize.bind(this)),e.DomUtils.addResizeListener(t,this._resizeHandler))},_handleResize:function(e,t){e>0&&t>0&&(this._possiblyRenderOrRefresh(),this.grid.HandleResize(e,t))},getNodeBySubId:function(e){var i,s,o,n,r,l,h,a;if(null==e)return this.element?this.element[0]:null;if("oj-datagrid-cell"===(i=e.subId))o=e.rowIndex,n=e.columnIndex,a=t(this.grid._getCellByIndex({row:o,column:n}));else if("oj-datagrid-sort-icon"===i||"oj-datagrid-sort-ascending"===i||"oj-datagrid-sort-descending"===i||"oj-datagrid-header"===i){if(l=e.axis,r=e.index,h=null==e.level?0:e.level,"column"===l?s=this._getHeaderByIndex(r,h,t("#"+this.rootId+"\\:columnHeader"),this.grid.getStartColumnHeader()):"row"===l?s=this._getHeaderByIndex(r,h,t("#"+this.rootId+"\\:rowHeader"),this.grid.getStartRowHeader()):"columnEnd"===l?s=this._getHeaderByIndex(r,h,t("#"+this.rootId+"\\:columnEndHeader"),this.grid.getStartColumnEndHeader()):"rowEnd"===l&&(s=this._getHeaderByIndex(r,h,t("#"+this.rootId+"\\:rowEndHeader"),this.grid.getStartRowEndHeader())),null==s)return null;if("oj-datagrid-sort-icon"===i)return s.children("."+this._getMappedStyle("sortcontainer")).children().get(0);a="oj-datagrid-sort-ascending"===i?s.find("."+this._getMappedStyle("sortascending")):"oj-datagrid-sort-descending"===i?s.find("."+this._getMappedStyle("sortdescending")):s}return null!=a&&a.length>0?a[0]:null},getSubIdByNode:function(e){var i,s,o,n;return(i=t(e).closest("."+this._getMappedStyle("cell"))).length>0?{subId:"oj-datagrid-cell",rowIndex:(n=this._findCellIndex(i[0])).row,columnIndex:n.column}:(0==(o=t(e).closest("."+this._getMappedStyle("headercell"))).length&&(o=t(e).closest("."+this._getMappedStyle("endheadercell"))),o.length>0?(s=o[0][this._getMappedAttribute("context")],{subId:t(e).hasClass(this._getMappedStyle("sortascending"))?"oj-datagrid-sort-ascending":t(e).hasClass(this._getMappedStyle("sortdescending"))?"oj-datagrid-sort-descending":"oj-datagrid-header",axis:s.axis,index:this._getHeaderIndex(o),level:s.level}):null)},getContextByNode:function(i){var s,o,n,r;return(s=t(i).closest("."+this._getMappedStyle("cell"))).length>0?(n=s[0][this._getMappedAttribute("context")],(r=e.CollectionUtils.copyInto({},n,void 0,!0)).subId="oj-datagrid-cell",r):(0==(o=t(i).closest("."+this._getMappedStyle("headercell"))).length&&(o=t(i).closest("."+this._getMappedStyle("endheadercell"))),o.length>0?(n=o[0][this._getMappedAttribute("context")],(r=e.CollectionUtils.copyInto({},n,void 0,!0)).subId="oj-datagrid-header",r.index=this._getHeaderIndex(o),r):null)},_getMappedStyle:function(e){return this.resources.getMappedStyle(e)},_getMappedAttribute:function(e){return this.resources.getMappedAttribute(e)},_getMappedCommand:function(e){return this.resources.getMappedCommand(e)},_isDataGridSizingAvailable:function(){return null!=this.root.offsetParent},_possiblyRenderOrRefresh:function(){var e=this.grid.getVisibility();this._isDataGridSizingAvailable()?(e===i.VISIBILITY_STATE_RENDER?this.grid.render(this.root):e===i.VISIBILITY_STATE_REFRESH&&this.grid.refresh(this.root),this.grid.setVisibility(i.VISIBILITY_STATE_VISIBLE)):e===i.VISIBILITY_STATE_VISIBLE&&this.grid.setVisibility(i.VISIBILITY_STATE_HIDDEN)},_getHeaderByIndex:function(e,t,i,s){var o,n,r;return t<0?null:(o=i.children().first().children().last()).hasClass(this._getMappedStyle("headercell"))?i.children().first().children("."+this._getMappedStyle("headercell")).eq(e-s):o.hasClass(this._getMappedStyle("endheadercell"))?i.children().first().children("."+this._getMappedStyle("endheadercell")).eq(e-s):null==(n=this._getGroupingContainer(e,t,0,i.children().first().children()))?null:t<=parseInt(n.attr(this._getMappedAttribute("level")),10)+parseInt(n.children().eq(0).attr(this._getMappedAttribute("depth")),10)-1?n.children().eq(0):(r=e-(s=parseInt(n.attr(this._getMappedAttribute("start")),10))+1,n.children().eq(r))},_getGroupingContainer:function(e,t,i,s){var o,n,r,l,h;if(null==s.eq(1)||s.eq(1).hasClass(this._getMappedStyle("headercell"))||s.eq(1).hasClass(this._getMappedStyle("endheadercell")))return t===i?s.eq(0).parent():null;for(r=(l=s.parent().parent()).hasClass(this._getMappedStyle("header"))||l.hasClass(this._getMappedStyle("endheader"))?0:1;r<s.length;r++)if(o=parseInt(s.eq(r).attr(this._getMappedAttribute("start")),10),n=parseInt(s.eq(r).attr(this._getMappedAttribute("extent")),10),h=parseInt(s.eq(r).children().eq(0).attr(this._getMappedAttribute("depth")),10),e>=o&&e<o+n)return t<i+h?s.eq(r):this._getGroupingContainer(e,t,i+h,s.eq(r).children());return null},_getHeaderIndex:function(e){var t;if(e.parent().hasClass(this._getMappedStyle("groupingcontainer"))){if(t=parseInt(e.parent().attr(this._getMappedAttribute("start")),10),e.get(0)===e.parent().children(":first").get(0))return t;t--}else t=e.hasClass(this._getMappedStyle("rowheadercell"))?this.grid.getStartRowHeader():e.hasClass(this._getMappedStyle("colheadercell"))?this.grid.getStartColumnHeader():e.hasClass(this._getMappedStyle("colendheadercell"))?this.grid.getStartColumnEndHeader():this.grid.getStartRowEndHeader();return t+=e.index()},_getHeaderLevel:function(e){var t;return e.parent().hasClass(this._getMappedStyle("groupingcontainer"))?(t=parseInt(e.parent().attr(this._getMappedAttribute("level")),10),e.get(0)===e.parent().children(":first").get(0)?t:t+1):0},_isMultipleSelection:function(){return null!=this.options.selectionMode&&("multiple"===this.options.selectionMode.row||"multiple"===this.options.selectionMode.cell)},_remove:function(e){t(e).remove()},_uniqueId:function(e,i){i?t(e).removeUniqueId():t(e).uniqueId()},_compareValues:function(t,i){return e.Object.compareValues(t,i)},scrollTo:function(e){this.grid.scroll(e)},whenReady:function(){if(this._ready)return Promise.resolve(!0);if(!this._readyPromise){var e=this;this._readyPromise=new Promise(function(t){e._readyPromiseResolve=t})}return this._readyPromise},_NotReady:function(){if(this._ready=!1,!this._readyResolveFunc){var t=e.Context.getContext(this.element[0]).getBusyContext(),i={description:"The component identified by '"+this.element.attr("id")+"' is being loaded."};this._readyResolveFunc=t.addBusyState(i)}},_MakeReady:function(){this._readyPromiseResolve&&(this._readyPromiseResolve(!0),this._readyPromiseResolve=null),this._ready=!0,this._promise=null,this._readyResolveFunc&&(this._readyResolveFunc(),this._readyResolveFunc=null)},_CompareOptionValues:function(t,i,s){switch(t){case"currentCell":case"selection":return e.Object.compareValues(i,s);default:return this._super(t,i,s)}}}),i.prototype._setupActions=function(){this.actions={ACTIONABLE:this._handleActionable,EXIT_ACTIONABLE:this._handleExitActionable,TAB_NEXT_IN_CELL:this._handleActionableTab,TAB_PREV_IN_CELL:this._handleActionablePrevTab,EDITABLE:this._handleEditable,EXIT_EDITABLE:this._handleExitEditable,DATA_ENTRY:this._handleDataEntry,EXIT_DATA_ENTRY:this._handleExitDataEntry,EDIT:this._handleEdit,EXIT_EDIT:this._handleExitEdit,CANCEL_EDIT:this._handleCancelEdit,NO_OP:this._handleNoOp,EAT:this._handleEat,FOCUS_LEFT:this._handleFocusLeft,FOCUS_RIGHT:this._handleFocusRight,FOCUS_UP:this._handleFocusUp,FOCUS_DOWN:this._handleFocusDown,FOCUS_ROW_FIRST:this._handleFocusRowFirst,FOCUS_ROW_LAST:this._handleFocusRowLast,FOCUS_COLUMN_FIRST:this._handleFocusColumnFirst,FOCUS_COLUMN_LAST:this._handleFocusColumnLast,FOCUS_COLUMN_HEADER:this._handleFocusColumnHeader,FOCUS_COLUMN_END_HEADER:this._handleFocusColumnEndHeader,FOCUS_ROW_HEADER:this._handleFocusRowHeader,FOCUS_ROW_END_HEADER:this._handleFocusRowEndHeader,READ_CELL:this.readCurrentContent,SORT:this._handleSortKey,SELECT_DISCONTIGUOUS:this._handleSelectDiscontiguous,SELECT_EXTEND_LEFT:this._handleExtendSelectionLeft,SELECT_EXTEND_RIGHT:this._handleExtendSelectionRight,SELECT_EXTEND_UP:this._handleExtendSelectionUp,SELECT_EXTEND_DOWN:this._handleExtendSelectionDown,SELECT_ROW:this._handleSelectRow,SELECT_COLUMN:this._handleSelectColumn,SELECT_ALL:this._handleSelectAll,CUT:this._handleCut,CANCEL_REORDER:this._handleCancelReorder,PASTE:this._handlePaste}},i.prototype._getActionFromKeyDown=function(e,t){var i={cellOrHeader:t,readOnly:!this._isCellEditable(),currentMode:this._getCurrentMode(),activeMove:null!=this.m_cutCells,rowMove:this._isMoveEnabled("row"),columnSort:"column"==t&&this._isDOMElementSortable(this._getActiveElement()),selection:this._isSelectionEnabled(),selectionMode:this.m_options.getSelectionMode(),multipleSelection:this.isMultipleSelection()};return this.actions[this.m_keyboardHandler.getAction(e,i)]},i.prototype.isActionableMode=function(){return"actionable"===this.m_currentMode},i.prototype.setActionableMode=function(e){this.m_currentMode=e?"actionable":"navigation",this._setAccInfoText(this.isActionableMode()?"accessibleActionableMode":"accessibleNavigationMode")},i.prototype._handleActionable=function(e,t){return this._enterActionableMode(t),!1},i.prototype._handleExitActionable=function(e,t){return this._exitActionableMode(),this._highlightActive(),!1},i.prototype._handleActionableTab=function(e,t){var i=this.getFocusableElementsInNode(t);return i.length>0&&e.target==i[i.length-1]&&(i[0].focus(),!0)},i.prototype._handleActionablePrevTab=function(e,t){var i=this.getFocusableElementsInNode(t);return i.length>0&&e.target==i[0]&&(i[i.length-1].focus(),!0)},i.prototype._getEditMode=function(){return null==this.m_editMode&&(this.m_editMode=this.m_options.getEditMode()),this.m_editMode},i.prototype._getCurrentMode=function(){return null==this.m_currentMode&&(this.m_currentMode="navigation"),this.m_currentMode},i.prototype._isEditOrEnter=function(){return"edit"===this._getCurrentMode()},i.prototype._isGridEditable=function(){var e=this._getEditMode();return"cellNavigation"===e||"cellEdit"===e},i.prototype._isCellEditable=function(){return"cellEdit"===this._getEditMode()},i.prototype._handleEditable=function(e,t){return this._isGridEditable()?(this.m_editMode=null,this.m_setOptionCallback("editMode","cellEdit",{_context:{writeback:!0,internalSet:!0}}),this.m_utils.removeCSSClassName(this.m_root,this.getMappedStyle("readOnly")),this.m_utils.addCSSClassName(this.m_root,this.getMappedStyle("editable")),this._updateEdgeCellBorders(""),this._setAccInfoText("accessibleEditableMode"),this._setEditableClone(t)):this._handleActionable(e,t),!1},i.prototype._handleExitEditable=function(e,t){this.m_editMode=null,this.m_setOptionCallback("editMode","cellNavigation",{_context:{writeback:!0,internalSet:!0}}),this.m_utils.addCSSClassName(this.m_root,this.getMappedStyle("readOnly")),this.m_utils.removeCSSClassName(this.m_root,this.getMappedStyle("editable")),this._updateEdgeCellBorders("none"),this._setAccInfoText("accessibleNavigationMode"),delete this.m_editableClone},i.prototype._handleDataEntry=function(e,t){var i;return i={event:e,ui:{cell:t,cellContext:t[this.getResources().getMappedAttribute("context")]}},this.fireEvent("beforeEdit",i)&&(this._reRenderCell(t,"edit",this.getMappedStyle("cellEdit"),this.m_editableClone),this._enableAllFocusableElements(t),this._overwriteFlag=!0,this._setFocusToFirstFocusableElement(t)?this.m_currentMode="edit":this.m_utils.removeCSSClassName(t,this.getMappedStyle("cellEdit")),this._overwriteFlag=!1),!1},i.prototype._handleExitDataEntry=function(e,t){return this._leaveEditing(e,t,!1)},i.prototype._handleEdit=function(t,i){var s,o;if(s={event:t,ui:{cell:i,cellContext:i[this.getResources().getMappedAttribute("context")]}},o=this.fireEvent("beforeEdit",s)){this._reRenderCell(i,"edit",this.getMappedStyle("cellEdit"),this.m_editableClone);var n=this;e.Context.getContext(i).getBusyContext().whenReady().then(function(){n._enableAllFocusableElements(i),n._setFocusToFirstFocusableElement(i)?n.m_currentMode="edit":n.m_utils.removeCSSClassName(i,n.getMappedStyle("cellEdit"))})}else o=!1,this._enterActionableMode(i);return o},i.prototype._handleExitEdit=function(e,t){return this._leaveEditing(e,t,!1)},i.prototype._handleCancelEdit=function(e,t){return!!this._leaveEditing(e,t,!0)&&(this._setEditableClone(t),!0)},i.prototype._leaveEditing=function(e,t,i){var s,o;return s={event:e,ui:{cell:t,cellContext:t[this.getResources().getMappedAttribute("context")],cancelEdit:i}},i||(this._disableAllFocusableElements(t),this._highlightActive()),(o=this.fireEvent("beforeEditEnd",s))?(this.m_currentMode="navigation",this._disableAllFocusableElements(t),this._highlightActive(),this._reRenderCell(t,"navigation",this.getMappedStyle("cellEdit"),this.m_editableClone)):(o=!1,this._scrollToActive(this.m_active),this._enableAllFocusableElements(t),this._setFocusToFirstFocusableElement(t)),o},i.prototype._handleFocusKey=function(e,t,i,s,o){var n,r,l,h=!0,a=!0;return null!=this.m_active&&("cell"==this.m_active.type?(this._isEditOrEnter()?(n=!0,h=this._leaveEditing(e,t,!1),a=!1):this.isActionableMode()&&this._exitActionableMode(),!h||(l=this.m_active,r=this.handleFocusChange(i,s,e,a,o),this._isGridEditable()&&l!=this.m_active&&n&&this.m_utils.isTouchDevice()?this._handleDataEntry(e,this._getActiveElement()):r)):this.handleHeaderFocusChange(i,e,s,o))},i.prototype._handleFocusLeft=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.LEFT_KEY,!1,!1)},i.prototype._handleFocusRight=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.RIGHT_KEY,!1,!1)},i.prototype._handleFocusUp=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.UP_KEY,!1,!1)},i.prototype._handleFocusDown=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.DOWN_KEY,!1,!1)},i.prototype._handleFocusRowFirst=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.PAGEUP_KEY,!1,!1)},i.prototype._handleFocusRowLast=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.PAGEDOWN_KEY,!1,!1)},i.prototype._handleFocusColumnFirst=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.HOME_KEY,!1,!1)},i.prototype._handleFocusColumnLast=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.END_KEY,!1,!1)},i.prototype._handleFocusRowHeader=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.LEFT_KEY,!1,!0)},i.prototype._handleFocusRowEndHeader=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.RIGHT_KEY,!1,!0)},i.prototype._handleFocusColumnHeader=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.UP_KEY,!1,!0)},i.prototype._handleFocusColumnEndHeader=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.DOWN_KEY,!1,!0)},i.prototype._handleSelectRow=function(e,t){var i,s,o,n,r;if(!this._isSelectionEnabled()||!this.isMultipleSelection()&&"row"!=this.m_options.getSelectionMode())return!1;if(this.m_utils.containsCSSClassName(t,this.getMappedStyle("cell")))i=r=this.m_active.indexes.row,s=r,n=this.m_rowHeaderLevelCount-1;else{if(null==this.m_active||"header"!=this.m_active.type||-1==this.m_active.axis.indexOf("row"))return!1;this.m_active.axis,r=this.m_active.index,n=this.m_active.level,this.m_rowHeaderLevelCount-1===n?(i=r,s=r):(o=this._getActiveElement(),s=(i=this._getAttribute(o.parentNode,"start",!0))+this._getAttribute(o.parentNode,"extent",!0)-1)}return this.m_selectionFrontier&&this.m_selectionFrontier.axis&&-1!=this.m_selectionFrontier.axis.indexOf("column")?(this._handleSelectAll(e),!0):(this.setHeaderSelectionFrontier("row",s,r,n,t,!0),this._selectEntireRow(i,s,e),this._setAccInfoText("accessibleRowSelected",{row:r+1}),!0)},i.prototype._handleSelectColumn=function(e,t){var i,s,o,n,r;if(!this._isSelectionEnabled()||!this.isMultipleSelection()||"cell"!=this.m_options.getSelectionMode())return!1;if(this.m_utils.containsCSSClassName(t,this.getMappedStyle("cell")))i=r=this.m_active.indexes.column,s=r,n=this.m_columnHeaderLevelCount-1;else{if(null==this.m_active||"header"!=this.m_active.type||-1==this.m_active.axis.indexOf("column"))return!1;this.m_active.axis,r=this.m_active.index,n=this.m_active.level,this.m_columnHeaderLevelCount-1===n?(i=r,s=r):(o=this._getActiveElement(),s=(i=this._getAttribute(o.parentNode,"start",!0))+this._getAttribute(o.parentNode,"extent",!0)-1)}return this.m_selectionFrontier&&this.m_selectionFrontier.axis&&-1!=this.m_selectionFrontier.axis.indexOf("row")?(this._handleSelectAll(e),!0):(this.setHeaderSelectionFrontier("column",s,r,n,t,!0),this._selectEntireColumn(i,s,e),this._setAccInfoText("accessibleColumnSelected",{column:r+1}),!0)},i.prototype._handleSelectDiscontiguous=function(e,t){return this.setDiscontiguousSelectionMode(!this.m_discontiguousSelection),!0},i.prototype._handleExtendSelectionLeft=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.LEFT_KEY,!0,!1)},i.prototype._handleExtendSelectionRight=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.RIGHT_KEY,!0,!1)},i.prototype._handleExtendSelectionUp=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.UP_KEY,!0,!1)},i.prototype._handleExtendSelectionDown=function(e,t){return this._handleFocusKey(e,t,i.keyCodes.DOWN_KEY,!0,!1)},i.prototype._handleSortKey=function(e,t){return"true"==t.getAttribute(this.getResources().getMappedAttribute("sortable"))?(this._handleKeyboardSort(t,e),!0):this._handleActionable(e,t)},i.prototype._handleNoOp=function(e,t){return!1},i.prototype._handleEat=function(e,t){return!0};var r=function(e){this.grid=e};r.prototype.getAction=function(e,t){var s,o,n,r,l,h,a,d,m,c,u,_,p,g;switch(s=e.keyCode,n=this.grid.m_utils.ctrlEquivalent(e),r=e.shiftKey,l=e.altKey,o=i.keyCodes,h=t.cellOrHeader,a=t.readOnly,d=t.currentMode,m=t.activeMove,c=t.rowMove,u=t.columnSort,_=t.selection,p=t.selectionMode,g=t.multipleSelection,s){case o.TAB_KEY:if("actionable"===d)return r?"TAB_PREV_IN_CELL":"TAB_NEXT_IN_CELL";if(!a)return r?"FOCUS_LEFT":"FOCUS_RIGHT";break;case o.ENTER_KEY:if("column"===h&&u)return"SORT";if(!l&&a&&"navigation"===d||"cell"!=h)return"ACTIONABLE";if(!a&&!l)return r?"FOCUS_UP":"FOCUS_DOWN";if(l&&a&&"navigation"===d)return"EDITABLE";if(!a&&("navigation"==d||"edit"===d))return"EDIT";break;case o.ESC_KEY:if("actionable"===d)return"EXIT_ACTIONABLE";if(m)return"CANCEL_REORDER";if(a){if(this.grid.m_discontiguousSelection)return"SELECT_DISCONTIGUOUS"}else{if("navigation"===d)return"EXIT_EDITABLE";if("edit"===d)return"CANCEL_EDIT"}break;case o.SPACE_KEY:if(-1!=h.indexOf("row")&&_&&("cell"==p&&g||"row"==p))return"SELECT_ROW";if(-1!=h.indexOf("column")&&_&&"cell"==p&&g)return"SELECT_COLUMN";if("cell"===h)if(a&&"navigation"===d){if(n&&_&&"cell"==p&&g)return"SELECT_COLUMN";if(r&&_&&("cell"==p&&g||"row"==p))return"SELECT_ROW"}else if("navigation"===d)return"DATA_ENTRY";break;case o.PAGEUP_KEY:if("edit"!==d)return"FOCUS_ROW_FIRST";break;case o.PAGEDOWN_KEY:if("edit"!==d)return"FOCUS_ROW_LAST";break;case o.END_KEY:if("edit"!==d)return"FOCUS_COLUMN_LAST";break;case o.HOME_KEY:if("edit"!==d)return"FOCUS_COLUMN_FIRST";break;case o.LEFT_KEY:if("actionable"===d)return"NO_OP";if("edit"!==d)return r&&_&&"cell"==p&&g?"SELECT_EXTEND_LEFT":n&&"column"!=h?"FOCUS_ROW_HEADER":"FOCUS_LEFT";break;case o.UP_KEY:if("actionable"===d)return"NO_OP";if("edit"!==d)return r&&_&&g?"SELECT_EXTEND_UP":n&&"row"!=h?"FOCUS_COLUMN_HEADER":"FOCUS_UP";break;case o.RIGHT_KEY:if("actionable"===d)return"NO_OP";if("edit"!==d)return r&&_&&"cell"==p&&g?"SELECT_EXTEND_RIGHT":n&&"column"!=h?"FOCUS_ROW_END_HEADER":"FOCUS_RIGHT";break;case o.DOWN_KEY:if("actionable"===d)return"NO_OP";if("edit"!==d)return r&&_&&g?"SELECT_EXTEND_DOWN":n&&"row"!=h?"FOCUS_COLUMN_END_HEADER":"FOCUS_DOWN";break;case o.F2_KEY:if("cell"!=h)return"ACTIONABLE";if(a&&"navigation"===d)return"EDITABLE";if(!a&&"navigation"==d)return"EDIT";break;case o.F8_KEY:if(r&&_&&g)return"SELECT_DISCONTIGUOUS";break;case o.F10_KEY:if(r)return"NO_OP";break;case o.V_KEY:if("navigation"===d&&n&&c)return"PASTE";if(!a&&"navigation"===d)return"DATA_ENTRY";break;case o.X_KEY:if("navigation"===d&&n&&c)return"CUT";if(!a&&"navigation"===d)return"DATA_ENTRY";break;case o.SHIFT_KEY:case o.CTRL_KEY:case o.ALT_KEY:break;case o.A_KEY:if(n&&_&&g)return"SELECT_ALL";case o.NUM5_KEY:if(n&&l)return"READ_CELL";default:if((s<o.F1_KEY||s>o.F15_KEY)&&!a&&"navigation"===d&&"cell"==h)return"DATA_ENTRY"}return"NO_OP"},e.CustomElementBridge.registerMetadata("oj-data-grid","baseComponent",{properties:{bandingInterval:{type:"object",properties:{row:{type:"number"},column:{type:"number"}}},cell:{type:"object",properties:{className:{type:"string|function"},renderer:{},style:{type:"string|function"}}},currentCell:{type:"object",writeback:!0},data:{},dnd:{type:"object",properties:{reorder:{type:"object",properties:{row:{type:"string",enumValues:["disable","enable"]}}}}},editMode:{type:"string",enumValues:["none","cellNavigation","cellEdit"]},gridlines:{type:"object",properties:{horizontal:{type:"string",enumValues:["visible","hidden"]},vertical:{type:"string",enumValues:["visible","hidden"]}}},header:{type:"object",properties:{column:{type:"object",properties:{className:{type:"string|function"},renderer:{},resizable:{type:"object",properties:{width:{type:"string|function",enumValues:["disable","enable"]},height:{type:"string|function",enumValues:["disable","enable"]}}},sortable:{type:"string|function",enumValues:["auto","disable","enable"]},style:{type:"string|function"}}},columnEnd:{type:"object",properties:{className:{type:"string|function"},renderer:{},resizable:{type:"object",properties:{width:{type:"string|function",enumValues:["disable","enable"]},height:{type:"string|function",enumValues:["disable","enable"]}}},sortable:{type:"string|function",enumValues:["auto","disable","enable"]},style:{type:"string|function"}}},row:{type:"object",properties:{className:{type:"string|function"},renderer:{},resizable:{type:"object",properties:{width:{type:"string|function",enumValues:["disable","enable"]},height:{type:"string|function",enumValues:["disable","enable"]}}},sortable:{type:"string|function",enumValues:["auto","disable","enable"]},style:{type:"string|function"}}},rowEnd:{type:"object",properties:{className:{type:"string|function"},renderer:{},resizable:{type:"object",properties:{width:{type:"string|function",enumValues:["disable","enable"]},height:{type:"string|function",enumValues:["disable","enable"]}}},sortable:{type:"string|function",enumValues:["auto","disable","enable"]},style:{type:"string|function"}}}}},scrollPolicy:{type:"string",enumValues:["auto","loadMoreOnScroll","scroll"]},scrollPolicyOptions:{type:"object",properties:{maxRowCount:{type:"number"},maxColumnCount:{type:"number"}}},scrollPosition:{writeback:!0,type:"object",properties:{rowIndex:{type:"number"},columnIndex:{type:"number"},rowKey:{type:"*"},columnKey:{type:"*"},x:{type:"number"},y:{type:"number"},offsetX:{type:"number"},offsetY:{type:"number"}}},selection:{type:"Array<object>",writeback:!0},selectionMode:{type:"object",properties:{row:{type:"string",enumValues:["none","single","multiple"]},cell:{type:"string",enumValues:["none","single","multiple"]}}},translations:{type:"Object",properties:{accessibleActionableMode:{type:"string"},accessibleColumnContext:{type:"string"},accessibleColumnEndHeaderContext:{type:"string"},accessibleColumnHeaderContext:{type:"string"},accessibleColumnSelected:{type:"string"},accessibleColumnSpanContext:{type:"string"},accessibleFirstColumn:{type:"string"},accessibleFirstRow:{type:"string"},accessibleLastColumn:{type:"string"},accessibleLastRow:{type:"string"},accessibleLevelContext:{type:"string"},accessibleMultiCellSelected:{type:"string"},accessibleNavigationMode:{type:"string"},accessibleRangeSelectModeOff:{type:"string"},accessibleRangeSelectModeOn:{type:"string"},accessibleRowCollapsed:{type:"string"},accessibleRowContext:{type:"string"},accessibleRowEndHeaderContext:{type:"string"},accessibleRowExpanded:{type:"string"},accessibleRowHeaderContext:{type:"string"},accessibleRowSelected:{type:"string"},accessibleRowSpanContext:{type:"string"},accessibleSelectionAffordanceBottom:{type:"string"},accessibleSelectionAffordanceTop:{type:"string"},accessibleSortAscending:{type:"string"},accessibleSortDescending:{type:"string"},accessibleStateSelected:{type:"string"},accessibleSummaryEstimate:{type:"string"},accessibleSummaryExact:{type:"string"},accessibleSummaryExpanded:{type:"string"},labelCut:{type:"string"},labelDisableNonContiguous:{type:"string"},labelEnableNonContiguous:{type:"string"},labelPaste:{type:"string"},labelResize:{type:"string"},labelResizeDialogSubmit:{type:"string"},labelResizeHeight:{type:"string"},labelResizeWidth:{type:"string"},labelSortCol:{type:"string"},labelSortColAsc:{type:"string"},labelSortColDsc:{type:"string"},labelSortRow:{type:"string"},labelSortRowAsc:{type:"string"},labelSortRowDsc:{type:"string"},msgFetchingData:{type:"string"},msgNoData:{type:"string"}}}},methods:{getContextByNode:{}},events:{beforeCurrentCell:{},beforeEdit:{},beforeEditEnd:{},resize:{},scroll:{},sort:{}},extension:{_WIDGET_NAME:"ojDataGrid"}}),e.CustomElementBridge.register("oj-data-grid",{metadata:e.CustomElementBridge.getMetadata("oj-data-grid")})});