/**
 * @license
 * Copyright (c) 2014, 2018, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";define(["ojs/ojcore","jquery","hammerjs","ojs/ojjquery-hammer","promise","ojs/ojcomponentcore","ojs/ojvalidation-base","ojs/ojpopup","ojs/ojlabel","ojs/ojanimation"],function(e,t,s){e.EditableValueUtils={},e.EditableValueUtils.validationContext={COMPONENT_CREATE:1,CONVERTER_OPTION_CHANGE:2,DISABLED_OPTION_CHANGE:3,READONLY_OPTION_CHANGE:4,REFRESH_METHOD:5,REQUIRED_OPTION_CHANGE:6,RESET_METHOD:7,USER_ACTION:8,VALIDATE_METHOD:9,VALIDATORS_OPTION_CHANGE:10,VALUE_OPTION_CHANGE:11},e.EditableValueUtils.validateMethodOptions={doValueChangeCheck:!1,validationContext:e.EditableValueUtils.validationContext.VALIDATE_METHOD},e.EditableValueUtils.converterOptionOptions={doNotClearMessages:!0,validationContext:e.EditableValueUtils.validationContext.CONVERTER_OPTION_CHANGE},e.EditableValueUtils.disabledOptionOptions={doNotClearMessages:!0,validationContext:e.EditableValueUtils.validationContext.DISABLED_OPTION_CHANGE},e.EditableValueUtils.requiredOptionOptions={doNotClearMessages:!0,validationContext:e.EditableValueUtils.validationContext.REQUIRED_OPTION_CHANGE},e.EditableValueUtils.readOnlyOptionOptions={doNotClearMessages:!0,validationContext:e.EditableValueUtils.validationContext.READONLY_OPTION_CHANGE},e.EditableValueUtils.refreshMethodOptions={doNotClearMessages:!0,validationContext:e.EditableValueUtils.validationContext.REFRESH_METHOD},e.EditableValueUtils.validatorsOptionOptions={doNotClearMessages:!0,validationContext:e.EditableValueUtils.validationContext.VALIDATORS_OPTION_CHANGE};e.EditableValueUtils.CUSTOM_LABEL_ELEMENT_ID="|label",e.EditableValueUtils.VALIDATE_VALUES={VALID:"valid",INVALID:"invalid"},e.EditableValueUtils.getAttributeValue=function(e,t){var s,i,n,o={};if(e&&t)switch(t){case"disabled":s=void 0!==e.attr("disabled")?!!e.prop("disabled"):void 0;break;case"pattern":s=e.prop("pattern")||void 0;break;case"placeholder":s=e.prop("placeholder")||void 0;break;case"readonly":s=void 0!==e.attr("readonly")?!!e.prop("readonly"):void 0;break;case"required":i=e.attr("required"),n=e.prop("required"),s=void 0!==i?void 0!==n?!!n:!!i:void 0;break;case"title":s=void 0!==e.attr("title")?e.prop("title"):void 0;break;case"value":s=e.val()||void 0;break;case"min":case"max":default:s=e.attr(t)||void 0}return void 0!==s?(o.fromDom=!0,o.value=s):o.fromDom=!1,o},e.EditableValueUtils.initializeOptionsFromDom=function(t,s,i,n){for(var o={},a=0;a<t.length;a++){var r,l,p=t[a],u=p.attribute,g=p.option||u,_=p.coerceDomValue,h=p.validateOption,d=i.element,c=i.options[g];void 0===s[g]&&(c=i.options[g],(l=e.EditableValueUtils.getAttributeValue(d,u)).fromDom&&(r=l.value,_&&("boolean"==typeof _?r=e.EditableValueUtils.coerceDomValueForOption(g,r):"function"==typeof _&&(r=_.call(i,r))),o[g]=r));var E=g in o?o[g]:c;h&&"boolean"==typeof h&&e.EditableValueUtils.validateValueForOption(g,E)}null!=n&&n(o),i.option(o,{_context:{writeback:!0,internalSet:!0}})},e.EditableValueUtils.validateValueForOption=function(e,t){var s=!1;switch(e){case"required":null!==t&&"boolean"!=typeof t&&(s=!0);break;case"readOnly":case"disabled":null!==t&&"boolean"!=typeof t&&(s=!0)}if(s)throw"Option '"+e+"' has invalid value set: "+t},e.EditableValueUtils.coerceDomValueForOption=function(e,t){var s=t;switch(e){case"required":s=!!t}return s},e.EditableValueUtils.setPickerAttributes=function(e,t){if(e&&t){var s=t.class;s&&e.addClass(s);var i=t.style;if(i){var n=e.attr("style");n?e.attr("style",n+";"+i):e.attr("style",i)}}},e.EditableValueUtils.getOjLabelId=function(t,s){var i,n,o,a,r,l,p;if(i=t[0].id,o=0===(n=t.siblings("[for='"+i+"']")).length?document.querySelector("oj-label[for='"+i+"']"):n[0]){if(p=o.getAttribute("label-id"))return p;if(a=o.id)return a+e.EditableValueUtils.CUSTOM_LABEL_ELEMENT_ID;if((r=o.querySelector("label"))&&(l=r.id),l)return l;if(s)return o.setAttribute("label-id",s),s}return null},e.EditableValueUtils.validate=function(){var t=this;if(this._IsCustomElement()){return Promise.resolve(t._ValidateReturnBoolean()?e.EditableValueUtils.VALIDATE_VALUES.VALID:e.EditableValueUtils.VALIDATE_VALUES.INVALID)}return this._ValidateReturnBoolean()},e.EditableValueUtils._ValidateReturnBoolean=function(){return this._SetValue(this._GetDisplayValue(),null,this._VALIDATE_METHOD_OPTIONS)},e.EditableValueUtils.setSubIdForCustomLabelFor=function(e,t){e.setAttribute("id",t+"|input")},e.EditableValueUtils._updateLabelledBy=function(t,s,i){var n=e.EditableValueUtils.CUSTOM_LABEL_ELEMENT_ID;this._IsCustomElement()&&(t&&(t+=n),s&&(s+=n),t&&e.EditableValueUtils._removeAriaLabelledBy(i,t),s&&e.EditableValueUtils._addAriaLabelledBy(i,s))},e.EditableValueUtils._refreshRequired=function(e){var t,s,i,n=this._AriaRequiredUnsupported();this._refreshTheming("required",e),n||(s=this._GetContentElement(),(i=e)&&s?s.attr("aria-required",i):s.removeAttr("aria-required")),this._IsCustomElement()||(this.$label||this._createOjLabel(),this.$label&&(this.$label.ojLabel("option","showRequired",e),n&&(t=this._getAriaLabelledById(this.element))&&(e?this._addAriaDescribedBy(t+"_requiredIcon"):this._removeAriaDescribedBy(t+"_requiredIcon"))))},e.EditableValueUtils._AfterSetOptionRequired=function(t){this._refreshRequired(this._IsRequired()),this._runMixedValidationAfterSetOption(e.EditableValueUtils.requiredOptionOptions)},e.EditableValueUtils._AfterSetOptionValidators=function(){var t=!1;this._ResetAllValidators(),this._hasInvalidMessagesShowing()&&(t=!0),t&&(this._clearComponentMessages(),this._updateValue(e.EditableValueUtils.validatorsOptionOptions))},e.EditableValueUtils._AfterSetOptionConverter=function(t){var s=!1;this._ResetConverter(),this._hasInvalidMessagesShowing()&&(s=!0),s?(this._clearComponentMessages(),this._updateValue(e.EditableValueUtils.converterOptionOptions)):this._Refresh(t,this.options[t],!0)},e.EditableValueUtils._ResetConverter=function(){this._converter=null,this._getComponentMessaging().update(this._getMessagingContent(this._MESSAGING_CONTENT_UPDATE_TYPE.CONVERTER_HINT))},e.EditableValueUtils._GetNormalizedValidatorsFromOption=function(){var t,s,i,n,o,a,r=!0,l=[];if(i=this.options.validators)for(t=0;t<i.length;t++)"object"==typeof(s=i[t])?(s.validate&&"function"==typeof s.validate||(r=!1),r||(a=s.type)&&"string"==typeof a&&((o=e.Validation.validatorFactory(a))?((n=e.CollectionUtils.copyInto({},s.options)||{}).converter=n.converter||this._GetConverter(),n.label=n.label||this._getLabelText(),s=o.createValidator(n)):e.Logger.error("Unable to locate a validatorFactory for the requested type: "+a)),l.push(s)):e.Logger.error("Unable to parse the validator provided:"+s);return l},e.EditableValueUtils._GetConverter=function(){var t;return this._converter||(t=this.options.converter,this._converter=e.IntlConverterUtils.getConverterInstance(t)),this._converter||null},e.EditableValueUtils._addAriaLabelledBy=function(e,s){e.each(function(){var e,i=t(this).attr("aria-labelledby");e=i?i.split(/\s+/):[],-1===t.inArray(s,e)&&e.push(s),i=t.trim(e.join(" ")),t(this).attr("aria-labelledBy",i)})},e.EditableValueUtils._removeAriaLabelledBy=function(e,s){var i;e.each(function(){var e,n;n=(i=t(this).attr("aria-labelledby"))?i.split(/\s+/):[],-1!==(e=t.inArray(s,n))&&n.splice(e,1),(i=t.trim(n.join(" ")))?t(this).attr("aria-labelledby",i):t(this).removeAttr("aria-labelledby")})},e.EditableValueUtils._SetInputType=function(t){var s="text",i=e.AgentUtils.getAgentInfo();i.os!==e.AgentUtils.OS.ANDROID&&i.os!==e.AgentUtils.OS.IOS&&i.os!==e.AgentUtils.OS.WINDOWSPHONE||t.indexOf(this.options.virtualKeyboard)>=0&&(s=this.options.virtualKeyboard),this.element.attr("type",s)};e.__registerWidget("oj.editableValue",t.oj.baseComponent,{widgetEventPrefix:"oj",options:{describedBy:null,disabled:!1,displayOptions:void 0,help:void 0,helpHints:{definition:"",source:""},labelHint:"",messagesCustom:[],messagesHidden:void 0,messagesShown:void 0,title:"",valid:void 0,value:void 0,animateStart:null,animateEnd:null},getNodeBySubId:function(e){var t;if(!(t=this._super(e))&&!this._IsCustomElement()&&"oj-label-help-icon"===e.subId){var s=this._GetLabelElement();s&&(t=s.parent().find(".oj-label-help-icon"))}return t||null},getSubIdByNode:function(e){var s,i,n,o=null;return null!=e&&null!=(s=t(e).closest("a.oj-label-help-icon"))&&null!=(i=s.closest(".oj-label"))&&(n=i.find("label")[0])&&n==this._GetLabelElement()[0]&&(o={subId:"oj-label-help-icon"}),o},isValid:function(){return void 0===this._valid&&(this._valid=!this._hasInvalidMessages()),this._valid},refresh:function(){this._super(),this._doRefresh(!0)},reset:function(){this._clearAllMessages(),this._runDeferredValidation(this._VALIDATION_CONTEXT.RESET_METHOD),this._refreshComponentDisplayValue(this.options.value,!0)},showMessages:function(){var t,s,i,n=[],o=this.options.messagesHidden,a=o.length>0;for(t=0;t<o.length;t++)(s=o[t])instanceof e.ComponentMessage?(s._forceDisplayToShown(),i=s.clone()):i=new e.Message(s.summary,s.detail,s.severity),n.push(i);a&&(this._clearMessages("messagesHidden"),this._updateMessagesOption("messagesShown",n),this._setValidOption(null))},_VALIDATION_MODE:{FULL:1,VALIDATORS_ONLY:2,REQUIRED_VALIDATOR_ONLY:3},_VALIDATION_CONTEXT:e.EditableValueUtils.validationContext,_VALIDATE_METHOD_OPTIONS:e.EditableValueUtils.validateMethodOptions,_InitOptions:function(e,t){if(this._super(e,t),this._IsCustomElement()){var s=this.options.help;if(null!=s)null!=(i=s.instruction)&&(this.options.title=i);var i,n=this.options.displayOptions;if(null!=n)null!=(i=n.helpInstruction)&&(n.title=i,this.options.displayOptions=n)}},_ComponentCreate:function(){var e=this.element,s=this._GetSavedAttributes(e);if(this._super(),this.options.messagesCustom=this.options.messagesCustom||[],this.options.messagesHidden=[],this.options.messagesShown=this.options.messagesCustom.length>0?this._cloneMessagesBeforeSet(this.options.messagesCustom):[],this._SetDisabledDom(e),this._HasPlaceholderSet()&&(this._SetPlaceholder(this.options.placeholder),this._customPlaceholderSet=!0),s&&!this._IsCustomElement()){var i=e[0].tagName.toLowerCase();"input"!==i&&"textarea"!==i||t.each(["required","title","pattern"],function(t,i){i in s&&e.removeAttr(i)})}},_AfterCreate:function(){var e;this._super(),this._doRefresh(!1),this._IsCustomElement()?(void 0===this.customOjLabelElement&&(this.customOjLabelElement=this._getCustomOjLabelElement()),this.customOjLabelElement&&t(this.customOjLabelElement).addClass(this._GetDefaultStyleClass()+"-label")):this._createOjLabel(),(e=this.options.describedBy)&&this._addAriaDescribedBy(e),this._initComponentMessaging(),this._runDeferredValidation(this._VALIDATION_CONTEXT.COMPONENT_CREATE),this.options.messagesShown.length>0&&this._setMessagesOption("messagesShown",this.options.messagesShown,null,!0),this.widget().addClass("oj-form-control")},_SaveAttributes:function(e){this._IsCustomElement()||this._SaveAllAttributes(e)},_RestoreAttributes:function(e){this._IsCustomElement()||this._RestoreAllAttributes(e)},_AfterSetOption:function(t,s){switch(t){case"disabled":this._AfterSetOptionDisabledReadOnly(t,e.EditableValueUtils.disabledOptionOptions);break;case"displayOptions":if(this._IsCustomElement()){var i=this.options.displayOptions;if(null!=i){var n=i.helpInstruction;null!=n&&(i.title=n,this.options.displayOptions=i)}}this._initComponentMessaging();break;case"help":this._IsCustomElement()||this._Refresh(t,this.options[t]),this._IsCustomElement()&&(this.options.title=this.options.help.instruction,this._titleOptionChanged());break;case"messagesCustom":this._messagesCustomOptionChanged(s),this._setValidOption(null);break;case"placeholder":this._placeholderOptionChanged(s);break;case"title":this._titleOptionChanged();break;case"translations":this.refresh();break;case"value":this._AfterSetOptionValue(t,s)}},_AfterSetOptionDisabledReadOnly:function(e,t){var s=!this.options[e];this._Refresh(e,this.options[e]),s&&this._runMixedValidationAfterSetOption(t)},_AfterSetOptionValue:function(e,t){var s,i=t?t._context:null,n=!1;i&&(n=!!i.originalEvent,s=i.doNotClearMessages||!1),n||(s||this._clearAllMessages(null),this._runDeferredValidation(this._VALIDATION_CONTEXT.VALUE_OPTION_CHANGE)),this._Refresh(e,this.options[e],!0)},_CanSetValue:function(){return!(this.options.disabled||!1)},_destroy:function(){var s,i,n=this._super();if(this._clearAllMessages(null,!0),this._getComponentMessaging().deactivate(),this.$label)for(i=this.$label.length,s=0;s<i;s++)this.$label[s]&&null!=e.Components.__GetWidgetConstructor(this.$label[s])&&t(this.$label[s]).ojLabel("destroy");return n},GetFocusElement:function(){return this._GetContentElement()[0]},_setOption:function(t,s,i){var n,o,a,r=!1;if("string"==typeof t&&void 0!==s)switch(t){case"messagesHidden":case"messagesShown":case"rawValue":r=!0;break;case"describedBy":a=s,(o=this.options.describedBy)&&this._removeAriaDescribedBy(o),a&&this._addAriaDescribedBy(a)}return r?(e.Logger.error(t+" option cannot be set"),this):(n=this._superApply(arguments),this._AfterSetOption(t,i),n)},_GetContentElement:function(){return this.element},_GetLabelElement:function(){var e;if(this.$label)return this.$label;var s=this._getAriaLabelledByElement(this.element);if(null!==s&&0!==s.length)return s;var i=this.element.prop("id");return void 0!==i&&0!==(s=t("label[for='"+i+"']")).length?s:0!==(e=this.element.closest("[aria-labelledby]")).length&&null!==(s=this._getAriaLabelledByElement(e))&&0!==s.length?s:null},_GetElementValue:function(){return this.element.val()},_GetMessagingLauncherElement:function(){return this._GetContentElement()},_GetConverter:function(){return null},_GetImplicitValidators:function(){return this._implicitValidators||(this._implicitValidators={}),this._implicitValidators},_GetDisplayValue:function(e){return this._GetContentElement().val()},_GetNormalizedValidatorsFromOption:function(){return[]},_GetAllValidators:function(){var e,t,s,i,n;if(!this._allValidators){e=[],s=this._GetImplicitValidators(),i=[];var o,a=Object.keys(s),r=a.length;if(r>0){for(t=0;t<r;t++)o=a[t],i.push(s[o]);e=e.concat(i)}(n=this._GetNormalizedValidatorsFromOption()).length>0&&(e=e.concat(n)),this._allValidators=e}return this._allValidators||[]},_ResetAllValidators:function(){this._allValidators&&(this._allValidators.length=0),this._allValidators=null,this._getComponentMessaging().update(this._getMessagingContent(this._MESSAGING_CONTENT_UPDATE_TYPE.VALIDATOR_HINTS))},_IsRequired:function(){return!1},_HandleChangeEvent:function(e){var t=this._GetDisplayValue();this._SetValue(t,e)},_SetRawValue:function(e,t){var s={};s._context={originalEvent:t,writeback:!0,internalSet:!0,readOnly:!0},this._CompareOptionValues("rawValue",this.options.rawValue,e)||this.option("rawValue",e,s)},_Refresh:function(e,t,s){var i,n;switch(e){case"converter":t=this.options.value,this._refreshComponentDisplayValue(t,s);break;case"disabled":this._refreshTheming("disabled",this.options.disabled);break;case"help":this._IsCustomElement()||this.$label&&(i=this.options.help.definition,n=this.options.help.source,this.$label.ojLabel("option","help",{definition:i,source:n}),this._refreshDescribedByForLabel());break;case"value":this._refreshComponentDisplayValue(t,s)}},_NotifyHidden:function(){this._superApply(arguments),this._getComponentMessaging().close()},_NotifyDetached:function(){this._superApply(arguments),this._getComponentMessaging().close()},_ResetComponentState:function(){this.$label&&this.$label.ojLabel("refresh"),this._implicitReqValidator=null,this._converter=null,this._ResetAllValidators()},_SetDisplayValue:function(e){var t=this._GetContentElement();t.val()!==e&&t.val(e)},_SetDisabledDom:function(e){"boolean"==typeof this.options.disabled&&e.prop("disabled",this.options.disabled)},_SetPlaceholder:function(e){this._GetContentElement().attr("placeholder",e)},_SetPlaceholderOption:function(e){this.options.placeholder=e},_HasPlaceholderSet:function(){return this.options.placeholder},_ClearPlaceholder:function(){this._SetPlaceholderOption(""),this._SetPlaceholder("")},_SetValue:function(t,s,i){var n,o,a=!i||"boolean"!=typeof i.doValueChangeCheck||i.doValueChangeCheck;if(void 0===t)return e.Logger.warn("Attempt to set a value of undefined"),!1;if(a&&t===this._getLastDisplayValue())e.Logger.level>e.Logger.LEVEL_WARN&&e.Logger.info((t.toString,t.toString()));else if(n=this._Validate(t,s,i),this._setValidOption(s),void 0!==n&&this.isValid())return i&&i._context&&(o=i._context),this._updateValueOption(n,s,i&&i.validationContext,o),!0;return!1},_Validate:function(t,s,i){var n=i&&i.validationMode?i.validationMode:this._VALIDATION_MODE.FULL,o=i&&i.validationContext?i.validationContext:this._VALIDATION_CONTEXT.USER_ACTION,a=i&&i.doNotClearMessages||!1;if(void 0===t)e.Logger.warn("Attempt to set a value of undefined");else if(this._CanSetValue()){a||this._clearAllMessages(s),this._setLastSubmittedValue(t);try{return this._runNormalValidation(t,n,o,s)}catch(e){}}else e.Logger.level>e.Logger.LEVEL_WARN&&e.Logger.info("Validation skipped and value option not set as component state does not  allow setting value. For example if the component is readonly or disabled.")},_CompareOptionValues:function(t,s,i){return"value"===t||"rawValue"===t?e.Object.compareValues(s,i):0===t.indexOf("messages")?this._messagesEquals(s,i):this._superApply(arguments)},_GetDefaultStyleClass:function(){return e.Assert.failedInAbstractFunction(),""},_MESSAGING_CONTENT_UPDATE_TYPE:{ALL:1,VALIDITY_STATE:2,CONVERTER_HINT:3,VALIDATOR_HINTS:4,TITLE:5},_OPTION_TO_CSS_MAPPING:{disabled:"oj-disabled",required:"oj-required"},_clearAllMessages:function(e,t){(t=!!t)?(this.options.messagesHidden=[],this.options.messagesShown=[],this.options.messagesCustom=[]):(this._clearMessages("messagesHidden",e),this._clearMessages("messagesShown",e),this._clearMessages("messagesCustom",e))},_clearComponentMessages:function(){var t,s=this.options.messagesShown;t=s.length,this._clearMessages("messagesHidden");for(var i=t-1;i>=0;i--)s[i]instanceof e.ComponentMessage&&s.splice(i,1);s.length!==t&&this._setMessagesOption("messagesShown",s,null,!0)},_setMessagesOption:function(e,t,s,i){var n={},o=0===t.length&&0===this.options[e].length;!i&&o||(n._context={originalEvent:s,writeback:!0,internalSet:!0},"messagesCustom"!==e&&(n._context.readOnly=!0),n.changed=i||!o,this._resetValid(),this.option(e,t,n),this._updateMessagingContent())},_setValidOption:function(e){var t={};t._context={originalEvent:e,writeback:!0,internalSet:!0,readOnly:!0},this.option("valid",this._determineValid(),t)},_clearMessages:function(e,t){this._setMessagesOption(e,[],t)},_cloneMessagesBeforeSet:function(t){var s,i,n,o=[];if(t&&t.length>0)for(s=0;s<t.length;s++)n=t[s],i=new e.Message(n.summary,n.detail,n.severity),i=Object.freeze?Object.freeze(i):i,o.push(i);return o},_createOjLabel:function(){var e,t;this._IsCustomElement()||(this.$label=this._GetLabelElement(),this.$label&&(e=this.options.help.definition,t=this.options.help.source,this.$label.ojLabel({rootAttributes:{class:this._GetDefaultStyleClass()+"-label"},help:{definition:e,source:t}}),this._createDescribedByForLabel()))},_createDescribedByForLabel:function(){var e,t=this.options.help.definition;null==this.options.help.source&&null==t||(e=this.$label.attr("id"))&&this._addAriaDescribedBy(e+"_helpIcon")},_refreshDescribedByForLabel:function(){var e=this.options.help.definition,t=this.options.help.source,s=this.$label.attr("id");s&&(null!=t||null!=e?this._addAriaDescribedBy(s+"_helpIcon"):this._removeAriaDescribedBy(s+"_helpIcon"))},_doRefresh:function(t){var s=!1;(t=t||!1)?(this._ResetComponentState(),this._initComponentMessaging(),this._hasInvalidMessagesShowing()&&(s=!0),this._clearComponentMessages(),s?this._updateValue(e.EditableValueUtils.refreshMethodOptions):(this._IsRequired()&&this._runDeferredValidation(e.EditableValueUtils.refreshMethodOptions.validationContext),this._Refresh("value",this.options.value,!0))):this._Refresh("value",this.options.value),this._Refresh("disabled",this.options.disabled)},_getLastModelValue:function(){return this._oj_lastModelValue},_getLastDisplayValue:function(){return void 0===this._oj_lastElementValue&&(this._oj_lastElementValue=""),this._oj_lastElementValue},_getAriaLabelledByElement:function(e){var s=e.attr("aria-labelledby");return void 0!==s?t("label[id='"+s+"']"):null},_getAriaLabelledById:function(e){var t=null,s=this._getAriaLabelledByElement(e);return null!==s&&0!==s.length&&(t=s.attr("id")),t},_addAriaDescribedBy:function(e){this._GetContentElement().each(function(){var s,i=t(this).attr("aria-describedby");s=i?i.split(/\s+/):[],-1===t.inArray(e,s)&&s.push(e),i=t.trim(s.join(" ")),t(this).attr("aria-describedby",i)})},_removeAriaDescribedBy:function(e){this._GetContentElement().each(function(){var s,i,n;n=(s=t(this).attr("aria-describedby"))?s.split(/\s+/):[],-1!==(i=t.inArray(e,n))&&n.splice(i,1),(s=t.trim(n.join(" ")))?t(this).attr("aria-describedby",s):t(this).removeAttr("aria-describedby")})},_getMessages:function(){return this.options.messagesShown.concat(this.options.messagesHidden)},_getCustomOjLabelElement:function(){var e,s,i,n=null,o=this.options.labelledBy;return o&&(n=document.getElementById(o)),null===n&&(i=(s=this.widget())[0].id)&&(0===(e=s.siblings("[for='"+i+"']")).length&&(e=t("[for='"+this.element.id+"']")),e.length>0&&(n=e[0])),n},_getLabelText:function(){return this.$label?this.$label.text():(void 0===this.customOjLabelElement&&(this.customOjLabelElement=this._getCustomOjLabelElement()),this.customOjLabelElement?this.customOjLabelElement.textContent:null)},_getValidityState:function(){return this._validityState?this._validityState:(this._validityState=new e.ComponentValidity(this.isValid(),this._getMessages()),this._validityState)},_hasInvalidMessages:function(){return!e.Message.isValid(this._getMessages())},_hasInvalidMessagesShowing:function(){return!this.isValid()&&this.options.messagesShown.length>0},_hasInvalidComponentMessagesShowing:function(){for(var t,s,i=this.options.messagesShown,n=0;n<i.length;n++)(s=i[n])instanceof e.ComponentMessage&&s._isMessageAddedByComponent()&&(t=t||[]).push(s);return void 0!==t&&!e.Message.isValid(t)},_initComponentMessaging:function(){var e=this._getComponentMessaging(),t=this._GetMessagingLauncherElement(),s=this._GetContentElement(),i=this._getMessagingContent(this._MESSAGING_CONTENT_UPDATE_TYPE.ALL);this._customPlaceholderSet||this._ClearPlaceholder(),e.activate(t,s,i)},_messagesCustomOptionChanged:function(t){var s,i,n=t?t._context:null,o=this.options.messagesCustom,a=this.options.messagesShown,r=[];for(s=0;s<a.length;s++)(i=a[s])instanceof e.ComponentMessage&&i._isMessageAddedByComponent()&&r.push(i);for(s=0;s<o.length;s++)r.push(o[s]);this._setMessagesOption("messagesShown",r,n?n.originalEvent:null,t&&t.changed)},_placeholderOptionChanged:function(e){var t=!(e&&e._context||{}).internalMessagingSet,s=this.options.placeholder;this._SetPlaceholder(s),t?(this._customPlaceholderSet=!0,this._GetConverter()&&this._initComponentMessaging()):this._customPlaceholderSet=!1},_setLastModelValue:function(e){this._oj_lastModelValue=e},_setLastSubmittedValue:function(e){this._oj_lastElementValue=e},_titleOptionChanged:function(){this._getComponentMessaging().update(this._getMessagingContent(this._MESSAGING_CONTENT_UPDATE_TYPE.TITLE))},_updateMessagesOption:function(e,t,s){var i,n,o;if("object"==typeof t&&Array.isArray(t))for(o=this.options[e],n=t.length,i=0;i<n;i++)o.push(t[i]);this._setMessagesOption(e,o,s,!0)},_updateMessagingContent:function(){this._getComponentMessaging().update(this._getMessagingContent())},_updateValueOption:function(e,t,s,i){var n=i||{};switch(t&&(n.originalEvent=t),s){case this._VALIDATION_CONTEXT.CONVERTER_OPTION_CHANGE:case this._VALIDATION_CONTEXT.DISABLED_OPTION_CHANGE:case this._VALIDATION_CONTEXT.READONLY_OPTION_CHANGE:case this._VALIDATION_CONTEXT.REFRESH_METHOD:case this._VALIDATION_CONTEXT.REQUIRED_OPTION_CHANGE:case this._VALIDATION_CONTEXT.VALIDATE_METHOD:case this._VALIDATION_CONTEXT.VALIDATORS_OPTION_CHANGE:n.writeback=!0,n.doNotClearMessages=!0}n.internalSet=!0,this.option({value:e},{_context:n}),this._AfterSetOptionValue("value",{_context:n})},_resetValid:function(){this._valid=void 0},_determineValid:function(){var t=this.options.messagesHidden,s=this.options.messagesShown,i="valid";return s&&0!==s.length&&!e.Message.isValid(s)?i="invalidShown":t&&0!==t.length&&!e.Message.isValid(t)&&(i="invalidHidden"),i},_formatValue:function(t){var s=t,i=this._GetConverter();return i&&"object"==typeof i&&(i.format&&"function"==typeof i.format?s=i.format(t):e.Logger.level>e.Logger.LEVEL_WARN&&e.Logger.info("converter does not support the format method.")),s},_getComponentMessaging:function(){return this._componentMessaging||(this._componentMessaging=new e.ComponentMessaging(this)),this._componentMessaging},_getHintsForAllValidators:function(e){var t,s,i=[],n="";for(this._IsRequired()&&(s=this._getImplicitRequiredValidator()).getHint&&"function"==typeof s.getHint&&(n=s.getHint())&&i.push(n),t=0;t<e.length;t++)n="","object"==typeof(s=e[t])&&s.getHint&&"function"==typeof s.getHint&&(n=s.getHint())&&i.push(n);return i},_getImplicitRequiredValidator:function(){var t,s,i={};return null==this._implicitReqValidator&&(s={hint:(i=this.options.translations&&this.options.translations.required||{}).hint||null,label:this._getLabelText(),messageSummary:i.messageSummary||null,messageDetail:i.messageDetail||null},t=e.Validation.validatorFactory(e.ValidatorFactory.VALIDATOR_TYPE_REQUIRED),this._implicitReqValidator=t?t.createValidator(s):null),this._implicitReqValidator},_getMessagingContent:function(e){var t,s,i,n={},o="",a=[];return(e=e||this._MESSAGING_CONTENT_UPDATE_TYPE.VALIDITY_STATE)!==this._MESSAGING_CONTENT_UPDATE_TYPE.ALL&&e!==this._MESSAGING_CONTENT_UPDATE_TYPE.VALIDITY_STATE||(i=this._getMessages(),this._getValidityState().update(this.isValid(),i),n.validityState=this._getValidityState()),e!==this._MESSAGING_CONTENT_UPDATE_TYPE.ALL&&e!==this._MESSAGING_CONTENT_UPDATE_TYPE.CONVERTER_HINT||((s=this._GetConverter())&&"object"==typeof s&&s.getHint&&"function"==typeof s.getHint&&(o=s.getHint()||""),n.converterHint=o),e!==this._MESSAGING_CONTENT_UPDATE_TYPE.ALL&&e!==this._MESSAGING_CONTENT_UPDATE_TYPE.VALIDATOR_HINTS||(t=this._GetAllValidators(),a=this._getHintsForAllValidators(t)||[],n.validatorHint=a),e!==this._MESSAGING_CONTENT_UPDATE_TYPE.ALL&&e!==this._MESSAGING_CONTENT_UPDATE_TYPE.TITLE||(n.title=this.options.title||""),n},_messagesEquals:function(s,i){var n,o=-1,a=!0,r=t.extend([],s),l=t.extend([],i);return r.length===l.length&&(t.each(r,function(s,i){i instanceof e.Message?n=i:(n=new e.Message(i.summary,i.detail,i.severity),n=Object.freeze?Object.freeze(n):n),o=-1,t.each(l,function(t,s){e.Message.getSeverityLevel(n.severity)!==e.Message.getSeverityLevel(s.severity)||n.summary!==s.summary||n.detail!==s.detail||(o=t)}),o>-1?l.splice(o,1):a=!1}),a)},_parseValue:function(t){var s=this._GetConverter(),i=t;return s&&"object"==typeof s&&(s.parse&&"function"==typeof s.parse?i=s.parse(t):e.Logger.level>e.Logger.LEVEL_WARN&&e.Logger.info("converter does not support the parse method.")),i},_addValidationError:function(t,s){var i,n,o,a;t instanceof e.ConverterError||t instanceof e.ValidatorError?(n=(o=t.getMessage()).severity||e.Message.SEVERITY_LEVEL.ERROR,a=o.summary||e.Translations.getTranslatedString("oj-message.error"),i=o.detail||e.Translations.getTranslatedString("oj-converter.detail")):t.summary||t.detail?(n=e.Message.SEVERITY_LEVEL.ERROR,a=t.summary||e.Translations.getTranslatedString("oj-message.error"),i=t.detail||e.Translations.getTranslatedString("oj-converter.detail")):(n=e.Message.SEVERITY_LEVEL.ERROR,a=e.Translations.getTranslatedString("oj-message.error"),i=t.message||e.Translations.getTranslatedString("oj-converter.detail")),s.push({summary:a,detail:i,severity:n})},_processValidationErrors:function(t,s,i){var n,o=[],a=t._messages||[],r={};r.context=s||0,r.display=i||e.ComponentMessage.DISPLAY.SHOWN,0===a.length&&this._addValidationError(t,a);for(var l=0;l<a.length;l++)n=a[l],o.push(this._createComponentMessage(n.summary,n.detail,n.severity,r));return o||null},_createComponentMessage:function(t,s,i,n){var o;return o=new e.ComponentMessage(t,s,i,n),o=Object.seal?Object.seal(o):o},_refreshComponentDisplayValue:function(e,t){(t||e!==this._getLastModelValue())&&this._updateElementDisplayValue(e)},_refreshTheming:function(e,t){-1!==Object.keys(this._OPTION_TO_CSS_MAPPING).indexOf(e)&&this.widget().toggleClass(this._OPTION_TO_CSS_MAPPING[e],!!t)},_runDeferredValidation:function(t){var s;if(this._CanSetValue())try{this._validateValue(this.options.value,this._VALIDATION_MODE.REQUIRED_VALIDATOR_ONLY)}catch(i){(s=this._processValidationErrors(i,t,e.ComponentMessage.DISPLAY.HIDDEN))&&this._updateMessagesOption("messagesHidden",s)}else e.Logger.level>e.Logger.LEVEL_WARN&&e.Logger.info("Deferred validation skipped as component is readonly or disabled.");this._setValidOption(null)},_runNormalValidation:function(e,t,s,i){var n,o=e;try{t===this._VALIDATION_MODE.FULL&&(o=this._parseValue(e)),this._validateValue(o,t===this._VALIDATION_MODE.REQUIRED_VALIDATOR_ONLY)}catch(e){throw n=this._processValidationErrors(e,s),this._updateMessagesOption("messagesShown",n,i),e}return o},_runMixedValidationAfterSetOption:function(e){var t=!0;this._hasInvalidMessagesShowing()&&(t=!1),this._clearComponentMessages(),t?this._IsRequired()?this._runDeferredValidation(e.validationContext):this._setValidOption(null):this._updateValue(e)},_updateElementDisplayValue:function(e,t){var s,i,n;this._setLastModelValue(e),i=e;try{i=this._formatValue(e)}catch(e){n=this._processValidationErrors(e),this._updateMessagesOption("messagesShown",n,t)}this._SetDisplayValue(i),s=this._GetDisplayValue(),this._setLastSubmittedValue(s),this._SetRawValue(s,null)},_updateValue:function(e){var t;t=this._Validate(this._GetDisplayValue(),null,e),this._setValidOption(null),void 0===t||!this.isValid()&&this._hasInvalidComponentMessagesShowing()||this._updateValueOption(t,null,e.validationContext)},_validateValue:function(t,s){var i,n,o=this._GetAllValidators(),a=[];if(this._IsRequired()){n=this._getImplicitRequiredValidator();try{n.validate(e.StringUtils.trim(t))}catch(e){this._addValidationError(e,a)}}if(!s)for(i=0;i<o.length;i++)if("object"==typeof(n=o[i]))if(n.validate&&"function"==typeof n.validate)try{n.validate(t)}catch(e){this._addValidationError(e,a)}else e.Logger.level>e.Logger.LEVEL_WARN&&e.Logger.info("validator does not support the validate method.");if(a.length>0){var r=new Error;throw r._messages=a,r}}},!0),e.Components.setDefaultOptions({editableValue:{displayOptions:e.Components.createDynamicPropertyGetter(function(e){var t={messages:e.containers.indexOf("ojDataGrid")>=0||e.containers.indexOf("ojTable")>=0?["notewindow"]:["inline"],converterHint:["placeholder","notewindow"],validatorHint:["notewindow"]};return t[e.isCustomElement?"helpInstruction":"title"]=["notewindow"],t}),help:e.Components.createDynamicPropertyGetter(function(e){return e.isCustomElement?{instruction:""}:{definition:null,source:null}})}}),e.InlineMessagingStrategy=function(e){this.Init(e)},e.ComponentMessaging.registerMessagingStrategy(e.ComponentMessaging._DISPLAY_TYPE.INLINE,e.InlineMessagingStrategy),e.Object.createSubclass(e.InlineMessagingStrategy,e.MessagingStrategy,"oj.InlineMessagingStrategy"),e.InlineMessagingStrategy.prototype.reactivate=function(t){e.InlineMessagingStrategy.superclass.reactivate.call(this,t),this._updateInlineMessage()},e.InlineMessagingStrategy.prototype.shouldUpdate=function(e){return!(!e||void 0===e.validityState)},e.InlineMessagingStrategy.prototype.update=function(){e.InlineMessagingStrategy.superclass.update.call(this),this._updateInlineMessage()},e.InlineMessagingStrategy.prototype.deactivate=function(){this._removeMessagingContentRootDom(),e.InlineMessagingStrategy.superclass.deactivate.call(this)},e.InlineMessagingStrategy.prototype._getDefaultAnimation=function(){if(!e.InlineMessagingStrategy._defaultAnimation){var t=(e.ThemeUtils.parseJSONFromFontFamily("oj-messaging-inline-option-defaults")||{}).animation;t=t||{},e.InlineMessagingStrategy._defaultAnimation=t}return e.InlineMessagingStrategy._defaultAnimation},e.InlineMessagingStrategy.prototype._replaceAnimationOptions=function(t,s){var i,n;for(var o in e.StringUtils.isString(t)?(n=!0,i=t+""):(n=!1,i=JSON.stringify(t)),s)i=i.replace(new RegExp(o,"g"),s[o]);return t=n?i:JSON.parse(i)},e.InlineMessagingStrategy.prototype._determineAnimation=function(e,t){var s,i,n,o=this._getDefaultAnimation();if(o){var a,r=e[0].innerHTML,l=e.outerHeight();e[0].innerHTML=t,a=e.outerHeight(),e[0].innerHTML=r,(i=o[s=a>l?"open":"close"])&&(n=this._replaceAnimationOptions(i,{"#oldHeight":l+"px","#newHeight":a+"px"}))}return{action:s,effect:n}},e.InlineMessagingStrategy.prototype._setBusyState=function(){if(!this._resolveBusyState){var t=this.GetComponent(),s=t?t.element:null,i=s?s[0]:null,n=e.Context.getContext(i).getBusyContext(),o="The page is waiting for inline message ";i&&i.id&&(o+='for "'+i.id+'" '),o+="to open/close",this._resolveBusyState=n.addBusyState({description:o})}},e.InlineMessagingStrategy.prototype._clearBusyState=function(){this._resolveBusyState&&(this._resolveBusyState(),this._resolveBusyState=null)},e.InlineMessagingStrategy.prototype._queueAction=function(t){var s=this,i=this.$messagingContentRoot;this._setBusyState(),this._timeoutId&&clearTimeout(this._timeoutId),this._timeoutId=setTimeout(function(){if(s._timeoutId=null,i&&i[0]){var n=s._determineAnimation(i,t),o=n.action,a=n.effect;"open"==o&&(i[0].innerHTML=t),e.AnimationUtils.startAnimation(i[0],"inline-"+o,a,s.GetComponent()).then(function(){"close"==o&&(i[0].innerHTML=t),s._clearBusyState()})}else s._clearBusyState()},0)},e.InlineMessagingStrategy.prototype._updateInlineMessage=function(){var e;(e=this._buildInlineHtml())&&null==this.$messagingContentRoot&&this._createInlineMessage(),this.$messagingContentRoot&&this.$messagingContentRoot[0]&&(this.GetComponent()._IsCustomElement()?this._queueAction(e):e?this.$messagingContentRoot[0].innerHTML=e:this._removeMessagingContentRootDom())},e.InlineMessagingStrategy.prototype._createInlineMessage=function(){this.$messagingContentRoot=t(this._getInlineContentHtml()),this._addAriaDescribedBy(this.$messagingContentRoot),this._addAriaLive(this.$messagingContentRoot),this.GetComponent().widget().append(this.$messagingContentRoot)},e.InlineMessagingStrategy.prototype._getInlineContentHtml=function(){return"<div class='oj-messaging-inline-container'></div>"},e.InlineMessagingStrategy.prototype._removeMessagingContentRootDom=function(){null!=this.$messagingContentRoot&&(this._removeAriaDescribedBy(this.$messagingContentRoot),this.$messagingContentRoot.remove(),this.$messagingContentRoot=null)},e.InlineMessagingStrategy.prototype._addAriaDescribedBy=function(s){var i,n,o,a;n=this.GetLauncher(),e.Assert.assertPrototype(n,t),e.Assert.assertPrototype(s,t),o=s.uniqueId().attr("id"),(a=(i=n.attr("aria-describedby"))?i.split(/\s+/):[]).push(o),i=t.trim(a.join(" ")),n.attr("aria-describedby",i)},e.InlineMessagingStrategy.prototype._addAriaLive=function(s){e.Assert.assertPrototype(s,t),s.attr("aria-live","polite")},e.InlineMessagingStrategy.prototype._removeAriaDescribedBy=function(s){var i,n,o,a,r;o=this.GetLauncher(),e.Assert.assertPrototype(o,t),e.Assert.assertPrototype(s,t),a=s.attr("id"),r=(i=o.attr("aria-describedby"))?i.split(/\s+/):[],-1!==(n=t.inArray(a,r))&&r.splice(n,1),(i=t.trim(r.join(" ")))?o.attr("aria-describedby",i):o.removeAttr("aria-describedby")},e.InlineMessagingStrategy.prototype._buildInlineHtml=function(){var e;return this.ShowMessages()?(e=this.GetComponent().document[0],this._buildMessagesHtml(e)):""},e.InlineMessagingStrategy.prototype._buildMessagesHtml=function(t){var s,i,n="";return this.HasMessages()&&(i=this.GetMessages(),s=this.GetMaxSeverity(),n=e.PopupMessagingStrategyUtils.buildMessagesHtml(t,i,s,!0)),n},e.PopupMessagingStrategy=function(e){this.Init(e)},e.ComponentMessaging.registerMessagingStrategy(e.ComponentMessaging._DISPLAY_TYPE.NOTEWINDOW,e.PopupMessagingStrategy),e.Object.createSubclass(e.PopupMessagingStrategy,e.MessagingStrategy,"oj.PopupMessagingStrategy"),e.PopupMessagingStrategy._DEFAULTS_BY_COMPONENT={ojRadioset:{position:"launcher",events:{open:"focusin mouseenter press",close:"mouseleave"}},ojCheckboxset:{position:"launcher",events:{open:"focusin mouseenter press",close:"mouseleave"}},ojInputText:{position:"launcher",events:{open:"focusin"}},ojTextArea:{position:"launcher",events:{open:"focusin"}},ojInputPassword:{position:"launcher",events:{open:"focusin"}},ojSwitch:{position:"launcher",events:{open:"focusin mouseenter",close:"mouseleave"}},ojSlider:{position:"launcher",events:{open:"focusin mouseenter",close:"mouseleave"}},ojColorSpectrum:{position:"launcher",events:{open:"focusin mouseenter",close:"mouseleave"}},ojColorPalette:{position:"launcher",events:{open:"focusin mouseenter",close:"mouseleave"}},default:{position:"launcher-wrapper",events:{open:"focusin"}}},e.PopupMessagingStrategy._SELECTOR_FORMCONTROL_HINT="oj-form-control-hint",e.PopupMessagingStrategy._SELECTOR_FORMCONTROL_HINT_CONVERTER="oj-form-control-hint-converter",e.PopupMessagingStrategy._SELECTOR_FORMCONTROL_HINT_VALIDATOR="oj-form-control-hint-validator",e.PopupMessagingStrategy._SELECTOR_FORMCONTROL_HINT_TITLE="oj-form-control-hint-title",e.PopupMessagingStrategy._OPEN_NAMESPACE=".ojPopupMessagingOpen",e.PopupMessagingStrategy._CLOSE_NAMESPACE=".ojPopupMessagingClose",e.PopupMessagingStrategy.prototype.activate=function(t){e.PopupMessagingStrategy.superclass.activate.call(this,t),this._initMessagingPopup()},e.PopupMessagingStrategy.prototype.reactivate=function(t){e.PopupMessagingStrategy.superclass.reactivate.call(this,t),this._updatePopupIfOpen()},e.PopupMessagingStrategy.prototype.update=function(){e.PopupMessagingStrategy.superclass.update.call(this),this._updatePopupIfOpen()},e.PopupMessagingStrategy.prototype.deactivate=function(){this._unregisterLauncherEvents(),this._destroyTooltip(),e.PopupMessagingStrategy.superclass.deactivate.call(this)},e.PopupMessagingStrategy.prototype.close=function(){this._closePopup()},e.PopupMessagingStrategy.prototype._closePopup=function(){this._queueAction(function(e){if(this._isPopupInitialized())return e&&this._setActionResolver(this.$messagingContentRoot,"close",e),void this.$messagingContentRoot.ojPopup("close");e&&e(!0)}.bind(this))},e.PopupMessagingStrategy.prototype._initMessagingPopup=function(){this._openPopupCallback||this._registerLauncherEvents()},e.PopupMessagingStrategy.prototype._addAnimateEventListeners=function(e){var t=function(e,t,s){var i=this.GetComponent();i&&i._trigger&&(t.stopPropagation(),i._trigger(e,null,s)||t.preventDefault())};e.on("ojanimatestart.notewindow",t.bind(this,"animateStart")),e.on("ojanimateend.notewindow",t.bind(this,"animateEnd"))},e.PopupMessagingStrategy.prototype._removeAnimateEventListeners=function(e){e.off("ojanimatestart.notewindow"),e.off("ojanimateend.notewindow")},e.PopupMessagingStrategy.prototype._setBusyState=function(t){var s=this.GetComponent(),i=s?s.element:null,n=i?i[0]:null,o=e.Context.getContext(n).getBusyContext(),a="The page is waiting for note window ";return n&&n.id&&(a+='for "'+n.id+'" '),a+="to "+t,o.addBusyState({description:a})},e.PopupMessagingStrategy.prototype._setActionResolver=function(e,t,s){var i;this._actionCount>1&&(i=e.ojPopup("option","animation"),e.ojPopup("option","animation",null));var n=this._setBusyState(t);e.one("oj"+t,function(){i&&e.ojPopup("option","animation",i),n(),s(!0)})},e.PopupMessagingStrategy.prototype._queueAction=function(e){if(this.GetComponent()._IsCustomElement()){var t=this,s=function(e){var s=new Promise(e);return s.then(function(){--t._actionCount}),s};this._actionCount?(++this._actionCount,this._actionPromise=this._actionPromise.then(function(){return s(e)})):(this._actionCount=1,this._actionPromise=s(e))}else e(null)},e.PopupMessagingStrategy.prototype._openPopup=function(t){this._queueAction(function(s){var i,n,o;if(this._canOpenPopup()&&(n=this._buildPopupHtml(),!e.StringUtils.isEmptyOrUndefined(n))){var a=this._getPopupElement(),r=a.ojPopup("isOpen");if((i=e.PopupMessagingStrategyPoolUtils.getPopupContentNode(a)).innerHTML="",i.innerHTML=n,!r)return o=this.GetLauncher(),"press"===t.type&&this._openPopupOnPressEvent(o),s&&this._setActionResolver(a,"open",s),void a.ojPopup("open",o);r&&a.ojPopup("refresh")}s&&s(!0)}.bind(this))},e.PopupMessagingStrategy.prototype._openPopupOnPressEvent=function(e){this._inPressEvent=!0,e[0].addEventListener("click",this._eatChangeAndClickOnPress,!0),e[0].addEventListener("change",this._eatChangeAndClickOnPress,!0),e.one("touchend",function(e){setTimeout(function(){this._inPressEvent=!1},50)})},e.PopupMessagingStrategy.prototype._eatChangeAndClickOnPress=function(e){this._inPressEvent&&(e.preventDefault(),e.stopPropagation(),"click"===e.type&&(this._inPressEvent=!1))},e.PopupMessagingStrategy.prototype._canOpenPopup=function(){var e=this.GetComponent().options,t=e.disabled||!1,s=e.readOnly||!1;return!(t||s)},e.PopupMessagingStrategy.prototype._updatePopupIfOpen=function(){var t,s,i,n,o=!1;if(this._isPopupInitialized()){if(o=(n=this._getPopupElement()).ojPopup("isOpen"),t=this._buildPopupHtml(),null==this.GetLauncher())return;i=document.activeElement===this.GetLauncher()[0],o?t?((s=e.PopupMessagingStrategyPoolUtils.getPopupContentNode(n)).innerHTML="",s.innerHTML=t,n.ojPopup("refresh")):n.ojPopup("close"):i&&t&&this._openPopup(void 0)}},e.PopupMessagingStrategy.prototype._unregisterLauncherEvents=function(){var t,s=this.GetLauncher();(t=e.PopupMessagingStrategy._DEFAULTS_BY_COMPONENT[this.GetComponent().widgetName])?t.events:e.PopupMessagingStrategy._DEFAULTS_BY_COMPONENT.default.events,s.off(e.PopupMessagingStrategy._OPEN_NAMESPACE),s.off(e.PopupMessagingStrategy._CLOSE_NAMESPACE),s[0].removeEventListener("click",this._eatChangeAndClickOnPress,!0),s[0].removeEventListener("change",this._eatChangeAndClickOnPress,!0),e.DomUtils.isTouchSupported()&&(s.ojHammer().off("press"),s.ojHammer("destroy"),s.off("contextmenu",this._eatContextMenuOnOpenPopupListener),this._eatContextMenuOnOpenPopupListener=null,this._inPressEvent=null),this._openPopupCallback=null,this._closePopupCallback=null},e.PopupMessagingStrategy.prototype._registerLauncherEvents=function(){var t,i,n,o,a,r,l,p,u=this.GetLauncher();(o=(n=e.PopupMessagingStrategy._DEFAULTS_BY_COMPONENT[this.GetComponent().widgetName])?n.events:e.PopupMessagingStrategy._DEFAULTS_BY_COMPONENT.default.events).open&&((l=this._openPopupCallback)||(l=this._openPopupCallback=this._openPopup.bind(this)),p=o.open.indexOf("press"),r=this._getNamespacedEvents(o.open.replace("press",""),e.PopupMessagingStrategy._OPEN_NAMESPACE),u.on(r,l),e.DomUtils.isTouchSupported()&&(this._eatContextMenuOnOpenPopupListener=function(e){return!1},u.on("contextmenu",this._eatContextMenuOnOpenPopupListener),-1!==p&&(a={recognizers:[[s.Press,{time:750}]]},u.ojHammer(a).on("press",l)))),o.close&&((i=this._closePopupCallback)||(i=this._closePopupCallback=this._closePopup.bind(this)),t=this._getNamespacedEvents(o.close,e.PopupMessagingStrategy._CLOSE_NAMESPACE),u.on(t,i))},e.PopupMessagingStrategy.prototype._getNamespacedEvents=function(e,t){var s,i,n;if(""===e||""===t)return e;n=(s=e.split(" ")).length,i=[];for(var o=0;o<n;o++)s[o]&&i.push(s[o]+t);return i.join(" ")},e.PopupMessagingStrategy.prototype._getPopupPosition=function(){var t,s,i;return(t=(s=e.PopupMessagingStrategy._DEFAULTS_BY_COMPONENT[this.GetComponent().widgetName])?s.position:e.PopupMessagingStrategy._DEFAULTS_BY_COMPONENT.default.position)&&("launcher"===t?i=this.GetLauncher():"launcher-wrapper"===t&&(i=this.GetLauncher().parent())),i||(i=this.GetComponent().widget()),{my:"start bottom",at:"end top",collision:"flipcenter",of:i}},e.PopupMessagingStrategy.prototype._getPopupElement=function(){var t,s;if(this.$messagingContentRoot)return this.$messagingContentRoot;if(t=e.PopupMessagingStrategyPoolUtils.getNextFreePopup(),s=this._getPopupPosition(),t.ojPopup("option","position",s),t.ojPopup("option","beforeClose",this._popupBeforeCloseCallback.bind(this)),t.ojPopup("option","close",this._popupCloseCallback.bind(this)),t.ojPopup("option","open",this._popupOpenCallback.bind(this)),this.GetComponent()._IsCustomElement()){var i=(e.ThemeUtils.parseJSONFromFontFamily("oj-messaging-popup-option-defaults")||{}).animation;i.actionPrefix="notewindow",t.ojPopup("option","animation",i),this._addAnimateEventListeners(t)}else t.ojPopup("option","animation",null);return this.$messagingContentRoot=t,this.$messagingContentRoot},e.PopupMessagingStrategy.prototype._popupOpenCallback=function(s){var i=t(s.target),n=this;window.setTimeout(function(){e.Components.isComponentInitialized(i,"ojPopup")?i.ojPopup("option","autoDismiss","focusLoss"):delete n.$messagingContentRoot},10)},e.PopupMessagingStrategy.prototype._popupBeforeCloseCallback=function(e){this._resolveBusyState=this._setBusyState("close")},e.PopupMessagingStrategy.prototype._popupCloseCallback=function(s){var i,n;i=this.GetLauncher(),n=t(s.target),this._removeAnimateEventListeners(n),e.Components.isComponentInitialized(n,"ojPopup")&&(n.ojPopup("option","autoDismiss","none"),n.ojPopup("option","open",null),n.ojPopup("option","close",null),n.ojPopup("option","beforeClose",null)),i&&i[0]&&(i[0].removeEventListener("click",this._eatChangeAndClickOnPress,!0),i[0].removeEventListener("change",this._eatChangeAndClickOnPress,!0)),this.$messagingContentRoot=null,this._inPressEvent=null,t(e.PopupMessagingStrategyPoolUtils.getPopupContentNode(n)).empty(),this._resolveBusyState&&(this._resolveBusyState(),this._resolveBusyState=null)},e.PopupMessagingStrategy.prototype._destroyTooltip=function(){this._closePopup(),e.PopupMessagingStrategyPoolUtils.destroyFreePopup()},e.PopupMessagingStrategy.prototype._buildPopupHtml=function(){var s=!1,i=this.GetComponent().document[0],n=[],o="";return this.ShowMessages()&&n.push(this._buildMessagesHtml(i)),(this.ShowConverterHint()||this.ShowValidatorHint()||this.ShowTitle())&&n.push(this._buildHintsHtml(i)),t.each(n,function(t,n){n&&(s?o=o.concat(e.PopupMessagingStrategyUtils.getSeparatorHtml(i)):s=!0,o=o.concat(n))}),o},e.PopupMessagingStrategy.prototype._buildMessagesHtml=function(t){var s,i="",n=this.GetMaxSeverity();return this.HasMessages()&&(s=this.GetMessages(),i=e.PopupMessagingStrategyUtils.buildMessagesHtml(t,s,n,!1)),i},e.PopupMessagingStrategy.prototype._buildHintsHtml=function(t){var s,i,n=[],o="";if(this.ShowConverterHint()&&(s=(n=this.GetConverterHint()).length?n[0]:"",o+=e.PopupMessagingStrategyUtils.buildHintHtml(t,e.PopupMessagingStrategy._SELECTOR_FORMCONTROL_HINT_CONVERTER,s,!1,e.PopupMessagingStrategy._SELECTOR_FORMCONTROL_HINT)),this.ShowValidatorHint())for(n=this.GetValidatorHints(),i=0;i<n.length;i++)o+=e.PopupMessagingStrategyUtils.buildHintHtml(t,e.PopupMessagingStrategy._SELECTOR_FORMCONTROL_HINT_VALIDATOR,n[i],!1,e.PopupMessagingStrategy._SELECTOR_FORMCONTROL_HINT);return this.ShowTitle()&&(o+=e.PopupMessagingStrategyUtils.buildHintHtml(t,e.PopupMessagingStrategy._SELECTOR_FORMCONTROL_HINT_TITLE,this.GetTitle(),!0,e.PopupMessagingStrategy._SELECTOR_FORMCONTROL_HINT)),o?"<div class='oj-form-control-hints'>"+o+"</div>":""},e.PopupMessagingStrategy.prototype._isPopupInitialized=function(){return!!this.$messagingContentRoot&&e.Components.isComponentInitialized(this.$messagingContentRoot,"ojPopup")},e.PopupMessagingStrategyUtils={},e.PopupMessagingStrategyUtils.buildHintHtml=function(s,i,n,o,a){var r;return n&&(a+=" "+i,(r=t(s.createElement("div"))).addClass(a),r.append(e.PopupMessagingStrategyUtils._getTextDom(s,n,o))),r?r.get(0).outerHTML:""},e.PopupMessagingStrategyUtils.getSeverityTranslatedString=function(t){var s;switch(t){case e.Message.SEVERITY_LEVEL.FATAL:s=e.Translations.getTranslatedString("oj-message.fatal");break;case e.Message.SEVERITY_LEVEL.ERROR:s=e.Translations.getTranslatedString("oj-message.error");break;case e.Message.SEVERITY_LEVEL.WARNING:s=e.Translations.getTranslatedString("oj-message.warning");break;case e.Message.SEVERITY_LEVEL.INFO:s=e.Translations.getTranslatedString("oj-message.info");break;case e.Message.SEVERITY_LEVEL.CONFIRMATION:s=e.Translations.getTranslatedString("oj-message.confirmation")}return s},e.PopupMessagingStrategyUtils.getSeparatorHtml=function(e){var s;return(s=t(e.createElement("hr")))?s.get(0).outerHTML:""},e.PopupMessagingStrategyUtils.buildMessagesHtml=function(t,s,i,n){var o,a,r,l,p,u,g,_,h="",d=[],c={};for(a=0;a<s.length;a++)p=(l=s[a])instanceof e.Message?l:new e.Message(l.summary,l.detail,l.severity),c[u=e.Message.getSeverityLevel(p.severity)]||(c[u]=[]),c[u].push(p);for(a=i;a>=e.Message.SEVERITY_LEVEL.CONFIRMATION;a--)for(d=c[a]||[],r=0;r<d.length;r++)l=d[r],u=e.Message.getSeverityLevel(l.severity),g=e.PopupMessagingStrategyUtils.getSeverityTranslatedString(u),_=l.summary||g,o=l.detail||"",h=h.concat(e.PopupMessagingStrategyUtils.buildMessageHtml(t,_,o,u,n));return h},e.PopupMessagingStrategyUtils.buildMessageHtml=function(s,i,n,o,a){var r,l,p,u,g,_=e.PopupMessagingStrategyUtils.getSeverityTranslatedString(o);if((p=t(s.createElement("div"))).addClass(e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE),a&&p.addClass(e.PopupMessagingStrategyUtils._getSeveritySelector(o)),(u=t(s.createElement("span"))).addClass(e.PopupMessagingStrategyUtils._getSeverityIconSelector(o)).attr("title",_).attr("role","img"),p.append(u),(r=t(s.createElement("span"))).addClass(e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_CONTENT),(g=t(s.createElement("div"))).addClass(e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_SUMMARY).text(i),r.append(g),n){var h=e.PopupMessagingStrategyUtils._getTextDom(s,n,!0);(l=t(s.createElement("div"))).addClass(e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_DETAIL).append(h),r.append(l)}return p.append(r),p?p.get(0).outerHTML:""},e.PopupMessagingStrategyUtils._getSeverityIconSelector=function(t){var s;switch(t){case e.Message.SEVERITY_LEVEL.FATAL:case e.Message.SEVERITY_LEVEL.ERROR:s=e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_ERROR_ICON;break;case e.Message.SEVERITY_LEVEL.WARNING:s=e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_WARNING_ICON;break;case e.Message.SEVERITY_LEVEL.INFO:s=e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_INFO_ICON;break;case e.Message.SEVERITY_LEVEL.CONFIRMATION:s=e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_CONFIRMATION_ICON}return e.PopupMessagingStrategyUtils._DEFAULT_STATUS_ICON_SELECTORS+s},e.PopupMessagingStrategyUtils._getSeveritySelector=function(t){var s;switch(t){case e.Message.SEVERITY_LEVEL.FATAL:case e.Message.SEVERITY_LEVEL.ERROR:s=e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_ERROR;break;case e.Message.SEVERITY_LEVEL.WARNING:s=e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_WARNING;break;case e.Message.SEVERITY_LEVEL.INFO:s=e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_INFO;break;case e.Message.SEVERITY_LEVEL.CONFIRMATION:default:s=e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_CONFIRMATION}return s},e.PopupMessagingStrategyUtils._getTextDom=function(t,s,i){var n=null;return e.StringUtils.isString(s)&&(i&&e.DomUtils.isHTMLContent(s)?n=e.DomUtils.cleanHtml(s.substring(6,s.length-7)):(n=t.createElement("span")).textContent=s),n},e.PopupMessagingStrategyUtils._DEFAULT_STATUS_ICON_SELECTORS="oj-component-icon oj-message-status-icon ",e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE="oj-message",e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_SUMMARY="oj-message-summary",e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_DETAIL="oj-message-detail",e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_CONTENT="oj-message-content",e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_ERROR_ICON="oj-message-error-icon",e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_WARNING_ICON="oj-message-warning-icon",e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_INFO_ICON="oj-message-info-icon",e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_CONFIRMATION_ICON="oj-message-confirmation-icon",e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_ERROR="oj-message-error",e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_WARNING="oj-message-warning",e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_INFO="oj-message-info",e.PopupMessagingStrategyUtils._SELECTOR_MESSAGE_CONFIRMATION="oj-message-confirmation",e.PopupMessagingStrategyPoolUtils={},e.PopupMessagingStrategyPoolUtils.getNextFreePopup=function(){var s,i=e.PopupMessagingStrategyPoolUtils._getPool(),n=i.find("."+e.PopupMessagingStrategyPoolUtils._SELECTOR_MESSAGING);if(0===n.length){(s=t(e.PopupMessagingStrategyPoolUtils._getPopupContentHtml()).hide()).appendTo(i);s.ojPopup({initialFocus:"none",tail:"simple",autoDismiss:"none",modality:"modeless",animation:{open:null,close:null}})}else s=t(n[0]);return s},e.PopupMessagingStrategyPoolUtils.getPopupContentNode=function(t){return t.find("."+e.PopupMessagingStrategyPoolUtils._SELECTOR_MESSAGING_CONTAINER)[0]},e.PopupMessagingStrategyPoolUtils.destroyFreePopup=function(){var t;e.PopupMessagingStrategyPoolUtils._getFreePoolCount()>0&&((t=e.PopupMessagingStrategyPoolUtils.getNextFreePopup()).ojPopup("destroy"),t.remove())},e.PopupMessagingStrategyPoolUtils._getPool=function(){var s=t("#"+e.PopupMessagingStrategyPoolUtils._MESSAGING_POPUP_POOL_ID);return s.length>0?s:((s=t("<div>")).attr("id",e.PopupMessagingStrategyPoolUtils._MESSAGING_POPUP_POOL_ID),s.attr("role","presentation"),s.appendTo(t(document.body)),s)},e.PopupMessagingStrategyPoolUtils._getFreePoolCount=function(){return e.PopupMessagingStrategyPoolUtils._getPool().find("."+e.PopupMessagingStrategyPoolUtils._SELECTOR_MESSAGING).length},e.PopupMessagingStrategyPoolUtils._getPopupContentHtml=function(){return'<div class="'+e.PopupMessagingStrategyPoolUtils._SELECTOR_MESSAGING+'"><div class="'+e.PopupMessagingStrategyPoolUtils._SELECTOR_MESSAGING_CONTAINER+'"></div></div>'},e.PopupMessagingStrategyPoolUtils._SELECTOR_MESSAGING_CONTAINER="oj-messaging-popup-container",e.PopupMessagingStrategyPoolUtils._SELECTOR_MESSAGING="oj-messaging-popup",e.PopupMessagingStrategyPoolUtils._MESSAGING_POPUP_POOL_ID="__oj_messaging_popup_pool",e.CustomElementBridge.registerMetadata("editableValue","baseComponent",{properties:{describedBy:{type:"string"},disabled:{type:"boolean"},displayOptions:{type:"Object",properties:{converterHint:{type:"string"},helpInstruction:{type:"string"},messages:{type:"string"},validatorHint:{type:"string"}}},help:{type:"Object<string, string>",properties:{instruction:{type:"string"}}},helpHints:{type:"Object",properties:{definition:{type:"string"},source:{type:"string"}}},labelHint:{type:"string"},messagesCustom:{type:"Array",writeback:!0},valid:{type:"string",writeback:!0,readOnly:!0,enumValues:["valid","invalidShown","invalidHidden","pending"]},value:{type:"Object",writeback:!0}},methods:{reset:{},showMessages:{}},events:{animateStart:{},animateEnd:{}},extension:{_WIDGET_NAME:"editableValue"}})});