/**
 * @license
 * Copyright (c) 2014, 2018, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";define(["ojs/ojcore","jquery","ojs/ojcomponentcore","ojs/ojtime-base","ojs/internal-deps/dvt/DvtGantt"],function(e,t,o,r,n){e.__registerWidget("oj.ojGantt",t.oj.dvtTimeComponent,{widgetEventPrefix:"oj",options:{axisPosition:"top",animationOnDataChange:"none",animationOnDisplay:"none",dependencies:null,end:"",gridlines:{horizontal:"auto",vertical:"auto"},minorAxis:{converter:{default:null,seconds:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({hour:"numeric",minute:"2-digit",second:"2-digit"}),minutes:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({hour:"numeric",minute:"2-digit"}),hours:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({hour:"numeric"}),days:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({month:"numeric",day:"2-digit"}),weeks:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({month:"numeric",day:"2-digit"}),months:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({month:"long"}),quarters:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({month:"long"}),years:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({year:"numeric"})},scale:null,zoomOrder:null},majorAxis:{converter:{default:null,seconds:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({hour:"numeric",minute:"2-digit",second:"2-digit"}),minutes:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({hour:"numeric",minute:"2-digit"}),hours:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({hour:"numeric"}),days:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({month:"numeric",day:"2-digit"}),weeks:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({month:"numeric",day:"2-digit"}),months:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({month:"long"}),quarters:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({month:"long"}),years:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({year:"numeric"})},scale:null,zoomOrder:null},referenceObjects:[],rowAxis:{rendered:"off",maxWidth:"none"},rows:null,selection:[],selectionMode:"none",start:"",taskDefaults:{borderRadius:"0",labelPosition:["end","innerCenter","start","max"],height:null,svgClassName:"",svgStyle:{},type:"auto",progress:{borderRadius:"0",height:"100%",svgClassName:"",svgStyle:{}},baseline:{borderRadius:"0",height:null,svgClassName:"",svgStyle:{}}},tooltip:{renderer:null},valueFormats:{row:{tooltipLabel:void 0,tooltipDisplay:"auto"},start:{converter:null,tooltipLabel:void 0,tooltipDisplay:"auto"},end:{converter:null,tooltipLabel:void 0,tooltipDisplay:"auto"},date:{converter:null,tooltipLabel:void 0,tooltipDisplay:"auto"},label:{tooltipLabel:void 0,tooltipDisplay:"auto"},progress:{converter:e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_NUMBER).createConverter({style:"percent"}),tooltipLabel:void 0,tooltipDisplay:"auto"},baselineStart:{converter:null,tooltipLabel:void 0,tooltipDisplay:"auto"},baselineEnd:{converter:null,tooltipLabel:void 0,tooltipDisplay:"auto"},baselineDate:{converter:null,tooltipLabel:void 0,tooltipDisplay:"auto"}},viewportEnd:"",viewportStart:"",viewportChange:null},_CreateDvtComponent:function(e,t,o){return e.styleClasses=this._getComponentStyleMap(),n.Gantt.newInstance(e,t,o)},_GetComponentStyleClasses:function(){var e=this._super();return e.push("oj-gantt"),e},_getComponentStyleMap:function(){var e=new Object;return e.databody="oj-gantt-container",e.dependencyLine="oj-gantt-dependency-line",e.dependencyLineConnector="oj-gantt-dependency-line-connector",e.nodata="oj-gantt-no-data-message",e.hgridline="oj-gantt-horizontal-gridline",e.vgridline="oj-gantt-vertical-gridline",e.majorAxis="oj-gantt-major-axis",e.majorAxisTicks="oj-gantt-major-axis-separator",e.majorAxisLabels="oj-gantt-major-axis-label",e.minorAxis="oj-gantt-minor-axis",e.minorAxisTicks="oj-gantt-minor-axis-separator",e.minorAxisLabels="oj-gantt-minor-axis-label",e.row="oj-gantt-row",e.rowLabel="oj-gantt-row-label",e.task="oj-gantt-task",e.taskBar="oj-gantt-task-bar",e.taskMilestone="oj-gantt-task-milestone",e.taskSummary="oj-gantt-task-summary",e.baseline="oj-gantt-baseline",e.baselineBar="oj-gantt-baseline-bar",e.baselineMilestone="oj-gantt-baseline-milestone",e.taskLabel="oj-gantt-task-label",e.taskProgress="oj-gantt-task-progress",e.tooltipLabel="oj-gantt-tooltip-label",e.tooltipValue="oj-gantt-tooltip-value",e.tooltipTable="oj-gantt-tooltip-content",e.referenceObject="oj-gantt-reference-object",e.selected="oj-selected",e.hover="oj-hover",e.focus="oj-focus",e},_ConvertLocatorToSubId:function(e){var t=e.subId;return"oj-gantt-taskbar"==t?t="taskbar["+e.rowIndex+"]["+e.index+"]":"oj-gantt-row-label"==t?t="rowLabel["+e.index+"]":"oj-gantt-tooltip"==t&&(t="tooltip"),t},_ConvertSubIdToLocator:function(e){var t={};if(0==e.indexOf("taskbar")){var o=this._GetIndexPath(e);t.subId="oj-gantt-taskbar",t.rowIndex=o[0],t.index=o[1]}else if(0==e.indexOf("rowLabel")){o=this._GetIndexPath(e);t.subId="oj-gantt-row-label",t.index=o[0]}else"tooltip"==e&&(t.subId="oj-gantt-tooltip");return t},_GetChildStyleClasses:function(){var e=this._super();return e["oj-gantt"]={path:"_resources/animationDuration",property:"ANIM_DUR"},e["oj-gantt-zoomin-icon"]=[{path:"_resources/zoomIn_bgc",property:"background-color"},{path:"_resources/zoomIn_bc",property:"border-color"}],e["oj-gantt-zoomin-icon oj-hover"]=[{path:"_resources/zoomIn_h_bgc",property:"background-color"},{path:"_resources/zoomIn_h_bc",property:"border-color"}],e["oj-gantt-zoomin-icon oj-active"]=[{path:"_resources/zoomIn_a_bgc",property:"background-color"},{path:"_resources/zoomIn_a_bc",property:"border-color"}],e["oj-gantt-zoomin-icon oj-disabled"]=[{path:"_resources/zoomIn_d_bgc",property:"background-color"},{path:"_resources/zoomIn_d_bc",property:"border-color"}],e["oj-gantt-zoomout-icon"]=[{path:"_resources/zoomOut_bgc",property:"background-color"},{path:"_resources/zoomOut_bc",property:"border-color"}],e["oj-gantt-zoomout-icon oj-hover"]=[{path:"_resources/zoomOut_h_bgc",property:"background-color"},{path:"_resources/zoomOut_h_bc",property:"border-color"}],e["oj-gantt-zoomout-icon oj-active"]=[{path:"_resources/zoomOut_a_bgc",property:"background-color"},{path:"_resources/zoomOut_a_bc",property:"border-color"}],e["oj-gantt-zoomout-icon oj-disabled"]=[{path:"_resources/zoomOut_d_bgc",property:"background-color"},{path:"_resources/zoomOut_d_bc",property:"border-color"}],e["oj-gantt-major-axis-label"]={path:"_resources/majorAxisLabelFontProp",property:"TEXT"},e["oj-gantt-minor-axis-label"]={path:"_resources/minorAxisLabelFontProp",property:"TEXT"},e["oj-gantt-container"]={path:"_resources/chartArea/strokeWidth",property:"stroke-width"},e["oj-gantt-horizontal-gridline"]={path:"_resources/horizontalGridlineWidth",property:"stroke-width"},e["oj-gantt-task-label"]={path:"_resources/taskLabelFontProp",property:"TEXT"},e["oj-gantt-row-label"]={path:"_resources/rowLabelFontProp",property:"TEXT"},e},_GetTranslationMap:function(){var e=this.options.translations,t=this._super();return t["DvtUtilBundle.GANTT"]=e.componentName,t["DvtUtilBundle.ZOOM_IN"]=e.tooltipZoomIn,t["DvtUtilBundle.ZOOM_OUT"]=e.tooltipZoomOut,t},_LoadResources:function(){this._super();var t=this.options._resources;t.zoomIn="oj-gantt-zoomin-icon",t.zoomIn_h="oj-gantt-zoomin-icon oj-hover",t.zoomIn_a="oj-gantt-zoomin-icon oj-active",t.zoomIn_d="oj-gantt-zoomin-icon oj-disabled",t.zoomOut="oj-gantt-zoomout-icon",t.zoomOut_h="oj-gantt-zoomout-icon oj-hover",t.zoomOut_a="oj-gantt-zoomout-icon oj-active",t.zoomOut_d="oj-gantt-zoomout-icon oj-disabled";var o=e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_NUMBER);t.percentConverter=o.createConverter({style:"percent"})},_HandleEvent:function(e){if("viewportChange"===e.type){var t=new Date(e.viewportStart).toISOString(),o=new Date(e.viewportEnd).toISOString(),r=e.majorAxisScale,n=e.minorAxisScale,a={viewportStart:t,viewportEnd:o,majorAxisScale:r,minorAxisScale:n};this._UserOptionChange("viewportStart",t),this._UserOptionChange("viewportEnd",o),this._UserOptionChange("majorAxis.scale",r),this._UserOptionChange("minorAxis.scale",n),this._trigger("viewportChange",null,a)}else this._super(e)},_GetComponentNoClonePaths:function(){var e=this._super();return e.start=!0,e.end=!0,e.viewportStart=!0,e.viewportEnd=!0,e.referenceObjects={value:!0},e},_GetComponentDeferredDataPaths:function(){return{root:["rows","dependencies"]}},getContextByNode:function(e){var t=this.getSubIdByNode(e);return t&&"oj-gantt-tooltip"!==t.subId?t:null}}),e.CustomElementBridge.registerMetadata("oj-gantt","dvtTimeComponent",{properties:{animationOnDataChange:{type:"string",enumValues:["auto","none"]},animationOnDisplay:{type:"string",enumValues:["auto","none"]},axisPosition:{type:"string",enumValues:["bottom","top"]},dependencies:{type:"Array<object>|Promise"},end:{type:"string"},gridlines:{type:"object",properties:{horizontal:{type:"string",enumValues:["hidden","visible","auto"]},vertical:{type:"string",enumValues:["hidden","visible","auto"]}}},majorAxis:{type:"object",properties:{converter:{type:"object",properties:{days:{},default:{},hours:{},minutes:{},months:{},quarters:{},seconds:{},weeks:{},years:{}}},scale:{type:"string",enumValues:["seconds","minutes","hours","days","weeks","months","quarters","years"]},zoomOrder:{type:"Array<string>"}}},minorAxis:{type:"object",properties:{converter:{type:"object",properties:{days:{},default:{},hours:{},minutes:{},months:{},quarters:{},seconds:{},weeks:{},years:{}}},scale:{type:"string",enumValues:["seconds","minutes","hours","days","weeks","months","quarters","years"]},zoomOrder:{type:"Array<string>"}}},referenceObjects:{type:"Array<object>"},rowAxis:{type:"object",properties:{maxWidth:{type:"string"},rendered:{type:"string",enumValues:["on","off"]}}},rows:{type:"Array<object>|Promise"},selection:{type:"Array<string>",writeback:!0},selectionMode:{type:"string",enumValues:["single","multiple","none"]},start:{type:"string"},taskDefaults:{type:"object",properties:{borderRadius:{type:"string"},height:{type:"number"},labelPosition:{type:"Array<string>|string",enumValues:["start","innerCenter","innerStart","innerEnd","none","end"]},svgClassName:{type:"string"},svgStyle:{type:"object"},progress:{type:"object",properties:{borderRadius:{type:"string"},height:{type:"number"},svgClassName:{type:"string"},svgStyle:{type:"object"}}},baseline:{type:"object",properties:{borderRadius:{type:"string"},height:{type:"number"},svgClassName:{type:"string"},svgStyle:{type:"object"}}},type:{type:"string",enumValues:["normal","milestone","summary","auto"]}}},tooltip:{type:"object",properties:{renderer:{}}},translations:{type:"Object",properties:{accessibleDependencyInfo:{type:"string",value:"Dependency type {0}, connects {1} to {2}"},accessiblePredecessorInfo:{type:"string",value:"{0} predecessors"},accessibleSuccessorInfo:{type:"string",value:"{0} successors"},accessibleTaskTypeMilestone:{type:"string",value:"Milestone"},accessibleTaskTypeSummary:{type:"string",value:"Summary"},componentName:{type:"string",value:"Gantt"},finishFinishDependencyAriaDesc:{type:"string",value:"finish to finish"},finishStartDependencyAriaDesc:{type:"string",value:"finish to start"},labelAndValue:{type:"string",value:"{0}: {1}"},labelBaselineDate:{type:"string",value:"Baseline Date"},labelBaselineEnd:{type:"string",value:"Baseline End"},labelBaselineStart:{type:"string",value:"Baseline Start"},labelClearSelection:{type:"string",value:"Clear Selection"},labelCountWithTotal:{type:"string",value:"{0} of {1}"},labelDataVisualization:{type:"string",value:"Data Visualization"},labelDate:{type:"string",value:"Date"},labelEnd:{type:"string",value:"End"},labelInvalidData:{type:"string",value:"Invalid data"},labelLabel:{type:"string",value:"Label"},labelNoData:{type:"string",value:"No data to display"},labelProgress:{type:"string",value:"Progress"},labelRow:{type:"string",value:"Row"},labelStart:{type:"string",value:"Start"},startFinishDependencyAriaDesc:{type:"string",value:"start to finish"},startStartDependencyAriaDesc:{type:"string",value:"start to start"},stateCollapsed:{type:"string",value:"Collapsed"},stateDrillable:{type:"string",value:"Drillable"},stateExpanded:{type:"string",value:"Expanded"},stateHidden:{type:"string",value:"Hidden"},stateIsolated:{type:"string",value:"Isolated"},stateMaximized:{type:"string",value:"Maximized"},stateMinimized:{type:"string",value:"Minimized"},stateSelected:{type:"string",value:"Selected"},stateUnselected:{type:"string",value:"Unselected"},stateVisible:{type:"string",value:"Visible"},tooltipZoomIn:{type:"string",value:"Zoom In"},tooltipZoomOut:{type:"string",value:"Zoom Out"}}},valueFormats:{type:"object",properties:{row:{type:"object",properties:{tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},start:{type:"object",properties:{converter:{},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},end:{type:"object",properties:{converter:{},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},date:{type:"object",properties:{converter:{},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},label:{type:"object",properties:{tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},progress:{type:"object",properties:{converter:{},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},baselineStart:{type:"object",properties:{converter:{},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},baselineEnd:{type:"object",properties:{converter:{},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}},baselineDate:{type:"object",properties:{converter:{},tooltipDisplay:{type:"string",enumValues:["auto","off"]},tooltipLabel:{type:"string"}}}}},viewportEnd:{type:"string"},viewportStart:{type:"string"}},methods:{getContextByNode:{}},events:{viewportChange:{}},extension:{_WIDGET_NAME:"ojGantt"}}),e.CustomElementBridge.register("oj-gantt",{metadata:e.CustomElementBridge.getMetadata("oj-gantt")})});