/**
 * @license
 * Copyright (c) 2014, 2018, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";define(["ojs/ojcore","jquery","knockout","hammerjs","ojs/ojjquery-hammer","ojs/ojknockout","ojs/ojcomposite","ojs/ojanimation","ojs/ojbutton","ojs/ojvalidation-datetime"],function(e,t,o,i){function s(e){this._composite=e.element,this._messagesContainerId=this.containerId=[e.unique,"mc"].join("_"),this.handleCloseIcon=this._handleCloseIcon.bind(this),this.close=this._closeMessage.bind(this),this.bindingsApplied=this._bindingsApplied.bind(this),this.disconnected=this._disconnected.bind(this),this.connected=this._connected.bind(this),this.propertyChanged=this._propertyChanged.bind(this),this.messageCreatedTime=(new Date).toLocaleTimeString([],{hour:"2-digit",minute:"2-digit"}),this.handleKeydown=this._handleKeydown.bind(this),this._properties=e.properties,this._initDefaultTranslations(),this._createObservables()}function n(e,t){this._element=e,this._operation=t,this._init()}s.prototype._connected=function(e){var t=this._operationMediator;t&&"none"===t.getPendingOperation()&&this._isMessageOpen()&&this._scheduleAutoClose()},s.prototype._disconnected=function(e){var t=this._operationMediator;t&&"none"===t.getPendingOperation()&&this._clearAutoClose()},s.prototype._bindingsApplied=function(e){this._openMessage()},s.prototype._propertyChanged=function(e){function t(e,t,o){if("external"===e.updatedFrom&&e.property===t){var i=e.subproperty;if(i)return[t,o].join(".")===i.path;var s=e.previousValue[o];return e.value[o]!==s}return!1}var o=this._properties.message;t(e,"message","autoTimeout")&&(this._clearAutoClose(),this._scheduleAutoClose()),t(e,"message","closeAffordance")&&(this.hasCloseAffordance("defaults"===this._computeCloseAffordance()),this._unregisterSwipeHandler(),this._registerSwipeHandler()),(t(e,"message","icon")||t(e,"message","severity")||t(e,"message","category"))&&(this.computedSeverity(this._computeSeverity()),this.computedCategory(this._computeCategory()),this.computedIconStyle(this._computeIconStyle()),this.computedIconClass(this._computeIconClass())),t(e,"message","timestamp")&&this.computedTimestamp(this._computeTimestamp()),t(e,"message","summary")&&this.computedSummary(this._computeSummary()),t(e,"message","detail")&&this.computedDetail(this._computeDetail()),t(e,"message","sound")&&(o.sound=this._computeSound()),t(e,"translations","labelCloseIcon")&&this.computedLabelCloseIcon(this._computeLabelCloseIcon())},s.prototype._registerSwipeHandler=function(){if(e.DomUtils.isTouchSupported()&&"defaults"===this._computeCloseAffordance()){var o=t(document.getElementById(this._messagesContainerId)),s={recognizers:[[i.Swipe,{direction:i.DIRECTION_HORIZONTAL}]]},n="rtl"===e.DomUtils.getReadingDirection()?"swipeleft":"swiperight";this._hammerSwipe=o.ojHammer(s).on(n,function(e){e.preventDefault(),this._closeMessage()}.bind(this))}},s.prototype._unregisterSwipeHandler=function(){if(e.DomUtils.isTouchSupported()&&this._hammerSwipe){var t="rtl"===e.DomUtils.getReadingDirection()?"swipeleft":"swiperight";this._hammerSwipe.off(t),delete this._hammerSwipe}},s.prototype._scheduleAutoClose=function(){this._computeAutoTimeout()>-1&&(this._autoCloseTimer=window.setTimeout(this._closeMessage.bind(this),this._computeAutoTimeout()))},s.prototype._clearAutoClose=function(){isNaN(this._autoCloseTimer)||(window.clearTimeout(this._autoCloseTimer),delete this._autoCloseTimer)},s.prototype._isMessageOpen=function(){var e=document.getElementById(this._messagesContainerId);return!(!e||!t(e).is(":visible"))},s.prototype._closeMessage=function(o){var i=this._operationMediator;if(this._unregisterSwipeHandler(),!i.isOperationPending("close",this._closeMessage.bind(this,o))){i.destroy(),this._clearAutoClose(),this._operationMediator=new n(this._composite,"close");var s=document.getElementById(this._messagesContainerId),a=this._getAnimateOptionDefaults("close");e.AnimationUtils.startAnimation(s,"close",a,this._composite).then(function(){t(s).hide(),e.Components.subtreeHidden(s);var i={bubbles:!0,cancelable:!1,detail:{message:this._properties.message}},n=new CustomEvent("ojClose",i);o&&Object.defineProperty(n,"_originalEvent",{value:o,writable:!1}),this._composite.dispatchEvent(n)}.bind(this))}},s.prototype._computeSeverity=function(){var t=this._properties.message;return e.StringUtils.isEmptyOrUndefined(t.severity)&&(t.severity=s._getMessageDefault("severity")),t.severity},s.prototype._computeTimestamp=function(){var t=this._properties.message;if(e.StringUtils.isEmptyOrUndefined(t.timestamp))return t.timestamp=s._getMessageDefault("timestamp"),null;try{var o=e.Validation.converterFactory(e.ConverterFactory.CONVERTER_TYPE_DATETIME).createConverter({pattern:"MM/dd/yy, hh:mm a"}).format(t.timestamp);return this._isDateToday(t.timestamp)&&(o=o.split(", ")[1]),o}catch(o){return e.Logger.info(["JET oj-message id='",s._toSelector(this._composite),"': failed to parse or format the supplied value to message.timestamp='",t.timestamp,"'."].join("")),null}},s.prototype._isDateToday=function(t){var o=new Date,i=e.IntlConverterUtils.isoToLocalDate(t);return o.getUTCFullYear()===i.getUTCFullYear()&&o.getUTCMonth()===i.getUTCMonth()&&o.getUTCDate()===i.getUTCDate()},s.prototype._computeCategory=function(){var t=this._properties.message,o=e.Translations.getComponentTranslations("oj-ojMessage").categories;return t.category=o[this._computeSeverity()],e.StringUtils.isEmptyOrUndefined(t.category)&&(t.category=s._getMessageDefault("category")),t.category},s.prototype._computeAutoTimeout=function(){var e=this._properties.message;return isNaN(e.autoTimeout)?e.autoTimeout=s._getMessageDefault("autoTimeout"):0===e.autoTimeout&&(e.autoTimeout=this._getThemedAutoTimeoutDefault()),e.autoTimeout},s.prototype._computeIconStyle=function(){var t=this._properties.message;return e.StringUtils.isEmptyOrUndefined(t.icon)&&(t.icon=s._getMessageDefault("icon")),e.StringUtils.isEmptyOrUndefined(t.icon)?void 0:["url('",t.icon,"') no-repeat"].join("")},s.prototype._computeIconClass=function(){var t=this._properties.message;e.StringUtils.isEmptyOrUndefined(t.icon)&&(t.icon=s._getMessageDefault("icon"));var o=this._computeSeverity();if(e.StringUtils.isEmptyOrUndefined(t.icon)&&"none"!==o){var i=["oj-component-icon","oj-message-status-icon"];return i.push(["oj","message",o,"icon"].join("-")),i.join(" ")}},s.prototype._computeCloseAffordance=function(){var t=this._properties.message;return e.StringUtils.isEmptyOrUndefined(t.closeAffordance)&&(t.closeAffordance=s._getMessageDefault("closeAffordance")),t.closeAffordance},s.prototype._computeSound=function(){var t=this._properties.message;return e.StringUtils.isEmptyOrUndefined(t.sound)&&(t.sound=s._getMessageDefault("sound")),t.sound},s.prototype._computeLabelCloseIcon=function(){var t=this._properties.translations;if(e.StringUtils.isEmptyOrUndefined(t.labelCloseIcon)){var o=e.Translations.getTranslatedString("oj-ojMessage.labelCloseIcon");t.labelCloseIcon=o}return t.labelCloseIcon},s.prototype._computeSummary=function(){var t=this._properties.message;return e.StringUtils.isEmptyOrUndefined(t.summary)&&(t.summary=s._getMessageDefault("summary")),t.summary},s.prototype._computeDetail=function(){var t=this._properties.message;return e.StringUtils.isEmptyOrUndefined(t.detail)&&(t.detail=s._getMessageDefault("detail")),t.detail},s.prototype._handleCloseIcon=function(e){this._closeMessage(e)},s.prototype._openMessage=function(){this._operationMediator=new n(this._composite,"open"),Promise.resolve().then(function(){var t={bubbles:!0,cancelable:!1,detail:{message:this._properties.message}};this._composite.dispatchEvent(new CustomEvent("ojBeforeOpen",t));var o=document.getElementById(this._messagesContainerId),i=this._getAnimateOptionDefaults("open");e.AnimationUtils.startAnimation(o,"open",i,this._composite).then(function(){t={bubbles:!0,cancelable:!1,detail:{message:this._properties.message}},"none"!==this._computeSound()&&(this._initAudioContext(),this._playSound()),this._registerSwipeHandler(),this._scheduleAutoClose(),this._composite.dispatchEvent(new CustomEvent("ojOpen",t))}.bind(this))}.bind(this))},s.prototype._handleKeydown=function(e){e.defaultPrevented||"defaults"!==this._computeCloseAffordance()||e.keyCode===t.ui.keyCode.ESCAPE&&(e.preventDefault(),this._closeMessage(e))},s.prototype._playSound=function(){var t=this._computeSound();if("defaults"!==t){var o=document.createElement("AUDIO");o.src=t,o.addEventListener("error",function(o){e.Logger.info(["JET oj-message id='",s._toSelector(this._composite),"': failed to load or play media file for URL in property message.sound='",t,"'."].join(""))}.bind(this)),o.play()}else if(void 0===window.audioContext)e.Logger.info(["JET oj-message id='",s._toSelector(this._composite),"': failed to load or play default sound for message because user agent does  \n                       not support Web Audio API'"].join(""));else{var i=window.audioContext.createGain();i.connect(window.audioContext.destination);var n=window.audioContext.createOscillator();n.connect(i),n.start(),n.stop(window.audioContext.currentTime+.01)}},s.prototype._initAudioContext=function(){if(void 0===window.audioContext)try{window.audioContext=new(window.AudioContext||window.webkitAudioContext)}catch(e){}},s.prototype._createObservables=function(){this.hasCloseAffordance=o.observable("defaults"===this._computeCloseAffordance()),this.computedIconStyle=o.observable(this._computeIconStyle()),this.computedIconClass=o.observable(this._computeIconClass()),this.computedSeverity=o.observable(this._computeSeverity()),this.computedCategory=o.observable(this._computeCategory()),this.computedTimestamp=o.observable(this._computeTimestamp()),this.computedLabelCloseIcon=o.observable(this._computeLabelCloseIcon()),this.computedSummary=o.observable(this._computeSummary()),this.computedDetail=o.observable(this._computeDetail())},s.prototype._initDefaultTranslations=function(){var t=this._properties;e.StringUtils.isEmptyOrUndefined(t.translations.labelCloseIcon)&&(t.translations.labelCloseIcon=this._computeLabelCloseIcon())},s._getMessageDefault=function(e){return s._DEFAULTS.message[e]},s._DEFAULTS={autoTimeout:4e3,animation:{open:{effect:"fadeIn",duration:"300ms"},close:{effect:"fadeOut",duration:"300ms"}},message:{icon:"",category:"",severity:"none",timestamp:"",summary:"",detail:"",autoTimeout:-1,closeAffordance:"defaults",sound:"none"}},s.prototype._getThemedAutoTimeoutDefault=function(){var t=e.ThemeUtils.parseJSONFromFontFamily("oj-message-option-defaults");return t&&t.autoTimeout?t.autoTimeout:s._DEFAULTS.autoTimeout},s.prototype._getAnimateOptionDefaults=function(e){return s._DEFAULTS.animation[e]},s._toSelector=function(e){var t="";if(e)if(e.id&&e.id.length>0)t="#"+e.id;else{t=e.nodeName;var o=e.getAttribute("class");if(o&&(t+="."+o.split(" ").join(".")),e.parentNode)return s._toSelector(e.parentNode)+" > "+t}return t},n.prototype._init=function(){this._resolvedQueue=[],this._callback=this._eventHandler.bind(this);var t=this._operation,o=["oj"];o.push(t.charAt(0).toUpperCase()),o.push(t.slice(1));var i=this._eventType=o.join("");this._element.addEventListener(i,this._callback);var s=e.Context.getContext(this._element).getBusyContext(),n={description:this._getBusyStateDescription.bind(this,this._element,this._operation)},a=s.addBusyState(n);this.addPromiseExecutor(function(e){window.setImmediate(function(){e()})}.bind(this,a))},n.prototype._getBusyStateDescription=function(e,t){return[e.nodeName," identified by '",s._toSelector(e),"' is busy animating on the '",t,"' operation."].join("")},n.prototype._deliverResolved=function(e){var t=this._resolvedQueue;this._resolvedQueue=[],e=e||this._operation,this._operation=null;for(var o=0;o<t.length;o++)t[o](e)},n.prototype.destroy=function(){this._deliverResolved("none"),this._callback=null,this._element=null,this._operation=null,this._eventType=null},n.prototype._eventHandler=function(e){e.target===this._element&&(this._element.removeEventListener(e.type,this._callback),this._deliverResolved(),this._callback=null)},n.prototype.getPendingOperation=function(){return this._operation?this._operation:"none"},n.prototype.addPromiseExecutor=function(e,t){this._resolvedQueue.push(e)},n.prototype.isOperationPending=function(t,o){if(!this._element)return!1;var i=!1,n=this.getPendingOperation();return t===n?(e.Logger.info(["An oj-message id='",s._toSelector(this._element),"' invoked a '",t,"' operation while pending animation of the same type of operation. ","The second request will be ignored."].join("")),i=!0):"none"!==n&&(e.Logger.info(["An oj-message id='",s._toSelector(this._element),"' invoked a '",t,"' operation while pending animation of a '",n,"' operation. The second request will be invoked after the pending ","operation completes."].join("")),this.addPromiseExecutor(o),i=!0),i},e.Composite.register("oj-message",{view:'<div :id="[[containerId]]" class="oj-message-container" on-keydown="[[handleKeydown]]">  <div class="oj-message-header">    <div class="oj-message-leading-header" :title="[[computedCategory]]">      <oj-bind-if test="[[computedIconStyle]]">        <div class="oj-component-icon oj-message-status-icon oj-message-custom-icon" role="img"          :style.background="[[computedIconStyle]]">        </div>      </oj-bind-if>      <oj-bind-if test="[[computedIconClass]]">        <div role="img"           :class="[[computedIconClass]]">         </div>      </oj-bind-if>      <div class="oj-message-category" tabindex="-1">        <h1 :title="[[computedCategory]]">          <oj-bind-text value="[[computedCategory]]"></oj-bind-text>         </h1>      </div>    </div>    <div class="oj-message-trailing-header">      <oj-bind-if test="[[computedTimestamp]]">        <div class="oj-message-timestamp">          <oj-bind-text value="[[computedTimestamp]]"></oj-bind-text>         </div>      </oj-bind-if>      <oj-bind-if test="[[hasCloseAffordance]]">        <div class="oj-message-close">          <oj-button display="icons" chroming="half"                      on-click="[[handleCloseIcon]]" :title="[[computedLabelCloseIcon]]">            <span slot="startIcon" class="oj-fwk-icon oj-fwk-icon-cross"></span>          </oj-button>        </div>      </oj-bind-if>    </div>    </div>  <div class="oj-message-body">    <div class="oj-message-summary">      <oj-bind-text value="[[computedSummary]]"></oj-bind-text>    </div>    <div class="oj-message-detail">      <oj-bind-text value="[[computedDetail]]"></oj-bind-text>    </div>  <div></div>',viewModel:s,metadata:{name:"oj-message",displayName:"oj-message",version:"1.0.0",jetVersion:"^5.0.0",properties:{message:{type:"object",writeback:!1,value:{icon:"",category:"",severity:"none",summary:"",detail:"",autoTimeout:-1,closeAffordance:"defaults",sound:"none"},properties:{icon:{type:"string",value:""},category:{type:"string",value:""},severity:{type:"string",enumValues:["error","warning","confirmation","info","none"],value:"none"},timestamp:{type:"string",value:""},summary:{type:"string",value:""},detail:{type:"string",value:""},autoTimeout:{type:"number",translatable:!1,value:-1},closeAffordance:{type:"string",enumValues:["none","defaults"],value:"defaults"},sound:{type:"string",value:"none"}}},translations:{type:"object",writeback:!1,value:{labelCloseIcon:""},properties:{labelCloseIcon:{type:"string",translatable:!0}}}},methods:{close:{}},events:{ojAnimateEnd:{bubbles:!0,cancelable:!1,detail:{action:{type:"string",enumValues:["open","close"]},element:{type:"Element"}}},ojAnimateStart:{bubbles:!0,cancelable:!1,detail:{action:{type:"string",enumValues:["open","close"]},element:{type:"Element"},endCallback:{type:"function"}}},ojClose:{bubbles:!0,cancelable:!1,detail:{message:{type:"object"}}},ojOpen:{bubbles:!0,cancelable:!1,detail:{message:{type:"object"}}}},slots:{}}})});