/**
 * @license
 * Copyright (c) 2014, 2018, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";define(["ojs/ojcore","jquery","hammerjs","promise","ojs/ojjquery-hammer","ojs/ojcomponentcore"],function(a,s,t){a.OffcanvasUtils={},a.OffcanvasUtils._DATA_EDGE_KEY="oj-offcanvasEdge",a.OffcanvasUtils._DATA_OFFCANVAS_KEY="oj-offcanvas",a.OffcanvasUtils._DATA_MEDIA_QUERY_KEY="oj-mediaQueryListener",a.OffcanvasUtils._DATA_HAMMER_KEY="oj-offcanvasHammer",a.OffcanvasUtils._DATA_STYLE_KEY="oj-offcanvasStyle",a.OffcanvasUtils.SELECTOR_KEY="selector",a.OffcanvasUtils.CONTENT_KEY="content",a.OffcanvasUtils.EDGE_START="start",a.OffcanvasUtils.EDGE_END="end",a.OffcanvasUtils.EDGE_TOP="top",a.OffcanvasUtils.EDGE_BOTTOM="bottom",a.OffcanvasUtils.DISPLAY_MODE_KEY="displayMode",a.OffcanvasUtils.DISPLAY_MODE_PUSH="push",a.OffcanvasUtils.DISPLAY_MODE_OVERLAY="overlay",a.OffcanvasUtils.DISPLAY_MODE_PIN="pin",a.OffcanvasUtils.MODALITY_KEY="modality",a.OffcanvasUtils.MODALITY_NONE="none",a.OffcanvasUtils.MODALITY_MODAL="modal",a.OffcanvasUtils.DISMISS_HANDLER_KEY="_dismissHandler",a.OffcanvasUtils.OPEN_PROMISE_KEY="_openPromise",a.OffcanvasUtils.CLOSE_PROMISE_KEY="_closePromise",a.OffcanvasUtils.GLASS_PANE_KEY="_glassPane",a.OffcanvasUtils.SURROGATE_KEY="_surrogate",a.OffcanvasUtils.SURROGATE_ATTR="data-oj-offcanvas-surrogate-id",a.OffcanvasUtils.OUTER_WRAPPER_SELECTOR="oj-offcanvas-outer-wrapper",a.OffcanvasUtils.OPEN_SELECTOR="oj-offcanvas-open",a.OffcanvasUtils.TRANSITION_SELECTOR="oj-offcanvas-transition",a.OffcanvasUtils.PIN_WRAPPER_SELECTOR="oj-offcanvas-pin",a.OffcanvasUtils.PIN_TRANSITION_SELECTOR="oj-offcanvas-pin-transition",a.OffcanvasUtils.GLASSPANE_SELECTOR="oj-offcanvas-glasspane",a.OffcanvasUtils.GLASSPANE_DIM_SELECTOR="oj-offcanvas-glasspane-dim",a.OffcanvasUtils.VETO_BEFOREOPEN_MSG="ojbeforeopen veto",a.OffcanvasUtils.VETO_BEFORECLOSE_MSG="ojbeforeclose veto",a.OffcanvasUtils._shiftSelector={start:"oj-offcanvas-shift-start",end:"oj-offcanvas-shift-end",top:"oj-offcanvas-shift-down",bottom:"oj-offcanvas-shift-up"},a.OffcanvasUtils._drawerSelector={start:"oj-offcanvas-start",end:"oj-offcanvas-end",top:"oj-offcanvas-top",bottom:"oj-offcanvas-bottom"},a.OffcanvasUtils._getDisplayMode=function(s){var t=s[a.OffcanvasUtils.DISPLAY_MODE_KEY];return t!==a.OffcanvasUtils.DISPLAY_MODE_OVERLAY&&t!==a.OffcanvasUtils.DISPLAY_MODE_PUSH&&t!==a.OffcanvasUtils.DISPLAY_MODE_PIN&&(t=(a.ThemeUtils.parseJSONFromFontFamily("oj-offcanvas-option-defaults")||{}).displayMode),t},a.OffcanvasUtils._getDrawer=function(t){return s(t[a.OffcanvasUtils.SELECTOR_KEY])},a.OffcanvasUtils._isModal=function(s){return s[a.OffcanvasUtils.MODALITY_KEY]===a.OffcanvasUtils.MODALITY_MODAL},a.OffcanvasUtils._isOpen=function(s){return s.hasClass(a.OffcanvasUtils.OPEN_SELECTOR)},a.OffcanvasUtils._getOuterWrapper=function(s){return s.closest("."+a.OffcanvasUtils.OUTER_WRAPPER_SELECTOR)},a.OffcanvasUtils._getAnimateWrapper=function(s){var t=a.OffcanvasUtils._getDrawer(s);return a.OffcanvasUtils._noInnerWrapper(s)||s[a.OffcanvasUtils.DISPLAY_MODE_KEY]===a.OffcanvasUtils.DISPLAY_MODE_OVERLAY?t:t.parent()},a.OffcanvasUtils._getShiftSelector=function(s){var t=a.OffcanvasUtils._shiftSelector[s];if(!t)throw new Error("Invalid edge: "+s);return t},a.OffcanvasUtils._isRTL=function(){return"rtl"===a.DomUtils.getReadingDirection()},a.OffcanvasUtils._setTransform=function(a,s){a.css({"-webkit-transform":s,transform:s})},a.OffcanvasUtils._getTranslationX=function(s,t,n){var f=s===a.OffcanvasUtils.EDGE_END;return(a.OffcanvasUtils._isRTL()||n)&&(f=!f),"translate3d("+(f?"-":"")+t+", 0, 0)"},a.OffcanvasUtils._setTranslationX=function(s,t,n){a.OffcanvasUtils._setTransform(s,a.OffcanvasUtils._getTranslationX(t,n,!1))},a.OffcanvasUtils._getTranslationY=function(s,t){return"translate3d(0, "+(s===a.OffcanvasUtils.EDGE_BOTTOM?"-":"")+t+", 0)"},a.OffcanvasUtils._setTranslationY=function(s,t,n){a.OffcanvasUtils._setTransform(s,a.OffcanvasUtils._getTranslationY(t,n))},a.OffcanvasUtils._getTranslationY2=function(a,s){return"translate3d(0, "+(s?"-":"")+a+", 0)"},a.OffcanvasUtils._setAnimateClass=function(s,t,n,f,e){t.addClass(a.OffcanvasUtils.TRANSITION_SELECTOR),a.OffcanvasUtils._setTransform(t,f),n.addClass(a.OffcanvasUtils.TRANSITION_SELECTOR),a.OffcanvasUtils._setTransform(n,e)},a.OffcanvasUtils._saveEdge=function(t){var n=t.edge,f=a.OffcanvasUtils._getDrawer(t);return n&&n.length||(n=f.hasClass("oj-offcanvas-start")?a.OffcanvasUtils.EDGE_START:f.hasClass("oj-offcanvas-end")?a.OffcanvasUtils.EDGE_END:f.hasClass("oj-offcanvas-top")?a.OffcanvasUtils.EDGE_TOP:f.hasClass("oj-offcanvas-bottom")?a.OffcanvasUtils.EDGE_BOTTOM:a.OffcanvasUtils.EDGE_START),s.data(f[0],a.OffcanvasUtils._DATA_EDGE_KEY,n),n},a.OffcanvasUtils._getEdge=function(t){return s.data(t[0],a.OffcanvasUtils._DATA_EDGE_KEY)},a.OffcanvasUtils._toggleClass=function(s,t,n){var f=s[a.OffcanvasUtils.DISPLAY_MODE_KEY],e=a.OffcanvasUtils._getDrawer(s),i=a.OffcanvasUtils.OPEN_SELECTOR,r=f===a.OffcanvasUtils.DISPLAY_MODE_OVERLAY?a.OffcanvasUtils.TRANSITION_SELECTOR+" oj-offcanvas-overlay":a.OffcanvasUtils.TRANSITION_SELECTOR;if(n)e.addClass(i),t.addClass(r);else{s.makeFocusable&&a.DomUtils.makeFocusable({element:e,remove:!0});var l=s.tabindex;void 0===l?e.removeAttr("tabindex"):e.attr("tabindex",l),e.removeClass(i),t.removeClass(r)}},a.OffcanvasUtils._setFocus=function(s){var t,n=s,f=a.OffcanvasUtils._getDrawer(n),e=f.find("[autofocus]");if(0===e.length&&(e=f.find(":tabbable")),0===e.length){var i=f.attr("tabindex");void 0!==i&&(n.tabindex=i),f.attr("tabindex","-1"),t=f,a.DomUtils.makeFocusable({element:f,applyHighlight:!0}),n.makeFocusable=!0}else t=e[0];a.FocusUtils.focusElement(t)},a.OffcanvasUtils._isAutoDismiss=function(a){return"none"!==a.autoDismiss},a.OffcanvasUtils._calcTransitionTime=function(a){for(var s=a.css("transitionProperty").split(","),t=a.css("transitionDelay").split(","),n=a.css("transitionDuration").split(","),f=0,e=0;e<s.length;e++){var i=n[e%n.length],r=i.indexOf("ms")>-1?parseFloat(i):1e3*parseFloat(i);if(r>0){var l=t[e%t.length],o=l.indexOf("ms")>-1?parseFloat(l):1e3*parseFloat(l);f=Math.max(f,o+r)}}return f+100},a.OffcanvasUtils._onTransitionEnd=function(s,t){var n,f="transitionend.oc webkitTransitionEnd.oc",e=function(){n&&(clearTimeout(n),n=void 0),s.off(f,e),t(s)};s.on(f,e),n=setTimeout(e,a.OffcanvasUtils._calcTransitionTime(s))},a.OffcanvasUtils._closeWithCatch=function(s){a.OffcanvasUtils.close(s).catch(function(s){a.Logger.warn("Offcancas close failed: "+s)})},a.OffcanvasUtils._registerCloseHandler=function(t){var n=t;if(a.OffcanvasUtils._unregisterCloseHandler(n),a.OffcanvasUtils._isAutoDismiss(n)){var f=a.OffcanvasUtils._getDrawer(n),e=function(t){var e=t.target;a.DomUtils.isChromeEvent(t)||"focus"===t.type&&!s(e).is(":focusable")||(null!=s.data(f[0],a.OffcanvasUtils._DATA_OFFCANVAS_KEY)?a.DomUtils.isLogicalAncestorOrSelf(f[0],e)||a.OffcanvasUtils._closeWithCatch(n):a.OffcanvasUtils._unregisterCloseHandler(n))};n[a.OffcanvasUtils.DISMISS_HANDLER_KEY]=e;var i=document.documentElement;a.DomUtils.isTouchSupported()&&i.addEventListener("touchstart",e,!0),i.addEventListener("mousedown",e,!0),i.addEventListener("focus",e,!0)}a.OffcanvasUtils._registerSwipeHandler(n)},a.OffcanvasUtils._unregisterCloseHandler=function(s){var t=s,n=t[a.OffcanvasUtils.DISMISS_HANDLER_KEY];if(n){var f=document.documentElement;a.DomUtils.isTouchSupported()&&f.removeEventListener("touchstart",n,!0),f.removeEventListener("mousedown",n,!0),f.removeEventListener("focus",n,!0),delete t[a.OffcanvasUtils.DISMISS_HANDLER_KEY],t[a.OffcanvasUtils.DISMISS_HANDLER_KEY]=null}a.OffcanvasUtils._unregisterSwipeHandler(t)},a.OffcanvasUtils._registerSwipeHandler=function(n){if(a.DomUtils.isTouchSupported()){var f,e,i,r=n,l=r[a.OffcanvasUtils.SELECTOR_KEY],o=s(l),c=a.OffcanvasUtils._getEdge(o);c===a.OffcanvasUtils.EDGE_START&&!a.OffcanvasUtils._isRTL()||c===a.OffcanvasUtils.EDGE_END&&a.OffcanvasUtils._isRTL()?(e={recognizers:[[t.Swipe,{direction:t.DIRECTION_LEFT}]]},f="swipeleft"):c===a.OffcanvasUtils.EDGE_START&&a.OffcanvasUtils._isRTL()||c===a.OffcanvasUtils.EDGE_END&&!a.OffcanvasUtils._isRTL()?(e={recognizers:[[t.Swipe,{direction:t.DIRECTION_RIGHT}]]},f="swiperight"):c===a.OffcanvasUtils.EDGE_TOP?(e={recognizers:[[t.Swipe,{direction:t.DIRECTION_UP}]]},f="swipeup"):c===a.OffcanvasUtils.EDGE_BOTTOM&&(e={recognizers:[[t.Swipe,{direction:t.DIRECTION_DOWN}]]},f="swipedown"),i=o.ojHammer(e).on(f,function(s){s.target===o[0]&&(s.preventDefault(),a.OffcanvasUtils._closeWithCatch(r))}),s.data(s(l)[0],a.OffcanvasUtils._DATA_HAMMER_KEY,{event:f,hammer:i})}},a.OffcanvasUtils._unregisterSwipeHandler=function(t){var n=a.OffcanvasUtils._getDrawer(t);if(n.length>0){var f=s.data(n[0],a.OffcanvasUtils._DATA_HAMMER_KEY);f&&f.hammer.off(f.event)}},a.OffcanvasUtils._isFixed=function(s){return a.OffcanvasUtils._getOuterWrapper(s).hasClass("oj-offcanvas-page")},a.OffcanvasUtils._isPin=function(s){return s[a.OffcanvasUtils.DISPLAY_MODE_KEY]===a.OffcanvasUtils.DISPLAY_MODE_PIN},a.OffcanvasUtils._noInnerWrapper=function(s){return s[a.OffcanvasUtils.CONTENT_KEY]||a.OffcanvasUtils._isFixed(a.OffcanvasUtils._getDrawer(s))||a.OffcanvasUtils._isPin(s)},a.OffcanvasUtils._saveStyles=function(t){var n=t.attr("style");void 0!==n&&s.data(t[0],a.OffcanvasUtils._DATA_STYLE_KEY,n)},a.OffcanvasUtils._restoreStyles=function(t){var n=s.data(t[0],a.OffcanvasUtils._DATA_STYLE_KEY);n?t.attr("style",n):t.removeAttr("style")},a.OffcanvasUtils._toggleOuterWrapper=function(t,n,f){var e=a.OffcanvasUtils._getEdge(n),i=a.OffcanvasUtils._getShiftSelector(e),r=a.OffcanvasUtils._getOuterWrapper(n);a.Assert.assertPrototype(r,s);var l=r.hasClass(i);return f||r.toggleClass(i,!l),l},a.OffcanvasUtils._afterCloseHandler=function(t){var n=a.OffcanvasUtils._getAnimateWrapper(t);if(""===n.get(0).style.transform){a.OffcanvasUtils._unregisterCloseHandler(t);var f=a.OffcanvasUtils._getDrawer(t),e=a.OffcanvasUtils._isPin(t),i=null;try{i=s.data(f[0],a.OffcanvasUtils._DATA_OFFCANVAS_KEY)}catch(a){}i===t&&(e?f.removeClass(a.OffcanvasUtils.OPEN_SELECTOR+" "+a.OffcanvasUtils.PIN_TRANSITION_SELECTOR):a.OffcanvasUtils._toggleClass(t,n,!1),a.OffcanvasUtils._removeModality(t),e&&(a.OffcanvasUtils._getOuterWrapper(f).removeClass(a.OffcanvasUtils.PIN_WRAPPER_SELECTOR),a.OffcanvasUtils._restoreStyles(f)),f.trigger("ojclose",t),s.removeData(f[0],a.OffcanvasUtils._DATA_OFFCANVAS_KEY))}},a.OffcanvasUtils._setVisible=function(t,n,f){var e=s(t),i=!!n;i&&a.OffcanvasUtils._isOpen(e)&&a.OffcanvasUtils._close(t,!1),e.toggleClass(a.OffcanvasUtils._drawerSelector[f],!i)},a.OffcanvasUtils.setupResponsive=function(t){var n=t.query;if(null!==n){var f=t[a.OffcanvasUtils.SELECTOR_KEY],e=window.matchMedia(n),i=a.OffcanvasUtils._saveEdge(t),r=function(s){a.OffcanvasUtils._setVisible(f,s.matches,i)};e.addListener(r),a.OffcanvasUtils._setVisible(f,e.matches,i),s.data(s(f)[0],a.OffcanvasUtils._DATA_MEDIA_QUERY_KEY,{mqList:e,mqListener:r})}},a.OffcanvasUtils.tearDownResponsive=function(t){var n=a.OffcanvasUtils._getDrawer(t),f=s.data(n[0],a.OffcanvasUtils._DATA_MEDIA_QUERY_KEY);f&&(f.mqList.removeListener(f.mqListener),s.removeData(n[0],a.OffcanvasUtils._DATA_MEDIA_QUERY_KEY))},a.OffcanvasUtils._openPush=function(t,n,f,e){var i=a.OffcanvasUtils._getDrawer(t),r=s(t[a.OffcanvasUtils.CONTENT_KEY]);a.Assert.assertPrototype(r,s);var l,o=!0,c=t.size,O=function(s){s.removeClass(a.OffcanvasUtils.TRANSITION_SELECTOR),o?o=!1:(a.OffcanvasUtils._setFocus(t),i.trigger("ojopen",t),a.OffcanvasUtils._registerCloseHandler(t),n(!0))};i.addClass(a.OffcanvasUtils.OPEN_SELECTOR),window.setTimeout(function(){e===a.OffcanvasUtils.EDGE_START||e===a.OffcanvasUtils.EDGE_END?(void 0===c&&(c=i.outerWidth(!0)+"px"),l=a.OffcanvasUtils._getTranslationX(e,c,!1)):(void 0===c&&(c=i.outerHeight(!0)+"px"),a.OffcanvasUtils._setTransform(i,a.OffcanvasUtils._getTranslationY2(c,e===a.OffcanvasUtils.EDGE_TOP)),l=a.OffcanvasUtils._getTranslationY2(c,e!==a.OffcanvasUtils.EDGE_TOP)),window.setTimeout(function(){a.OffcanvasUtils._setAnimateClass(t,i,r,"translate3d(0, 0, 0)",l),a.OffcanvasUtils._toggleOuterWrapper(t,i,!1),a.OffcanvasUtils._onTransitionEnd(r,O),a.OffcanvasUtils._onTransitionEnd(i,O)},0)},0),a.OffcanvasUtils._applyModality(t,i)},a.OffcanvasUtils._openOverlay=function(s,t,n,f){var e=a.OffcanvasUtils._getDrawer(s);a.OffcanvasUtils._toggleClass(s,e,!0);var i=s.size;i&&(f===a.OffcanvasUtils.EDGE_START||f===a.OffcanvasUtils.EDGE_END?a.OffcanvasUtils._setTransform(e,a.OffcanvasUtils._getTranslationX(f,i,!0)):a.OffcanvasUtils._setTransform(e,a.OffcanvasUtils._getTranslationY(f,i))),window.setTimeout(function(){a.OffcanvasUtils._toggleOuterWrapper(s,e,!1)},20),a.OffcanvasUtils._applyModality(s,e),a.OffcanvasUtils._onTransitionEnd(e,function(){e.removeClass(a.OffcanvasUtils.TRANSITION_SELECTOR),a.OffcanvasUtils._setFocus(s),e.trigger("ojopen",s),a.OffcanvasUtils._registerCloseHandler(s),t(!0)})},a.OffcanvasUtils._closePush=function(t,n,f,e,i){var r=s(t[a.OffcanvasUtils.CONTENT_KEY]),l=!0,o=function(){l||(r.removeClass(a.OffcanvasUtils.TRANSITION_SELECTOR),a.OffcanvasUtils._setTransform(r,""),a.OffcanvasUtils._afterCloseHandler(t),n(!0)),l=!1};a.OffcanvasUtils._setTransform(e,""),a.OffcanvasUtils._setTransform(r,""),a.OffcanvasUtils._toggleOuterWrapper(t,e,!1),a.OffcanvasUtils._isModal(t)&&t[a.OffcanvasUtils.GLASS_PANE_KEY].removeClass(a.OffcanvasUtils.GLASSPANE_DIM_SELECTOR),i?(r.addClass(a.OffcanvasUtils.TRANSITION_SELECTOR),e.addClass(a.OffcanvasUtils.TRANSITION_SELECTOR),a.OffcanvasUtils._onTransitionEnd(e,o),a.OffcanvasUtils._onTransitionEnd(r,o)):(l=!1,o())},a.OffcanvasUtils._closeOverlay=function(s,t,n,f,e){var i=function(){a.OffcanvasUtils._afterCloseHandler(s),t(!0)};a.OffcanvasUtils._toggleOuterWrapper(s,f,!1),a.OffcanvasUtils._isModal(s)&&s[a.OffcanvasUtils.GLASS_PANE_KEY].removeClass(a.OffcanvasUtils.GLASSPANE_DIM_SELECTOR),e?(f.addClass(a.OffcanvasUtils.TRANSITION_SELECTOR),a.OffcanvasUtils._onTransitionEnd(f,i)):i()},a.OffcanvasUtils._openOldDrawer=function(t,n,f,e,i){var r,l=a.OffcanvasUtils._getDrawer(t),o=a.OffcanvasUtils._getAnimateWrapper(t);a.Assert.assertPrototype(o,s),a.OffcanvasUtils._toggleClass(t,o,!0),e===a.OffcanvasUtils.EDGE_START||e===a.OffcanvasUtils.EDGE_END?(r=void 0===r?l.outerWidth(!0)+"px":r,i===a.OffcanvasUtils.DISPLAY_MODE_PUSH&&a.OffcanvasUtils._setTranslationX(o,e,r)):(r=void 0===r?l.outerHeight(!0)+"px":r,i===a.OffcanvasUtils.DISPLAY_MODE_PUSH&&a.OffcanvasUtils._setTranslationY(o,e,r)),window.setTimeout(function(){a.OffcanvasUtils._toggleOuterWrapper(t,l,!1)},10),a.OffcanvasUtils._applyModality(t,l),a.OffcanvasUtils._onTransitionEnd(o,function(){o.removeClass(a.OffcanvasUtils.TRANSITION_SELECTOR),a.OffcanvasUtils._setFocus(t),l.trigger("ojopen",t),a.OffcanvasUtils._registerCloseHandler(t),n(!0)})},a.OffcanvasUtils._closeOldDrawer=function(s,t,n,f,e){var i=s[a.OffcanvasUtils.DISPLAY_MODE_KEY],r=a.OffcanvasUtils._getAnimateWrapper(s),l=function(){a.OffcanvasUtils._afterCloseHandler(s),t(!0)};i===a.OffcanvasUtils.DISPLAY_MODE_PUSH&&a.OffcanvasUtils._setTransform(r,""),a.OffcanvasUtils._toggleOuterWrapper(s,f,!1),a.OffcanvasUtils._isModal(s)&&s[a.OffcanvasUtils.GLASS_PANE_KEY].removeClass(a.OffcanvasUtils.GLASSPANE_DIM_SELECTOR),e?(r.addClass(a.OffcanvasUtils.TRANSITION_SELECTOR),a.OffcanvasUtils._onTransitionEnd(r,l)):l()},a.OffcanvasUtils.open=function(t){var n,f=a.OffcanvasUtils._getDrawer(t),e=s.data(f[0],a.OffcanvasUtils._DATA_OFFCANVAS_KEY);if(e){if(e[a.OffcanvasUtils.CLOSE_PROMISE_KEY])return e[a.OffcanvasUtils.CLOSE_PROMISE_KEY];if(e[a.OffcanvasUtils.OPEN_PROMISE_KEY])return e[a.OffcanvasUtils.OPEN_PROMISE_KEY]}var i=!1,r=new Promise(function(e,r){a.Assert.assertPrototype(f,s);var l=a.OffcanvasUtils._saveEdge(t),o=s.Event("ojbeforeopen");if(f.trigger(o,t),!1===o.result)return r(a.OffcanvasUtils.VETO_BEFOREOPEN_MSG),void(i=!0);var c=a.OffcanvasUtils._getDisplayMode(t),O=a.OffcanvasUtils._isPin(t);!O||l!==a.OffcanvasUtils.EDGE_TOP&&l!==a.OffcanvasUtils.EDGE_BOTTOM||(c=a.OffcanvasUtils.DISPLAY_MODE_PUSH);var v=s.extend({},t);if(v[a.OffcanvasUtils.DISPLAY_MODE_KEY]=c,s.data(f[0],a.OffcanvasUtils._DATA_OFFCANVAS_KEY,v),t[a.OffcanvasUtils.CONTENT_KEY]){if(!a.OffcanvasUtils._noInnerWrapper(t))throw new Error("Error: Both main content selector and the inner wrapper <div class='oj-offcanvas-inner-wrapper'> are provided. Please remove the inner wrapper.");var _=a.Context.getContext(f[0]).getBusyContext();n=_.addBusyState({description:"The offcanvas selector ='"+t[a.OffcanvasUtils.SELECTOR_KEY]+"' doing the open animation."}),O||(c===a.OffcanvasUtils.DISPLAY_MODE_PUSH?a.OffcanvasUtils._openPush(v,e,r,l):a.OffcanvasUtils._openOverlay(v,e,r,l))}else a.OffcanvasUtils._openOldDrawer(v,e,r,l,c)});if(r=r.then(function(a){return n&&n(),a},function(a){throw n&&n(),a}),!i){var l=s.data(f[0],a.OffcanvasUtils._DATA_OFFCANVAS_KEY);l&&(l[a.OffcanvasUtils.OPEN_PROMISE_KEY]=r,a.Components.subtreeShown(f[0]))}return r},a.OffcanvasUtils.close=function(s){return a.OffcanvasUtils._close(s[a.OffcanvasUtils.SELECTOR_KEY],!0)},a.OffcanvasUtils._close=function(t,n){var f=s(t);a.Assert.assertPrototype(f,s);var e,i=s.data(f[0],a.OffcanvasUtils._DATA_OFFCANVAS_KEY);if(i&&i[a.OffcanvasUtils.CLOSE_PROMISE_KEY])return i[a.OffcanvasUtils.CLOSE_PROMISE_KEY];var r=!1,l=new Promise(function(l,o){if(a.OffcanvasUtils._isOpen(f)){t!==i[a.OffcanvasUtils.SELECTOR_KEY]&&l(!0),a.OffcanvasUtils._toggleOuterWrapper(i,f,!0)||l(!0);var c=s.Event("ojbeforeclose");if(f.trigger(c,i),!1===c.result)return o(a.OffcanvasUtils.VETO_BEFORECLOSE_MSG),void(r=!0);if(n){var O=a.Context.getContext(f[0]).getBusyContext();e=O.addBusyState({description:"The offcanvas selector ='"+i[a.OffcanvasUtils.SELECTOR_KEY]+"' doing the close animation."})}var v=i[a.OffcanvasUtils.DISPLAY_MODE_KEY];i[a.OffcanvasUtils.CONTENT_KEY]?v===a.OffcanvasUtils.DISPLAY_MODE_PUSH?a.OffcanvasUtils._closePush(i,l,o,f,n):a.OffcanvasUtils._closeOverlay(i,l,o,f,n):a.OffcanvasUtils._closeOldDrawer(i,l,o,f,n)}else l(!0)});return l=l.then(function(a){return e&&e(),a},function(a){throw e&&e(),a}),r||(i=s.data(f[0],a.OffcanvasUtils._DATA_OFFCANVAS_KEY))&&(i[a.OffcanvasUtils.CLOSE_PROMISE_KEY]=l,a.Components.subtreeHidden(f[0])),l},a.OffcanvasUtils.toggle=function(t){var n=a.OffcanvasUtils._getDrawer(t);return a.Assert.assertPrototype(n,s),a.OffcanvasUtils._isOpen(n)?a.OffcanvasUtils.close(t):a.OffcanvasUtils.open(t)},a.OffcanvasUtils._addGlassPane=function(t){var n=s("<div>");return n.addClass(a.OffcanvasUtils.GLASSPANE_SELECTOR),n.attr("role","presentation"),n.attr("aria-hidden","true"),n.appendTo(t.parent()),n.on("keydown keyup keypress mousedown mouseup mouseover mouseout click focusin focus",function(a){a.stopPropagation(),a.preventDefault()}),n},a.OffcanvasUtils._createSurrogate=function(t){var n=s("<span style='display:none'>");n.attr("aria-hidden","true");var f,e=t.attr("id");return e?(f=[e,"surrogate"].join("_"),n.attr("id",f)):f=n.uniqueId(),n.insertBefore(t),t.attr(a.OffcanvasUtils.SURROGATE_ATTR,f),n},a.OffcanvasUtils._swapOrder=function(s,t){s[a.OffcanvasUtils.SURROGATE_KEY]=a.OffcanvasUtils._createSurrogate(t),t.appendTo(t.parent())},a.OffcanvasUtils._restoreOrder=function(s){var t=a.OffcanvasUtils._getDrawer(s),n=s[a.OffcanvasUtils.SURROGATE_KEY];t&&n&&t.attr(a.OffcanvasUtils.SURROGATE_ATTR)===n.attr("id")&&(t.insertAfter(n),t.removeAttr(a.OffcanvasUtils.SURROGATE_ATTR),n.remove())},a.OffcanvasUtils._applyModality=function(t,n){var f=t;a.OffcanvasUtils._isModal(f)&&(f[a.OffcanvasUtils.GLASS_PANE_KEY]=a.OffcanvasUtils._addGlassPane(n),a.OffcanvasUtils._swapOrder(f,n),s(f[a.OffcanvasUtils.CONTENT_KEY]).attr("aria-hidden","true"),window.setTimeout(function(){f[a.OffcanvasUtils.GLASS_PANE_KEY].addClass(a.OffcanvasUtils.GLASSPANE_DIM_SELECTOR)},0))},a.OffcanvasUtils._removeModality=function(t){a.OffcanvasUtils._isModal(t)&&(t[a.OffcanvasUtils.GLASS_PANE_KEY].remove(),a.OffcanvasUtils._restoreOrder(t),s(t[a.OffcanvasUtils.CONTENT_KEY]).removeAttr("aria-hidden"))},a.OffcanvasUtils.setupPanToReveal=function(n){var f,e,i,r,l,o,c,O,v,_,E,U,T,d=n;null==s(d).attr("oj-data-pansetup")&&(s(d).attr("oj-data-pansetup","true"),d.displayMode="push",f=a.OffcanvasUtils._getDrawer(d),i=a.OffcanvasUtils._getOuterWrapper(f),l={recognizers:[[t.Pan,{direction:t.DIRECTION_HORIZONTAL}]]},o=!1,s(i).ojHammer(l).on("panstart",function(n){switch(c=null,n.gesture.direction){case t.DIRECTION_LEFT:Math.abs(n.gesture.deltaY)<Math.abs(n.gesture.deltaX)&&(c=a.OffcanvasUtils._isRTL()?"end":"start");break;case t.DIRECTION_RIGHT:Math.abs(n.gesture.deltaY)<Math.abs(n.gesture.deltaX)&&(c=a.OffcanvasUtils._isRTL()?"start":"end")}null!==c&&(O={direction:c,distance:Math.abs(n.gesture.deltaX)},v=s.Event("ojpanstart"),f.trigger(v,O),v.isDefaultPrevented()||(null==(e=d.size)&&(e=f.outerWidth(),d.size=e),d._closePromise=null,(r=a.OffcanvasUtils._getAnimateWrapper(d)).off(".oc"),a.OffcanvasUtils._toggleClass(d,r,!0),o=!0,n.gesture.srcEvent.stopPropagation(),n.stopPropagation()))}).on("panmove",function(t){o&&(_=t.gesture.deltaX,"start"===c&&_>0||"end"===c&&_<0?a.OffcanvasUtils._setTranslationX(r,"start","0px"):(f.css("width",Math.abs(_)),r.removeClass(a.OffcanvasUtils.TRANSITION_SELECTOR),a.OffcanvasUtils._setTranslationX(r,"start",_+"px"),O={direction:c,distance:Math.abs(_)},v=s.Event("ojpanmove"),f.trigger(v,O),t.gesture.srcEvent.stopPropagation(),t.stopPropagation()))}).on("panend",function(t){if(o){if(o=!1,_=Math.abs(t.gesture.deltaX),O={distance:_},v=s.Event("ojpanend"),f.trigger(v,O),t.stopPropagation(),!v.isDefaultPrevented())return null==(E=d.edge)&&(E=f.hasClass("oj-offcanvas-start")?"start":"end"),a.OffcanvasUtils._animateWrapperAndDrawer(r,f,E,e,d),s.data(f[0],a.OffcanvasUtils._DATA_OFFCANVAS_KEY,d),s.data(f[0],a.OffcanvasUtils._DATA_EDGE_KEY,E),void a.OffcanvasUtils._registerCloseHandler(d);U="transitionend webkitTransitionEnd otransitionend oTransitionEnd",T=function(){a.OffcanvasUtils._toggleClass(d,r,!1),r.removeClass(a.OffcanvasUtils.TRANSITION_SELECTOR),r.off(U,T),f.trigger("ojclose",d)},r.on(U,T),r.addClass(a.OffcanvasUtils.TRANSITION_SELECTOR),a.OffcanvasUtils._setTranslationX(r,"start","0px")}}))},a.OffcanvasUtils._animateWrapperAndDrawer=function(s,t,n,f,e){var i,r,l,o,c,O,v,_,E,U,T,d;s.removeClass(a.OffcanvasUtils.TRANSITION_SELECTOR),i=Math.round(1e3/60),"none"!==(r=s.css("transform"))&&(l=r.split("(")[1].split(")")[0].split(","),o=parseInt(l[4],10),c=o,O="end"===n?0-f:f,_=Math.max(1,Math.abs(O-o)/(400/i)),E=(new Date).getTime(),U=function(){c===o||""!==s.get(0).style.transform?(T=(new Date).getTime(),d=Math.max(_,_*Math.max((T-E)/i)),E=T,o<O?o=Math.min(O,o+d):o>O&&(o=Math.max(O,o-d)),a.OffcanvasUtils._setTranslationX(s,n,Math.abs(o)+"px"),t.css("width",Math.abs(o)+"px"),o===O?(window.cancelAnimationFrame(v),s.addClass(a.OffcanvasUtils.TRANSITION_SELECTOR),t.trigger("ojopen",e)):v=window.requestAnimationFrame(U)):window.cancelAnimationFrame(v)},v=window.requestAnimationFrame(U))},a.OffcanvasUtils.tearDownPanToReveal=function(t){var n=a.OffcanvasUtils._getDrawer(t),f=a.OffcanvasUtils._getOuterWrapper(n);s(f).off("panstart panmove panend")}});