/**
 * @license
 * Copyright (c) 2014, 2018, Oracle and/or its affiliates.
 * The Universal Permissive License (UPL), Version 1.0
 */
"use strict";define(["ojs/ojcore","jquery","ojs/ojcomponentcore","hammerjs","ojs/ojpagingtabledatasource","ojs/ojinputtext","ojs/ojvalidation-number","ojs/ojjquery-hammer"],function(t,e,n,_){t.__registerWidget("oj.ojPagingControl",e.oj.baseComponent,{version:"1.0.0",defaultElement:"<div>",widgetEventPrefix:"oj",options:{data:null,overflow:"fit",pageSize:25,pageOptions:{layout:["auto"],type:"numbers",maxPageLinks:6,orientation:"horizontal"},loadMoreOptions:{maxCount:500},mode:"page",ready:null},_BUNDLE_KEY:{_LABEL_ACC_PAGING:"labelAccPaging",_LABEL_ACC_NAV_FIRST_PAGE:"labelAccNavFirstPage",_LABEL_ACC_NAV_LAST_PAGE:"labelAccNavLastPage",_LABEL_ACC_NAV_NEXT_PAGE:"labelAccNavNextPage",_LABEL_ACC_NAV_PREVIOUS_PAGE:"labelAccNavPreviousPage",_LABEL_ACC_NAV_PAGE:"labelAccNavPage",_LABEL_LOAD_MORE:"labelLoadMore",_LABEL_LOAD_MORE_MAX_ROWS:"labelLoadMoreMaxRows",_LABEL_NAV_INPUT_PAGE:"labelNavInputPage",_LABEL_NAV_INPUT_PAGE_MAX:"labelNavInputPageMax",_LABEL_NAV_INPUT_PAGE_SUMMARY:"labelNavInputPageSummary",_MSG_ITEM_RANGE_CURRENT:"msgItemRangeCurrent",_MSG_ITEM_RANGE_CURRENT_SINGLE:"msgItemRangeCurrentSingle",_MSG_ITEM_RANGE_ITEMS:"msgItemRangeItems",_MSG_ITEM_RANGE_ATLEAST:"msgItemRangeOfAtLeast",_MSG_ITEM_RANGE_APPROX:"msgItemRangeOfApprox",_MSG_ITEM_RANGE_OF:"msgItemRangeOf",_TIP_NAV_INPUT_PAGE:"tipNavInputPage",_TIP_NAV_PAGE_LINK:"tipNavPageLink",_TIP_NAV_NEXT_PAGE:"tipNavNextPage",_TIP_NAV_PREVIOUS_PAGE:"tipNavPreviousPage",_TIP_NAV_FIRST_PAGE:"tipNavFirstPage",_TIP_NAV_LAST_PAGE:"tipNavLastPage",_ERR_PAGE_INVALID_SUMMARY:"pageInvalid.summary",_ERR_PAGE_INVALID_DETAIL:"pageInvalid.detail",_ERR_DATA_INVALID_TYPE_SUMMARY:"dataInvalidType.summary",_ERR_DATA_INVALID_TYPE_DETAIL:"dataInvalidType.detail",_ERR_MAXPAGELINKS_INVALID_SUMMARY:"maxPageLinksInvalid.summary",_ERR_MAXPAGELINKS_INVALID_DETAIL:"maxPageLinksInvalid.detail"},_MARKER_STYLE_CLASSES:{_WIDGET:"oj-component",_ACTIVE:"oj-active",_CLICKABLE_ICON:"oj-clickable-icon-nocontext",_DISABLED:"oj-disabled",_ENABLED:"oj-enabled",_FOCUS:"oj-focus",_FOCUS_HIGHLIGHT:"oj-focus-highlight",_HOVER:"oj-hover",_SELECTED:"oj-selected"},_CSS_CLASSES:{_PAGING_CONTROL_CLASS:"oj-pagingcontrol",_PAGING_CONTROL_ACC_LABEL_CLASS:"oj-pagingcontrol-acc-label",_PAGING_CONTROL_CONTENT_CLASS:"oj-pagingcontrol-content",_PAGING_CONTROL_LOAD_MORE_CLASS:"oj-pagingcontrol-loadmore",_PAGING_CONTROL_LOAD_MORE_LINK_CLASS:"oj-pagingcontrol-loadmore-link",_PAGING_CONTROL_LOAD_MORE_MAX_ROWS_CLASS:"oj-pagingcontrol-loadmore-max-rows",_PAGING_CONTROL_LOAD_MORE_RANGE_CLASS:"oj-pagingcontrol-loadmore-range",_PAGING_CONTROL_LOAD_MORE_RANGE_CURRENT_CLASS:"oj-pagingcontrol-loadmore-range-current",_PAGING_CONTROL_LOAD_MORE_RANGE_MAX_CLASS:"oj-pagingcontrol-loadmore-range-max",_PAGING_CONTROL_NAV_CLASS:"oj-pagingcontrol-nav",_PAGING_CONTROL_NAV_ARROW_CLASS:"oj-pagingcontrol-nav-arrow",_PAGING_CONTROL_NAV_ARROW_SECTION_CLASS:"oj-pagingcontrol-nav-arrow-section",_PAGING_CONTROL_NAV_PAGE_CLASS:"oj-pagingcontrol-nav-page",_PAGING_CONTROL_NAV_PAGE_ELLIPSIS_CLASS:"oj-pagingcontrol-nav-page-ellipsis",_PAGING_CONTROL_NAV_DOT_CLASS:"oj-pagingcontrol-nav-dot",_PAGING_CONTROL_NAV_DOT_BULLET_CLASS:"oj-pagingcontrol-nav-dot-bullet",_PAGING_CONTROL_NAV_PAGE_ACC_LABEL_CLASS:"oj-pagingcontrol-nav-page-acc-label",_PAGING_CONTROL_NAV_LABEL_CLASS:"oj-pagingcontrol-nav-label",_PAGING_CONTROL_NAV_INPUT_SECTION_CLASS:"oj-pagingcontrol-nav-input-section",_PAGING_CONTROL_NAV_INPUT_CLASS:"oj-pagingcontrol-nav-input",_PAGING_CONTROL_NAV_INPUT_MAX_CLASS:"oj-pagingcontrol-nav-input-max",_PAGING_CONTROL_NAV_INPUT_SUMMARY_CLASS:"oj-pagingcontrol-nav-input-summary",_PAGING_CONTROL_NAV_INPUT_SUMMARY_CURRENT_CLASS:"oj-pagingcontrol-nav-input-summary-current",_PAGING_CONTROL_NAV_INPUT_SUMMARY_MAX_CLASS:"oj-pagingcontrol-nav-input-summary-max",_PAGING_CONTROL_NAV_PAGES_SECTION_CLASS:"oj-pagingcontrol-nav-pages-section",_PAGING_CONTROL_NAV_PAGES_LINKS_CLASS:"oj-pagingcontrol-nav-pages-links",_PAGING_CONTROL_NAV_FIRST_CLASS:"oj-pagingcontrol-nav-first",_PAGING_CONTROL_NAV_FIRST_ACC_LABEL_CLASS:"oj-pagingcontrol-nav-first-acc-label",_PAGING_CONTROL_NAV_PREVIOUS_CLASS:"oj-pagingcontrol-nav-previous",_PAGING_CONTROL_NAV_PREVIOUS_ACC_LABEL_CLASS:"oj-pagingcontrol-nav-previous-acc-label",_PAGING_CONTROL_NAV_NEXT_CLASS:"oj-pagingcontrol-nav-next",_PAGING_CONTROL_NAV_NEXT_ACC_LABEL_CLASS:"oj-pagingcontrol-nav-next-acc-label",_PAGING_CONTROL_NAV_LAST_CLASS:"oj-pagingcontrol-nav-last",_PAGING_CONTROL_NAV_LAST_ACC_LABEL_CLASS:"oj-pagingcontrol-nav-last-acc-label",_PAGING_CONTROL_NAV_FIRST_ICON_CLASS:"oj-pagingcontrol-nav-first-icon",_PAGING_CONTROL_NAV_PREVIOUS_ICON_CLASS:"oj-pagingcontrol-nav-previous-icon",_PAGING_CONTROL_NAV_NEXT_ICON_CLASS:"oj-pagingcontrol-nav-next-icon",_PAGING_CONTROL_NAV_LAST_ICON_CLASS:"oj-pagingcontrol-nav-last-icon",_PAGING_CONTROL_NAV_FIRST_VERTICAL_ICON_CLASS:"oj-pagingcontrol-nav-first-vertical-icon",_PAGING_CONTROL_NAV_PREVIOUS_VERTICAL_ICON_CLASS:"oj-pagingcontrol-nav-previous-vertical-icon",_PAGING_CONTROL_NAV_NEXT_VERTICAL_ICON_CLASS:"oj-pagingcontrol-nav-next-vertical-icon",_PAGING_CONTROL_NAV_LAST_VERTICAL_ICON_CLASS:"oj-pagingcontrol-nav-last-vertical-icon",_WIDGET_ICON_CLASS:"oj-component-icon",_HIDDEN_CONTENT_ACC_CLASS:"oj-helper-hidden-accessible"},_DATA_ATTR_PAGE_NUM:"data-oj-pagenum",_OPTION_ENABLED:"enabled",_OPTION_DISABLED:"disabled",_TAB_INDEX:"tabindex",_MODE:{_LOAD_MORE:"loadMore",_PAGE:"page"},_PAGE_OPTION_LAYOUT:{_AUTO:"auto",_ALL:"all",_INPUT:"input",_RANGE_TEXT:"rangeText",_PAGES:"pages",_NAV:"nav"},_PAGE_OPTION_DEFAULT_MAX_PAGE_LINKS:6,_TYPE:{_NUMBERS:"numbers",_DOTS:"dots"},firstPage:function(){return null!=this._getData()?this._invokeDataPage(0,!1):this._getRejectPromise()},previousPage:function(){if(null!=this._getData()){var t=this._getCurrentPage();if(t>0)return this._invokeDataPage(t-1,!1)}return this._getRejectPromise()},nextPage:function(){if(null!=this._getData()){var t=this._getCurrentPage();if(this._isTotalSizeConfidenceActual()&&t+1<=this._getTotalPages()-1||this._getTotalPages()<0||!this._isTotalSizeConfidenceActual())return this._invokeDataPage(t+1,!1)}return this._getRejectPromise()},lastPage:function(){return null!=this._getData()&&this._getTotalPages()>0?this._invokeDataPage(this._getTotalPages()-1,!1):this._getRejectPromise()},page:function(t){return null!=this._getData()&&(this._isTotalSizeConfidenceActual()&&t<=this._getTotalPages()-1||this._getTotalPages()<0||!this._isTotalSizeConfidenceActual())?this._invokeDataPage(t,!1):this._getRejectPromise()},loadNext:function(){return null!=this._getData()?this._invokeDataFetchNext():this._getRejectPromise()},refresh:function(){this._super(),this._refresh()},getNodeBySubId:function(t){if(null==t)return this.element?this.element[0]:null;var e=t.subId,n=null;if("oj-pagingcontrol-nav-input"===e)n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_CLASS)[0];else if("oj-pagingcontrol-nav-input-max"===e)n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_MAX_CLASS)[0];else if("oj-pagingcontrol-nav-input-summary"===e)n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SUMMARY_CLASS)[0];else if("oj-pagingcontrol-nav-input-summary-current"===e)n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SUMMARY_CURRENT_CLASS)[0];else if("oj-pagingcontrol-nav-input-summary-max"===e)n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SUMMARY_MAX_CLASS)[0];else if("oj-pagingcontrol-nav-first"===e)n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_FIRST_CLASS)[0];else if("oj-pagingcontrol-nav-next"===e)n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_NEXT_CLASS)[0];else if("oj-pagingcontrol-nav-previous"===e)n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_PREVIOUS_CLASS)[0];else if("oj-pagingcontrol-nav-last"===e)n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_LAST_CLASS)[0];else if("oj-pagingcontrol-nav-page"===e){var _=t.index;n=this._getPagingControlContainer().find("["+this._DATA_ATTR_PAGE_NUM+"="+_+"]")[0]}else"oj-pagingcontrol-load-more-link"===e?n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_LINK_CLASS)[0]:"oj-pagingcontrol-load-more-range"===e?n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_RANGE_CLASS)[0]:"oj-pagingcontrol-load-more-range-current"===e?n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_RANGE_CURRENT_CLASS)[0]:"oj-pagingcontrol-load-more-range-max"===e?n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_RANGE_MAX_CLASS)[0]:"oj-pagingcontrol-load-more-max-rows"===e&&(n=this._getPagingControlContainer().find("."+this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_MAX_ROWS_CLASS)[0]);return void 0===n&&(n=null),n},getSubIdByNode:function(t){return e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_CLASS)?{subId:"oj-pagingcontrol-nav-input"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_MAX_CLASS)?{subId:"oj-pagingcontrol-nav-input-max"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SUMMARY_CLASS)?{subId:"oj-pagingcontrol-nav-input-summary"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SUMMARY_CURRENT_CLASS)?{subId:"oj-pagingcontrol-nav-input-summary-current"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SUMMARY_MAX_CLASS)?{subId:"oj-pagingcontrol-nav-input-summary-max"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_FIRST_CLASS)?{subId:"oj-pagingcontrol-nav-first"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_NEXT_CLASS)?{subId:"oj-pagingcontrol-nav-next"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_PREVIOUS_CLASS)?{subId:"oj-pagingcontrol-nav-previous"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_LAST_CLASS)?{subId:"oj-pagingcontrol-nav-last"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_PAGE_CLASS)?{subId:"oj-pagingcontrol-nav-page",index:e(t).attr(this._DATA_ATTR_PAGE_NUM)}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_LINK_CLASS)?{subId:"oj-pagingcontrol-load-more-link"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_RANGE_CLASS)?{subId:"oj-pagingcontrol-load-more-range"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_RANGE_CURRENT_CLASS)?{subId:"oj-pagingcontrol-load-more-range-current"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_RANGE_MAX_CLASS)?{subId:"oj-pagingcontrol-load-more-range-max"}:e(t).hasClass(this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_MAX_ROWS_CLASS)?{subId:"oj-pagingcontrol-load-more-max-rows"}:null},_ComponentCreate:function(){this._super(),this._draw(),this._on(this._events)},_AfterCreate:function(){this._super(),this._registerSwipeHandler(),this._isInitFetch=!0},_SetupResources:function(){this._super(),this._registerResizeListener(this._getPagingControlContainer()),this._registerDataSourceEventListeners(),this._isInitFetch?(this._setInitialPage(),this._isInitFetch=!1):this._refresh()},_ReleaseResources:function(){this._super(),this._unregisterDataSourceEventListeners(),this._unregisterResizeListener()},_addComponentBusyState:function(e){var n=t.Context.getContext(this.element[0]).getBusyContext(),_={description:"The component identified by '"+this.element.attr("id")+"' "+e},a=n.addBusyState(_);return this._busyStateResolvers||(this._busyStateResolvers=[]),this._busyStateResolvers.push(a),a},_removeComponentBusyState:function(t){if(this._busyStateResolvers){var e=this._busyStateResolvers.indexOf(t);e>=0&&(this._busyStateResolvers.splice(e,1),t())}},_destroy:function(){if(this._unregisterDataSourceEventListeners(),this._unregisterSwipeHandler(),this._busyStateResolvers){for(var t;t=this._busyStateResolvers.pop();)t();this._busyStateResolvers=null}this._componentDestroyed=!0},_draw:function(){var t=this.options;this.element.addClass(this._CSS_CLASSES._PAGING_CONTROL_CLASS),this.element.addClass(this._MARKER_STYLE_CLASSES._WIDGET),this._createPagingControlAccLabel(),this._createPagingControlContent(),this._mode=t.mode,t.mode==this._MODE._LOAD_MORE?(this._createPagingControlLoadMore(),this._createPagingControlLoadMoreLink(),this._createPagingControlLoadMoreRange()):this._createPagingControlNav()},_events:{"mouseup .oj-pagingcontrol-loadmore-link":function(t){this.loadNext(),e(t.target).data("_mouseup",!0),t.preventDefault()},"click .oj-pagingcontrol-loadmore-link":function(t){e(t.target).data("_mouseup")?e(t.target).data("_mouseup",!1):this.loadNext(),t.preventDefault()},"click .oj-pagingcontrol-nav-dot":function(n){if(!e(n.currentTarget).hasClass(this._MARKER_STYLE_CLASSES._DISABLED)){var _=e(n.currentTarget).attr("data-oj-pagenum"),a=this;this.page(_).then(function(t){a=null},function(e){var n=a.getTranslatedString(a._BUNDLE_KEY._ERR_PAGE_INVALID_SUMMARY);t.Logger.error(n+"\n"+e),a=null})}n.preventDefault()},"click .oj-pagingcontrol-nav-page":function(n){if(!e(n.currentTarget).hasClass(this._MARKER_STYLE_CLASSES._DISABLED)){var _=e(n.currentTarget).attr("data-oj-pagenum"),a=this;this.page(_).then(function(t){a=null},function(e){var n=a.getTranslatedString(a._BUNDLE_KEY._ERR_PAGE_INVALID_SUMMARY);t.Logger.error(n+"\n"+e),a=null})}n.preventDefault()},"click .oj-pagingcontrol-nav-first":function(n){if(!e(n.currentTarget).hasClass(this._MARKER_STYLE_CLASSES._DISABLED)){var _=this;this.firstPage().then(function(t){_=null},function(e){var n=_.getTranslatedString(_._BUNDLE_KEY._ERR_PAGE_INVALID_SUMMARY);t.Logger.error(n+"\n"+e),_=null})}n.preventDefault()},"click .oj-pagingcontrol-nav-previous":function(n){if(!e(n.currentTarget).hasClass(this._MARKER_STYLE_CLASSES._DISABLED)){var _=this;this.previousPage().then(function(t){_=null},function(e){var n=_.getTranslatedString(_._BUNDLE_KEY._ERR_PAGE_INVALID_SUMMARY);t.Logger.error(n+"\n"+e),_=null})}n.preventDefault()},"click .oj-pagingcontrol-nav-next":function(n){if(!e(n.currentTarget).hasClass(this._MARKER_STYLE_CLASSES._DISABLED)){var _=this;this.nextPage().then(function(t){_=null},function(e){var n=_.getTranslatedString(_._BUNDLE_KEY._ERR_PAGE_INVALID_SUMMARY);t.Logger.error(n+"\n"+e),_=null})}n.preventDefault()},"click .oj-pagingcontrol-nav-last":function(n){if(!e(n.currentTarget).hasClass(this._MARKER_STYLE_CLASSES._DISABLED)){var _=this;this.lastPage().then(function(t){_=null},function(e){var n=_.getTranslatedString(_._BUNDLE_KEY._ERR_PAGE_INVALID_SUMMARY);t.Logger.error(n+"\n"+e),_=null})}n.preventDefault()},"keypress .oj-pagingcontrol-nav-input":function(t){13==t.which&&t.preventDefault()},"mousedown .oj-pagingcontrol-nav-first":function(t){e(t.currentTarget).hasClass(this._MARKER_STYLE_CLASSES._DISABLED)||e(t.target).addClass(this._MARKER_STYLE_CLASSES._ACTIVE),t.preventDefault()},"mousedown .oj-pagingcontrol-nav-previous":function(t){e(t.currentTarget).hasClass(this._MARKER_STYLE_CLASSES._DISABLED)||e(t.target).addClass(this._MARKER_STYLE_CLASSES._ACTIVE),t.preventDefault()},"mousedown .oj-pagingcontrol-nav-next":function(t){e(t.currentTarget).hasClass(this._MARKER_STYLE_CLASSES._DISABLED)||e(t.target).addClass(this._MARKER_STYLE_CLASSES._ACTIVE),t.preventDefault()},"mousedown .oj-pagingcontrol-nav-last":function(t){e(t.currentTarget).hasClass(this._MARKER_STYLE_CLASSES._DISABLED)||e(t.target).addClass(this._MARKER_STYLE_CLASSES._ACTIVE),t.preventDefault()},"mouseup .oj-pagingcontrol-nav-first":function(t){e(t.target).removeClass(this._MARKER_STYLE_CLASSES._ACTIVE),t.preventDefault()},"mouseup .oj-pagingcontrol-nav-previous":function(t){e(t.target).removeClass(this._MARKER_STYLE_CLASSES._ACTIVE),t.preventDefault()},"mouseup .oj-pagingcontrol-nav-next":function(t){e(t.target).removeClass(this._MARKER_STYLE_CLASSES._ACTIVE),t.preventDefault()},"mouseup .oj-pagingcontrol-nav-last":function(t){e(t.target).removeClass(this._MARKER_STYLE_CLASSES._ACTIVE),t.preventDefault()},"mouseleave .oj-pagingcontrol-nav-first":function(t){e(t.target).removeClass(this._MARKER_STYLE_CLASSES._ACTIVE),t.preventDefault()},"mouseleave .oj-pagingcontrol-nav-previous":function(t){e(t.target).removeClass(this._MARKER_STYLE_CLASSES._ACTIVE),t.preventDefault()},"mouseleave .oj-pagingcontrol-nav-next":function(t){e(t.target).removeClass(this._MARKER_STYLE_CLASSES._ACTIVE),t.preventDefault()},"mouseleave .oj-pagingcontrol-nav-last":function(t){e(t.target).removeClass(this._MARKER_STYLE_CLASSES._ACTIVE),t.preventDefault()}},_refresh:function(t){this._data!=this.options.data&&(this._clearCachedDataMetadata(),this._setInitialPage());var e=0,n=0;null!=this._data&&(n=this._data.getStartItemIndex()),null!=this._data&&0!=this._data.totalSize()&&this._data.getEndItemIndex()>=0&&(e=this._data.getEndItemIndex()-n+1),this._mode=this.options.mode,this.options.mode==this._MODE._LOAD_MORE?this._refreshPagingControlLoadMore(e,n):this._refreshPagingControlNav(e,n)},_setOption:function(e,n){if(this._superApply(arguments),this._invokeDataPage(0,!0).then(function(t){},function(e){t.Logger.error(e)}),this.options.mode!=this._MODE._LOAD_MORE&&"pageOptions"==e){var _=this._getPagingControlContent();null!=_&&(this._unregisterChildStateListeners(_),this._unregisterSwipeHandler(),_.empty()),this._clearCachedDomPagingControlNav(),this._createPagingControlNav(),this._registerSwipeHandler()}this._queueRefresh()},_clearCachedDataMetadata:function(){null!=this._data&&this._unregisterDataSourceEventListeners(),this._data=null},_clearCachedDomLoadMore:function(){this._cachedDomPagingControlLoadMore=null,this._cachedDomPagingControlLoadMoreLink=null,this._cachedDomPagingControlLoadMoreRange=null},_clearCachedDomPagingControlNav:function(){this._cachedDomPagingControlNav=null,this._cachedDomPagingControlNavInput=null,this._cachedDomPagingControlNavInputSummary=null},_createNavArrow:function(t,n,_,a,i,o){var s=e(document.createElement("a"));s.attr("role","button"),s.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_ARROW_CLASS),s.addClass(t),s.addClass(n),s.addClass(this._CSS_CLASSES._WIDGET_ICON_CLASS),s.addClass(this._MARKER_STYLE_CLASSES._CLICKABLE_ICON),s.addClass(this._MARKER_STYLE_CLASSES._DISABLED),s.attr("aria-disabled","true");var r=this.getTranslatedString(_);this._AddHoverable(s),this._focusable({element:s,applyHighlight:!0}),s.attr("title",r),s.attr(this._TAB_INDEX,"0"),s.attr("href","#"),s.attr("oncontextmenu","return false;");var S=this.getTranslatedString(a),l=this._createAccLabelSpan(S,i);return s.append(l),o&&s.css("display","block"),s},_disableNavArrow:function(t,e){e?(t.addClass(this._MARKER_STYLE_CLASSES._DISABLED),t.removeClass(this._MARKER_STYLE_CLASSES._ENABLED),t.removeClass(this._MARKER_STYLE_CLASSES._FOCUS_HIGHLIGHT),t.removeClass(this._MARKER_STYLE_CLASSES._FOCUS),t.attr("aria-disabled","true"),t.attr("tabindex","-1")):(t.addClass(this._MARKER_STYLE_CLASSES._ENABLED),t.removeClass(this._MARKER_STYLE_CLASSES._DISABLED),t.removeAttr("aria-disabled"),t.attr(this._TAB_INDEX,"0"))},_getCurrentPage:function(){var t=this._getData(),e=0;return null!=t&&(e=t.getPage()),e},_getData:function(){return this._data||null==this.options.data||(this._data=this.options.data,this._dataMetadata=this.options.data,this._registerDataSourceEventListeners()),this._data},_getItemRange:function(t,n){var _=n>=0?n:0,a=e(document.createElement("span")),i=e(document.createElement("span"));this.options.mode==this._MODE._LOAD_MORE?i.addClass(this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_RANGE_CURRENT_CLASS):i.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SUMMARY_CURRENT_CLASS),a.append(i);var o=this._getData();if(null!=o&&null!=o.totalSize()&&null!=t){var s=this.getTranslatedString(this._BUNDLE_KEY._MSG_ITEM_RANGE_CURRENT_SINGLE,{pageFrom:_}),r=parseInt(n,10)+parseInt(t,10);if(_=r>0?_+1:0,-1!=o.totalSize()){if(_==(r=r>o.totalSize()?o.totalSize():r))s=this.getTranslatedString(this._BUNDLE_KEY._MSG_ITEM_RANGE_CURRENT_SINGLE,{pageFrom:_});else{if(_>r)return a;s=this.getTranslatedString(this._BUNDLE_KEY._MSG_ITEM_RANGE_CURRENT,{pageFrom:_,pageTo:r})}var S=this.getTranslatedString(this._BUNDLE_KEY._MSG_ITEM_RANGE_OF),l=null;"atLeast"==o.totalSizeConfidence()?l=this.getTranslatedString(this._BUNDLE_KEY._MSG_ITEM_RANGE_ATLEAST):"estimate"==o.totalSizeConfidence()&&(l=this.getTranslatedString(this._BUNDLE_KEY._MSG_ITEM_RANGE_APPROX));var g=e(document.createElement("span"));null==l?g.text(" "+S+" "):g.text(" "+l+" "),a.append(g);var A=e(document.createElement("span"));this.options.mode==this._MODE._LOAD_MORE?A.addClass(this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_RANGE_MAX_CLASS):A.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SUMMARY_MAX_CLASS),A.text(o.totalSize()),a.append(A);var C=this.getTranslatedString(this._BUNDLE_KEY._MSG_ITEM_RANGE_ITEMS);(h=e(document.createElement("span"))).text(" "+C),a.append(h)}else{var h;s=0==t?this.getTranslatedString(this._BUNDLE_KEY._MSG_ITEM_RANGE_CURRENT_SINGLE,{pageFrom:0}):this.getTranslatedString(this._BUNDLE_KEY._MSG_ITEM_RANGE_CURRENT,{pageFrom:_,pageTo:r}),C=this.getTranslatedString(this._BUNDLE_KEY._MSG_ITEM_RANGE_ITEMS),(h=e(document.createElement("span"))).text(" "+C),a.append(h)}i.text(s)}return a},_getMaxPageLinks:function(){var t=this.options.pageOptions.maxPageLinks;return this.options.pageOptions.type==this._TYPE._DOTS?t=Number.MAX_VALUE:t||(t=this._PAGE_OPTION_DEFAULT_MAX_PAGE_LINKS),t},_getMaxPageVal:function(t){var e=0;if(this._getTotalPages()>0&&this._isTotalSizeConfidenceActual())e=this._getTotalPages();else if(t>0){var n=this._getData();e=null==n||"atLeast"!=n.totalSizeConfidence()&&"estimate"!=n.totalSizeConfidence()?this._getCurrentPage()+2:this._getTotalPages()+1}else e=this._getCurrentPage()+1;return e},_getRejectPromise:function(){return Promise.reject()},_getTotalPages:function(){var t=this._getData(),e=0;return null!=t&&(e=t.getPageCount()),e=e>=-1?e:0},_handleDataFetchEnd:function(t){var n=e(document.activeElement);if(n.hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_PAGE_CLASS)){var _=parseInt(n.attr("data-oj-pagenum"),10),a=this;setTimeout(function(){if(_>=0){var t=_+1,e=_-1,n=a._getPagingControlContent().find("a[data-oj-pagenum="+t+"]");if(null!=n&&n.length>0)n.focus();else{var i=a._getPagingControlContent().find("a[data-oj-pagenum="+e+"]");null!=i&&i.length>0&&i.focus()}}_=null,a=null},100)}else n.hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_FIRST_CLASS)?(a=this,setTimeout(function(){a._getPagingControlContent().find("."+a._CSS_CLASSES._PAGING_CONTROL_NAV_NEXT_CLASS).focus(),a=null},100)):n.hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_PREVIOUS_CLASS)?(a=this,setTimeout(function(){var t=a._getPagingControlContent().find("."+a._CSS_CLASSES._PAGING_CONTROL_NAV_PREVIOUS_CLASS);t.hasClass(a._MARKER_STYLE_CLASSES._DISABLED)?a._getPagingControlContent().find("."+a._CSS_CLASSES._PAGING_CONTROL_NAV_NEXT_CLASS).focus():t.focus(),a=null},100)):n.hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_NEXT_CLASS)?(a=this,setTimeout(function(){var t=a._getPagingControlContent().find("."+a._CSS_CLASSES._PAGING_CONTROL_NAV_NEXT_CLASS);t.hasClass(a._MARKER_STYLE_CLASSES._DISABLED)?a._getPagingControlContent().find("."+a._CSS_CLASSES._PAGING_CONTROL_NAV_PREVIOUS_CLASS).focus():t.focus(),a=null},100)):n.hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_LAST_CLASS)?(a=this,setTimeout(function(){a._getPagingControlContent().find("."+a._CSS_CLASSES._PAGING_CONTROL_NAV_PREVIOUS_CLASS).focus(),a=null},100)):n.hasClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_CLASS)&&(a=this,setTimeout(function(){a._getPagingControlContent().find("."+a._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_CLASS).focus(),a=null},100));this._queueRefresh()},_handleDataPage:function(t){t.page!=t.previousPage&&this._queueRefresh()},_handleDataReset:function(e){this._invokeDataPage(0,!1).then(function(t){},function(e){t.Logger.error(e)})},_handleDataRefresh:function(t){this._queueRefresh()},_handleDataSort:function(t){this.options.mode==this._MODE._LOAD_MORE&&this._handleDataReset(t)},_handleDataRowAdd:function(e){if(this._isOperationOnCurrentPage(e))return this.options.mode==this._MODE._PAGE?void this._invokeDataPage(this._getCurrentPage(),!0).then(function(t){},function(e){t.Logger.error(e)}):void this._invokeDataFetchCurrent();this._queueRefresh()},_handleDataRowRemove:function(e){if(this.options.mode==this._MODE._PAGE){if(this._getTotalPages()>0&&this._getCurrentPage()>this._getTotalPages()-1)return void this._invokeDataPage(this._getTotalPages()-1,!0).then(function(t){},function(e){t.Logger.error(e)});if(this._isOperationOnCurrentPage(e))return void this._invokeDataPage(this._getCurrentPage(),!0).then(function(t){},function(e){t.Logger.error(e)})}else if(this._isOperationOnCurrentPage(e))return void this._invokeDataFetchCurrent();this._queueRefresh()},_handlePageChange:function(e,n){if("value"==n.option){var _=n.value;if(_!=this._getCurrentPage()+1&&!isNaN(_)&&_>0){_=Math.round(_);var a=this;this.page(_-1).then(function(t){a=null},function(e){var n=a.getTranslatedString(a._BUNDLE_KEY._ERR_PAGE_INVALID_SUMMARY);t.Logger.error(n+"\n"+e),a=null})}}},_invokeDataPage:function(t,e){try{t=parseInt(t,10)}catch(t){return Promise.reject(t)}return this._currentStartIndex=0,this._resetPagingControlNavInput(),e?(this._queuePageFetch(t),Promise.resolve()):this._invokeDataSetPage(t)},_invokeDataSetPage:function(t){var e=this._getData(),n=this;return new Promise(function(_,a){if(null!=e){var i=n._addComponentBusyState("is setting page.");e.setPage(t,{pageSize:n.options.pageSize}).then(function(t){n._removeComponentBusyState(i),n=null,i=null,_(null)},function(t){n._removeComponentBusyState(i),n=null,i=null,a(t)}),e=null}else n=null,_(null)})},_invokeDataFetchNext:function(){var t=this.options.pageSize;return this._currentStartIndex?this._currentStartIndex=this._currentStartIndex+t:this._currentStartIndex=t,this._invokeDataFetch({startIndex:this._currentStartIndex,pageSize:t})},_invokeDataFetch:function(t){var e=this._getData();if(!this._isTotalSizeConfidenceActual()||e.totalSize()>this._currentStartIndex&&this._isTotalSizeConfidenceActual()){var n=this;return new Promise(function(_,a){var i=n._addComponentBusyState("is fetching data.");e.fetch(t).then(function(t){n._removeComponentBusyState(i),n=null,i=null,_(t)},function(t){n._removeComponentBusyState(i),n=null,i=null,a(null)}),e=null})}return Promise.resolve()},_invokeDataFetchCurrent:function(){var t=this.options.pageSize;return this._invokeDataFetch({startIndex:0,pageSize:this._currentStartIndex+t})},_isOperationOnCurrentPage:function(t){if(null==t)return!1;var e=this._getData(),n=e.getStartItemIndex();this.options.mode==this._MODE._LOAD_MORE&&(n=0);var _,a=e.getEndItemIndex();if(null!=t.index){if((_=t.index)>=n&&_<=a)return!0}else if(null!=t.indexes){var i;for(i=0;i<t.indexes.length;i++)if((_=t.indexes[i])>=n&&_<=a)return!0}return!1},_isTotalSizeConfidenceActual:function(){var t=this._getData();return null!=t&&"actual"==t.totalSizeConfidence()},_queuePageFetch:function(e){var n=this;this._pendingPageFetch||(this._pageFetchCount=0,this._pendingPageFetch=Promise.resolve()),this._pageFetchCount++,this._pageFetchLatestPage=e,this._pendingPageFetch=this._pendingPageFetch.then(function(){n._pageFetchCount--,0!=n._pageFetchCount||n._componentDestroyed||(n._pendingPageFetch=void 0,n._invokeDataSetPage(n._pageFetchLatestPage).then(function(){n=null},function(e){n._pageFetchCount--,n._pageFetchCount<=0&&(n._pendingPageFetch=void 0,t.Logger.error(e),n=null)}))},function(e){n._pageFetchCount--,n._pageFetchCount<=0&&(n._pendingPageFetch=void 0,t.Logger.error(e),n=null)})},_queueRefresh:function(){var e=this;this._pendingRefreshes||(this._refreshCount=0,this._pendingRefreshes=Promise.resolve(),this._setComponentNotReady()),this._refreshCount++,this._pendingRefreshes=this._pendingRefreshes.then(function(){e._refreshCount--,0==e._refreshCount&&(e._pendingRefreshes=void 0,e._componentDestroyed||(e._refresh(),e._trigger("ready")),e._setComponentReady(),e=null)},function(n){e._refreshCount--,0==e._refreshCount&&(e._pendingRefreshes=void 0,t.Logger.error(n),e._setComponentReady(),e=null)})},_refreshPagingControlLoadMore:function(t,e){var n=this._getData(),_=this._getPagingControlLoadMore(),a=e+t,i=!(null!=n&&(a==n.totalSize()&&this._isTotalSizeConfidenceActual()||0==n.totalSize()));if(!_||i){var o=this._getPagingControlContent();null!=o&&o.empty(),this._clearCachedDomLoadMore(),_=this._createPagingControlLoadMore(),a=-1,null!=t&&(a=e+t),a<0||a<this.options.loadMoreOptions.maxCount?(this._createPagingControlLoadMoreLink(),this._createPagingControlLoadMoreRange(t,e)):this._createPagingControlLoadMoreMaxRows()}i||_.css("display","none")},_refreshPagingControlNav:function(t,e){var n=this.options.overflow;if(this._refreshPagingControlNavMaxPageVal(t,e),this._refreshPagingControlNavLabel(),this._refreshPagingControlNavInput(),this._refreshPagingControlNavSummaryLabel(t,e),this._refreshPagingControlNavPages(t,e),this._refreshPagingControlNavArrows(t,e),"fit"==n){var _=this.element.width(),a=this._getPagingControlNavArrowSection(),i=this._getPagingControlNavInputSection(),o=this._getPagingControlNavPageLinks(),s=this._getPagingControlNavInputSummary(),r=null!=a?a[0].offsetWidth:0,S=null!=i?i[0].offsetWidth:0,l=null!=o?o.width():0,g=null!=s?s.width():0,A=r+S+g;A>_?A-l<=_?o.css("display","none"):A-l-g<=_?(null!=o&&o.css("display","none"),null!=s&&s.css("display","none")):(null!=o&&o.css("display","none"),null!=s&&s.css("display","none"),null!=a&&a.css("display","none")):A>0&&(null!=o&&o.css("display",""),null!=s&&s.css("display",""),null!=a&&a.css("display",""))}},_refreshPagingControlNavArrows:function(t,n){var _=this.options.pageSize,a=this._getPagingControlNavArrowSection(),i=a.children("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_FIRST_CLASS);if(i&&i.length>0){i=e(i[0]);var o=this.getTranslatedString(this._BUNDLE_KEY._TIP_NAV_FIRST_PAGE);i.attr("title",o),this._disableNavArrow(i,0==this._getCurrentPage())}var s=a.children("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_PREVIOUS_CLASS);if(s&&s.length>0){s=e(s[0]);var r=this.getTranslatedString(this._BUNDLE_KEY._TIP_NAV_PREVIOUS_PAGE);s.attr("title",r),this._disableNavArrow(s,0==this._getCurrentPage())}var S=a.children("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_LAST_CLASS);if(S&&S.length>0){S=e(S[0]);var l=this.getTranslatedString(this._BUNDLE_KEY._TIP_NAV_LAST_PAGE);S.attr("title",l),this._disableNavArrow(S,this._getCurrentPage()==this._getTotalPages()-1||this._getTotalPages()<=0||!this._isTotalSizeConfidenceActual())}var g=a.children("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_NEXT_CLASS);if(g&&g.length>0){g=e(g[0]);var A=this.getTranslatedString(this._BUNDLE_KEY._TIP_NAV_NEXT_PAGE);g.attr("title",A),this._disableNavArrow(g,this._getCurrentPage()==this._getTotalPages()-1&&this._isTotalSizeConfidenceActual()||0===this._getTotalPages()||this._getTotalPages()<0&&0===t||this._getTotalPages()<0&&t<_)}},_refreshPagingControlNavPages:function(t,n){var _=this._getPagingControlNav().find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_PAGES_SECTION_CLASS);null!=_&&_.length>0&&(_=e(_.get(0)),this._unregisterChildStateListeners(_),_.empty(),this._createPagingControlNavPages(_,this._getMaxPageLinks(),t,n))},_refreshPagingControlNavLabel:function(){var t=this._getPagingControlNavInputSection();if(null!=t){var n=t.children("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_LABEL_CLASS);if(null!=n&&n.length>0){n=e(n[0]);var _=this.getTranslatedString(this._BUNDLE_KEY._LABEL_NAV_INPUT_PAGE);n.text(_)}}},_refreshPagingControlNavInput:function(){var t=this._getPagingControlNavInput();if(null!=t){var e=this.getTranslatedString(this._BUNDLE_KEY._TIP_NAV_INPUT_PAGE);t.attr("title",e),t.ojInputText("option","title",e)}},_refreshPagingControlNavSummaryLabel:function(t,n){var _=this._getPagingControlNav().children("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SUMMARY_CLASS);if(null!=_&&_.length>0){var a=this._getItemRange(t,n);(_=e(_.get(0))).empty(),a.text().length>0&&(_.append("("),_.append(a),_.append(")"))}},_refreshPagingControlNavMaxPageVal:function(t,n){var _=this._getMaxPageVal(t),a=this._getPagingControlNav().find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_MAX_CLASS);if(null!=a&&a.length>0)if(a=e(a.get(0)),this._getTotalPages()>0&&this._isTotalSizeConfidenceActual()){var i=this.getTranslatedString(this._BUNDLE_KEY._LABEL_NAV_INPUT_PAGE_MAX,{pageMax:_});a.text(i)}else a.empty();else{var o=this._getPagingControlNavInputSection();null!=o&&this._getTotalPages()>0&&this._isTotalSizeConfidenceActual()&&_>=this._getCurrentPage()+1&&((a=e(document.createElement("span"))).addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_MAX_CLASS),a.addClass("oj-label-inline"),o.append(a),i=this.getTranslatedString(this._BUNDLE_KEY._LABEL_NAV_INPUT_PAGE_MAX,{pageMax:_}),a.text(i))}var s=this._getPagingControlNav().find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_CLASS);if(null!=s&&s.length>0){(s=e(s.get(0))).ojInputText(),s.ojInputText("option","validators",[{type:"numberRange",options:{min:1,max:_}}]);var r=s.ojInputText("option","messagesShown");null!=r&&0!=r.length||this._resetPagingControlNavInput(),1==_?s.ojInputText("option","readOnly",!0):s.ojInputText("option","readOnly",!1)}},_registerDataSourceEventListeners:function(){var e,n,_=this._getData();if(null!=_)for(this._unregisterDataSourceEventListeners(),this._dataSourceEventHandlers=[],this._dataSourceEventHandlers.push({eventType:t.PagingModel.EventType.PAGE,eventHandler:this._handleDataPage.bind(this)}),this._dataSourceEventHandlers.push({eventType:t.PagingModel.EventType.PAGECOUNT,eventHandler:this._handleDataRefresh.bind(this)}),this._dataSourceEventHandlers.push({eventType:t.PagingTableDataSource.EventType.ADD,eventHandler:this._handleDataRowAdd.bind(this)}),this._dataSourceEventHandlers.push({eventType:t.PagingTableDataSource.EventType.REMOVE,eventHandler:this._handleDataRowRemove.bind(this)}),this._dataSourceEventHandlers.push({eventType:t.PagingTableDataSource.EventType.RESET,eventHandler:this._handleDataReset.bind(this)}),this._dataSourceEventHandlers.push({eventType:t.PagingTableDataSource.EventType.REFRESH,eventHandler:this._handleDataRefresh.bind(this)}),this._dataSourceEventHandlers.push({eventType:t.PagingTableDataSource.EventType.SYNC,eventHandler:this._handleDataFetchEnd.bind(this)}),this._dataSourceEventHandlers.push({eventType:t.PagingTableDataSource.EventType.SORT,eventHandler:this._handleDataSort.bind(this)}),e=0;e<this._dataSourceEventHandlers.length;e++)(n=_.on(this._dataSourceEventHandlers[e].eventType,this._dataSourceEventHandlers[e].eventHandler))&&(this._dataSourceEventHandlers[e].eventHandler=n)},_registerResizeListener:function(e){if(!this._resizeListener){var n=this;this._resizeListener=function(t,e){n._queueRefresh()}}this._resizeListenerElement||(t.DomUtils.addResizeListener(e[0],this._resizeListener,50),this._resizeListenerElement=e)},_registerSwipeHandler:function(){if(t.DomUtils.isTouchSupported()&&this.options.mode==this._MODE._PAGE){var e=this._getPagingControlNav();if(null!=e){var n="vertical"==this.options.pageOptions.orientation,a=this;if(n){var i={recognizers:[[_.Swipe,{direction:_.DIRECTION_VERTICAL}]]};this._hammerSwipeUp=e.ojHammer(i).on("swipeup",function(t){t.preventDefault(),a.nextPage()}),this._hammerSwipeDown=e.ojHammer(i).on("swipedown",function(t){t.preventDefault(),a.previousPage()})}else i={recognizers:[[_.Swipe,{direction:_.DIRECTION_HORIZONTAL}]]},this._hammerSwipeLeft=e.ojHammer(i).on("swipeleft",function(t){t.preventDefault(),a.nextPage()}),this._hammerSwipeRight=e.ojHammer(i).on("swiperight",function(t){t.preventDefault(),a.previousPage()})}}},_resetPagingControlNavInput:function(){var t=this._getPagingControlNavInput();if(null!=t&&t.hasClass("oj-component-initnode"))try{t.ojInputText("option","value",this._getCurrentPage()+1)}catch(t){}},_setComponentNotReady:function(){this._readyResolveFunc||(this._readyResolveFunc=this._addComponentBusyState("is being loaded."))},_setComponentReady:function(){this._readyResolveFunc&&(this._removeComponentBusyState(this._readyResolveFunc),this._readyResolveFunc=null)},_setInitialPage:function(){var e=this._getCurrentPage();e>0?this._invokeDataPage(e,!0).then(function(t){},function(e){t.Logger.error(e)}):this._invokeDataPage(0,!0).then(function(t){},function(e){t.Logger.error(e)})},_unregisterDataSourceEventListeners:function(){var t,e=this._getData();if(null!=this._dataSourceEventHandlers&&null!=e)for(t=0;t<this._dataSourceEventHandlers.length;t++)e.off(this._dataSourceEventHandlers[t].eventType,this._dataSourceEventHandlers[t].eventHandler)},_unregisterChildStateListeners:function(t){var e=this;t.find("*").each(function(){e._UnregisterChildNode(this)}),e=null},_unregisterResizeListener:function(){null!=this._resizeListenerElement&&(t.DomUtils.removeResizeListener(this._resizeListenerElement,this._resizeListener),this._resizeListenerElement=null)},_unregisterSwipeHandler:function(){t.DomUtils.isTouchSupported()&&("vertical"==this.options.pageOptions.orientation?(null!=this._hammerSwipeUp&&(this._hammerSwipeUp.off("swipeup"),this._hammerSwipeUp=null),null!=this._hammerSwipeDown&&(this._hammerSwipeDown.off("swipedown"),this._hammerSwipeDown=null)):(null!=this._hammerSwipeLeft&&(this._hammerSwipeLeft.off("swipeleft"),this._hammerSwipeLeft=null),null!=this._hammerSwipeRight&&(this._hammerSwipeRight.off("swiperight"),this._hammerSwipeRight=null)))},_createAccLabelSpan:function(t,n){var _=e(document.createElement("span"));return _.addClass(n),_.addClass(this._CSS_CLASSES._HIDDEN_CONTENT_ACC_CLASS),_.text(t),_},_createPagingControlAccLabel:function(){var t=this._getPagingControlContainer(),e=this.getTranslatedString(this._BUNDLE_KEY._LABEL_ACC_PAGING),n=this._createAccLabelSpan(e,this._CSS_CLASSES._PAGING_CONTROL_ACC_LABEL_CLASS),_=this.element.attr("id")+"_oj_pgCtrl_acc_label";return n.attr("id",_),t.append(n),n},_createPagingControlAccNavPageLabel:function(){var t=this.getTranslatedString(this._BUNDLE_KEY._LABEL_ACC_NAV_PAGE);return this._createAccLabelSpan(t,this._CSS_CLASSES._PAGING_CONTROL_NAV_PAGE_ACC_LABEL_CLASS)},_createPagingControlContent:function(){var t=this._getPagingControlContainer(),n=e(document.createElement("div"));n.addClass(this._CSS_CLASSES._PAGING_CONTROL_CONTENT_CLASS);var _=this._getPagingControlAccLabel().attr("id");return n.attr("role","navigation"),n.attr("aria-labelledby",_),t.append(n),n},_createPagingControlLoadMore:function(){var t=this._getPagingControlContent(),n=e(document.createElement("div"));return n.addClass(this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_CLASS),t.append(n),n},_createPagingControlLoadMoreLink:function(){var t=this._getPagingControlLoadMore(),n=e(document.createElement("a"));n.addClass(this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_LINK_CLASS);var _=this.getTranslatedString(this._BUNDLE_KEY._LABEL_LOAD_MORE);return n.text(_),n.attr(this._TAB_INDEX,"0"),n.attr("href","#"),t.append(n),n},_createPagingControlLoadMoreMaxRows:function(){var t=this._getPagingControlLoadMore(),n=e(document.createElement("span"));n.addClass(this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_MAX_ROWS_CLASS);var _=this.getTranslatedString(this._BUNDLE_KEY._LABEL_LOAD_MORE_MAX_ROWS,{maxRows:this.options.loadMoreOptions.maxCount});return n.text(_),t.append(n),n},_createPagingControlLoadMoreRange:function(t,n){var _=this._getPagingControlLoadMore(),a=e(document.createElement("span"));a.addClass(this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_RANGE_CLASS);var i=this._getItemRange(t,n);return a.append(i),_.append(a),a},_createPagingControlNav:function(t,n){var _=this.options,a="vertical"==this.options.pageOptions.orientation,i="dots"==this.options.pageOptions.type,o=_.pageOptions.layout;null==o&&(o=[this._PAGE_OPTION_LAYOUT._AUTO]);var s=this._getPagingControlContent(),r=e(document.createElement("div"));if(r.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_CLASS),s.append(r),-1!=e.inArray(this._PAGE_OPTION_LAYOUT._AUTO,o)&&!i||-1!=e.inArray(this._PAGE_OPTION_LAYOUT._ALL,o)||-1!=e.inArray(this._PAGE_OPTION_LAYOUT._INPUT,o)){var S=e(document.createElement("div"));S.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SECTION_CLASS),r.append(S);var l=e(document.createElement("label"));l.attr("for",this.element.attr("id")+"_nav_input"),l.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_LABEL_CLASS),l.addClass("oj-label-inline");var g=this.getTranslatedString(this._BUNDLE_KEY._LABEL_NAV_INPUT_PAGE);l.text(g),S.append(l);var A=e(document.createElement("input"));A.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_CLASS);var C=this.getTranslatedString(this._BUNDLE_KEY._TIP_NAV_INPUT_PAGE);A.attr("id",this.element.attr("id")+"_nav_input"),A.attr("title",C),A.attr(this._TAB_INDEX,"0"),A.val(this._getCurrentPage()+1),S.append(A);var h=this._getMaxPageVal(t);if(this._getTotalPages()>0&&this._isTotalSizeConfidenceActual()){var L=e(document.createElement("span"));L.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_MAX_CLASS),L.addClass("oj-label-inline");var u=this.getTranslatedString(this._BUNDLE_KEY._LABEL_NAV_INPUT_PAGE_MAX,{pageMax:h});L.text(u),S.append(L)}A.ojInputText({displayOptions:{messages:["notewindow"],converterHint:["notewindow"],validatorHint:["notewindow"]},rootAttributes:{style:"width: auto; min-width: 0;"},optionChange:this._handlePageChange.bind(this),validators:[{type:"numberRange",options:{min:1,max:h}}]}).attr("data-oj-internal","")}if(-1!=e.inArray(this._PAGE_OPTION_LAYOUT._AUTO,o)&&!i||-1!=e.inArray(this._PAGE_OPTION_LAYOUT._ALL,o)||-1!=e.inArray(this._PAGE_OPTION_LAYOUT._RANGE_TEXT,o)){var N=e(document.createElement("span"));N.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SUMMARY_CLASS),N.addClass("oj-label-inline");var E=this._getItemRange(t,n);E.text().length>0&&(N.append("("),N.append(E),N.append(")")),r.append(N)}var c=e(document.createElement("div"));if(c.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_ARROW_SECTION_CLASS),r.append(c),-1!=e.inArray(this._PAGE_OPTION_LAYOUT._AUTO,o)&&!i||-1!=e.inArray(this._PAGE_OPTION_LAYOUT._ALL,o)||-1!=e.inArray(this._PAGE_OPTION_LAYOUT._NAV,o)){var d=this._createNavArrow(this._CSS_CLASSES._PAGING_CONTROL_NAV_FIRST_CLASS,a?this._CSS_CLASSES._PAGING_CONTROL_NAV_FIRST_VERTICAL_ICON_CLASS:this._CSS_CLASSES._PAGING_CONTROL_NAV_FIRST_ICON_CLASS,this._BUNDLE_KEY._TIP_NAV_FIRST_PAGE,this._BUNDLE_KEY._LABEL_ACC_NAV_FIRST_PAGE,this._CSS_CLASSES._PAGING_CONTROL_NAV_FIRST_ACC_LABEL_CLASS,a);c.append(d);var P=this._createNavArrow(this._CSS_CLASSES._PAGING_CONTROL_NAV_PREVIOUS_CLASS,a?this._CSS_CLASSES._PAGING_CONTROL_NAV_PREVIOUS_VERTICAL_ICON_CLASS:this._CSS_CLASSES._PAGING_CONTROL_NAV_PREVIOUS_ICON_CLASS,this._BUNDLE_KEY._TIP_NAV_PREVIOUS_PAGE,this._BUNDLE_KEY._LABEL_ACC_NAV_PREVIOUS_PAGE,this._CSS_CLASSES._PAGING_CONTROL_NAV_PREVIOUS_ACC_LABEL_CLASS,a);c.append(P)}if(-1!=e.inArray(this._PAGE_OPTION_LAYOUT._AUTO,o)||-1!=e.inArray(this._PAGE_OPTION_LAYOUT._ALL,o)||-1!=e.inArray(this._PAGE_OPTION_LAYOUT._PAGES,o)){var p=e(document.createElement("div"));p.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_PAGES_SECTION_CLASS),c.append(p),this._createPagingControlNavPages(p,this._getMaxPageLinks(),t,n)}if(-1!=e.inArray(this._PAGE_OPTION_LAYOUT._AUTO,o)&&!i||-1!=e.inArray(this._PAGE_OPTION_LAYOUT._ALL,o)||-1!=e.inArray(this._PAGE_OPTION_LAYOUT._NAV,o)){var T=this._createNavArrow(this._CSS_CLASSES._PAGING_CONTROL_NAV_NEXT_CLASS,a?this._CSS_CLASSES._PAGING_CONTROL_NAV_NEXT_VERTICAL_ICON_CLASS:this._CSS_CLASSES._PAGING_CONTROL_NAV_NEXT_ICON_CLASS,this._BUNDLE_KEY._TIP_NAV_NEXT_PAGE,this._BUNDLE_KEY._LABEL_ACC_NAV_NEXT_PAGE,this._CSS_CLASSES._PAGING_CONTROL_NAV_NEXT_ACC_LABEL_CLASS,a);c.append(T);var v=this._createNavArrow(this._CSS_CLASSES._PAGING_CONTROL_NAV_LAST_CLASS,a?this._CSS_CLASSES._PAGING_CONTROL_NAV_LAST_VERTICAL_ICON_CLASS:this._CSS_CLASSES._PAGING_CONTROL_NAV_LAST_ICON_CLASS,this._BUNDLE_KEY._TIP_NAV_LAST_PAGE,this._BUNDLE_KEY._LABEL_ACC_NAV_LAST_PAGE,this._CSS_CLASSES._PAGING_CONTROL_NAV_LAST_ACC_LABEL_CLASS,a);c.append(v)}return r},_createPagingControlNavPages:function(t,n,_,a){if(n<5){var i=this.getTranslatedString(this._BUNDLE_KEY._ERR_MAXPAGELINKS_INVALID_SUMMARY),o=this.getTranslatedString(this._BUNDLE_KEY._ERR_MAXPAGELINKS_INVALID_DETAIL);throw new Error(i+"\n"+o)}var s=e(document.createElement("div"));s.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_PAGES_LINKS_CLASS),t.append(s);var r=this._getTotalPages(),S=this._getCurrentPage(),l=this.options.pageSize,g=n,A=[];if(S>=0){var C;if(this._isTotalSizeConfidenceActual()&&r<=g)for(A[0]=0,C=1;C<r;C++)A[C]=C;else{A.push(0),0!=S&&A.push(S),S!=r-1&&this._isTotalSizeConfidenceActual()&&A.push(r-1),g-=A.length;var h=S-1,L=1;for(!this._isTotalSizeConfidenceActual()||S!=r-1&&S!=r-2||(L=0);g>L&&h>=1;)A.push(h),h--,g--;var u=S+1;for(-1==r&&(g=_>0&&_>=l?1:0);g>0&&(u<=r||-1==r);)A.push(u),u++,g--}for(A.sort(function(t,e){return t-e}),C=0;C<A.length;C++){var N=A[C];this._createPagingControlNavPage(s,N),C!=A.length-1&&N!=A[C+1]-1&&this._createPagingControlNavPage(s,-1)}!this._isTotalSizeConfidenceActual()&&_>=l&&this._createPagingControlNavPage(s,-1)}return s},_createPagingControlNavPage:function(t,n){var _=this._getCurrentPage(),a=null,i="rtl"===this._GetReadingDirection(),o="vertical"==this.options.pageOptions.orientation,s="dots"==this.options.pageOptions.type;if(-1==n)(a=e(document.createElement("span"))).addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_PAGE_ELLIPSIS_CLASS),a.text("..."),t.append(a);else{_==n?((a=e(document.createElement("div"))).addClass(this._MARKER_STYLE_CLASSES._SELECTED),a.addClass(this._MARKER_STYLE_CLASSES._ACTIVE),a.addClass(this._MARKER_STYLE_CLASSES._DISABLED),a.removeClass(this._MARKER_STYLE_CLASSES._ENABLED)):((a=e(document.createElement("a"))).removeClass(this._MARKER_STYLE_CLASSES._SELECTED),a.removeClass(this._MARKER_STYLE_CLASSES._ACTIVE),a.removeClass(this._MARKER_STYLE_CLASSES._DISABLED),a.addClass(this._MARKER_STYLE_CLASSES._ENABLED),a.attr(this._TAB_INDEX,"0"),a.attr("href","#")),a.attr("data-oj-pagenum",n),s?a.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_DOT_CLASS):a.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_PAGE_CLASS);var r=this.getTranslatedString(this._BUNDLE_KEY._TIP_NAV_PAGE_LINK,{pageNum:(n+1).toString()});this._AddHoverable(a),this._focusable({element:a,applyHighlight:!0}),a.attr("title",r),a.attr("oncontextmenu","return false;");var S=this._createPagingControlAccNavPageLabel();a.append(S);var l=e(document.createElement("span"));if(l.append((n+1).toString()),s){l.addClass(this._CSS_CLASSES._HIDDEN_CONTENT_ACC_CLASS);var g=e(document.createElement("span"));g.addClass(this._CSS_CLASSES._PAGING_CONTROL_NAV_DOT_BULLET_CLASS),this._AddHoverable(g),_==n&&(g.addClass(this._MARKER_STYLE_CLASSES._SELECTED),g.addClass(this._MARKER_STYLE_CLASSES._ACTIVE)),a.append(g)}else this._AddHoverable(a);var A=i?"rtl":"ltr";l.attr("dir",A),a.append(l),o&&a.css("display","block"),t.append(a)}return a},_getPagingControlAccLabel:function(){var t=this._getPagingControlContainer(),n=null;return t&&(n=t.find("."+this._CSS_CLASSES._PAGING_CONTROL_ACC_LABEL_CLASS))&&n.length>0&&(n=e(n.get(0))),n},_getPagingControlContainer:function(){return e(this.element)},_getPagingControlContent:function(){if(!this._cachedDomPagingControlContent){var t=this._getPagingControlContainer(),n=null;t&&(n=t.find("."+this._CSS_CLASSES._PAGING_CONTROL_CONTENT_CLASS))&&n.length>0&&(this._cachedDomPagingControlContent=e(n.get(0)))}return this._cachedDomPagingControlContent},_getPagingControlLoadMore:function(){if(!this._cachedDomPagingControlLoadMore){var t=this._getPagingControlContent(),n=null;t&&(n=t.children("."+this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_CLASS))&&n.length>0&&(this._cachedDomPagingControlLoadMore=e(n.get(0)))}return this._cachedDomPagingControlLoadMore},_getPagingControlLoadMoreLink:function(){if(!this._cachedDomPagingControlLoadMoreLink){var t=this._getPagingControlLoadMore(),n=null;t&&(n=t.children("."+this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_LINK_CLASS))&&n.length>0&&(this._cachedDomPagingControlLoadMoreLink=e(n.get(0)))}return this._cachedDomPagingControlLoadMoreLink},_getPagingControlLoadMoreRange:function(){if(!this._cachedDomPagingControlLoadMoreRange){var t=this._getPagingControlLoadMore(),n=null;t&&(n=t.children("."+this._CSS_CLASSES._PAGING_CONTROL_LOAD_MORE_RANGE_CLASS))&&n.length>0&&(this._cachedDomPagingControlLoadMoreRange=e(n.get(0)))}return this._cachedDomPagingControlLoadMoreRange},_getPagingControlNav:function(){if(!this._cachedDomPagingControlNav){var t=this._getPagingControlContent(),n=null;t&&(n=t.children("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_CLASS))&&n.length>0&&(this._cachedDomPagingControlNav=e(n.get(0)))}return this._cachedDomPagingControlNav},_getPagingControlNavInput:function(){if(!this._cachedDomPagingControlNavInput){var t=this._getPagingControlNav(),n=null;t&&(n=t.find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_CLASS))&&n.length>0&&(this._cachedDomPagingControlNavInput=e(n.get(0)))}return this._cachedDomPagingControlNavInput},_getPagingControlNavInputSummary:function(){if(!this._cachedDomPagingControlNavInputSummary){var t=this._getPagingControlNav(),n=null;t&&(n=t.find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SUMMARY_CLASS))&&n.length>0&&(this._cachedDomPagingControlNavInputSummary=e(n.get(0)))}return this._cachedDomPagingControlNavInputSummary},_getPagingControlNavPageLinks:function(){var t=this._getPagingControlNav(),n=null;return t&&(n=t.find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_PAGES_LINKS_CLASS))&&n.length>0&&(n=e(n.get(0))),n},_getPagingControlNavArrowSection:function(){var t=this._getPagingControlNav(),n=null;if(t){if(!((n=t.find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_ARROW_SECTION_CLASS))&&n.length>0))return null;n=e(n.get(0))}return n},_getPagingControlNavInputSection:function(){var t=this._getPagingControlNav(),n=null;if(t){if(!((n=t.find("."+this._CSS_CLASSES._PAGING_CONTROL_NAV_INPUT_SECTION_CLASS))&&n.length>0))return null;n=e(n.get(0))}return n}}),t.CustomElementBridge.registerMetadata("oj-paging-control","baseComponent",{properties:{data:{},loadMoreOptions:{type:"Object",properties:{maxCount:{type:"number"}}},mode:{type:"string",enumValues:["page","loadMore"]},overflow:{type:"string",enumValues:["fit","none"]},pageOptions:{type:"Object",properties:{layout:{type:"Array<string>"},maxPageLinks:{type:"number"},orientation:{type:"string",enumValues:["horizontal","vertical"]},type:{type:"string",enumValues:["numbers","dots"]}}},pageSize:{type:"number"},translations:{type:"Object",properties:{labelAccNavFirstPage:{type:"string",value:"First Page"},labelAccNavLastPage:{type:"string",value:"Last Page"},labelAccNavNextPage:{type:"string",value:"Next Page"},labelAccNavPage:{type:"string",value:"Page"},labelAccNavPreviousPage:{type:"string",value:"Previous Page"},labelAccPaging:{type:"string",value:"Pagination"},labelLoadMore:{type:"string",value:"Show More..."},labelLoadMoreMaxRows:{type:"string",value:"Reached Maximum Limit of {maxRows} rows"},labelNavInputPage:{type:"string",value:"Page"},labelNavInputPageMax:{type:"string",value:"of {pageMax}"},maxPageLinksInvalid:{type:"string",value:"Value for maxPageLinks is invalid."},msgItemRangeCurrent:{type:"string",value:"{pageFrom}-{pageTo}"},msgItemRangeCurrentSingle:{type:"string",value:"{pageFrom}"},msgItemRangeItems:{type:"string",value:"items"},msgItemRangeOf:{type:"string",value:"of"},msgItemRangeOfApprox:{type:"string",value:"approx."},msgItemRangeOfAtLeast:{type:"string",value:"at least"},pageInvalid:{type:"string",value:"The page value entered is invalid."},tipNavFirstPage:{type:"string",value:"First"},tipNavInputPage:{type:"string",value:"Go To Page"},tipNavLastPage:{type:"string",value:"Last"},tipNavNextPage:{type:"string",value:"Next"},tipNavPageLink:{type:"string",value:"Go To Page {pageNum}"},tipNavPreviousPage:{type:"string",value:"Previous"}}}},methods:{firstPage:{},lastPage:{},loadNext:{},nextPage:{},page:{},previousPage:{}},extension:{_WIDGET_NAME:"ojPagingControl"}}),t.CustomElementBridge.register("oj-paging-control",{metadata:t.CustomElementBridge.getMetadata("oj-paging-control")})});